Welcome to the WaveLab help!

This on-line help contains descriptions of all menu items and dialogs in WaveLab, as well as the main procedures for editing, file handling, etc. There are several ways to use the help:

Select "Help topics" from the Help menu in WaveLab.

This opens the help browser, allowing you to read the help files much like an on-line manual. Use the Contents tab to the left to navigate to the area you're interested in.

Click the Help button in a dialog.

This opens a help window describing all parameters and features of the dialog.

Press [F1] or click the Help icon in a window.

This gives you general information about the window and its usage.

Select the Help item on a menu.

This opens a help window, listing the items on the menu. Click the item you want to know more about.

Finally, although this on-line help is very comprehensive, we would also recommend reading the printed manual, for more in-depth descriptions.


How to contact us

On the Help menu, you will also find a number of useful Steinberg Web links ("Steinberg on the internet" submenu). These allow you to get on-line support, check for updates, get answers to frequently asked questions, etc.

The same submenu also contains an item called "Send feedback". Selecting this allows you to send feature requests or report problems directly to the WaveLab development office. Please note that this feature isn't a technical support service - your message will be read and taken into account but you will not receive an answer or confirmation. For support, use the on-line support link mentioned above.

These features require that you have a working Internet connection.


Undo and Redo

WaveLab has an extremely extensive Undo function, applicable when working in Wave windows, Audio Montages or the CD Label Editor. You can:

Undo as many steps back as you like, by using the Undo item on the Edit menu (or by pressing [Ctrl]-[Z]).

The only limitation is the available hard disk space.

Redo as many steps as you like, by using the Redo item on the Edit menu (or by pressing [Ctrl]-[Y]).

Furthermore, each window has its own undo "history", so you can click on any window and undo the changes last made there, even if you have later worked in another window.

Limiting the Undo function

Clearing the undo


Limiting the Undo function

If you run out of hard disk space or if you are applying processing to extremely long sections of waves, you might want to put a limit on the Undo function (applicable to Wave windows only):

1. Select "Preferences" from the Options menu and click the Editing tab.

2. Uncheck the "Unlimited" option in the Undo/Redo section.

3. Change the Limit number to the desired value.


Clearing the undo

There might be situations where you have "collected" a large number of undo possibilities that you know you don't need. You might then clear the whole undo "buffer" for one file at a time. This will free up some primary memory (RAM) but more importantly it will also delete all the "undo files" from your hard disk, to free up space.

1. Select "Clear undo" from the Edit menu.

A window appears informing you of how much RAM and hard disk space you will gain by this operation.

2. Click OK.

Please note that this function works on one document at a time. It is only the undo buffer for the file in the active window that will be cleared. Also note that it only applies to Wave windows.


Working with windows

Basic window handling

Quick window switching

The document switch bar

Panes

"Folding" windows

The Document icon

Unsaved changes indicator

Working with multiple windows


Basic window handling

WaveLab follows the basic guidelines for the Windows interface, which means standard "Windows procedures" apply.

Closing Wave windows

You can close a document window by clicking its close button, by selecting Close from the File menu or by pressing [Ctrl]-[W]. If document window(s) contain unsaved changes, you will be asked whether you want to save those changes before closing (see "Quitting", below).

If you hold down [Shift] when clicking the close button, the window closes immediately, and any changes you have made will not be saved.

You can also close all windows in one go (either all Wave windows, or all windows regardless of type), by selecting the corresponding option from the Windows menu.

Minimizing Wave windows

WaveLab windows are minimized like any other, but there are also options for minimizing all Wave windows or all windows (regardless of type, as with closing, see above), from the Window menu.

Quitting

When you quit the program, and have files with unsaved changes, the "Exiting with modified documents" dialog, described in the topic Save All, appears. Selecting all files in the list and clicking Save Selected, ensures that all changes made to any and all files, are saved.


Quick window switching

You can switch between the two last active windows by pressing [F2] repeatedly. This allows you to quickly move back and forth between two windows.

To "cycle" between all open windows, press [Ctrl]-[Tab].


The document switch bar

A quick way to switch between the open document windows is to use the document switch bar.

In this example, clicking on the tab will bring the "welcome" window to front.

You can position the document switch bar at the top, bottom, left or right side of the screen by using the document switch bar submenu on the View menu.

This submenu also lets you to hide the document switch bar, if you like.


Panes

Several of WaveLab's windows are divided into panes. Panes are separated by dividers. For example, a Wave window can have two panes, the Overview and the Main View. A Database window has three panes.

Adjusting the size of a pane

1. Position the mouse over the divider between the two panes.

The pointer turns into a two-way arrow.

2. Drag the divider to adjust the pane size.

Hiding and revealing a pane

In some windows, a pane can be hidden altogether.

To hide a pane, drag the border between the two panes all the way up or double click it. To reveal the pane again, drag the miniature divider symbol down or double click it.

The miniature divider symbol.

You can also Hide/show the Overview pane in the Wave window by pressing [O] on the computer keyboard.


"Folding" windows

If you find a window takes up too much screen space, but you still don't want to close it, you can "fold it in" by clicking on the fold-in icon on the title bar (the icon with the horizontal line). For dialogs, you can also double click on the title bar.

To return to normal size, just click again.


The Document icon

WaveLab adds another symbol to some document windows, the Document icon. This is used to drag the whole document to various other windows, such as Databases, Audio Montages and Basic Audio CDs.


Unsaved changes indicator

When you have made changes to a document window, an asterisk will be displayed after the document name in the title bar until you save the document.


Working with multiple windows

You can edit the same data in more than one Wave window. Among other things this allows you to work on different sections of a wave file (for example the start and end), without scrolling back and forth.

The two windows are actually views of exactly the same data.

Any change you make in one Wave window is immediately apparent in the other.

Creating a second window using menus

1. Make sure the desired window is the active one.

If it isn't, click once in its title bar.

2. Select Duplicate View from the View menu.

Creating a second window by dragging

1. Make sure "Create windows using mouse" is activated on the Display tab of the Preferences dialog.

2. Click and drag a rectangle in an empty area of the WaveLab window.

This must be of a certain minimum size or bigger. If you don't get a new window, try again with a bigger rectangle.

Now, a new window is created, sized according to the rectangle you dragged, and containing the same audio file as the previously active Wave window.


Dockable control bars

Various tools, shortcuts and commands are gathered on "control bars" (strips with symbols). These can be used either as "palettes" (separate windows) or you can "dock" them to the window edges.
The following control bars are available:

The Standard Commands

The Transport bar

The Meters

The Window Controller

The Wave toolbox

The Wave Snapshots control bar

The Marker toolbar

There are two ways to dock a control bar:

Drag the control bar window (by its title bar) to any of the sides of the application window and release the mouse button.

The outline shows you the shape of the control bar at the docked position.

Double click the title bar of a control bar to return it to its last docked position.

Please note that you can stack control bars and put them side by side, to create any type of layout you desire.

Turning a docked control bar into a separate window

Showing/hiding a control bar

Changing the appearance of a control bar

Finding out what a button on a control bar does


Turning a docked control bar into a separate window

To "un-dock" a control bar, drag it out from the docked position, or double click its handle.

Control bar windows are moved by dragging the title bar, just as with any other window.

To drag a control bar to the rim of the application window, without docking it, hold down [Ctrl] when dragging.


Showing/hiding a control bar

There are various ways to show/hide a control bar:

Pull down the View menu, select Control Bars, and from the submenu that appears, select the desired control bar, or...

Click on a button on the Switcher (a control bar used for showing/hiding other control bars, see below), or...

Hide a control bar by clicking its Close box.


Changing the appearance of a control bar

To change the shape of a control bar to either horizontal, square or vertical, drag the right or bottom edge as when resizing any other window.

To change the size of the buttons in the control bar, open the Preferences dialog, click the "Appearance" tab and adjust the "Button size" setting.


Finding out what a button on a control bar does

1. Select Preferences from the Options menu and click on the Appearance tab.

2. Make sure "Show Tips" is activated.

3. Close the Preferences dialog.

4. Move the pointer over an item on the control bar and wait a moment.

A text showing the name of the button appears.


The status bar

The status bar is normally displayed at the bottom of the screen, but it can be hidden using the "Appearance" part of the Preferences dialog.

The status bar shows information related to the active window. Exactly what information appears depends on the window type - for Wave windows it shows various information about the file etc.

For some of the fields you can also click to perform operations related to that field.

The status bar also indicates the progress of operations that take some time to finish.


Speed menus

Most displays have speed menus associated with them.

To bring up a speed menu, right-click in the desired area.

In the Wave windows for example, there is one speed menu for the level ruler, one for each of the time rulers and one for each of the waveform displays.

The Speed menus contain the same items that can be found on the main menus, but some speed menus also contain unique items.

When searching for a function, don't forget to check the speed menus in the window in which you are working!


Units of time and level

For rulers


For rulers

You can specify the time and level (amplitude) formats for each ruler in each window, by right-clicking on the ruler and selecting a format from the pop-up menu that appears.

Time formats

Menu name | Description
Time | Positions are shown as hours, minutes, seconds and milliseconds. At large magnification factors, hundredths of milliseconds are shown.
Samples | Positions are shown as number of samples. How many samples there are to a second depends on the sample rate of the wave. For 44.1 kHz for example, there are 44100 samples for each second.
Time code | Also called SMPTE. Positions are shown in the following format: hours:minutes:seconds:frames. The number of frames per second is set in the Preferences "Tempo/Time code" dialog.
Meter | Positions are shown as bars, beats and ticks, as specified in the Preferences "Tempo/Time code" dialog.
File size | Positions are shown in file size units, MegaBytes, where the decimals represent kiloBytes.

Level formats

Menu name | Description
% | Amplitude (level) is shown as a percentage of full level.
dB | Amplitude is shown in decibels, a logarithmic scale used in audio engineering.
Decimal | This is the actual value of the amplitude as stored in computer memory (always displayed as 16 bits). Please note that the range is from negative to positive with "0" representing "no signal".

To make a ruler format the default (to be used in new Wave windows), you need to save it as part of the Default Window Style.

See Styling WaveLab - Wave windows.


Setting values

In dialog boxes, you will find yourself adjusting values. The following techniques apply:

Typing values

As in most other Windows programs you can "tab to" or click directly on a value and type in a new one.

Using the spin controls

All values can be set using the regular Windows spin controls - two arrows pointing up/down.

Clicking either arrow raises/lowers the value.

Keeping the mouse button pressed over an arrow will "scroll" the value.

Holding down [Ctrl] makes the value change in larger steps.

Holding down [Ctrl]+[Shift] changes the value to its minimum/maximum.

The last adjusted control can be changed using the [↑] and [↓] keys, also in combination with [Ctrl] or [Ctrl]+[Shift].

Using sliders and pop-ups

Many times, the most convenient way of changing a value is using WaveLab's proprietary sliders and pop-ups:

1. Either click with the right mouse button or double-click with the left on the spin control.

2. If a pop-up menu appears, select one of the options on it.

3. If one or more sliders appear, drag the handle(s) or click the arrows to set the value.

The setting is shown in the value box "behind" the slider window.

4. When you have finished, click outside the slider window.

If the value is "segmented" (for example divided into minutes and seconds etc), more than one slider will appear, each used for adjusting one of the "segments".

The slider window can be dragged to any position on the screen, using the "title bar" at the top.

The last-used slider can also be adjusted using the computer keyboard:

These keys | Move the slider handle
[↑] and [↓] | One step up/down.
[Page Up] and [Page Down] | A few steps up/down.
[Home] and [End] | To the top/bottom.

Using a wheel mouse


Using a wheel mouse

If you are using a mouse with a scroll wheel or similar, you can take advantage of the wheel for various operations in WaveLab:

Scrolling

If you point at a waveform, the wheel scrolls the view horizontally.

Zooming

If you hold down [Ctrl] and point at a waveform, the wheel zooms the view horizontally.

If you hold down [Ctrl] and [Shift] and point at a waveform, the wheel zooms the view vertically.

Changing values

If you point at an edit field in a dialog, the wheel can be used to adjust the value.

If you hold down [Ctrl], the value changes in bigger increments.

If you hold down [Ctrl]+[Shift] the value jumps to the minimum or maximum.

Master Section

When working in the Master Section window, the wheel can be used to adjust the master volume. If you hold down [Shift] the value changes in steps of 6dB (rather than 1dB).

If you hold down [Alt] and use the wheel, you can change the Master Section volume, regardless of which window is active.

This can be combined with [Shift] as described above.


Presets

Many dialog in WaveLab have a Presets tab. If you think of the dialogs as forms, presets allow those forms to be filled out automatically. WaveLab comes with a selection of presets for each dialog that uses them, but the real power of presets becomes evident when you start creating your own!

Loading presets

1. Open the dialog you wish to use and click on its Presets tab.

2. Select the preset you want to use and click the Load button.

A quick way to load a preset is to right-click on the Preset tab and select a preset from the menu that appears.

Creating a preset

1. Open the Processing dialog you wish to use and set up the dialog as desired.

2. Click on the Presets tab.

3. Click on the name line and type in a name for the preset.

4. Click the Add button.

Modifying a preset

1. Make the desired settings in the dialog.

If you only want to adjust a few settings in an existing preset, you may want to load it first, as described above.

2. Click the Preset tab.

3. Select the preset you want to overwrite with the new settings.

4. Click the Update button.

Deleting a preset

1. In the Presets tab, click on the preset you want to delete.

2. Click the Delete button.

How presets are saved

The presets are automatically saved when you quit the program. The next time you load the program, the presets are ready and waiting, just as you left them. Furthermore the presets are "global" to all files. No matter which file you are working on, you still have access to all your presets.


About non-modal dialogs

Many of the dialog boxes in WaveLab are "non-modal". This means that the window behind the dialog can be operated even though the dialog box is still up on the screen.

For example, when you have a Processing dialog up on screen, you can still work with the Wave window and the main menus. For example, this allows you to perform the following operations without closing the dialog.

Play back the wave to hear the effect of any applied processing.

Adjust the selection before re-processing.

Use the menu to undo the last processing.

Keyboard commands

Windows normally does not allow you to select from menus and use keyboard accelerators when a dialog box is the active window. However, we have provided a few special key shortcuts for the most crucial commands:

Key | Command
[F3] | Undo
[F4] | Redo
[F6] | Play selection
[Shift]+[F6] | Activate loop and play selection
[F7] | Stop
[F8] | Play


Creating new empty documents

If you want to start with an empty file, for assembling material from other files for example, proceed as follows:

Using menus

1. Select New from the file menu, and Wave from the submenu that appears.

Or, right-click the New icon on the Standard Commands control bar.

2. Fill out the dialog that appears.

See Supported file formats for details about the various options.

By dragging

This is only possible if the currently active window is a Wave window (or if no document windows are open).

1. Make sure "Create Windows using mouse" is activated in the Display part of the Preferences dialog.

2. Hold down [Ctrl] and drag to make up a box in an empty free area of the WaveLab application window.

This must be of a certain minimum size. If you don't get a new window, try again with a bigger box. The new window "inherits" its attributes from the last active window. If no window is open, the dialog box settings for units are used instead.


Opening Waves

Using the Open dialog

Inserting a file into the current document

Using drag and drop

Using the Recent Files lists

Using Favorites


Using the Open dialog

1. Select Open Wave from the File menu, press [Ctrl]-[O] or click the Open icon on the Standard Commands control bar.

2. Use the standard controls to locate and select the desired file.

The file format pop-up allows you to only view files in a certain format and the buttons in the upper left half provide various views of the files on the disk.

3. Click Open.

The Wave appears in a new window.

Below follow descriptions of the items/procedures which are not standard for all Windows Open dialog boxes:

The Recent Folders pop-up menu

At the top of the dialog, you will find a pop-up menu which lists the most recently accessed folders. Select one to open it.

The playback functions

Once you have selected a file in the list you can audition it by clicking Play. Click again to Stop.

You can also have files play back automatically as soon as they are selected. To do this, activate the "Auto" button.

Opening multiple files

As in many other Windows programs, you can select and open as many files as you wish. The [Shift] key is used for making continuous selections and [Ctrl] is used for selecting any combination of files.

When you click Open the files all appear, each in an individual window.

Opening dual mono files

If you have two mono files which are actually the left and right channels of a stereo recording (some systems handle stereo this way), you can open these as if they were a stereo file. Proceed as follows:

1. Open the Preferences from the Options menu, and click the File tab.

2. Make sure the option "Allow opening of dual mono files" is activated, and close the dialog.

3. Select Open Wave from the file menu.

4. Select the first file, hold down [Ctrl] and select the other.

5. Click Open.

The two files are opened as one stereo file, with the file with the first name (alphabetically) becoming the left channel. If this is not as desired, you can swap the channels, see Swapping channels in a stereo file.

You can now work on the two files as if they were one. You can later save them as a stereo file or as two mono files. See File handling in Wave windows.

You may want to deactivate the "Allow opening of dual mono files" option when you're done, to avoid accidentally opening two mono files as a dual mono file.


Inserting a file into the current document

You may have a file that you want to insert into an existing file. The two should have similar attributes (e.g. sample rate), or a warning will appear.

1. Locate the document into which you want to add material, and make it active.

2. If you want to add the file at some arbitrary position in the document (rather than at the beginning or end), click to move the wave cursor to that position.

3. Pull down the Edit menu and select Insert Audio File and then one of the options from the submenu that appears.

4. Select a file and click Open.

The file is added. If you used the "at the cursor position" option, a temporary marker is added at the insertion point.


Using drag and drop

To open files from the desktop, use one of the following possibilities:

Drag and drop the file(s) on the WaveLab application window.

Drag and drop the file(s) on the WaveLab program icon or a shortcut for it.

If the program isn't already running, it will be launched. This works even if the application is running but minimized.

Double click on the file.

For this, you must have created an association between the file format and the WaveLab application. Such an association can be set up automatically during installation.


Using the Recent Files lists

On the bottom of the File menu you will find one or several hierarchical menu items that allow you to open recently used files. There are different submenus for different file types, as indicated by the menu items ("Recent Audio Files", "Recent Audio Montages", etc.). Each section holds up to twenty files. Selecting an item on one of the submenus opens the corresponding file.


Using Favorites

Just above the "Recent..." items is the Favorites menu. This lets you create a "library" of files that you want to be able to open quickly.

The "Add Current document" option, adds the currently active document to the menu.

The list is sorted alphabetically.

"Validate list" checks whether each document on the menu is still residing in the specified location on your hard disk(s).

If a document can't be found, it is removed from the list.

"Clear list" removes all files from the menu.


Setting the zoom factor

About zooming

Using the zoom controls

Using the Magnifying Glass tool

Mouse zooming

Using a wheel mouse

Using the Zoom menu

Using the keyboard

Using auto zoom for Overview


About zooming

Horizontal zoom

When you zoom out all the way the entire file fits the window.

When you zoom in as far as possible, each sample will occupy several pixels on the screen. This allows for single sample-accurate editing of waveforms.

Vertical zoom

When you zoom out all the way, the complete height of the wave fits into the window. You can note this by checking the ruler on the left side.

As you progressively zoom in, the display will only show you a smaller part of the total height. Exactly which section you see can be adjusted with the vertical scroll bars. Again, check the ruler to see which part of the waveform is currently shown in the display.

For example, to check the peaks of the waveform in great detail, zoom in and scroll all the way up and down.


Using the zoom controls

Both the Main View and the Overview have horizontal and vertical zoom controls. These behave just like scroll bars:

You can drag the handle to any position.

You can click anywhere on the scale to move the handle there.

You can click on the arrows at either end to change the zoom factor in smaller steps.

Either way, the zoom factor on the status bar is updated continuously.


Using the Magnifying Glass tool

The Magnifying Glass tool is used to specify any section of the waveform and have it occupy the entire window.

The Magnifying Glass tool can of course be selected from the tool box, but there are two other options:

When you hold down [Ctrl] and move the pointer over the Main View, the Magnifying Glass is automatically selected.

This is just a momentary selection. As soon as you release [Ctrl] you get the previous tool back.

When you move the pointer over the overview, it turns into the Magnifying Glass automatically.

Using the tool in the Main View

1. Press the mouse button with the pointer somewhere in the waveform.

2. Drag left or right to make up a box, and then release the button.

The area encompassed in the box now fills up the entire window.

Using the tool in the Overview

The Magnifying Glass is used in the Overview, just as in the Main View. However, even though you use the tool in the overview, it is the Main View that gets zoomed.

You can for example use this as follows: keep the overview zoomed out all the way and use the Magnifying Glass tool to display any section in the Main View.


Mouse zooming

Using the mouse, you can continuously change the zoom factor by dragging:

1. Position the mouse pointer over the ruler in the Main View.

2. Press the mouse button and drag up or down.

The zoom factor changes continuously.

To zoom with the cursor in a fixed center position, hold down [Shift].

To make vertical zoom adjust automatically to the peaks in the waveform, hold down [Ctrl].

To switch to scrolling, hold down [Alt].

This technique works very well in combination with the fact that you can move the song position by dragging horizontally in the ruler. By dragging in both directions, you can quickly find a certain position in the file and display it at the desired magnification factor.

Using mouse zooming to its full effect requires some practice - but it is worth the effort!

Setting sensitivity for mouse zooming

On the Display tab in the Preferences dialog, there's a Sensitivity setting for mouse zooming. The higher the value, the less sensitive the function. You might want to raise this value when you first try out the function.


Using a wheel mouse

If you have a mouse with a scroll wheel, you can zoom as follows:

If you hold down [Ctrl] and point at a waveform, the wheel zooms the view horizontally.

If you hold down [Ctrl] and [Shift] and point at a waveform, the wheel zooms the view vertically.


Using the Zoom menu

The Zoom submenu can be invoked from two places:

From the main View menu:

By clicking on the Zoom factor on the status bar.

It provides the following options:

Option | Description
Restore last zoom | Brings back the last zoom factor set using this menu or the Magnifying Glass tool.
Overview | Zooms the view out as far as possible.
Zoom in 1:1 | Zooms in so that one pixel (dot) on the screen represents one sample.
Microscope | Zooms in as far as possible, so that one sample occupies several pixels.
Zoom selection | Zooms the window so that the current selection (see Setting the wave cursor position) fills the entire display.
Custom... | This brings up a dialog that allows you to enter any zoom factor. The exact details can be found in the on-line help.
Optimize vertical zoom | This changes the vertical zoom factor so that the peaks are clearly visible. This adjustment is done according to the section of the wave currently visible in the window, not the whole file.


Using the keyboard

A quick way to zoom the active Wave window is to use the arrow keys on the computer keyboard: Press [arrow up] or [arrow down] to zoom in or out (respectively) horizontally. Hold down [Shift] and use the arrow keys to zoom in or out vertically.

There are also additional key commands for zooming - see Key Commands - Zooming for a full list.


Using auto zoom for Overview

This setting, found on the Display tab in the Preferences dialog, allows you to have the zoom factor automatically adjusted, so that it always shows the entire wave.This is mainly intended for the Overview pane (hence the name) but can be applied to the Main View too. Below we assume you will use it for the Overview.

1. Activate "Auto zoom for overview" in the Preferences dialog.

2. Zoom out on the overview so that you see the entire wave.

Now, when you resize the window, the overview zoom factor is automatically adjusted so that the entire wave is always shown. If you then zoom in on the overview, the automatic zooming is deactivated until you zoom out all the way again.


Navigating through the file

Which part of the file do I see?

Using the scroll bars

Clicking in the Overview

Using the Scroll to menu

Clicking on the status bar


Which part of the file do I see?

In the overview, a striped line called the "range indicator" tells you which section of the file is currently displayed in the Main View.

Furthermore, the range indicator moves while you drag the scroll bar handle. This means that by observing the overview you can easily find positions in the Main View when scrolling, even though the Main View might be zoomed in very closely.

The range indicator can be displayed at the top or bottom of the overview. This is selected on the Elements submenu on the Overview context menu (accessed by right-clicking in the Overview).


Using the scroll bars

The scroll bars work exactly as in any other Windows program. Please note that the waveform scrolls while you drag the scroll bar handle.

Furthermore, WaveLab uses proportional scroll bars, that is, the size of the handle shows you how much of the entire document you see. To get a feeling for how this works, drag the horizontal zoom control while observing the size of the scroll bar "handle".

Centering the view vertically

If you have zoomed in vertically, you might want to center the waveform view. To do so, double click in the level ruler.


Clicking in the Overview

If you click once in the Overview, the Main View is scrolled so that the position where you clicked is shown on the left side of the window.


Using the Scroll to menu

To bring up the Scroll to menu, either select "Scroll to" from the Main View menu, or right-click in the Overview or the Main View.
The difference between the methods is that the main menu always affects the Main View, whereas the speed menus affect either view depending on where you clicked.

The following options are available on the menu:

Option | Scrolls the view to
Start/End | The beginning or end of the wave.
Selection start/end | The beginning or end of the current selection, if any.
Cursor | The wave cursor.


Clicking on the status bar

If you click on the cursor position on the status bar, the view is scrolled so that the wave cursor becomes visible.

If you right-click instead, a dialog appears to let you specify a certain time position to scroll the view to.


Snapshots

Snapshots store the Main View's "layout" - essentially two things:

How a window is scrolled (which part of the wave you see).

The window's zoom factor.

If you move back and forth between various positions in a file, or if you zoom in and out for detailed or overview editing, using snapshots will save you a lot of time. Snapshots are created and managed on the Wave Snapshots control bar, opened from the View menu.

To create a snapshot, you first set up the view as desired (by scrolling and/or zooming). Then click the camera icon on the Wave Snapshots control bar, followed by one of the numbers. The snapshot is now stored under that button. The fact that the snapshot is used is indicated by a red circle around the number.

You use the same procedure to "reprogram" existing snapshots.

To recall a stored snapshot, either click on its number on the Wave Snapshots control bar, or press any of the keys [1] to [8] on the typewriter part of the keyboard.

Snapshots are not saved with the individual file. However, if a file is part of a Workspace (see the Workspace chapter), the snapshots are saved for each file, as part of the Workspace.


Copying layouts between windows

While snapshots are fine for defining several "layouts" for one window, they do not allow you to copy a "layout" from one window to another (useful e.g. for comparing two files at the same position and zoom factor). For this purpose you can copy layouts between documents. This includes everything that is in a snapshot, plus:

The selection start and end points.

The cursor position.

Here's how to copy a "layout":

1. Activate the window containing the desired layout.

2. Press [Shift]-[C].

This copies the layout to an invisible "clipboard".

3. Activate the window in which you want to apply the layout.

4. Press [Shift]-[V].


Setting the ruler start position

Normally, the ruler is set so that the beginning of the file represents position "0". However, for editing purposes you may want to set the "0" position at some other point in the file. Proceed as follows:

1. Set the wave cursor where you want the "0" position.

2. Right-click the ruler to bring up the ruler context menu.

3. Select "Set origin at cursor".

The ruler start position is moved to the current wave cursor position.


Working with a meter based display

If the material on which you are working is tempo based, and you know the tempo, you can make the ruler show positions in meter format (bars, beats and ticks), to make it easier to find musically related cutting points:

1. Select Meter for the ruler time format, see Units of time and level.

2. Open the Preferences dialog and click on the Tempo/Time code tab.

3. Set the Time Signature and Tempo to match the file.

4. Set the "Ticks per quarter note" setting to a number you feel comfortable with.

This might for example be the same value as that used by your MIDI sequencer.


Setting the wave cursor position

Many operations, such as playback and selection depend on the current cursor position - for example, playback often starts at the cursor. The current cursor position is indicated by a vertical flashing line, both in the Main View and in the Overview. There are various ways to move the wave cursor:

By clicking once somewhere in the Main View or on the time ruler.

If you have a selection, click on the ruler, since clicking in the waveform deselects all.

By clicking and dragging in the time ruler.

By using the Transport controls (see Setting the start point for playback).

By using the "Move cursor to" menu on the View menu.

See the help for the menu.

By using the Cursor keys:

These keys | Move the wave cursor
[←] and [→] | One "pixel" (screen dot) in either direction.
Page Up and Page Down | Twenty "pixels" in either direction.
[Home] and [End] | To the beginning and end of the wave.

By using markers

Markers allow you to pre-define positions and move the cursor there, see What are markers for?.

Using magnetization

Using "Snap Cursor"


Using magnetization

If you have "Magnetize bounds" on the Options menu activated and drag the cursor on the time ruler, it will "snap" to the following positions:

The start and end of the entire wave.

The start and end of the selection.

Markers.


Using "Snap Cursor"

This function - which can be reached from the "Move cursor to" item on the View menu and from the main wave display speed menu - moves the cursor position automatically for you. There are two options:

Move to the closest zero crossing (see Snapping to zero crossings) to the left of the cursor position.

To get this effect, make sure "Snap to time unit" is turned off on the Options menu.

Move to the zero crossing closest to a major time unit.

For example, this can be to the zero crossing closest to a whole second on the time ruler. To get this effect, make sure "Snap to time unit" is activated on the Options menu.

In the last case, the "time unit" mentioned depends on which type of scale is selected for the ruler:

Option | Cursor moves to
Time | Closest whole second
Samples | Function not available
Time code | Closest frame
Meter | Closest whole beat
File size | Function not available


Selecting

By dragging or [Shift]-clicking

Selecting in stereo files

Selection shortcuts

Selecting in the Overview

Extending and shrinking the selection

Using the Select menu

Moving the selection

Snapping to zero crossings

Snapping to time units

Using Magnetization

Level selections

Copying audio

Moving audio

Repeating an audio selection

Other Paste operations

Deleting and silencing

Turning selections into new documents

Converting from mono to stereo

Converting from stereo to mono

Swapping channels in a stereo file


By dragging or [Shift]-clicking

The standard way to select a range in a Wave window is to click and drag. If you drag all the way to the left or right side of the window, it scrolls automatically, allowing you to select larger sections than what can be shown in the window. The speed of the scrolling depends on how far from the window edge you are.

You can also press [Shift] and click in the Wave window to make a selection between the position of the wave cursor and the click position.


Selecting in stereo files

If you are working on stereo material you can select either channel or both so that you can apply an operation to one channel only or to the entire stereo material. Which channel will be selected when you drag or [Shift]-click depends on where you position the mouse pointer, as indicated by the pointer shape:

Position | Pointer Shape | Description
Upper half of left channel |  | Only the left channel will be selected.
Middle area |  | Both channels will be selected.
Lower half of right channel |  | Only the right channel will be selected.

To select a single channel by [Shift]-clicking, you need to set the wave cursor in only one channel (by clicking in the upper or lower part of the wave) and then [Shift]-click in the same channel.

Switching the selection between channels

If you have made a selection, you can move this to the other channel or extend it to both channels by selecting the corresponding items from the Select submenu (on the Edit menu). Or, you can press [Tab] to move the selection between channels (if there is no selection, [Tab] moves the cursor between channels).


Selection shortcuts

There are a number of ways to quickly make certain selections (for many options there is more than one method):

To select the area between two consecutive markers

Double click between them.

Depending on the type of marker, use one of the last three options on the Select menu (on the Edit menu).

To select the area between any two markers

Double click between two markers, keep the mouse button pressed and drag left or right.

To select the entire waveform

If there are no markers, double click.

Triple click.

Press [Ctrl]-[A].

Select "All" from the Select menu on the Edit menu.

To select from the cursor to the following or previous marker

Select "From cursor to previous/next edge" from the Select menu (on the Edit menu).

Hold down [Shift] and double click between the cursor and the marker.

To select from the cursor to the beginning or end of the file

Select "From cursor to start/end of file" from the Select menu (on the Edit menu).

Hold down [Shift] and double click to the left/right of the cursor position.

Press [Shift]+[Home] or [Shift]+[End]

To select all data between two start/end CD, loop, region or mute markers

Hold down [Shift] and double click on either marker head.

To half or double the current selection length

Select "Halve the selection length" or "Double selection length" from the Select menu on the Edit menu. These options are useful if you are working with measures.

To select all audio data that makes up a CD Track

Click between the markers for the track and select "CD Track" from the Select menu on the Edit menu.

Hold down [Ctrl] and double click between the markers.

To select what was previously selected

Select "Toggle" from the Select menu on the Edit menu.

Press [Esc].


Selecting in the Overview

You can select in the Overview, just as in the Main View. To get the selection tool in the overview, hold down [Ctrl] and move the pointer into the overview.


Extending and shrinking the selection

Very often you will have made a selection only to find it isn't exactly perfect. In this case you can extend or shrink the selection. In fact you can very well use this as a method: make a coarse selection with a lower zoom factor, then zoom in and adjust the start and end in more detail.

By dragging

1. Move the mouse pointer to the beginning or end of the selection.

It turns into a double arrow.

2. Press the mouse button and drag left/right.

Using [Shift]

Hold down [Shift] and click outside (extend) or inside (shrink) the current selection.

If you click inside the first half of the selection, this will change the start point, if you click inside the latter half, this will change the end point.

Using the cursor keys

If you hold down [Shift] and press the [←] or [→] keys, the start or end of the selection is moved one pixel (screen dot) to the left/right. If you also hold down [Ctrl] it is moved twenty pixels instead.

If you hold down [Shift] and press [Page Up]/[Page Down], it will also move 20 pixels.

If you hold down [Shift] and press the [Home]/[End] keys, the selection will extend from the current cursor position to the start/end of the file respectively.

Which end of the selection you change depends on which end of the selection the cursor is closest to.

Exactly how much one pixel represents depends on the zoom factor. If for example the zoom factor is "x1:64", the cursor keys alone move 64 samples, and together with [Ctrl] they move 1280 samples.


Using the Select menu

The Select menu (on the Edit menu) has a number of options for extending the selection to various points in the waveform. For details, use the help item on the menu.


Moving the selection

If the selection is the right length, but at the wrong position, you can move it:

1. Hold down [Ctrl] and [Shift].

2. Point at the selection and drag left/right.


Snapping to zero crossings

If you cut out a portion of a wave and paste it in somewhere else, chances are there will be a discontinuity where the two waves are joined. This discontinuity will result in a transient in the wave when it is played back, which is perceived as a "click" or "bump" in the sound.

To avoid this you need to make the splice at a zero crossing - a point where the wave crosses the zero level axis, the point where the wave is considered to have "zero level".

WaveLab can automatically search for zero crossings, and extend the selection "outwards" (make it bigger at both ends) so that it begins and ends at a zero crossing.

1. Pull down the Options menu and activate "Snap to zero crossing".

2. Select Preferences from the Options menu.

3. Click on the Editing tab.

4. Fill out the "Snap to Zero crossing" options.

These are described in the help for the Preferences dialog.


Snapping to time units

When "Snap to time units" is activated on the Options menu, selections will automatically be extended to the left and right so that they start and end at whole time units (and also at the closest zero crossing, if that option is activated, see above). This allows you to easily make selections spanning a certain number of seconds for example.

Note that this means that you must drag across a certain "time area" (for example more than half a second) to get any selection at all.

The "time unit" mentioned depends on which type of scale is selected for the ruler:

Option | Cursor moves to
Time | Closest whole second
Samples | Function not available
Time code | Closest frame
Meter | Closest whole beat
File size | Function not available


Using Magnetization

If you have "Magnetize bounds" on the Options menu activated and create or adjust a selection, it will "snap" to the following positions (or to the zero crossing closest to the position):

The wave cursor.

The start and end of the entire wave.

Markers.


Level selections

For some of WaveLab's level processing functions, it is useful to make a selection not only in time, but in level.

By dragging

The method below might require the [Shift] key to be pressed. This depends on whether or not the option "Level Selection requires [Shift]" is activated in the Editing part of the Preferences dialog.

1. Make a regular "time" selection.

2. If required, hold down [Shift].

3. Move the mouse to the top or bottom of the selection box.

The pointer changes into a vertical double arrow.

4. Press the mouse button and drag up/down.

The current level selection is shown on the status bar.

If you then extend the selection time-wise, the level selection still remains the same.

Extend to peaks

To automatically set the level selection to the highest peak in the current selection, make a time selection as desired and select "Extend to peaks" from the Select submenu on the Edit menu.


Copying audio

The following operations allow you to make copies of sections of audio within the same file or from one file to another.

Please note that any existing markers in the source audio section also will be copied.

By dragging

1. Decide whether you want to use "Snap to Zero crossing" (activated from the Options menu) for this operation.

When this is activated, both the selection start and end as well as the drop position will always occur at zero crossings. See Snapping to zero crossings for details.

2. Make a selection.

3. Point at the selection, press the mouse button and hold it down.

4. Drag to a position outside the selection (in the same file) or to another Wave window.

When you have the cursor over a valid area, the pointer will turn into a single or double waveform (see below). The status bar will show the exact position at which the selection will be inserted.

Make sure you don't drop on a selection in the destination window, or you will perform a crossfade, see Crossfade.

5. Release the mouse button.

The selection is inserted at the indicated point. The audio that previously began at that point is moved forward so that it is now played after the inserted section.

If you have "Magnetize bounds" on the Options menu activated when you drag, the cursor will "snap" to the following positions:

The wave cursor.

The start and end of the entire wave.

Markers.

By using Copy and Paste

1. Make a selection.

2. Select Copy from the Edit menu, press [Ctrl]-[C] or drag the selection onto the Copy icon on the Standard Commands control bar.

3. If you want to insert the audio, click once at some position in the same file or in another file.

The wave cursor appears at that point.

4. If you would rather replace a section of audio, select it.

In this case, the position of the cursor is of no relevance.

5. Select Paste from the Edit menu or press [Ctrl]-[V].

The material you copied is either inserted at the indicated point (no selection) or it replaces the current selection (if you have a selection).


Moving audio

The following commands allow you to rearrange the "order" of the audio in a file.

By dragging

This is just like drag copying (see above). The only difference is that you hold down [Alt] and [Ctrl] while dragging to move audio. The material you dragged is removed from its original position and inserted where you drop it.

By using Cut and Paste

This is just like using Copy and Paste (you can for example drag the selection to the Cut symbol on the Standard Commands control bar - see above). The only difference is that when you select Cut, the audio is removed from the window. The material after the cut section will be moved to fill out the gap.

Please note that to completely undo a move between two files you must first undo the paste in the destination window and then undo the cut in the source window.

By nudging

The Nudge left/right tools in the Toolbox (also known as "Kicker tools") can be used to move the audio in small steps within a file.

1. Make a selection.

2. Click on the selection with one of the Nudge tools (depending on the direction in which you want to move it).

The audio is moved one pixel (screen dot). Exactly how much this is depends on how far you are zoomed in. If for example the status bar says x1:256, the selection will be moved 256 samples.

The moved section "overwrites" the audio originally at that position.

For example, when you nudge a selection to the right, silence will appear before the nudged section while audio to the right will be replaced by the nudged section. This is different from moving by dragging.

If you nudge many times in a row and then undo, all the moves are undone in one go.


Repeating an audio selection

To repeat a section of audio, proceed as follows:

1. Make a selection, select Cut or Copy and place a new insertion point, just as when performing a normal Cut or Copy (see above).

2. Select "Multiple copies..." from the Paste Special submenu on the Edit menu.

3. In the dialog that appears, enter the number of copies you desire (up to 1000), and click OK.


Other Paste operations

On the Paste Special menu you will find some additional options:

Overwrite

This will overwrite data in the destination file, rather than moving data to make room for the inserted audio. The actual amount that will be overwritten depends on the selection in the destination file:

If there is no selection in the destination file, a section with the same length as the pasted data will be overwritten.

If there is a selection, the pasted data will replace that selection, just as when making a regular paste.

Append

This will add the pasted audio after the end of the file, just as if you had placed the wave cursor there and selected Paste.

Prepend

This will add the pasted audio before the beginning of the file.

Mix

This will blend the two files into each other, starting at the selection (if you have one) or at the cursor position (if there is no selection).

When you select the Paste Special - Mix option, a dialog appears, allowing you to specify the desired gain for the audio on the clipboard and at the destination, respectively.

A setting of 0 dB means the level will be unaffected.

All the data on the clipboard is always mixed in, regardless of the length of the selection.

It doesn't matter whether or not you have a selection in the destination file when you paste.


Deleting and silencing

Delete

There are several ways to delete a selection of audio:

Select Delete from the Edit menu.

Click the Delete icon on the Standard Commands control bar.

Press [Backspace] or [Delete].

Drag the selection to the Delete icon on the Standard Commands control bar.

Trim

To remove all the audio except the current selection, select Trim from the Edit menu (or press [Ctrl]-[Backspace]).

Replacing a section with silence

There are four ways to replace a section of audio with silence:

Select it and select Silence from the Edit menu.

Select it and click the Silence icon on the Standard Commands control bar.

Select it and press [Ctrl]-[Space].

Select it and drag the selection to the Silence icon on the Standard Commands control bar.

Inserting silence

To insert silence into a section (to space two sections further apart), proceed as follows:

1. Make a selection - starting where you want the Silence to begin - with a length equal to that of the silence you want to insert.

2. Select Insert Silence from the Edit menu or press [Ctrl]+[Shift]-[Space].

Inserting silence at the end of the file

You can also append silence at the end of the file (to lengthen it):

1. Click anywhere beyond the end of file indicator, to position the wave cursor there.

2. Select "Insert Silence" from the Edit menu or press [Ctrl]+[Shift]-[Space].

The end of file indicator is moved to the wave cursor position.


Turning selections into new documents

If you want to turn a section of wave into a new document, proceed as follows.

By dragging

1. Make a selection.

2. Drag the selection out of the window and onto an empty section of the WaveLab application window.

The cursor turns into a "new document" icon.

3. Release the mouse button.

The selection appears in a new window. You can also use this function to create stereo waves out of mono ones, see below.

By using "Copy to new window"

1. Make a selection.

2. Select "As is" from the "Copy to new window" submenu on the Edit menu.

The selection appears in a new window.


Converting from mono to stereo

You may convert a mono file into a stereo file that contains the same material in both channels, for example for further processing into "real" stereo.

This can be done in two ways, by using menus or by dragging to a new file, as described below.

By dragging

1. Make a selection.

2. Drag the selection out to the WaveLab "desktop".

3. When the pointer is outside the window, hold down [Ctrl] and release the mouse button.

By using menus

1. Make a mono selection.

2. Select "Convert to Stereo" from the "Copy to new window" menu on the Edit menu.

The selection appears in a new stereo window.


Converting from stereo to mono

You may mix the two channels in a stereo file into a mono document.

This can be done in three ways. Which method to use mainly depends on whether you want to convert the entire file or just a selection:

By dragging

1. Make a stereo selection.

2. Drag the selection out to the WaveLab "desktop".

3. When the pointer is outside the window, hold down [Ctrl] and release the mouse button.

By using menus (converting a selection)

1. Make a stereo selection.

2. Select "Convert to Mono (Mix)" from the "Copy to new window" menu on the Edit menu.

The selection appears in a new window, mixed down to mono.

The option "Convert to Mono (subtract right channel from left channel)" will also convert stereo audio to mono - but in this case one channel is subtracted from the other.

The resulting mono wave will contain the difference between the channels. For example, this allows you to verify that a wave file really is a true stereo file (rather than a mono file converted to stereo format).

By saving (converting an entire file)

1. Open the stereo file.

2. Select "Save as" from the file menu and then click the Properties pop-up to open the "Audio Properties" dialog.

3. Leave the Sample Rate and Resolution settings as they are, but change the Channels setting to "Mono".

You can of course change the other settings too, but this will have other effects, see Saving in another format (Save as...).

4. Click OK and save the file.

5. Open the file you just saved.


Swapping channels in a stereo file

You may move the material in the left channel to the right channel, and vice versa:

1. Make a selection across both channels.

Only the material in the selected section will be swapped.

2. Select "Swap channels" from the Edit menu.


File handling in Wave windows

Supported file formats

About temporary files

Saving

Saving in another format (Save as...)

Additional Save functions

Revert to saved

Encoding MP3 and WMA Files

Compression encoded export formats


Supported file formats

WaveLab can open and save audio files in a number of file formats. The table below gives you some basic information about the various formats available (note that additional file formats may have been added after this document was written).

The Format column also lists the typical file name extensions for each format.

All sample rates are supported, for all file formats.

All file types can handle mono and stereo.

Format

Description

Wave (.wav)

The most common file format on the PC platform. If you plan to load the files into any other PC program, Wave files are a safe bet. 8, 16, 20, 24 bit and 32 bit (float) resolutions are supported.

AIFF (.aif)

Audio Interchange File Format, a standard defined by Apple Computers Inc. 8, 16, 20, or 24 bit resolutions are supported.

MPEG Layer-3 (.mp3)

The most common audio compression format. The major advantage of MPEG compression is that the file size is significantly reduced, with little degradation of sound quality. WaveLab can both open and save files in this format.

Note that when you open an MPEG compressed file in WaveLab, the file is converted to a temporary wave file that is much larger than the original compressed file. Therefore, make sure that you have enough free space on your hard disk when opening MPEG compressed files.

When you save, the temporary wave file will be converted back to MP3, so from a user perspective the file handling is transparent apart from the size difference mentioned above.

Original Sound
Quality (.osq)

This is WaveLab's proprietary lossless compressed audio format. By saving files in this format, you can save considerable disk space without compromising audio quality. See About saving OSQ files.

Sound
Designer II (.sd2)

This audio file format is used by Digidesign applications (such as Pro Tools). 8, 16 or 24 bit resolutions supported.

U-LAW (.ulaw)

This is an audio encoding and compression technique supported by Windows and Web phones, using 8 bit resolution. The U.S. telephone system uses U-law encoding for digitization.

NeXT/Sun
(.snd, .au)

This is an audio file format used on Sun and NeXT computers. Files in this format can often be found on the Internet. 8, 16 or 24 bit resolutions are supported.

Windows Audio Media (.wma)

Microsoft's own compressed format. WaveLab lets you export audio in this format.

Paris (.paf)

Used by the Ensoniq Paris system (16 bit resolution).

Raw
(.raw, .pcm, .$$$)

In this format, no information about bit resolution or sample rate is included. If you open a file in this format, WaveLab will ask you to specify the bit resolution and sample rate. If you don't do this correctly, the file will not play back as intended.

The "$$$" file type is WaveLab's own temporary file format. In case you experience a computer crash you may restore some of your work by opening any stray "$$$" files on your hard disk(s).

About 20-, 24- and 32-bit float files

You do not need a 20- or 24-bit audio card to take advantage of the fact that WaveLab can handle 20- and 24-bit audio files. Any processing or editing performed on the files is always done at full resolution, even if your card doesn't support the full resolution. For playback, WaveLab automatically adapts to whatever card you have installed.


About temporary files

As you work in WaveLab, temporary files used for Undo etc. are created on your hard disk.

You can decide whether these files should be in 16-, 24- or 32-bit format. This is done on the File tab in the Preferences dialog.

The higher this value, the better the quality of the temporary file. However, 32-bit files are also twice as big as 16-bit files and take longer to process.

If you ever plan to export your files in 24- or 32-bit format, use this format or a better one (higher number) for your temporary files as well.

Use 32-bit if you want to create files with levels exceeding 0dB.

Even if you only work with 16-bit files, selecting 24-bit for your temporary files can improve audio quality slightly.

For less critical applications where speed and disk space are crucial factors, use 16-bit temporary files.


Saving

When you save a new document for the first time, it doesn't matter whether you select Save or Save as.

The "Save as" dialog will appear, since you need to specify a file format, folder, and file name.

Once a file has been saved, you can continue to edit it and then select Save from the File menu, or press [Ctrl]-[S], to update the file and make the changes permanent.

If you want to specify a new name, location and/or file format, you should select Save As from the File menu.

See Saving in another format (Save as...).

All save operations except "Save Copy" clear the Undo buffers, which means that after saving you cannot undo or redo.

Automatic backups

For all save operations except a regular "Save", backups are created automatically if a file with the same name already exists.

If for example you select Save As and specify a file name already used in that folder, the program will ask you if you want to back up the existing file first. If you click Yes, the first letter in the file's extension will be changed to "~". "AIF" for example, will become "~IF".


Saving in another format (Save as...)

If you want to change the format (sampling frequency, bit resolution and stereo/mono status) when saving, proceed as follows:

1. Select Save as... on the File menu.

2. A regular file dialog appears where you can specify a file name, folder and a file format.

3. If you wish to change other attributes of the file (e.g. mono/stereo status, bit resolution or sample rate), click the arrow to the right in the "Properties" text field.

This opens the Audio Properties dialog where you can specify the desired properties of the converted file.

4. After making the desired settings, close the Audio Properties dialog and click Save.

A new file is created. The original file is not affected by the operation.

The following operations are performed:

Property

Action

Sample Rate

If a new sample rate is specified, a sample rate conversion will be performed (see Convert sample rate).

Bit Resolution

If a different bit resolution is specified, the file is either "truncated" down to 8 bits, or "padded" up to 16 bits. If you convert to 8 bits, the audio is automatically normalized.

If you are converting to a lower bit resolution, you should consider adding dithering, see The Dithering pane.

Mono/Stereo

If the file is converted from mono to stereo, the same material will appear in both channels. If the conversion is from stereo to mono, a mix of the two channels will be created (clipping is prevented in the mixing process).

If you only wish to change the bit resolution you can do this directly in the "Audio Properties" dialog and then perform a standard save.

For more complex conversions, use batch processing.

If you select MP3 as the file format, you can select "Edit..." from both the Format and Attributes pop-up menus.

These options open the MPEG Layer-3 encoding dialog, where you can specify the bit rate format and compression method, as well as various other options, and the MP3 Tags dialog that lets you enter text tags for the MP3 file. See the help in the dialogs for details.

Note that it is not possible to save WMA files using "Save as". Instead, use the "Encode to Windows Audio Media (WMA)" on the Save Special submenu.

About saving OSQ files

OSQ (Original Sound Quality) is a lossless audio compression format, which can significantly reduce the audio file size without affecting the audio quality at all.

You can save any audio file as an OSQ file by using the Save As function.

The audio will play back exactly the same as in the original, uncompressed file.

Similarly, if you open an OSQ file in WaveLab and save it as an uncompressed audio file in its original format (e.g. WAV), the audio will play back exactly the same.

You can also convert several files to OSQ format in a batch. See Batch file encoding - Basic procedure.


Additional Save functions

Save selection as

This is a menu item on the Save Special submenu. It works exactly as Save As, except that only the selection is saved as a new file.

Save a Copy

This item, also on the Save Special submenu, allows you to save a copy of the file, in its current state, without affecting the original. A regular file dialog is used as with Save As.

Save left/right channel as

These two menu items are also located on the Save Special submenu. They allow you to save each channel individually, into a separate file. A regular file dialog is used as with Save As.

This menu command is used when you have been editing "dual mono" files for example, and wish to save the channels into separate files.

Save All

This menu item brings up a dialog that allows you to save some or all of the open documents, in one go.

The list displays all open documents that currently contain unsaved changes. The "Show paths" check box allows you to display/hide the complete file paths.

1. Select /deselect files by clicking on them or by using the Select/Deselect button.

Only the selected files will be saved.

2. Click "Save".


Revert to saved

This menu option, on the File menu, allows you to revert the file back to its last saved state (actually, the last saved version of the file is loaded from disk). This can be used as a kind of "super undo" which undoes all the changes made to the file since it was last saved.

1. Select "Revert to saved" from the File menu.

2. Click "Yes" in the warning dialog that appears.

The file is restored to its previously saved state.


Encoding MP3 and WMA Files

WaveLab can convert files of other formats to the MPEG Layer 3 (MP3) and Windows Audio Media (WMA) compressed audio formats.

Encoding MP3 Files

Select "Encode (MP3)..." from the Save special submenu on the File menu, to open the "MPEG Layer-3 Encoding" dialog. The dialog allows you to specify a bit rate and a sample rate format for the resulting file, as well as various other options. Use the on-line help in the dialog for details about the dialog items.

Encoding WMA files

Select "Encode to Windows Audio Media (WMA)..." from the Save special submenu on the File menu, to open the "WMA Encoding Options" dialog. The dialog allows you to specify a bit rate and sample rate format for the resulting file, as well as various other options. Use the on-line help in the dialog for details about the dialog items.

It is also possible to convert several files to MP3 or WMA format in one go (batch encoding).

See Batch file encoding - Basic procedure.


Compression encoded export formats

Apart from the formats available in the Save As dialog and the encode MP3/WMA options, WaveLab allows you to export files in a number of compression encoded audio formats, suitable for multimedia, web publishing etc (see Supported file formats). The basic functionality for this is part of a software technology called Microsoft ACM (Audio Compression Manager) which is included with Microsoft MediaTools.

The number of formats you can export, depend on which ACM drivers you have installed on your computer.

We recommend that you point your Internet browser to www.microsoft.com/windows/windowsmedia, for more information.

About "lossy" and "non-lossy" compression

There are two types of compression methods. When you use a "non-lossy" method (like saving as an OSQ file - see above), all information about the file is preserved, which means that when you decompress the file, you get it back exactly as it was.

However, most audio compression techniques are "lossy". This means that once the file has been compressed, some information has been lost. This type of compression always results in some kind of audio degradation, albeit in many cases a very small one.

WaveLab can also import any file supported by ACM, provided that the correct ACM drivers are installed.

If you need audio file compression with uncompromised audio quality, you should use the OSQ (Original Sound Quality) lossless audio compression format instead (see About saving OSQ files).

Exporting to encoded formats

This menu item uses the Microsoft MediaTools technology to convert the file to one of a number of compressed formats.

1. Select "Encode (ACM)..." from the Save Special submenu.

The dialog that appears is a MediaTools dialog, not a WaveLab dialog.

2. Select one of the formats from the pop-up in the middle and make setting for it from the pop-up below.

The dialog also provides possibilities for creating "presets" of formats and settings, using the upper row of controls.

The options which are available depend on the original format of the file, its sample rate, the number of channels etc. However, we have noted problems with some ACM drivers. Even though a certain format can be selected, an error message appears when you try to save the file. If this happens, please use another encoding method.

3. Click OK.

A regular file dialog appears.

4. Specify a name and location for the file, as with any Save operation.

Note: When you export to compressed files using the "Encode (ACM)" option, the file that is created will technically be a Wave file, regardless of the compression format (the files will have the extension "wav"). But instead of the regular "linear" audio data that usually makes up a wave file, a special audio data "chunk" is included that contains the compressed audio.

This is normally not a problem, but something to be aware of when planning for usage of files in other programs and possibly on other computer platforms.


Importing audio CD tracks into WaveLab

WaveLab provides the ability to read audio tracks from regular CDs, both from CD-ROM and CD-R drives. This makes a digital copy of the audio from the CD directly into an audio file on your hard disk. Although WaveLab supports a large number of drives, there are some restrictions you should be aware of:

There are a number of different not very well standardized protocols for retrieving audio from a CD-ROM/CD-R drive.

WaveLab tries to support as many of these methods as possible, but there are no guarantees it will work with any particular drive. Some brands that reportedly use the same method still have slightly different implementations which might cause problems.

Please observe and respect any copyright notices on the CDs from which you are reading tracks!

To import CD tracks, proceed as follows:

1. Insert the CD into the CD-ROM/CD-R unit.

2. Pull down the Tools menu and select "Import Audio CD tracks".

3. Select the drive from which you want to read from the pop-up menu at the top of the dialog.

4. Select a read speed from the pop-up menu just beside this.

For information about which speed to use, check the on-line help for the menu.

5. If necessary, click Refresh so that the list of tracks is updated.

The window now lists the tracks on the CD, plus some information about each track. Please note that the Copy Protection and Pre-emphasis columns are for information only, you cannot change these settings.

By default, the tracks will be named "Track XX", where XX is a number starting at 01. You can adjust the auto numbering scheme by right-clicking in the list and selecting an option from the pop-up menu that appears.

This pop-up menu also contains some additional functions for saving individual tracks directly as files, appending a track to the current Montage, etc.

6. Click on the Folder button at the bottom of the dialog to select a destination folder for the file(s).

The files will be saved with the name that is shown in the track list. To rename a file, double click on it in the track list and type the desired name.

The tracks must have unique names if you want to import them all. If two or more files have the same name, a warning dialog will appear when the second one is imported, allowing you to either cancel the operation or to replace the first file saved with that name.

7. If you want to import to a format other than .wav, select the desired format from the drop-down menu in the bottom left corner.

You can select one of two compressed file formats - mp3 or wma (see File format - Converting CD track(s) to MP3/WMA).

8. If required, you can select one file and click Play.

This will play the beginning of the track so that you can check it out.

9. Select as many tracks as you wish from the list.

You can use [Ctrl] and [Shift] to make multiple selections, or use the Select All button.

You can also "drag and drop" one or more CD tracks onto WaveLab's desktop or into an Audio Montage to save them.

In the latter case, you can drop them in the clip list or directly into the track pane. For this to work, the item "Enable Drag and Drop to Audio Montages" must be activated on the Options pop-up menu.

10. If you have only selected one file, you can import just a part of the track by adjusting the start and end/length values.

The bar graph shows the part of the track that will be imported.

11. Click the Save button.

The track(s) get retrieved. Optionally, each is opened in its own window. This is specified in the progress indication menu that appears during importing.

About the CDDB function

You need to be connected to the Internet to use the CDDB function.

Clicking the CDDB button opens a pop-up menu, where you can use some functions provided by CDDB, to get information about your CDs. CDDB maintains a worldwide database of CD information.

When an audio CD is inserted, you can query the database to get the track names of this CD, and more.

If the CD is not yet recorded in the database, you have the option to become a participant by describing the CD and submitting your description to the database. You can get more information on the Internet by going to www.gracenote.com (or www.cddb.com).

File format - Converting CD track(s) to MP3/WMA

The extracted audio files are saved in WAV (Wave) format by default. You can, however, directly save files in MP3 or WMA compressed audio formats by selecting the corresponding items from the file format pop-up menu at the bottom the dialog.

When the MP3 or WMA format is selected, you can click the button to the right of the file format pop-up to open the corresponding Encoding dialog, where you can specify the bit rate and other attributes of the file to be created.

CD reading method

In rare cases, the default method of extracting audio samples from a drive does not work. In such cases you can change the extraction method used by selecting the "CD reading method" item on the Options pop-up menu. This opens a dialog with several optional audio extraction methods. Use the on-line help in the dialog for details.

Do not change the settings if you are not having problems!

About Ultra-Safe mode

Sometimes a small bit of a CD track is not properly retrieved (this depends on the quality of your CD drive). This can result in unpleasant clicks and pops. To solve this issue, you can activate the ultra-safe mode on the Options pop-up menu. When this mode is activated, each CD track is read several times until the exact same result is found (checksums are used).

Convert to Montage/Convert to Basic Audio CD

The "Convert to Montage" function can convert a CD to an Audio Montage. This function analyses digital silence between tracks to recreate pauses between tracks. Certain CDs don't have pure digital silence between tracks in which case the tracks will be not be separated by pauses. Once you have converted a montage, you can reorder tracks, remove some tracks or add new tracks. You can use this function to create mixed compilations of CDs.

The "Convert to Basic Audio CD" function is similar to Convert to Montage, but a Basic Audio CD is created instead.

Notes:

Note that importing audio CD tracks is technically more complicated than reading files from a CD-ROM or hard disk, because audio sectors can be hard to detect. Some CDs which do not conform completely to the CD standard may cause problems.

There are several other functions on the Options pop-up menu. Use the on-line help in the dialog for a complete description of all menu items.

If you import a CD track with Emphasis, and later want to use this on a CD of your own, remember to activate Emphasis for that track in the Audio Montage or Basic Audio CD window.


Editing attributes and getting info

Editing audio properties

File attributes

Information


Editing audio properties

Each audio file has a certain set of properties, that is, information about the sample rate at which it was recorded, what the bit resolution is etc. The "Audio Properties" dialog allows you to change that information.

There are two ways to bring up this dialog:

Select "Audio Properties" from the Edit menu.

Click on the properties information field, on the status bar.

About changing the values

Changing the values in this dialog does not process the file in any way, unlike Convert File (see Saving in another format (Save as...)). However, the following rules apply:

If you change the sample rate, the file will play back at the wrong pitch.

If you change the bit resolution the file will be converted to the new resolution the next time you save it.

There is no Undo for this item. If you save with a lower bit resolution, the file is permanently converted.


File attributes

If you select this option on the Edit menu, a dialog opens in which you can specify various information about the wave file.

You can enter information on either the Standard tab or the Broadcast Audio Extension tab. The information you enter here is added to the header of the file, and thereby labels it as either a Standard wave file or a Broadcast wave file. A Broadcast wave file is essentially the same thing as a Standard wave file, the difference is simply what information the file headers can contain.

On the Standard tab in the dialog, you can enter information that will be displayed for instance when viewing the file's properties in the Windows explorer.

Note that you can instruct WaveLab to automatically fill out the text fields for "Originator software" (WaveLab) and "Creation Date" (the current), by clicking the small buttons to the right of the fields.

On the Broadcast Audio Extension tab you can also enter information to be embedded in the file, such as title, author etc. A Timecode position is included in the file as well. This makes it possible to insert audio at precise positions in other applications. By default, the Timecode position is set to the start position of the audio.


Information

This item, on the File menu, brings up a dialog that displays basic information about a file.


Playback

Using the Transport bar

Using key commands

Setting the start point for playback

Setting the Stop point/Loop

Skipping sections during playback

Setting the playback speed

Play tool - Playing one or both channels in stereo files

Using the Playback Browser

Playing the selection only

Using the Jog/Shuttle function


Using the Transport bar

The Transport bar provides access to the main transport functions (play, stop, record, rewind, fast forward, etc.) as well as to various options such as playback start, playback speed and loop mode.

To get a quick indication of what the a certain transport button does, hold the pointer over the button - a tip will appear (provided you haven't deactivated "Show Tips" in the Preferences dialog, Appearance page). Note also that the items to the left on the Transport bar opens pop-up menus - use the Help item on each menu for details.

You can hide or show the Transport bar by selecting "Transport" from the Control bars submenu on the View menu.

The Stop button

The Stop button has a special function related to the selection.

If the program is stopped and you click the Stop button, the wave cursor is moved to the beginning of the selection.

If there is no selection, or if the wave cursor is already to the left of the selection, it is moved to the beginning of the file instead.


Using key commands

A large number of transport functions can be controlled by using key commands, regardless of whether the Transport bar is visible or not. The most important transport functions have the following key commands:

Function | Key Command
Start playback | [Enter] (numeric keypad), or [F8]
Stop playback / move to selection start / move to beginning of file | [0] (numeric keypad), or [F7]
Start/stop playback | [Space]
Play current selection | [F6]
Loop on/off | [/] (numeric keypad)

For a full list of all key commands for transport and positioning, see Key Commands - Playback and Cursor position.


Setting the start point for playback

The Start point button on the transport brings up a menu that allows you to specify where playback will start.

For example, if you select "Play from start of file", then as soon as you hit Play, the wave cursor will jump back to the beginning of the file and playback starts from there.

For detailed info about the options on this menu, use the help for the menu.


Setting the Stop point/Loop

The Stop point/Loop button on the Transport bar allows you to select where playback should stop and whether it should loop indefinitely.

Automatic Stop

For example, if you select "Stop at next marker", playback will stop as soon as the program reaches a marker or the end of the file, whichever comes first.

Looping

Let's say you have chosen "Loop selection" mode. Now, if some piece of the wave is selected, this will be repeated indefinitely (as long as you don't start playback from a position later than the selection).

If no selection is made, the entire wave is looped.

For details about the Stop point/Loop menu items, select the Help menu item in the pop-up menu.

About loop updating and short loops

The loop points are updated continuously during playback, which means that if you change the loop start or end during playback, the loop changes. This is a great feature for auditioning selection points for rhythmic material!

Please note that it takes some time for positions to be updated (0.3 to 1 second, depending on the file's bit resolution and sample rate). If you don't want to wait, activate "Restart loop on change" on the Options menu. When this is activated, the loop starts over as soon as you adjust the selection or move a loop start marker.

For those of you who are technically interested, the reason for the delay described above is that the "playback buffers" have to be emptied before the playback "points" can be changed.

Also please note that WaveLab handles playback of extremely short loops without problems. However, the cursor position might not be updated correctly.


Skipping sections during playback

You can also have playback automatically jump past certain positions during playback.

This selection is done using the Skip button on the Transport bar.

For example, if you have added mute markers to your file and select "Muted regions", you will be able to audition what the material would sound like with certain sections cut out, before the actual edits are made.


Setting the playback speed

You can change the playback speed for open documents with or without affecting the pitch of the audio. Playback speed can be set for the following:

Wave windows.

Audio Montages (all clips in a Montage are affected).

Each separate open wave or montage can have its own playback speed setting. I.e. if you have several Wave windows open and change the playback speed for one of them, this set speed does not affect the other windows when you switch to them. Note also that the playback speed does not affect the original audio file in any way, but merely how it is played back.

This function can be put to good use in a number of ways. For example, lowering the playback speed could be used for locating certain positions in the audio, to discern the nuances of a tricky section, for practicing an elaborate recording or simply as a special effect.

To set the playback speed, proceed as follows:

1. Click the Playback Speed button on the Transport bar.

2. From the pop-up menu that appears, select "Edit".

The Playback Speed dialog appears.

3. Select a preset by clicking one of the buttons to the right.

The settings you are about to make will be stored as the selected preset. You can also name the preset in the name field above the buttons.

4. Make the desired settings in the dialog and save them as the selected preset by clicking "OK".

For a detailed description of the options in the dialog, use the help in the dialog.

5. You can now select the saved preset from the pop-up menu.

You'll notice that the Playback Speed button on the Transport bar changes shape to resemble a stopwatch when you select any of the presets.


Play tool - Playing one or both channels in stereo files

Selecting the Play tool momentarily

The Play tool can of course be selected by clicking in the Toolbox, but there are situations when you are working with another tool and just momentarily want to use the Play tool.

To momentarily select the Play tool, hold down [Alt]. When you have finished playing, release [Alt].

Using the Play tool

The Play tool allows you to play back from any position:

1. Point at the position where you want playback to start.

2. If the wave is in stereo, move the pointer up or down to decide whether only one channel should be played back.

Watch the cursor shape, it indicates what will be played back (L, R or both).

3. Press the mouse button.

Playback continues for as long as you keep the mouse button pressed, or until the wave ends. After playback has stopped, the cursor will be moved to the playback start position, making this a quick way to locate to certain positions in the audio.


Using the Playback Browser

The Playback Browser feature helps you find a certain position in an audio file, by restarting playback repeatedly when you click or drag to move the wave cursor.

1. Activate playback using the regular Play function, or select the Play tool.

Note that depending on your Preferences settings, Playback Browsing may only be available for the Play tool.

2. Click or drag in the ruler.

If you click, playback jumps immediately to the position at which you clicked. If you drag continuously, a short snippet of audio from each new position is played (looped).

Playback Browser preferences

On the Audio Card tab in the Preferences dialog you will find two preferences for Playback Browsing:

The Sensitivity setting is used to determine the size of the "snippets of audio" played back when you drag.

When the "Restrict to Play tool" option is activated, Playback Browsing is not available when you activate Playback using the transport bar or computer keyboard.

On the Options menu you will also find an option called "Stop after playback browsing", which determines what happens when you release the mouse button: playback continues (deactivated) or stops (activated). Note that when this option is activated, the cursor will automatically be moved back to the playback start position on stop, allowing you to use this function for locate positions in the audio.


Playing the selection only

There are four ways to play the selected part of the wave only:

Press the right mouse button in the Overview or the Main View and select Play Selection from the menu that appears.

Drag and drop the selection on the Play button on the Transport.

Hold down [Ctrl] and click on the Play button.

Press [F6].

If you hold down [Shift] and press [F6], the selection will be played back repeatedly (looped).


Using the Jog/Shuttle function

The Jog/Shuttle function allows you to play back audio forwards or backwards, at any speed. This is useful for finding exact spots in the audio file, etc.

The Jog and Shuttle functions are CPU intensive because of the real-time scrolling that occurs. If you experience stuttering playback, try reducing the window size (this will reduce CPU usage proportionally).

Jog

This can be viewed as dragging the audio past a "playback point", much like dragging a reel-to-reel tape past the playback head:

1. Zoom in so that you can get a good visual feedback.

2. Click the Jog/Shuttle button on the Transport bar or press [F10].

A vertical line appears in the middle of the Wave window. This is the "playback point".

3. Move the pointer to the upper half of the Wave window.

The pointer takes on the shape of a hand.

4. Click and drag to the left or right to drag the audio past the playback point.

The audio is played back, forwards (if you drag the audio to the left) or backwards (if you drag to the right), at the speed with which you drag.

Shuttle

This can be viewed as playing back with a continuous control for tape speed and direction:

1. Zoom in so that you can get a good visual feedback.

2. Activate the Jog/Shuttle button on the Transport bar or press [F10].

3. Move the pointer to the lower half of the Wave window.

The pointer takes on the shape of a speaker.

4. Click and hold the mouse button to the left or right of the vertical line.

Clicking to the left of the line will play the audio backwards and clicking to the right will play the audio forwards. The playback speed is determined by the distance from the line to the pointer, so that the further away from the line you move the pointer, the faster the playback.

5. Release the mouse button to stop playback.

6. Deactivate the Jog/Shuttle button on the Transport bar or by executing any stop command when finished.


Recording

Preparations

Start recording!


Preparations

To record a new file, proceed as follows:

1. Click the Record button, or press [*] on the numeric key pad.

The Record dialog appears.

2. Decide whether you want to record to a "named" or a "temporary" file, by selecting from the pop-up at the top of the dialog.

Temporary files are practical to use, since you don't need to name the file beforehand, you just "hit record and go". On the other hand, you will need to save the file at a later stage. Temporary files are always wave files, while named files allow you to choose to record either a wave file or an mp3 file. Also note that if you plan to make a long recording (several minutes) we recommend that you record a named file.

3. If you have selected one of the "Named File" options in the step above, type in the path to the desired destination for the file on the line below the pop-up or click the folder button and specify a file location.

If you activate the Auto number checkbox, a three-digit number will be added to the file name. Starting at the number you specify in the value field to the left of the checkbox, the Auto number will be increased in increments with each new recording, to prevent existing files from being overwritten.

4. If you're recording a wave file, click the Properties button, and decide on a recording format.

See Supported file formats for details. If you choose to record directly to an mp3 file, the Audio Properties dialog appears automatically, and the options for Sample Rate and Bit Resolution are limited in comparison with a wave file.

Note that if the Audio Properties window is opened from within the Record dialog, the last Bit Resolution option is named "24-bit Alt". This is an alternate way of transmitting 24-bit audio, used by many audio hardware (and often the recommended choice). If you plan to record 24-bit audio, you should consult your audio hardware's documentation to find out whether you should use "24-bit" or "24-bit Alt".

If you choose a format not supported by your audio card, you will not be able to record.

5. Select an appropriate Input mode, depending on whether you want to record the audio card input or the Playback output:

In "Audio card input" mode, WaveLab will record the signals from the active inputs on your audio hardware.

This is the standard mode. Use this for recording any external audio signal. If this mode is selected, you can click the button to the far right in the dialog to access the audio card preferences.

In "Playback output" mode, the program will record only what is being played back in WaveLab itself.

This mode does not utilize your audio card or any Windows audio protocols. Instead, the audio from WaveLab is sent straight back into WaveLab and this input is then recorded. There are two typical uses for this:

Record what you are playing back, capturing any real-time volume or parameter changes you make during playback.

Record in Live Input mode. This allows you to record with effects (see Live Input).

6. If needed, activate the desired recording options in the dialog.

There are also additional settings in a separate dialog, opened by clicking the Settings button. For details, please use the help in each dialog.

7. If needed, click the Mixer button to open the input mixer for your audio hardware.

Typically, the mixer allows you to adjust input levels, make input source selections, etc. The features of the mixer depends on you audio hardware. Also, note that not all audio cards have a mixer application (especially true with digital i/o cards).

8. Check the input level by using the level meter in the lower part of the Record dialog. The level should be as high as possible without reaching 0dB.

For the meters to register the signal, you need to activate the Monitor checkbox. This can be done automatically, if the option "Activate monitoring when opening record window" is activated in the Record Settings dialog. Note also that the pop-up menu in the lower left corner allows you to select between Level or Spectrum metering.

The meters in the Record dialog are "miniature" versions of the Level, Spectrum and Phase Meters in the Meter windows.

For detailed descriptions of the functionality and features, see the help for the corresponding Meter windows.

9. Check the Disk Capacity indicator above the meters to make sure you have enough disk space for the recording.

When there is less than ten seconds of available hard disk space, the disk capacity indication is displayed in red.


Start recording!

When all the preparations are done, click Record to start the actual recording.

If you have selected one of the Auto-start options (see the help in the Record dialog), the recording will go into Pause mode (the Record button will blink), until the specified Auto-start criteria are met.

When recording starts, the Record button will be "lit" and the Recorded Time value will indicate how much you have recorded.

If you have selected the "Auto-stop after given duration" option, the "Remaining Time" value will indicate how much recording time you have left.

If you like, you can pause the recording by clicking the Pause button at any time.

The Record button will blink to indicate Pause mode. To resume recording, click the Pause or Record button again. As described above, a short section of audio just before you resume recording (according to the Pause memory value in the Record Settings dialog) will be captured.

You can drop markers in the file during recording by clicking the Drop Marker buttons.

See below.

If you want to abort the recording, click the Discard button.

This terminates recording and discards the recorded file.

When you have finished, click Stop. You can also have recording stop automatically by using one of the Auto-stop options. Either way, the recording appears in a new window behind the dialog.

If you want to perform more recordings after the first, simply click the Record button and record again. If you have selected the Named File option, and the Auto number option is deactivated, you have to specify another file name to avoid overwriting the previously recorded file.

When you have finished recording completely, click the Close button (in the lower right corner) to close the dialog.

If you have created temporary files, and want to save the file(s) permanently, click on each document you have created and use Save As on the File menu to save each one.

About dropping markers during recording

When you are recording, you can click the marker buttons at any time, to add a marker to the recorded file. The yellow button will generate a numbered generic marker, while the white buttons will generate numbered generic region start and end markers. If you want to name the markers you drop, type in the desired name in the box below the buttons.

Note: if you insert two or more region start markers in a row (with no region end markers in between), only the last of these start markers will be kept (the first marker(s) will be removed).

In other words, the last region start marker doesn't become "permanent" until you insert a region end marker.
The same goes for region end markers - if you insert several end markers in a row, only the last one will be kept.

This is a very useful function, because it allows you to "change your mind" when inserting markers during recording. For example, let's say you are recording a continuous performance and want to mark all takes worth keeping. At the start of a take you insert a region start marker. However, this turns out to be a false start or a flawed take. When the next take starts you insert a new region start marker again and the previous, false start marker is removed.

When the Record dialog has focus, you can use key commands to quickly access various functions (dropping markers, pausing, etc). See Key Commands - Editing and Recording.


Selecting what to monitor

On the lower part of the Analysis menu, you will find different monitor modes for the meters. You select a monitor mode either from the menu, or by clicking the corresponding button on the Meters control bar.

The five modes work as follows:

Monitor playback

This is the normal metering mode, in which the meters reflect the audio being played back. Note that the meters are after the Master Section in this mode, which means the results of effects, dithering and Master faders are taken into account.

In this mode, the meters can be used for monitoring all kinds of audio playback: Wave windows, the Montage, audio CD track lists, audition in file dialogs, etc.

Monitor audio input

In this mode, the meters will reflect the audio input to the program. Typically, this is the mode to use when recording. The Master Section settings are not taken into account in this mode.

Freeze all meters

Selecting this "mode" will freeze all open meters, causing them to keep the values and readings displayed the moment you selected the mode. The meters will remain frozen until you select another monitor mode.

Monitor edit-cursor position

This mode is only available for Wave windows. When this is selected, the meters will be static, showing the levels and other values for the audio at the position of the Wave Cursor, in stop mode. This allows you to analyse a certain position in an audio file, in real time. The Master Section settings are not taken into account in this mode.

Analyse selection

Again, this mode is only available for Wave windows. It allows you to make a selection and have the meters display the average values over the selected range, statically. The Master Section settings are not taken into account in this mode.

When you change the selection, you need to update the meter displays by selecting "Refresh selection analysis" from the Analysis menu (or by clicking the Refresh button on the Meters control bar).


The meters

There are six different meters in WaveLab, each with its separate window. The meters are opened and closed from the Analysis menu (or by clicking the buttons on the Meters control bar).

To close all open meter windows, click the Close Meters button on the Meters control bar.

As with any standard window, you can resize the meter windows by dragging the window borders, and fold the windows by clicking the fold icons (or by double clicking the title bars).

The following list describes each meter briefly. For a detailed description, please use the help in the meter windows themselves.

Level/Pan meter

This shows the level (peak and average loudness/VU) and the pan (stereo balance) of the monitored audio.

Phase Scope

The Phase Scope indicates the phase and amplitude relationship between the two channels in a stereo file.

Spectrum Meter (60 bands)

The Spectrum meter shows a continuous graphical representation of the frequency spectrum, in the shape of a "bar diagram" with 60 frequency bands (much like a simplified form of the FFT meter below).

Spectrum analyser (FFT)

The Spectrum Analyser uses FFT (Fast Fourier Transform) to display a continuous frequency graph, allowing for very precise and detailed real-time frequency analysis.

Bit Meter

The Bit Meter shows how many bits are used, i.e. the resolution of the audio being monitored. For example, this helps you determine when it's necessary to use dithering.

Wave Scope

The Wave Scope is a "microscope" version of the level meter, showing the area around the cursor position at large magnification. The Wave Scope cannot be used in "Analyse Selection" mode.


Applying processing - General procedure

In normal cases processing is applied to a selection only. However, there are some exceptions where the processing (due to its nature) must be applied to the entire file. This will be indicated in the respective section.

To apply processing to a selection, proceed as follows:

1. Make a selection.

In many cases you will want to "Select All" to process the entire file. If the file is in stereo, you can apply processing to either channel or both, by selecting one channel or both, see Selecting in stereo files.

2. Select the desired type of processing from the menus.

3. If a dialog appears, fill it out.

If the dialog uses presets, you can load one of them to fill out the settings automatically, see Presets.

4. When you have finished with the settings in the dialog, click the Apply/Paste/Process button.

The status bar shows the progress of the operation. If you need to interrupt a long process, click the "Stop" button on the status bar or press [Esc].

No matter how long the selection is or how elaborate the processing may be, you have access to unlimited Undo/Redo for all processing.


Normalize

This allows you to change the amplitude (volume) of the selection. The value is always related to the maximum level that can be obtained.

To find out exactly what each control in the dialog does, click the Help button in the dialog.


Gain Change

This also allows you to change the amplitude (volume) of the selection, just like Normalize. The difference here is that the gain change is set in absolute numbers, plus/minus the current level (which is indicated as 0dB). You should be careful not to raise the amplitude too much and cause clipping (digital distortion).

To find out exactly what each control in the dialog does, click the Help button in the dialog.


Dynamics

This dialog allows you to tailor the dynamics of the audio, to create effects like compression, expansion, limiting and noise gating. Since dynamic processing of audio is a big subject, we will not be able to describe all the possibilities in this short text. Please study the included presets which implement examples of the above-mentioned functions and experiment with the controls to get a feeling for what they do.

The Time Response controls

The settings in this section apply regardless of whether you use the graphic editing possibilities or not. These controls govern how a variation in sound level in the material affects the amount of processing.

The Attack parameter, for example, is related to the beginning of new sounds in the material (for example each new "hit" in a drum recording). Raising the Attack time means that more of the beginning of each sound (the attack) will pass through unprocessed.

We recommend that you try the Auto feature first, and if that doesn't give the desired result, use the individual controls instead.

To find out exactly what each control in the dialog does, click the Help button in the dialog.

The Normalize controls

These are used to normalize the sound before and/or after processing. Please note the following:

The effect of all dynamic processing depends on the amplitude (level) of the material to be processed. Therefore, if you process a number of files with slightly different levels (for example using presets or batch processing) the effect of the processing will be different from file to file. To avoid this, activate "Normalize before".

On the other hand if you are experimenting with different settings, this means that after activating "Normalize before" you may have to re-adjust the Threshold level. See Normalize for more information on normalizing.

One reason for setting the "Normalize before" value to less than 0 dB (full level) is if you are expanding, which might introduce clipping if the signal is too strong to start with.

Again, use the on-line help in the dialog to find out the exact details.

The Dynamics controls

When the Graphic Editing switch is deactivated, the dynamics processor works very much like a simple compressor. Use the Threshold and Ratio settings to set the amount of compression (see the on-line help in the dialog for details).

About graphic editing

When the Graphic Editing check box is activated, you can use the curve display to specify any input to output function. This allows you to "draw" limiters, noise gates, expanders etc. and combinations of all these. The printed manual describes the procedures for this, and also contains examples of different curves. See also the presets for examples.


Fade-in and fade-out

A fade-in is a gradual increase in level and a fade-out is of course the opposite. There are two ways of applying fades in WaveLab: by using the Easy Fade function or by using the Fade dialog:

Easy Fades

Using the Fade dialog


Easy Fades

The Easy Fade function allows you to very quickly apply a fade-in or fade-out to an audio file, without having to make any settings:

1. To create a fade-in, make a selection from the start of the audio file to where you want the fade-in to end.

Similarly, to create a fade-out, you should make a selection from the position where you want the fade to start, to the end of the audio file.

2. Select "Easy Fade" from the Process menu, or press [Ctrl]-[D].

A linear fade is applied to the selection.


Using the Fade dialog

The Fade dialog allows you to specify the desired shape of the fade, and to create fade-ins or fade-outs anywhere in a file:

1. Make a selection that spans from where you want the fade to start to where you want it to end.

2. Select fade-in/out from the Process menu to open the Fade dialog.

3. Use the Type options to select a fade-in or a fade-out.

4. Set the Offset and Damping parameters.

A graph in the waveform indicates the resulting shape. The Damping value indicates how much the wave will be attenuated at the Offset point. A 6dB Damping with a 50% Offset normally gives the most natural results. See "Crossfade" below for more details.


Crossfade

A crossfade is a gradual fade between two sounds, where one is faded in and the other faded out. This function allows you to do just that. It also lets you create plain mixes of two sounds.

Performing a regular crossfade

The material you want to crossfade can either be in two different sections of the same file, or it can be in two different files.

Since the crossfade is a type of paste operation, you must start by getting the section into which you want to fade (the later part of the fade) onto the clipboard.

1. Select the section into which you want to fade.

2. Select Copy, from the Edit menu.

Now it's time to move over to the section from which you want to fade, which might very well be in another Wave window:

3. Select the section from which you want to fade-out.

This selection cannot be longer than the selection you just copied, or the program will not be able to perform the crossfade!

The length of this selection will determine the length of the actual crossfade (check the length on the status bar). In a typical case, this selection will be at the end of the wave. See below for details.

4. Select Crossfade from the Process menu.

The dialog appears and crossfade slope indicators are shown in the current selection.

5. Make sure that "Mix without fading" is not activated in either section.

6. Adjust the Offset and Damping parameters as desired.

The shape of the two curves is indicated in the selection. See below for details.

7. Click the Paste button.

Please note that if both waves already have full level sections in the crossfade area (for example if you have normalized both waves), clipping (and hence distortion) might occur! If this happens, reduce the amplitude of both waves by 3 to 6 dB and try again.
Also note however, that if one of the "Inverse of fade In/Out" boxes is checked, clipping can never occur.

How the fade is done

As described above, the length of the fade is determined by the size of the selection in the file into which you paste.

The pasted material has to be longer than the selection you paste "into" (or there won't be enough material to finish the fade).

Any "excess" material in the copied selection will appear after the fade (at "full level"). The wave is lengthened as needed.

Any material that originally appeared after the selection in the file into which you paste, will be moved so that it now appears after the newly pasted material.

About the curves

The design of the fade and crossfade curves is based on psycho-acoustic research material, in order to give as pleasant and harmonic a result as possible.

For each of the two sections - the fade-out and the fade-in - you can select an Offset and a Damping value. When you adjust these values, the curves in the wave are adjusted accordingly so that you can see what kind of crossfade you will get.

The Offset factor determines where in the fade section the file will play at its "mid level" (normally half the level, see below).

The Damping parameters adjust the "steepness" of the fade. For example, a -6dB setting for the fade-in will result in a normal fade, where the level is half the original when it reaches the Offset point. Values closer to 0dB will emphasize the beginning of the fade-in wave. Values closer to -18dB will make the fade-in sound drop drastically at the beginning of the fade.

Mix without fading

If you activate "Mix without fading" for either section, it will play at full level throughout the entire fade.


Invert Phase

This turns the signal "upside down", which is the same as inverting the phase by 180°. No settings are needed for the operation.

There is no audible change when you invert the phase of a mono signal. However, if one channel in a stereo pair is out of phase with the other, this will lead to artifacts such as a drop in the bass register and a "blurred" stereo image.

The most common use for this function is therefore to fix a stereo recording where one of the channels has accidentally been recorded out of phase with the other.


Reverse

This function simply reverses the selection, as if playing a tape backwards. No settings are needed.


Eliminate DC Offset

This function removes a problem that most often appears due to mismatches between various types of recording equipment.

It is recommended that this function is applied to complete files, since the problem is normally present throughout the entire recording.

A DC offset is when there is too large a DC (direct current) component in the signal. If the DC offset is really bad, it can be visible as the signal not being visually centered around the "zero level axis". However, the DC offset can be significant without actually being seen.

A DC offset is problematic for two reasons:

It affects where the zero crossings appear, which in turn affects the smoothness of splices between audio files.

Certain processing options do not give optimal results when performed on files with a DC offset.

Checking for and eliminating DC Offset

1. Select the wave you want to check and possibly fix.

2. Select "Eliminate DC Offset" from the Process menu.

A dialog appears stating the amount of DC offset.

3. Click OK or Cancel.


Waveform Restorer

This lets you remove intermittent clicks and pops in an audio file. First make a selection encompassing the artefact you want to remove, then apply one of the available methods. Usually, you will have to use a high zoom factor to be able to locate and select the undesired element.

The Waveform Restorer lets you select one of several available restoration methods. The selected method is described in the dialog.


Time Stretch

Time stretch is an operation that allows you to change the length of a recording without affecting its pitch. Actually the standard term "time stretch" is a bit misleading since you can of course also make the material shorter.

This function is most often used to make a section of audio fit in with some other material. Therefore this dialog is set up exactly for that. You select the material to be stretched and use the options in the dialog to find a stretch factor (the "Ratio"). This is done by specifying the desired length, or the desired tempo, all according to what the situation requires. You can also specify the Ratio directly as a percentage value of the original length.

To find out exactly what each control in the dialog does, click the Help button in the dialog.

Limitations

Time stretch is a very complicated Digital Signal Processing (DSP) operation. It requires complicated mathematical operations and always affects the sound quality to some extent:

The maximum range is 50% (half speed) to 200% (double speed). In reality however, the extreme values can only be used for non-critical applications and special effects.

For speech, stretch factors within a ±30% limit will normally provide very good results.

For composite music, try to limit the range to ±10%.

For sensitive material, like solo piano, try not to exceed ±3%.


Pitch Correction

Pitch Correction is a function which allows you to change the pitch of a sound, with or without affecting its length. WaveLab's Pitch Correction function can also detect the current pitch of the audio, and let you specify the amount of pitch shift by entering a note name/number.

You have to make a selection in the Wave window to apply this effect.

To find out exactly what each control in the dialog does, click the Help button in the dialog.


Pitch Bend

This function utilizes a high quality pitch shifting engine that lets you create stunning effects, by gradually changing the pitch of a sound according to a set envelope curve.

You have to make a selection in the Wave window to apply this effect.

To find out exactly what each control in the dialog does, click the Help button in the dialog.


Harmonization

This is a variation of the Pitch Correction, which allows you to create not only one shifted voice, but up to sixteen! This can be used for special effects, but also to create stereo material out of mono recordings (by specifying very small, balanced pitch shift amounts - a few cents only - and panning the detuned voices hard left and right).

To find out exactly what each control in the dialog does, click the Help button in the dialog.


Hi-fi Chorus

This chorus works slightly differently from many others. Often chorusing is achieved by delaying a copy of the signal, continuously varying the amount of delay and mixing the delayed signal back in with the original.

While this is adequate for many purposes, WaveLab takes a more natural approach to creating chorus. Since a chorus effect is basically about making a recording sound as if it was performed by many "identical musicians", WaveLab takes just that approach. It multiplies the recording up to 100 times and detunes and delays each "voice" slightly and - if so desired - pans the voices across the stereo image.

To find out exactly what each control in the dialog does, click the Help button in the dialog.


Convert sample rate

This function allows you to change the sample rate of a recording. This is very convenient if you have a file that you wish to use in a certain audio system and find that the file was recorded at a sample rate this system doesn't support. Please note that Sample rate conversion can also be done as part of the Saving process.

Please note the following:

Sample rate conversion from a low frequency upwards does not improve sound quality. The high frequencies that were lost due to a low recording frequency cannot be restored by a conversion.

When you sample rate convert down to a lower frequency, high frequency material will be lost (this is part of the mathematics behind digital audio). Therefore, do not convert down and then up again, since this will lead to a degradation in sound quality (unless that's exactly what you're after). Instead, use the Undo and Redo functions.

Performing the sample rate conversion

1. Select Convert sample rate from the Process menu.

This opens the Audio Properties dialog, with only the Sample Rate controls available.

2. Select the desired sample rate and click OK.

If you want to change any other audio properties (e.g. the bit resolution or stereo/mono status), you need to open the Audio Properties dialog by selecting "Save as" on the File menu, and then clicking the Properties pop-up in the Save as dialog.

Sample rate conversion is always applied to the entire file. Any selection you have made is not used in any way for this operation.


Introduction

The Master Section is the heart of WaveLab's "Real-time Engine" and the final block in the signal path, before the audio is sent to the audio hardware (or to an audio file on disk). This is where you adjust master levels, add effect processors and dither.

The settings and processors in the Master Section are taken into account in the following cases:

When playing back an audio file in a Wave window.

When playing back an Audio Montage.

Note that the Master Section effects are global for all clips and tracks in a Montage, as opposed to the individual clip effects.

When using the Render function with any of the above.

The Render function (called "Apply" in previous WaveLab versions) writes the output of the Master Section to a file on disk, allowing you to apply Master Section processing to a Wave or mix down a Montage to an audio file.

When using the Live Input mode.

About the "Use Master Section" option

If you don't need the Master Section at all, you can turn it off completely by deactivating the Use Master Section setting on the Options menu. This will save processor power, but makes the following sections of the program unavailable:

The Master Section window, including processors and dithering.

The Live Input.

Several functions of the Monitor window.

The Batch Processor.

Audio CD Burning from the Audio Montage.


Window Handling

To open the Master Section window, you can either select it from the Specialized Windows submenu on the View menu, click the Master Section button on the Window controller bar or press [Ctrl]-[F9].

When you open the Master Section, active effect processor panels will also appear (if they haven't been hidden).

To close the Master Section, select it from the menu again (or click the Master Section button again).

Showing and hiding panes

You can independently hide the three Master Section panes in any combination:

Clicking on the Hide button (the button in the top right corner) for a pane will "fold" it, leaving only the pane title bar visible.

This is useful for saving screen space, if you e.g. don't need to see the Dithering settings. Note that the red indicator for the pane will still be visible when the pane is hidden, allowing you to see at a glance whether effects, master volume or dithering are used or not.

To show a hidden pane, click its Hide button again.

Right-clicking (or [Ctrl]-clicking) a Hide button will hide the other two panes and bring the clicked pane to view (if hidden).

Double clicking a Hide button will hide or show that pane and the pane(s) below it.


The Master level pane

The Faders

The Meters

The Mono button

The Dropout indicator


The Faders

The faders in the Master level pane govern the final output level. Use these in conjunction with the level meters (those next to the fader, or even better, the meters in the Level/Pan Meter window) and the clip indicators to optimize the level of the signal sent to the audio hardware.

It's particularly important to avoid clipping (signal levels exceeding the available headroom), especially when mastering. Clipping is indicated by the Master Section's clip indicators (see below) and by the number of clips indicators in the Level/Pan meter.

To adjust the level, use the following methods:

To make coarse adjustments, click a fader handle and drag it.

You can also click directly anywhere along the fader scale to move the fader handle there immediately.

For fine adjustments, click on the upper or lower half of the fader handle.

This raises or lowers the level by a small amount.

To reset a fader to 0.00 dB, press [Ctrl] and click anywhere on the fader.

When both faders are set to 0.00 (and the Mono button isn't activated), the Master level section will not affect the signal at all. This is indicated by the red indicator for the Master pane going dark.

The fader settings are shown numerically below each fader.

About the Unlink mode

The Unlink button determines whether the faders should be individually adjustable (indicated by a lit Unlink button) or "ganged". Normally, you will probably want Unlink deactivated, so that moving one fader also moves the other by the same amount. Turning on Unlink allows you to correct improper stereo balancing by adjusting the channels' levels individually. Note:

If you offset the faders (with Unlink turned on) and then deactivate Unlink again, you can adjust the overall level without changing the level offset between the channels.

In other words, moving one fader will move the other one by the same amount, relative to its current setting. Note that the faders use an exponential scale - this means that when you move one fader, the other does not follow in a linear fashion on the screen. However, the audio result is what you expect.

Fader offsets are not preserved at the end of the range of movement.

This means that if you move one fader so that the other fader reaches the top or bottom of the scale, and keep moving it, the fader offset will be disrupted.


The Meters

The Master Section meters show the signal level of the signal before dithering (or any other plug-in you have applied post-master fader - see Adding other plug-ins to the Dithering pane). Use these to get an overview of the signal levels.

The numeric fields above the faders show the peak levels (the highest signal levels reached) for each channel.

They will hold these values until you click on them to reset them.

The red "LEDs" above the meters are clip indicators, which will light up whenever the signal clips (exceeds the maximum available headroom).

If this happens, you should lower the faders, reset the clip indicators by clicking on one of them, and play back the section again until no clipping occurs.

For critical level metering, we recommend using the level/pan meter (see The meters). Not only is this more detailed, it's also applied after the whole Master Section (after dithering) and will thus show the actual signal level sent to the audio hardware.


The Mono button

If you activate the Mono button, the two channels will be summed to mono. Furthermore, the output level is automatically reduced by -6dB, to avoid clipping. The Mono button is useful for checking mono compatibility of stereo mixes, etc.

If the Mono button is activated, the red indicator for the Master level pane will be lit, even if the master level isn't adjusted.

This helps you avoid accidentally leaving the Mono button activated.


The Dropout indicator

This indicator lights up whenever WaveLab fails to properly play back as little as a single sample of the currently selected wave. A dropout is most likely to occur when your computer does not have the processing power to adequately handle all effect processors you have inserted.

To avoid dropouts, try the following:

Use fewer effects.

You might be running out of processing power.

Consider "Rendering" the processing rather than running it in real time. Then master from the processed file without any processors plugged in. See Rendering.

Dropouts never occur when "Rendering" to a file.

Do not process any files in the background while mastering digitally to a DAT for example.

If neither of the above helps, please check the audio card preference settings, you might need to adjust the audio buffer settings.

If a dropout occurs during a real-time mastering process (and if your master needs to be flawless) we recommend that you re-master. Stop playback, click on the dropout indicator to reset it, and try again.

As mentioned above, this indicator lights up if as little as a single sample is not correct. This type of precision is not often required, but it's there if you need it.


The Effects pane

Introduction

Selecting effects and managing slots

Making settings - The Effect control panels

Working with effect processor presets

About the effect plug-ins supplied with WaveLab

Installing additional effect plug-ins


Introduction

WaveLab allows you to insert up to eight effect plug-ins in series (plus an additional, post-master fader plug-in, normally used for dithering, see The Dithering pane). Three plug-in formats are supported in the Master Section:

WaveLab-specific plug-ins, included with the program.

VST plug-ins.

Steinberg's VST plug-in format is supported by a lot of programs and plug-in manufacturers. You will find a number of VST plug-ins included with WaveLab; other plug-ins can be purchased separately from Steinberg or other manufacturers or in some cases downloaded from the Internet.
Note also that if you have Cubase VST installed on your computer, the effects that were included with Cubase will also be available in WaveLab (provided that they are installed in the "Shared VST Plug-ins folder", see the Cubase VST documentation for details).

Plug-ins that adhere to the Microsoft DirectX standard.

These are know as DirectX or DX plug-ins and are also widely available.

Some processors not specifically designed for WaveLab may not have a dry/wet signal balance parameter. In these cases, using the plug-in in WaveLab may not produce the desired effect. You might end up with an all-wet signal or a mix between wet and dry that can't be adjusted.

Only VST-compatible plug-ins can be used as clip effects in the Audio Montage (see Adding clip effects).


Selecting effects and managing slots

To select an effect plug-in for a slot, click on the numbered button to the right of the slot and select an effect from the pop-up menu that appears (you can also click directly on the slot to bring up the pop-up menu). Note that effects can be organized in groups (see Organizing plug-in processors), in which case they will appear in hierarchical submenus.

The number of effects available on the menu depends on which plug-ins you have installed. It's also possible to globally deactivate or exclude effects you don't need, see Activating and deactivating plug-ins and groups.

When you have selected an effect, it is automatically activated (the On button lights up), and its control panel appears as a separate window (see Making settings - The Effect control panels for more on effect control panels).

You can turn off an effect (without removing it) by clicking its On button.

To activate the effect again, click the On button so that it lights up.

To hide the control panel for an effect, right-click its On button (or right-click the effect slot and select Hide from the pop-up menu that appears).

A hidden control panel can be shown by right-clicking the On button again (or by selecting Show from the same pop-up). You can also have all have one effect panel shown and automatically hide all the other panels, by right-clicking the Solo button for the slot.

Clicking the Solo button for an effect will bypass all other effect slots, allowing you to check the sound of that effect only.

You can also bypass effects manually in their control panels - see below.

You can change the order of the slots (and thus the order in which the signal passes through the effects) by clicking a slot and dragging it to a new position.

When you drag, a dotted outline shows the position of the slot.

To remove an effect from a slot, right-click the slot and select Remove from the pop-up menu that appears.

This is the same as selecting "None" from the effect selection pop-up menu.


Making settings - The Effect control panels

The control panel window is where you make settings for an effect. Plug-ins can either have specialized control panels (with any combination of knobs, sliders, buttons and displays) or use a standard panels.

Bypass, Mute and Preset

As you can see in the figure above, the three buttons above the actual panel are common to both kinds of control panel windows. They have the following functionality:

Clicking the Bypass button will temporarily bypass the effect.

Unlike turning off the On button for the slot, the bypass function does not free up any processing power. Note that you can bypass all effects except one by using the Solo button for a slot. It's also possible to bypass all effects by using the global bypass button in the Effects pane.

The Mute button turns off the signal output from the effect.

That means that you will no longer hear your signal because it won't even reach the next stage (either another slot or the master faders).

The Preset button allows you to select and edit presets for the effect.

See Working with effect processor presets.

Standard panels

A standard panel shows parameter names and values (up to three parameters at a time) in the display to the left. To make settings, use the following procedures:

Use the Page buttons to select a parameter for editing.

The selected parameter is indicated by a frame in the display. If there are more than three parameters, clicking the Page buttons will scroll the display to reveal the next
parameters.

To change the value of the selected parameters in small steps, use the Parameter buttons.

You can also change the value by using the data entry dial.

Click and drag upwards to increase the value, or downwards to decrease it. The data entry dial can be used for both coarse and fine value changes, depending on with which mouse button you click when moving it:

Mode | Operation
Normal value change | Use the left mouse button.
Coarse value change | Use the right mouse button.
Fine value change | Use both the left and right mouse buttons.

Custom panels

An effect plug-in can actually have any control panel that the plug-in designer desires. There are several examples of custom panel plug-ins included with WaveLab.

For information about the panels for additional plug-ins, see the documentation for each plug-in.


Working with effect processor presets

With WaveLab comes a number of "factory presets" for the included processors, which you can either select and use as is, or use as a starting point for your own settings. Additional plug-in processors may provide their own "factory presets".

To access the presets for an effect, click the Preset button in its control panel window.

The result and available functions depend on the type of plug-in:

WaveLab specific plug-ins

Applying and saving presets for WaveLab specific processors works exactly as with any other preset. See Presets.

VST-compatible plug-ins

VST plug-ins have their own preset handling. When you click the Preset button for this type of effect, a pop-up menu with the following options appears:

Item | Description
Load/Save Bank... | This allows you to load and save complete sets of presets. The file format is compatible with Cubase VST.
Load/Save Default Bank | This allows you to load the default set of presets (as will appear when first loading the plug-in) or save the current set of presets as the default bank.
Load/Save Effect | Lets you load or save one preset at a time. Also compatible with Cubase VST.
Edit name of current program... | This allows you to define a name for the preset, which might be displayed in the panel (depending on the plug-in).
Preset List | This allows you to select one of the currently loaded presets.

DirectX plug-ins

Here, the same functionality is provided as for WaveLab plug-ins. In addition, you can import "native" presets created for the plug-in.


About the effect plug-ins supplied with WaveLab

Included with WaveLab is a large number of plug-ins for all kinds of purposes, audio compression, chorus, stereo enhancement, reverb etc. The parameters for each plug-in are described in the "Plug-in Processor Reference" section.


Installing additional effect plug-ins

If you have purchased or downloaded additional plug-ins (VST or DirectX), you need to install these to be able to use them in WaveLab. Normally, plug-ins come with an installer application of some kind, along with a manual or installation notes - make sure to follow the instructions in these when installing the plug-in.

About installing DirectX plug-ins

Normally if the DirectX plug-in has been installed properly, it will automatically be "visible" in WaveLab. If it isn't, you need to "update the Windows registry" so that it is. Proceed as follows:

1. In Windows, locate the actual plug-in file on your hard disk.

These are "dll" (dynamic link library) files, which means they normally have the extension ".dll". Sometimes other extensions are used as well.

2. Drag and drop the file icon, either onto the WaveLab program icon, or somewhere in the WaveLab application window.

A dialog box will ask you whether you want to register the plug-in or not.

Organizing plug-ins

You can specify which plug-ins should be available in the program and how these should be organized on the menus. See Organizing plug-in processors.


The Dithering pane

What is dithering?

When should I apply dithering?

Selecting a dithering algorithm

Making settings

Adding other plug-ins to the Dithering pane


What is dithering?

Dithering is a method for reducing quantization errors in digital recordings. In the case of WaveLab, dithering is applied when reducing the number of bits in a recording, for example when moving from 24 to 16 bits, and when applying processing.

The theory behind this is that during low level passages, only a few bits are used to represent the signal, which leads to quantization errors and hence distortion. To the ear, this is perceived as "graininess" during low level passages in a recording.

When "truncating bits", as a result of moving from for example 24- to 16-bit resolution, such quantization noise is added to an otherwise immaculate recording.

By adding a special kind of noise at an extremely low level, the quantization errors are minimized. Indeed, the added noise can be perceived as a very low-level quiescent hiss added to the recording. However, this is hardly noticeable and much preferred to the distortion that otherwise occurs.

The reason for the dithering block to be last in the Master Section is that the output level must not be changed after dithering a signal.


When should I apply dithering?

The basic rule-of-thumb is that you should dither when moving to a lower bit resolution. One obvious instance of this is when converting an audio file to a lower resolution (e.g. preparing a 24-bit file for mastering to CD, which uses 16-bit format).

However, even if you're playing back or rendering a 16-bit file to the same resolution, you need to dither if you're using any real-time processing whatsoever in WaveLab! The reason for this is that WaveLab works with an internal resolution of 32-bit (floating point), for supreme audio quality. This means that as soon as you perform any kind of real-time processing, the audio data will be treated at this high resolution instead of the original 16 bits, thus making dithering necessary.

Examples of real-time processing include level adjustments, any effects, mixing of two or more clips in a Montage, etc. In fact, the only time when a 16-bit file will be played back at 16-bit resolution is if you play it without any fades or effects, and with the Master Faders set to 0.00 (no level adjustment - Master level indicator turned off).

To make sure whether you need to dither or not, use the Bit Meter to check the actual resolution of your audio signals.


Selecting a dithering algorithm

To select and activate a dithering algorithm, click on the arrow button next to the plug-in slot in the Dithering pane, and select one of the options from the pop-up menu that appears. The default options are "Intern" (WaveLab's internal dithering algorithm) and "UV22HR" (an advanced dithering algorithm developed by Apogee). However, you can also add other plug-ins to this list (see Adding other plug-ins to the Dithering pane).

When you select the "UV22HR" option, a special control panel appears. This is where you make settings for the UV22HR dithering (see UV22HR Dithering).

This is handled in the same way as regular effect control panels - you can hide or show it by right-clicking on the slot, bypass it in the control panel, etc. The same is true if you select any plug-in other than the "Intern" option. For the internal dithering, the controls in the Dithering pane are used, as described below.

Once you have selected a dithering algorithm, dithering is active (as indicated by the red indicator for the Dithering pane). It will apply to all playback (through the Master Section) or rendering.

To turn off dithering completely, right click in the slot and select "Remove" from the pop-up menu that appears.

This is the same as selecting "None" from the effect selection pop-up menu.


Making settings

When dithering, there are no hard and fast rules for how to set up the parameters - this largely depends on the type of material. We recommend that you experiment and let your ears be the final judge.

The available parameters are different for the internal algorithm and the UV22HR:

Internal dithering

Parameter | Description
Noise Type | Determines the dithering method used: In "Off" mode, no dithering is applied - use this as a Bypass function. The "Type 1" mode is the most "all-round" type of method. The "Type 2" mode emphasizes higher frequencies more than Type 1.
Noise Shaping | This parameter alters the character of the noise added when dithering. Again, there are no hard and fast rules, but you may notice that the higher the number you select here, the more the noise is moved out of the ear's most sensitive range, the mid-range.
Output Bit Resolution | This is where you specify the intended bit resolution for the final audio, after dithering, regardless of whether you will "Render" the settings or play back in real-time. It is very important to set this to the correct resolution!

UV22HR Dithering

The UV22HR is an advanced version of Apogee's renowned UV22 dithering algorithm, capable of dithering to 8, 16, 20 or 24 bits.

Option | Description
Normal | Try this first, it is the most "all-round" type.
Low | This applies a lower level of dither noise.
Autoblack | When this is activated, the dither noise is gated (muted) during silent passages in the material.
Bit resolution | You use the buttons 8, 16, 20 or 24 to select the intended bit resolution for the final audio. As when using the internal dithering, it is very important to set this to the correct resolution!


Adding other plug-ins to the Dithering pane

If you have purchased another dithering plug-in that you prefer, you can use this instead of the internal or UV22HR dithering. It's also possible to insert some other type of plug-in in the Dithering pane - it will be applied after the Master level faders (possible useful plug-ins would be maximizers, limiters, etc.).

Please remember that the meters in the Master Section monitor the signal before the Dithering pane! To avoid clipping, check the Level/Pan Meter and adjust the output level setting of the plug-in, if available.

To make a plug-in available on the plug-in slot pop-up menu in the Dithering pane, proceed as follows:

1. Pull down the Options menu and select "Organize Master Section plug-ins...".

A dialog appears, listing all plug-ins installed in your system. See Organizing plug-in processors.

2. Locate the plug-in in the list.

Note that plug-ins can be placed in groups (folders) in the list - click the plus sign next to a folder to view the contents of a group if needed.

3. Activate the checkbox in the PM column for the plug-in.

PM stands for "Post Master fader".

4. Click OK to close the dialog.

Now, the plug-in will appear on the pop-up menu in the Dithering pane, and can be inserted after the Master Level faders (as with the regular dithering types). You make settings for the plug-in like you would for effects in the Effects pane. Note also that the plug-in will still be available for selection as a regular, pre-master effect.


Master Section presets

Creating presets

Loading a preset

Modifying a preset

Deleting a preset

Using key sequences for presets

Saving and loading preset groups


Creating presets

You can turn all settings currently made in the Master Section into a preset. This includes which processors were used, what settings were made for each one of them, and dithering options.

To create a new preset, proceed as follows:

1. Setup the Master Section as you want it.

This includes selecting Processors, making settings, and setting dithering options.

2. Click the Presets button in the Effects pane.

3. Type in a name for the preset in the upper right corner.

4. If you want the dithering options and Master level settings to be part of the preset, make sure "Save Dither/Level settings" is activated.

This is the default.

5. Click Add.

The presets are saved automatically when you quit the program. The next time you load the program, the presets are ready and waiting, just as you left them.


Loading a preset

To load a preset, select it in the list to the left, and click on one of the Load buttons, depending on the desired load method:

The Replace method replaces all settings in the Master Section with the setting in the preset.

The Mask method replaces only those slots in the Master Section that are actually used in the preset.

The Append method fills the unused slots in the Master Section with the settings in the preset.

If there are not enough free slots available to load the entire preset, a warning message will appear.


Modifying a preset

1. Set up the Master Section as desired.

If you only want to adjust a few settings in an existing preset, you may want to load this first.

2. Go back to the "Master Section Presets" window.

3. Select the preset you want to overwrite with the new settings.

4. Click the Update button.


Deleting a preset

To delete a preset, select it in the list to the left and click the Delete button.


Using key sequences for presets

If you want to invoke a preset via a key command sequence, you can do this by defining key sequences.

A key sequence contains between one and three keys that must be pressed in a certain order to recall the preset.

Defining key sequences

1. Select the preset for which you want to create a key sequence, and click the key sequence button.

2. If you want to clear the current key sequence, click Clear.

3. Make sure Catch mode is active.

4. Press the first combination of keys that you want to use.

You can include modifiers ([Shift], [Ctrl], [Alt], etc.) if you like. There is also a setting that makes the program distinguish between two modifiers with the same label, on each side of the space bar.

5. Proceed with the following key(s).

6. Disable Catch mode.

This is just a safety measure so that you don't accidentally erase or add to your current key sequence, when pressing more keys.

7. Close the dialog.

8. Use the Default Key Action buttons to decide whether your key sequences will invoke the "Replace", "Mask" or "Append" load method.

This setting is global to all Key sequences.

Using key sequences

Key sequences can only be invoked when the Master Section Presets dialog is closed. Simply press the keys in the order they were entered in the dialog, and the preset is loaded.


Saving and loading preset groups

You can save one or more created presets as a preset group for easy access. If you have added presets to the Preset window and want to save them as a group, use the drop-down menu at the bottom of the dialog to enter a name for the group and save it.

When you have saved a set of presets as a group, you can delete the presets themselves, since they are saved in the group and can be recalled by selecting that group from the drop-down menu.

This function is useful if you are working on several projects, since it makes for a convenient way to keep specific Master Section presets for specific projects well organized and easily accessible.


Rendering

While the Master Section can perform all processing in real time during playback, it's also possible to save the audio output to a file on disk. This is done with the Render function.

There are several uses for Rendering:

Mix down a complete Audio Montage to an audio file.

This can be a goal in itself, but can also be necessary if your Montage uses e.g. more effects than the system can handle in real time. By Rendering it to a file first, and creating a CD from this file instead, you can avoid dropouts and CD burning failure.

Mix down a file in a Wave window to a new audio file, complete with Master Section effects, dithering and other settings.

You can freely choose the format of the new audio file, allowing you to create an mp3 file and add effects at the same time, for example.

"Apply" all settings in the Master Section to a file in a Wave window.

This is the same as the previous option, but the Master Section processing will transparently and permanently be "applied" to the current file instead.

Rendering Audio Montages is described in the Audio Montage chapter (see Mixing down - The Render function). This section describes Rendering waves.

What is rendered?

When you use Render, all Master Section settings (effects, master levels, dithering, etc.) are included in the resulting audio file. In other words, what you hear is what you get.

One thing to note: the Bypass switch affects playback only, while the effect On switches affect both playback and Rendering.

Performing the Render operation

Clicking the Render button in the Master Section opens the Rendering preferences dialog. This contains a number of options for how the rendering should be performed, along with settings for the resulting audio file. See the help in the dialog for details.

Once you have set up the dialog to your liking, click OK to start the rendering.


The Monitor window

This window allows you to monitor the ongoing processes, check how hard your computer's CPU is working with various tasks, and more.

To open this window, select "Monitor" from the Specialized Windows submenu on the View menu or click the Monitor button on the Window controller bar.

The window has three displays, selected by clicking the corresponding tab at the bottom of the window.

The Progress display

The Performance display

The Timecode display


The Progress display

The Progress display shows a list with the following columns:

Column | Description
Name | The name of each wave or montage being processed.
Progress | How much of the wave has been processed so far.
Remaining time | This indicates how much time is required to finish the processing.
Priority Boost | The priority assigned to this particular processing.

Process menu

While a wave is being processed, you can even change its settings. Position the pointer in the file's Priority Boost column and press the right mouse button.

The following options are available:

Option | Description
Suspend/Resume | Suspends processing of the wave. The menu option changes to Resume so that you can activate processing again. When a process is suspended, more CPU power will be available to the other processes.
Suspend/Resume All | Halts/starts processing of all waves.
Relax Background, Background, Fast | Changes the priority status for the wave.
Cancel | Cancels the processing operation for the selected wave, in which case the message in the Priority Boost column reads Cancelled until WaveLab has performed all the necessary clean up operations.


The Performance display

The Performance display provides an overview of the processing power currently being used.

The yellow lines refer to the power used for providing input to the Master Section, either reading waves from disk or Live Input. Please note that the values are an approximation.

The purple lines indicate the processing power that is required for all processors currently running in the Master Section. The shorter the line, the less the load on the CPU. This is a very precise measurement.

The blue lines reflect the processing power required by the output device.

There is also a number indicating processor usage in percent.

Customizing the Performance display

You can customize the way the processing information is displayed. If you want to see more of what is going on, resize the window.

Other options are available if you position the cursor anywhere in the black part of the window and press the right mouse button. The following options are available:

You can activate/deactivate the Input, Process, and Output information (see above).

To get an exact (but not as smooth) picture of the processor usage, deactivate Average.

You can select a Zoom factor for the display (50%~400%).

You can change the direction of the status information flow (Horizontal or Vertical).


The Timecode display

This has two uses (selected on the Options pop-up menu in the window):

To display incoming timecode when synchronizing WaveLab to external equipment.

See Checking incoming time code.

To show the current position of the playback cursor in the active Wave or Montage window.

You can resize the window as desired, changing the size of the numerals.


Live Input

Live Input means that the Master Section is used for real-time processing of signals coming in to the sound card's input(s). This signal can be anything your sound card accepts, for example a feed from a mixer, a tape recorder or a microphone.

1. To activate Live Input mode, select "Live Input" from the Specialized Windows submenu on the View menu, or click on the microphone in the Window controller bar.

2. Double click or right-click in the window that appears, to set up the
attributes for the Live Input.

3. Click the Play button to activate the Input.

By combining Live Input mode with the Record Playback Output mode in the Record dialog (see Preparations), you can record with effects.

I.e. you record the output of the Master Section, including all real-time processing.

4. To resume regular playback of opened waves, click Stop, or click on any Wave window.

It is not possible to start playback of a wave while the Live Input window is active. You must activate a Wave window before clicking the Play button.


Introduction

Batch processing is basically an extension of the Master Section Render function (see Rendering). The big difference is that the Batch Processor can work on any number of files, and process different files with different settings. However, it also allows you to do a few other things that are not available with the Render function:

Have any number of processors applied.

Use plug-ins not available in the Master Section, see About the off-line processors.

Work on files that aren't open, and save the processed files directly to disk.

Change the file format and name of files.

Furthermore, the Batch Processor is much more effective than Render, especially when a large number of files are processed. This is because it is more efficient for the computer to process the files one after the other, rather than sharing the processing power between a number of files, all processed "simultaneously". The truth is that the Batch Processor in WaveLab is really fast.

However, there are a few things that you can achieve with Render in the Master Section that aren't available from the Batch Processor since the Batch Processor doesn't support the "No tail", "Roll out" and "Skip Mute sections" features in the Render dialog. If you need these features, use Render.

Note that WaveLab also has a specific batch file encoding function, for batch converting files to MP3, WMA or OSQ format.

See Batch file encoding - Basic procedure.


Opening the Batch Processor

"Use Master Section" (on the Options menu) must be active for batch processing to be available!

There are two basic ways of opening the Batch Processor:

From the Tools menu.

This gives you a "clean slate" to start with. You can open as many Batch Processor windows as you like.

From the Render dialog (see Rendering).

This takes the current settings in the Master window and converts them into a process list (a sequence).

For the Batch Processor button to be enabled in the Render dialog, "No tail", Roll out" and "Skip Mute sections" must all be disabled!


The Input tab - Assembling a list of files

Creating batches

Renaming and setting attributes for a batch

Setting the order of batches

Adding and removing files from a batch

Setting the order of files in the list

About the file icons - File status

Opening files

Other file functions and options

Saving and opening file lists

Validating the list


Creating batches

You are not only able to process one batch of files, but many. Each batch contains a number of files, and all the files in a batch will be processed identically. However, each batch can use a totally different set of processors.

To create a batch, click the button "Create batch folder" at the top of the list.

In addition, if there is no batch at all, one will be created automatically when you add the first file, see below.

To remove a batch, select it and click the Remove button (the red cross).

All the files in the batch will be removed from the list as well.


Renaming and setting attributes for a batch

To rename a batch, proceed as follows:

1. Select the batch in the list and click on the name icon (the "A").

Alternatively you can hold down [Alt] and double click directly on the batch.

2. Enter the desired name in the dialog.

Entering a number instead of a name has a special meaning. This will change the name of the batch to the default name "Batch X", where X is the number you typed. All the other batches with default names will be renumbered accordingly.

3. If desired, specify an output path for the batch.

This is an advanced option that in many cases will not be necessary. You will only need to specify a path here if you want to process a number of batches at the same time and want some of the batches to store their output files in a different directory.


Setting the order of batches

Batches will be processed in the order they appear in the list. If you want a certain batch to be processed first, put it at the top of the list. There are several ways to set the order of batches:

You can move a batch up and down by using the arrow buttons.

You can drag and drop a batch to change the order.


Adding and removing files from a batch

Regardless of which method you choose from below, you should first select the batch to which you want to add the files, by clicking on it.

This will ensure that the files are added to the right batch. If you forget this, you can always drag files to the right batch later, see Moving files between batches.

Adding open documents

To add a document that is already open, to the list, simply select it from the document pop-up.

Note that this also works with documents in open Basic Audio CDs and Audio Montages. This way you can add and batch process all files that "belong" to a Basic Audio CD or an Audio Montage.

Open documents are represented by blue and white miniature window icons.

You cannot process files that have never been saved ("Untitled" files). However, you can process files that have previously been saved, but are now open for editing.

Adding one or more files via a dialog

1. Click the Add file button.

2. In the file dialog that appears, locate and select the desired files and click Open.

Files are represented by yellow icons. Please remember that you can use [Shift] and [Ctrl] in the file dialogs to select as many files as you wish, from the same folder.

Adding files via Drag and Drop

You can add files from the Windows Explorer or My Computer windows. Simply drag the file icon and drop it on the batch.

You can add an open Wave document, by using the drag icon on the title bar and dropping on a batch.

Adding all files in a folder

To add all files in a folder (and possibly in all its subfolders), proceed as follows:

1. Click the Add folder button.

2. In the list that appears, select the desired folder and click Open.

3. In the next dialog, decide what file types should be included, via specifying an extension (you can use "*" to add all file types).

You can also specify whether or not you want to include files in folders located inside the selected folder (subfolders).

About "Allow duplicate file names"

When this option, on the Extra pop-up menu, is activated, the same file can be added to several batches, and hence processed several times.

The only restriction is that each "instance" of the file must be set to create a file with a name and/or location that is different from the other "instances" of the same file. This is done by Using path variables.

Removing files

If you want to remove a file from the list, select it and click the Remove button (the red cross).

You can also clear the list completely and start "from scratch", by pulling down the Extra menu and selecting "Clear list".

Various file considerations

If you are processing a file that is already open, please note the following things:

If the new file will have the same name and is saved in the same location, the file will not be saved (since it is already open). This is the same as using the Render function with the "Process in place" option activated. In this case, Undo is available for the processing.

If the new file will have the same name and is saved in the same location, and the number of channels changes in the file (mono becomes stereo or vice versa) then a new document is created, which is opened in an untitled window.

If the new file is saved under a new name or in a new location, then a new file on disk is created, there's no need for saving. A nice side effect of this is that the Batch Processor can be used for saving very large files to disk in the background, so that you can keep working on other files "in the foreground".


Setting the order of files in the list

Moving files between batches

It is very important which batch a file is part of, since all files in a batch are processed with the same set of effects. If one ore more files for some reason have wound up in the wrong batch, you can move it:

1. Select the file(s) that are in the wrong batch.

2. Drag and drop it/them onto the correct batch.

Changing file order within a batch

The order of files within a batch is usually of no particular importance (they will all get processed in the same way), but when you set up a batch with many files, it might make things easier if you can organize things the way you want it:

You can move a file up and down within the batch by using the arrow buttons.

You can drag and drop files within a batch to change the order.

You can re-sort the order of the files on the Input tab by selecting one of the sort options on the "Extra" menu.

You can also re-sort the list by clicking on the file headings.


About the file icons - File status

To the left of the file you will find an icon providing information about the status of the file:

Option | Description
Green circle | The file is ready to be processed. You cannot start processing unless at least one file has this status.
Purple dot | The file is currently being processed. The Batch window can't be closed if any files have this status, the only way to stop a batch is then from the Monitor window, see The Monitor window.
Half filled green circle | The file has been analysed by an "Ultra-pass" processor but has not been processed and written to disk yet, see Ultra-pass processors.
Green dot | The batch has been processed without problems. In order to process the file again, you need to reset its status, see below.
Red cross | An error occurred. You will most likely have been warned via an alert box. If an error occurs, processing is cancelled by default. On the Extra menu there is however an option called "Stop batch processing at first error". If you deactivate this, processing will not stop upon error, but instead skip to the next file in the batch.

Resetting file status

To reset the status of a file to the "green circle" status described above, click on the symbol to the left of the file.

To reset the status of all files, select "Reset status of all files" from the Extra pop-up menu.


Opening files

The are three ways to open a source file in a Wave window:

Double click on it in the list.

Select it and click the "Open window" button (to the right of the Play button).

Drag it and drop it on an empty section of the WaveLab program window.

To instead open the processed file (after running a batch), proceed as follows:

Double click on the file in the Output column in the list, or...

Select the original file in the list, hold down [Ctrl] and click the "Open window" button, or...

Hold down [Ctrl], drag the file from the list and drop it on an empty section of the WaveLab program window.


Other file functions and options

The "Show full path" and "Show name only" options on the Extra menu allow you to determine what file information you want to see in the list.

To play a file, select it and click the Play button (speaker icon).

Stopping is done using any of the usual methods or by clicking the button again.

If the file list contains files in raw format, you can specify the format for them, by selecting "Raw file format" from the Extra pop-up. If this is done, you don't have to specify the format manually each time a file in "raw" format is about to be processed.

For this to make sense, all "raw" files must be in the same format.


Saving and opening file lists

To save the file list as a simple text file, containing the absolute paths (locations) of all files in the list, select "Save file list..." from the Extra menu. When you open a file list that you have saved (or one created in some other way), the files in the list are added to the currently selected batch.


Validating the list

There might be occasions where it is not certain the file list really matches the contents of the hard disk. For example, a file might have been deleted from the disk since you last updated the list.

Also, you might add files in formats that WaveLab can't handle.

When you select "Validate list" from the Extra menu, the program will scan the list and check that all files really exist in the locations the list specifies and that their formats are valid.

If not, those files will be removed.


Setting up the processing tasks to be performed

Opening the Processor List

About the off-line processors

Ultra-pass processors

Levels - About the Normalize "Only if clipping" option

Managing the processor list

Making settings for a processor


Opening the Processor List

There are three ways to open the Processor List:

Select a batch in the list and click the Processor List button.

Select a batch in the list and press [Return].

Double click on a batch.

Please note that it might take some time to open this window, depending on the number of presets and additional plug-ins you might have installed. If this is a problem, delete the presets you don't need.

The Processor List has two tabs, one is the main tab and the second is for managing presets (see Presets).

The Processors tab

This tab is divided into two columns:

The left column (Sequence) displays a list of processing that will be applied to the batch. When you first open the dialog, this list is probably empty, because you haven't assigned any processors to it yet. Later, when you process, the processing will be performed in the order it appears in this list.

The right column (Plug-ins/Presets) contains the list of available processors and combinations of processors. This is described further in the following paragraph.

The Plug-ins/Presets list

This list contains three folders on the top level, with items that represent various processing options:

The "Master Section Presets" folder contains a list of all presets created in the Master Section Presets dialog, see Master Section presets. Such a preset can contain a number of combined processors, all with their own individual settings.

The Process List Presets folder contains a list of presets created in this dialog. As with the Master Section Presets, this can represent a combination of a number of processors. This allows you to easily re-use combinations of processors.

The Plug-ins folder contains folders and lists of the processors in the program, to some extent the same list as in the Master Section.

The plug-in icons and presets

In the Plug-ins folder, each icon represents an installed plug-in.

Unfolding a processor icon reveals its current presets. If an icon has no plus symbol, it has no "WaveLab Presets", that is, to access presets, you then need to open the panel for the processor itself, see later in this chapter.

DirectX and VST plug-ins are in their own folders.

Off-line processors (see below) are categorized by different colors.


About the off-line processors

There are some important things to note about the off-line processors:

The three categories

Regular (yellow). These require only one processing pass. Example: "Time Stretch".

Multi pass. (turquoise). These require two or more passes (analyse and process). Example: "Normalizer".

Ultra pass. (green). See Ultra-pass processors. Example: "Meta Normalizer".

Other considerations

Off-line processors might not have presets.

Off-line processors that require extra processing "passes", slightly increase the overall processing time.

The included off-line processors

In this version, eight off-line processors are included:

DC Remover. This removes any DC Offset in the file (see Eliminate DC Offset). This would normally be inserted at the beginning of the processing list, preparing the file for processing, so to speak.

Normalizer. This is normally included at the end of the list to get the resulting file back up into "full level". Alternatively, it can be inserted in between other processors when required (for example before the input of a compressor). You can add as many Normalizers as you need, in between other processors, if required.

Time Stretch and Pitch Correction. See Time Stretch and Pitch Correction.

Loudness Restorer. This is used to "capture" the loudness at a certain point in the audio chain and restore that loudness at some other point. For this reason, these must be inserted in pairs into the signal chain (one plug-in "capturing" and one "restoring").

Meta Normalizer. This allows you to give all the processed files the same level after processing.

Meta Leveler. This lets you raise the level of all processed files by a certain amount while maintaining the original level differences between the files.

Stereo -> Mono. Lets you convert stereo files to mono files and limit the level of these to avoid clipping.


Ultra-pass processors

An ultra-pass processor analyses all files in the batch, collects the result, and applies it to the files by various amounts, if desired. This means that the result of the analysis of one file, can affect how other files are processed. A typical example is the (included) Meta Normalizer, which can process a number of files so that they all get the same loudness as the loudest file in the batch. It does this by analyzing all files to find out which is the loudest (and how loud it is) and then process them all by various amounts so that they get the same level.

Ultra-pass processors can be freely combined with other types of processors. For example you can use both the Meta Normalizer and a regular Normalizer in the same batch. You may also combine ultra-pass plug-ins with multi-pass plug-ins.

An ultra-pass plug-in requires two processing passes. During the first pass all the files in the batch are analysed, during the second pass, they are all processed:

This is different from other multi-pass plug-ins, where each file is analysed/processed twice (or even more times if required).


Levels - About the Normalize "Only if clipping" option

Processors often increase signal level. If you are not careful, your file may be distorted when it exits the batch. To prevent this, you can use the "Only if clipping" option in the Normalizer. The theory behind this is as follows:

It is perfectly OK if the signal is amplified above "0 dB" (full level) within the "audio stream", since WaveLab uses 32 bit internal processing. There's lot's of extra "headroom" and the signal will not be clipped.

However, when a signal that exceeds "0 dB" is converted to a 16 bit file, at the output of the Batch Processor, then clipping and hence distortion, will occur.

To remedy this, you can insert the Normalizer at the end of the signal chain. The Normalizer will not only raise levels, but also lower them as required so that the signal peaks exactly at the specified value just before it is converted to a file. This is useful to do even when "Only if Clipping" is not activated.

However, if you only want the Normalizer to be applied when clipping should otherwise occur, activate "Only if Clipping". When this is activated, the signal output may be low, but you can rest assured it isn't clipped due to amplification within any of the processors.

Effectively, this allows you to use the Normalizer as a completely distortion-free limiter.


Managing the processor list

Adding a processor to the list

1. If the processing option has presets that you want to use, click on its folder "+" symbol to open it.

2. Select either the desired preset or the plug-in icon.

Selecting the plug-in icon itself, adds the processor with default settings.

VST plug-ins do not have presets in this list, you have to make settings in the actual panel. See VST-compatible plug-ins for info on selecting settings for VST plug-ins.

3. Either click on the "+" button or drag the selected symbol in the left pane of the window and drop it.

If you use the "+" button or drop below the existing list, the processor will be added at the end of the list.

You can also do this by double clicking the processor in the list to the right.

If you drag and drop on another symbol, it will be added just before that processor in the list.

If you create an "impossible" combination of effects, for example feed a mono output into a processor that only accepts stereo input, you will get an error message when you try to process.

Removing processors from the list

To remove a processor, select it in the left list and click the Remove button or press [Backspace].

Changing the order of the processing

If you have added the correct processors, but realize they are in the wrong order, you may change this:

1. Select a processor in the list.

2. To move it one step up/down, click the up/down arrow buttons.

Activating and deactivating processors

You can activate or deactivate a processor in the sequence list by clicking in the checkbox to the left.


Making settings for a processor

If you want to adjust the settings for a certain processor, proceed as follows:

1. Double click on the processor in the sequence list, or select the processor in the list and click the Edit button (the fader).

The panel for the processor appears.

2. Adjust the settings (or select another preset) and click OK.

See Making settings - The Effect control panels for more info on processor panels and presets.

Some off-line processors (shown with "blue", "yellow" or "green" icons) may not have presets. In this case, you have to adjust the settings on the panel. Furthermore, some "old" plug-in may not be adjustable in this way. If this is a problem, add the offending plug-ins in the Master Section instead, make the desired settings, click Render and create a batch from the dialog that appears.

Once you have finished with all the settings, click OK to confirm the settings and close the dialog or Cancel to close it without saving any changes.


The Output tab - Settings for created files

Setting up a simple destination folder

Using path variables

Using file name prefixes and suffixes

Checking the output paths and names

Creating zip archives

Creating backups and automatically deleting source files

Selecting an Output Format


Setting up a simple destination folder

There are two ways to simply specify a folder for all created files:

Type in a path (file location) on the Destination folder line.

Click the folder icon just beside the destination folder line, browse your way to a folder and select it.


Using path variables

If you need more advanced options, for example if you need to store different batches in different folders, you need to use the path variables, available on the pop-up to the right of the folder icon.

Variables are text string enclosed in brackets (for example "<Group Path>") that appear on the Destination folder line. You can type these variables yourself, but usually it makes much more sense to select them from the pop-up.

When you run the batch, the variables are replaced by folder names. Exact details follow later in this text.

The specified folders are created automatically if they don't exist.

You can use more than one variable on the line, to create very advanced automatic file paths. Then the order of the variables on the line is very important since each added item will represent a subfolder inside the previous folder.

When you add variables to the Destination path, they will appear just after the insertion point, just as when you type text. Hence, adding a variable is done as follows:

1. Click at the position on the Destination folder line where you want the variable added.

A blinking insertion point cursor appears.

2. Select the desired variable from the pop-up menu.

Please note that to completely replace the existing text with a variable, you can just select all text and then select the variable from the pop-up.

The available variables have the following functions:

Variable | Function
Batch Name | Creates a folder with the name of the batch, as specified on the Input tab.
Batch Path | Same as above, but instead uses the path that can optionally be specified for each batch, see Renaming and setting attributes for a batch.
Source file path | This specifies the same path as that in which the source file(s) are stored.
Source file path - down 1 | Same as above, but specifies a folder one level down in the hierarchy.
Source file path - down 2 | Same as above, but specifies a folder two levels down in the hierarchy.
Nil | No output file is created at all

There is one exception to the statements above, and this is drive names. If you explicitly specify a drive name, this will always be used, regardless of where the source is located and what type of variables are used.

For example, if you have a source file in "c:\MyFolder\" and specify "e:\<SourcePath>\", the new file will be stored in "e:\MyFolder\".


Using file name prefixes and suffixes

For the file names created, you can use the fields "File name prefix" and "File name suffix" to add text to the beginning and/or the end of the original name.

You can type in any text, which will then be added at the beginning/end of the file name.

If for example you leave the prefix field empty and type "(processed)" in the suffix field, "MyFile" will become "MyFile (processed)".

You can add the "variable" "Batch name" (see above) anywhere in the text by selecting it from the small pop-up to the right of the pre/suffix lines.

This will add the name of the batch into the file name, at that location.

You can add the variable "File number from...", in the same way.

This will add a number to the file name. All the files will be numbered consecutively, and a dialog will allow you to specify the first number in the series.


Checking the output paths and names

Once you have set up the path and file name, you can switch to the Input tab and check the Output column. It will tell you where each processed file will be located and under what name.

If a line is empty, there is something wrong with the settings on the Output tab, the settings aren't valid for this file. Please go back and adjust.


Creating zip archives

You can automatically create a zip archive of the created files. A zip archive is a file which contains other files, in a compressed format. The compression is non-lossy, which means that when you "un-zip" the files you get exactly what you had when you created the archive, the information is not changed in any way.

Zip files are often used for archiving purposes and when sending files to other people, for example via the Internet.

The zip archive is created after all processing has finished.

Proceed as follows:

1. Activate "Archive Output Files".

2. Decide on a Path and file name for the zip file.

This is done either by typing the complete path or by clicking the folder button.

3. If you want the zip archive to contain information about how the files are stored in subfolders, activate "Save path information".

4. If you want to delete the output files after the files have been added to the zip archive, activate "Move (erase) output files".

If this is deactivated, you will get the output files in their regular format plus a zip archive containing the same files.


Creating backups and automatically deleting source files

If you want the program to create backups of any files that would otherwise be overwritten as a result of the procedure, activate the "Create backups" options. When this is activated, the program will make a copy of the file before processing. It will also change the first letter in the extension of the copy to "~". For example "myfile.wav", will be backed up as "myfile.~av".

This only applies if you have used the variable "Source Path" to specify that the file should be overwritten with the same name.

If you are not absolutely sure of what you are doing, we strongly recommend that you leave this option activated, to avoid accidentally overwriting files.

If you want the program to delete the original (unprocessed) files after processing activate "Delete files after process".

Be careful with this option! If the processing didn't turn out as expected, you can't redo it, because you won't have any files left to re-process!


Selecting an Output Format

If you want the new files to be in the same format as the original ones, simply select "As source".

If you want some other file format, select it from the menu and then click the large button below to make settings for the desired format.

For details about various file formats, see Supported file formats.

If you select Wave as your file format, you can also ACM encode the files, using the same options as for the Save Special Encode (ACM) feature, described on Exporting to encoded formats. Simply activate "Encode" and click on the large button below to make encoding settings.

Please note that all possible file formats are available in this dialog, not only the ones that apply to the current file format.

This happens because the program does not yet "know" which types of files you are about to process. Since options are displayed that may not apply to the file type you process, make your selection with care. If the settings aren't valid, an error message will appear when you run the batch.

Note also that a number of ACM encoders expect the audio to use a specific sample rate.

If this is the case, you may need to insert the resampler plug-in in the audio chain.


Scheduling

The Schedule tab is used for various options related to the performance of the batch processing. See the help in the dialog for details.


Running and stopping the batch(es)

Once all settings are made, all you have to do to start the batch is to click Run. The files get processed, rather like when you click Render in the Master Section, see Rendering.

You can stop processing in two ways:

By clicking the Stop button in the Batch Processing dialog.

By right clicking in the Monitor window, see Process menu.

Zip archiving won't stop until the current file has been processed.


Using presets for batch processing

Please note that there are two different types of presets involved in this dialog:

Batch processing presets

Use these for storing and recalling settings that apply to all batches.

They include:

All settings made on the Input tab, except the actual file list.

All settings made on the Output tab.

All settings made on the Schedule tab.

They do not include:

The list of files to be processed.

The list of processors assembled in the Processor List dialog.

Processor List presets

These include the currently assembled list of processors, in the Processor List dialog. Use these to save useful combinations of processors, including their settings.

File lists

While strictly not a type of preset, the Open and Save file list features can be used to save and recall the list of files processed in a batch. Note that this is a simple text file that can be edited by any text editor.


Basic procedure

WaveLab can open and play compressed files in the formats MP3 and OSQ (Original Sound Quality), which is WaveLab's proprietary lossless audio format. It's also possible to convert files of other formats to MP3, WMA (Windows Media Audio) and OSQ. While this can be done by opening a file and selecting "Encode" from the Save special (wave) submenu on the File menu, you can also convert several files in one go (batch conversion). This is much like a simplified version of the Batch Processor, for when only batch file conversion is needed (no processing).

Proceed as follows:

1. Select "Batch file encoding..." from the Tools menu.

The "Encode audio files" dialog opens.

2. Click on the green "plus" symbol.

A file selector opens, where you can select the desired audio files (Wave, AIFF, Sun/Java or Ensoniq Paris files). Files must have the same sample rate and number of channels (e.g. stereo/mono).

3. In the file type pop-up select one of the available formats and then - in the file list - select the desired files. If necessary, use the [Ctrl]- and/or [Shift] keys to select several files. Confirm your selection by clicking "Open".

This brings you back to the "Encode audio files" dialog.

Note that it is possible to simultaneously batch encode audio files of different formats, given that all the files have the same sample rate and number of channels.

4. Select the destination folder for the converted files from the corresponding pop-up menu.

5. Select the desired destination format from the format pop-up menu.

6. Clicking on the switch to the right of the format the pop-up calls up a dialog, where you can set the encoding parameters (MP3/WMA only).

Use the on-line help in the dialog for a description of the various options.

Note that MP3 and WMA are "lossy" audio compression formats. This means that the audio quality of such a compressed file will not be the same as of the original, uncompressed file. If you need audio file compression with uncompromised audio quality, you should use the OSQ (Original Sound Quality) lossless audio compression format instead (see About saving OSQ files).


Introduction

What are markers for?

Markers allow you to save and name certain positions in a file. You can use these positions later on in various ways:

Set the wave cursor to a marker.

Select all audio between two markers.

Define CD tracks according to markers.

Loop the section between two markers etc.

There is no limit to the amount of markers you can have in a file.

This chapter describes how to use markers in Wave windows.
Audio Montages have their own markers, see Using markers in the Montage.

The following marker types are available:

Marker type | Description
Generic | This is mainly used for locating certain important positions and for editing (for example selecting all audio between two positions).
Temporary | As Generic, but not saved with the file.
CD Track Start, End and Splice | These denote where CD tracks start and end. A CD track boundary is used when a CD track starts just where another ends.
CD Track Sub-Index | These are used to create "index" points in CD tracks.
Loop start and end | These are used to define loop points. This is useful for editing purposes as well as when creating loops before transferring a sound to a sampler.
Mute start and end | These let you temporarily silence a certain section. Muted sections can also be skipped on playback, see Skipping sections during playback.
Region start and end | Use these to define start and end points for generic regions. This is useful for editing purposes and can be created directly during recording if needed (see About dropping markers during recording).
Playback Starter | This is used to program a playback start point. See Setting the start point for playback.

About marker pairs

Four of the marker types come in pairs: CD, Loop, Mute and Region.

Since you can't have a CD track that starts but never ends, a loop end point without a start etc, special rules exist for creating, deleting and moving these types of markers.

CD track markers must always be "balanced".

For example, if you delete a track start, the corresponding end marker will also be deleted, or other markers will get changed.

Loop, Mute and region markers only have a functionality when balanced.

You can enter just a start marker, but its purpose will be defeated by the lack of a corresponding end marker.

In the following text, whenever an operation has a special implication on marker pairs, this will be noted.

About importing and saving loop markers

There are a few points to be aware of when importing files with loops into WaveLab. This is because the loops can be defined in two places: Wave and AIFF file formats have the ability to contain loop points, and WaveLab stores loop points as markers separately for each file, in ".MRK" files. So, there's a potential risk for conflict:

When you import a file that has never been used in WaveLab before, and which contains loops, the loops are "imported" and displayed as loop markers (in addition, the sample note and detune information described on Editing sample attributes is imported, if present).

When you then save the file in AIFF or Wave format, the loop points are stored, both as part of the actual file (so that other applications can read them) and in the ".MRK" file (for WaveLab).

When you open a file that has been used in WaveLab before, loop indications that were originally in the file, before you used it in WaveLab, are ignored. Only the loop info in the ".MRK" file is used.

The Marker toolbar

This is a special control bar for markers. It can be brought up from the Control Bars submenu on the View menu.


Creating markers

Dropping markers on the fly

Creating a marker from "stop mode"

Dropping markers while recording

Creating markers pairs from the Marker toolbar


Dropping markers on the fly

To add a marker on the fly, proceed as follows:

1. Play back the file.

2. When the cursor reaches the position where you want a marker, do one of the following:

Press [Insert].

Click the Drop marker button on the Marker toolbar.

Select Drop Marker from the time ruler speed menu.

You can give the marker a proper name later.

Dropping generic or temporary markers

Normally the markers dropped this way are generic. However, in the Units tab in the Preferences dialog you will find an option for dropping temporary markers.


Creating a marker from "stop mode"

1. Set the wave cursor to where you want the marker to appear.

2. Do one of the following:

Click on the New Marker button on the Marker toolbar.

Click with the right mouse button on the time ruler and select New Marker from the menu that appears.

Press [Ctrl]+[Insert] as a shortcut for the "New Marker" operation described above.

3. Select a marker type.

4. Fill out the other options in the dialog and click OK.

See the help in the dialog for details.

The new marker appears at the wave cursor position.

If you add a CD start marker like this, a corresponding end marker will be added automatically, and vice versa.

See About marker pairs for details.


Dropping markers while recording

You can drop markers during a recording. For example, if you are auditioning some material while transferring it from DAT tape to WaveLab, you can add markers at important positions, as they are coming up. The marker types you can add are: Generic, Region start and Region end. See About dropping markers during recording.


Creating markers pairs from the Marker toolbar

To create a loop, a mute region or a region (see later in this chapter for descriptions of these terms) or a complete CD track, you can use the Marker toolbar:

1. Make a selection that spans the area you want to enclose by a marker pair.

2. Click on the corresponding marker pair symbol on the Marker toolbar.

Markers are added at the start and end of the selection.


About the marker list

There is a marker list window that displays all markers in a wave. This can be used for various purposes, for editing, deleting and locating to markers, as described in the following sections.

Opening the list


Opening the list

To open the marker list, either select "Specialized Windows"/"Wave Markers" from the View menu, or click the corresponding button on the Marker toolbar.

To sort the list alphabetically, click on the "Name" heading.

To sort the list according to position, click the "Position" heading.

This is the default when you first open the window.


Marker appearance and visibility

Hiding marker heads

To hide/display the marker triangles from the ruler, click with the right mouse button in the ruler and select Hide/Show Marker Heads.

Changing the appearance of marker lines

To hide the marker lines in the waveform, click with the right mouse button in the waveform and select Elements. From the menu that appears, set things up so that neither Solid markers, nor Dotted markers are activated.

Hiding all markers of a certain type

There's a special dialog for hiding markers of certain types. To open it:

Click with the right mouse button on the time ruler and select Visibility, or...

Open the marker list, click with the right mouse button on a marker and select Visibility.

In this dialog you can show/hide markers of any type.


Editing, converting and naming markers

The New Marker window can also be used to change existing marker's properties. There are several ways to open this window with settings for a certain marker:

Right click on the marker in the time ruler and choose "Edit Marker" from the menu that appears.

Hold down [Alt] and double click on the marker.

Open the marker list, select a marker and click with the right mouse button on a marker and select Edit or press [Return].

To transform a marker into any other type, simply select that type in the list to the left.

To rename a marker, uncheck "Automatic naming" and type in a name of your own choice. The name of the marker will then be visible beside it. The name of the marker will also be shown as a "tip" if you move the mouse pointer over the marker head and wait for a moment.

To make sure that a CD track end or boundary marker appear on an exact CD frame position, activate the corresponding option.

To lock the position of a marker so that it can't be moved, activate the Lock Position option.

If the marker is a loop end marker you can change the number of loop repetitions by unchecking Infinite and specifying your own number of loops.


Moving and duplicating markers

To move a marker, press the mouse button over the triangle "Head" and drag to the new position.

If "Magnetize bounds" is activated (see See Dropping on markers (Magnetize bounds) below) the marker "snaps" to the edges of the selection, the cursor's position and the beginning and end of the wave.

If you hold down [Shift] while dragging a marker in the ruler, you will be duplicating it instead of moving it.


Deleting markers

When you delete one marker in a marker pair, the other marker will also be deleted.

Deleting one marker from the Wave window

1. To delete a marker in the Wave window, click with the right mouse button on the head of marker you want to delete/rename.

2. Select Delete.

Alternatively you can drag the marker out of the window.

Deleting in the marker list

1. Hold down [Ctrl] and double click in the ruler.

The wave markers window appears.

2. Click with the right mouse button on the marker you want to delete/rename.

3. Select Delete.

Deleting all markers of a certain type

1. Click with the right mouse button on the time ruler.

2. Select "Delete Multiple Markers...".

3. Check the marker types that you want to delete.

4. Click OK.


Operations involving markers

Setting the wave cursor to a marker position

Browsing markers

Starting playback from a marker

Selecting between markers

Dropping on markers (Magnetize bounds)

Looping

Skipping regions


Setting the wave cursor to a marker position

To move the wave cursor to a certain marker, do one of the following:

Double click on the marker triangle.

This is probably the most convenient option if the marker is currently visible in the window. This even works during playback!

Open the marker list and select one of the markers on it.

This is probably the most convenient option if the marker is outside the current view.

Activate "Magnetize bounds" on the Options menu. Click on the ruler close to the marker, or drag the cursor to a position close to the marker.


Browsing markers

You can move the wave cursor from marker to marker by clicking the arrow buttons on the Marker toolbar, or by using the keys [4] and [5] on the numeric key pad.


Starting playback from a marker

There are several ways to make playback start from a certain marker:

Locate to a marker and activate playback from there.

Double click on a marker in the marker list.

Select one of the marker related options on the Transport bar (see Setting the start point for playback for details).


Selecting between markers

To select all audio between two adjacent markers, double click between them.

You can extend the selection to consecutive markers, by continuing to drag to the left/right.

To select all audio between any two markers, double click just to the right of the leftmost one, hold down [Shift] and double click just to the left of the rightmost one.


Dropping on markers (Magnetize bounds)

For any operation involving drag and drop of audio material you can use a marker position as start point for the section you drop. This is useful when it is very important that the dropped material is inserted at a very specific position.

1. Make sure Magnetize bounds (on the Options menu) is activated.

2. Drag the selection, and position the mouse pointer close to a marker line.

The "drag line" snaps to the marker line.

3. Make sure the marker line and the drag line appear on top of each other, then release the mouse button.


Looping

Loop markers are primarily intended for transfer to samplers, but you can use loop markers in various additional ways:

Set up a loop and repeat it indefinitely during playback, while editing material inside the loop.

For more info on playback and loops, see Looping.

Set up a loop with a specified number of repetitions, to check out how a repetition effect will sound.

Note that you can nest loops, that is you can have loops inside loops.


Skipping regions

You can use start and end Mute markers to have sections skipped during playback (or when rendering, see Rendering):

To skip a mute region on playback, click the Playback skip mode icon on the Transport bar and select "Skip Muted regions" from the pop-up menu that appears.

This can be very useful in conjunction with looping. Loop a section and adjust the Mute markers during playback until the desired section is skipped.


Creating, opening and saving Basic Audio CDs

The Basic Audio CD is the key to WaveLab's ability to burn real "red book compatible" CDs. It is in this window that you assemble the files you want to appear on the CD, and make settings for them.

To create a Basic Audio CD, pull down the File menu, select New, and from the submenu that appears, select Basic Audio CD.

You will get a blank window that you can fill with entries, see Adding files to a Basic Audio CD.

To open an already existing Basic Audio CD, select Open from the File menu, and Basic Audio CD from the submenu that appears. Alternatively, use the list of recently opened files at the bottom of the File menu.

When you open a Basic Audio CD, all the files to which it refers are also opened. However, they do not appear in windows. If some files that are part of the Basic Audio CD can't be found, a warning message appears.

Once you have created your list, you can save it to disk like any other file, using the Save and Save as commands.

Please note that the Basic Audio CD can very well be used as a generic "play list". It allows you easily to assemble lists files or sections of files with adjustable pauses in between. These lists can be used for auditioning or for creating complete program material.


Adding files to a Basic Audio CD

You can add any type of file to a Basic Audio CD. However, when it is time to burn the CD, the files in the list must meet the following specifications:

44100 Hz (44.1kHz).

Mono, dual-mono or stereo.

8, 16, 20 or 24 bit resolution.

The files will be converted to 16-bit stereo on the fly, while the CD gets burned.

A track can only appear once in each Basic Audio CD!

Using Add Track(s)

This item, on the CD menu is used to add tracks directly from disk.

1. Select Add Track(s) from the CD menu.

2. In the File dialog that appears, select as many files as you wish.

3. Click OK.

The files are now added to the list:

If a file contains CD start and sub-index markers, these are used to define the track in the list.

If there are several sets of markers, there will be several track entries in the list, all "pointing" to this file.

If a file does not contain any markers, a dialog box will ask you if you want to use the file start and end as boundaries for the track. Click "OK" (or "OK for all, if you have selected several files): you can always move the markers later to redefine the positions.

By dragging a document

You can drag an entire Wave document into the Basic Audio CD, by using the drag icon on the title bar. When you do this, all CD tracks defined in the document are added to the list.

By dragging a waveform selection

If you already have a Wave window open, you can drag and drop selections from it to the track list.

1. Make a selection.

There are numerous ways of making selections. Let us just mention here the possibility to double click between two markers to select all audio between them.

2. Position the mouse pointer over the waveform, inside the selection area, and drag and drop in the track List.

The selection appears as a track. If there are sub-index markers inside the selection, they will be part of the track.

By dragging or copying and pasting between Basic Audio CDs

If you have several Basic Audio CDs open, you can drag and drop between them.

1. Point at a track item in a list.

2. Press the mouse button and drag and drop the track item into another list.

You can also use Cut, Copy and Paste to achieve the same thing:

1. Select an item in one track list.

2. Select Cut or Copy from the Edit menu.

3. Select another Basic Audio CD.

4. Select Paste from the Edit menu.

By dragging from a Database

You can drag files from the Database File List onto the Basic Audio CD window.

1. Point at a file in a Database.

2. Press the mouse button and drag and drop the track item into a CD track list.


Setting the order of the tracks on the CD

Once you have all the files you need in the Basic Audio CD you might want to set the order in which they will appear on the CD.

Determining the current order

1. Pull down the CD menu and select "Sort by Track Order".

2. Check the numbering on the side of the list, it is now consecutive and the list reflects the order of the tracks on the CD.

Changing the order using drag and drop

1. Position the mouse pointer over the name of the track you want to move to another position.

2. Drag and drop it somewhere else in the list.

The items get resorted to reflect the new order.

Changing the order using the keyboard

1. Select the track you want to move up/down.

2. Hold down [Ctrl] and press the up/down cursor keys.

The file is moved up/down, accordingly.


Deleting files from Basic Audio CDs

To remove a file from the track list, select it and select Delete from the Edit menu or press [Backspace]. The file disappears from the list, but is of course not deleted from the hard disk.


Managing list columns

There are a couple of changes you can make to your track columns:

You can change the width of each column, by dragging the dividing lines between the headings left/right.

You can hide/show each column by clicking with the right mouse button on a heading, and selecting from the menu that appears.

You can click on the Title header to switch between three modes that show various amounts of details about the files to which the tracks belong.

This also switches the sort modes between "Sort by Track Order" and "Sort by audio file".

You can also use the CD menu (that only appears when the Basic Audio CD is the active window), to switch between "Sort by Track Order" and "Sort by audio file".


Setting up a track in the list

"Unfolding" a track

Just as in the Explorer and other Windows programs, you can unfold a track, to reveal additional settings. This can be done either by clicking the "+" and "-" symbols or by selecting the track and using the [+] and [-] keys on the numeric key pad.

What information is available about a track?

For any Track you can see the following information in the columns:

Column | Description
Start | This shows you how far in on the CD this Track will start (in the format minutes:seconds:frames). The Start time is calculated from the length of the preceding Tracks.
Length | This value is calculated from the position of the Track End marker, see below.
Copy Protection (key symbol) | This indicates a track copy protection "flag" (on/off setting). Click here to activate/deactivate this flag. Please note that this setting is hardly ever used nowadays, and not all CD-R units can even handle it. Normally you will leave this off.
Emphasis (rainbow colored symbol) | This setting is used to indicate if the track was recorded with emphasis or not. Please note that this does not apply/remove emphasis from the audio, it is just an indicator for how the file was created. Normally you will leave this off.
ISRC | This is the "International Standard Recording Code", identification that is only used on CDs intended for commercial distribution. WaveLab allows you to specify an ISRC code for each audio track but only if your CD-R burner supports it.
Comment | This allows you to enter comments for the track. This text is not stored on the CD, it is only here for your convenience.

There is a shortcut for the last Copy Protection and Emphasis settings: To invert the settings for all tracks, click on the column heading instead of the actual track item.

When a Track is unfolded the following additional information is shown for it:

Column | Description
Pause | This is the pause that will precede the Track. The columns show the Start (this is a negative value since the pause starts before the Track) and the Length of the pause.
Track Start | This is a representation of the marker that indicates the Start of the Track. The columns show the Start (always 00:00:00) and Length (calculated from the position of the previous Track End marker, see below).
Sub-Index Markers | These indicate any Track Sub-Index markers that have been defined for the Track. The columns show the Start (the position of the marker) and Length (the time from this marker to the next Sub-Index marker or the End of the Track, whichever occurs first).
Track End | This is a representation of the marker that indicates the end of the Track.

Adjusting pauses

Each track has a pause setting. This pause will be played before the beginning of the track.

To change the length of the pause, double click on the value (the dark red digits). As usual, you can right click on the numbers (after double clicking) to set the value using sliders.

If you press [Ctrl] while setting the length of a pause, all tracks will get the same pause length.

The Red Book audio CD standard requires that the pause before the first track is at least 2 seconds.

If the option "Automatically set the pause of the first track to 2 seconds before burning" is activated on the CD Burning page in the Preferences dialog, WaveLab will automatically adjust the first pause before burning a CD. This option is activated by default.

Naming tracks

If you hold down [Alt] and double click on a track name, you can edit it (to be precise, what you are editing is the name of the CD track markers in the audio file). Please note that this name is not stored on the CD (CD tracks don't have names). This naming is only for your convenience.

Checking the total length of the CD

The total length of the CD is displayed at the bottom of the Basic Audio CD window.


Working with CD markers

CD markers appear in the audio files. They define the start, end points and sub-index points for tracks in the track list.

You edit and add CD markers using any of the following methods:

By adjusting positions of existing CD markers.

This is done by dragging, as with any marker.

By converting existing "Generic" or "Temporary" markers into CD type markers.

This is done by right-clicking on a marker and selecting "Edit marker".

By adding markers on the fly, and then converting them into CD markers.

By adding markers using the New Marker function.

For details on the two options above, see Dropping markers on the fly.

By dragging waveform selections into the Basic Audio CD.

See Adding files to a Basic Audio CD.

By making a waveform selection and then selecting the speed menu option "Create CD Track from Selection".

By using Add Tracks on files that have not previously been marked for Basic Audio CDs.

Remember that if you make a mistake, you can always undo your actions.

About relations between markers in a file

To understand how CD markers relate to the items in the Basic Audio CD, please read the following:

A track in the Basic Audio CD is defined by a track start or track boundary marker in the actual audio file! Delete the track start/boundary marker, and the track item vanishes from the list! Also, edit the track start or end position, and the change is reflected in all Basic Audio CDs that include this track.

Just because you create the markers for it, this does not mean the track will be added to a Basic Audio CD window. You have to do this "manually", using drag and drop to the desired Basic Audio CD(s). As a matter of fact, you can have several tracks defined in a single audio file, but still decide to only use one or a few of them in a Basic Audio CD.

Whenever you create a track start marker, WaveLab will automatically create a track end marker at the start of the next track or at the end of the file, whichever occurs first. It's then up to you to adjust the position of that end marker if you like.

WaveLab does not allow tracks that start but have no end. Neither will it allow overlapping or nested tracks (tracks inside tracks). If you try to move track markers to invalid places (beyond the end of the file, to a position inside another track, etc.), WaveLab will automatically reorganize the markers to a valid configuration.

The track boundary marker indicates the end of one track and the start of another. In other words, it's a combined start and end marker. If you drop a start marker after another start marker, it will automatically convert into a boundary marker since you can't have two starts after each other without an end between them.

If you use one file in multiple Basic Audio CDs, beware that any changes you make to the audio file will be reflected in all Basic Audio CDs!

Sub-index markers can be added between starts and ends as required. The only limitation is that there can only be 98 sub-index markers per track. You can't insert a sub-index outside a CD track. If you move a sub-index out of a CD track, it is deleted.

Whenever you insert a sub-index, its position is quantized to a CD frame (1/75th of a second, or 588 audio frames) relative to the track start. If you move the CD track start marker, then all sub-index markers will need to be re-quantized. You will be warned about this via an alert box. This is usually not a problem, since you will normally only start defining sub-indexes once your start and end points have been established.


Playing files in the track list

There are several ways to play back a file in a Basic Audio CD.

Click with the right mouse button in the track column for an item (any type of marker will work), and select from the menu items.

The items should hopefully be self explanatory. Please note that clicking on a track end marker allows you to play a transition between two tracks with a short pre-roll time.

Double click on a track name, or select it and press [Enter] or [F8].

This plays the entire list, from that point and on, including pauses. Hit [F7] or [0] on the numeric key pad to stop.

Double click on a Length field.

This plays the section between this and the next marker.

You can drag and drop a track title onto the Play button on the Transport bar.

This is just the same as double clicking on the track name.

Please note:

What you hear during playback is identical to the way the audio will be played back from the actual CD, that is, all pauses and other adjustments are taken into account (this includes the Advanced Settings unless otherwise stated).

During playback, a progress bar appears at the bottom of the window. There will be no play cursor in the actual Wave window.

During playback, you can toggle between track-local time and CD global time by clicking on the time counters in the bottom right corner of the window.

Changes to markers are not taken into account during playback (you need to stop playback and start again).

If you have material in the list that does not have the correct sample rate (44.1kHz), this can still be played back. However, when you activate playback, all files will play back at the same rate. The inherent rate of the selected file (the one that plays first) will be used for all files.

Playing back via the Master Section

To make the audio play back through the Master Section, activate the corresponding option in the CD Burning tab in the Preferences dialog box, and open the Master window. The default setting for this is off.


Creating a disc image

There might be situations where you want to "freeze" an entire Basic Audio CD, without actually burning a CD. This is done with the "Save as CD image" command.

1. Set up the track list so that it is exactly as you want it.

2. Select "Save as CD image" from the CD menu.

3. Find a directory for the files (we recommend that you create a new directory, because the "image" is made up of three different files) and type in a name.

4. Click OK.

Now, the following is created in that folder:

A Basic Audio CD file, with the specified name. This is the file you will want to open the next time you want to access this "CD image".

A single wave file, containing all the tracks, with markers inserted at all the correct positions.

A marker file with the same name (it is this file that actually contains the markers).

A peak file for the wave file.


Exporting audio files from a track list

There are situations where you might want to save the items in a Basic Audio CD as audio files on your hard disk (e.g. for archiving or when you use the Basic Audio CD as a general play list for preparations of files for other purposes). You can either save the tracks as separate files or as one single audio file.

As separate files

To save the files in a Basic Audio CD as separate files, proceed as follows:

1. Set up the track list so that it is exactly as you want it.

2. Select "Save each track as a separate audio file" from the CD menu.

3. Find a destination folder for the files.

4. Fill out the other options in the dialog.

Click the Help button in the dialog for details.

5. Click OK.

Now, each of the tracks in the list is saved as one file, in the specified folder.

As one file

To turn the entire Basic Audio CD into one long file, proceed as follows:

1. Set up the track list so that it is exactly as you want it.

2. Select "Join all tracks into one virtual file" from the CD menu.

3. Fill out the other options in the dialog.

Click the Help button in the dialog for details.

4. Click OK.

The new file appears in a Wave window.

5. Save the file, like any other wave file.


Introduction

The Audio Montage is a multi-track non-destructive editing environment, which allows you to arrange, edit, play back and record audio clips on multiple tracks. Featuring clip-based effects, volume and pan automation, wide-ranging fade and crossfade functions, real-time metering, direct creation of CDs and synchronization to MIDI Time Code, the Audio Montage is a great tool for music CD creation, mastering, multimedia work, radio spot production, etc.

WaveLab's Audio Montage is not a "multi-track tape machine emulator". Rather you should think of it as an audio editing system, or a "workbench" for assembling multi-track audio pieces.

Basic terminology

The Montage can contain an unlimited number of stereo or mono tracks. These provide a way for the user to structure the work graphically, but should not be viewed as "virtual tape tracks".

On a track, you can place any number of clips. These are "containers" for the audio, and include a number of settings and functions such as clip effects (up to ten per clip), volume and pan curves, fades, etc.

Each clip contains a reference to a source audio file on your hard disk, as well as start and end positions in the file (allowing clips to play back smaller sections of their source audio files). Several clips can reference the same file.


The Audio Montage window

About the two panes and the views

The info line

The ruler


About the two panes and the views

The Audio Montage window is divided into two "panes". The lower pane always shows the tracks and the clips, while the upper pane shows one of 10 views, as listed below.

You can resize the upper and lower panes by dragging the divider between the panes.

You can choose to view the upper pane or the Track View only, by selecting "Show tabs only" or "Show Tracks only" from the main View menu.

To revert to the standard view (showing both panes), pull down the View menu again and deselect the selected option.

You select views for the upper pane by clicking the tabs at the top of the Montage window, or by using key commands (see below).

Apart from the actual displays, the different views may have different menus and icon bars.

The following views are available:

View | Key | Description
Edit | E | Contains an overview display, for quick zooming and navigating through the Montage (see Zooming and navigating in the Edit Overview). This is also where you find various options for editing, fading, selecting, etc.
Zoom | Z | Displays a very detailed view of the focused clip's fade-in area, for fine editing and phase matching of adjacent clips. See The Zoom view.
Clips | C | This view contains a list of all clips in the Montage, allowing numerical editing and adjustment. See Editing in the Clips view.
Groups | O | Use this view for grouping clips that you want to select as one entity. See Grouping clips.
Files | L | Contains various tools for audio file management, including direct import of clips and audio files into the Montage.
Markers | M | This view allows you to add and manage markers in the Montage. This includes CD markers, for writing CDs directly from the Audio Montage. See Using markers in the Montage.
CD | D | This is where you prepare for writing a CD directly from the Audio Montage. See Preparing the Audio Montage for CD Burning.
History | Y | This is a list representation of the Undo history, allowing you to undo/redo several operations in one go. See Undo/Redo and History.
Snapshots | P | Allows you to capture magnification and view settings as snapshots, to be able to quickly select different views. See Using snapshots.
Notes |  | A standard notepad.

If the Montage window is too narrow to show all tabs, two arrow buttons are displayed in the upper right corner of the window.

Use these to "move" the row of tabs so that you can see and click the one you want.

About naming in the help

Most of the views contain one or several menus. To make it clear which menu the help refers to in each case, we use the following syntax:

X view : Y menu

For example, "Edit view : Options menu" means the Options menu in the Edit view.


The info line

The info line is the dark area below the Track View. It indicates what will happen when you click the mouse buttons (with or without modifier keys), depending on where you currently aim the pointer (much like tool tips for buttons). This is especially useful since editing in the Audio Montage is based on mouse zones - you click in different areas of the clips to perform different actions (see About the mouse zones).

The info line will also display positions and lengths when you are moving, copying or resizing clips.

For descriptions of all info line symbols, double click it!

Showing and hiding the info line

1. Select the Edit view by clicking the Edit tab.

2. Pull down the Edit view : Options menu and activate or deactivate the option "Show Info Line".


The ruler

At the top of the Track View in the Audio Montage window, there is a ruler, similar to that in the Wave windows. To change the ruler format, right-click in the ruler and make a selection from the pop-up menu that appears.

Depending on the selected format, you can make detailed display settings by selecting "Time format..." from this pop-up menu.

It is also possible to offset the ruler, so that "zero" is somewhere other than at the actual start of the Montage (this is done by selecting "Time offset...").

When you move and edit clips, you can choose to snap to the ruler positions.

See Magnetic bounds.

The time grid

If you like, a "grid" can be displayed in the Track View, consisting of vertical lines at every labeled position in the ruler. To show or hide the grid, right-click in the ruler and activate or deactivate the "Show Grid" option on the pop-up menu.


Assembling the Montage

Creating a new Montage

Handling tracks

Adding clips to the Montage

The Insert options

About the auto-grouping options


Creating a new Montage

1. Pull down the File menu and open the New submenu.

2. Select the "Audio Montage..." item.

The Audio Properties dialog appears.

3. Specify the preferred sample rate.

The audio files that you want to use in the Montage must have this sample rate. The Channels and Bit Resolution sections are greyed out, since the Audio Montage supports both stereo and mono audio, as well as multiple bit resolutions.

If you plan to burn a CD from the Audio Montage, you have to select 44.1 kHz sample rate.

4. Click OK.

A new Audio Montage window appears, containing one stereo track.

If you have saved a template (see Saving a Montage template), the Audio Properties dialog will not automatically be displayed (since the new Montage will use the sample rate saved in the template). To change the sample rate, you will need to select "Audio Properties..." from the Edit menu.

Alternative ways to create a Montage

There are several ways to generate a new Montage "automatically":

Import cue-sheet/CD image as Audio Montage.

This function on the File menu (Open submenu) allows you to open a cue sheet - a text file containing information about how CD tracks correspond to the audio in an associated CD image file. The result will be a Montage with clips corresponding to the tracks in the cue sheet, all referencing the same CD image audio file.
Cue sheets and CD images can be created in many programs, including WaveLab (see Rendering a CD image and cue sheet).

Importing Audio CD tracks directly to a Montage.

When using the Import Audio CD tracks function on the Tools menu, you can automatically create an Audio Montage playing the imported tracks. See Convert to Montage/Convert to Basic Audio CD.

You can convert a Basic Audio CD to an Audio Montage.

This is done from the CD menu (available for Basic Audio CD windows).

You can create a Montage from a Wave file with the Auto Split function.

See The Auto Split dialog.


Handling tracks

Creating and managing tracks is done in the area to the left of the tracks in the Track View (from now on called the Track Control area). In the middle of this area is a button with the number of the track. Clicking this button brings up the track menu, which contains most of the track functions.

Adding tracks

1. Click on the track number button for a track next to where you want to add a new track.

The track menu appears.

2. Select one of the Insert functions at the top of the menu.

You can choose whether you want to insert the new track above or below the current track, and whether the new track should be mono or stereo.

Moving tracks

To move a track up or down in the Track View, proceed as follows:

1. Click on the track number button for the track that you want to move.

The track menu appears.

2. Select "Move track up" or "Move track down".

Deleting tracks

To remove unwanted tracks, proceed as follows:

1. Click on the track number button for the track that you want to delete.

The track menu appears.

2. Select Delete track.

If there are clips on the selected track, you will be asked whether you really want to delete the track. Click OK to proceed.

Deleting a track with clips will also delete the clips! However, the audio files to which the clips refer will not be affected. Also remember that you can recover accidentally deleted clips by using the Undo function.

Splitting tracks

You can split a stereo track into two mono tracks:

1. Click on the track number button for the track that you want to split.

The track menu appears.

2. Select "Virtual-split as two mono tracks".

The track is split. If the track is empty, this will simply be the same as deleting the track and inserting two new mono tracks. However, if there are clips on the track, the two stereo sides will now be separate clips, allowing you to move, edit or process them independently.

Note that this is a "virtual" split - no audio files are affected or created.

Folding tracks

To save screen space, you can fold tracks that you don't need to have visible. This is done by clicking the arrow button at the top left corner of the Track Control area.

To unfold a folded track, just click on the button again, or double click anywhere in the folded track.

Cloning tracks

The Clone track function on the track menu creates a duplicate of a track and all its clips, and inserts it below the original track.


Adding clips to the Montage

You create clips by copying audio selections from Wave windows into the Audio Montage. There are several ways to do this:

You cannot add a mono clip to a stereo track or vice versa. Also, the clip's audio file has to have the same sample rate as the Audio Montage.

By using drag and drop from Wave windows

Select the audio section that you want the clip to refer to, and drag the selection into the Montage window and drop it on a track. A pop-up menu appears, listing a number of Insert options, see The Insert options.

A clip is created, named after the original audio file. You can change the name of clips in the Audio Montage, see The columns.

This method can also be used for dragging selection ranges (see Selection ranges) from another (or the same) Montage.

The dragged range will become a separate clip.

If you want to drag the whole audio file from the Wave window to the Audio Montage, you don't need to make a selection first.

Instead you can click on the purple document button at the upper right corner of the Wave window and drag it to the Montage.

You can also drag files into the Clips view.

By inserting from open Wave windows

If one or several Wave windows are open, you can right-click an empty area on a Montage track and select any open Wave from the pop-up menu that appears. A number of Insert options for the file are presented before inserting, see The Insert options.

If several Wave windows are open you can also select "Insert all open waves" from the pop-up to insert them all. This will open the Insert audio files dialog, allowing you to specify how the files should be ordered and whether they all should be placed on one single track or separate tracks - see Multiple clips.

By using Copy and Paste

1. In the Wave window, select the audio section that you want the clip to refer to.

2. Select Copy from the Edit menu, or press [Ctrl]-[C].

3. Make the Audio Montage window active, and click in the track on which you want to put the clip, at the desired position.

This sets the Montage cursor position (as indicated by the vertical line) and selects the track (as indicated by the highlighted Track Control area to the left).

4. Select Paste from the Edit menu, or press [Ctrl]-[V].

5. A pop-up menu appears, listing a number of Insert options. Select one of these.

See The Insert options.

Once you have added the desired clips from an audio file, you don't need to have the original Wave window open. Should you need to edit the original (source) audio file, you can access it from the clip context menu, see Editing source files. Any editing done to the source audio file is immediately reflected in all clips referring to the file.

By dragging from the Files view

This way, you can add clips without having Wave windows open:

1. Select the Files view by clicking the Files tab.

2. Click the System tab to the left of the display.

The view now shows a file navigation environment, similar to the Windows Explorer.

3. Pull down the Files view : Browser menu and make sure that "Show audio files" is selected.

4. Use the left pane to locate and open the folder containing the audio files you want to import.

The contents of the folder are shown in the right pane.

5. Locate the desired audio file(s) and drag them to a Montage track.

If you are dragging a single file, a pop-up menu appears, allowing you to select one of the Insert options. If several audio files are dragged, the Insert audio files dialog appears, allowing you to specify how the files should be ordered and whether they all should be placed on one single track or separate tracks - see The Insert options.

By importing files

1. In the Track View, click in the track on which you want to put the clip, at the desired position.

This sets the Montage cursor position (as indicated by the vertical line) and selects the track (as indicated by the highlighted Track Control area to the left).

2. Right-click in an empty area on the track and select "Insert file(s)..." from the pop-up menu that appears.

A regular file dialog appears. You can also open this from the Files view : File menu.

3. Locate and select the audio file(s) you want to import, and click Open.

Depending on whether you have selected one or several files, the Insert options pop-up or the Insert audio files dialog will appear (see The Insert options). The new clips are then added, ordered according to your settings.

By copying clips from another Montage

If you have more than one Montage open, you can copy clips from one Montage to another. This can be done either by using drag and drop (from the clip list or the Track View) or by using Copy and Paste. You can also use this method to copy clips within the same Montage.

When dragging or selecting clips in the Track View, you need to click at the appropriate mouse zone, see About the mouse zones.

By dragging clips from a Database window

A WaveLab Database is a collection of files, which you can organize and manage in different ways. You can add files listed in a Database window to a Montage, by using drag and drop.


The Insert options

Single clip

When you add a single clip to the Montage (by pasting, importing from disk or using drag and drop), a pop-up menu appears. By selecting one of the menu items, you specify how the clip should be inserted, whether existing clips should be affected or not, etc.

Option | Description
Add/Mix | The clip is inserted without affecting any clips that already exist on the Destination track. The exception is if the inserted clip partially overlaps another clip, in which case a crossfade is created in the overlapping zone (see Using crossfades).
Add/Mix & bind right Clips (track) | When the clip is inserted, all clips to the right of it (on the same track) are moved to the right, to "make room" for the inserted clip.
Add/Mix & bind right Clips (global) | When the clip is inserted, all clips to the right of it (on all tracks) are moved to the right, to "make room" for the inserted clip.
Split/Insert | This option is only available if the insertion point is within an existing clip. When the clip is inserted, the existing clip is split and the right section is moved to the right to make room for the inserted clip. Other clips are not affected.
Split/Insert & bind right Clips (track) | As Split/Insert, but other clips to the right on the same track are also moved accordingly.
Split/Insert & bind right Clips (global) | As Split/Insert, but other clips to the right on all tracks are also moved accordingly.
Replace selected range | Only available if there is a selection range on the destination track. The clip with the selection range will be split at the selection range edges, the inserted clip will replace the range and the section to the right of the range is moved to the left or right (depending on the length of the inserted clip vs. the length of the selection range), so that there is no gap after the inserted clip.
Replace selected range (trim source accordingly) | This is only possible if there is a selection range on the destination track, and if that selection range is shorter than the range of the clip to be inserted. The inserted clip will overwrite the selected range only, that is, the range to be inserted will be trimmed according to the current selection.
Replace selected range & bind right Clips (track) | As Replace selected range, but other clips to the right on the same track are also moved accordingly.
Replace selected range & bind right Clips (global) | As Replace selected range, but other clips to the right on all tracks are also moved accordingly.
Overwrite from cursor | If the inserted clip overlaps any other clips, the overlapped regions are removed from the existing clips.
Cancel | No clip is added (you can also cancel the insertion by clicking outside the pop-up menu).

Multiple clips

When you add several clips to the Montage (by importing from disk or using drag and drop), the Insert audio files dialog appears.

In this dialog you can:

Select files in the list by clicking on them.

Change the order of the files by clicking the green arrow buttons or by using drag and drop in the list.

Add files to the list by clicking the green plus sign.

Remove files from the list by clicking the red cross sign.

Specify how the clips should be inserted.

The dialog contains the following options:

Option | Description
Line up on the current track | The clips will be added to the Montage, lined up contiguously on a single track and spaced according to the default pre-gap time (set on the Edit view : Options menu).
Place each file on a different track | The clips will be added to the Montage, each on a separate track, according to the settings below.
Start inserting below current track | If this is activated, the new tracks for the files you add will be inserted below the currently selected track.
Always create new tracks | You will probably want to have this activated for most purposes. Anytime you add more files to a Montage by using this method, this will ensure that they end up on separate tracks.
Shift existing clips to the right | If this is activated, any already existing clips in the Montage will be moved to the right by an amount equalling the length of the first new added file.

When you insert clips, regardless of whether it is a single clip or multiple clips, the following options are taken into account:

Create default fades in new clips (see Create default fades in new clips).

Snap to waveform when crossfading (see Additional crossfade options).

Create optimized crossfade when snapping to other clip (see Moving and snapping to another clip).

Snap to fade-in/out when snapping to other clip (see Additional crossfade options).


About the auto-grouping options

In the Edit view, there are two options called "Track auto-grouping" and "Global auto-grouping". If you are adding several clips at the same time, these options affect the result in the following way:

If any of the auto-grouping options are activated in the Edit view, clips to the right of the insertion point will be moved to the right to "make room" for the inserted clips.

If "Track auto-grouping" is activated, clips on the same track, to the right of the insertion point, will be moved to the right to "make room" for the added clips.

If "Global auto-grouping" is activated, clips on all tracks, to the right of the insertion point, will be moved in the same way.

The auto-grouping options are not taken into account when you add a single clip. Instead, you can use one of the "bind right clips" options on the Insert options pop-up menu to achieve the same result.


Zooming and navigating

Zooming in the Track View

Zooming and navigating in the Edit Overview

Moving the Montage cursor

Using snapshots

Undoing view and position changes

Maximizing the width of the Audio Montage


Zooming in the Track View

Horizontal and vertical zoom controls

The zoom "levers" in the upper and lower right corners of the Montage window work just like in the Wave windows. There is one thing to note:

Changing the vertical zoom does not affect the height of the tracks.

Rather, it affects the vertical magnification of the waveforms within each clip.

Zooming in the ruler

As in the Wave windows, you can adjust the horizontal zoom by clicking in the ruler and dragging the pointer up or down with the mouse button pressed. Drag up to zoom out and drag down to zoom in.

If you hold down [Shift] while zooming this way, the Montage cursor position isn't affected.

Changing the height of tracks

The height of the tracks (and thereby the number of tracks displayed in the Montage window) is governed by the track magnification controls in the lower right corner of the Montage window.

Click on the large Magnifying Glass icon to "zoom in" - increase the height of the tracks.

This is the same as displaying one track less. When only one track is displayed, this icon will be greyed out.

Click on the small Magnifying Glass icon to "zoom out" - decrease the height of the tracks.

This is the same as displaying one track more. When all tracks are visible, this icon will be greyed out. Consequentially, if the Montage only contains one track, both Magnifying Glass icons will be greyed out.

You can also zoom in on a single track, making it fill the window.

This is done by clicking the numbered button to the left of the track to bring up the track menu, and selecting "Zoom".

Zooming with the Rubber Band tool

1. Click the Magnifying Glass icon in the top left corner of the Track View.

The pointer takes on the shape of a "four-way arrow" with a magnifying glass.

2. Click and drag a rectangle in the Track View, to indicate the section you want to zoom in on.

When you release the mouse button, the Track View is magnified, so that the section in the rectangle fills out the display. Note that the magnified view will include any tracks fully or partially enclosed by the rectangle.

3. Deactivate the Rubber Band tool by clicking the icon again, or by right-clicking anywhere in the Track View.

It is also possible to temporarily select the Rubber Band tool, by holding down [Ctrl] and aiming in an empty area of the Track View (or in a mouse zone used for range selection).

See About the mouse zones.

Zooming in on a single clip

If you want to study a clip in detail, you can zoom in on it so that it fills up the track display:

1. Point at the clip.

Make sure you don't aim at an envelope curve.

2. Click with the right mouse button.

The clip context menu appears, containing various clip-based functions and settings.

3. Select "Zoom", and from the submenu that appears, "Whole Clip".

The Track View zooms in on the clip.


Zooming and navigating in the Edit Overview

When the Edit view is selected (by clicking the Edit tab), the upper pane shows an Overview of the Montage, with clips displayed as boxes. You can use this Overview to zoom in or out, and for navigating to other sections of the Montage. This is done by moving and resizing the Track View rectangle in the Overview:

The Track View rectangle indicates the section of the Montage currently displayed in the Track View.

You can zoom in or out, vertically or horizontally, by resizing the Track View rectangle.

Resizing is done by dragging the edges of the rectangle.

You can also resize the rectangle horizontally by holding down [Shift] and clicking. This will instantly move the closest edge of the rectangle to the clicked position.

You can drag the Track View rectangle to view other sections of the Audio Montage.

Clicking on one of the clip boxes outside the Track View rectangle will make the Track View zoom in horizontally on that clip.

The number of tracks shown will not change.

Double clicking on one of the clip boxes in the Overview will make the Track View zoom in horizontally and vertically on that clip.

Right-clicking anywhere in the Overview will make the Track View zoom out, so that the whole Audio Montage is visible.

The Key Command for this is [J].

To identify a clip in the Overview, position the pointer over its box.

The name of the clip is displayed.


Moving the Montage cursor

To move the Montage cursor, you can either click at the desired position, use the Transport bar or use the computer keyboard.

You can click in the ruler, in an empty section of the Montage or within a clip (anywhere except in the mouse zone used for copying clips by dragging, and on the volume envelope line).

The mouse zone concept is described in the topic About the mouse zones.

The buttons on the Transport bar work as in the Wave windows.

The Fast Forward and Rewind buttons scroll the playback position forwards or backwards, while the start and end buttons move the playback position to the start or end of the Montage.

The left and right arrow buttons on the computer keyboard can be used to move the Montage cursor in fine steps.

If you hold down [Ctrl] and press the left or right arrow button, the Montage cursor will jump to the nearest clip edge (start or end position of a clip). It is also possible to move the Cursor by using the Page Up, Page Down, Home and End keys.


Using snapshots

To make it easy to quickly move between different views and zoom levels, you can capture view settings as snapshots, and apply these at any time. This is done in the Snapshots view.

A snapshot contains the following settings:

The horizontal and vertical magnification.

The section (horizontal and vertical) of the Montage currently shown in the Track View.

The Montage cursor position.

The current selection range (if any).

Capturing the current view

Set up the view as desired, and click the black camera icon, or select "Capture current settings" from the Snapshots view : Functions menu. A new snapshot is added to the list.

Updating snapshots

You can update an existing snapshot to contain the current settings by selecting the snapshot you want to update, and clicking the blue camera icon (or by selecting "Update selected snapshot with current settings" from the Snapshots view : Functions menu).

Editing snapshots in the list

You manage the snapshot list and edit the settings using the standard WaveLab list editing techniques:

Hide and show columns using the columns pop-up menu (accessed by clicking the arrow button to the left of the list columns).

Reorder or resize columns by dragging in the headings.

Sort the snapshots by clicking in a column heading.

Rename a snapshot by double clicking on its name and typing.

Edit other values by using regular value editing techniques.

The columns have the following functionality:

Column | Description
Name | The name of the snapshot.
View | When this checkbox is activated, the stored view (zoom factor and visible area) is included when you apply the snapshot.
Cursor | When this checkbox is activated, the stored Montage cursor position is included when you apply the snapshot.
Position | The stored position of the Montage cursor.
Selection | When this checkbox is activated, the stored selection range is included when you apply the snapshot.
From | The start position of the selection range.
To | The end position of the selection range.
Length | The length of the selection range.

Applying a snapshot

1. Make sure the desired checkboxes are activated for the snapshot.

As described in the table above, these govern whether the view, Montage cursor position and/or selection range are to be affected when you apply the snapshot.

2. Click the numbered button to the left of the snapshot in the list, or select the snapshot and select "Apply selected snapshot" from the Snapshots view : Functions menu.

Deleting snapshots

To delete a snapshot, select it and click the trash icon, or select "Delete selected snapshot" from the Snapshots view : Functions menu.


Undoing view and position changes

There is a separate "Undo history" for zoom, view and position changes in the Audio Montage. This allows you to undo one or several changes, in the following way:

To undo the latest change to the view, click the green left arrow to the left of the Track View ruler (or press [7] on the numeric keypad).

You can repeat this as long as there is any change to undo (as long as the green left arrow is lit). This Undo history includes changes to zoom, view, and Montage cursor position.

To redo an undone view change, click the yellow right arrow to the left of the Track View ruler (or press [8] on the numeric keypad).


Maximizing the width of the Audio Montage

If you click the double arrow icon at the top left corner of the Track View, the Audio Montage window is enlarged horizontally to fill the whole screen.


Playing back

Basics

Mute and solo

Playing back individual clips and selections

Using the Shuttle function

Using the Jog function

Playing back from the ruler


Basics

Playback in the Audio Montage works in much the same way as in the Wave windows. There are some extra things to note:

The audio is normally routed through the Master Section.

This allows you to add global effects to the Audio Montage or use the Render function to create a mixdown audio file, or an intermediary Basic Audio CD (see Mixing down - The Render function).
You can also choose to route the audio from a track to the nearest track above (see About the "Upper Track" output option), for use with effects that allow modulating audio inputs (such as side-chain compressors, duckers, etc.).
The routing is done using the "Route to" options on the track menu.

The loop settings on the Transport bar apply as in the Wave windows.

If the "Loop Selection" mode is selected, playback will loop within the boundaries of the current selection range (see Selection ranges). This selection range may be on any track - you can even make a "selection" on an empty track. This vertical position of the selection range is of no relevance for loop playback, only the left and right selection boundaries matter.


Mute and solo

You can mute or solo tracks in the Montage by using the corresponding buttons in the Track Control area:

Note that a track is muted when the green button is dark.

Note that a track is soloed when the Solo button is blue (lit).

The Solo buttons are exclusive, that is, solo can only be activated for one track at a time.

However, you can manually unmute other tracks when Solo is activated, if you want to listen to a combination of tracks.

Muting individual clips

It is also possible to mute a clip:

1. Right-click anywhere on the clip you want to mute (except on the envelope curve).

The clip context menu appears.

2. Select "Mute" from the menu.

The clip is muted. This is indicated in three ways:

The clip is shown with another color (by default "greyed out") when not selected.

The "M" checkbox in the Clips view is ticked (see The columns).

The "Mute" item on the clip context menu is ticked.

To unmute the clip, bring up the clip context menu again and uncheck the "Mute" item.

To mute or unmute all selected clips, pull down the Edit view : Select menu and select "Mute/Unmute all selected clips".

It is also possible to mute a selection range within a clip, using the volume envelope.


Playing back individual clips and selections

When editing and rearranging the Audio Montage, it can be useful to be able to audition the individual clips and selections. This is done using the clip context menu:

1. Right-click on the clip you want to play back (make sure you don't click on the envelope curve, as this will open another context menu - see Hiding/Showing volume envelope curves).

The clip context menu appears.

2. Select one of the "Play" items.

"Play clip" plays back the clip you clicked on.
"Play clip selection" plays back the current selection range only (this is only available if you have made a selection in the clip - see Selection ranges).
"Play (with Pre-roll)" plays back the clip you clicked on, starting slightly before the clip. The Pre-roll time is set with the "Playback pre-roll time" parameter on the CD Burning tab in the Preferences dialog.

Playing all tracks within the current selection range

If you have made a selection range (see Selection ranges), you can play back the Montage within this range only. This is a quick way to listen to a short section of the Montage:

1. Drag with the mouse to create the selection range, either in a clip or in an empty section of a track.

2. Right-click in the ruler.

The ruler pop-up menu appears.

3. Select "Play selection" from the pop-up menu, or press [F6].

All unmuted audio within the selection range is played back.

When you use this playback method, the loop settings on the Transport bar are disregarded. To play back the selection in a loop, press [Shift]-[F6].


Using the Shuttle function

The Shuttle function can be viewed as playing back with a continuous control for tape speed and direction. This works in the same way in the Audio Montage as in the Wave windows:

1. Activate the Jog/Shuttle button on the Transport bar (or press [F10]).

A vertical line is displayed in the middle of the Audio Montage window and the pointer takes on the shape of a speaker.

2. Click and hold the mouse button to the left or right of the vertical line.

Clicking to the left of the line will play back the audio backwards and clicking to the right will play the audio forwards. The playback speed is determined by the distance from the line to the pointer, so that the further away from the line you move the pointer, the faster the playback.

The playback speed is indicated in the info line.

"1.00" is normal playback speed. Negative values indicate reverse playback.

3. Release the mouse button to stop playback.

Remember to deactivate the Jog/Shuttle button on the Transport bar when finished (by clicking the button, pressing [F10] or using Stop).


Using the Jog function

The Jog function can be viewed as dragging the audio past a "playback point", much like dragging a reel-to-reel tape past the playback head. This is done in a different way than in the Wave window:

1. Click the Jog/Shuttle button on the Transport bar or press [F10].

A vertical line appears in the middle of the Audio Montage window. This is the "playback point". Furthermore, the area above the ruler turns purple.

2. Point in the purple area above the ruler.

3. Click and drag to the left or right to drag the audio past the playback point.

The audio is played back, forwards (if you drag the audio to the left) or backwards (if you drag to the right), at the speed with which you drag.

Remember to deactivate the Jog/Shuttle button on the Transport bar when finished (by clicking the button, pressing [F10] or using Stop).


Playing back from the ruler

You can use the ruler to quickly locate to a position and start playback from there:

Double clicking in the ruler starts playback from that position.

Playback continues until you press Stop (or until the end of the Montage).

If you double click in the ruler and keep the mouse button pressed, playback will start from that position and stop when you release the mouse button.

After stopping, the Montage cursor will return to the position where you clicked. This is a handy way to quickly locate and audition positions in the Montage.

If you single click in the ruler during playback, playback will immediately jump to that position.

This even allows you to "jump" between different document windows.


Recording

Although the Audio Montage isn't a "multi-track tape recorder emulation", it is possible to record audio and have it appear directly as a clip in the Audio Montage. There are several ways to do this:

By using the track menu

1. Move the Montage cursor to the position where you want the recorded clip to appear.

2. Select Record at cursor from the track menu for the desired track.

The Record dialog appears. The option "Add to selected track of Montage" is automatically activated, and stereo or mono is automatically selected depending on the selected track.

3. Proceed as when recording into a Wave window.

When you finish recording, a clip is created at the cursor position.

By using the track menu during playback

1. Start playback.

2. Select Record at cursor from the track menu for the desired track.

The Record dialog appears as in the previous example.

3. Make settings as when recording into a Wave window.

4. Activate recording.

The clip will be inserted at the position where the Montage cursor was the moment you activated recording. If you first go into Pause mode and then activate recording, you will get a "pre-roll" time according to the Pause buffer (as set in the Record Settings dialog), allowing you to capture the audio just before you start recording.

By using the Record button

1. Select a track by clicking on its Track Control area.

2. If you like, activate playback.

3. Click the Record button on the Transport bar or press [*] on the numeric keypad.

The Record dialog appears.

4. Make sure the checkbox "Add to selected track of Montage" is activated.

5. Proceed as when recording into a Wave window.

When you finish recording, a clip is created at the cursor position, or if playback was activated, at the position where the Montage cursor was the moment you activated recording.

Things to note

Make sure you select a stereo track if you want to do a stereo recording and vice versa.

If "Temporary File" is selected when you record, the clip will refer to an untitled, unsaved "invisible" file.

If you try to save a Montage with references to temporary files, WaveLab will ask you to save these files (since the program needs to know the file names, for proper reference).

About playing back during recording

When you record in a multi-track environment, it is often desirable to have the existing tracks play back during recording, performing an "overdub". This is possible in the Montage, with two requirements:

Your audio card must support Full Duplex operation.

This means that the card must allow simultaneous recording and playback. Consult the audio card's documentation if you are uncertain.

The option "Stop playback when metering or recording" must be deactivated in the Record Settings dialog (see the help in the dialog).

If it is activated, you will be asked whether you want WaveLab to turn it off for you before starting recording.

About monitoring the recorded signal

WaveLab in itself does not handle monitoring (routing the input signal back to the output) during recording. If you want to hear the signal you are recording, there are two ways to achieve this:

Use an external mixer.

Normally, you connect your audio input sources (and the audio card's outputs) to the mixer's inputs, connect the mixer's main outs to the monitoring equipment and use a send or bus to send the desired channels to the audio card's inputs for recording. This is necessary to avoid including background tracks in the recorded signal.

Use the audio card's mixer application.

Many audio cards allow you to route the input signal back to the outputs. Consult the documentation of the audio card for details.


Rearranging clips

About the mouse zones

Magnetic bounds

Selecting clips

Selection ranges

Moving clips

Duplicating clips

Repeating clips

Dragging selections to create new clips

Resizing clips

Sliding the audio in a clip

Moving a clip with the audio source fixed

Splitting a clip

Cutting and erasing sections of a clip

Deleting clips

Locking clips

Using cue points

Nudging


About the mouse zones

Basic rearranging of clips in the Audio Montage is done by clicking and dragging with the mouse. However, the results of dragging with the mouse depend on where in the clip you click. The different areas in a clip are called mouse zones.

By default, the mouse zones have the following basic functionalities:

Mouse zone | Description
Top Clip area | Copy clip by dragging (see Duplicating clips).
Upper Clip area | Make a selection range (see Selection ranges).
Lower Clip area and Bottom Clip area | Select clips and move clips by dragging (see Selecting clips and Moving clips).
Upper and Lower Clip edges | Resize clips by dragging the edges (keeping the audio source "static" - see Resizing clips).

As you see, some mouse zones have the same default functionality. You can change this if you like, using the Mouse zones submenu on the Edit view : Options menu.

When you move the pointer over a mouse zone, the info line indicates the corresponding action(s).

This also indicates whether you can perform additional functions by holding down modifier keys (double click the info line for help).


Magnetic bounds

When you move and edit clips, it is often useful to have them snap to other clips as well as to significant positions in the Montage. To facilitate this, you can specify that certain positions should be "magnetic".

This is done using the Magnetic bounds submenu on the Edit view : Options menu.

Option | Description
Start of Audio Montage | The start of the Audio Montage.
Clips' cue-point | A position within a clip that you set using the clip context menu (see Using cue points).
Clips' head | The start of a clip.
Clips' tail | The end of a clip.
Time units | The time units displayed in the ruler (the same as the positions of the grid lines when the time grid is activated). The coarseness of these units is determined by horizontal magnification. For details about the ruler and the grid, see The ruler.
Audio Montage markers | Markers in the Audio Montage window (see Using markers in the Montage).
Markers in audio source | Markers in the clips' original audio files.
Selection Edges | The start and end of a selected range in the Audio Montage.
Cursor | The Montage cursor position.

Activating Snap

Having set up the desired Magnetic bounds options, you activate the Snap function by clicking the "Enable snapping" icon in the Edit view (or by pressing [N] on the computer keyboard).

Now, when you move or resize a clip and its edges (or its cue point) get close to one of the Magnetic positions, two things happen:

The clip snaps to the magnetic position.

A label is displayed, indicating what the clip snaps to.

To deactivate Snap, click the icon again or press [N].


Selecting clips

To select a clip (for copying, deletion, etc.), click in the mouse zone to which "Select/Move clip" is assigned (by default the bottom clip area).

Selected clips are normally displayed in a different color. You can edit this color, see Defining custom colors.

You can select multiple clips by [Ctrl]-clicking.

This works in the same way as selecting multiple objects in other Windows programs.

Holding down [Shift] and clicking allows you to select a range of consecutive clips (on the same track).

Again, this is similar to how you select ranges of objects in other Windows programs. Don't confuse this with making a "selection range".

If you hold down [Ctrl] and [Shift], you can click and drag a selection rectangle to select several clips on several tracks.

All clips touched or enclosed by the rectangle are selected.

Using the Select menu

The Edit view : Select menu holds several items for selecting clips. For details, please use the Help item on the menu.

About selected and focused clips

The program makes a distinction between selected and focused clips:

A selected clip is a clip you have selected using the any of the procedures described above.

Several clips can be selected at the same time.

The focused clip is the clip you selected (or clicked, or edited) last.

Only one clip can be focused at a time. By default, the focused clip is distinguished by a highlighted name label.


Selection ranges

A selection range is a selected area on a track. The selection range may be entirely or partially within a clip, or in an empty section of the track. There are several uses for selection ranges:

You can edit clips using selection ranges. This involves cutting or erasing the selection, or trimming the clip to contain only the selection (see Resizing by trimming).

You can create a new clip by dragging the selection range to another track.

You can open a Wave window with the range selected in the source audio file, by dragging the selection range to the WaveLab desktop.

You can play back the selection range only, either the whole Montage or just the clip with the selection range (see Playing back individual clips and selections).

You can have the playback loop within the selection, by activating the loop and selecting the "Loop Selection" mode on the Transport bar.

To create a selection range in an empty area on a track, click and drag with the mouse as when selecting audio in the Wave windows. Creating a selection range within a clip is done in the same way, but the pointer must be in the mouse zone to which you have assigned the "Select range" function (by default the upper clip area).

When you drag the mouse to create the selection range, the start and end position and the length of the range are displayed in the info line.

If you double click in the selection range mouse zone, a selection range is automatically created, spanning the entire clip or the area between the closest markers (if there are any).

In the latter case, triple clicking will expand the selection range to the entire clip. Furthermore, if you double click and keep the mouse button pressed, you can drag the mouse to expand the selection range in "blocks" (clips or marker areas).

You can resize a selection range by [Shift]-clicking or dragging its edges, as in the Wave windows.

As in the Wave windows, you can toggle the selection range on and off by pressing [Esc].

To remove (deactivate) a selection range, click elsewhere in the Montage.


Moving clips

To move a clip, proceed as follows:

1. If you want to move more than one clip, you need to select these clips first.

2. Position the pointer over the clip, in the mouse zone to which you have assigned the "Select/Move clip" function (by default the lower clip area).

The pointer takes on the shape of a "four-way arrow".

3. Click and drag the clip(s) in any direction.

When you are moving the clip(s), the info line displays the current start position of the clip you are dragging.

The clip(s) will snap to any activated Magnetic bounds.

If you move clips sideways, the auto-grouping settings are taken into account, as described below.

If you move the clip over another track, auto-grouping is temporarily disabled until you release the mouse button.

If you click on a clip, keep the mouse button pressed and then press [Shift], movement is restricted to vertical.

This is useful if you want to move a clip to another track without accidentally changing its horizontal position.

You cannot move mono clips to stereo tracks or vice versa.

Moving with auto-grouping

There are two options on the Edit view : Options menu that affect the result when you move clips horizontally: Track auto-grouping and Global auto-grouping.

If Track auto-grouping is activated when you move a clip sideways, all clips to the right of it on the destination track will be moved by the same amount.

If Global auto-grouping is activated when you move a clip sideways, all clips to the right of it in the whole Audio Montage will be moved accordingly.

Moving and snapping to another clip

If you line up clips so that one clip ends exactly where the next one starts (possibly using Magnetic bounds), the waveforms at the intersection point will probably not "match". Instead, there could be an abrupt "jump" in level, which can give rise to audio artefacts such as pops and clicks.

To remedy this, activate the option "Create optimized crossfade when snapping to other Clip" on the Edit view : Fade menu (or click the corresponding icon).

When this is activated and you move a clip so that its start snaps to the end of another clip, the following happens:

1. WaveLab scans the waveforms of the clips within a short range, and attempts to find the position where the waveforms of the two clips best match.

This is the same automatic phase matching as in the Zoom view (see The Zoom view). You can specify how far into the clips the program should scan, by selecting a Search range on the Zoom view : Options menu.

2. The position of the clip you moved is adjusted slightly, to achieve the best possible match between the waveforms.

This creates a short crossfade. For details about crossfades, see Using crossfades.

Note that this function only applies when moving "from right to left", i.e. snapping the start of the moved clip to the end of the clip to the left.

About overlapping clips

You can move clips so that they overlap each other on the same track. Please note:

The tracks in the Audio Montage are polyphonic, which means that each track can play back several overlapping clips at the same time.

Overlapping clips will be transparent, allowing you to see the underlying clips and their waveforms.

To select an overlapped (underlying) clip, double click in the mouse zone to which "Select/Move clip" is assigned (by default the bottom clip area).

There are automatic crossfading options that automatically adjust the volume envelope curves when you overlap clips.

See Using crossfades.


Duplicating clips

To make a copy of a clip, proceed as follows:

1. If you want to copy more than one clip, you need to select these clips first.

2. Position the pointer over the clip, in the mouse zone to which you have assigned the "Drag/Copy clip" function (by default the top clip area).

3. Click and drag the clip(s) in any direction.

While you are dragging the clip(s), a dotted line indicates where the first of the copied clips will end up. The position is also indicated on the info line (see The info line).

4. Release the mouse button.

If you dragged a single clip, the Insert options pop-up menu appears (see The Insert options). Select one of the options to insert the duplicate of the clip. If you dragged more than one clip, the duplicates are inserted, taking the auto-grouping settings into account, as described below.

The clip(s) will snap to any activated Magnetic bounds.

You cannot copy mono clips to stereo tracks or vice versa.

You can also duplicate a whole track, including all its clips, by selecting Clone track from the track menu.

Duplicating with auto-grouping

If you are copying more than one clip at the same time, the auto-grouping settings in the Edit view (see Moving with auto-grouping) affect the result:

If Track auto-grouping is activated when you duplicate clips, all clips on the destination track, to the right of the new copy, will be moved to the right, to "make room" for the new clips.

If Global auto-grouping is activated when you duplicate clips sideways, all clips to the right of the new copy in the whole Audio Montage will be moved to the right in the same way.


Repeating clips

If you want to make more than one copy of a clip, and line the copies up on the same track, this is easiest done with the Repeat clip function:

1. If you don't know the exact number of copies (clones) needed, but know roughly where you want the last clip in the row to be positioned, move the Montage cursor there.

2. Right-click on the clip to bring up the clip context menu.

3. Select Repeat clip...

The Repeat clip dialog appears.

4. Either select the "Count" option and specify an exact number of clones, or select the "Repeat until cursor" option.

5. Select one of the Placement options.

These determine how the repeated clips should be spaced. For details, please use the help in the dialog.

6. Click OK.

The copies are created. If you chose the "Repeat until cursor" option, the last clip will start to the left of the Montage cursor.


Dragging selections to create new clips

If you have made a selection range in a clip, you can copy this to a new clip, in the following way:

1. Create the selection range, as described in the topic Selection ranges.

If the selection range covers more than one clip, only the section belonging to the focused clip will be copied!

2. Position the pointer over the selection, in the mouse zone to which you have assigned the "Select range" function (by default the upper clip area).

3. Drag the selection to the desired position.

When you are dragging, the position of the pointer is displayed on the info line. Magnetic bounds apply, as when duplicating clips.

4. Release the mouse button.

The Insert options pop-up menu appears (see The Insert options). Select one of the options to insert the new clip.

Envelopes and effects will not be included when you copy selection ranges.


Resizing clips

In this context, "resizing" usually means moving the start and end points of a clip, so that more or less of the original audio file is "revealed". However, in the Audio Montage there are two ways of doing this: with the audio source "static" or "tied". These two methods are explained below.

As with other clip operations, the mouse zones determine which function is used, and the pointer changes shape to indicate the current function.

The "Resize clips" pointers for static and tied audio sources, respectively.

Resize clips (static audio source)

This is the traditional way of resizing clips, you simply move the start or end point to the left or to the right:

1. Point at the left or right edge of the clip.

By default, it doesn't matter whether you click in the upper or lower half of the edge, but it is possible to select either half for the alternate resize method, as described below.

2. Click and drag to the right or left.

The start and end positions and length of the clip are displayed on the info line while you are dragging.

You cannot drag the edge of a clip past the start or end point of the audio file it refers to.

The clip edges will snap to any activated Magnetic bounds.

When you drag the right edge of a clip this way, the auto-grouping settings on the Edit view : Options menu are taken into account.

As when copying clips, this means that if Track auto-grouping is activated, all the following clips on the track will be moved when you resize the clip (so that the distance between the clip's right edge and the next clip on the track remains the same).
If Global auto-grouping is activated, the same is true, but for clips on all tracks in the Audio Montage.

Resize clips (tied audio source)

When you resize a clip using this method, the audio source is "tied" to the edge you are moving. This means that the audio is "scrolled" at the other edge of the clip, as in the picture below.

1. Point at the left or right edge of the clip, and press [Ctrl].

2. Click and drag to the right or left.

The start and end positions and length of the clip are displayed on the info line while you are dragging.

For example, let's say you move the right edge of the clip to the right. As a result, the start point of the clip will refer to an earlier position in the audio file.

Magnetic bounds and the auto-grouping options apply as when resizing with static audio source.

It is also possible to assign either the upper of lower half of the clip edge to this alternate resize method.

This is done on the Edit view : Options menu, by selecting "Resize clip (tied audio source)" for the upper or lower clip edges on the Mouse zones submenu. In this case, you don't need to press [Ctrl] in step one above, but you must take care to aim at the desired mouse zone (upper or lower) when you resize the clip.

Resizing by trimming

If you need to remove unnecessary material at the beginning and end of a clip, this can be quickly done by trimming:

1. Make a selection range within the clip (see Selection ranges), encompassing the audio material you want to keep in the clip.

2. Right-click to open the clip Context menu.

3. Select Trim to selection.

The clip is resized to contain only the selected audio.


Sliding the audio in a clip

If you want to adjust the position in the audio file to which the clip refers, you can do this by "sliding" the audio within the clip, without resizing it:

1. Position the pointer over the clip, in the mouse zone to which you have assigned the "Select/Move clip" function (by default the lower or bottom clip area).

2. Press [Ctrl] and [Alt].

The pointer takes on the shape of a double arrow.

3. Drag left or right to slide the audio source.

It is also possible to assign a separate mouse zone to this function.

This is done on the Edit view : Options menu, by selecting "Slide audio source" for the desired zone on the Mouse zones submenu. In this case, you don't need to press [Ctrl]-[Alt] in step two above. Be careful not to slide the audio by accident, though.


Moving a clip with the audio source fixed

This is the opposite of sliding the audio: this function moves the clip in the Montage, but the audio source remains fixed in position:

1. Position the pointer over the clip, in the mouse zone to which you have assigned the "Select/Move clip" function (by default the lower or bottom clip area).

2. Press [Shift] and [Alt].

The pointer takes on the shape of a box with arrows.

3. Drag left or right to move the clip, "revealing" other sections of the "underlying" audio source.

It is also possible to assign a separate mouse zone to this function.

This is done on the Edit view : Options menu, by selecting "Move clip - source remains fixed" for the desired zone on the Mouse zones submenu. In this case, you don't need to press [Shift]-[Alt] in step two above.


Splitting a clip

You can split a clip in two, using the following method:

1. Set the Montage cursor to the position at which you want to split the clip.

2. Position the pointer over the clip, in a mouse zone for which you have activated the "Split at cursor with a double click" function (by default the top clip area).

The cursor takes on the shape of a pair of scissors.

3. Double click.

The clip is split in two. The two clips will have the same name and settings. Envelopes and fades (see The volume envelope) are converted, so that the two clips play back as before.

If the options "Create default fades in new clips" is activated on the Edit view : Fade menu, a crossfade is automatically created between the resulting left and right clip.

You can also split a clip by setting the Montage cursor and selecting "Split at Cursor" from the clip context menu, or by pressing [S] on the computer keyboard (in which case the focused clip is split).


Cutting and erasing sections of a clip

You can cut or erase a selection range within a clip, by using the functions "Cut selection" or "Erase selection" on the clip context menu, or by selecting Delete or Erase selected range from the main Edit menu.

Cutting

If you select "Cut selection" (or Delete on the main Edit menu), the selected range is removed, and the right section of the clip is moved to the left, to fill out the gap.

If any of the automatic crossfading modes, or the option "Create default fades in new clips" are active on the Edit view : Fade menu, a default crossfade is created between the resulting two clips, ensuring a click-free, clean transition.

Furthermore, if "Snap to waveform when crossfading" or "Create optimized crossfade when snapping to other clip" are active on the Edit view : Fade menu, then the position of the right clip will be adjusted for the best possible phase match between the clips (see Moving and snapping to another clip).

The auto-grouping settings in the Edit mode are taken into account.

This means that the following clips (on the same track or on all tracks) may be moved to the left, depending on the auto-grouping settings.

Erasing

Selecting "Erase selection" removes the selected range, resulting in two clips with a gap between them.

If "Create default fades in new clips" is activated on the Edit view : Fade menu, a default fade-in is created for the right clip, and a default fade-out for the left clip.


Deleting clips

There are two principal ways to delete a clip:

Right-click on the clip to bring up the clip context menu, and select "Delete clip".

Select it, and press [Backspace].

Instead of using [Backspace], you can press the [Delete] key or select "Delete" from the main Edit menu.

You must make sure there is no selection range before deleting - otherwise the range will be deleted instead of the clip. To ensure there is no selection range, press [Esc].


Locking clips

Sometimes it's useful to lock a clip, to prevent you from accidentally moving, editing or deleting it. This is done by selecting "Lock" from the clip context menu.

You can see that a clip is locked by moving the mouse pointer over the clip - the pointer will take on the shape of a lock symbol. Furthermore, locked clips have their own color scheme (by default green, but you can change this if you like - see The color elements).

Unlocking a locked clip

There are three ways to unlock a locked clip:

Click on the clip, and click "Yes" when asked whether you want to remove the lock.

Uncheck the checkbox in the Lock column in the Clips view (see The columns).

Deactivate the Lock item on the clip context menu.

To lock or unlock several clips in one go, select the clips and select "Lock/Unlock all selected clips" from the Edit view : Select menu.

To be able to select locked clips, you need to use a selection rectangle (by pressing [Ctrl] and [Shift] and dragging with the mouse).


Using cue points

A cue point is a defined position marker that belongs to a clip. It may be positioned within or outside the clip. Cue points are displayed as dotted vertical lines.

When you move a clip, its cue point will be magnetic to any edges, markers or positions activated on the Magnetic bounds menu (see Magnetic bounds). There are several uses for this:

Set the cue point at a "relevant" position in the audio and use it to align the clip with other clips, etc.

Set the cue point before the start of a clip, allowing you to position clips in a row with pre-defined spaces (by magnetizing the cue point to the end of the previous clip).

Set the cue point at the fade-in or fade-out point of a clip, making it easy to maintain defined fade lengths when crossfading (see Using crossfades).

To set the cue point for a clip, proceed as follows:

1. If you want to set the cue point at an arbitrary position, move the Montage cursor to that position.

This may be within the clip or outside it.

2. Right-click on the clip to bring up the clip context menu.

3. Open the Cue point submenu.

4. Select one of the functions on the submenu:

Option | Description
Set at cursor | Sets the cue point at the current Montage cursor position.
Follows fade-in end point | Sets the cue point at the clip's fade-in junction point (the left purple handle in the volume envelope). The cue point will follow the handle if you move it. See Editing fades.
Follows fade-out start point | As the previous option, but for the fade-out start point.
Set at default pregap position | Sets the cue point before the start of the clip, at a distance governed by the default pre-gap position (set on the Edit view : Options menu).

Each clip can only have one cue point. This means that if you repeat the procedure above and select another option on the submenu, the cue point will be moved to a new position.


Nudging

The Audio Montage window has a special function for making fine adjustments, or "nudging". The Nudge function is not restricted to the position of clips; it can be applied to a number of objects and properties in the Track View.

Basic procedure

1. If necessary, select the object(s) you want to nudge.

For example, if you want to adjust the position of a clip, or any property such as left/right edge, fade-in/fade-out length, etc., you need to select the clip.

2. Pull down the Edit view : Options menu and bring up the Nudge submenu.

3. Select the element or property you want to nudge, from the lower part of the submenu.

4. Click the Nudge icons to nudge the selected element, or use the computer keys [F11] (Nudge -) or [F12] (Nudge +).

Each time you click the icon or press the corresponding key, the element will be nudged by a defined amount (see below).

By holding down modifier keys when you click the icon or press the key, you can nudge the element by smaller or larger amounts.

The modifier keys have the following functionality:

[Shift] | Large impulse (10 x the default amount).
[Ctrl] | Small impulse (1/10 of the default amount).
[Ctrl]+[Shift] | Micro impulse (1/100 of the default amount).

Generally, the magnetic bounds are not used when nudging.

That is, the Nudged elements will not snap to other positions, but can be moved freely. The exception is "Snap to waveform when crossfading" for nudged clips, see below.

Setting the default nudge impulse

To define the default nudge impulse (the amount with which elements are adjusted when you nudge them), proceed as follows:

1. Bring up the Nudge submenu from the Edit view : Options menu.

2. Select "Define impulse...".

The Impulse Value dialog appears.

3. Specify the default impulse time in the Time field.

This is used for nudging the position of objects or edges.

4. Specify the default impulse level in the Level field.

This is used for nudging volume.

5. Click OK to close the dialog.

Note that the Large, Small and Micro impulses are relative to the default value.

The default impulse settings are not used when nudging Syncro offset (SMPTE). See Nudging sync offset.

The nudgable elements

The following elements and properties can be nudged:

Element | Description
Clip position. | This moves all selected clips. Note: If the option "Snap to waveform when crossfading" is activated on the Edit view : Fade menu, and the focused clip (if any, see About selected and focused clips) is moved to the left so that it overlaps another clip, the nudged clip will be time-adjusted slightly to match the waveform in the left clip.
Clip's left or right edge. | This is the same as resizing the clip, in "static audio source" mode (see Resize clips (static audio source)).
Clip's fade-in or fade-out. | Moves the fade-in/fade-out junction point (see Creating fades). If the envelope is a stereo envelope, both sides will be adjusted.
Clip's crossfade. | For this to work, you have to select the second clip (the one to the right) in a crossfade pair. Nudging will make the crossfade zone narrower or wider, by moving the junction points of both clips in the crossfade. For details about crossfades, see Using crossfades.
Cursor. | Moves the Montage cursor.
Selected range left/right. | Moves the left or right edge of a selection range.
Current marker. | Moves the currently selected Montage marker. To select a marker, click on it in the area above the ruler.
Pan of focused clip. | Adjusts the Pan of the focused clip, so that Nudge+ pans to the left and Nudge- to the right. The nudge amount is fixed at 1/100 of the full pan range. This means that the default impulse setting is not used.
Pan of all selected clips. | As above, but affects all selected clips.
Volume of focused clip. | Adjusts the volume of the focused clip, in steps according to the Level setting in the Impulse value dialog.
Volume of all selected clips. | As above, but affects all selected clips.
Synchro offset (SMPTE). | This is used when synchronizing WaveLab to external equipment. See Nudging sync offset.

Using Auto-Select

If the Auto-Select option on the Nudge submenu is activated, WaveLab attempts to automatically select what should be Nudged, depending on your last action in the Track View. If your last action was to select or move a clip, the "Clip position" option is automatically selected on the Nudge submenu, if you adjusted the volume, the "Volume of focused Clip" option will be selected, etc. In most cases, this allows you to use the Nudge feature without having to manually select Nudge elements on the submenu.


The Zoom view

Introduction

Splicing clips together


Introduction

When the Zoom view is selected (by clicking the Zoom tab), the upper pane displays a close-up view of the beginning of the selected clip. The main purpose of this is to help you splice two consecutive clips together (in which case the Zoom view will display the end of the left clip and the start of the right clip, as in the picture below). This splicing is done by applying short crossfades.

To make things clear, there are two main "types" of crossfades:

The "artistic" crossfades, for example when you want to crossfade two songs to make a nice transition.

Usually, these types of crossfades are quite long, and can easily be created from the Track View.

The "patch" crossfades, for example when you want to replace a section of audio, and want this to be done as transparently as possible, without any audible discontinuity in the resulting audio.

In these cases, it is necessary to make the crossfades as short as possible. These types of crossfades are best created in the Zoom view.

The Zoom view helps you create very short crossfades, automatically matching the phase of the two clips, hence minimizing harmonic cancellations. This method, though more CPU demanding, is far superior to the common method of just finding zero crossing points.


Splicing clips together

To splice two clips together in the Zoom view, proceed as follows:

1. In the Track View, move the two clips together end-to-start.

2. Make sure the clip to the right is focused.

3. Click the Zoom tab to display the Zoom view.

This shows a close-up of the two clips.

Note that the Zoom view is centered around the start point of the right clip! This means that if you move the right clip in the Track View, the left clip will appear to be moving in the Zoom view.

4. Set the zoom factor using the icons above the display, or the corresponding options on the Zoom view : Options menu.

In the finest mode (1:1), each pixel on screen corresponds to one sample. In the 1:8 mode, there are eight samples per pixel.

If you activate Automatic level zooming on the Zoom view : Options menu, the waveforms are automatically zoomed vertically to fill out the Overview.

5. If necessary, you can move or resize the right clip in the Zoom view.

Resizing is done exactly as in the Track View, with the audio source "static" or "tied" (see Resizing clips). Moving is done by clicking and dragging anywhere within the clip (the mouse zones within the clip are not used in the Zoom view).

6. Select a search range from the Zoom view : Options menu.

This determines how far into the clips the program will scan when searching for the best possible phase match. Higher values result in greater accuracy, but also longer processing times, since this is a very CPU intensive process.

If the sounds contain a lot of bass, you should avoid the shortest search range setting (5-10 ms).

7. Select Move to left (match waveform) from the Zoom view : Options menu (or click the icon with the left arrow, next to the menu).

WaveLab will now scan the audio to the left of the splice point and move the right clip to the position which provides the best possible phase match, to avoid harmonic cancellation. When the right clip is moved over the left clip, a short crossfade is automatically created. For more information about crossfades, see Using crossfades.

Selecting the function Move to right (match waveform) from the Zoom view : Options menu (or clicking the icon with the right arrow) does the same thing, but moves the right clip to the right instead.

This is useful if the two clips are already overlapping.


Editing in the Clips view

Introduction

Customizing the view

The columns

Export clip list as text...


Introduction

When the Clips view is selected (by clicking the Clips tab at the top of the Audio Montage window), all currently used clips are displayed in a list in the upper pane. Each clip in the Track View has a corresponding entry in the clip list.

The list allows you to edit the clips in various ways. In fact, virtually all clip editing functions available in the Track View are also available in the clip list. As usual, you can either type in the values or use sliders, allowing for exact and precise editing.


Customizing the view

There are clip lists with identical contents in the Files and Groups views as well. However, each list can be customized independently.

Hiding/Showing columns

The Clips view can be divided in up to ten columns, with each column displaying different data relating to the clips in the list. To hide/show columns, proceed as follows:

1. Click on the Clips tab to select the Clips view.

Make sure the divider between the upper and lower panes is pulled down, so you can see the clip list properly.

2. Click on the Columns (arrow) pop-up located in the upper left part of the clip list.

A pop-up menu appears, displaying all the available column types. Currently visible column types are indicated with a tick mark.

3. To hide a Column, simply click on the tick mark beside the column type you wish to hide.

The Column disappears from the clip list, and the pop-up closes.

4. To show a hidden column type, open the columns pop-up menu and click in the space to the left of the column type you wish to show.

The pop-up closes, and the column is now shown in the clip list.

Moving columns

It is possible to rearrange the order of the columns by click-dragging a column heading.

A vertical line is shown in the clip list to indicate where the column will be inserted when you release the mouse button.

Resizing columns

You can freely adjust the width of columns by positioning the mouse pointer on the edge of the column, and click-dragging the divider.

Optimize column width

This columns menu option can be used to optimize the size of all columns with regard to their contents, in other words all columns will be resized so that the column contents will be shown in full.

Normally, you don't have to do this, since WaveLab automatically optimizes the column widths each time the view is opened or resized.

Only show selected clips

When this item is activated on the Clips view : Options menu, only those clips that are selected in the Track View are listed. Deselecting a clip in the Track View will automatically hide it in the clip list.

Sorting the clips in the list

The clips in the list can be sorted in a number of ways; alphabetically, by length or by start position etc. This is done in the standard Windows fashion, by clicking on the desired column heading. Clicking again on the same heading will reverse the sort order.

Re-ordering clips in the Montage by drag and drop

This feature allows you to reorder clips in the Montage, in a way that is only possible from the clip list. As an example, let's assume that we have edited the "Welcome" wave file (included with WaveLab) so that the words "Welcome" "to Steinberg's" and "WaveLab" are instead contained in three separate clips. In this example the clips are all on the same track, but they do not have to be. Proceed as follows:

1. Place the clips so that the original welcome message is played back in the right order.

2. Open the Clips view : Options menu, and make sure that the top menu item "Allow reordering by drag and drop" is ticked.

3. Now click the "Welcome" Clip number (1) to the left of the speaker icon in the clip list, and drag and drop it below the "WaveLab" clip in the list.

While dragging, the pointer changes to a Waveform icon.

4. The clip order is still 1-2-3 but the message now says "to Steinberg's" - "WaveLab" - "Welcome".

If you look at the clips in the Montage Track View or in the clip list you will notice that a pregap (by default 2 seconds) has been added to the "Welcome" clip.

The default pregap time is 2 seconds. You can change this default time by opening the Edit view : Options menu and selecting "Edit default pre-gap...".


The columns

In the clip list, you can edit the following parameters:

Column | Description
Row header (number) | Clicking on the numbered button to the left of a clip in the list automatically selects the clip in the Track View and scrolls the Track View to display the clip.
Speaker icon | Click on the Speaker icon to audition a clip (including muted clips). This column cannot be removed, resized or edited.
Name | Double click on a name to type in a new name.
Track | Clicking on a track number opens a pop-up menu where you can select a new track for the clip (stereo clips cannot be moved to mono tracks and vice versa).
Pregap | Length of silence before clip, or the overlap time between clips (see further description below).
Start | The clip start time (in the format selected on the ruler).
End | The clip end time.
Length | The length of the clip.
Clip-lock status | If a box is ticked in this column, the related clip is time-locked in the Track View, and no editing can be performed on the clip.
Gain | This allows you to boost or cut the clip gain by +/- 24 dB. Note that this "extra" gain adjustment is done at the end of the clip chain, after the envelope, effects and pan. This is the setting adjusted by the Meta Normalizer (see The Meta Normalizer).
Mute status | If a box is ticked in this column, the related clip is muted (see Muting individual clips).
Comment | In this column you can type in comments for the clip.

About the Pregap column options

There are three options on the Clips view : Options menu that determine what is displayed in the Pregap column:

Show global pre-gaps.

If this is activated, the Pregap Column displays the length of the gap (if any) between the start of a clip and the end of the previous clip, on any track. In other words, it shows the gap between the two clips, regardless of whether they are on the same or different tracks.

Show pre-gaps by track.

As above, but shows the gap between clips on the same track only.

Show overlap times (in red).

If this is activated, and a clip overlaps the previous clip, the Pregap column will display the length of the overlapping section, in red. Note that the "global" and "by track" options above apply to overlap times as well.


Export clip list as text...

This item on the Clips view : Options menu opens the clip list in Windows Notepad. The list contains all the column items found in the clip list except the clip-lock and mute status. Additionally, it also contains information about the clips' source wave files.


Managing clips and source files

Editing source files

Cloning and substituting source files

Substituting the source audio file


Editing source files

Editing the Montage may require that you process or edit the actual audio files referenced by the clips. This is done in the following way:

1. Right-click on the clip to bring up the clip context menu.

2. Select Edit from the Source submenu.

A Wave window opens, showing the referenced audio file with a selection corresponding to the clip.

3. Edit the file as desired, save it and return to the Audio Montage.

You can also use the following methods to edit the source file:

Drag the clip onto the WaveLab desktop.

Double click in the mouse zone used for dragging/copying clips (by default the Top Clip area).

Drag a selection range onto the WaveLab desktop.

In this case, the selection in the Wave window will correspond to the selection range, rather than the clip.

Please note the following:

Any editing you perform this way will affect all clips that use the audio file (possibly including clips in other Audio Montages).

If this is not what you want, you should consider using the "Clone and Substitute" function (see below) before editing.

You can undo/redo all changes in Wave windows, and these changes will be reflected immediately in all open Montages.

If you reduce the length of the source audio file, so that it ends before the clip end point, the end of the corresponding clip(s) will be displayed in another color (inverse video), to alert you.

You should remedy this, either by undoing the change in the source file, by assigning another audio file to the clip or by resizing the clip.

If you use "Save as" to save the source audio file under another name, the Montage will now refer to that new file instead.

This is true for all open Montages that refer to the file.


Cloning and substituting source files

If you want to be able to edit the source file of a clip, without the risk of corrupting any other clips, you should use the function "Clone and substitute" on the Source submenu on the clip context menu. This creates a copy of the audio source file, and makes the clip reference to this new file. As a result you can edit the source file without affecting other clips or the original audio file.

The cloned audio file will have the same name as the original, but with the postfix "_#X", where X is a number.

For example, if the original file is called "Piano.wav", the first clone you make will be called "Piano_#1.wav". If you repeat the procedure with another clip referencing to "Piano.wav", that clone will be called "Piano_#2.wav", and so on.

The cloned audio file will be stored in the folder specified in the "Implicit folder" dialog on the Edit view : Options menu.

The "Implicit folder" is used when WaveLab needs to save files to disk. It is similar to the "Folder for temporary files" setting in the Preferences dialog, but with one important difference: Files stored in the "Implicit folder" are not "temporary", that is, they are not deleted when you close WaveLab. This is necessary since the Montage contains references to the files.

If the option "Use existing folders when possible" is activated, the cloned audio file will be stored in the same folder as the original file (provided that the original file has ever been saved).
Note that this is not always desirable; if you are working with large audio files and have two or more hard disks, you should consider having the "implicit" folder on a different hard disk from that of your regular audio folder. This will make cloning files twice as fast. However, most often it is best to have all source files in the same folder, to make backups easier.


Substituting the source audio file

If you select the function "Substitute for existing wave..." from the Source submenu on the clip context menu, a file dialog appears, allowing you to make the clip reference to another audio file.

All clip settings will be retained.

The substituting audio file must be long enough for the clip to "fit".

This means that the audio file must be at least as long as the clip's end position.

You cannot substitute a stereo file with a mono file or vice versa.


The volume envelope

How the envelope is displayed

Editing envelopes

Copying envelopes

Muting a selected range of a clip

Using envelope presets

Locking envelopes

Duck according to other track


How the envelope is displayed

By default all clips display a volume envelope curve. Actually, you should view the volume envelope as three separate envelopes: the fade-in part, the "sustain part" and the fade-out part. The purple points to the left and right on the curve are the fade-in and fade-out junction points that separate the fade parts from the sustain part.

The fade-in and fade-out parts of the envelope are described in the topic Using fades and crossfades in the Montage. The following pages describe the "sustain part" of the envelope, that is, the section between the two fade junction points.

Graphic display of envelope curves

The envelope curve indicates at a glance if points, fade-ins or fade-outs have been defined. In addition to the curve, changes in the volume envelope are by default also reflected in the waveform itself. If you do not want this feature you can deselect the "Map waveforms to volume" item on the Edit view : Options menu.

Hiding/Showing volume envelope curves

All clips display volume envelopes by default. There are two ways you can hide the envelope curve for a clip.

Method 1:

Bring up the clip context menu and deactivate the option "Fade/Level" on the "Show Envelope" submenu.

The volume envelope is hidden, but still active. To show the volume envelope, activate the option again.

Method 2:

Bring up the envelope context menu and select "Hide".

The volume envelope is hidden, but still active. To show the envelope curve again, proceed as in Method 1.

Only show one envelope at a time

As pan settings (see The pan envelope) and effect send levels (see Using effect envelopes) also can be automated using envelope curves, it is possible to have quite a few different envelope curves in a clip.This might make it difficult to quickly find the curve you wish to view or edit. To remedy this, you can activate the option "Only show one envelope at a time" on the clip context "Show envelope" submenu, and have only one selected envelope type shown:

If "Only show one envelope at a time" is selected when several curves are currently shown in a clip, nothing will happen. This is logical, since WaveLab cannot "know" what curves you want to show or hide.

1. To hide envelope curves, open the clip context menu and deactivate the item(s) you wish to hide on the "Show envelope" submenu.

2. Repeat this procedure until only the relevant curve is shown.

3. If you now select another envelope type (with the "Only show one envelope at a time" option still ticked), the new envelope will replace the previous, only allowing one envelope at a time to be shown.

Mono/stereo envelopes

It is possible to display two volume envelope curves for stereo clips, allowing you to control the volume separately for the left and right channels. Proceed as follows:

1. Right-click on an envelope curve to open the envelope context menu.

2. Select "Convert to stereo envelope" from the menu.

The clip now displays two volume envelope curves.

3. To convert back to a mono envelope, repeat step 1 and select "Convert to mono envelope" from the menu.

By definition, pan envelopes cannot be converted to stereo.


Editing envelopes

Adding volume envelope points

The volume envelope points allow you to "draw" Volume curves by mouse-dragging the points in the clip. To add a point, double click on the envelope curve (or select "New point" from the envelope context menu). You may add as many points as you like.

Selecting envelope points

The following description applies to both volume and fade envelope points. In other words, you can select, deselect and move both sustain and fade envelope points simultaneously.

Clicking on an envelope point selects it (it becomes red). You can also select several envelope points. The following rules apply:

[Shift]-click (on a point) to select all points between a previously selected point and the current point.

[Ctrl]-click (on a point) to select non-contiguous points in the envelope curve.

[Alt]-click (anywhere in the clip) and draw a selection rectangle.

All points inside the rectangle become selected.

Deselecting points

You can deselect all selected points by clicking on a selected point or by selecting "Deselect all points" from the envelope context menu. To deselect a single point (amongst other selected points), [Ctrl]-click the point you want to deselect.

Dragging volume envelope points

To move a point, click on it and drag it in any direction.

The junction points (the points separating the Fade parts and the sustain part) will only move horizontally this way. To move a junction part vertically, press [Ctrl] and drag.

To move several selected points, click any selected point and drag it in any direction.

All selected points will be moved.

Clicking on a curve segment (i.e. the part of an envelope curve between two selected points) allows all currently selected points to be moved vertically.

You are constrained to vertical movement using this method.

Clicking on a curve segment (i.e. the part of an envelope curve between two selected points) and then pressing [Shift] allows all selected points to be moved horizontally.

You are constrained to horizontal movement using this method.

[Ctrl]-clicking on the envelope curve and dragging it up or down will select (and move) the two nearest points to the right and left respectively.

You are constrained to vertical movement using this method. This method is useful as a shortcut for quickly adjusting the level of a curve segment.

[Shift]-clicking on the envelope curve and dragging it left or right will select (and move) the two nearest points to the right and left respectively.

You are constrained to horizontal movement using this method. This method is useful when working with "Duck according to other track" (see Duck according to other track) since it allows you to quickly adjust the position of duck regions.

Clicking and dragging the envelope curve up or down selects (and moves) all points.

You are constrained to vertical movement using this method. Note that points set to the minimum value are not affected

Holding down [Alt] and dragging the envelope curve up or down adjusts the corresponding envelopes in all selected clips.

This is a quick way to adjust the level or pan of several clips at the same time (and also to adjust both sides of a stereo envelope simultaneously).

Deleting volume envelope points

The junction points between the sustain and fade parts of the envelope cannot be deleted.

There are three ways you can delete points:

By double-clicking on a point.

By right-clicking on the point and selecting "Delete point" from the envelope context menu.

By selecting points and selecting "Delete selected point(s)" from the envelope context menu.

Resetting points and envelopes

There are various ways to reset the envelope:

To reset a point to 0dB, right-click on the point and select "Reset point" from the envelope context menu.

To reset the whole envelope curve to default, right-click the envelope curve and select "Reset all" from the context menu.

To reset the sustain part of the volume envelope only, select "Reset sustain to 0dB" on the envelope context menu.

All volume envelope points will be removed, but any defined fades will be left untouched. This applies to volume envelopes only.


Copying envelopes

It is possible to copy an envelope curve and paste it onto another clip. Proceed as follows:

1. Open the envelope context menu from the curve you wish to copy, and select "Clipboard" on the menu.

A submenu appears.

2. Select "Copy envelope" on the submenu.

The curve is copied to the clipboard and the context menu closes.

3. Open the envelope context menu from the clip to which you want to apply the curve and select "Paste envelope" from the Clipboard submenu.

The envelope curve is applied to the clip.


Muting a selected range of a clip

It is possible to mute parts of a clip using the volume envelope. Proceed as follows:

1. Use the "Select range" mouse zone to define the part of the clip you want to mute.

2. Right-click the clip to open the clip context clip menu, and select "Mute selection (envelope)".

The program adds points and draws a curve to mute the selected range (by lowering the volume to -144dB, with 20ms fall and rise times).

By design, points set to the minimum value (-144 dB) are not affected when you drag the whole envelope curve up or down.

This allows you to adjust the overall level of the envelope without affecting muted regions.

Muting whole clips and tracks is described in the topic Mute and solo.


Using envelope presets

Creating envelope presets

It is possible to create envelope presets which you can later recall and apply to other clips. Proceed as follows:

1. Open the envelope context menu from the clip containing the envelope curve you wish to save as a preset.

2. Select "Envelope presets" from the menu.

A submenu opens.

3. Select "Edit..." from the submenu.

The Envelope presets dialog opens.

4. Type in a name for the envelope preset and click "Add" in the dialog.

The curve is now stored as a preset.

Note that there are separate presets for the sustain part (envelope presets) and the fade parts.

Applying envelope presets

To apply an envelope preset, proceed as follows:

1. Open the envelope context menu from the clip to which you want to apply an envelope preset.

2. Select "Envelope presets" from the menu.

A submenu opens.

3. Select the preset from the list on the submenu.

The envelope curve is applied.

Volume envelope presets can only be applied to volume envelopes. Non-volume envelope presets (such as pan and effect presets) can be applied to any other non-volume envelope, but not to volume envelopes.


Locking envelopes

Envelope edit-lock

If this item is ticked on the envelope context menu, the volume envelope curve points are hidden and cannot be edited with the mouse. You can however drag the whole curve up or down.

Global envelope lock

If the Global envelope lock icon (in the Edit view) is activated, all envelopes are locked and cannot be edited with the mouse. The envelopes and their points will still be displayed, but cannot be selected or edited (the mouse pointer doesn't change shape when moved over the curve).

You can toggle global envelope lock on/off by pressing [V] on the computer keyboard.


Duck according to other track

This feature allows you to create ducking effects between clips on two adjacent tracks. Normally, ducking is when the signal level on one track or channel is automatically lowered by the presence of another signal on another track or channel (if this is what you want, you should use the Ducker plug-in, described on About the "Upper Track" output option). With "Duck according to other track" it is not the presence of another signal that causes ducking to take place, but the presence of another clip on an adjacent track.

The most obvious application of this feature is when mixing background music with a voice-over. When the voice-over starts, the level of the music is automatically lowered and when the voice-over stops, the level of the music is restored to the original level. This is done by automatically creating volume envelope curves. In the following example we have chosen to use "music" on the track to which ducking will be applied and a "voice-over" on an adjacent track that will cause ducking to take place. Proceed as follows:

The clips that cause ducking must be located completely inside the time range of the clip to which ducking is applied.

If the clip(s) that cause ducking contain silent passages, ducking will not work properly. These clips have to be edited so that each phrase is a separate clip without any silence. This is because it is not the signal level that activates the ducking, but the clip itself.

When "Duck according to other track" is performed it is applied to one clip at a time. If the music (in our example) consists of several clips that have been spliced together, only one of the clips will be ducked by the voice-over. One solution is simply to repeat the function for each clip, another is to use the "Render" function (see Mixing down - The Render function) in the Master Section to create a specific (single) file from the separate clips, and re-import this as a new clip in the Montage.

1. Place the clips containing the music and the voice-over on separate adjacent tracks.

Make sure the voice-over clips are located inside the time range of the music clip.

2. Open the envelope context menu from the clip containing the music, and select "Duck according to other track...".

The Ducking options dialog opens.

3. Click the appropriate "Previous track" or "Next track" radio button in the "Clips to follow" section (according to whether the voice-over track is above or below the music track in the Montage).

For now, we will use the default settings for the other dialog options. For details about the options, please use the help in the dialog.

4. Click "OK".

The level of the music is automatically lowered by the voice-over clips, as shown in the illustration below.


Using fades and crossfades in the Montage

Creating fades

Editing fades

Fade Options

Using default fades

Copying fades

Using the Fade- In/Out ROM presets

Using crossfades

Crossfade options

Crossfade compensation attributes

Editing crossfades

Crossfading with fade constrained overlaps

Additional crossfade options


Creating fades

As mentioned earlier, by default all clips display a fade-in and a fade-out junction point. These can be dragged horizontally to create a fade-in or fade-out for a clip. You can add envelope points to a fade just as with volume envelopes. To create a fade, proceed as follows:

1. Click and hold on the fade-in point at the beginning of a clip and drag it to the right.

The resulting linear (by default) fade-in curve is displayed in the clip, and the fade is also reflected in the waveform. If you position the mouse over the fade-in point, a label appears, showing the fade-in time in seconds and milliseconds, and the volume in dB.

2. To create a fade-out, use the same basic procedure but instead click and drag the fade-out point at the end of the clip to the left.

By default you can only move the fade junction points horizontally. To move them up or down, you need to hold down [Ctrl] and drag.


Editing fades

The operating procedure when creating and editing fades is identical to volume envelopes, except that the fade-in and fade-out context menus only contain items related to the Fade parts (whereas the envelope context menu contains settings for all parts of the envelope). Please refer to the volume envelope section for details.

To make editing of fades easier, there are special Zoom options on the clip context menu, for zooming in on the fade-in or fade-out area.

Note that the fade junction points (the points separating the fade parts from the sustain part) have a special property: If you move a junction point, all other points in the corresponding fade are moved proportionally, to maintain the shape of the fade!


Fade Options

Using fade-in/out smoothing

If either or both of these items are ticked on the envelope context menu, the resulting corresponding fade curve angles will be rounded instead of angular. This produces smoother, more natural fade curves. It can be either used while drawing the fade curve, or applied to an existing curve.

Fade-in/out presets

It is possible to create fade presets which you can recall and apply at will. This is done in the same way as with volume envelopes (see Creating envelope presets).

Fade-in/out edit-lock

If either or both of these items are ticked on the envelope context menu, the corresponding fade points are hidden and cannot be edited.


Using default fades

The factory default fade-in/out curve shape is linear. If you wish you can change this setting and define a default shape and/or length separately for both fade-ins and fade-outs. To define a new default fade-in, follow the steps below. To define a new default fade-out use the same method described below but select "Default Fade-out" instead of "Default Fade-in" on the envelope context menu:

Note that the default fades are saved for each Montage. If you want to use the same default fade for several Montages. you should update the Montage template file (see Saving a Montage template).

1. Open the envelope context menu from the clip that contains the fade-in shape and/or length you want to use as default.

2. Select "Default Fade-in" on the menu.

A submenu opens.

3. Select "Define current shape as default" on the submenu.

Now every new fade-in will have the defined default shape.

4. If you also want to define a default length, use the same procedure but select "Define current fade-in time as default" from the envelope context submenu.

You have now defined both a new default shape and length.

To apply the default fade-in time use the following method:

1. Open the envelope context menu from the clip to which you want to apply the default fade-in length, and select "Default Fade-in".

2. Select "Apply default fade time" from the submenu.

The fade-in time is now set to the defined default value.

To apply the default fade-in shape to an existing non-default fade shape, use the following method:

1. Open the envelope context menu from the clip you want to apply the default fade-in shape to, and select "Default Fade-in".

2. Select "Apply default shape" from the submenu.

When you create a new fade-in in a clip that previously had no fade-in, the default shape is automatically applied.

To apply both default fade-in shape and length use the following method:

1. Open the envelope context menu from the clip to which you want to apply the fade-in shape and time, and select "Default Fade-in".

2. Select "Apply default shape and time" from the submenu.

The fade-in time and shape and is now set to the defined default value.

Create default fades in new clips

If this option is ticked on the Edit view : Fade menu, all new clips that are imported or recorded in the Montage will get the default fade-in and fade-out shape and length. This is also true for clips that are created by splitting a clip.

Lock fade times when adjusting clip edges

If this option on the Edit view : Fade menu is ticked, the defined fade-in/out length will be locked to the clip start or end, even if you adjust the clip edges.


Copying fades

It is possible to copy a fade-in (or fade-out) and paste it onto another clip. Proceed as follows:

1. Open the envelope context menu by right-clicking on the fade you wish to copy, then select "Clipboard" on the menu.

A submenu appears.

2. Select "Copy fade-in" (or fade-out) on the submenu.

The curve is copied to the clipboard and the context menu closes.

3. Open the envelope context menu from the clip to which you want to apply the fade, and select "Paste fade-in" (or fade-out) from the Clipboard submenu.

The fade is applied to the clip.


Using the Fade- In/Out ROM presets

While you can create and apply presets as with the volume envelopes (see Creating envelope presets), there are also "factory settings" in the form of fade-in/out ROM presets.

The fade-in/out ROM presets are only selectable on the envelope context menu if the respective fade-in/out length in the clip is defined, i.e. not set to zero.

If you select "Fade-in/out ROM Presets" on the corresponding context menu, a submenu opens where you can select various preset curves and other fade-related options. The following curve types can be selected (in these examples fade-in curves are used - the corresponding fade-out curves would of course display the mirror image):

Fade-in curve type | Description
Linear | This is the factory default fade curve. A straight line between two points.
Sinus | This produces a fade-in curve that starts out moderately fast but planes out towards the end. This curve type will provide a constant power crossfade (see Power compensation).
Square-root | This creates a curve that fades in quickly then planes out. This curve type will provide a constant power crossfade (see Power compensation).
Sinusoid | This creates an s-shaped fade, with a medium slow start and end fade.
Logarithmic | This creates a curve that fades in fast in the beginning, reaching full level early in the fade.
Exponential | This creates a curve that fades in slowly in the beginning.
Exponential + | This creates an even more pronounced exponential curve.


Using crossfades

A crossfade is a gradual fade between two clips, where one is faded in and the other faded out. Crossfades in the Montage are created automatically when clip edges overlap. To create an automatic crossfade, proceed as follows:

For automatic crossfading to work, the items "Enable automatic fade-in changes" and "Enable automatic fade-out changes" must be ticked (default setting) on the envelope context menu for the clip to which you want to apply the crossfade. For a description of these menu items, see Enable/Disable automatic fade changes.

1. Click on the Edit tab and open the Edit view : Fade menu.

2. Select the menu item "Automatic crossfading - free overlaps".

It can also be selected by clicking the leftmost crossfade Icon.

3. Move a clip so that it overlaps the edge of another clip.

The crossfade is automatically created in the overlap; by default two equal length linear fade curves, one fading out and the other fading in.

This will also happen if you paste a clip so that it overlaps another clip.


Crossfade options

The following crossfade options on the Edit view : Fade menu determine how automatic crossfades will be created in the Montage:

No Automatic crossfading.

If this is activated, no automatic crossfading will be performed.

Automatic crossfading - free overlaps.

If this is activated, automatic crossfades are created when a clip overlaps the edge of another clip on the same track, and the length of the overlap determines the length of the crossfade.

Automatic crossfading - fade-in constrained overlaps.

When this option is activated, the defined fade-in length of a clip will constrain the maximum possible overlap, and hence the crossfade time, to this set length. If you move the clip with the fade-in in the overlap past the set overlap time, the other clip will be progressively resized. Moving the other clip into the clip that contains the fade-in in the overlap produces the same result.

Automatic crossfading - fade-out constrained overlaps.

This works in the same way, but instead it is the defined fade-out length that constrains the overlap. See "Crossfading using fade constrained overlaps" later in this chapter for a detailed description of these items.

Allow Automatic crossfading with selected track.

When this option is activated, automatic crossfades will also be created when moving a clip on any track so that it overlaps the edge of a clip on the currently selected (focused) track.

Allow multiple automatic crossfades.

When this option is activated, automatic multiple crossfades will be created on any track, if several selected or grouped clips will overlap other clips' edges when moved.
If the option is turned off, crossfades will only be created for the clip you drag.

Enable/Disable automatic fade changes

You can also disable automatic fade changes for individual clips, as opposed to the "No automatic crossfading" Fade menu item, which is global. This can be used if you have set a fade that you do not want to be altered in any way, even though you may want to overlap the clip with another clip. Proceed as follows:

1. Open the envelope context menu from the clip for which you want to disable automatic fade changes.

2. Deactivate "Enable automatic fade-in changes" if the fade you want left unaltered is a fade-in (or "Enable automatic fade-out changes" if it is a fade-out).


Crossfade compensation attributes

On the fade-in and fade-out ROM preset menus you can find an item called "Pure shape" along with three "compensation" items. These work as follows:

Menu item | Description
Pure shape | The pure mathematical curve shape is used. This is the default setting when any fade-in/out ROM preset is selected.
Amplitude compensation | If this is selected for a fade-in (or fade-out) curve in a crossfade, the summed fade-in and fade-out amplitudes will be the same all along the crossfade region. This option is recommended for short crossfades.
Power compensation | If this is selected for a fade-in (or fade-out) curve in a crossfade, the energy (power) of the crossfade will be constant all along the crossfade region. Crossfading between completely different types of audio material can sometimes cause harmonics to "cancel each other out" at the crossfade splice point, causing the volume to drop. Constant power crossfades compensate for this problem. Using either the "Sinus" or "Square-root" fade ROM presets for a fade-in (or fade-out) will give a constant power crossfade without selecting this item.
Medium compensation | This option provides an intermediary between Amplitude and Power compensation. This is recommended if the other two compensation attributes won't provide the desired result.

Note that selecting a compensation attribute for a single fade (not in a crossfade) will change the shape of the curve, but the actual "compensation" will only take place when the fade becomes part of a crossfade.

The options above can be applied automatically when you create a crossfade, under the following conditions:

If the fade-out is a ROM preset (excluding "Sinus" or "Square-root") that uses "Pure shape", the corresponding fade-in will get the same ROM preset, with amplitude compensation.

If the fade-out is a ROM preset that uses a compensation attribute (i.e. not "Pure shape"), the fade-in will get the same ROM preset, but with "Pure shape" activated, for the compensation to take effect.

If the fade-out uses either the "Sinus" or "Square-root" ROM presets with the "Pure shape" setting, the fade-in will get the same ROM preset also with the "Pure shape" setting, and the compensation attributes will be greyed out on the menu.

In reality power compensation is used. This is because the "Sinus" and "Square-root" curves provide constant power crossfades by themselves, for mathematical reasons.


Editing crossfades

The factory default automatic crossfade is Linear, using the same shape and fade lengths for both the fade-in and fade-out. Most of the time, an unaltered Linear or Sinus crossfade will produce the desired result. You can, however, create crossfades with totally independent shapes and lengths for the fade-in and fade-out curves. The following rules apply:

You can edit the fade-in and fade-out curves in crossfades in exactly the same way as fades.

To change the crossfade time (the width of the crossfade zone) "symmetrically", open the clip context menu for the right clip in the crossfade pair, and select "Edit crossfade time...".

This item is only available if the clip overlaps the clip to the left, or if they are lined up with no gap between them. Selecting it brings up a small dialog in which you can adjust the time of the crossfade zone numerically (or, by double clicking on the values, using sliders).

When you move a clip so that it overlaps another clip to create a crossfade, and neither clip has a defined fade-in the overlap, a default crossfade is created.

When moving a clip with a defined fade curve so that it overlaps another clip's adjacent edge (without a defined fade), the unmoved clip automatically gets the same fade shape as the moved clip (but as a corresponding opposite fade), with amplitude compensation.

Note that the above only applies if the unmoved clip's fade-out length is set to zero.

If both clips have different defined fade curves at their adjacent edges when creating a crossfade, this will create an asymmetrical crossfade, based on the already defined fade curves.


Crossfading with fade constrained overlaps

On the Edit view : Fade menu and amongst the crossfade icons, you can find two items; "Automatic crossfading - fade-in constrained overlaps" and "Automatic crossfading - fade-out constrained overlaps". These items allow you to create crossfades and resize clips simultaneously. The length of a defined fade-in or fade-out will constrain the maximum length of the overlap (and hence the crossfade) to the set fade length. If you continue dragging a clip past this point, the clip that does not have the chosen fade type in the overlap will be resized.

Proceed as follows:

1. Select "Automatic crossfading - fade-in constrained overlaps" on the Fade menu (or by clicking on the middle crossfade icon).

2. Create a fade-in curve in a clip on a track containing several clips.

3. Drag the clip to the left so that it overlaps another clip, past the right clip edge.

A crossfade is created in the overlap.

4. Continue dragging the clip, so that the dragged clip's fade-in point overlaps the left clip's right edge.

The right edge of the left clip will be progressively adjusted as you drag the clip further to the left, making the clip shorter. The crossfade region remains the same length.

5. Drag the clip to the right again.

The resized clip is gradually uncovered. The original clip length is memorized, so you can always restore resized clips later.

6. Separate the two clips again so that there is no overlap, and that they are in the same left/right position relative to each other as before.

7. Now drag the left clip to the right so that it overlaps the other clip, and continue dragging to the right.

Again, the right edge of the left clip will be progressively resized as you drag the clip further to the right.

8. Using "Automatic crossfading - fade-out constrained overlaps" works in the same way, but the defined fade-out length constrains the overlap instead, and accordingly the left edge of the right clip is adjusted.

To use fade-in/out constrained overlaps, there must be a defined (i.e. not set to zero) fade-in/out in the overlap. Otherwise, "Automatic crossfading - free overlaps" is activated for that crossfade.

Fade constrained overlaps can also be used with the options "Allow multiple automatic crossfades" and "Allow automatic crossfading with selected track" options on the Fade menu.


Additional crossfade options

There are three more options on the Edit view : Fade menu (with corresponding icons on the Edit view icon bar) that affect crossfades:

Snap to waveform when crossfading.

If this option is activated, and you create a crossfade by moving the right clip towards the left, the moved clip will be time-adjusted slightly to match the waveform in the left clip. What actually happens when the mouse button is released, is that the "Waveform recognition" feature (on the Zoom page) is activated. See The Zoom view for details regarding this feature.

Create optimized crossfade when snapping to other clip.

If this option is activated, and you move a clip so that its start snaps to the end of another clip, a short crossfade is automatically created, to optimally match the waveforms in the clip. See Moving and snapping to another clip.

Snap to fade-in/out when snapping to other clip.

If this option is activated, and you move a clip so that its start snaps to the end of another clip, a crossfade is automatically created, like with the previous option. In this case however, the length of the crossfade will be the fade-in length of the right clip.
If this is zero, the fade-out length of the left clip is used as basis instead. If this too is zero, the function "Create optimized crossfade when snapping to other Clip" is performed (if activated). In other words, "Snap to fade-in/out..." has higher priority than "Create optimized crossfade...".

If the options "Snap to fade-in/out when snapping to other Clip" and "Snap to waveform when crossfading" are both activated, the right clip will first be pushed left to its fade-in point, and then pushed further to create an optimized crossfade.


The pan envelope

Displaying pan envelopes

Pan modes


Displaying pan envelopes

You can draw pan envelope curves to automate the pan setting for clips in the same way as with volume envelopes. For mono clips, pan governs the left/right position in the stereo spectrum. For stereo clips, pan sets the left/right balance. The operating procedure when creating and editing pan envelopes is the same as for volume envelopes, so please refer to that section for details. This section only deals with the options that affect pan specifically.

To show the pan envelope, proceed as follows:

1. Right-click anywhere on a clip (except the envelope curve) to open the clip context menu.

2. Select "Show Envelope" on the menu.

A submenu opens.

3. Select "Pan" on the submenu.

The pan envelope is shown. If the option "Map Waveforms to volume" is activated on the Edit view : Options menu, the waveforms are scaled according to the pan envelope (as with the volume envelope).

The general procedure for showing/hiding envelope curves is explained in the topic Hiding/Showing volume envelope curves.


Pan modes

The four pan modes all relate to the fact that without power compensation the power of the sum of the channels will drop by about 3 dB if a signal is panned hard left or right, compared to the same signal being panned center. You should experiment with the modes to see which fits best in a given situation. Proceed as follows:

1. Open the pan envelope context menu by right-clicking the pan envelope curve.

2. Select "Pan mode" on the menu.

A submenu opens. Select one of the following three modes:

Channel damp (0dB / mute) | This mode will not compensate for power loss at all. If a signal is panned hard left or right, the power of the sum of the channels will drop by 3dB.
Constant power (+3dB / mute) | This is the default mode. Regardless of the pan position, the power of the sum of the channels will remain constant.
Channel boost (+4.5dB / mute) | If this mode is selected and a signal is panned hard left or right, the power of the sum of the channels will actually be higher than with a signal panned center.
Channel boost (+6dB / mute) | This is the same as the previous option, but with even greater power boost.


Transforming clips

Introduction

Time-stretch to cursor

Pitch shift


Introduction

On the clip context menu, you will find a submenu called Transform. This contains two items: "Time-stretch to cursor..." and "Pitch Shift...". When you use one of these functions, a clone of the original audio file is automatically created, containing exactly the audio range used in the clip. The selected processing is applied to the clone, and the clip will reference to this file instead. The Transform functions can be viewed as "non-destructive", since the original audio files are not affected.

The cloned audio file will have the same name as the original, but with the postfix "_#X", where X is a number.

The cloned audio file will be stored in the folder specified in the "Implicit folder" dialog on the Edit view : Options menu (see Cloning and substituting source files).

Note that since the new cloned audio file contains exactly the audio range used by the clip, it is not possible to lengthen the clip by resizing it after the Transform operation.


Time-stretch to cursor

This function uses WaveLab's time stretch algorithm to adjust the length of a clip:

1. Move the Montage cursor to the position where you want the clip to end.

Note that the time stretch algorithm will give best results when stretching/compressing by small or moderate amounts, i.e. when the Montage cursor is positioned not too far from the clip's current end. Also, you should avoid time stretching already time stretched material - therefore, if you are not satisfied with the result, you should undo the operation before trying again.

2. Right-click on the clip to bring up the clip context menu.

3. Select "Time-stretch to cursor" from the Transform submenu.

The Time Stretching dialog appears. This is the same dialog as when time stretching wave files, but the fields for stretch factor/time/tempo are greyed out (since these are determined by the cursor position).

4. Make settings for Quality, Audio Quantize and Rhythm Accuracy, as described in the topic Time Stretch.

5. Click OK.

The clip is stretched (or shortened) so that it ends exactly at the Montage cursor.


Pitch shift

This function uses WaveLab's pitch correction algorithm to change the pitch of the clip:

1. Right-click on the clip to bring up the clip context menu.

2. Select "Pitch shift" from the Transform submenu.

The Pitch Correction dialog appears.

3. Specify the desired amount of pitch shift.

As with time stretch, small changes usually give better results.

4. Specify a Length Compensation value.

If you set this parameter to 100, the length of the clip will not be affected. Setting it to a smaller value will make the clip longer (negative pitch shift values) or shorter (positive pitch shift values).

5. Make settings for Quality, Audio Quantize, Preserve Formants and Rhythm Accuracy.

6. Click OK.

The pitch of the clip is changed.


Using clip effects

Introduction

Adding clip effects

Removing an effect from a slot

Effect settings and options

Using effect envelopes

About the "Upper Track" output option


Introduction

The Audio Montage supports VST effect plug-ins. The standard WaveLab and DirectX plug-ins cannot be applied to clips in the Montage, but VST versions of several standard WaveLab effects are provided, as well as several of the standard Cubase VST effects. Every clip in the Montage can be independently processed by up to ten VST effect plug-ins. Effects are configured either as Inserts, when all sound from a clip is processed by the effect, or as Send effects ("Split mode") where the balance between the unprocessed sound and the effect send level can be adjusted or controlled by effect envelope curves.

Only effects for clips that are active at the current playback position will consume any CPU power. This effectively reduces any "unnecessary" CPU load to zero, thus allowing you to use more effects.

Although standard WaveLab and DirectX plug-ins cannot be used on individual clips, they are still available as global effects, when playing back the Montage through the Master Section.
Also, DirectX plug-ins from Waves Ltd. can be used as clip effects by using the Waves VST shell.

The first time you play a Montage after opening or cloning it, the program has to load all effects into memory. If you have a lot of effects, this may result in a short silence before playback starts.


Adding clip effects

Each clip can have up to ten effect slots, each of which can contain a VST effect plug-in. To add an effect plug-in to a clip, you first need to have a slot.

Adding an effect slot

To add an effect to a clip, proceed as follows:

1. Open the clip context menu by right-clicking the clip.

2. Select "Add effect slot..." from the menu.

A slot is created and a dialog box opens where various settings relating to that slot can be made. Leave the dialog open for now.

Selecting an effect for a slot

1. Click on the button marked "Effects".

A menu opens containing all installed VST plug-ins.

2. Select one of the effects from the menu.

The chosen effect's parameters appear to the left in the dialog.

3. Adjust the parameter settings, if you like.

4. When you are done, click "Close" to close the dialog or leave it open if you want to make more adjustments later.

You can continue working with the Effect dialog open. It is also possible to have several Effect dialogs open.

The clip now displays the number [1] before the clip name. This is to indicate that one active effect slot is used for that clip.

You can add effects during playback. However, if you add an effect with a latency larger than zero (displayed to the right in the Effect dialog), you should stop and restart playback to avoid timing discrepancies.
Also, a small number of VST plug-ins may change latency depending on parameter settings. If that is the case, make sure to stop and restart playback after the latency is changed.


Removing an effect from a slot

You can't actually manually remove created effect slots, only the slot's effect. Here's what you do:

1. To remove an effect from a slot, open the clip context menu and select the effect you want to remove from a slot.

The effect window opens.

2. Click on the "Effects" button, and select "Remove" from the pop-up menu that appears.

The effect is removed from the slot. You can now either select a new effect for the slot or simply leave the slot unused.

Unused slots are automatically removed the next time WaveLab is launched, and do not consume any CPU power.


Effect settings and options

You make settings for an effect in the Effect dialog (opened by selecting the slot from the clip context menu).

The settings to the left in the dialog are effect specific, i.e. they are parameters for the selected effect.

For details on the VST effects included with WaveLab, see the Plug-in processor reference section in the help.

The settings and functions to the right in the dialog are common settings, or settings for the effect slot.

For descriptions of each parameter and function, please use the help in the dialog.

Effect type: Insert or Split Mode?

Clip effects can be configured either as Insert or Send effects. This is done using the "Split mode" setting in the Effect dialog.

When Split mode is deactivated for an effect, it is treated as an insert effect.

This means the whole clip signal is routed through the effect. Typical insert effects would be compressors, auto panners or distortion units, etc.

When Split mode is activated for an effect, it is treated more as a send effect.

In this mode, you can adjust the send level to the effect. However, note that Split mode is different to conventional send effects in that the effect signal is mixed directly into the audio path and not to an effect return section. When Split mode is activated, the send level can be automated using effect envelope curves.
Typical Split mode effects would be reverb, chorus or delay, etc.

Some effects are always in Insert mode or always in Split mode. For these effects, the Split mode setting is greyed out and cannot be changed.

The Reset Plug-ins options

On the Edit view : Options menu, you will find two options related to the plug-in effects:

Reset plug-ins when starting playback.

When this is activated and you start playback, the program asks the plug-ins to first release any samples in plug-in memory. Activate this if you get a small click or noise when the playback position reaches the start of a clip with effects (typically reverb or delay effects). If not needed, you should leave this option off, since having it activated could result in a slightly delayed response when you start playback (especially in a Montage with many plug-ins used).

Reset plug-ins before rendering.

Unfortunately, a small number of plug-ins do not respond properly to the VST "Reset" command sent by the option above. These plug-ins are only properly initialized when they are created (in effect, when the Montage is opened). If you have activated "Reset plug-ins when starting playback" and still get clicks on playback, you can activate this option before rendering (mixing down the Montage to an audio file - see Mixing down - The Render function). This makes WaveLab reload all plug-ins before rendering the file.
Note that this requires twice the amount of memory (since the Montage is in effect opened twice).

Copying effect settings to another clip

You can copy both the effect type and its settings and paste them into another clip. Proceed as follows:

1. Select the effect you want to copy the settings from.

2. Select "Copy" from the Functions menu in the Effect dialog.

3. Right-click the clip into which you want to paste the effects settings, and either select "Add effect slot..." or select an existing effect slot (if you want to replace the existing effect).

4. Select "Paste" from the Functions menu.

The copied effect type is added to a new slot along with the effect settings you copied.

Stereo plug-in settings can't be pasted onto mono clips (the same applies for mono plug-in settings and stereo clips).

Undoing effect changes

It is possible to undo changes to the effect settings. However, WaveLab will only "register" the changes (thus making them undoable), when the Effect dialog loses focus. Therefore, if you have made an effect setting change that you want to undo:

1. Click on another window, so that the Effect dialog loses focus.

The new effect setting is registered by WaveLab.

2. Select Undo as usual.

3. Go back to the Effect dialog to continue working (if you wish).

Rearranging the order of the effect slots

The Function menu items "Move to previous position" and "Move to next position" allow you to rearrange the order of the effect slots. The effect order in a chain determines to a certain degree how the effects will affect each other. If you have selected to use compression and reverb for example, the order decides whether compression affects the clip signal only (compressor used as Effect 1), or both the clip signal and the reverb signal (compressor used as Effect 2). The rule is that any effect that follows a previous effect slot will process the previous effect(s) (or a mix of input/effect in case Split mode is used). Proceed as follows:

1. Open the effect dialog for the first effect in a chain consisting of at least two active effect slots.

2. Select the Function menu item "Move to next position".

The effect dialog remains open and unchanged except that the previous Effect 1 slot now becomes Effect slot 2 and vice versa.

3. Now selecting "Move to previous position" would return both effect slots to their original positions.

Repeating step two again would swap Effect slot 2 with slot 3 (if available) etc. Only relevant menu items are selectable, you can't select "Move to next position" for the last effect slot or "Move to previous position" for the first effect slot.


Using effect envelopes

It is possible to automate the effect send level for split mode effects by using effect envelope curves. Proceed as follows:

1. Open the clip context menu for a clip that has a split mode effect active.

2. Select "Show envelope" from the clip context menu.

The clip's split mode effects are now selectable from the "Show envelope" submenu.

3. Select the effect to which you want to add an effect envelope.

The effect envelope appears in the clip.

4. Editing the effect envelope is done using the same methods as for volume envelopes.


About the "Upper Track" output option

On the track menu you will find two items: "Route to Master Section and upper track" and "Route to upper track only". These items are related to the fact that WaveLab can host plug-ins that modulate audio with other audio. As an example of this, a plug-in called "Ducker" is included with the program. This is used for lowering the volume of one signal, whenever another signal is present. A typical application for the Ducker would be a music track with a commentary voice-over on another track; whenever the commentary voice is heard, the volume of the music track is lowered by a certain amount.

To set up for this example, proceed as follows:

1. Make sure the "Voice-over" clip is on the track just below the "Music track".

2. Pull down the track menu for the "Voice-over" track and select the option "Route to Master Section and upper track".

This will route the sound of the "Voice-over" track both to the Master Section and to the track above. In other situations, you may not want to hear the sound of the modulating track at all, in which case you would select "Route to upper track only" instead.

3. Add a new effect slot to the "Music" clip, and select the Ducker plug-in.

4. Play back.

Whenever the "Voice-over" signal exceeds a certain level (the Ducker effect's Threshold value), the level of the "Music" clip will be lowered (by an amount set with the Damping parameter).

5. Adjust the parameters of the Ducker effect until you get the desired effect.

A similar effect can be obtained using the "Duck according to other track" function (see Duck according to other track). The difference is that with the Ducker, it is the actual signal level that governs the ducking, while with the "Duck according to..." function, it is the presence of a clip.
Therefore, the Ducker is the best choice if the modulating track (the "Voice-over") consists of long clips including silence, while the "Duck according to..." function is best used when the modulating track holds a lot of short clips (without silence).


The Meta Normalizer

The Meta Normalizer, found on the Edit view : Special menu, is a special Montage version of the Batch plug-in processor with the same name that is also included with WaveLab. The basic functionality is similar but instead of processing batched files, it processes clips. The processing is non destructive, i.e. it will not affect the source audio files.

The Meta Normalizer operates in two or three passes. It first analyses the peak or RMS levels on all clips in the Montage. Then it processes the clips according to the highest possible level found amongst the clips, so that they will all play back at equal peak or RMS levels. This is achieved by automatically adjusting the clips "Gain" setting in the clip list. Note that the gain level of a clip can either be amplified or reduced. The two purposes of the Meta Normalizer are to equalize the loudness between all clips (useful e.g. when producing a CD) and to ensure that the full mixdown of the Montage will never clip. Depending on how much the levels differ between clips, and the desired result, there are a number of options available to ensure that the applied processing optimizes the levels without clipping.

The audio path in WaveLab uses 32 Bit floating point processing. You can therefore "overload" it, i.e. use levels above 0 dB, without running the risk of causing digital signal clipping in the signal path. The only section of the audio path that can introduce clipping is the output of the Master Section, and this can also be taken care of by the Meta Normalizer.

The Meta Normalizer dialog

Selecting the Meta Normalizer from the Edit view : Special menu opens a dialog where you can set up various options before applying the processing. The dialog is divided into two pages; "Settings" and "Schedule", which you can switch between by clicking on the appropriate tab at the top of the dialog. In the Settings dialog you specify how the clips will be processed, and in the Schedule dialog you set up options related to the performance of the processing (which always happens in the background).

For descriptions of the parameters, please use the help in the dialog.

When you have set-up the Meta Normalizer dialog, click the "Process" button to activate processing.

Processing happens in the background. You can go on working in WaveLab during the processing, although not in the Montage being processed.


Grouping clips

In many situations, it is useful to work with several clips as one entity. This is easily done by grouping them in the Groups view.

1. Select the clips you want to group.

2. Click the Groups tab to select the Groups view.

3. Select "Group selected Clips..." from the Groups view : Grouping menu, or click the Group icon.

4. Enter a name for the group in the dialog that appears and click OK.

The new group appears in the group list. All clips included in the group will also have the name of the group prepended to the clip names in the Track View.

Adding clips to an existing group

If you already have a group, and want to add one or several clips to that group, this is done in the following way:

1. Select the clips you want to add.

2. In the Groups view, select "Group selected Clips" from the Groups view : Grouping menu, or click the Group icon.

3. In the dialog that appears, select the group to which you want to add the clips.

4. Click OK.

The clips are added to the group.

If you want to use this method to create a new group, by adding clips one at a time, you can start by selecting "Add empty Group" from the Groups view : Grouping menu.

This creates an empty group in the list, to which you can later add clips.

It is possible to create nested groups, by adding a group to another group.

This can be useful, since it allows you to deactivate the grouping for some subgroups only. For clips in nested groups, all group names are displayed before the clip name (separated by ":")

A clip cannot be part of more than one group.

If you add a clip to a group, it is automatically removed from any other group it is part of.

Group options

Coloring groups

Removing groups


Group options

There are a couple of options in the Groups view that affect how groups are handled:

You can temporarily "turn off" a group by deactivating the checkbox to the left of a group in the list.

When the group is deactivated this way, you can move individual clips in the group, as if they were not grouped.

If the option "A mouse click selects a group" is activated on the Groups view : Options menu, selecting a clip in the Track View automatically selects all clips in the same group.

If the option is deactivated, selecting a whole group requires that you click on the group name in the Groups view list. This is useful if you want to be able to modify the relative positions of clips in the group, without having to remove them from the group.


Coloring groups

You can select a specific color for a group to make it easy to discern it in the Track View:

1. Select the group by clicking on its name in the Groups view list.

2. Pull down the Groups view grouping list and open the "Color selected group" pop-up menu and select a color from the pop-up menu.

For more information about Audio Montage colors, see Styling WaveLab - Audio Montage windows.

Any individual color selections for the clips will override the group color.


Removing groups

1. Select the group by clicking on its name in the Groups view list.

2. Pull down the Groups view : Grouping menu and select "Remove selected group".

The group is removed (the clips are not affected).


Using markers in the Montage

Creating markers

Moving markers in the Track View

Deleting markers

Selecting marker types to show/hide

Editing in the markers list view


Creating markers

Separate markers are provided for use in the Montage. Markers are used in the Montage in much the same way as in the source Wave windows.

The quickest way to create a marker is to right-click in the area above the ruler and select a marker type from the pop-up menu that appears. Right-clicking in this way automatically moves the Cursor to the click position (provided that you don't click on an existing marker) and inserts the marker at the Cursor position - i.e. the position at which you click.

Creating markers by right-clicking can be done regardless of what view is currently selected.

When the Markers view is selected, you can create markers at the Montage cursor position by using one of the following methods:

By selecting a marker type from the Markers view : Functions menu.

By clicking on one of the marker icons.

By pressing the [Insert] key (this creates a Generic marker).

You can also use any of the above methods to create markers at the current cursor position while playing back.


Moving markers in the Track View

To move a marker in the Track View, you click and drag it. The Magnetic bounds setting on the Edit view : Options menu applies.

You can also move a selected marker with the Nudge function (see Nudging).


Deleting markers

There are three ways to delete markers in the Montage:

By right-clicking the marker head and selecting "Delete marker" on the menu.

By selecting the markers and then selecting "Delete selected markers" on the Markers view : Functions menu.

By dragging the marker up and dropping it outside the ruler.


Selecting marker types to show/hide

By using the Markers view : Filter menu you can select to show or hide certain marker types in the marker list view. By default, all marker types are shown.

It is also possible to view the markers of a clip's source audio file, by activating the option "Show source's ruler and markers" on the clip context menu.


Editing in the markers list view

Clicking on the Marker tab opens the Markers view in the upper pane of the Montage. By default, this list contains all markers currently in the Montage. Below the Montage tabs there is a row of marker icons, and to the left of them are the Markers view : Functions and Filter menus. The markers list columns are used for editing and/or displaying the following marker data:

Option | Description
Type | This column displays the corresponding marker type icon. Clicking the icon opens a pop-up menu where you can select a new marker type for the current marker position.
Name | Displays the marker name. Double click the name field to type in a new name. This can also be done by double clicking to the right of the marker head in the area above the ruler (the pointer changes shape when you move it into the "Marker name zone").
Position | This column displays the markers' time positions. Double click to edit.
Lock | If this is ticked, the marker cannot be moved by dragging the marker head.
Clip reference | By selecting one of the Functions menu items "Make current marker relative to start of focused clip" or "Make current marker relative to end of focused clip" you can lock a marker position to the left or right edge of a clip. This column displays the name of the clip to which a marker is locked.
Offset | Depending on which of the two Functions menu items described above is chosen, this column displays the time offset between the clip edge and the marker position.

About locking marker positions to clips

As described in the table above, you can lock markers to clips by selecting one of the Functions menu items "Make current marker relative to start of focused clip", "Make current marker relative to end of focused clip" or "Make current marker relative to audio of focused clip". If selected, the marker will remain in the same position relative to the clip start (or end) even if the clip is moved in the Montage or is resized.

Selecting the Functions menu item "Detach current marker from its relative clip" removes the marker's clip reference and the marker position is no longer locked to the clip.

About attaching markers to clips

On the Functions menu there are two items that control if and how markers you insert should be automatically attached to existent clips. If a marker is attached to a clip, the marker will move with and maintain its relative position to the clip if the clip is moved or resized.

Activating the option "Attach automatically new markers to the most suitable clip" results in the following:

If a marker is created within the boundaries of a focused clip or a clip on a focused track, the marker is attached to the audio of that clip (as per the option "Make marker relative to audio of focused clip" described above).

If a marker is created outside of any clips on the focused track (or if there is no clip on the focused track) but within the boundaries of a clip on any other track, the marker will be attached to the audio of that clip.

Note that if the inserted marker is of the type CD track start or end, it can be inserted farther away from a clip edge than 2 seconds and still get attached.

All other types of markers must be inserted within 2 seconds from a clip edge.

Activating the option "Full clip attachment" will cause attached markers to not only remain in position relatively to clips when you move them, but also to be attached during clip operations. That means; if you copy a clip, the attached markers will also be copied. If you delete a clip, the attached markers will also be deleted.

Export marker list as text

This item on the Markers view : Functions menu opens the marker list in Windows Notepad. The list contains the markers' names, positions and types.


Mixing down - The Render function

The Render function in the Master Section allows you to "mix down" the whole Montage (or sections of it) to a single audio file. This lets you create a final mix, or "pre-mix" clips (adding the same effects to a number of clips, etc.). It's also useful if you want to burn a CD from a CPU-intensive Audio Montage, as it allows you to first render all processing and then burn the CD in a second pass (see About the two write methods).

1. If you want to render the whole Montage from start to end, proceed to step 4.

2. If you want to render some of the clips only, select these.

3. If instead you want to render a certain section of the Montage only (on several tracks), make a selection range.

Note that although the selection range is only "horizontal", audio on all tracks within the range will be included.

4. If necessary, mute or unmute tracks or clips.

Only unmuted audio will be included in the mixdown file!

5. Click the Render button in the Master Section window.

The Rendering preferences dialog appears.

6. Use the radio buttons in the Range section to specify what you want to include in the created file.

The Time selection and Selected clips options will only be available if you made a selection range or selected clips, respectively (in step 2 and 3 above).

7. Activate the options as desired:

Option | Description
No Tail | When this is activated, any audio appended by the Master Section effects (such as echoes and reverb tails) will be cut off. Note that this doesn't affect the Tail setting for clip effects.
Copy markers | When this is activated, any markers in the Montage are copied to the created file (only available when "Whole Montage" is selected).
Create Basic Audio CD | This option (available when "Whole Montage" is selected, and CD track markers have been added, see Preparing the Audio Montage for CD Burning) creates a temporary file of the whole Montage including clip and Master effects and opens it as a Basic Audio CD window. This is a way to perform the processing and the CD burning separately (to conserve computing power). However, since not all Montage features are available in a Basic Audio CD, you may want to use the Create CD image method instead.
Create CD image and cue-sheet | This option (available when "Whole Montage" and "Create Specific file" are selected and CD track markers have been added) lets you export an Audio Montage as a CD image with an accompanying cue sheet (a textfile identifying the CD tracks in the image file). The cue sheet and the image file it describes can then be imported into any CD recording application that supports this function (including WaveLab), and written onto CD.
Then open as new Audio Montage | If you select "Create CD image and cue-sheet", you can also select this option, in which case the created CD image will open as a new Audio Montage on completion. This is the preferred method to use when burning a CD from a CPU-intensive Montage, as it lets you render the processing and burn the CD in two separate passes, without losing any Montage functionality. See About the two write methods.

8. Select whether you want to create a specific file or not.

If you activate "Create specific file", you must specify a name and location for the file, and select a file format from the pop-up menu. If you don't activate the option, a temporary file is created, with the bit resolution specified in the Preferences dialog (File tab).

9. If you select a compressed file format (mp3 or wma), you can also click the button below the pop-up menu to make encoding settings.

10. Click the Schedule tab to make settings for Priority, Start and Completion actions (see the help in the dialog for details).

11. Click OK to create the file.


Undo/Redo and History

Introduction

History view Functions


Introduction

The Audio Montage has a separate Undo/Redo list, independent from the Undo/Redo of Wave windows. If you have several Montages, each window has its own Undo history.

Undoing and redoing commands in the Audio Montage is done as in the Wave windows (by using the Edit menu, or by pressing [Ctrl]-[Z] or [F3] for Undo, and [Shift]-[Ctrl]-[Z] or [F4] for Redo). However, the Audio Montage has a special History view, which displays the Undo history as a list and makes it possible to undo several commands in one go.

In the History view, all operations you have made are listed. Furthermore, if you recently have undone any operations, these will be listed as well, allowing you to Redo them (as long as you don't perform any other operation, in which case the undone operations will disappear from the list). The list works in the following way:

Items at the top of the list (displayed in yellow) are undone items.

A yellow arrow to the left indicates the last undone action.

The items below are performed actions, which you can undo.

A green arrow to the left indicates the last performed action.

Selecting Undo from the Edit menu (or clicking the green arrow on the icon bar) will undo the last performed action. It will now be displayed in yellow, and the green and yellow arrows to the left of the list will be moved down one step.

If there are yellow items in the list, you can select Redo from the Edit menu (or click the yellow arrow on the icon bar). This will redo the last undone action, and the green and yellow arrows to the left of the list will be moved up one step.

You can hide columns in the History view, by using the Columns pop-up menu. This is accessed by clicking the arrow button to the left of the column headings.


History view Functions

On the History menu in the History view, the following functions and options are available:

Option

Description

Undo last operation

This is the same as the Undo command on the Edit menu. You can also undo the last operation by clicking the green arrow icon above the list (or in the main control bar).

Undo until selected operation

This is only available if you have selected an operation in the History list. Selecting this function undoes all operations up to and including the selected one. This is a quick way to undo several operations in one go.

Undo all operations since last saving

This is similar to "Revert to saved" on the File menu, with two differences: It does not undo any view, zoom or position changes, and it does not clear the History list.

Undo all operations

Undoes all operations in the list, even those done before the last save.

Redo last undone operation

This is the same as the Redo command on the Edit menu. You can also redo the last undone operation by clicking the yellow arrow icon above the list (or in the main control bar).

Redo all undone operations

Redoes all undone operations in the list, i.e. all operations displayed in yellow.

Clear History now

Removes all operations from the History list. If you use this function, you cannot undo any previous operations.

Clear History after each saving

When this option is activated, the History list will be cleared each time you save the Montage.

Group similar operations

When this option is activated, and you perform several, similar operations one after another, these will later be "compressed" into one Undo operation.

Let's say you move a clip in several steps until you find the perfect position. While you are doing this, it is still possible to undo each separate movement as usual. However, as soon as you perform another operation, all the previous moves (the "similar" operations) will be considered as one single entry in the Undo History. This saves memory, and makes work quicker since you don't have to undo every single step to revert to the clip's original position.

The History view also contains the Montage Backup functions, which are described in the topic Backing up Montages.


File handling in the Audio Montage

Saving the Montage

Saving a Montage template

Opening Montage files

Closing the Montage

Cloning Montages

Backing up Montages

Saving and loading individual clips


Saving the Montage

You save the Montage using the Save or Save As commands on the File menu. Audio Montage files have the extension ".mon".
A couple of things to note:

The Montage files do not contain any audio data in themselves.

Rather, they contain references to audio files. This means that you must make sure not to delete, move or rename any audio files referenced by Montages.

If the Audio Montage contains clips that refer to untitled audio files, you will be asked to save these audio files before you can save the Montage.

WaveLab can save Montages automatically.

See Backing up Montages.

You can store the current settings in the Master Section as part of the Montage, by selecting "Store current Master Section's configuration" from the Edit view : Special menu.

To apply the settings stored in a Montage to the Master Section, select "Restore Master Section's configuration".


Saving a Montage template

Once you have set up the Audio Montage window the way you want it, you can save it as a template. The template file contains all settings and options in the Montage, but no clips. Next time you create a new Audio Montage (by selecting New Audio Montage on the File menu), the template file is used as a basis for the new Montage. This allows you to create a custom track layout and other settings, once and for all.

To save a template, pull down the File menu and select "Save as template..." from the Save special submenu.

You can only have one Montage template - saving a template will overwrite the previous template.

When a new Montage is created based on the template, the new Montage will automatically get the sample rate saved in the template.

To change this, select Audio Properties from the Edit menu and select another sample rate in the dialog that appears.


Opening Montage files

To open a saved Audio Montage (.mon) file, pull down the File menu and select "Audio Montage..." from the Open submenu.

If any of the audio files referenced in the Montage cannot be found, you will be asked to locate them manually. In the file dialog that appears, it's also possible to replace the missing file with another - useful if you have renamed the original audio file.


Closing the Montage

Closing the Montage is done as with any document window, by clicking the window's close button or by selecting Close from the File menu. If you have unsaved changes, you will be asked whether you want to save the Montage before closing it.

If you have recorded audio files in the Montage, and close the Montage without saving it, the recorded files will automatically be erased.


Cloning Montages

There are two ways to make a "clone" of an Audio Montage: "Quick cloning", in which the new clips will reference to the original audio files, and "Full cloning", in which the actual audio files are cloned as well, creating a new "self-contained" Montage.

Quick cloning

This method is useful if you want to create several versions of the Montage, for example experimenting with variations. Note however that any processing or editing you apply to the actual audio files will be reflected in both Montages, since they share all file references.

1. Select the Edit view by clicking the Edit tab.

2. Pull down the Edit view : Special menu and select "Quick cloning (reuse audio files)".

A clone of the Audio Montage is created and appears in a new untitled window.

You can also create a "quick clone" by clicking the document button of the Montage window and dragging to an empty area in the WaveLab window.

Full cloning

There are several uses for Full cloning.

Since the cloned Montage will have its own audio files, you can edit and process these files without affecting any other Montages.

It is also a good way to "pack" the Montage, removing all unused audio sections.

Even if you don't need a copy of the Montage as such, you can use this feature to split audio files and give them specific names (using the "Create exactly one file per clip" option).

Note that Full cloning doesn't render effects to files (as does the Render function). It merely "re-maps" file references.

Proceed as follows:

1. Select "Full cloning (recreate audio files)...", either from the Edit view : Special menu or from the Save special submenu on the File menu.

A dialog appears.

2. Specify a path and file name for the Audio Montage clone.

If you specify a folder that doesn't exist, it will automatically be created. The cloned audio file(s) will be stored in the same folder as the Audio Montage clone.

3. Select one of the "How to recreate audio files" options.

The options are described in the help for the dialog.

4. If you later want to be able to lengthen the clips in the cloned Montage, you need to specify a clip margins value greater than zero.

This feature allows you to add a specified number of seconds before and after the beginning and end of the clip range in the created audio files.

This is only relevant if you have selected any other option than the first one ("Recreate exact audio files").

5. If you want the clips in the cloned Montage to have the names of their respective audio file, activate the option "Reset clip names from file names".

6. If you want the markers in the original audio files to be included in the cloned files, activate the option "Copy audio file markers".

7. Click the Schedule tab to make settings for Priority, Completion, etc.

The options are the same as when using the Render function in the Master Section (see the help in the dialog). Note that the process will happen in the background, allowing you to continue working in WaveLab (although not with the Montage being cloned).

8. Click Clone.

The audio files and the Montage are cloned. When finished, the cloned Montage will appear in a new Montage window.


Backing up Montages

The Audio Montage has a special backup mechanism, which allows you to maintain previous versions of saved Montages, and have the Audio Montage automatically saved. It works in the following way:

Each time you save the Audio Montage, the previously saved version is copied to the subfolder "Backup.mon" (in the same folder as the Audio Montage file).

This backup folder is automatically created by WaveLab. The backup files are named "Montage_#X", where "Montage" is the name of the Montage and "X" is a number.

You can specify how many previous versions you want to keep.

The maximum number of stored backup versions is 1000 (this is possible since Montage files are small, containing no audio data). Once the specified number of backups has been created, the oldest file will be overwritten each time the Montage is backed up.

This means that the numbers in the backup file names are not related to the age of the backup files. Instead, you need to check the dates of the files to know which backup is the most recent.

"Untitled" Montages (that are not yet saved) are also backed up.

The backup files for "Untitled" Montages are saved in the Windows temporary folder, and use a number as Montage name, so that the files are called "Y_#X", where "Y" is a number identifying the Montage and "X" is the number of the backup file. Once the Montage is saved, these "temporary backup files" can be discarded.

Setting up

You make backup settings in the History view:

1. Select the History view by clicking the History tab.

2. Pull down the History view : Backup menu and select "Backup options...".

The Backup options dialog appears.

3. Specify how many previous versions you want to keep (0 to 1000), in the "Number of backups" field.

Setting this to 0 is the same as turning off the backup for the Montage.

4. Activate the Auto save checkbox if you want WaveLab to automatically save the Montage.

Use the value field to the right to specify how often the automatic save should be done (every 5 to every 120 minutes).

5. Click OK to close the dialog.

Opening the previous version

The "Open previous version" function on the History view : Backup menu works as follows:

If there are no unsaved changes in the Audio Montage, the most recent backup file is opened in a new window.

If you select the function from an open backup file, the previous backup version is opened, etc.

If the Audio Montage has unsaved changes, the saved Montage file is opened in a new window.

This is not the same as "Revert to saved" on the File menu! The difference is that "Revert to saved" will close the current (unsaved) Montage and open the last saved version, effectively replacing the current Montage, while "Open previous version" will open the saved version in a new window, without closing the current, unsaved version.


Saving and loading individual clips

It is possible to save a clip as a file in its own right. For example, this is useful if you have created a perfect fade, envelope or clip effect configuration, but want to continue experimenting with the clip in the Montage. By saving the clip, you can always revert to the "perfect" version later on, simply by loading it again.

Saving clips

You save clips in the following way:

1. Select the Clips view by clicking the Clips tab.

2. Select the clip you want to save, and make sure it is focused.

A focused clip is indicated by a highlighted name label in the Track View.

3. Select "Save focused clip as..." from the Clips view : File menu.

4. In the file dialog that appears, select a location and name for the clip.

Clip files have the extension ".CLI".

Loading clips

You load saved clip files in the following way:

1. Position the Montage cursor at where you want to insert the clip.

2. Click on the Track Control area for the track on which you want to add the clip.

As usual, you need to select a stereo track for stereo clips and vice versa.

3. Select "Load and insert clip(s)" from the Clips view : File menu.

4. In the file dialog, locate and select the clip(s) you want to load.

5. Click Open.

The clip(s) are inserted on the selected track. If you selected more than one clip, the first one will be positioned at the Montage cursor, and any following clips will be spaced according to the default pre-gap time (set on the Edit view : Options menu). When you import several clips, they will be ordered alphabetically after the file names.

If any of the auto-grouping options are activated in the Edit view, clips to the right of the insertion point will be moved to the right to "make room" for the inserted clips.

If "Track auto-grouping" is activated, only clips on the same track are moved. If "Global auto-grouping" is activated, clips on all tracks are moved.

It is also possible to load clips via drag and drop from the Files view.


Preparing the Audio Montage for CD Burning

Basic procedure

Audio in pauses

Editing the CD view list

Checking transitions between tracks

Edit CD-Text

About the two write methods


Basic procedure

1. Make sure the Audio Montage contains exactly the material you want on the CD.

Note that CD tracks must be at least 4 seconds long.

2. Click the CD tab to select the CD view.

This contains a CD track list, much like a Basic Audio CD. However, at this point, it will be empty (since there are no CD track markers inserted yet).

3. Select "CD Wizard..." from the CD view : Functions menu (or click the "magic wand" icon).

The CD Wizard dialog appears. This contains a number of settings that help you automate the CD creation.

4. Activate the option "Generate CD Track Markers" and activate the desired suboptions.

The options are:

Create markers at clip boundaries | This causes the CD Wizard to add CD start and end markers at the beginning and end of all non-overlapping clips. Most likely, you want to have this activated.
Create markers at crossfade points | When this is activated, the CD Wizard will create CD boundary markers at all crossfade intersection points. Activate this if you have clips that overlap each other, but should become different tracks on the CD.
Keep locked CD track markers | Normally, any previously created CD track markers in the Montage will be removed by the CD Wizard. However, if this option is activated, any locked CD track markers (see Editing in the markers list view) will be kept.

5. If you like, activate the option "Adjust pause before tracks".

This automatically adjusts the pause before each track, either to a fixed value (as specified in the Set time value box) or to the number of whole seconds closest to each current pause in the Montage.

If you want to adjust the pauses between tracks but don't want the start time of the first track in the Montage to change, be sure to activate "Don't change first pause". If you do, the original position of the first track will not change relative to the start of the Montage.

The Red Book audio CD standard requires that the pause before the first track is at least 2 seconds.

If the option "Automatically set the pause of the first track to 2 seconds before burning" is activated on the CD Burning page in the Preferences dialog, WaveLab will automatically adjust the first pause before burning a CD. This option is activated by default.

6. Adjust the other settings if you want.

7. Click Apply.

The dialog closes. Now, CD track markers are generated and pauses are adjusted according to your settings. The CD view will now display a list of CD tracks, as defined by the CD track markers.

8. You can use the Play Next/Play Previous buttons on the toolbar (also available on the Functions menu) to audition tracks.

9. You can use the "Play all track starts" playback option on the toolbar (also available on the Functions menu) to check the beginning of - or the transition between consecutive tracks - see Checking transitions between tracks.

10. If needed, you can adjust the CD track markers manually in the Track View or Markers view.

An example of a situation where you would need to add markers manually would be a continuous recording (one clip, e.g. a live recording), which you want to divide into separate CD tracks. Since this would contain neither clip boundaries nor crossfade points, the CD Wizard would not add any markers (apart from at the start and end of the whole clip). Then it would be necessary to add CD track splice markers at the desired positions. Other instances are CD track indexes (see The different types of "events" on an audio CD) which also have to be manually added from the Markers view, and in certain cases for creating audio in pauses, see Audio in pauses.
However, in most cases the CD Wizard will do a good job, and we recommend that you don't edit the generated markers unless you really need to.

11. Select "Check" from the CD view : Functions menu or click the "glasses" icon.

WaveLab will check the CD list and inform you whether it's OK or not (this check is also performed automatically before actually burning the CD).

12. If the Check gave a warning message, make manual adjustments and repeat the Check procedure until the list is OK.

You may get warning messages for several reasons, including:

You have CD tracks that are shorter than 4 seconds.

The pause before the first CD track is shorter than 2 seconds.

There are clips (or sections of clips) outside the CD tracks.

There are CD track start or end markers within clips (if you want a new CD track to begin within a clip, you should use CD track boundary markers).

The CD is too long (the total length of the CD is displayed in the control bar at the top of the CD tab).

If "Audio in pauses" Mode is activated on the CD tab Functions menu, there will be no warnings if clips are placed outside the CD tracks.


Audio in pauses

Normally when creating a CD, only the section between the CD markers are burned, and the pauses between tracks are replaced by silence. However, when Audio in pauses is activated, the exact image of the Audio Montage is burned to CD, including any audio between tracks.

Not all CD-R drives support this feature, and the only way to find out if this works with your drive is to test it.

Here are two possible uses for the Audio in pauses function:

Moving CD track markers to "hide" clip sections

Let's say you have a live recording, with a section of applause between two songs. By moving the track markers so that the applause section is between the tracks and activating Audio in pauses, the applause will not be heard if you play any of the two tracks on their own - but it will be played normally when playing "through" the CD.

Proceed as follows:

1. Place the CD track end marker of the first track at the position where the music ends, but before the applause section.

2. If necessary, place the CD track start marker of the following track to when the music starts.

3. Activate "Audio in pauses" mode from the CD view : Functions menu.

4. Proceed writing the CD.

Now if the CD is played through, the applause section will play normally without discontinuances, but will not be heard if you single- or repeat-play the track that the applause "belonged" to.

Placing a clip before track 1

To create a "hidden" CD track before track 1, proceed as follows:

1. Place a clip without CD track markers prior to the first CD track start marker in the Audio Montage.

It is recommended that you do not place the hidden track at the very start of the Montage, but leave a little room between the Montage start and the start of the hidden track.

This is because some CD players will automatically revert to track 1 if rewound "all the way" to the top of the CD.

2. Activate "Audio in pauses" mode from the CD view : Functions menu.

If you now run the CD "Check" function, there will be no warning and the CD track list should be "valid" (given that the rest of the Montage is ok).

3. Proceed writing the CD.

To hear the hidden track after burning the CD, rewind from the start of track 1.


Editing the CD view list

Once you have prepared a CD track list, you can go ahead and write the CD. In some cases though, you may want to adjust settings first. This can be done in the CD view track list, which resembles a Basic Audio CD in many aspects.

You can hide or show CD track list columns by using the column pop-up menu (accessed by clicking the arrow button to the left of the column headings).

You can also drag and resize columns as usual.

You can adjust all settings (except the "Length" value) numerically in the list.

However, changing track start and end positions may result in warning messages.

If the option "Allow reordering by drag-and-drop" is activated on the CD view : Functions menu, you can change the order of CD tracks by dragging tracks in the CD view list.

There is one restriction: you can only drag tracks that are enclosed by CD track start and end markers - not by CD track splice markers. tracks divided by a CD track boundary marker (a combined start and end marker) can only be moved as an entity.


Checking transitions between tracks

On the CD view : Functions menu there is an item named "Edit playback times...". This dialog allows you to set two things; a Pre-Roll time before a track is played back, and a Test time, which is the time the beginning of a track is played back when using the "Play all track starts" function on the toolbar (also located on the CD view : Functions menu).

Say for example that you wish to hear a few seconds of each track end and following track start, to check the transitions between them:

1. Open the "Edit playback times" dialog on the CD view : Functions menu.

2. Enter suitable values for pre-roll and test times and click OK.

You can tick the option "Pre-roll starts with one second of silence" if you wish to make the transitions less abrupt.

3. Activate Pre-Roll mode on the CD view : Functions menu.

When this is activated all tracks will start with the set pre-roll if played back using the Functions menu playback items.

4. Select "Play all track starts" from the Functions menu, or by clicking the corresponding icon on the control bar.

Each track start and end (including the last track) are played back according to the values set in the dialog.


Edit CD-Text

This CD view : Functions menu item opens the CD Text editor, where you can input the track's title, artist and other information. It will be burnt onto the CD as CD Text. Some CD Players support CD Text and display this information during track playback.


About the two write methods

The final phase of CD creation can be done in two ways:

By burning directly from the CD view in the Montage.

This (described in the next chapter) is an easy process, but puts some demand on your computer. Keep in mind that even if your Audio Montage plays back without problems, the CPU load will be four times as high if you burn in 4x speed (since the audio file has to be rendered four times as fast)! There is, however, an option in the CD Write dialog to "Render a temporary file before burning" that alleviates this problem - see Testing a basic audio CD before burning.

By using the Render function in the Master Section to first render the Montage to a CD image on disk, and then burn the CD in a second pass.

This method is recommended if your Audio Montage contains a lot of clip effects (or is otherwise CPU intensive), since it separates the audio file rendering from the CD burning process. It is also recommended if you want to create multiple copies of the CD. The Rendering process and its options are described below.

In both cases, all clip effects are used and the Montage is processed through the Master Section, including any activated effects and the dithering/noise shaping stage.

Rendering a CD image and cue sheet

1. Open the Master Section and click the Render button.

The Rendering Preferences dialog appears.

2. Select the "Whole Montage" option in the Range section and activate the "Create specific file" option.

3. Specify a name and location for the file, and make sure the Wav 16 bit format is selected.

4. Select the "Create CD image and cue-sheet" option in the Options section and activate the "then open as new Audio Montage" option.

5. Click OK.

Now, the whole Montage is rendered to an CD image file, with a corresponding cue sheet. A new Audio Montage is created, which will play back as the original Montage and have all its features (but refer to the ready-processed CD image file instead).
Now you can proceed with burning the CD as described in the help section "Burning an audio CD".

It is also possible to create a Basic Audio CD from the Render dialog.

This will also separate the processing and the CD burning and thus conserve processing power. However, not all Montage features (e.g. Audio in pauses and CD Text) are available in a Basic Audio CD. Therefore, use this for simple audio CDs only.


Creating an Audio CD report

Basic concept

Generating the Audio CD report

Editing the Audio CD report


Basic concept

An Audio CD report presents the contents of the current Audio Montage in text form, for printing.

Audio CD reports are based on a number of small documents in RTF format (Rich Text Format), one for each section in the report. These can be edited in any RTF-compatible application (e.g. WordPad), allowing you to change fonts and styles, set text justifications, add pictures, etc.

Furthermore, the RTF documents contain references to text variables, and these provide the actual information in the Audio CD report - track names, times, etc. When generating the report, the information provided by the variables will be presented according to the set style in the RTF documents.

There are basically two types of variables, factory and user editable:

Factory variables provide automatically generated information about a project such as number of tracks, track times, track names etc. - based on the actual contents of the project.

User variables contain personal data such as company name and copyright information etc. - which is defined by the user.

Along with the variables, the Audio CD report can also include any CD Text you have specified in the Edit CD Text dialog (see Edit CD-Text). This is typically where you specify composers, performers, etc.


Generating the Audio CD report

An Audio CD report should be generated when an Audio Montage is fully prepared and ready for CD burning (or after having already done so). Proceed as follows to generate a preview of the Audio CD report template:

1. Open the Audio Montage you wish to create a report for.

2. Click the CD tab and select "Generate/Print Audio CD report" from the Functions menu.

A dialog opens.

At this point, you can select one of two Audio CD report templates (or presets) from the pop-up menu; one will show "Absolute" times, where the timing is continuous from the beginning of the CD (i.e. from the start of the first pause), the other shows "Relative" times, where the timing is relative to the start of the first track, and the durations are given without pauses.

The former is the standard way of measuring track times in professional use, such as for CD duplication plants, the latter is the way track times are normally listed on a CD cover.

3. Click OK to generate a preview image of the report.

This is the standard or template layout, which provides all of the relevant factory variable information.

As you can see, the default Audio CD report layout consists of a logo at the top, followed by personal/company data (most likely not yet filled in), and some general data about the project. Lastly is a table listing details about each CD track.

4. You can now use the Print item on the Functions menu in the window to print the Audio CD report.

However, you probably want to edit the contents of the report first. Read on!


Editing the Audio CD report

Editing user variables

To enter personal data for the user editable variables, or to add new variables, you use the "Edit text variables" dialog, located on the CD view : Functions menu. This is described in the topic Editing variables.

Editing CD Text

CD Text is included on the actual CD, and can be displayed by some CD players. It can also be included in the Audio CD report, allowing you to specify titles, performers, composers and more for the whole CD and for each track. See Edit CD-Text for details.

Editing the elements of the Audio CD report

You have complete control over what is shown in the Audio CD report. Proceed as follows:

1. Select "Generate/Print Audio CD report" from the CD view : Functions menu.

2. Click the "Edit..." button in the dialog.

This opens the Audio CD report edit dialog.

The main part of the dialog consists of "Elements"; the RTF files that make up the CD report.

Each element entry consists of a path to a RTF file.

One exception is the Logo, which should point to the location of an image file.

To use another RTF file for an element, click the folder icon and browse to the new RTF file.

You could for example have created different versions of the various RTF files, or a client could bring his own RTF files, etc.

To remove an element from the Audio CD report, delete the path to its RTF file.

At the bottom of the dialog you will find additional settings for the printout (page size and margins) as well as a Formats button (allowing you to edit the formats used for dates, times and numbering).

You can also save the current Audio CD report as a preset, by selecting "Save as..." from the pop-up menu at the bottom of the dialog. Saved presets can be opened from the same pop-up menu.

Editing the RTF files

You can use the existing template RTF files as a starting point for creating custom CD reports, or create new RTF documents from scratch. Regardless of which, you may want to keep a copy of the original template RTF files, as a safety measure.

When you edit the RTF documents, it is recommended that you use WordPad (included with Windows) rather than Microsoft Word, as Word can sometimes automatically create "extra" information that cannot be translated correctly by WaveLab.

To open an RTF file for editing, proceed as follows:

1. In the Audio CD report edit dialog, click the arrow pop-up to the right of the element you want to edit.

2. On the pop-up menu that appears, select "Open containing folder".

The folder containing the RTF file opens in a separate window.

3. Double click the RTF file (or drag it to the desired RTF editor program icon).

For example, if you open the file "Header1.rtf", you will see that this contains the personal information that was shown under the logo in the preview CD report template. The entries are written exactly as in the "Edit Variables" dialog; a title followed by a variable name enclosed with "%" characters.

All text in the RTF documents apart from the code inside the percentage marks will be shown in the report.

This lets you change headings, orders and similar; you may for example want to use another term than "Engineer", exclude the address or phone number fields, etc. You can also change the fonts, styles and justification for the text.
Also, if you have added a new user variable in the Edit Variables dialog, or defined a variable that is not called upon in the RTF file, then this variable has to be written into the RTF file (enclosed by % signs).

However, while it is perfectly possible to enter the actual information (e.g. the name of the project) directly in the RTF file and remove the corresponding variable, this would require that you edited the RTF files each time you created a new Audio CD report. It is much better to set up the styling of your Audio CD report and its RTF files once and for all, and then only edit the variables and CD Text when you work with a new project. In short:

The RTF documents should be used for adjusting the appearance of the report, not for writing in variable values.


Introduction

This chapter describes the basic CD burning process, as well as some general reference information about the CD format.
It does not, however, describe the necessary preparations for creating a CD from a basic audio CD or an Audio Montage. In other words, this chapter assumes that the respective preparations have been completed, and that you are ready to execute the actual CD burning.

Please refer to the help sections "Preparing a Basic Audio CD" and "The Audio Montage" for a description of the respective preparations before following the instructions in this chapter.

Note that some procedures and menu items differ according to what method has been used to prepare audio tracks for burning.


Selecting a CD-R unit

Before you start writing, you must specify which CD-R unit WaveLab should use (for example, you can have more than one unit connected at a time, and switch between them from within WaveLab).

1. If you are starting from a basic audio CD, pull down the "CD" menu and select "Write CD". For Montages, click the CD tab and select "Write CD" from the Functions pop-up menu.

The Write CD dialog appears.

2. Use the Device pop-up menu to select your recorder.

3. Click the "i" (info) button next to the Device name.

This will show you details about, and settings for, your specific CD-R unit. For details, please use the help in the dialog.


Testing a basic audio CD before burning

There are two ways to check a CD before burning:

Check

The "Check" command on the CD menu scans through the basic audio CD and checks that the settings conform to the CD standard. For Montages this command is on the Functions menu (CD tab selected). This command does not access the CD-R recorder in any way, it only checks the setting in the list against a set of rules. These rules are described under the context sensitive help for the Check menu item.

This check is automatically performed when you try to actually burn a CD.

"Test writing of first track" and "Test writing of the whole CD"

These two options in the Write CD dialog (also reached from the CD menu for a basic audio CD and on the Functions menu for Montages) actually simulate writing of one or all tracks to the CD. This takes all settings into account, including the writing speed (1x, 2x, etc.), or whether a disk image should be rendered first (see below) etc.

If the test fails, try writing at a lower speed.

If the testing of all tracks is successful, you can be practically sure there will be no problems with writing the actual CD.

About the "Render to temporary file before burning" option (Audio Montage only)

This is an additional option in the Write CD dialog that can be used in case you have a slow computer and/or a lot of CPU-load intensive effects etc. in the Montage. If this item is ticked, a disk image is created before burning, which eliminates the risk of buffer underruns.

This option is included in the test writing if it is ticked beforehand.

Therefore if it was on when testing, it should be on when writing.

If this option was off, and the whole CD was test written successfully, there is no need to activate it when burning.

It will only make the write time take longer, without providing any "extra" safety.


Writing a CD

Procedure

CD-Extra support


Procedure

Once you have set up the basic audio CD or Montage, we suggest the following work order for burning the CD. These steps are not mandatory though, just a recommendation.

Please observe the precautions indicated in the Troubleshooting section in the on-line help before writing your first CD!

1. Listen through the CD once more, from the basic audio CD window or from the Montage, to check that all starts, ends and transitions are OK.

2. Select Check from the CD menu (basic audio CD) or CD tab - Functions menu (Montages), to check that all settings conform to the Red Book standard.

This is done automatically before burning, but you might want to do this anyway at this point.

3. Insert a fresh CD-R disc into your drive.

4. Select Write CD.

5. Select the speed at which you expect to be able to burn from the small pop-up menu.

6. Use the test options in the dialog to check that you will actually be able to write the CD at that speed.

7. If you want to create a CD in the CD-Extra format, activate the CD-Extra Support option in the dialog.

See CD-Extra support.

8. Once the basic audio CD (or the Montage) has passed the test, switch to "WRITE" and press OK in the dialog.

If you run into problems, check the Troubleshooting guide in the on-line help.

In the progress dialog that appears while the CD is recorded, you will find an option called "Eject CD on success". If you activate this option, the CD recorder will automatically eject the CD once it's finished.


CD-Extra support

When writing an audio CD, it is possible to prepare it for CD-Extra support. CD-Extra is comparable to Mixed Mode CDs in that both of these formats allow for the writing of both audio and data on a single CD. However, as opposed to Mixed Mode CDs, the audio on CD-Extra CDs is placed on the first track(s) of the CD and the data follows subsequently. This means that the audio will start to play immediately when the CD is used in a regular audio CD player, without having to skip to track 2. Also, when creating a CD-Extra CD, you can make use of all the functions available in the Montage.

Please be aware that some computer CD drives may have problems recognizing CD's in the CD-Extra format.

If you are writing an audio CD and want to prepare it for CD-Extra, do the following:

1. Put a checkmark in the "CD-Extra Support" box in the Write CD dialog.

This will prepare the CD for further writing of data later. Much like a multi-session CD.

2. Write the audio CD.

3. The next step is to create a CD Project containing the data you want to incorporate on the CD.

4. In the CD Project Write Dialog, select the options "Track At Once" for Write Method and "Close CD" for Closing Method.

5. Click on "Write".

The data will now be added to the CD after the audio you added previously, and the CD-Extra is created and finalized (no further writing is possible).


The audio CD format - Background information

This text aims to provide you with some background information on the CD format, to help you better understand how to create your own. This is a big subject, and we will only be able to touch upon it here. For more information, try a text-book on the subject, or search the Internet for more information.

The basic CD formats

There are a number of different formats for the contents of a CD disc. You are probably familiar with audio CDs, CD-ROMS, and CD-I. These are all slightly different, although they use the same media - CD discs. The audio CD specification is called Red Book. It is this standard to which WaveLab conforms.

Red Book CD is not a real file format

Those of you who are computer literate might know about file formats. Please note that Red Book CD is not a real file format. All the audio on the CD is stored in one big chunk, one file if you will. This is different from hard disks, for example, where each file is stored separately. Understanding the fact that all the audio is in fact one long stream of digital data is something that will probably help you better understand the limitations of the format.

The different types of "events" on an audio CD

There are basically three types of events that can be used to specify various sections of audio on the CD. These are:

Event | Description
Track Start | There can be up to 99 tracks on one CD. Each is identified by its start point only.
Track Sub-Indexes | On advanced CD players, you might have noted that a track can be divided into sub-indexes (sometimes called only indexes). These are used to identify "important" positions within a track. There can be 98 sub-indexes in each track. However, since it is difficult and time-consuming to search for and locate to a sub-index, many CD players simply ignore this information.
Pause | A pause appears before each track. Pauses can be of variable lengths. Some CD players indicate the pauses between tracks on their displays.

About frames, positions, small frames and bits

The data on an audio CD is divided into frames. A frame consists of 588 stereo samples. 75 frames make up one second of audio. Why? Well, 75 x 588 = 44100, and since the sampling frequency of the CD format is 44100kHz (samples per second), this equals one second of audio. When you specify positions on the CD, in WaveLab, you do it in the format mm:ss:ff, where mm is minutes, ss is seconds and ff is frames. The frame values go from 0 to 74, since there are 75 frames to a second.

Technically, there is no way to specify something smaller than a frame on a CD. One effect of this is that if the length of a track on the CD does not equal a perfect number of frames, some blank audio must be added at the end. Another effect of this is that when you play the CD, you can never locate (position) to anything closer than a frame. If you need some data in the middle of a frame, you still have to read the whole frame. Again, this is unlike a hard disk, where you can retrieve any byte on the disk, without reading the surrounding data.

But frames aren't the smallest block of data on a CD. There is also something called "small frames". A small frame is a container of 588 bits. 98 small frames together make up one regular frame. In each small frame there is actually only room for six stereo samples, which means that a lot of space is left for data other than the actual audio. There is information for encoding, laser synchronization, error correction and the PQ data (so called because it is stored in the "P" and "Q" bits). This PQ data is of major importance to anyone who wants to create their own CD, so please let us explain it in further detail.

PQ codes and WaveLab's solution to handling them

The PQ codes convey information about track start, sub-indexes and pauses, as described above. They also contain the timing information (minutes, seconds, frames). To fit all this information in, a block of PQ information is spread out over 98 small frames.

Specifying PQ codes is not complex. However, when creating a CD there are a number of rules you must take into account. For example, there should be some silent frames before each track, sub-indexes should be slightly early, there should be pauses at the beginning and end of the entire CD, etc.

When creating CDs from an Audio Montage, these rules and settings are handled by the CD Wizard. In a basic audio CD, they are collected in the "Advanced Settings" dialog on the CD menu. If you don't change these settings, you will get default values that ensure your CD will work properly. On the other hand, when the situation so requires, you can adjust them. We recommend you leave these settings as they are, unless you are completely sure of what you are doing.

ISRC codes

In addition to the basic PQ codes, there is something called "International Standard Recording Code", identification that is only used on CDs intended for commercial distribution. WaveLab allows you to specify an ISRC code for each audio track but only if your CD-R burner supports it.

The ISRC code is structured as follows:

Country Code (2 ASCII characters).

Owner Code (3 ASCII characters or digits).

Recording Year (2 digits or ASCII characters).

Serial Number (5 digits or ASCII characters).

UPC/EAN codes

UPC stands for "Universal Product Code". Some CD-R units allow you to specify this code, which is a thirteen-digit catalog number for the disc. Also known as EAN.

Pre-emphasis

Pre-emphasis works by boosting (or pre-emphasizing) high frequencies before burning the CD, and cutting (de-emphasizing) them when playing back. The theoretical result of this is that the desired audio is returned to normal sound, but any other high frequency content (noise) in the recording is reduced.

Disc-At-Once - Writing CD-Rs for duplication into "real" CDs

WaveLab only writes audio CDs in Disc-at-Once mode. There are three good reasons for this:

If you want to create a CD-R to use as a master for a real CD production, you must write the CD-R in Disc-At-Once mode. In this mode, the entire disc is written in one pass, without ever turning off the recording laser. There are other ways of writing a CD, namely Track-At-Once and MultiSession. If you use these writing formats, the "link blocks" created to link the various recording passes together will be recognized as "uncorrectable errors" when you try to master from the CD-R. These links can also result in clicks when playing back the CD.

Disc-At-Once mode provides more flexibility when specifying pause lengths between tracks.

Disc-At-Once is the only mode that supports sub-indexes.

Writing on the fly vs. CD images

WaveLab always writes a CD on the fly, that is, it does not create a CD image before burning. This method makes writing CDs faster and requires much less disk space. However, if for some reason you need to, WaveLab lets you join all audio tracks in a basic audio CD into one large file that can be used as an "image" of the entire CD.

Using Exabyte tape drives - Creating DDP files

Those who work professionally creating CDs may prefer not to burn directly to CD-R, but instead create a file in DDP format (according to the DCA standard), for example on Exabyte tape.

Spectral Design, in conjunction with Steinberg, provide such a solution as an addition to WaveLab. The product is called DDP-Solution.

DDP-Solution has the following features (and more):

Saves CD images directly to Exabyte tape or hard disk, in DDP format

Automatic Verify

Audio play

DDP report printout

Compatible with Sonic Solutions, SADiE and DCA systems

Automatically creates basic audio CDs from DDP files

Allows for DDP Data Burst before or after the audio data

Allows you to monitor the data transfer rate to and from the drive

Reads DDP image files in the "Import Audio CD Tracks" dialog

For detailed information, please read the documentation supplied with the driver.

For further information, contact Spectral Design on the web:
http://www.spectral-design.com/ddpsolution/


Introduction

A CD Project is an environment that can be used to compile and write data CDs and Mixed Mode CDs.

Data CDs (CD-ROM) exclusively contain computer data. This can also be audio files. However, the files are stored on the CD in such a way that an audio CD player cannot recognize them.

The difference between a Mixed Mode CD and a normal CD-ROM is that a Mixed Mode CD contains both computer data and audio data that can be played back by an audio CD player. On a Mixed Mode CD, the computer data occupies track 1, and the music occupies the subsequent tracks.

An alternative to a Mixed Mode CD is the "CD-Extra" format, which also allows audio and data to be combined on the same CD. To create a CD-Extra, you first create and write an Audio Montage and then add the data. See CD-Extra support.


Creating a new CD Project

To create a new CD Project, select "CD Project" from the New submenu on the File menu. A new CD Project window appears.

The principle is simple: The CD Project window has two main window panes; the source window on top and the destination window below.

The source window shows the contents of your hard disks (or other storage media) in a way much like the Windows Explorer: with a folder hierarchy "tree" to the left and the contents of the selected folder shown to the right.

The destination window shows the contents of the CD to be recorded, again with two panes in the same manner.

To compile a data or Mixed Mode CD, drag files and/or folders from the upper into the lower window pane.

You can record the CD as soon as you have placed all files.

In the destination window, you can rename files, remove them or open them, if necessary.

You can save and open CD Project files from the File menu, as with other document types.

CD Project files have the extension ".cdp".


Preparing the CD

Getting size information

Editing the CD contents

Creating a Mixed Mode CD


Getting size information

At the bottom of the CD Project window, a ruler shows you the current size of the project, allowing for a quick overview of how much CD space is available. Holding the mouse pointer over the ruler brings up a pop-up tip, telling you the exact size of the project.

You can also select "Properties" from the Edit pop-up menu, to get information about the number of files on the CD and their total size.


Editing the CD contents

You can move items between folders on the CD by using drag and drop, just like you drag them from the source window to add them. There are also various options on the Edit pop-up menu for adjusting the contents of the CD to be created:

To add a new folder (in the currently selected folder), select "New Folder".

The "Add Audio Track Folder" function is described below.

To rename the selected folder, select "Rename" from the pop-up menu and type in a new name.

To remove the selected file or folder from the CD Project, select "Remove".

If a folder was selected, this and all its contents will be removed. Note that this only removes files from the CD Project, not from the hard disk.

To open the selected file or folder, select "Open".

There is also an "Open in WaveLab" item, for opening audio files and other documents in WaveLab.


Creating a Mixed Mode CD

To create a Mixed Mode CD (i.e. a CD with both audio and data), proceed as follows:

1. Select the "root" of the CD in the left destination window pane.

2. Select "Add Audio Track Folder" from the Edit pop-up menu.

An Audio Track Folder item appears in the destination window. This cannot be moved or removed.

3. Drag any audio files you want included as audio tracks from the source window to the audio track folder.


Writing the CD

When you select "Write CD..." on the Destination window's CD menu, you will first be asked for a name for the CD. After entering a CD name and clicking OK, the "Write virtual Disc" dialog appears. Here you can make all the necessary settings for the CD to be recorded. For details on the settings, please use the help in the dialog.

If you are adding the data portion to a CD-Extra CD, you must select "Track At Once" from the Write method pop-up (see CD-Extra support).

When you have made the desired settings, click Write to start the CD writing process.


Copying the contents of a CD

WaveLab lets you copy the contents of one CD and write the data to one or more connected CD-R units by using the "CD Copy settings" dialog. This will create an identical copy (or copies) of the source CD. Before proceeding, you must have a properly installed CD-R device and a source CD (the CD you wish to copy) loaded in an available CD drive, internal or external.

1. Start WaveLab, if it is not already running, and from the "Tools" menu select "CD copy...".

The "CD Copy settings" dialog opens displaying all found CD devices in the left column, and the available destination devices listed in the right column.

2. Select the source CD device (the device containing the CD to be copied) in the left column.

3. Select the destination device(s) in the right column.

Simultaneously writing to different models of CD-R devices is not recommended!

Before executing the copy operation, you can set the following options in the "CD Copy settings" dialog:

Option | Description
Write to hard disk first | If this is ticked, the contents of the source CD will be written to your hard disk before writing the destination CD-R. Select this option if you have a slow computer and/or the "Simulate" function fails. Note that you need at least 650 MB of free disk space for this operation.
Verify destination media after write | If this is selected the destination CD-R will be verified (checked for errors) after writing to ensure that the operation was successful.
Simulate | When this option is selected, clicking OK will initiate a simulation of writing the entire CD. If any errors are reported, you should use the "Write to hard disk first" option.

4. Click OK to start the operation.

The write speed will by default be the highest possible with your CD-R device.


Introduction

The Label Editor allows you to design and print custom labels for your CD Projects. You can design separate layouts for front, inside, back and disk labels. Both text information and a wide range of image file formats can be imported and edited in various ways.

About variables and templates

Every CD Project/Audio Montage/Backup Plan/Import Audio CD Tracks session has a default set of "variables", text that consists of a short code string plus a value. Variables provide information about a project, such as track titles, personal data etc. There are basically two types of variables: factory and user editable.

Factory variables automatically provide information based on the contents of a project, and user editable variables can be customized to suit the current project. Variables are also used for the Audio CD Report function (see Creating an Audio CD report).

Templates are ready-made layouts that will use the information provided by the variables.

You can freely customize the properties of a template layout by using the Label Editor. Add new images or other objects, delete or edit existing objects etc.


Selecting a template

The first thing you do before the Label Editor is opened is to select a template. As mentioned previously, templates provide some information based on the current project, and have ready-made layouts:

1. Open the project you wish to create CD labels for.

This can be a CD Project, an Audio Montage, an Import Audio CD Tracks session or a Backup Plan.

2. Select the "Create Label set..." menu item.

Where this menu item is located depends on the type of project; for Audio Montages and Backup Plans it is on the Functions menu, for CD Projects it is on the CD menu, and for Import Audio CD Tracks it is on the Options menu.

3. A dialog appears, allowing you to select a template for your project.

To the right in the dialog there is a list of available templates, divided into three groups "Audio", "Data" and "Audio + Data". By clicking on the corresponding tab the available templates for the selected project type are shown in the list. To the left in the dialog, preview images of the front, back and the disk labels are shown.

4. Select a template, and click OK.

The Label Editor window opens, displaying the CD case front label.

If you do not wish to use a template at all you can select "Void" in this dialog.

This will open the Label Editor with totally empty labels, allowing you to build your own labels from scratch by adding objects, specifying backgrounds, etc.

You can also save user templates.

See Saving a label set as a user template.


Using the Label Editor

Overview

Basic object handling in the Label Editor

Positioning objects

About the Edit Properties dialog

The Objects menu

About label sets


Overview

The Label Editor always displays one of the three available views or pages: the front, back or disk case label. You switch between these pages by selecting the corresponding tabs below the toolbar. The layout is completely independent for each page.

Please note that the front label can be either single- or double-sided.

This option is set in the Page Layout dialog on the Printing menu.

The Label Editor window displays a frame with the currently selected label (front, back or disk) layout. Layouts are made up of editable objects - images, text boxes, lines or circles. You can also select either an image or color as background for the layout as a whole.


Basic object handling in the Label Editor

The Label Editor tools

Tools can be selected in three ways:

From the Tools menu

By clicking the corresponding icon on the toolbar

By right-clicking in the background area (not an object), and selecting from the context menu that appears

The following tools are available:

Tool | Description
Selection tool | Used to select, resize or move objects.
Zoom Object & Zoom In/Out | This is used to zoom in on a selected object, keeping it in view. The Zoom In/Out zooms the layout as a whole in or out. You can go back to normal magnification (1:1) by selecting "Zoom 100%" from the Options menu.
Insert track list | This will produce an automatically generated track list, based on the tracks belonging to the current project.
Insert box with text | Creates a text box object.
Insert Circle | This will insert a circle or ellipse object.
Insert Line | This will insert line objects.
Insert Image | This will insert an image.
Set background color... (menu only) | Lets you define a color for the background of the layout.
Set background image... (menu only) | Lets you define an image for the background of the layout.

Selecting objects

Clicking an object with the Selection tool selects it.

Selected objects are indicated by a dotted outline, and square "handles", which can be used to scale the size of the object.

To select several objects, hold down [Shift] or [Ctrl] and click. Selected objects can be de-selected by [Shift]-clicking.

When several objects are selected, one of the objects will always have "focus". This is indicated by red handles. You can move the focus to any of the selected objects by [Ctrl]-clicking.

Resizing objects

If you click on a handle of a selected object, the pointer changes to a double arrow, indicating that you can resize the object by dragging. Images or circle objects will be scaled, whereas dragging the handles of text box objects will resize the size of the box, not the text itself.

You can also right-click an object and select "Edit Position and Size..." from the context menu.

A dialog appears, allowing you to edit size (width and height) numerically, in cm/mm.

Inserting new objects

Inserting new objects is done by selecting the corresponding tool, and clicking and dragging in the layout. When you release the mouse button, a dialog appears, allowing you to define basic properties for the inserted object. Note that this does not apply to image objects, where instead a standard file dialog appears.

The Edit Properties dialog is also selectable from the Objects menu and by right-clicking objects and selecting from the context menu.

See About the Edit Properties dialog for a description of the items available in the Edit Properties dialogs.

Deleting objects

To delete objects, simply select them and use the [Delete] key.

Copy/move object

If you manually move an object with the right mouse button pressed, a small pop-up menu appears when you release the button allowing you to either select to copy the object to the new position or to move it there.


Positioning objects

There are several methods you can use to position objects:

Manually - by dragging objects using the Selection tool.

Automatically in relation to the layout frame. You can have an object centered (horizontally or vertically) by right-clicking it and selecting the corresponding item from the context menu.

Automatically in relation to other selected objects (see The Objects menu).

By selecting "Edit Position and Size..." from the Objects (or context) menu and adjusting the position numerically in the dialog that appears. Note that this adjusts the position of the object with focus.

About the grid, rulers and magnetize options

On the Options menu, you will find two items, "Show Grid" and "Show Rulers". If these are ticked, the background of the layout will show a dotted grid, and also vertical and horizontal rulers that show the current position of the mouse pointer. Both these items help you to position objects with fine precision in the layout. The grid spacing can be specified in the Preferences dialog on the Options menu.

You can also use magnetize so that objects will snap either to grid positions, to other objects or to the frames limits (or all three), by selecting the corresponding Options menu item.


About the Edit Properties dialog

The Edit Properties dialog can be opened in three ways:

By selecting an object and selecting "Edit Properties" from the Objects menu

By right-clicking an object and selecting the same item from the context menu

By double-clicking an object

The contents of the dialog varies depending on the object type. Please use the help in the respective dialog for details.


The Objects menu

The Objects menu can be selected from the toolbar, or opened by right-clicking an object (context menu). The items on the Objects menu are greyed out if no object is selected.

If one object is selected, the following Object menu items are available:

Item | Description
Edit Properties... | See About the Edit Properties dialog.
Edit Position and Size... | See Positioning objects.
Edit display condition | This allows you to decide whether an object will be displayed or not, depending on whether a given variable is empty or not.
Bring to Front | This brings any object that is partially obscured by another overlapping object to the front.
Send to Back | This sends any object that partially or completely overlaps another object to the back.
Center horizontally | Centers a selected object horizontally in the layout.
Center vertically | Centers a selected object vertically in the layout.
Lock movement | This locks the position of the selected object.
Select all | Selects all objects.
Select all with the same size | Selects all objects with identical dimensions to the selected object.

If several objects are selected when opening the Objects menu, the following additional items are available:

Item | Description
Apply same properties as focused object | This item allows you to apply properties from the focused object to all of the selected objects of the same type.
Space evenly horizontally | This distributes the selected objects horizontally, using the top center handle as a guide. This means that the top center handles in each selected object will be exactly the same distance from each other horizontally.
Space evenly vertically | This distributes the selected objects vertically, using the side center handle as a guide. This means that the side center handles in each selected object will be exactly the same distance from each other vertically.
Place under each other | This will place all selected objects directly under each other.
Align with focused object (several items) | These menu items will align selected objects to the position of the focused object. You can select to align to any side (left/right/top/bottom), or to the horizontal or vertical center of the object with the focus.
Resize as focused object (several items) | These menu items will resize all selected objects to either the same size as the focused object or to the same width or height as the focused object.
Group/Ungroup | This will group all selected objects so that they will act as one object when selected or moved (keeping the relative positions to each other). Ungroup deselects the grouping.


About label sets

You can save as many label sets as you like for a project. However, whenever you open the Label Editor by selecting the "Create Label" menu item, a new label set opens which is untitled and only contains the auto-generated data.

Whenever you have edited layouts in the Label Editor, you will be asked to save it as a label set if you close the Label Editor or exit the program without first having saved your changes. If you don't save, any changes are lost.

It is important to note that any work performed in the Label Editor is not saved with the project - it has to be saved separately as a label set.

Saved label sets (with the extension *.lab) contain all the layout work performed in the Label Editor.

It is, however, undynamic. This means that if you have added to or changed the CD Project, Audio Montage etc. in any way after saving a label set, these changes will not be reflected in the saved label set, unless you save it as a user template (see below).

Saving a label set

To save a label set, simply select "Save" or "Save As..." from the File menu with the Label Editor open and as the active window (on top).

Opening a label set

To open a saved label set, select "Open" from the File menu and "Label Set..." from the submenu that appears.

Saving a label set as a user template

If you have saved a label set, you can make this appear on the list of available templates in the "Select a Label Template" dialog. Label templates are simply label sets that reside in designated subfolders inside the WaveLab program folder. The path to the Label template folders (starting from the main WaveLab program folder) is "Presets \Label\Templates\". Here you will find three folders: "Audio/AudioData/Data. Place (or save directly) a label set in the appropriate folder. It will now appear as a new template next time you open the "Select a Label Template" dialog.


Working with variables

Editing variables

Creating new variables

Saving variable sets as presets

Exporting text variables in ASCII


Editing variables

This information applies both when creating CD labels and when creating Audio CD reports.

Apart from the auto-generated data such as CD information, date and time etc., you can define a number of user editable variables that are local to the project you are working on. Once you have defined a set of user variables, this is automatically saved with the current project. To define user variables, proceed as follows:

1. Open the project you wish to set user variables for.

This can be a CD Project, an Audio Montage, an Import Audio CD Tracks session or a Backup Plan.

2. Select the "Edit text variables..." menu item.

Where this menu item is located depends on the type of project; for Audio Montages and Backup Plans it is on the Functions menu, for CD Projects it is on the CD menu. Selecting this item opens a dialog containing a list of folders similar to the structure in Windows Explorer.

Only the variables in open folders (and "Editable" written in the Type column) can be edited.

The editable variables vary according to the type of project.

3. To define a value for a default variable, for example copyright or personal information, double-click in the Current Value column for the relevant description.

A text box opens where you can type in the relevant information.

4. Click OK when done.


Creating new variables

You can create new variables and define values for them. The new variable will automatically be put in the currently selected folder (or in the folder with a currently selected variable). Proceed as follows:

1. Either create a new folder by clicking the "New Folder" button, or select a folder that you would like to add a new variable to.

If you chose the former option, select the new folder.

2. Click the "New Variable" button.

A new editable variable appears in the selected folder.

3. Double-click in the Description column beside the new variable to open a text box where an appropriate description can be typed in.

For example "Producer".

4. Double-click in the Current Value column to enter the relevant information for the new variable, i.e. the name of the producer.

5. To create a code that can be used to refer to the variable in the Label Editor, type in an appropriate name beginning and ending with "%" in the Code column.

To use the earlier example, this would be written "%Producer%".

6. Click OK when done.

Once you have entered your personal data you can save the text variables file as a preset.

On the Options menu there is a default set of text variables that is always available. Use this as a clean slate for creating new variables.


Saving variable sets as presets

Clicking the name field pop-up at the bottom of the window opens a menu which allows you to save sets of variables as presets. After having saved one or more variable sets as presets, you can switch between different presets of already "filled in" variables by selecting one from the name field pop-up.

A preset could typically represent the information belonging to a client you work with regularly, for example. Naturally, the auto-generated variables will still adapt to the current project as usual.


Exporting text variables in ASCII

This option opens the current text variables as an ASCII text document in a tabulated format, suitable for editing in a spreadsheet application such as Excel.

Where this menu item is located depends on the type of project; for Audio Montages and Backup Plans it is on the Functions menu, for CD Projects it is on the CD menu.


Printing CD labels

Calibrating the printer

Setting up page layouts

Printing


Calibrating the printer

If you are printing on special CD label paper, it is very important that the printer is "calibrated", that is, the measurements in the program (for margins, positioning, etc.) must be exactly the same as the actual results you get when printing. This is not as important when you print on standard paper (since the printouts then don't have to fit exactly in specific positions on paper).

To calibrate the printer, select "Calibrate printer" from the Printing menu in the CD Label Editor. Then follow the steps in the dialog that appears.

You only need to do this once (unless you switch to another printer).


Setting up page layouts

The Page Layout dialog contains various settings relating to how the page layout will be printed. It's important to note that you make page layout settings individually for each one of the three label types (case front, case back and disc label). These are also printed individually.

If you are using special CD label paper, these will typically come with a measurement sheet, showing the exact size and positioning of the labels. You will probably want to use this when setting up page layouts for the first time.

To set up the page layout, select the desired label type (by clicking the corresponding tab) and select "Page layout..." from the Printing menu in the Label Editor. For details about the settings in the dialog that appears, please use the help in the dialog. Again, note that there are different settings for the three different label types.


Printing

Again, printing is done independently for the three label types. However, there are two settings that are global for all three label types:

1. Pull down the Options pop-up menu and select "Preferences".

The "Label editor preferences" dialog appears.

2. Use the "Printing" checkboxes to determine whether the frames around the labels should be printed, and whether cut markers should be printed (making it easier to cut out the labels from the printed paper).

Now, you are ready to print:

3. Select one of the label types by clicking its tab.

4. Select "Print" from the Printing menu in the Label Editor window.

The "Print label" dialog appears, allowing you to make printer settings, preview the result and specify a number of copies.

5. Click Print.

6. Select the next label type by clicking on its tab, and proceed from step 3 above.


Global analysis

Introduction

Setting up and performing the analysis

Checking and browsing the results

Creating markers

Focusing

The Peaks tab

The Loudness tab

The Pitch tab

The Extra tab

The Errors tab


Introduction

What does the "Global analysis" dialog do?

This dialog allows you to perform advanced analysis on your audio to find certain areas with specified properties. It can be used to find problem areas (glitches, distortion) etc, or to check general information such as the pitch of a sound.

How does it work?

When you analyse a section of an audio file, the program scans it and extracts overall information which it displays in the dialog.

However, during analysis, it also "pin-points" sections in the file that meet specific characteristics, for example, sections being very loud or very silent. You can then browse between these points, set markers at these places or zoom in on them.

About the tabs

The Peaks tab is used for finding individual samples with very high values.

The Loudness tab is for finding sections with high amplitude.

The Pitch tab is for finding out the exact pitch of a sound or section.

The Extra tab tells you about DC offsets and the significant bit resolution.

The Errors tab helps you find glitches and sections where the audio has been clipped (recorded or processed at too high a level).


Setting up and performing the analysis

Opening the "Global analysis" dialog

The analysis always works on a selection of a file!

1. Make a selection in the wave file you want processed.

This selection can be of any length and in one or both channels. If you want to analyse the entire file, simply hit [Ctrl]-[A].

2. Select "Global analysis..." from the Analysis menu.

The Global analysis dialog appears.

Deciding what types of analysis to perform

As described above, there are several types of analysis that can be performed. Each of them takes some time, so you may want to make sure that only the ones your are actually interested in get performed.

It doesn't hurt to have more options activated than you need, but it will slow down the process. The pitch analysis in particular uses up a lot of processing time, simply because by its very nature it is complicated.

If the section you are analyzing is very short, it doesn't matter much whether all options are activated.

Click on the Peaks tab and decide whether you want peak analysis or not by activating the "Peaks" option.

Click on the Loudness tab and decide whether you want "RMS Power" analysis performed.

Click on the Pitch tab and decide whether you want the program to find the "Average Pitch".

On the Errors tab, decide whether you want the program to search for "Glitches" and/or "Clipping".

Setting parameters and performing the analysis

1. Set up the parameters.

On most of the tabs, you will find settings for exactly how the analysis should be performed. For example, on the Peaks tab there are two parameters:

"Maximum number..." allows you to set an upper value for the number of peaks reported. For example, if you set this to "10", the program will only report the ten highest peaks in the file.

"Minimum time..." allows you to specify the minimum interval between two found peaks. For example, if this is set to "5 s", there will always be at least five seconds between the reported peaks.

These two settings allow you to make sure that all reported peaks are not in the same area. Details about the settings on all the tabs can be found in the contextual help in the dialog itself.

2. If desired, move the wave cursor to a new position.

The Peak and Loudness tabs report values specifically for the position of the wave cursor, so if this is of interest, you should make sure the wave cursor is at the position for which you want a readout.

3. Click Analyse.


Checking and browsing the results

Checking the results on the Pitch and Extra tabs is simple, since there is only one value returned for the whole section of analysed audio. Just click on the tab and read off the values in the dialog (for details about the values, see later in this chapter).

For the other tabs, slightly more advanced options are available. This is since all these analysis methods provide their results as a number of positions in the file, positions that indicate peaks, glitches etc. We call these "hot points".

You can browse (jump) between these points in a very practical way. Proceed as follows:

1. Click on the tab that represents the values you are interested in.

For example, let's say you click the Loudness tab.

2. Check the display for maximum/minimum values in the whole section that was analysed.

For the Loudness tab, these values represent the maximum and minimum amplitudes in the left and right channels respectively (for a stereo file).

3. Decide which of these values you want to browse.

For example, say you want to browse the minimum amplitudes in the right channel.

4. Click on the button that currently displays this value.

The value displayed is for the "hot point" with the highest/lowest value. In our example, you would click the button in the lower right corner.

5. Check the "Number of hot points" value at the bottom of the dialog. It displays how many positions in the file the analysis found.

In our example it shows how many positions with low amplitude in the right channel that meet the criteria specified by the parameters in the dialog were found.

6. Use the scroll bar below the "Number of hot points" value to browse between the positions found.

The wave cursor jumps between the points found by the analysis, and the display scrolls if needed.

7. When you want to browse another property, click on the corresponding tab (if required) and then on the value button that represents it.

For example, to check the amplitude of the left channel instead, simply click that button. To check peak values, click on the Peaks tab and then on one of the value buttons on that tab.

The result of the analysis is saved until you close the dialog or click Analyse again.


Creating markers

If you like you can set out markers at the "hot points":

1. Select a property and channel for which you want to add markers.

You will set out markers for the same property as you are currently browsing, so this selection is done with the value buttons.

Since you are always browsing one channel at a time in a stereo file, you can also only set out markers for one channel at a time.

2. Click the "Create markers..." button.

Temporary markers are added at all "hot points".

The markers are named using the following principle: "Hot point number" ("Channel"). For example, a marker at the third "hot point" in the left channel would be labelled "3 (L)".


Focusing

You can also focus the display on a certain "hot point":

1. Use the "Number of hot points" scroll bar to move the position indicator to the position you are interested in.

2. Click the Focus button.

Now two things happen:

The wave display zooms in on the selected point.

The "Global analysis" dialog is "folded in" so that only its title bar is visible.


The Peaks tab

This is used to find peak values in the audio, that is, single samples with very high values.

Parameters

The parameters are fairly simple:

"Maximum number..." allows you to put restrictions on how many points will be reported. The highest ones will be selected. For example, setting this to "1" will make the program report only the highest peak (or one of the peaks with the highest value - if there are several with the same value).

"Minimum time..." lets you set things up so that the points don't occur too close. Settings this to "1 s" will ensure there is always at least a second between reported points.

Result

The Result fields show you the following values:

Option | Description
Maximum | The highest peak in the analysed section.
At Cursor | The level of the sample at the wave cursor position, at the time of the analysis.


The Loudness tab

This finds loud and weak sections in a more "intelligent" manner than the Peaks tab. The theory behind this is that there might be a single sample with a high or low value somewhere, but this may not necessarily mean that this section is perceived as loud/weak.

To find sections that the ear perceives as significant in volume, you must look at a longer section of audio. To do this you measure a consecutive section of samples and then average their value. WaveLab does just this, using a mathematical method called RMS (Root Mean Square) which is well known for its accuracy.

Parameters

The parameters on the Loudness tab are slightly more complicated than for Peak analysis:

"Resolution" is the length of audio measured and averaged. If this value is lowered, very short passages of loud/weak audio will be detected. When it is raised, the sound will have to be loud/weak for a longer period to result in a hot point.

"Threshold..." is used for recordings where there are pauses, to make sure the average value gets calculated correctly. A pause could possibly "fool" the algorithm. Therefore you can set up a value, and all audio below that value will be considered silence and will not be take into account for the average value.

"Maximum number..." and "Minimum time..." are the same as for the Peaks tab.

Result

The Result fields show you the following values:

Option | Description
Maximum and Minimum | The level of the loudest and weakest points in the analysed section.
Average | The overall loudness of the whole analysed section.
Around Cursor | The loudness at the wave cursor position at the time for the analysis.


The Pitch tab

The Pitch tab shows the values from WaveLab's extremely accurate pitch detection algorithm. This can be used for pitch shifting, for example, to get one sound in tune with another.

There are no parameters to set. The display simply shows the pitch for each channel, both in Hertz (Hz) and as semitones and cents (hundredths of a semitone).

Since the display shows an overall value for the entire analysed section, the "hot point" controls in the lower section of the dialog are not used on this tab.

Usage guidelines

The result is an average value for the whole selection.

The method only works on monophonic material (not on chords or harmonies).

The algorithm assumes the analysed sections has a reasonably stable pitch.

The material must be relatively well isolated from other sounds.

It is preferable to analyse the sustain portion of a sound, rather than the attack. The pitch is usually not "stable" during the attack.

Some synthetic sounds may have a weak fundamental (first harmonic) which can possibly fool the algorithm.


The Extra tab

This tab shows you two things:

The average DC Offset in the analysed section.

See Eliminate DC Offset for details.

The Apparent Bit Resolution.

This attempts to detect the actual resolution in the audio, i.e. how many bits are really used. This is useful e.g. if you want to check whether a 16 bit file really uses 16 bits (or if it was actually recorded with only 8 bit resolution and then expanded up to 16 bits).

You may want to use the Bit Meter for this instead (preferably in "Analyse Selection" mode), as this provides even higher accuracy.


The Errors tab

This tab actually reports two totally separate things:

Glitches

These are disruptions in the audio. Glitches may occur after problematic digital transfers, after careless editing etc. They manifest themselves as "clicks" or "pops" in the audio.

Clipping

A digital system has a finite number of levels that it can represent properly. When a sound has been recorded at too high a level or when digital processing has raised the level past what the system can handle, hard clipping occurs. This will be heard as a very harsh type of distortion.

Overall parameters

"Maximum number..." and "Minimum time..." are the same as for the Peaks tab.

Glitch parameters

"Threshold" is a value for setting how drastic a change in level has to be reported as a glitch. The higher this value, the less sensitive the detection.

"Sensitivity" is a length value. It represents the length of time that the waveform must exceed the Threshold to be reported as a glitch. The higher this value, the less sensitive the detection.

It is not definite that the points found by the algorithm are real glitches. Please zoom in and play back to check whether the found points really indicate a problem.

Clipping parameters

The program checks for a number of consecutive samples at full value, to determine whether clipping has occurred. "Threshold" is a setting to determine the exact number of these consecutive samples which must occur for the program to report clipping.

Results

This reports the number of glitches and clipping instances that have been found.


Audio file comparer

This utility allows you to compare two files for differences and create a file that contains the difference between the two, a "delta file". This is useful for example to:

See the effect of using an equalizer by comparing the file before and after. The delta file will show what was added.

Check the noise added by a processor, again by comparing.

Compare two digitally recorded files to check for dropouts.

Proceed as follows:

1. Make sure that the two documents you want to compare are open.

2. Select "Audio file comparer..." from the Analysis menu.

3. Fill out the dialog box and click OK.

The exact details about the options in the dialog can be found in the on-line help, but here's a run down of the major possibilities:

The program can create a delta file, that is, a file that only contains the differences between the two files. This allows you to hear the difference between two files, for example to check what got lost when you applied data compression to a file.

The program can enter markers at positions where differences are found. For this to make sense, the differences between the files must be small.


3D Frequency Analysis

Introduction

Creating the graph

Adjusting the view


Introduction

This function allows you to view a wave file in the frequency domain rather than in the time domain. Although a wave display (time domain) tells you a lot about where one sound starts or ends in a file, for example, it doesn't say anything about the timbral contents of the file. A frequency graph (frequency domain) does.

The graph used in WaveLab is actually something often referred to as an FFT (Fast Fourier Transform) plot.

Examples of how the graph can be used

The graph can be used for example for the following purposes:

To see how the frequency spectrum is distributed in a mix.

As a basis for EQ-ing, so that you know which frequencies to reduce or boost.

To see which parts of the audio spectrum a certain background noise occupies (for removing by filtering).

For educational purposes - these graphs tell you a lot about how different sounds are "built".


Creating the graph

1. Select the part of the file you want to analyse.

If you select a stereo recording, a mix of the two channels will be analysed.

The length of the selection affects the accuracy of the analysis. For short selections the result will be very detailed. For longer selections (over a minute or so) it will not give equally detailed results, since the harmonic content might vary "between the measure points", which is then not shown in the display. You might for example make a separate analysis of the attack (beginning) of a sound, since the most drastic variations usually occur there.

2. Select 3D Frequency analysis options from the Analysis menu and click on the Frequency tab. Adjust the settings if needed.

These are the only settings that can not be redone when the graph is already open.

3. If you only want to see a plot for a part of the frequency range, adjust the "From" and "To" values.

The range must always span at least three octaves.

4. Decide if you want the frequency axis in the graph to be linear or logarithmic.

Logarithmic is often the most natural choice since each octave (doubling of the frequency) is then represented by an equal distance on the frequency axis.

5. Select 3D Frequency analysis from the Analysis menu.

The wave is analysed and the graph opens in a new window.

The frequency graph shows you how the different frequency components vary over time. A high "mountain" means that this frequency is very prominent at that particular time.


Adjusting the view

There are a number of settings you can make that affect the way the graph is displayed.

1. Select 3D Frequency analysis options from the Analysis menu, or double click directly on the graph. Click on the Style tab.

2. Decide whether you want the graph to be in color, gray scale or black and white.

3. Decide whether you want to use a change in color to represent the amplitude (the height of each mountain determines its color) or if you want it to represent frequency (the frequency spectrum is drawn in colors ranging from red to purple).

4. Decide on a background color (black or white).

5. To view the effect of your changes, click Redraw.

6. Click the Perspective tab.

7. Decide from which point of view you want to examine the graph (use the "freq/time" figure as a directional guide).

8. Decide whether you want a linear or exponential amplitude display.

The Wave window's level rulers use a linear display, so this is a natural choice to start with.

9. Again, if you so desire, click Redraw.

Working with multiple views

If you wish you can view the same graph in several windows, but with different style and perspective settings. This allows you to get a better view of an otherwise crowded graph.

To open a second view of the graph drag-create a window.

To make settings for one of the windows, select it, open the "3D Frequency analysis..." options dialog from the Analysis menu and proceed as described above.


Auto Split

Description

Application example 1 - Splitting samples

Application example 2 - Converting marker type


Description

Auto Split is a powerful function that allows you to automatically split audio files in several different ways. You can use it to split files:

...at marker points

...at regions containing silences

...at beat points using beat detection

...at specific time intervals

In addition, you can use the Auto Split function to remove silence at the start and end of a file, or to split stereo files into two mono files.

The Auto Split function can either create new files or Montage clips referencing the original file(s). The new files or clips can be automatically named and/or numbered.

The Auto Split dialog

To open the Auto Split dialog, select "Auto Split" from the Tools menu, or press [Ctrl]-[T].

What appears is actually a series of dialogs or pages, with different parameters and options according to what Auto Split method you select. When you have set up the first page as desired, click "Next" to proceed to the next page, and so on. If you change your mind, you can click "Back" to go back to the previous page.

On the first page you specify what file(s) to process with Auto Split.

You can select between:

The Wave in the currently active window (or a selection of the same Wave).

All wav or aif files in a specified folder (optionally including subfolders).

File List (a text file containing the names and paths to audio files on your disks, with one file name per line).

For the last two items you have to click the Browse button and navigate to the desired folder or text file, respectively.

On the second page you select the type of splitting you wish to perform:

Type of Split | Description
Split according to markers | This will split the file(s) at specific marker positions. If you select this, the next page allows you to select which marker type should govern where splitting will occur.
Split at specific intervals | This will split the file(s) at specific time intervals. If you select this, the next page allows you to specify this time interval (and thus the duration of each region).
Split between silences | This will split the file(s) so that each non-silent section becomes a separate region. If you select this, the next page lets you specify the minimum region duration, minimum duration of a silent section, and the signal level that should be considered as "silence".
Split at beats | This option will detect "beats" in the audio material and split the file(s) at each beat. If you select this, the next page allows you to specify the sensitivity of the beat detection, the minimum beat level to create a split point, and the minimum region duration (i.e. no regions shorter than the specified duration will be created).
Cut head and tail | This will remove sections from the start and/or end of the file(s), either silent sections or sections specified by you on the next page.
Convert stereo files to two mono files | This will split stereo files into two mono files. Since there are no additional settings for this, the next page will be the "fourth page" below, on which you specify where to save the files.

As explained in the table above, the third page of the Auto Split dialog varies according to the chosen split method.

The following pages of the dialog are common to all types of Auto Split, except that certain options are greyed out in the dialogs if not applicable.

The fourth page is where you specify what to do with the regions created by Auto Split.

You can choose to save the regions as separate files or to create clips and add these to a new or existing Montage. You can also select to not split the file(s) but to create markers at the split points instead. Use the on-line help in the dialog for details.

On the fifth page you can set various options.

Here you can insert silence at the start and/or end of the files, or automatically assign root key note numbers to the files. Use the on-line help in the dialog for details.

On the last page you specify how the files, clips or markers created by Auto Split should be named before finally performing the splitting.

Options include as source file name plus a key name or number, or as specified in a text file. Use the on-line help in the dialog for a description of all the dialog items.


Application example 1 - Splitting samples

Here's one application of Auto Split: Let's say you are working with a sampler (hardware based or software, e.g. Steinberg's HALion). You have made a long recording of separate notes of an instrument that you wish to cut up into separate samples and transmit to the sampler:

1. Open the audio file in a Wave window and select Auto Split from the Tools menu.

2. On the first page, specify that the "Wave in active window" should be processed, and click Next.

The next page asks you what type of splitting to perform.

3. Select "Split between silences" and click Next.

This assumes that there are sections of silence between the recorded notes. If the notes have reasonably clear attacks, you could also try the "Split at beats" method.

4. Set up the next page according to the audio file, and click Next.

You should adjust the first setting according to the length of the shortest recorded note, the second setting according to the shortest period of silence between two notes, and the third setting according to the level of the "silence" between the notes (this can require some experimenting if the recording contains room ambience or long decaying notes).

5. Now you are asked what to do with the regions to be created. Select "Save as separate files", specify the desired location for the new files and click Next.

6. On the Options page, activate the "Assign Key" option and select the "Detect pitch" method. Click Next.

This will analyse each note and assign the correct "Key" setting (also known as "root key") to each sample. If you activate "Quantize to nearest semitone", WaveLab will set the Key according to the closest semitone; if not, the "Detune" setting in the sample may also be adjusted, according to any pitch deviations. See Editing sample attributes.

7. On the final page, select the naming option "As audio file name + key" and click Process.

WaveLab splits the file according to your settings, and creates new files in the specified location.

If you are working with HALion, it's now very easy to import the samples into the sampler: open all the created files and use the [Ctrl]-[Shift]-[C] function described on Using WaveLab with Steinberg HALion.

This lets you import all samples into HALion and have them assigned to the proper keys, all in one go!


Application example 2 - Converting marker type

Another example of Auto Split does not involve any actual splitting of the file. Instead we illustrate how you can use Auto Split to convert all markers of one type to another. Proceed as follows:

1. Open the audio file containing the markers you wish to convert in a Wave window and select Auto Split from the Tools menu.

2. On the first page, specify that the "Wave in active window" should be processed, and click Next.

The next page asks you what type of splitting to perform.

3. Select "Split according to markers" and click Next.

4. Next you specify what type of markers should be used to "split" the file and click Next.

Here you select the existing marker type that you are about to convert.

5. On the next page, select "Do not split, only create markers at splitting points".

6. Then on the same page, set the marker type you would like to convert the existing markers to.

7. Continue through the next pages and set options if needed.

8. Finish by clicking Process on the last page.

The markers are changed to the specified type.


Audio Signal Generator

This utility allows you to synthesize audio documents from scratch. The resulting documents can then be used for a number of purposes:

For testing the specifications of audio equipment.

For measurements of various kinds, including calibrating tape recorders.

For testing signal processing methods.

For educational purposes.

The Audio Signal Generator is not intended for synthesizing musical sounds.

The Signal Generator is based on a waveform generator which can generate a large number of basic waveforms such as sine, saw, pulse and various types of noise.

The Signal Generator has a multitude of settings for character (Source tab), frequency (Frequency tab) and amplitude (Level tab).

As if that wasn't enough, you can combine up to 64 such signal generators into "layers" and even make separate settings for the left and right channel for each.

Once all settings have been made, the program calculates an audio file according to the specifications.

Proceed as follows:

1. Select the Audio Signal Generator option on the Tools menu.

2. Decide on a number of layers, by setting the "Number of layers" parameter at the bottom of the dialog.

You can always change this value at a later stage if required.

3. Select one of the layers, using the "Edit layer" parameter.

4. Decide if you want to make changes for both or just one of the channels in this layer, by using the "Edit channel(s)" pop-up.

5. Make the required settings on the Source, Frequency and Level tabs.

For details click the Help button in the dialog. Please note that the length of the file is determined by settings on the Level tab.

6. Repeat steps 3 to 5 as required.

7. When everything is done, set up a file format and Global level in the middle section of the lower half of the dialog.

8. Click Generate.

The file is generated and opens up in a new window.

The algorithms that the Audio Signal Generator is based on were optimized for accuracy, not for speed. Creating long and/or complex files might take a while, especially on slower computers.


DTMF Generator

DTMF (Dual Tone Multi Frequency - or Touch Tone) is a way of generating signals by combining two sine waves with variable frequencies, used in telephone systems. The numbers you press generate sine waves of different frequencies, and these signals are then decoded at the central telephone office to actually identify which numbers you press.

The DTMF Generator does just this - it allows you to generate an audio file with the sounds you hear when pressing the different keys on a telephone.

To use the DTMF Generator, proceed as follows:

1. Pull down the Tools menu and select DTMF Generator.

The DTMF Generator dialog opens.

2. Enter a dial string in the text box in the top of the dialog.

The characters you can use are the same as those you can use on a telephone and are listed in the dialog. Any other characters will not generate any tone.

3. Select the desired standard; DTMF or MF.

The difference between the options is described in the table below.

4. Make the desired settings for Durations and Amplitude.

See the help in the dialog for details.

5. Select a bit resolution and a sample rate for the file to be created.

When you click the button, the Audio Properties dialog (see Editing audio properties) opens to let you make settings for the audio file.

6. If you wish, you can save the settings you make as preset.

You can create presets for settings in the dialog, for quick recall.

7. When the settings are to your satisfaction, click Generate.

The file is generated and opens up in a new window.


Introduction

It is possible to synchronize the audio playback in WaveLab to incoming MIDI Time Code (MTC). This allows you to play audio from WaveLab together with stand-alone recorders, MIDI sequencers etc. This is probably most useful when playing back Audio Montages, but you can also synchronize playback of regular Wave files.

For MTC Sync to be possible, you need to have a MIDI Interface installed and working!

About MTC and word clock

MIDI Time Code provides timing information, so that each time position coincides in the master (the other recorder, MIDI sequencer, etc) and the slave (WaveLab). However, there is still one problem: Even though WaveLab starts playback of an audio file at the exact correct position, it cannot affect the timing of the audio file once playback is started. At that point, the playback of the audio file is only dependent on the clock on the computer's audio card.

Let's say you are syncing WaveLab to a tape recorder providing MTC. As the clock on the computer's audio card and the internal clock of the master (in this case the tape recorder) are not synchronized, the audio file(s) played back by WaveLab and the tape tracks will inevitably be drifting out of sync after a period of time.

The solution is to not only synchronize WaveLab, but also the audio card! This means that you need:

A synchronization device that can send both MTC and word clock.

An audio card that can read and synchronize to incoming word clock.

With this setup, the master device sends MTC into WaveLab (ensuring that audio playback starts at the correct time position) and word clock to the audio card (ensuring that audio playback continuously follows the master device.

It is worth noting that without using a word clock based system, it is possible to synchronize WaveLab with another device for a shorter period of time. Exactly how long depends on a number of factors, such as the overall stability of the system (using an ADAT as master will provide higher stability than using an analog tape machine for example) and the length of the audio files played by WaveLab etc.
Also note that if a project involves using several different types of machines as the master, the result (the length of time synchronization is upheld) is likely to vary in an unpredictable way. For best results when using synchronization without word clock, it is recommended that you use a fixed (and relatively stable) setup during the course of the project.


Setting up

1. Make sure the desired Montage or Wave window is active.

This is important, since each Montage or Wave can have separate Sync settings.

2. Pull down the Options menu and select Preferences.

The Preferences dialog appears.

3. Click the Sync tab.

4. Pull down the MIDI Input pop-up menu and select the MIDI Input port to which your synchronization device is connected.

If the time code in the master device is offset (so that playback starts at a time position other than zero), you need to compensate for this in WaveLab by setting the SMPTE Offset parameter to the same value:

5. If the SMPTE Offset is positive, click the [+] button next to the SMPTE Offset parameter. If it is negative, click the [-] button.

6. Set the SMPTE Offset parameter to the time position when you want playback to start.

This should be set according to any offset values in the master device, so that both devices have the same start position. The offset value is subtracted from (plus button activated) or added to (minus button activated) the incoming time code. Usually, positive offset values are used. If you edit this value during playback you have to stop and restart for the change to take effect.

Each Audio Montage can save its own SMPTE offset. When you edit the offset in the Preferences dialog, you actually edit the offset of the currently active audio document.

7. Leave the Time Correction parameter at 0 for now.

You may need to adjust this later on.

8. Click OK to close the dialog.


Activating sync

To activate sync in WaveLab, proceed as follows:

1. Click the playback start position icon to the left on the Transport bar.

A pop-up menu appears.

2. Select "Sync from MIDI Time Code" from the pop-up menu.

The button changes shape to a MIDI symbol, indicating that WaveLab is in Sync mode.

You can also activate Sync mode by pressing [F9] on the computer keyboard.

Now, WaveLab is expecting MIDI Time Code, and will start playback when the master device is started. If the MIDI Time Code stops, WaveLab will stop playback but remain in Sync mode. You can also do the reverse: start the master (generating MTC), then press F9 to start WaveLab in sync.

If you find that there is a slight, constant offset between the master and slave, you need to adjust the time correction parameter until you get it right, either by stopping playback and going back to the Preferences dialog, or by nudging (if you are playing back a Montage; see below).

Although rare, such an offset could occur due to audio card latency, "slow" MIDI equipment, the coarseness of the MTC signal, etc.

3. To exit Sync mode, select another playback start position option from the pop-up menu, press [F9] or stop playback manually.


Nudging sync offset

This is only possible when playing back an Audio Montage. For general information about nudging, see Nudging.

For various reasons, you may find that there is a slight constant offset between the master and the slave during synchronized playback. This is adjusted with the time correction parameter in the Preferences-Sync dialog. However, trying to guess the correct time correction value in Stop mode can be a time consuming process. Instead you can nudge the time correction value during playback and use your ears to find the optimum setting:

1. Pull down the Edit view Options menu and select "Synchro Offset (SMPTE)" from the Nudge submenu.

You may also want to deactivate the "Auto Select" option on the Nudge submenu, to avoid accidentally changing nudge target.

2. Activate synchronized playback.

3. If WaveLab's playback is "behind" the master, click the right Nudge icon or press [F12].

This will skip samples, effectively "speeding up" WaveLab's playback. This may cause some clicks just after you nudge.
The timing adjustment will be audible after the playback latency time (displayed in the Preferences dialog, Audio Card tab).

4. If WaveLab's playback is "ahead of" the master, click the left Nudge icon or press [F11].

This will add blank samples, effectively "slowing down" WaveLab's playback. This may cause some clicks just after you nudge. Furthermore, these blank samples will have to be played back, resulting in a short silence, during which the Montage cursor will stay flickering in one place.

As when nudging other Montage elements, you can use modifier keys to determine the nudge "impulse":

Modifier | Impulse
No modifier (standard impulse) | One frame
[Shift] (large impulse) | One second
[Ctrl] (small impulse) | 1/10 frame
[Ctrl]+[Shift] (micro impulse) | 1/100 frame

These values are fixed, and are not affected by the current setting in the Nudge Impulse Value dialog.

5. Repeat the nudging procedure until you find the optimum setting (no audible offset between master and slave).

6. Stop playback.

Now, your adjustments are added to the current SMPTE Offset and/or time correction settings in the Preferences dialog, so that next time you start playback, the two devices will be in sync.

Again, the purpose of this function is to adjust for any constant offset between master and slave. It is not meaningful to use this for compensating for drifting sync (in a setup without word clock).
Also note that this is a function for fine adjustments, ± a few seconds at most.


Checking incoming time code

You can inspect the incoming MIDI Time Code in the following way:

1. Enable Sync Mode.

The Time Code display will only be updated in Sync mode.

2. Open the Monitor window from the Specialized Windows submenu on the View menu.

3. Click the Timecode tab at the bottom of the Monitor window.

Now, the Monitor window serves as a time code display, indicating incoming time code in the format hours:minutes:seconds,frames:


Background information

About the various communication methods

Which communication methods does my sampler support?

About sample rates and bit resolutions

About loops


About the various communication methods

Samplers from various manufacturers are very different when it comes to communication possibilities. The following section tries to categorize the various means of communication that are available:

Generic SDS (Sample Dump Standard)

SDS is the most basic and widely spread way of communicating with a sampler. It is part of the MIDI standard. SDS allows you to send and receive samples, but does not support any type of name handling. Specifying which sample to send/retrieve is done using numbers.

Recommendation: Use SDS only if no other means of communication is available. It works well, but it is slow and not very practical.

The WaveLab implementation of SDS requires two way MIDI communication between the sampler and computer (MIDI In to MIDI Out and vice versa). "Open loop" (one way) transfers are not supported.

Generic SMDI

SMDI is basically the SCSI version of SDS. Since it uses SCSI as a carrier, it is much faster. However, it doesn't have very much additional functionality; again samples are identified via numbers rather than names.

Recommendation: Use SMDI if you want fast communication, have the necessary computer equipment and a sampler that supports it. However, if your sampler supports some proprietary type of SCSI communication, this is preferred to SMDI.

Proprietary MIDI only communication

Many samplers use proprietary MIDI communication protocols to exchange sample data. Normally this will provide better functionality than SDS, for example the possibility to specify samples by name.

Recommendation: Use a proprietary MIDI protocol rather than SDS if your sampler supports it.

Proprietary SCSI only communication

Same as above but via SCSI.

Recommendation: Use a proprietary SCSI protocol rather than SMDI if your sampler supports it and you have the necessary equipment.

Proprietary MIDI + SCSI communication

A common means of communication is to combine MIDI and SCSI. Normally "administration", such as providing lists of sample names etc., happens via MIDI and the actual audio transfer is done via SCSI. This type of communication normally provides very high functionality and reliability.

Recommendation: Use this type of communication if your sampler supports it and you have the necessary equipment.


Which communication methods does my sampler support?

To find out whether a sampler supports generic SDS or SMDI, check it's documentation or contact the manufacturer.

To find out whether it has a specific communication protocol that is also implemented in WaveLab, select "Sampler configurations..." from the Sampling menu, click on the Settings tab, pull down the top pop-up and check whether your particular model is on the list.

For further details about some supported samplers, see the Sampler Details section in the on-line help.


About sample rates and bit resolutions

WaveLab doesn't put any restrictions on the sample format:

Samples can always be received, regardless of format.

When you transmit, samples with sample rates not directly supported by the sampler may be accepted or rejected. Exactly how a sample with an unusual sample rate is handled depends on the sampler.

Transmitted samples are always converted to 16 bit during the transfer.


About loops

WaveLab supports transmission of up to two loops in a sample. The following rules apply:

If you transmit a sample with more than two loop points defined, only the first two will be transferred.

Your sampler, or the transmission protocol you use, may not support more than one loop. For example, SDS and SMDI only support one loop point. In this case, only the first loop will be used.


Setting up your sampler(s)

The following text assumes you have made all connections as described in the installation chapter. Proceed as follows:

1. Make sure the sampler is turned on.

If you use SCSI it must have been turned on when you booted the computer.

2. Select "Sampler configurations..." from the Sampling menu.

3. Click on the Settings tab.

4. Select the desired communications protocol from the menu.

If possible, select your sampler protocol by sampler model name, this will provide the highest level of functionality. If your sampler can't be found on this menu, you will have to select SDS or SMDI, depending on the type of connection and the instrument's capabilities.

Only select an item that corresponds to the type of connection you actually have. For example, selecting anything that involves SCSI is pointless unless you actually have connected the sampler via SCSI.

5. If the sampler is connected via SCSI, pull down the SCSI Unit pop-up and select the instrument you want to communicate with.

If the instrument can't be found on this menu, there is something wrong with your SCSI connection. See the installation chapter in the printed manual.

If you ever change the SCSI ID for the sampler, you need to update the preset. Otherwise, sampler communication won't work.

6. If the sampler is connected via MIDI, use the MIDI input and output that the instrument is connected to from the MIDI pop-ups and set the SysEx ID (System Exclusive ID number) to the same number as that of the instrument.

This setting is very important. If the two numbers don't correspond, transfers won't work. To find out how to check what SysEx ID your sampler is set to, consult its operation manual.

A few samplers that communicate via SCSI will use the SysEx ID for SCSI purposes as well. See your sampler documentation for details.

Creating a preset

Once all settings are done, you must convert them to a preset before you can continue:

1. Click on the Presets tab.

2. Type in a name in the field to the right.

Use a name that can be used to identify this particular sampler (if you have several).

3. Click the Add button to add the preset to the list.

If you have more samplers, you can now go back to the Settings tab, make settings for the next instrument, and create a preset for that.


Transmitting samples

1. If needed, open the sample in a Wave window and trim it to the desired length.

Since samplers are RAM based, this may limit the amount of data you can transmit.

2. Add one or two loops as desired (see Basic looping).

3. Pull down the Sampling menu and select "Transmit...".

4. Select the target sampler from the Target menu.

This menu lists all samplers for which you have created presets. The sampler will be on the list regardless of whether it is turned on or connected properly or not, so this list is not a verification that things have been set up properly.

5. If the protocol used for this sampler identifies samples by number, use the "Sample number" setting to specify a "memory location" in the sampler where you want to store the sample.

If another sample is already stored at that location, it will most likely be overwritten when you transmit, so it might be good advice to use the sampler's front panel controls to make sure you have specified the number of an empty location.

6. If the sampler uses names and/or banks, click the Refresh button instead to get a list of the current memory contents in the sampler. Then select a bank and a sample location from the pop-up and list.

This is not always required. In many instruments, if nothing is specified, the sample will be stored in a new memory location and no existing samples will be overwritten.

7. Click Transmit.

The sample is transmitted to the sampler. You can monitor the progress of the transmission on the status bar at the bottom of the screen.


Receiving samples

1. Pull down the Sampling menu and select "Receive...".

2. Select the desired sampler from the Target menu.

As with Transmit, this menu lists the samplers for which you have created presets.

3. If the protocol used for this sampler identifies samples by number, use the "Sample number" setting to specify which sample to retrieve.

4. If the sampler uses names and/or banks, click the Refresh button to get a list of the current memory contents in the sampler. Then select a bank and a sample location from the pop-up and list.

5. Click Receive.

The sample is received and opened in a new window. You can monitor the progress of the reception on the status bar at the bottom of the screen.

About loops

If the sample contains loops they will be converted to loop markers in WaveLab. However, note the restriction on the number of loops - see About loops.


Deleting and getting info about samples

In both the Transmit and Receive dialogs, you will find Info and Delete buttons. These buttons will only be available for samplers where a specific protocol that supports this functionality is implemented. They are not available with the generic protocols SDS and SMDI (see Generic SDS (Sample Dump Standard)).

1. If required, click Refresh to update the list of samples in the sampler.

2. Select a bank and sample in the list.

3. Click Delete to remove the sample from memory, or click Info to get information about the properties of a sample.


The Transmit Back feature

A common working procedure would be to receive a sample from the sampler, process it in WaveLab and then transmit it back to the sampler. The "Transmit Back" feature facilitates this. It is a variation on the Transmit function. The difference is that it automatically sends the sample to the same memory location from which it originally came, without presenting any dialog.

Proceed as follows:

1. Receive a sample from the sampler (see Receiving samples).

2. Work on it in WaveLab as desired.

3. Select "Transmit back" from the Sampling menu.

The sample is transmitted back to the same memory location in the sampler from which it originally came.


Using WaveLab with Steinberg HALion

If you are the lucky owner of Steinberg's HALion software sampler, you can use WaveLab as your sample editor. You can add samples by dragging audio file selections from WaveLab onto the HALion Key Zone Editor or by using copy and paste. It's also possible to transfer multiple samples from WaveLab to HALion in one go, using the following procedure:

1. Open and set up the audio files in WaveLab.

You may for example need to adjust the root key settings in the "Sample attributes" dialog (see Editing sample attributes), so that they correspond to the proper pitches of the files.

2. If you have edited the files in any way, make sure they are saved.

This is very important, since HALion will load the actual file from disk.

If you haven't edited the actual audio, but only the loop markers or sample attributes (e.g. root key settings), you should save the file(s) with the "Save as" command.

This is because those settings are stored in the file headers, which are only rebuilt when the audio is re-saved. If the audio portion of a file hasn't been changed, WaveLab will not re-save the audio on a regular "Save" - hence you should use "Save as".

3. Make a selection range in one of the files, covering the section you want to use as a sample.

4. Press [Ctrl]-[Shift]-[C].

With this function, no audio is copied, only the audio file reference and the position of the selected region.

5. Make a new selection in another file and press [Ctrl]-[Shift]-[C] again.

The file and region information for the new selection is added to the clipboard, without removing any previous information there.

6. Copy the regions of as many audio files as you like in the same way.

7. When you have copied the desired regions, go to the Keyzone Page View in HALion and press [Ctrl]-[V].

The copied regions appear as separate samples in HALion, assigned to keys corresponding to their original root key settings.

If you are using HALion with Cubase VST, and have selected WaveLab as your external Wave Editor, you can open HALion samples for editing in WaveLab directly from the sampler, by selecting "Edit in Cubase VST".


Editing sample attributes

This menu item on the Sampling menu allows you to make settings for a sample. They do not process the sample in any way, they just give it properties that the receiving sampler may or may not take advantage of. See About the various communication methods.

Setting | Description
Name | The name the sample will have in the sampler. Not all samplers support all characters. Furthermore, if the name is too long, it will be cut off.
Key | This specifies which key will play back the sound at its original pitch.
Detune | This specifies whether the sample should be played back at a slightly different pitch. The range is ±50% of a semitone, which translates into a quarter tone in each direction.
Detect from audio selection | If you click this button, WaveLab will analyse the sample and determine its pitch and amount of detune. For this to work properly, the sample must be of such a nature that it is possible to clearly detect a pitch (it won't work properly with chords and drumloops for example).

Depending on your sampler and the protocol you use for communicating, the above features may or may not be supported. For example, SDS and SMDI do not support names. SMDI supports Key and Detune whereas SDS does not.


Basic looping

Instrumental sounds in samplers rely heavily on looping. Looping a sound allows you to repeat a section of the sample indefinitely, to create a sustain of unlimited length. An example of this would be an organ sound. Without looping you will only be able to play notes as long as the original recording. With looping, notes can be of any length.

Finding a good loop point takes a bit of practice. Here is some advice:

There are generally only two types of loops: very long and very short. Loops of intermediate lengths usually don't work very well.

A long loop will sound the most natural, and should be used whenever possible. However, if the sound does not have a stable section in the middle (an even sustain part), it might be hard to find a good long loop. For example, a piano note - which decays continuously - will be hard to loop since the start point of the loop will be louder than the end. A flute will be much simpler, because the sound in the sustain section is very stable.

Very short loops (covering only a few cycles or periods) can almost always be found, but may sound "static" and unnatural.

A loop should normally start a short time after the "attack" portion, that is, when the sound has "stabilized" to a sustaining note.

If you try to set up a long loop, it should end as late as possible, but before the sound starts decaying to silence (if it does).

If you go for a short loop, it is harder to say exactly where in the sound to put it, but it should definitely be towards the end.

More information about looping in general, and the exact capabilities of your sampler in particular, can be found in the sampler's manual. Below follows a description of WaveLab's set of tools for setting up loops.


Using the Crossfade Looper

Introduction

Opening the Crossfade Looper

Moving the loop points "manually"

Using the auto-find feature

Working with candidates

Creating a crossfade

Creating a post-crossfade


Introduction

The Crossfade Looper is a special tool for creating "seamless" loops. It allows you to "nudge" the loop points while at the same time providing visual feedback of the "join" between the start and end point.

The Crossfade Looper can also automatically find loop points for you, by scanning the area of the waveform that is in the current loop points' vicinity. You can specify parameters for how "finicky" the program should be when suggesting loop points.

Finally, if you can't find a good enough loop point using the methods described above, the Crossfade Looper allows you to process the waveform to allow for smoother loops. It does this by crossfading areas of the waveform close to the loop start and end points.


Opening the Crossfade Looper

Before you open the Crossfade Looper we suggest you set up a basic loop. Then proceed as follows:

1. If you have several loops, place the wave cursor somewhere inside the one you want to work on.

This can be done simply by clicking somewhere between the loop markers.

2. Select Crossfade Looper... from the Sampling menu.

3. Click on the "Loop points" tab.

This tab should be your starting point, since this is where you adjust the loop points.

The following help sections describe the common procedures for using the Crossfade Looper - for details about the dialog itself, please refer to the help in the dialog and the printed manual.

About the Crossfade Looper dialogs

The Crossfade Looper dialogs are non-modal. While they are open, you can still access other windows (e.g. the Transport bar). However, all editing of the Wave window on which you are working is blocked out (except moving the current pair of loop markers, of course).

Furthermore, each time you click Apply, the process starts out from the wave data as it was when you opened the Crossfade Looper (since you want to be able to try out various types of crossfading without re-processing the wave each time). This affects the undo function: there is only one step of undo and no redo in the Crossfade Looper.


Moving the loop points "manually"

Let's assume you have set up a basic loop that you are happy with, except for glitches or "bumps" at the turning point. You can then use the Crossfade Looper to move the points manually, in small steps, to eliminate the glitch.

This is actually technically no different from moving the loop points in the wave display, but the features of this dialog makes it much easier to find good loop points, since the display gives you visual feedback as you go along. We also recommend that you have playback going on in "Loop as marked" mode since you will then also hear what you are doing!

The two ways of moving loop points

There are two ways of moving the loop points: dragging in the actual waveform (position the mouse pointer in the display and drag sideways) and using the "nudge" buttons.

Dragging in the actual waveform allows you to perform larger moves more quickly.

The nudge buttons are more useful for fine-tuning since they move the points by one screen pixel. This means that in 1:1 zoom mode, each press on a nudge button moves the loop point a single sample.

The various moving options

By moving the left part of the display, you are moving the end point to a later (left) or earlier (right) position.

By moving the right part of the display, you are moving the start point to a later (left) or earlier (right) position.

If you activate Linking, both the start and end points will move simultaneously. That is, the loop length will be exactly the same, but the entire loop will move.

Remember that you can at any time switch to the main Wave window and adjust the markers there, if needed.


Using the auto-find feature

If desired, you can have the program search for good loop points automatically. This is technically no different from adjusting the loop points yourself, only that the program uses pattern matching algorithms to suggest loop points for you.

Let's say that you want to let the program find a better start point for the loop. You first set up out a start and end loop marker, to get a basic loop. You then invoke the automatic searching, and the program searches the waveform from the current start point, trying to find a section that is as similar as possible to the area just after the current end point. When it finds a match it stops.

You decide how similar the section must be to be considered a match.

Setting up the parameters

There are two parameters for the auto-find feature, desired correspondence and search accuracy.

Search accuracy is a parameter for determining how many samples should be included in the analysis. Higher values result in greater accuracy, but also longer processing times.

Desired correspondence is a value for how well the found section must resemble the section it is compared to, to be considered a match. WaveLab uses two methods for comparison, "phase match" and "join match" (which provide much better matching than the simple zero crossing detection used by most other programs. Phase matching also ensures that no harmonic cancellation will occur when you crossfade, see later in this chapter). First phase matching is performed and then, to "fine tune", a join match is employed. A value of 1000 will most likely fail completely, since it requires a 100% perfect match.

Searching

1. Set up the search parameters.

2. Click on one of the buttons in between the "nudge" buttons.

Each time you click, the program scans from the current point (forwards or backwards, depending on which button you clicked) until it finds a point that matches. It then stops. If you wish you can stop at any time by clicking the right mouse button, by using the Stop button on the status bar or by hitting [Esc]. The program will then jump back to the best match found so far.

3. Check the loop by playing back.

4. If you think there might be a better point, at some later or earlier position, just click the button again, and scanning continues from this point onwards.

Remember that you can always go back to the main Wave window and adjust the markers manually.


Working with candidates

Often you will want to try various alternatives before committing to a loop. To be able to compare several alternatives, WaveLab offers looping candidates. These allow you to store sets of loop points in memory locations for later recall.

When you have set up the loop points as desired, you store them by selecting "Save candidate" from the options pop-up menu in the dialog, and then selecting one of the five memory locations.

To recall a stored candidate, select "Restore candidate" from the pop-up menu, and then select the desired memory location from the submenu. The points are now recalled and the loop points in the wave are moved to the positions stored in the memory location.

To compare several candidates, you can for example have playback going, select them one after the other, and listen to the difference.

Once you have found your candidate, you can select OK to exit this window or proceed to crossfading.

Things to note about candidates

There is only one set of candidates per Wave window, not one per set of loop points. This means that if you have several sets of loops in your file, you must be careful so that you don't recall the wrong set.

Crossfading is not part of the candidate, only loop positions are. You should decide on a candidate to use before you apply crossfading.


Creating a crossfade

What is a crossfade and when do I need it?

Sometimes it is impossible to find a loop that doesn't cause any glitches. This is especially true for stereo material, where you might be able to find a perfect candidate for either channel, but not for both at the same time.

One solution to this problem is to use crossfading. This technique "smears" the material around the end loop point so that it loops perfectly. It does this by mixing material before the loop start with material just before the loop end.

The only problem with this technique is that it alters the waveform and hence changes the sound. However, normally you can find settings that minimize this problem.

Setting up

1. While still at the "Loop points" tab (in the Crossfade Looper dialog), try to create as good a loop as you can.

2. Click on the Crossfade tab.

3. Make sure the Crossfade check box is activated.

There is a corresponding check box on the Post-Crossfade tab. This lets you choose if regular crossfading and/or post-crossfading will be performed when you click Apply later.

4. Decide on a length for the crossfade either by dragging the length handle or by adjusting the Length value below the graph.

The length is used to adjust the amount of the audio file that will be processed. This area is always located just before the end of the loop, but the Length value adjusts how far towards the start of the loop it stretches. As you can see, an equally large area before the loop start is used as basis for the processing. However, this area is not processed, just analysed.

Generally you will want the crossfade to be as short as it can be, with an acceptable result:

Using a long crossfade will be a better guarantee that the loop will be smooth. However, more of the waveform will be processed and hence changed in character.

Using a short crossfade will ensure the sound is affected as little as possible. However, the loop might then not be as smooth as otherwise.

5. Decide on a crossfade shape, by dragging the shape handle or by adjusting the shape value.

The considerations for this are the same as when creating other crossfades, see Crossfade. 0% means that the sound level will be equal in the middle of the crossfade, whereas 100% means that the energy will be equal in the middle of the crossfade. Use low values for "simple" sounds and high values for "complex" sounds.

Applying and checking the crossfade

When you click Apply, the sound is processed. If you have playback going, repeating the loop you will hear the change take effect after a short while.

You can check the crossfade visually by opening the "Loop points" tab and activating "Display processed signal" on the options pop-up menu.

When this is activated, the display will show the waveform as it looks when crossfaded. When the option is deactivated, the display will show the waveform as it originally was. Switching back and forth allows you to compare the two.

You can undo the crossfade by selecting Undo from the Edit menu.

If you click OK, the dialog closes and crossfading is made "permanent".

If you click Cancel instead, the dialog closes and the waveform is reverted back to the way it was before crossfading.

Do not move the loop points after performing a crossfade! The waveform has been processed specifically for the current loop settings!


Creating a post-crossfade

The post-crossfade is accessed from its own tab.

This is identical to the regular crossfade, but it is applied to the area after the loop. This means that it is used to fade the material so that there will be no glitch when playback continues out of the loop.

If you intend to use the sound in your sampler in such a way that the area after the loop is never played, you don't need to worry about this feature at all! Some samplers don't even allow you to play the area after the loop. However, if you do intend to use the area after the loop it is very important to have post-crossfade activated!

The post-crossfade looks at the part of the waveform that occurs just after the loop start and processes a certain area beginning at the end of the loop. The Length parameter adjusts the size of this area.

Everything else is identical to regular crossfading, see the previous topic.


Using the Loop Tone Equalizer

The Loop Tone Equalizer is a function for looping those un-loopable sounds, for example sounds that constantly decay in level or continuously change in timbre. The Loop Tone Equalizer applies drastic processing to the sound that evens out changes in level and timbral characteristics, before and during the loop.

It does this by using one of the following two methods:

Slice mixing

A number of slices is specified for the looped section. If for example you specify eight slices, the loop is cut up into eight sections of equal length. These sections are then mixed together as one sound which is repeated eight times. This new piece of audio replaces all audio inside the loop in a smart way so that no harmonic cancellation (due to phase offsets) occurs.

Chorus smoothing

This has nothing to do with a conventional chorus effect, but uses a method known as "Phase Vocoding" to filter the harmonics. This method is recommended for looping ensemble and choir sounds.

You can use both slice mixing and chorus smoothing in conjunction, but it is highly unlikely that you will ever need to. Note also that the original length of the loop will not be changed by the processing.

In addition to the above, the Loop Tone Equalizer includes a crossfade facility so that the original sound fades into the processed sections as playback approaches the loop start.

To use the Loop Tone Equalizer, proceed as follows:

1. Set up a basic loop of the length you desire.

This will probably not be a very good loop. If it was you wouldn't need to use the Loop Tone Equalizer.

2. Select Loop Tone Equalizer from the Sampling menu and click on the Loop Tone Equalizer tab.

3. Make sure that either slice mixing or chorus smoothing is activated and make the desired settings.

For slice mixing, you need to determine the number of slices. Only experimentation can tell how many slices are needed, but generally, the more slices, the more natural the sound (to a certain extent). However, the program puts a restriction on the number of slices, so that each one is never shorter than 20 milliseconds.

For chorus smoothing, you can make the following settings:

Option | Description
Timbre | This governs the amount by which the timbral characteristics of the sample should be evened out. The higher the value, the more pronounced the effect.
Chorusing | The delay time of the chorus effect varies with the modulation, which causes a sweeping effect. What this parameter does is determine the width and speed of the chorus sweep.
Enhance Warmth | Creates a smoother, warmer sounding effect.
Stereo Expansion | This increases the width of the sample in the stereo sound image.

4. Switch to the Pre-Crossfade tab and set up a crossfade.

You will need to use this feature since the Loop Tone Equalizer itself changes the timbre inside the loop and only there. This will mean that the transition into the loop will not be as smooth as expected, unless you apply crossfading. Generally, this is the same as the crossfade in the Crossfade Looper window. However, the difference is that this crossfade is made before and up to the loop start. The processed material created by the Loop Tone Equalizer is added to the original material before the loop.

5. Click Apply, and the sound gets processed.

If you have playback going, repeating the loop, you will hear the change take effect after a short while.

You can undo the crossfade by selecting Undo from the Edit menu.

If you click OK, the dialog closes and processing is made "permanent".

If you click Cancel instead, the dialog closes and the waveform is reverted back to the way it was before processing.

Do not move the loop points after performing the processing! The waveform has been processed specifically for the current loop settings!

About the end of the loop - Post-crossfading

After using the Loop Tone Equalizer, the transition from the end of the loop to the end of the file in many cases won't be very natural. This can be fixed as follows:

1. Close the Loop Tone Equalizer and open the Crossfade Looper.

2. Click on the Crossfade tab and deactivate the Crossfade option (the check box).

3. Click on the Post-Crossfade tab and make sure Crossfade is activated.

4. Set up the post-crossfade parameters and click Apply.


Background

Audio Databases are collections of audio files. However, an Audio Database doesn't really contain the actual files, rather it contains instructions on where the files are, what they are called etc.

The files in an Audio Database can be located on any of the media connected to your computer, hard disks, removable disks, CD-ROM disks and even floppies. For example, if you use an Audio Database to call up a wave file that is on a CD-ROM disk not currently in the CD-ROM drive, the program will inform you as to which CD-ROM you need to be able to load the wave.

Furthermore, the Audio Database allows you to organize your audio file library into categories (sound fx, instrumental sounds etc.) and you can specify categories yourself, if you like. This allows you to display all your bass drums on all your disks and CD-ROMs for example with a single mouse click!

Finally, an Audio Database can search your media for files, based on certain criteria, for example allowing you to find all files with the word "train" as part of the name.


Creating and opening Audio Databases

There are two ways to create a new empty Audio Database:

Pull down the File menu, select New, and from the menu that appears, select Audio Database, or...

Click on the New icon on the control bar, and select Audio Database from the menu that appears.

Either way, a dialog appears, allowing you to specify a name and location for the new Audio Database.

Opening an existing Audio Database

Audio Database files are opened like any other file under Windows. There is one shortcut, though:

Click on the Open icon on the control bar, and select Audio Database from the menu that appears.

Audio Database files have the extension "dba".

You can have many Audio Databases open at the same time. This does not consume a lot of your system resources.

How Audio Databases are saved

There is no special save command for Audio Databases. Instead, any changes you make are automatically saved to disk as you go along. If you close an Audio Database and then open it you will find it exactly as you left it (to open an Audio Database with a standard layout instead, hold down [Ctrl] when opening).

You might work a lot on your Audio Databases, organizing files into categories etc. Please back the Audio Database files up, in case you experience data loss. Audio Database files are small compared to audio files.


Adding files to the Audio Database

Adding files manually

Using Scan disk

Adding a "Dual Mono" file


Adding files manually

1. Select Add from the Audio Database menu.

You can also press the right mouse button in the Location Pane and select Add from the menu that appears.

2. Select all files you want to open (possibly using [Shift] and [Ctrl]) and click Open.

The files appear in the List. Also, folders are added to the Location Pane. These correspond to the real folders that the files are in, on the disk.

You can also drag an entire Wave document into the Audio Database by using the drag icon on the title bar of the Wave window.

Adding more files

You can add more files as many times as you wish, by using the functions Add and/or Scan disk (see next topic). The new files will be added to the existing ones in the list, and WaveLab makes sure that no file is added twice.


Using Scan disk

This feature allows you to automatically search for and add files matching certain criteria.

1. Select "Scan disk" from the Audio Database menu.

You can also press the right mouse button in the Location Pane and select "Scan disk" from the menu that appears.

2. Select a drive and a folder from which to start searching, and click OK.

This folder and all its subfolders will be searched.

3. In the dialog that appears, set up the desired criteria.

Note that the search criteria dialog has three tabs for deciding which files to add to the Audio Database - one for text criteria, one for file format criteria and one for date and size criteria. For a file to get added, it must fulfill the criteria set up in all three tabs.

For example it might have to...

have a name containing the text "piano"

be in stereo

be smaller than one megabyte.

You can of course set up any of the tabs so that all files meet the criteria in this particular tab. For example you can add files based only on their naming or only on their format.

4. If at some point you need to reset the settings in all three tabs to default values, click Reset.

5. Once all the criteria are set up, click Scan to actually search the disk for files.

The files that meet all the criteria appear in the List. Also, folders are added to the Location Pane as needed, corresponding to the files' real folders on disk.

The Text tab

This is used to specify which files to add to the Audio Database, based on text criteria:

WaveLab will search in file names, keywords or comments (depending on the "Topic to Search" setting) for the text specified on the Query line.

It doesn't matter whether you use upper case or lower case letters. When searching among keywords, you can use the menu button to the right to automatically add keywords to the query text. For a description of Keywords and comments are described in the topic Keywords.

To search for multiple text strings, separate words with spaces on the Query line.

The result depends on the "Search mode" options:

Option | Description
Normal | The entire text on the line is used as one "string". Files that contain this text will be "found".
AND | If there are several words, separated by spaces, only files that contain all the words will be "found".
OR | If there are several words separated by spaces, files that contain any of these words will be "found".

The Format tab

This allows you to add files based on the file format. You may activate multiple options in each section in order to add files of different categories (e.g. both mono and stereo files).

The Date & Size tab

This tab allows you to specify two things:

Whether the "Modified" date of the file should be included in the search criteria or not.

Whether the size of the file should be included in the search criteria or not.


Adding a "Dual Mono" file

To add two files as one stereo pair proceed as follows:

1. Add one of the files.

2. Right-click on the file name and select Properties from the pop-up menu that appears.

3. Activate the "Other channel file name" option and type in the name of the other file in the field below.

The two files will now be treated as a stereo pair when editing, playing, etc.


Customizing the File List

As with other similar lists in the program, you can customize the File List display in the following ways:

Select a list format (details, icons, etc.) from the Audio Database menu (or right-click in the File List and select from the pop-up menu).

If you have selected Show Details, you can click on the column headings to sort the list according to that column's criteria.

If you have selected Show Details, you can click between two column headings and drag to adjust the width of the columns.

This setting is saved with the Audio Database.


Selecting in the File List

You select files in the list by clicking on their names or by using the arrow keys. Use [Shift] or [Ctrl] to select several files, just as in other Windows programs.

You can also select a range of files by clicking and dragging a selection rectangle (provided that you start to the right of the file names).

To select all files, right-click in the File List and select "Select All" from the pop-up menu.


Finding out where files are located

If you want to find out in which folder a certain file is located, right-click it in the list and select "Show folders" from the menu that appears (or press [Alt] and click on the file name or wave icon in the list). Either way, the folder is highlighted in the Location Pane (as is the file's category - see Checking to which category a file belongs).


Opening a file for editing

To open one or more files in a wave editing window, use one of the following methods:

Double click on one file.

Select the file(s), right-click anywhere in the list except on a file name and select Open from the menu that appears.

Drag the file(s) out of the Audio Database window into an "empty" area within the WaveLab application window.

If the file is not on any of the disks currently "in the computer" you will be prompted for the required disk.


Playing a file

To play a file, select it and click the Play button on the Transport (or press [Enter] on the computer keyboard). If the file is not on any of the disks currently "in the computer" the required disk will be requested.

If the file is already open and has unsaved changes, the version in the window will be played rather than the one on disk.


Other file operations

Setting properties

Update

Rename

Remove


Setting properties

To set the properties of one or more files, select the file(s), right-click anywhere in the list except on a file name, and select "Properties..." from the menu that appears.

Please note that you can assign the same keyword(s) and comment to several files in one go, by selecting them and then selecting Properties.

Name

This is the file's regular name including the file type extension. Changing this is the same as changing the file name in the Explorer or other file managing utility.

This cannot be edited if you have selected several files or if a file is on CD-ROM.

Other channel file name

This is used for dual mono files, see Adding a "Dual Mono" file.

This cannot be edited if you have selected several files.

Keywords

This allows you to specify characteristics for the file that you can use later in a search operation. This feature works in addition to the category feature. It can be thought of as a more advanced extension to the category function. If you find that using categories serves all your needs for classification of the files, you do not need to use this feature.

To add keywords to the file(s), type in each keyword, separated by semicolons (";") or commas (",").

You can also click the "<<" button and select from the pop-up menus.

You can enter as many keywords as you like this way.

You can also add keywords of your own to the menus by typing the desired name preceded by a backslash character ("\"). You can create hierarchic items as on the standard menu. For example, if you type "\Quality\Texture\Chrystal", Chrystal will appear on the Texture menu which in turn is on the Quality menu.

The new menus are automatically saved when you close the dialog. You can also modify which keywords are available on the menu in new Audio Databases, see Changing the default categories and keywords.

Comment

In this field you can type in any comment you like to add to the file. This information can also be used when you want to find files that meet certain criteria.


Update

If you have worked on the files since the Audio Database was last opened, the file attributes (size, date, etc.) might be "out of sync" with the real values. To update those settings, select the file(s) and use this menu command.


Rename

If you want to rename the file, proceed as follows.

1. Right-click on the file and select "Rename..." from the pop-up menu.

If the file is not on any of the disks currently "in the computer" you will be prompted for the required disk.

2. Type in the new name and press [Return]. Do not specify an extension, only the actual file name.

If you need to modify the extension, use the Properties dialog, see Setting properties.

This operation permanently changes the actual file name!


Remove

To remove one or more files from the Audio Database, without actually deleting it from disk, select the file(s), right-click anywhere in the list except on a file name, and select "Remove..." from the pop-up menu.


Working with categories

About the category folder list

Moving files into categories

Displaying all files that belong to a certain category

Displaying files regardless of category

Checking to which category a file belongs

Creating, renaming and removing categories


About the category folder list

The Category Pane contains a number of folder symbols. These all represent categories and subcategories. For example, there is an "Instrument" category, which contains a "Strings" category, which in turn contains an "Bowed" category and so on.

Folders are opened and closed as in the standard Windows Explorer, including using the [+] and [-] keys.

You can create and remove category folders, see Creating, renaming and removing categories.


Moving files into categories

1. Make sure the desired category is visible in the list.

If it isn't, open the desired folders and scroll the list to make it visible.

2. Select the desired files and drag them to the desired category folder.

The files disappear from the list. Note:

You can add a file to any level in the category "hierarchy". For example, you can make a file part of the "Instrument" category, without having to put it into any of the subcategories ("Keyboards", "String" etc.).

A file can only be in one category at a time.

Dragging a file to a category will remove it from any category it previously belonged to.


Displaying all files that belong to a certain category

To display the files that belong to a certain category, click on the category name (note that you should click on the folder name, not on the folder symbol).

To display all files not in any category, right-click in the Category Pane and select "Find unregistered items" from the pop-up menu.


Displaying files regardless of category

If you want to display all files in the Audio Database, regardless of their category, proceed as follows:

1. In the Location Pane, select the top folder (Folders).

2. Select "Global Find..." from the Audio Database menu.

3. Click on the Presets tab.

4. Select the preset "All audio files" in the list, click Load and then click the Search button.


Checking to which category a file belongs

If you want to find out to which category a certain file belongs, right-click it in the list and select "Show folders" from the menu that appears (or press [Alt] and click on the file name or wave icon in the list). Either way, the category is highlighted in the Category Pane (if no category folder is highlighted, the file doesn't belong to any category).

This operation also tells you in which folder the file is (check the Location Pane).


Creating, renaming and removing categories

To create a new category, select the folder in which you want this new category to be. Then press the right mouse button and select "New category...". Type in the name and click OK.

To rename a category, select "Rename..." from the menu described above. Type in the new name and press [Return].

To delete a category folder, select it and select Remove from the same menu as above.

This deletes the selected category and all its subcategories.

The files that belonged to these categories are not deleted. Rather they become "unregistered items", see Displaying all files that belong to a certain category.


Location operations

The folders in the Location Pane mirror the way the files are organized on your disk(s). However, what you see is not really the folders on your disks. For one thing, only those folders that actually contain files that are in this Audio Database are displayed. Furthermore you can rename the folders in this list without actually renaming the folders on your disk(s).

Displaying all files in a certain folder

To display all the files that reside in a certain folder (regardless of their categories), click on the folder.

Renaming

You can rename a folder in the Database (not the real folder on disk) by right-clicking it and selecting "Rename..." from the pop-up menu. This opens the folder name for editing - change the name and press [Return].

Note that if the folder names in the Audio Database and on the disk do not match, you cannot open the files in that folder from the Database.

Removing

To remove a folder and all the files in it from the Audio Database, right-click the folder and select "Remove..." from the pop-up menu.

This does not delete the actual files from disk. It only removes them from the Audio Database.

Syncing to disk

The Sync to Disk feature lets you make sure that the content of a volume folder in the Audio Database matches the corresponding hard disk volume.

The operation affects the specified volume folder and all its subfolders.

1. In the folder list, right-click the volume folder you want to update, and select "Sync to disk..." from the pop-up menu.

The Find dialog appears, see Using Scan disk.

2. Fill out the dialog or select a preset to narrow the operation to files that only meet certain criteria.

If you want to affect all files in the folder(s) select the "All audio files" preset.

3. Click the Scan button.

The following operations are performed:

Files that are not yet in the Audio Database are added.

Files that don't exist any longer are removed from the Audio Database.

The attributes (size etc.) of all files in the Audio Database are updated.


Filtering the list

The filter function allows you to specify which files should be visible in the Audio Database, by setting up certain criteria. You might for example want the list to only display stereo files, files of a certain date, etc.

The filtering is common to all open Audio Databases.

To set up a filter, proceed as follows:

1. Select "Global Filter..." from the Audio Database menu.

The dialog that appears is identical to the one used for Scan disk.

2. Fill out the dialog or select a preset, see Using Scan disk.

3. Click OK.

Now when you click on folders or categories, only files that meet the specified criteria will be displayed.

To completely turn off the filtering, open the Global Filter dialog, click the Reset button and click OK.


Finding files

WaveLab's Find feature allows you to find all files in the Audio Database that match certain criteria.

Please note that the Find function only searches among files already added to the Database (which is different from how Scan Disk works, see Using Scan disk).

There are four ways to invoke the Find function:

If you want to search among all files in the Audio Database, select "Global Find..." from the Audio Database menu.

If you want to search in a folder and its subfolders, right-click on that folder and select "Find...".

If you want to search among files in one category and its subcategories, right-click on that category and select "Find...".

If you only want to search among the files currently in the list, click on the right mouse button in the list and select "Find...".

Regardless of which method you use, a Search dialog will appear. This is basically the same as the one used for filtering and for Scan Disk (see Using Scan disk). Use the tabs to specify different types of criteria for the search (or select a preset) and click Search. The found files appear in the Audio Database.

If you have selected Global Find, you can activate "Keep open". This allows you to redo the search without closing the dialog.

Note that the filter setting applies.

You might for example have set up a filter which ensures that only stereo files are shown in the list. Then when you perform a Find operation, you will still only get stereo files in the list. Please note that this might result in no files at all being shown. An example of this would be that you try to find only mono files and have a filter that only displays stereo files.


Changing the default categories and keywords

To change the category hierarchy and keyword lists that appear in new Audio Databases, proceed as follows:

1. Make copies of the files "categ.txt" and "keywords.txt"

These are located in the Presets' Misc folder within the WaveLab folder. You might for example name the copies "categ.bak" and "keywords.bak".

2. Launch a regular text editor.

One of those included with Windows will work fine.

3. To Edit the categories, open the file "categ.txt". To edit the keywords, open "keywords.txt".

Note how the files are structured:

Each level in the hierarchy begins with the name. After this, the subitems within this level are listed inside curly brackets ("{" and "}"). For example, in the "categ" file you will note a section that begins with the word "Keyboards" followed by a left bracket on the next line. This category ("Keyboards") does not end until after the word "Harpsichord", since on the line below that, a corresponding right bracket appears.

Within each level you will in many cases find sublevels, also enclosed in curly brackets. (In programmer speak, this is referred to as nested structure). In the "Keyboard" example, the sublevels are "Organ", "Piano", "Synth", "Celesta", "Clavinet" and "Harpsichord". The first three of these contain their own subcategories.

4. Change the structure, rename, add and remove items as desired.

Make sure that each left bracket is "balanced" by a right bracket ending the "level"!

5. Save the file under the same name in the same location.

If something goes wrong, delete the files you have created and rename the backup files to the original names. This will give you back the initial settings.


Introduction

Workspaces allow you to collect files that naturally belong together, for example all files used in a song, all files used for one commercial etc.

Furthermore, Workspaces allow you to organize those files into "folders" (here called groups) in any structure you like. For example you might put all narration files in one group regardless of whether the files are in different folders on your hard disk, or even if they are on totally different drives!

The group handling in this window is very similar to the folder handling in the Windows Explorer application.

In previous versions of WaveLab, Workspaces were named "Projects". The name was changed to avoid confusing "Projects" with "CD Projects".

Workspaces remember window settings!

When you open a Workspace, all its files are restored to the state they were in when you closed the Workspace. This means that all Wave files are opened with their windows sized, zoomed and styled as they were when you last worked on the Workspace (to open a Workspace with a standard layout instead, hold down [Ctrl] when opening).

Workspace files have the extension ".prj".


Creating and opening Workspaces

When you open a Workspace or create a new one, all open files are closed.

Creating an empty Workspace

There are two ways to create a new empty Workspace:

Pull down the File menu, select New, and from the menu that appears, select Workspace, or...

Click on the New icon on the control bar, and select Workspace from the menu that appears.

Either way a file dialog opens, where you can select a location for saving the new Workspace, and to name it.

Opening an existing Workspace

Workspace files are opened like any other file under Windows. However, there is one shortcut:

Click on the Open icon on the control bar. Select Workspace from the menu that appears.

You can only have one Workspace open at a time.

How Workspaces are saved

There is no special save command for Workspaces. Instead, any changes you make are automatically saved to disk as you go along. If you close a Workspace and then open it you will find it exactly as you left it.


Creating, renaming and deleting groups

Creating

You can create new groups as you see fit: Right-click on the group in which you want to create a new group, and select "New group" from the pop-up menu that appears. Enter a name for the group and click OK.

Renaming

To rename an existing group, right-click it and select Rename from the pop-up menu.

Removing

To delete a group and remove all files within it from the Workspace, right-click it and select Remove, and click OK in the dialog that appears.

This only removes the items from the Workspace. It does not delete anything from your disks!


File operations

Adding files using a dialog

To add one or more files to a group, proceed as follows:

1. Right-click on the group to which you want to add the file(s), and select Add from the pop-up menu that appears.

2. In the file dialog, select all the files you want to open.

You can select as many files you wish from the same folder, using [Ctrl] and [Shift].

3. Click Open.

A file can only be added to one group at a time.

Adding files by dragging a document

You can drag an entire Wave document into the Workspace, by using the drag icon on the title bar of the Wave window.

Adding files from a Database

You can drag and drop files from a Database to a Workspace.

Renaming files

To rename a file, right-click it and select Rename from the pop-up menu.

This means the file on disk is actually renamed, just as if you had changed the name in for example the Windows Explorer.

Removing files

To delete a file from a group, right-click it and select Remove.

This removes the file from the Workspace but does not delete anything from your disks!

Moving files between groups

To move a file from one group to another, first remove it from one group and then add it to another, as described above.

Playing and opening files

To play a file, select it and press [Enter] or click Play on the Transport bar.

To open a file for editing, double click on it (or right-click and select Open from the pop-up menu).


Creating a Backup Plan

Creating a new Backup Plan

Defining which files should be backed up

Filtering rules

Editing the filters in textual form

Saving and importing filter pattern files

Using the Preview function

General settings


Creating a new Backup Plan

The Backup Plan is where you specify which folders and files should be backup, and make additional settings for how the backup should be performed.

To create a new Backup Plan, open the File menu and select Backup Plan from the New submenu.

An untitled Backup Plan window appears.


Defining which files should be backed up

The contents of the Backup Plan are defined by filters. Each filter is defined for a certain folder, but you can also specify that a filter for a folder should affect all its subfolders as well.

On the most basic level, a filter simply tells which files should be backed up - one or several specific files, or all files in the folder. But it's also possible to include or exclude files based on their file types.

The filters are defined in the right half of the Backup Plan window. Below is a step-by-step procedure showing how to set up filters - please see Filtering rules as well.

1. Make sure the "Definition" tab is selected at the top of the window.

2. In the directory view to the left, select a folder containing elements you want to back up.

The files in the selected folder are listed in the two panes to the right.

3. To mark individual files for backup, tick their checkboxes in the "Include" list.

The number after the text "Specific files" (just above the list) shows how many individual files are currently marked for backup.

4. If you want to back up all files in the folder, tick the "All files" checkbox at the top of the "Include" list.

To also include all files in all subfolders, tick the "Also applies to subfolders" checkbox. This makes the subfolders "inherit" the same filter as their parent folder (not including the "Specific files" settings, see Filtering rules). However, you can override this for a subfolder by defining a separate filter for that folder.

5. To exclude individual files in the folder from backup, tick their checkboxes in the "Exclude" list.

If none of the files in the folder should be backed up, you can tick the "All files" checkbox in the "Exclude" list.
For example, you may have a folder with several subfolders, and want to back up all these except one: Activate the "Include: All files" and "Also applies to subfolders" option for the parent folder, and tick the "Exclude: All files" checkbox for the one subfolder you don't want to back up.

This far, filtering has only been applied to specific folders and files, but you can also specify that certain file types should be excluded (or included) in the backup:

6. To exclude a certain file type from backup, specify its file name extension by typing into the Patterns field above the "Exclude" list.

This function is available when the "Include: All files" option is activated.
Note that you should use the wildcard character * to indicate that all files with a certain extension should be excluded. For example, typing *.bmp will exclude all bitmap files in the folder from backup. If you specify several file types, you should separate them with commas.

If the "Also applies to subfolders" checkbox is activated, the specified file type will be excluded for the subfolders as well.

It's also possible to exclude files and file types globally, for all folders (see General settings).

If the "Include: All files" checkbox is not activated, it's possible to have a certain file type included in the backup, by typing its extension in the Pattern field above the "Include" list.

This allows you to quickly set up a Backup Plan where only files of a certain type are backed up.


Filtering rules

The "Include: All files" setting is "dynamic" (or "abstract") in the sense that it will include all files that are present in the folder at the time when the backup is executed (regardless of what was in the folder when the Backup Plan was created).

In fact, activating "Include: All files" is the same as writing "*.*" in the "Include: Patterns" field.

Activating the "Also applies to subfolders" option makes the filter settings apply to all subfolders for which no separate filters are defined.

This applies to the filter settings "Include: All files", "Include: Patterns" and "Exclude: Patterns". Settings for including or excluding specific files are never inherited by subfolders.

If you use the "Exclude: All files" option, this automatically applies to all subfolders (for which no separate filters are defined).

In other words, when "Exclude: All files" is used, the "Also applies to subfolders" option is automatically activated.

If you define a filter for a folder, any "inherited" filter from a parent folder is automatically overridden (both for that folder and for its subfolders).


Editing the filters in textual form

Sometimes it can be preferable to view and edit the filter definitions as text. This is done by selecting "Edit filters in textual form" from the Functions pop-up menu (or by clicking the "T" icon).

In the dialog that appears, you can view each defined filter separately, and edit the settings:

Use the scrollbar in the upper right corner to step between the available filters. The path of the folder for the currently displayed filter is shown to the left.

The checkboxes and "Patterns" fields work as in the main Backup Plan window.

You can remove specific files from the filters by selecting them in the lists and pressing [Delete].

It's also possible to delete the selected filter completely, by clicking the "Delete displayed filter" button.

The Edit filters dialog also offers some functions that are not available from the main Backup Plan window:

The Display options in the lower left corner allow you to scan for filters attached to non-existing folders, or filters listing non-existent files, and remove these if desired.

This may be necessary if you have removed files or folders since you first created the Backup Plan.

If you have renamed or reordered folders on your hard disk since creating the Backup Plan, you can click the "Find and replace in all paths" button to update the Backup Plan.

In the Search and Replace dialog that appears, enter the previous (faulty) path name in the Find field and the new, correct path in the Replace field and click OK. The program will search all displayed filters (taking the Display options into account) and perform the replacements, after which an alert tells you how many replacements were made.

After editing the filters, click OK to close the dialog and keep the changes. To discard all changes made in the dialog, click Cancel.


Saving and importing filter pattern files

Saving and importing filter pattern files

If you have set up a filter that you want to use for many different folders or in different Backup Plans, you can save it as a text file. This is done by selecting "Save current pattern as..." from one of the Patterns pop-up menus (above the Include and Exclude lists). The file will be saved in the Presets/BackupFilters subfolder in the program folder.

To add the filter patterns from a file to the current filter, use one of the "Add Patterns" functions on the Patterns pop-up menus.

Add pattern (contents) extracts the contents of the specified file and adds these to the current filter.

Add pattern (by reference) adds a file reference to the current filter.

The contents of the file is read and incorporated into the filter when the backup is previewed, simulated or executed. This means that if you edit the referred file directly (e.g. in a text editor), all Backup Plans referring to this file will be affected. Note also that the file must be located in the Presets/BackupFilters subfolder in the program folder.

Using filter presets

Included with the program are some presets with common filtering options. To use one of these, select Explore presets from the Patterns pop-up menu, and open one of the preset files from the window that appears.

Importing filters from another Backup Plan

If you have saved other Backup Plans (see Saving your Backup Plan), you can incorporate their filters into the current Backup Plan. This is done by selecting "Import and merge filters from another Backup Plan" from the Functions pop-up menu, and selecting the desired Backup Plan file in the file dialog that appears.

The imported filters will be merged with the current filters.

If there are filters for the same folder in both Plans, the settings of the current (open) Backup Plan will be used.

Erasing all filters

To remove all filters from the current Backup Plan, select "Erase all filters" from the Functions pop-up menu.


Using the Preview function

Once you have set up the desired filters, you can click the Preview tab to view exactly which files will be backed up with the current settings.

The items on the Preview pop-up menu (and the corresponding icons to the right) have the following functionality:

Option | Description
Generate file list | Generates a list of files to be backed up, in text format. The list is opened in the default text editor (e.g. Notepad), allowing you to save it or print it.
Display source paths | When this is selected, the Preview window shows the files according to their original hierarchy on your hard disk (from the drive root down).
Display saved paths | When this is selected, the Preview window shows the files according to how they will be archived. In this case, the folder hierarchy depends on the settings in the Options dialog (see General settings).
Up one level | Used for navigating to the nearest higher hierarchical level.
Refresh | Refreshes the preview display.
Show options | Determines how the backup contents should be shown in the Preview.


General settings

Before you can actually run the backup, you need to make some general settings. Actually, the dialog for this will automatically appear when you simulate or execute a backup, but you may want to adjust these settings before this, since some of them affect the backup contents (and thus what is shown in Preview mode).

To make general settings for the Backup Plan, select "Settings" from the Functions menu (when the Definition tab is selected) or click the corresponding icon to the right.

The Backup Plan Options dialog appears. For information about the available options and settings, please use the help for the dialog.

Click OK or Cancel to close the dialog and keep/discard the changes, as usual. An additional checkbox lets you save the settings as default.


Performing the backup

Simulating

Executing

Saving your Backup Plan

Performing the backup from a command line


Simulating

Before you actually execute the Backup, you may want to run a simulation. This allows you to check the exact size of the archive (useful if you're uncertain whether it will fit on a single CD). It's also useful to see that all backup files can be properly accessed by the program.

Simulation is the same as the actual backup, but without saving. This means the process will take virtually the same time.

Proceed as follows:

1. Select "Simulate" from the Functions menu, or click the yellow arrow.

The Backup Plan Options dialog opens, allowing you to check your settings.

2. In the dialog, click "Simulate".

The simulation starts. A dialog will show you the progress, and inform you of how much each file and the complete archive is compressed.

3. When the simulation is finished, an alert appears to inform you of the final archive size (and how much was saved by the compression).


Executing

To execute the backup, proceed as follows:

1. If you are backing up to CD, make sure the CD writer is correctly connected and set up, with an empty CD inserted.

2. Select "Execute" from the Functions menu, or click the red arrow icon.

The Backup Plan Options dialog opens, allowing you to check your settings.

3. In the dialog, click "Backup".

The backup starts. A dialog will show you the progress, and inform you of how much each file and the complete archive is compressed.

If you back up to CD, and the archive is larger than what fits on one CD, you will be asked to insert new CDs during the backup progress.

4. If you have activated the "Open archive at the end" checkbox in the Backup Plan Options dialog, the archive will automatically open when the backup is finished.

For more info on viewing archives and extracting files, see Opening an archive.


Saving your Backup Plan

If you intend to execute the same backup more than once, you should save your Backup Plan. This is done by selecting "Save as" or "Save" from the File menu as usual. Backup Plan files have the file extension ".bkp". To open a saved Backup Plan, use the "Open Backup Plan" item on the File menu.

The Externalize and Internalize functions

A saved Backup Plan basically contains a list of all folders for which a filter is defined, and the specifics for each filter. However, if you rearrange the folder structure on your hard disk, some folders listed in the Backup Plan may no longer exist in their original locations. This would normally mean you'd have to adjust your Backup Plan manually, but luckily there's an easier way:

1. Open the Backup Plan and select "Externalize" from the Functions pop-up menu.

The program writes each filter description into a small text file, and stores each such text file in the folder to which the filter is attached. In other words, each folder (for which there is a filter defined) will now contain a small text file describing the filter settings.

2. Reorganize your hard disk as desired.

Just don't remove the filter description text files (these are called "@backup.txt").

3. To update the Backup Plan after the folder structure on the hard disk has been changed, select "Internalize" from the Functions pop-up menu.

This function makes the program scan the hard disk for filter description text files and add them to the Backup Plan.
In the dialog that appears, you can specify which Backup Plan name to search for and in which folders or on which drives. You also get the option to have the found filter descriptions merge with or replace the existing descriptions in the Backup Plan.

Note that a filter description file (@backup.txt) can contain the descriptions of different Backup Plans.

You can also easily edit these files manually, and use the Add Pattern functions on the Patterns pop-up menu to import these into a Backup Plan.


Performing the backup from a command line

It's possible to launch WaveLab, have it execute a given Backup Plan and (optionally) quit afterwards, by entering a command line. The syntax for this is:

"program path" "backup plan path" -a [-q]

For example:

"WaveLab.exe" "c:\my backup plan.bkp" -a [-q]

Note:

The optional -q switch tells the program to quit after successfully executing the backup.

WaveLab in itself does not have a feature for scheduling automatic backups (since the backup function is primarily aimed at backing up to CD, which requires user assistance). However, the possibility to run a backup from a command line allows you to use any scheduling application for this, should you so desire.


Opening an archive

Opening

Making file extraction settings

Previewing

Testing the archive

Extracting


Opening

To open a backup archive file, select "Open Archive" from the File menu. In the file dialog that appears, locate, select and open the desired zip file.

Note that WaveLab can open any zip file - not only files created by the program's own backup function!

The archive opens in a new Archive window.

As usual, you can reorder the columns, sort the items by different columns and hide or show columns.


Making file extraction settings

1. Select "Settings" from the Functions pop-up menu (or click the corresponding icon to the right).

The File Extraction Settings dialog appears.

2. Use the radio buttons in the "Extract what" section to determine whether only the selected files, all files or some specific files should be extracted.

The "Specific files" option allows you to e.g. extract files of a certain type only (by typing "*.xxx", where "xxx" is the file name extension of the file type).

3. Specify the destination of the extracted files to the right in the dialog.

Normally, this is done by specifying a specific folder. If the "Restore original folder tree" checkbox is activated, the stored path of each file will be kept (i.e. underlying folders will be added if needed). If the checkbox isn't activated, the files will be extracted directly into the specified folder.

If the archive contains files from several different partitions or drives, you can select the "Original or remapped partitions" option.

This allows you to extract the files back to their original partitions/drives (default), or re-direct all files from a certain partition to another (by typing a new path in the column to the right). This is useful if you e.g. have reconfigured your system with new partition schemes, removed or added drives, etc.

4. Set the options in the section to the left in the dialog.

See the help in the dialog for details.


Previewing

Selecting Preview from the Functions menu (or clicking the eye icon) activates the Preview mode. In this mode, some additional information is shown in the Archive window.

The Preview column shows the path of the files (the locations in which they will be extracted, taking the file extraction settings into account).

The Destination column shows whether there are files of the same name in the destination folders, and whether these are older, newer or has the same date as the archived files. "Not existing" means that there is no file of the same name in the destination folder.


Testing the archive

To check that the archive is OK, proceed as follows:

1. Select "Test archive's integrity" from the Functions pop-up menu (or click the yellow arrow icon).

The File Extraction Settings dialog appears, allowing you to check the settings.

2. In the dialog, click the "Test" button.

An alert appears, telling you whether the archive is OK or not.


Extracting

To extract archived files, proceed as follows:

1. If you want to extract some files only, select these.

Use [Ctrl]-clicking to select several files, or [Shift]-clicking to select a range of files.

2. Select "Extract" from the Functions pop-up menu (or click the green arrow icon).

The File Extraction Settings dialog appears, allowing you to check the settings. If you want to extract the selected files only, make sure this option is selected in the dialog.

3. In the dialog, click the "Extract" button.

The files are extracted. If you activated the "Open containing folder(s) at the end" option in the dialog, the destination folders will automatically be opened.

When you extract archived OSQ files with the "Convert OSQ files to WAV" option activated, the files are restored to WAV format, with their original audio data intact.


Saving the window layout

If "Open last window layout on startup", in the General section of the Preferences dialog box is activated, the program will open in exactly the same state as when you last quit (with the option activated). The snapshots, and even the document windows you had open (and their "layout") will automatically be reopened.

You can use this to create a startup "layout" that will always appear when you launch WaveLab:

1. Set up all windows as desired.

2. Make sure "Open last window layout on startup" is activated and quit the program.

3. Launch the program again, and deactivate "Open last window layout on startup".

The next time you launch the program, it will open with the windows set up as in step 1 above, regardless of whether you have changed the window layout since.

If you hold down [Ctrl] when quitting the program, the effect of the "Open last window layout on startup" setting is reversed. If it was activated, it will be deactivated and vice versa.

If you hold down [Ctrl] when launching the program, no window layout is loaded.


Styling WaveLab - Wave windows

Introduction

Changing the default style

Setting up style conditions

The elements of a style


Introduction

It's possible to "style" the Wave windows to your liking, by adjusting colors (of waveforms, background, cursor lines, etc.) and changing look of the ruler and other window details. This can be done in two ways:

By changing the default style.

This is the style that is normally used when you open or record an audio file in a Wave window.

By having the program assign different styles to different Waves, according to specific conditions.

You could for example have all files of a certain file type or with a certain name be shown with their own style.

On the following pages, we will first describe the general procedure for how to change the default style or set up style conditions, then describe the elements you can change.


Changing the default style

1. Set up a Wave window to look the way you want it.

Note that this also includes the ruler formats - see Units of time and level.

2. Select "Audio window styles..." from the View menu.

3. In the dialog that appears, make sure "Default style" is selected and click "Save".

4. Close the dialog.

Now, all Wave windows (which don't match any style condition you may have set up) will be shown in the style you specified.


Setting up style conditions

In the Audio Window Styles dialog, there are 15 additional style "slots" (apart from the default style), some of which already hold pre-defined styles to use or overwrite, as you see fit. For each of these styles, you can specify that it should be applied to all Wave windows with audio files that meet certain criteria, called conditions:

1. Open the Audio Window Styles dialog from the View menu.

2. Select one of the style slots.

This could hold a pre-defined style or one that you have saved yourself (see below).

To make sure you select the correct style, you can click the Apply button to temporarily apply the style to the active Wave window.

This is just a way to check what style settings are stored in the style slot.

3. Click the Condition button to open the "Style condition" dialog.

4. Activate the desired conditions by ticking their checkboxes, and fill in the settings as required.

The following settings are available:

Setting | Description
File extension | Here you can specify files of certain types, by entering their file extensions (e.g. mp3 or wav). Separate several extensions with a blank space or comma.
Name | Allows you to specify keywords in the file names. For example, by entering the keyword "bass" all files with "bass" in the name can be shown with a separate style. Separate keywords with a blank space or comma.
Sample Rate | If this is activated, only files with a sample rate in the range specified will be shown with this style.
Bit Resolution | If this is activated, only files with a bit resolution in the range specified will be shown with this style.
Number of channels | Lets you specify that only mono (1 channel) or stereo (2 channels) files should be shown with this style.

5. Click OK to close the "Style condition" dialog, and then close the Audio Window Styles dialog.

Now, if you open or record a new file that meets all conditions specified for a style slot, it will automatically be shown in that style.

Note that the conditions are set for the style slots - not for the actual style settings stored in the slot. This means you can set up your conditions first if you like, and then change the style settings for the slots (see below), without having to redefine the conditions.

Saving your own styles for use with conditions

To save your own settings in the style slots, you proceed just as when changing the default style: set up the Wave window as desired, select the style slot in the Audio Window Styles dialog and click Save. It's also possible to rename a style slot by clicking and typing.


The elements of a style

Again: When you change any of these style setting (apart from ruler formats), you need to save it in a style (either the default style or one of the conditional styles - see Changing the default style).

If you don't do so, the window will automatically be reset to the default style (or a conditional style) as soon as you perform any editing (because the style to apply is evaluated after each edit)!

Waveform elements

To change the waveform elements, right-click on a waveform (in the overview or in the main display), select Elements and then select the desired item from the submenu that appears.

Note that you make separate settings for the main waveform display, the overview and for the two channels in a stereo file! Which section you make settings for depends on where you click.

Item | Description
Time Ruler | Specifies whether or not the display should have a time ruler.
Level Ruler | This only applies to the Main View display. It is used to set whether or not there should be a ruler showing levels.
Solid/Dotted Markers | These two (mutually exclusive) items are used to set the style of the marker lines extending across the waveform. If neither is activated, the marker lines are hidden.
Range Indicator at top/bottom | The range indicator is a small "barber shop striped" bar that indicates which part of the waveform is shown in the main display. These two items are used to set whether it should appear at the top or bottom of the overview.
Thin/Medium/Fat Cursor | These three items are used to set the thickness of the cursor line.
Solid/Dotted zero level axis | These two (mutually exclusive) items are used to set the style of the line crossing the waveform at zero level (in the middle). If neither is activated, the zero level axis is hidden.
Solid/Dotted half level axis | As above, but for the two lines crossing the waveform at ±50% level.
End of file indicator | Allows you to show/hide the line that indicates the end of the file.

Colors

To set the color of a certain element in the display, right-click in the Wave window, select Colors and then select an element from the submenu that appears. In the standard Windows color dialog that appears, select or define a color and click OK.

For the display background colors, there are separate "top" and "bottom" settings - the resulting display background will be a gradient "fade" from the top color to the bottom color.

If you prefer a single background color (or if you need to speed up display redraws, typically with slower graphic cards), you can turn this feature off by activating "Do not use gradient backgrounds" in the Preferences (Display tab). The background color will then be a 50/50 mix of the top and bottom color.

Again, when changing colors for the waveform images, you make separate settings for the main waveform display, the overview and for the two channels in a stereo file, depending on where you click.

Ruler style

To change the look of the rulers (done separately for the Overview and Main View), right-click on the ruler, select style and then select one of the options from the submenu that appears:

Option | Description
3D/Mingled | These two (mutually exclusive) items allow you to select whether the ruler should have its own looks (3D) or whether it should "inherit" the color of the waveform background.
Font | Opens up a dialog box that allows you to set a font for the text/numbers on the ruler. Select a font, style, size, effect and color and click OK.
Tick Color | This allows you to set the color for the tick marks on the ruler. A standard Windows color dialog is used.


Styling WaveLab - Audio Montage windows

Using custom colors

Defining custom colors

Automatic coloring - Setting up conditions

The color elements


Using custom colors

You can create and assign different color schemes to different clips, tracks or groups to make it easier to find your way through the Montage:

To assign a color scheme to a track, open the Track menu and select a color scheme from the Color submenu.

The selected color scheme is used for all current clips on the track, as well as for clips you add later on. However, note that this color selection is overridden by the group and clip colors.

To assign a color scheme to a group, use the "Color selected group" options in the Grouping menu on the Groups tab (see Coloring groups).

The group colors (if other than default) supersedes the track colors, but is overridden by individual clip color scheme selections.

To assign a color scheme to an individual clip, right click on the clip to bring up the clip context menu, and select a color scheme from the Color submenu.

Clip color selections (if other than default) override track and group color selections.

The Lock and Mute colors override all color settings above.

If a clip is both Locked and Muted, the Mute color is used.

It's also possible to have different color schemes automatically applied to different clips, according to their names or properties of their audio files. This is described in the topic Automatic coloring - Setting up conditions.


Defining custom colors

You can redefine all colors on the Color pop-up menus, as well as the colors for various other elements in the Audio Montage. This is done in the Audio Montage Colors dialog, using the following procedure:

There are many items of different color displayed in a Montage. If you redefine colors, be careful not to choose colors which cause some elements to "disappear" (e.g. black marker lines on a black background).

1. Pull down the View menu and select "Audio Montage colors...".

The Audio Montage Colors dialog appears. For the menu item to be available, the active window must be a Montage window.

2. In the Items list, select the element for which you want to edit the colors.

By clicking the plus sign next to a heading, you display the subelements for that item. The available elements are described in the topic The color elements.

3. Use the three sliders (red, green and blue) to adjust the color of the selected element.

The current color is displayed in the field to the right. You can also see the changes in the Audio Montage window while you are editing.

If you are editing a clip color element, you can make separate color settings for the left and right sides of stereo clips.

If you want the same color for the left and right sides, you must make sure that the checkbox Edit Left/Right is activated (it is by default).

If you activate the Link sliders checkbox, you can adjust all three sliders at once, by moving one of them.

This is useful if you want to adjust the brightness of the color, without affecting the hue.

Some elements can be hidden totally by activating the Hide option.

When this is activated, it is not possible to make any color adjustments (since the element won't be visible in the Audio Montage anyway).

It is also possible to select colors from a standard Windows color dialog, opened by clicking the Select button.

4. If you make a mistake, you can undo your latest adjustment by clicking the Undo button.

To undo all changes you made since you opened the dialog, click Undo All.

5. If you want to apply the same color to several elements, you can use the Copy and Paste buttons.

Set up the color, click Copy, select the next element and click Paste to apply the same color settings.

You can also copy a whole color scheme (for example, copy all settings for one of the custom schemes to the default scheme) by dragging and dropping in the Items list.

6. If you are editing one of the color definitions (the items that appear on the track, group and clip color menus), you can rename the color by clicking on the name in the Item list and typing a new name.

In the Items list, the color definitions that can be renamed are displayed in blue.

7. When you're finished, click Close to close the window.


Automatic coloring - Setting up conditions

When you have defined a custom color scheme, you have the option of automatically applying this to any files you add to the Montage that match certain conditions.

Select a custom color scheme in the Audio Montage Colors dialog and click the Conditions button to bring up the "Style condition" dialog. Here you can set up which conditions must be matched for a clip to automatically get the selected custom color scheme. The procedures and options are the same as when setting up style conditions for Wave windows (see Setting up style conditions), with one exception: here, the "Name" condition refers to the clip name, not the name of the actual audio file.

When you close the dialog, the selected color scheme will be applied to all clips that match the set conditions.


The color elements

Clip colors

Under the heading Clip Colors you can select colors for various elements in the following clip types:

Option | Description
Crossfade Region | Allows you to set the background color for overlapping clip sections.
Default | The default colors, used for clips for which you haven't selected any specific color.
Locked | The colors used for all locked clips.
Muted | The colors used for all muted clips.
Custom | These options correspond to the items on the Color submenus (on the Track menu, clip context menu and Groups view : Grouping menu). These can be renamed, and you can also set up conditions for when these should be automatically applied.

For each item, you can select colors for a number of different clip elements. You can make separate adjustments for the left and right sides of a stereo clip, though by default, editing a color for the left side will automatically change the same setting for the right side and vice versa (see Defining custom colors). For mono clips, the "Left (mono)" settings is used.

The following color elements are available:

Option | Description
Background top/bottom (normal/selected/selected range) | The background colors of the clip (unselected, selected and selection range, respectively). The resulting display backgrounds will be gradient "fades" from the top colors to the bottom colors (this can be turned off in the Preferences-Display tab, see Colors
Waveform (normal/selected/sel.range) | The waveform color for unselected/selected clips or selection ranges, respectively.
Waveform outline (normal/selected/sel.range) | The color of the waveform outline (unselected/selected clips and selection range, respectively).
Edge | The left and right edge of the clip.
Edge (selected) | The left and right edge, if the clip is selected.
Edge (sel. range) | The left and right edge, if within a selection range.
Axis (level zero) | The color of the horizontal dotted line in the middle of a clip, indicating zero level.
Axis (half level) | The color of the horizontal dotted lines halfway up and down from the middle of a clip, indicating 50% level.
Channel separator (stereo clip) | The line dividing the two sides in a stereo clip.
Clip name | The name label of the clip.
Focused Clip name | The name label of the focused clip (see About selected and focused clips).
Focused Clip name background | The name label background of the focused clip.

For the Crossfade Region item, you can only select colors for Background and Background (sel. range).

Miscellaneous colors

This section of the Items list in the dialog contains color settings for other elements in the Track View:

Option | Description
Background top/bottom | The background colors of the Track View.
Background (selected range) top/bottom | The background colors in selected ranges.
Cursor | The color of the Montage cursor. Note that because of the blinking Cursor, the selected colors will appear in inverse video in the Montage.
Marker | The color of the marker lines in the Montage.
Cue-Point | The color of the vertical dotted cue point lines.
Marker (source) | The color of marker lines from the source Wave windows (shown in clips if the option "Show source's ruler and markers" is activated on the clip context menu).
Time Ruler (source) | The color of the source ruler (shown in clips if the option "Show source's ruler and markers" is activated on the clip context menu).
Time Grid | The color of the time grid (see The time grid).


Working with window layouts

Window layouts are used for creating various "work displays" for different situations. The following items are stored in window layouts:

The size, position and minimize/maximize properties of document windows. This does not include the contents of the window, just the properties of the window "frame" itself. For example, if some Database window was included in the window layout, the Database you currently have open when you load the preset will be sized and moved accordingly.

Positions of non-modal dialog boxes, such as the off-line processors. This includes opening any such windows.

Positions of plug-in processor panels.

Windows that are already open will never be closed as a result of recalling a window layout.

Window layouts are managed in the Window Layouts dialog on the View menu. The procedures are the same as when handling regular presets (for detailed descriptions, see Presets):

To create a new window layout, set up the display as you want it (see the list above) and use the Window Layout dialog to name and Add the new Layout.

To modify an existing window layout, set up the display as you want it, select the window layout in the dialog and click the Update button.

To load an existing window layout, select it in the dialog and click Load.

Using key sequences

You can use key sequences for recalling window layouts, just as with many other items (see Customizable key commands). This can be used for quick and easy window control. For example, open a single document window, maximize it, save a window layout and assign it to a key sequence. Later, this key sequence can then be used to maximize the active window only.


Setting default size and position for windows

As mentioned above, while window layouts can be used for storing the size and position of windows, it also stores settings for various dialog boxes. If you only wish to determine a default size and position for different types of windows (Waves, Audio Montages, CD Projects etc.), you can instead use the option "Remember active window's layout as opening setting" on the View menu. This is a quick and effective way of organizing your working space the way you want it.

To set a default size and position for a certain type of window, proceed as follows:

1. Open or create the desired type of window.

2. Size and position it the way you like.

3. Pull down the View menu and select "Remember active window's layout as opening setting".

A dialog appears asking you to confirm the option.

4. Click "Yes" to continue.

All windows of that type will now open in this same size and position.

Note that loading a window layout as described will override this setting.


Creating a Favorites menu

The Favorites item on the File menu allows you to assemble a list of files that you want to be able to open quickly - a library if you will.

To add a file to the list, make sure it's window is active and select "Add current document" from the Favorites-Functions submenu.

To open a file from the list, simply select it.

To clear the whole list, select Clear List from the Favorites-Functions submenu.

To update the list so that it only lists files that actually still exist in the specified locations on your hard disk(s), select Validate List from the Favorites-Functions submenu.

Files that can't be found are removed.


Customizable key commands

Introduction

About the list of operations

Defining key sequences

Setting enable options

Excluding windows

Using key sequences

About some special key commands


Introduction

In addition to the fixed key commands for selecting from menus etc. (described in the help topic "Key commands"), there are a number of operations for which you can set up your own key sequences - a sequence of between one and three keys that must be pressed in a certain order to invoke the operation. Key sequences are listed and managed in the Key Commands dialog, opened from the Options menu.


About the list of operations

The main part of this dialog is occupied by the list of available operations that can be called up via key sequences. You can choose to view this list in one of two ways, with the "Sort" buttons in the upper right corner of the dialog:

"Sort by Command" organizes the operations in folders, in groupings that relate to various sections in the program.

"Sort by Key" lists all commands in a "flat" fashion (no folders), and sorts the list alphabetically via the defined key commands, which allows you to easily find a command assigned to a certain key.

Regardless of which mode you select, the actually available operations is the same, it's just the view that changes.

The "dynamic" items in the list

Please note that the number of items in the list varies with other settings in the program. For example, if you have assigned key shortcuts to plug-ins, in the Plug-in manager, they will appear in this list too. Otherwise they will not.

The columns

The Description column lists the operations available.

The next column allows you to choose between three modes that determine when a key sequence is available and when it is not, see Setting enable options.

The last column shows the Key sequence defined for the operation.


Defining key sequences

1. Select the operation for which you want to create a key sequence.

2. Click the "Key Sequence..." button.

3. If you want to clear the current key sequence, click Clear.

4. Make sure "Catch mode" is active.

5. Press the first combination of keys that you want to use.

You can include modifiers ([Shift], [Ctrl], [Alt], etc.) if you like. There is also a setting that makes the program distinguish between two modifiers with the same label, on each side of the space bar.

6. Proceed with the following key(s).

7. Disable "Catch mode".

This is just an optional safety measure so that you don't accidentally erase or add to your current key sequence, when pressing more keys.

8. Close the dialog.

It is possible to define the same key sequence for two operations. If you do, one of them will be invoked. To see which, select "Sort by key" and locate the items in the list. The top one is the one that will be used.


Setting enable options

Once the key sequence has been defined, you may want to set the Enable Options for the operation. This is done by selecting from the pop-up in the middle column:

Option | Description
Enabled all the time | This key sequence is always active.
Enabled if active window... | This key sequence can be used for all windows, except the ones added to the "Exclude Windows" lists, described below.
Enabled if involved window... | This key sequence is only available if the window it is applied to has the focus (is active or displayed on top of all other windows).


Excluding windows

This is mainly for plug-in windows. Since some plug-ins, especially from third-party manufacturers, have their own set of key commands, you may want to disable WaveLab key commands for these windows.

Let's say you assign a key command to "apply" in the Master Section, and a certain plug-in already uses the same key combination for an internal operation. Then, pressing this key command might lead to the wrong operation being invoked when this plug-in has the focus.

"Exclude windows" allows you to prevent this situation:

1. Click the "Exclude windows" button.

2. Type in the name of the window in the Window exclusion list.

You can include DOS "wildcard" characters. For example to exclude all products from the manufacturer Waves, you can type "Waves*".

3. Close the window.


Using key sequences

To use a key sequence, simply press the keys in the order they were entered in the dialog, and the corresponding operation is performed.

Key sequences can only be executed after you have closed the key sequence dialog.


About some special key commands

There are some key commands that might require an explanation:

Command

Description

Set focus on this key command group

This allows you to re-use key commands for certain groups.

For example, let's say you set up things so that [Ctrl]-[F10] is the key command for setting the focus to the Master Section. You then assign simple key commands to the Master Section items, for example [A] for "Apply" and [R] for "Remove all plug-ins", even though these keys may be used for other sections of the program.

You can then Press [Ctrl]-[F10] followed by any of the single commands to control most aspects of the Master Section.

Bypass all defined key commands/Enable all key commands

This can be used when an installed plug-in, from a third party manufacturer, has its own set of key commands. You can then temporarily disable all WaveLab key commands to be able to use the plug-in's own.

Bypass all defined key commands but those set to "Enabled all time"

Same as above but disables all key commands except those where you have set the Enable Option to "Enabled all time".

Plug-in Slot commands

To assign a certain processor to a certain slot, in the Master Section, you need two key sequences. Selecting a slot is done by a key sequence in the "Slot selection" section, and selecting a plug-in is done in the "Slot Commands" section.


Organizing plug-in processors

Introduction

About the plug-in list

Activating and deactivating plug-ins and groups

Working with groups

Excluding VST plug-ins


Introduction

You may find that you need to organize your processors into sensible groups. Why? Well, a host of plug-ins are included with the program, and additional ones can be added. If you have Cubase VST installed on the computer, even more appear in WaveLab. And sometimes when you install a package of DirectX plug-ins you get effects that have no relevance to WaveLab (or even to audio) but just clutter menus.

To organize how your plug-ins appear on menus in the program, open the Organize Master Section plug-ins dialog on the Options menu.

This organizes plug-ins accessed from the Master Section or Batch Processor, not the VST plug-ins in the Montage. Note however, that you can exclude some VST plug-ins completely, see Excluding VST plug-ins.


About the plug-in list

The Organize Master Section plug-ins dialog on the Options menu lists all plug-ins that can be used in the program. They are processors, or effects, that can be added to the Master Section slots (see The Effects pane) or utilized from the Batch Processor (see Setting up the processing tasks to be performed).

Groups

In the Master Section folder in the list, you will find subfolders, representing groups of plug-ins.

By organizing your plug-ins into folders, you arrange the way they appear on menus in the program. How you organize your effects is of course up to you, but initially, they are categorized according to their technical "type", regular WaveLab plug-ins in one folder, VST plug-ins in another, DirectX plug-ins in yet another, etc (see The Effects pane for more details on these types of plug-ins).

VST and DirectX plug-ins need to be in a group, whereas WaveLab plug-in can be outside all groups.

The columns

The Plug-in column displays the names of all the available plug-ins.

The FX column determines whether a plug-in is active or not, see below.

If the checkbox in the PM (Post Master) column is activated for a plug-in, it will be available for selection in the Dithering pane in the Master Section (after the master faders in the signal path). This allows you to use separately purchased dithering plug-ins and similar. See Adding other plug-ins to the Dithering pane for more information.

The Key column displays the key sequence defined for a plug-in.

The Module column tells you the name of the plug-in (dll) file.


Activating and deactivating plug-ins and groups

By clicking in the FX column, you can activate/deactivate individual plug-ins or an entire group of plug-ins (see below for more info on groups). If you have plug-ins installed on your computer that you don't want to use in WaveLab, this lets you disable them completely, thus reducing "menu clutter". The disabled plug-ins will still be applicable in other programs that can use them.

An example of this would be DirectX plug-ins. Many of these do not apply to audio at all and have no relevance to WaveLab whatsoever. By disabling these, you will make it easier to find the plug-ins that you really want to use in WaveLab.

VST plug-ins can also be excluded by using the "Plugins to ignore" list, see Excluding VST plug-ins.


Working with groups

The Master Section plug-ins can be organized into groups. This is done by adding subfolders to the Master Section folder and then dragging Plug-in icons into these folders.

When you then select from plug-in menus or display lists of plug-ins, the organization you have created will be reflected in the menu/list.

To create a group, click the New Group button, enter a name and press [Return].

The group will initially appear at the end of the list, but when you start using it, the list will be resorted so that the groups are displayed in alphabetical order.

To delete a group, select it and click Delete Group.

If the group contains any plug-ins, they will not be deleted. Instead, they will appear in the Master Section section, outside all other groups.

Moving plug-ins between groups is done by dragging and dropping, just as when dragging files in the Windows Explorer.

If you lose track of your changes and wish to return to the state that the list was in when you first opened the dialog, click Undo Changes.

If you want to restore everything to the default "factory settings", click "Set default".

This setting is stored in "WaveLab/Presets/Plugins/PlugInPrefAE.set" and "WaveLab/System/plugins.set". If you ever encounter problems with "lost" plug-ins, delete these files and the program will re-scan and build a new list of plug-ins the next time you launch it.


Excluding VST plug-ins

If you have VST plug-ins installed on your computer that you don't need in WaveLab, you can tell the program to ignore these on launch.

Note that deactivating a plug-in in the Plug-in Manager will only remove it from the plug-in menu in the Master Section, but "ignoring" a VST plug-in will remove it from the whole program, including the Montage.

Proceed as follows:

1. Quit the program.

2. Open the Presets folder within the WaveLab program folder.

3. Locate the file "Plugins to ignore.txt" (in the Plugins-subfolder) and open it in a text editor (e.g. Notepad).

4. Type the file names of the VST plug-ins you don't want to use in WaveLab.

Type each file name on a separate line.

5. Save and close the text file.

6. Delete the file "plugins.set" from the System folder.

This must be done each time you edit the "Plugins to ignore" file. As described in the previous topic, this will make the program re-scan and build a new list of plug-ins the next time you launch it, taking the "Plugins to ignore" file into account.

7. Launch WaveLab.

If you check the effect menus, you will find that the "ignored" plug-ins are removed.

If you change your mind and want to use the ignored plug-ins again, repeat the steps above but remove the plug-in names from the file.


WaveLab Native Plug-ins

About WaveLab plug-ins

Auto Panner

Chorus

Echo

EQ-1

Leveler

Noise Gate

Peak Master

Puncher

ReSampler

StereoExpander


About WaveLab plug-ins

These plug-ins use WaveLab's own plug-in format, and cannot be used with other applications. Note:

As a rule, WaveLab specific plug-ins can only be used in the Master Section (not as Clip Effects in the Audio Montage).

However, some WaveLab effects are also included as VST plug-ins, available as Clip Effects in Audio Montages. This is indicated for each effect below.

You can specify which plug-ins should be available in the Master Section by using the Organize Master Section Plug-ins function on the Options menu.

This also allows you to specify which plug-ins should be available in the Dithering Pane (post-master fader).

Presets for WaveLab plug-ins are handled like other Presets in WaveLab (processing functions, etc.).


Auto Panner

The Auto Panner (only available in the Master Section) pans the signals continuously between the left and right channel in the stereo image. It has the following parameters:

Parameter | Description
LFO Freq (0.1Hz~50Hz) | This parameter sets the speed of the panning. The higher the value, the faster the signal moves around in the stereo image.
Width (0~100%) | Use this parameter to specify the "width" of the pan movements. The value 100% causes the signal to move from the extreme left to the extreme right, while 0% disables the panning effect.
Waveform (Sine, Pulse) | Allows you to specify the way in which the signal moves from left to right. Select Sine if you prefer fluid movements, or Pulse to create abrupt panning "jumps".
Out Left, Out Right (-96dB~6dB) | These two parameters allow you to adjust the level of the left or right channel, useful e.g. for correcting the stereo image or adjusting the overall gain. The setting 0dB means no change of level, while -96dB means turning the channel off completely.


Chorus

The Chorus plug-in (only available in the Master Section) is a classic stereo chorus based on a sweeping delay, with the following parameters:

Parameter | Description
Delay (0.1~60ms) | Use this parameter to specify the basic time delay for the chorused signal with respect to the "dry" signal. The higher the value, the more prominent the effect. Low settings (up to 7ms) create flanger-like effects. Setting up to 25ms are for classic chorus while settings above this value are mainly for special effects.
Width (0~100%) | Use this parameter to specify how much the delay time is allowed to vary with the modulation. It is this variation in delay time that causes the sweeping effect. Note that the value 0% should probably be avoided since it might create the impression that you are experiencing phase problems.
Frequency (0.009999~25Hz) | The Frequency parameter sets the speed of the sweep (the modulation). The higher the value, the faster the modulation. You will probably not use values above 7Hz except for special effects.
Feedback (0~100%) | This parameter specifies how much of the output from the effect is fed back to the input (the feedback signal is also phase inverted). The higher the value, the more prominent the effect. At short delay times, this creates a flanger-like effect. At larger settings it creates more of a slapback repetition type of sound.
Fb Balance (0~100%) | Use this parameter to set the volume of the Feedback signal (see above) in the mix. If this is set to 100%, and combined with a Feedback setting between 65% and 100%, the effect goes into self-oscillation.
Glimmer 1, Glimmer 2 (0~100%) | The two Glimmer parameters allow you to specify to what extent the Chorus signal should move around in the stereo image. They work in more or less the same way as the Auto Panner but only apply to the Chorus signals. Glimmer 1 processes the right channel signal, while Glimmer 2 processes a combination of the left and right channels (the actual left channel always remains at 0).
Stereo Spread (0~100%) | This parameter specifies the width the Chorus effect will occupy in the stereo sound image. The value 0% creates a mono impression, and since left and right channel signals are then mixed together, the Chorus becomes louder.
Mix (0~100%) | Use this parameter to specify the balance in level between the dry and delayed signal. The value 0% means that only the dry signal will be heard, while 100% actually means a 50/50 mix between dry and effect signal.
Output Lev (-48dB~0dB) | This is effectively an attenuator that allows you to reduce the output level of the Chorus effect, thereby avoiding clipping and hence distortion. If the Clip indicator lights up continuously, lower this value.


Echo

The Echo plug-in (only available in the Master Section) is a stereo echo effect with two separate delay lines. It has the following parameters:

Parameter | Description
Delay 1 (0.5~1000ms) | This sets the delay time of Delay 1, with respect to the incoming signal. Please note that minimum value (0.5ms) creates an out-of-phase impression.
Feedback 1 (0~100%) | This sets the amount of delayed signal fed back into the Delay 1 block, to create repetitions. The value 100% means that the echo signal is repeated indefinitely, while 0% means there is only one repetition.
Link 1-2 (Off, Linked) | Select Off if you wish to use Delay 1 and Delay 2 as two independent blocks. Select Linked if the output of Delay 1 is to be connected to the Input of Delay 2.
Delay 2, Feedback 2 | See Delay 1 (0.5~1000ms) and Feedback 1 (0~100%) above. These parameters are identical to these but apply to the second Delay block.
Del. Balance (0~100%) | This sets the stereo width of Delay 1 and Delay 2. When set to 100%, Delay 1 is assigned to the left channel, while Delay 2 is assigned to the right channel. The value 0% means that both Delay blocks are spread across the stereo field.
Vol Left, Vol Right (-96dB~0dB) | Use these parameters to correct volume imbalances brought about by the Delay effects. These parameters only apply to the Echo effect, the dry signal is not affected by these settings.


EQ-1

EQ-1 is available both as a VST and a WaveLab plug-in. It can be used as a Clip effect in the Audio Montage, or as a global effect in the Master Section.

This is a three-band equalizer with high and low shelving filters and a full parametric mid-frequency band. You can turn off each band separately by clicking the corresponding button, making it easy to compare the signal with and without eq. The following parameters are available:

Parameter | Description
High Gain | Determines the boost or cut (in dB) of the high shelving filter.
High Frequency | Sets the frequency of the high shelving filter. Frequencies above this value will gradually be increased or reduced in level, according to the High Gain setting.
Mid Gain | Determines the boost or cut (in dB) of the Mid band eq.
Mid Frequency | Sets the center frequency of the Mid band eq. Frequencies around this value will be affected by the Mid Gain.
Mid Q | Use this parameter to set the width of the Mid band, e.g. how wide a frequency range around the Mid Frequency should be affected by the Mid band eq. The higher this value, the "narrower" the Mid band.
Low Gain | Determines the boost or cut (in dB) of the low shelving filter.
Low Frequency | Sets the frequency of the low shelving filter. Frequencies below this value will gradually be increased or reduced in level, according to the Low Gain setting.

WaveLab also includes the "Q" equalizer plug-in, which offers two full-parametric eq bands and additional features.

As always, which equalizer to choose depends on your needs in the given situation.


Leveler

This plug-in is available both as a VST and a WaveLab plug-in. It can be used as a Clip effect in the Audio Montage, or as a global effect in the Master Section.

This "effect" simply reduces or boosts the signal level. This is useful for matching levels between effects. You may want to patch in the Leveler after an equalizer plug-in, for example. The parameters consist of Volume settings for the left and right channels, and a Stereo Link setting (when activated, the Volume Left parameters control the level of both channels). Finally, a Mix to mono setting allows you to mix an incoming stereo signal to mono (much like the Mono button in the Master Section).


Noise Gate

This plug-in is available both as a VST and a WaveLab plug-in. It can be used as a Clip effect in the Audio Montage, or as a global effect in the Master Section

The Noise Gate plug-in mutes any signal that falls below a specified threshold level. This can be useful for removing unwanted residual noise from audio material without having to manually clean up or mute soundfiles. Other applications include gating reverb "tails" and tightening percussion tracks.

Parameter | Description
Threshold (-144~-12dB) | This setting determines at what level the Noise Gate is activated. Any signal or portion of a signal that falls below the chosen threshold will be muted.
Rel Time (1~5000ms) | Determines how long the gate stays open after a signal below the Threshold level has been detected.
Rel Sens (1~100) | This setting is used to prevent the gate from being triggered on/off inadvertently when the signal is close to the threshold level.
Attack Sens (1~100) | Determines the time it takes for the gate to open. A low setting provides a fast transient response but a high setting will soften or mute the early portion of the sound which is triggering the gate.


Peak Master

This plug-in is available both as a VST and a WaveLab plug-in. It can be used as a Clip effect in the Audio Montage, or as a global effect in the Master Section

This plug-in provides a safe and transparent way of boosting the perceived loudness of audio material. By limiting transients and simultaneously raising the general level by compression, the Peak Master will increase the subjective loudness of the signal without risk of distortion inducing peaks.

Parameter | Description
Input Gain (-12~+24dB) | This allows you to adjust the input level to Peak Master. Use this to (typically) raise the loudness of the signal. Use extreme boost settings with caution as they can induce distortion.
Out Ceiling (-18~0dB) | This setting determines the maximum level at the Peak Master outputs.
Softness (-5~5) | This parameter affects the way the Peak Master operates. A high setting will maximize the perceived loudness effect but can in some cases result in a slight harshness of the sound. Adjust this parameter to optimize the balance between sound quality and the desired effect.


Puncher

This plug-in is available both as a VST and a WaveLab plug-in. It can be used as a Clip effect in the Audio Montage, or as a global effect in the Master Section

The Puncher plug-in works by generating additional harmonics which are added to the audio material. The result is a more dynamic, and "punchier" sound, particularly when applied to drums and percussive material. Compared to the PeakMaster the Puncher plug-in could be described as operating in almost the opposite way. Puncher leaves quieter parts untouched but will add power to the louder portions without causing clipping. The plug-in is optimized for peak signal levels between 10 and 0dB, the closer to 0dB, the better.

Parameter | Description
Density (Soft, Medium, Hard) | The difference between these 3 settings lies in the number of added harmonics. The setting you use is dependent on the audio material and how much Punch effect you want to add.
Effect (0~100%) | This adjusts the balance between the processed and the dry signal.
Input Gain (-12~24dB) | This sets the input level. Boosting the signal may cause clipping, so use this with caution. With no boost, Puncher will never cause clipping.


ReSampler

The Resampler (only available in the Master Section) plays back the file at another sample rate. This is similar to the Convert Sample Rate function. However, since the ReSampler processor operates in real time, it lets you play back files at a certain sample rate, regardless of which rate they were recorded at. Please note that if your files already match the card's sample rate, you do not need to use this processor at all.

One situation where this processor is extremely useful is when you are mastering digitally to a certain sample rate.

Parameter | Description
Freq (Sample Frequency) (11~192 kHz) | This is used to set the desired sample rate.
Quality (Low, Medium, High) | The higher the quality, the more computer processing power is required. The option you select here depends largely on the processing capabilities of your computer and the other effects you are using.
Fine | The Fine control allows you to set any sample rate between the fixed settings of the Freq parameter. The current setting is indicated by the "kHz Output" display to the right.


StereoExpander

The StereoExpander plug-in (only available in the Master Section) narrows or enlarges the stereo width of an existing stereo signal. This is set by the single "Width" parameter.

A value of 0% produces two equal output channels (the original stereo image is lost). Values between 1 and 49% correspond to a narrower stereo image. A value of 50% corresponds to the original signal. Values between 51 and 100% enlarge the stereo image.


VST Plug-ins

About VST Plug-ins

Autopan

Choirus2

CleanComp

DeClicker

DeNoiser

Ducker

Externalizer

MultiBand Compressor

NaturalVerb

Q

Spectralizer

Stereo Echo

StereoExpander

Tools One

Voice Attenuator

VSTDynamics

General Information

AutoGate

AutoLevel

Compress

SoftClip

Limit


About VST Plug-ins

These plug-ins use Steinberg's widely adapted VST plug-in format. As a rule, VST plug-ins can be used by any VST-compatible application, although some plug-ins may still be limited to use with certain programs. Note:

VST Plug-ins can be used in the Master Section or as Clip Effects in the Audio Montage.

The only exception to this is the "Ducker" effect, which can only be used as a Clip Effect.

As with WaveLab plug-ins, you can specify which VST plug-ins should be available in the Master Section by using the Organize Master Section Plug-ins function on the Options menu.

This also allows you to specify which plug-ins should be available in the Dithering Pane (post-master fader).

It's also possible to exclude VST plug-ins completely from WaveLab, thereby removing them from the Clip Effects lists as well.

VST plug-ins have their own Preset handling.

When you click the Preset button for this type of effect, a pop-up menu appears, allowing you to save or load effect programs (Presets) or complete banks containing several programs.


Autopan

The AutoPan plug-in pans the signals continuously between the left and right channel in the stereo image. It has the following parameters:

Parameter | Description
LFO Freq (0.1Hz~10Hz) | This parameter sets the speed of the pan movements. The higher the value, the faster the processed signal moves around in the stereo image.
Width (0~100%) | Use this parameter to specify the "width" of the pan movements. Setting this to its maximum value causes the signal to move from the extreme left to the extreme right, while lowering it completely disables the panning effect.
Waveform (Sine, Triangle, Sawtooth, Pulse) | Determines the shape of the panning curve.
Out Levl | The stereo output level of the effect.


Choirus2

Choirus2 is a chorus effect, used for making the sound "warmer", etc. It has the following parameters:

Parameter | Description
Time | Use this parameter to specify the basic time delay for the chorused signal with respect to the "dry" signal. The higher the value, the more prominent the effect. Low settings create flanger-like effects, medium settings provides classic chorus while higher settings are mainly for special effects.
Width | Use this parameter to specify how much the delay time is allowed to vary with the modulation. It is this variation in delay time that causes the sweeping effect. Note that the value 0% should probably be avoided since it might create the impression that you are experiencing phase problems.
Lfo Freq | The Frequency parameter sets the speed of the sweep (the modulation). The higher the value, the faster the modulation. You will probably not use higher values (above 7Hz) except for special effects.
Feedback | This parameter specifies how much of the output from the effect is fed back to the input (the feedback signal is also phase inverted). The higher the value, the more prominent the effect. At short delay times, this creates a flanger-like effect. At larger settings it creates more of a slapback repetition type of sound.
Feed Bal | Use this parameter to set the volume of the Feedback signal (see above) in the mix. If this is set to 100%, and combined with a Feedback setting between 65% and 100%, the effect goes into self-oscillation.
Glimmer 1, Glimmer 2 | The two Glimmer parameters allow you to specify to what extent the Chorus signal should move around in the stereo image. They work in more or less the same way as the Auto Panner but only apply to the Chorus signals. Glimmer 1 processes the right channel signal, while Glimmer 2 processes a combination of the left and right channels (the actual left channel always remains at 0).
Out Levl | The stereo output level of the effect.


CleanComp

CleanComp is a simple compressor that allows you to limit loud sounds, while at the same time boosting the overall loudness of the audio material.

Parameter | Description
Ceiling (0dB~-24) | This setting determines the maximum level at the CleanComp outputs.
Softness (-5~5) | This parameter affects the way CleanComp operates. A high setting will maximize the perceived loudness effect but can in some cases result in a slight harshness of the sound. Adjust this parameter to optimize the balance between sound quality and the desired effect.
Out Gain (0~+24dB) | This allows you to adjust the output level from CleanComp. Use this to (typically) raise the loudness of the signal. Use extreme boost settings with caution as they can induce distortion.


DeClicker

The DeClicker plug-in is specifically designed to eliminate single "clicks" or "pops" in a recording. One typical application is to clean up recordings made from vinyl records, but you may also find it useful for removing pops from microphone switches, oxidized connector noises, clicks from sync problems when transferring material digitally, etc.

Note that the DeClicker module is not optimized for crackles (a series of short clicks).

However, as it is often hard to distinguish between clicks and crackles, you might also be able to use it to improve your recording in this respect.

If the recording also contains background noise (hiss), you may want to combine DeClicker with the DeNoiser plug-in.

How DeClicker works

The Declicker process is divided in two tasks:

Analysis - when the audio signal passes through DeClicker, the selected analysis algorithm finds the clicks in the recording. You provide input to the analysis parameters by selecting a Mode and the Threshold and DePlop parameters.

Removal - a de-click algorithm is applied to the audio, removing the clicks.

In many cases, the original audio material "hidden" underneath a click can not be restored. This means there will be a gap once the click has been removed. DeClicker has the ability to automatically "redraw" the hence missing parts of the waveform. This feature can also be used to remove tape dropouts with a length of up to 60 samples (just above one millisecond at 44.1kHz).

The whole Declicking process can be visually monitored in the Input and Output displays of the DeClicker window (showing the incoming audio and the processed - DeClicked - audio, respectively). This helps you to adjust the parameters. Furthermore, if you activate the Audition button, only the removed material will be heard (and shown in the Output display).

Make sure that no low-pass filter has been applied to your audio material before you edit it with DeClicker. This may affect the detection of clicks.

Parameters

Parameter | Description
Audition button | When this is activated, only the removed material will be heard. The Output display will also show the waveform image of the removed material in this mode.
Classic | When this is activated, the DeClicker attempts to remove both audible clicks and crackle noise. When it's deactivated, only single clicks will be removed while crackles (rapidly repeated clicks) are ignored. Which mode to choose depends on the source material. Note also that Classic mode requires less CPU power.
Threshold | This setting determines the amplitude (level) required for a click to be detected. In many cases, DeClicker's sensitive algorithms identify a lot more clicks than you can actually hear. To avoid wasting processing power to remove inaudible clicks, raise this parameter to a high value, and then lower it until all the artefacts that you actually want removed are detected. The lower the setting, the more clicks will be detected but also the higher the risk of audible artefacts. If in doubt, activate Audition mode and check that the removed material doesn't contain any actual musical or rhythmical information, etc.
DePlop | This setting controls a special highpass filter which works on signals below 150 Hz. It cuts away the "plop noise" which sometimes appears after eliminating a click. The slider adjusts the filter frequency (off - 150 Hz). Note: this function is best applied to older recordings, which often use a narrow frequency range. Be careful when applying this function to modern recordings, as you may risk removing parts of the useful signal!
Quality | This determines the quality of the click removal and audio restoration, with "4" being the best quality setting. Please note that selecting higher quality settings also means that more processing power is consumed. Also, note that in some situations it might be more productive to use a lower Quality value. One example of this is when two clicks follow each other in quick succession or when you tackle a click in a low level part that is followed by a loud part.
Mode | Which Mode to select depends on the source material. Standard mode is suitable for a wide variety of source material - try this option first. Vintage mode is suitable for restoring "antique" recordings (with limited high frequency content), while Modern mode is best suited for contemporary recordings with a wide frequency range (putting greater emphasis on distinguishing clicks from other strong impulses in the audio material).
Bypass | This will bypass the effect, allowing you to compare the DeClicked and unprocessed material.

Tips and Tricks

By combining Vintage Mode and extreme Threshold and DePlop settings, you can create an interesting effect which "softens" material with particularly sharp attacks, e.g. percussion or brass.

If you have material with digital distortion (clipping), try applying DeClicker. While it can't do miracles, it can at least make some improvement to the overall "hardness" introduced by the distortion.


DeNoiser

The DeNoiser plug-in lets you suppress noise without affecting the general sound quality. Or, in tech talk, the DeNoiser removes broad band noise from arbitrary audio material without leaving any "spectral finger print". The algorithm that this plug-in is based on has the ability to track and adjust itself to variations in background noise. This means the noise can be diminished without side effects, preserving the spatial impression, and without letting the result become "colorless". Many years of research were invested in developing the methods used.

Typical applications for the DeNoiser include cleaning or remastering recordings from old tape or vinyl, or noisy live recordings.

How DeNoiser works

DeNoiser is based on spectral subtraction. Each section of the frequency spectrum, that has an amplitude below the estimated noise floor, is reduced in intensity by use of a spectral expander. The result is a noise reduction that does not affect the phase of the signal.

The figure below shows the signal flow:

The solid line represents the actual audio signal, while the dotted lines represent control signals

The signal is continuously analyzed by the first module in the chain, to estimate the noise floor at any given time. This is sufficient when the noise level is constant or modulates slowly. When the noise level varies rapidly, the Ambience- and Transient-analysis help adjust the response of the noise reduction unit, allowing transient-rich material to maintain its liveliness and natural ambience.

When you process audio in DeNoiser, the plug-in will need a short time (less than a second) to analyze the material and set its internal parameters.

Since you would not want to include this short "startup sequence" in the final result, you should make it a habit to first play back a short section of the audio, thereby letting DeNoiser "learn" the noisefloor, and then stop and start over again from the beginning. The plug-in then remembers the settings internally.

The Noisefloor Display

The display to the left in the DeNoiser window is crucial when making settings. It contains the following three elements:

The dark green spectral graph.

This shows the spectrum of the audio currently being played back. The horizontal axis shows the frequency (linear scale). The low frequencies are visible on the left side, the high ones on the right side. The vertical axis shows the signal amplitudes, thus the level (displayed as a logarithmic dB scale).

The yellow line.

This is a spectral estimation of the noise floor. The average of this value is shown numerically below the display.

The light green line.

This is simply a graphic representation of the Offset parameter.

The light green Offset line should be adjusted so that it appears as close above the yellow noise floor graph as possible. The dark green spectrum plot is there to help you fine-tune the Offset setting, so that only the noise is removed, not parts of the signal (ideally, the light green line should be between the yellow line and the spectrum plot).

Parameters

Parameter | Description
Freeze | If you activate this button, you "freeze" the noise floor detection process. The yellow noise floor graph in the display will hold its current value (as will the numeric noise floor value display below) until you deactivate Freeze. This allows you to take a closer look at the readings.
Reduction | Governs the amount of noise reduction. The display below this fader shows the amount of dB by which the noise level is being reduced. The final result also depends on the Ambience parameter, and on the automatic Ambience and Transient analysis of the original material.
Ambience | This parameter is used to specify a balance between the noise suppression and the amount of natural ambience, which is essential for a natural result. With a low Ambience setting, the sound can become somewhat lifeless and sterile. A high setting, on the other hand, preserves more of the ambient character of the sound, but the noise suppression is less effective.
Offset | This parameter serves as a threshold, governing the overall level at which the noise reduction is performed. For optimal noise reduction with a minimum of sound coloration, this parameter should be set to a value slightly above the noise floor level. To help you do this, the offset value is shown as a light green line in the noisefloor display, while the noise floor is shown as a yellow line.
A/B/Store | These are described below this table.
Classic | When this is activated, a less CPU-intensive version of the DeNoiser algorithm is used. Use Classic mode if you are short on processing power. However, for optimum noise suppression, we recommend that you deactivate Classic mode.
Bypass | When this is activated, the signal passes through the plug-in but you don't hear the results of the processing. Use this to compare the sound with and without processing. Note: the analysis is always performed, regardless of the Bypass switch. This allows you to monitor the noise floor, spectrum and level in the spectrum display.

Using the A/B setups

With the A/B buttons you can make instantaneous switches between two different DeNoiser setups, allowing you to quickly try out and compare different configurations. You can also use this feature for separate settings for two different sections of an audio recording. Proceed as follows:

1. Make the settings you want for setup A.

2. Click on [Store] and then on the [A] button.

3. Make the settings you want for setup B.

4. Click on [Store] and then on the [B] button.

Now the two setups are stored, and you can switch between them simply by clicking [A] or [B].


Ducker

This is a special VST plug-in that can only be used as a Montage Clip effect.

It uses the "Route to Upper Track" feature which can be found on the Track menu. The Ducker is a plug-in that can control (modulate) the volume of Clips placed on a Track with the signal of one or more Clips placed on the next adjacent Track below it. Let's say you have a Clip containing music, and you want to add a voice-over to that Clip. First place the music Clip on Track 1 and assign the ducker plug-in to this Clip. Then place the voice-over Clip(s) on Track 2. On the Track menu (for Track 2), select the "Route to Master Section and Upper Track" item. Now the signal of Track 2 will be sent to the Master Section as usual, but also to the Ducker plug-in on Track 1. The Clip volume on Track 1 will now be automatically lowered by the Ducker whenever there is a signal (in this example the voice-overs) on Track 2, and raised again when the signal stops. Note that it is possible to use mono or stereo Tracks for both the modulating and the Upper Track.

Parameter | Description
Threshold | This sets the loudness threshold that will trigger the Ducker. Clips on the Modulator Track with levels above the threshold will cause the level of a Clip on the Upper Track to be lowered.
Damping | This sets the amount of level reduction that is applied to the Clip on the Upper Track.
Fall Time | This sets the time it takes for the level to change from 0dB to the set damping level.
Hold Time | When the modulating signal falls below the set threshold, this setting determines how long the level will stay reduced before it starts rising to normal level again.
Rise Time | Controls how long it takes for the reduced level to rise to normal level when the modulating signal falls below the set threshold (after the Hold time).
Mix Mode | If this is activated, the Ducker will output a mix of the two Tracks. This is only useful if the "Route to Upper Track only" mode has been selected for the modulating Track. Then this feature could be used for processing several Clips through the same plug-in chain, if more plug-ins has been assigned after the Ducker on the Upper Track. Note that the mixed output is controlled by the Upper Track, if this is not playing a Clip both of the Tracks will be silent.


Externalizer

The Externalizer is a plug-in designed for headphone monitoring. It improves the sound and stereo localization by simulating the effect of two virtual speakers in an ideal listening position. A common problem when listening to music through headphones, is the phenomenon known as "in-head localization". This means that each sound source appears to be located inside your head, on an imaginary line between the ears. Naturally, this is no place where a sound source would ever be situated, and the result is therefore perceived as unnatural. However - headphone monitoring doesn't have to be this way! Anyone who has listened to binaural recordings, those made with a "dummy head" and two microphones, will confirm this, and will probably remember the transparent and natural sound impression for a very long time. Steinberg Externalizer provides this experience with any audio material, by recreating the effect of two virtual speakers in an ideal listening position. This will transform any recording into something that is a pleasure, rather than a pain, to listen to on headphones.

Since the Externalizer window only has one control, it is very simple to use:

Listen to a stereo recording in your headphones and use the fader to adjust the sound to your liking. When you raise the fader, you will gradually move the virtual speakers apart and away from your head, as indicated in the display.


MultiBand Compressor

This is a high quality multi band compressor, especially suited for professional mastering. It will split the signal in up to five frequency bands, and process each band with its own freely adjustable compressor characteristic.

The MultiBand Compressor window is divided in two main sections: the Frequency Band editor and the Characteristic display. You can specify the level, bandwidth and compressor characteristics for each band by using the various controls.

The Frequency Band editor

The Frequency Band editor is where you set the width of the frequency bands as well as their level before compression. The horizontal value scale below the Frequency band display indicates frequency with the maximum value corresponding to half the current sample rate. The vertical value scale indicates level setting (in dB) of each frequency band.

You can drag the diamond-shaped handles at the bottom to adjust the frequency range occupied by each band.

To add a new band (up to the maximum of five bands), drag the leftmost or rightmost frequency handle towards the middle of the display. Similarly, to remove the lowest or highest frequency band, drag its upper or lower frequency handle, respectively, to the very edge of the display.

If you hold down the [Shift] key and click on a frequency handle, all bands will be set to the same bandwidth (in octaves). The exact bandwidth depends on the number of bands currently used.

By dragging the diamond-shaped handles on top of each frequency band you can cut or boost the input gain by +/- 12dB before compression.

To reset a Level handle to 0 dB, hold down the [Shift] key on your computer keyboard and click on the handle.

For both types of handles, you can hold down [Ctrl] and drag to change the values in smaller steps.

The Characteristic display

By adding breakpoints and drawing curves you set the compressor characteristic. Before you start using the Characteristic display, you have to select the frequency band you want to process. This is done in the Frequency Band editor by clicking in the area inside the frequency band.

A selected band is highlighted for editing both in the Frequency Band editor and the Characteristic display. If you select another frequency band, the previously edited band characteristic is still shown in the Characteristic display, but it is no longer highlighted or editable until you select it again.

To edit the compression curve for the selected frequency band, you add and adjust breakpoints in the Characteristic display.

Clicking anywhere on the line will add a breakpoint.

To remove a breakpoint, hold down [Shift] and click on it.

The first breakpoint from which the line deviates from the straight diagonal will be the threshold point.

Creating a curve in the area below the diagonal input/output line will cause compression. Compression decreases the output level in relation to the input level.

Creating a curve in the area above the diagonal input/output line will cause expansion. Expansion increases the output level in relation to the input level.

Additional parameters

Parameter | Description
Solo switch | This switch is located above the Frequency bands editor window. You can use it to separately monitor each of the frequency bands. This function is useful both when editing bandwidth settings and compressor characteristics. To select another band while solo is active, click somewhere in the (dark) area of the frequency band that you wish to monitor.
Compressor Type | Classic mode works like a standard compressor with fixed attack and release parameters. Complex mode features a new compression approach with a program adaptive circuit. The program adaptive compression automatically optimizes parameters according to the audio material.
Soft Clip | The Soft Clip function is positioned at the very last stage of the internal signal path, right after the Output dial. When active, it will ensure that the total output to WaveLab never exceeds 0 dB. It works by clipping the signal gently, generating harmonics which add a warm, tube-like characteristic to the signal.
Output | The Output dial controls the total output level that the MultiCompressor passes on to WaveLab. The range available is +/- 12 dB. If the SoftClip function (see above) is active, the Output dial instead controls the amount of soft clipping.


NaturalVerb

NaturalVerb is a high quality reverb that adds ambience, or room-quality, to the sound. In addition to the standard size and decay parameters, NaturalVerb also features low- and high-pass filters, plus a gate for gated reverb effects.

To change the parameters, drag the sliders up and down. If you hold down [Shift] you can change the parameters with a higher degree of precision. If you hold down [Ctrl] and click in a slider area, the slider is reset to its default value.

If you click on the logo a diagram of the signal-chain is shown. The following parameters are available:

Parameter | Description
Pre-Delay | This governs the start time of the first "early reflection", i.e. how the sound is "bounced" off the walls in the simulated room environment. The value range is 0-100 milliseconds. The lower the value, the sooner the early reflection is heard.
HPF | This is a high-pass filter that only affects the reverb signal into the NaturalVerb, not the original audio signal. A high-pass filter lets high-frequency signals through while cutting of low-frequency signals. The slider allows you to set the frequency for the filter, and only sounds above the set frequency will be heard.
LPF | This is a low-pass filter that only affects the reverb signal into the NaturalVerb, not the original audio signal. A low-pass filter lets low-frequency signals through while cutting of high-frequency signals. The slider allows you to set the frequency for the filter, and only sounds below the set frequency will be heard.
Room Size | This regulates the size of the simulated room, and thereby the spaciousness of the reverb. The value range is 1-30, and the higher the value you specify, the bigger the room.
Decay | This lets you specify the length of the reverberation. The value range goes from 26 milliseconds to 11.63 seconds.
Damping | Damping can be used for attenuating the high frequencies of the reverb, thereby creating a softer, warmer sound. The higher the value, the more the high frequencies will be attenuated.
Stereo Mix | This parameter is used for balancing the reverb signal between the left and right channel inputs to the NaturalVerb. The value range is 0-100%. A setting of 0 means that the reverb signals for both channels are completely independent of each other (default), while a setting of 100 means that the reverb signals for both channels are equally mixed with each other (50/50). In between these, settings from 1-99% mean that each channel signal will contain that percentage of the other channel's signal.
Wet/Dry | This regulates the balance between the effect sound (wet) and the original, unprocessed audio signal (dry). If the slider is in the middle position (default), the output will be balanced equally. With higher values, the original signal will be more pronounced, and with lower values, the effect sound will be more dominant.
Gate button | Clicking this button turns the Gate section on and off. Gating cuts off signals below a certain set threshold level. That is, the Gate only opens to let signals above the set threshold through. Note that the three sliders directly above this button (Sensitivity, Threshold and Fade-Out) control the Gate effect, and therefore have no functionality when this button is in the Off-position. Also note that the Gate only affects the reverb, not the original audio signal.
Sensitivity | This parameter determines how fast the Gate will open to let a signal that triggers it through. The value range is 1-100 milliseconds. In order for this to have any effect, the Gate button must be in the On-position.
Threshold | This is used for setting the reference signal level (in dB) for the Gate. Signal levels above the set threshold opens the Gate and passes through, but signal levels below the set threshold closes the Gate and are cut off. In order for this to have any effect, the Gate button must be in the On-position.
Fade-Out | This parameter determines how long it should take for the Gate to close again after being triggered to let a signal through. The value range is 0-200 milliseconds. With higher values, more signal "residue" will be allowed to pass through the Gate before it closes, thereby producing a smoother cut-off. In order for this to have any effect, the Gate button must be in the On-position.


Q

Q is a high quality 4-band parametric stereo equalizer with two full-parametric midrange bands. The low and high bands can act as either standard shelving filters or fixed-gain high/low-cut filters.

Making settings

1. Click the corresponding On button below the EQ curve display to activate any or all of the Low, Mid 1, Mid 2 or High equalizer bands.

When a band is activated, a corresponding eq point appears in the EQ curve display.

2. Set the parameters for an activated EQ band.

This can be done in several ways:

By using the knobs.

By clicking a value field and entering values numerically.

By using the mouse to drag points in the EQ curve display window.

By using this method, you control both the Gain and Frequency parameters simultaneously. The knobs turn accordingly when you drag points. In addition, if the Mid 1 and Mid 2 bands (M1 and M2) are activated there will be two points on each side of the Gain/Frequency point that control the width (Q) parameter.

If you press [Shift] while dragging, values can be set in finer increments.

Parameters

Parameter

Description

Low Freq (20-2000Hz)

This sets the frequency of the Low band.

Low Gain (+/-20dB)

This sets the amount of cut/boost for the Low band.

Low Cut

If this button is activated for the Low band, it will act as a Low Cut filter. The Gain parameter will be fixed.

Mid 1 Freq (20-20000Hz)

This sets the center frequency of the Mid 1 band.

Mid 1 Gain (+/- 20dB)

This sets the amount of cut/boost for the Mid 1 band.

Mid 1 Width (0.05-5.00 Octaves)

This sets the width of the Mid 1 band, in octaves. The lower this value, the "narrower" the bandwidth.

Mid 2 Freq (20-20000Hz)

This sets the center frequency of the Mid 2 band.

Mid 2 Gain (+/- 20dB)

This sets the amount of cut/boost for the Mid 2 band.

Mid 2 Width (0.05-5.00 Octaves)

This sets the width of the Mid 2 band, in octaves. The lower this value, the "narrower" the bandwidth.

High Freq (200-20000Hz)

This sets the frequency of the High band.

High Gain (+/-20dB)

This sets the amount of cut/boost for the High band.

High Cut

If this button is activated for the High band, it will act as a High Cut filter. The Gain parameter will be fixed.

Output (+/- 20dB)

This parameter allows you to adjust the overall output level.

Left/Stereo/Right/Mono Modes

For stereo signals you can set independent curves for the left and right channels by clicking the corresponding button. If the Stereo mode is activated, the curve will be applied to both channels.

When channel independent curves have been set, the left/right channel curves will be colored green and red, respectively. The currently non-selected channel is shown with a dotted curve. If you activate Stereo mode after independent curves have been set, the currently active curve will be applied to both channels.

Mono mode is automatically activated for mono signals and is otherwise unavailable.


Spectralizer

The Spectralizer is a type of audio "enhancer" or "exciter". It can be put to many uses:

To restore lost harmonics in a recording.

To improve the clarity and transparency of a recording.

To make a recording sound "warmer".

How Spectralizer works

Most audio equipment introduces a slight low-pass filtering to the audio signal. This means you lose "high end" or "clarity". The lost high frequency components often have a level close to the noise floor. This means that simply using EQ to boost the high frequencies, does not create the desired effect - the noise is amplified as much as the signal.

Spectralizer can actually re-synthesize lost harmonics based on existing lower frequencies in the material. This can create an acoustically more pleasing result than EQ-ing.

Spectralizer basically works by generating 2nd and 3rd harmonics or overtones.

The second harmonic is a signal at twice the frequency (one octave) above the basic frequency (the fundamental).

The 3rd harmonic is three times the fundamental (one octave and a fifth above it).

The reasons for limiting the processor to these two frequencies are; firstly, higher harmonics are most often perceived as "too high" and secondly, their amplitude normally doesn't follow that of the fundamental in a natural way.

Please note the relation between the Frequency parameter and the harmonics generated.

If the Frequency parameter for example is set to 4000, the 2nd Harmonic generator will only create frequencies from 8000Hz upwards and the 3rd Harmonic generator will add frequencies starting at 12000Hz.

Another part of this process is giving the added harmonics appropriate amplitude curves. The amplitude of the harmonics is based on the amplitude of the existing material, but you can control it to some extent using the Density and Kick parameters, see "Parameters" below.

The amplitude of the added Harmonics is usually very low. The difference Spectralizer makes is sometimes only apparent on a psycho-acoustical level. To hear what is actually added to the signal, use the Solo button.

Parameters

The parameters are as follows:

Parameter

Description

Solo

When this is activated, the output will only contain the added Harmonics. The original unprocessed signal will not be heard on the output.

This mode is used as a diagnostic tool to monitor what the current settings actually add to the signal.

Kick

When this is activated, even more Harmonics will be added when a transient (attack) occurs in the signal.

Frequency

This adjusts the frequency of the high-pass filter that appears just after the input. Signals with a frequency lower than this setting will not be affected by the processing. In other words, there will be no harmonics added to the frequencies that are too low to pass through the filter.

Density

This controls the amplitude "envelope" of the added harmonics. The higher the value, the more prominent the effect.

Input

This adjusts the overall input to the processor. Use this to both maximize the signal level and to make sure that internal clipping does not occur. Use the Meter and "Int. Clip" indicator to check the levels.

Gain

This adjusts the level of the signal just before it reaches the Harmonic Generators.

As you increase this, you will most probably have to lower the Input setting to avoid clipping.

2nd

This sets the level of the 2nd Harmonics in the mix.

3rd

This sets the level of the 3rd Harmonics in the mix.

Mix

The Mix parameter adjusts the balance between the unprocessed signal and the added harmonics.

Int. clip

When this lights up, the signal has exceeded the maximum level that Spectralizer can handle. This will lead to unpleasant distortion and should definitely be avoided. If this happens, please lower the Input level and/or Gain.

Meter

This allows you to check your adjustments of the Input and Gain controls, so that the signal does not change drastically in level when passing through the Spectralizer.


Stereo Echo

The Stereo Echo is a delay with separate settings for the left and right channel. It can also be used as a single mono delay, in which case the maximum delay time will be doubled.

The Stereo Echo has the following parameters:

Parameter | Description
Delay 1 | The delay time for the left channel. The maximum delay time is 1486 ms, unless you link both channels for mono operation, in which case the maximum delay time is 2972 ms - see below (1000ms = 1 second).
Feedback 1 | This sets the amount of delayed signal fed back into the Delay 1 block, to create repetitions. Higher values result in a higher number of echo repeats.
Link 1-2 (Off, Linked) | Select Off if you wish to use Delay 1 and Delay 2 as two independent blocks. Select Linked if the output of Delay 1 is to be connected to the Input of Delay 2.
Delay 2, Feedback 2 | These parameters are identical to these but apply to the second Delay block.
Del2 Bal | This parameter determines how much of the left channel output is sent to the right channel input. When set to 0.0 (fully left), then none of the left channel output is added to the right channel input; when it is set to 1.0 (fully right), the right input receives both its normal source and the complete output of the left channel.
Volume L | The output level of the left channel delay.
Volume R | The output level of the right channel delay.


StereoExpander

The StereoExpander plug-in narrows or enlarges the stereo width of an existing stereo signal. There is only one parameter, the horizontal stereo effect slider. Setting this to a value of -100% produces two equal output channels (the original stereo image is lost). Values between -99 and -1 correspond to a narrower stereo image. A value of 0 corresponds to the original signal, while values between 1 and 100 enlarge the stereo image.


Tools One

Tools One is an extremely useful "effect" for various applications.

The level faders allow you to adjust the level of the left and right channel respectively. You can [Shift]-drag to make detailed settings. [Ctrl]-clicking a fader resets it to 0 dB (no level adjustment). Normally, adjusting one fader automatically moves the other as well, but you can make separate adjustments for the channels by pressing [Alt] and dragging.

The two Phase switches let you invert the phase of the left or right channel (or both).

The Algorithm buttons let you adjust the stereo sound image. When none of the buttons are activated, the stereo image will be preserved as is. MS process mode can be used in one of two ways:

To transform an incoming "regular" stereo signal so that it resembles a signal recorded according to the M-S (middle/side) principle. This technique is often used in broadcasting to record the direct signal source (usually a voice) using one microphone, and the ambience using a second microphone positioned at a 90_ angle.

To transform an incoming MS signal into a "regular" stereo signal (to simulate an "XY" recording technique, where neither microphone is placed directly in front of the signal source).

Channel Swap, finally, means that the left channel is assigned to the right side and the right channel to the left side.


Voice Attenuator

This plug-in can be used to remove lead vocals from a recording, to produce a "karaoke" effect. The principle concept is based on the fact that vocals are usually mixed to center position in the stereo field, and that the human voice occupies a limited area of the frequency spectrum.

Note, however, that it is nearly impossible to remove a vocal completely, without using very complex processing beyond the scope of this plug-in.

If the Remove Mono button is activated, the plug-in will sum the right and the left channels (with one of the channels out of phase), in the frequency range set by the Low and High Frequency parameters. This method will only work with stereo material.

If the Notch Filter button is activated, the plug-in will filter out the signals within the frequency range set with the Low and High Frequency parameters, by applying a notch (band reject) filter. This method can be used with both stereo and mono material.

The Gain parameter allows you to adjust the output level of the plug-in.


VSTDynamics


General Information

The VST Dynamics plug-in combines five separate processors; AutoGate, Compress, AutoLevel, Limit and SoftClip, covering a variety of Dynamic Processing functions. The VST Dynamics window is divided into five sections, containing controls and meters for each processor. You activate the VST Dynamics panel by clicking the "On" button in the lower right corner. Once VST Dynamics is activated, you can turn on and off the individual processors by clicking on their labels. Activated processors have highlighted labels.

You can activate as many processors as you want, but remember that not all processors are designed to work together. For example, "Limit" and "SoftClip" are both designed to ensure that the output never exceeds 0dB, but achieves this in different ways. To have both of them activated would be unnecessary. The internal signal flow is printed in the lower right part of the Dynamics panel.

The following processors are available on the VST Dynamics panel (click an item in the list for more information about the corresponding processor):

AutoGate

AutoLevel

Compress

SoftClip

Limit


AutoGate

Gating, or noise gating, is a method of dynamic processing that silences audio signals below a certain set threshold level. As soon as the signal level exceeds the set threshold, the gate opens to let the signal through. AutoGate offers all the features of a standard noise gate, plus some very useful additional features, such as auto calibration of the threshold setting, a look-ahead predict function, and frequency selective triggering. Available parameters are as follows:

Parameter | Explanation
Threshold | This setting determines the level where AutoGate is activated. Signal levels above the set threshold triggers the gate to open, but signal levels below the set threshold will close the gate.
Attack | This parameter sets the time it takes for the gate to open after being triggered. If the Predict button is activated, it will ensure that the gate will already be open when a signal above the threshold level is played back. AutoGate manages this by "looking ahead" in the audio material, checking for signals loud enough to pass the gate.
Hold | This determines how long the gate stays open after the signal drops below the threshold level.
Release | This parameter sets the amount of time it takes for the gate to close (after the set hold time). If the "Auto" button is activated, AutoGate will find an optimal release setting, depending on the audio program material.

Trigger Frequency Range

AutoGate has a feature that allows the gate to be triggered only by signals within a specified frequency range. This is a most useful feature because it lets you filter out parts of the signal that might otherwise trigger the gate in places you don't want it to, thus allowing more control over the gate function. The Trigger Frequency Range function is controlled using the control in the upper part of the AutoGate panel, and the slider located below it. The basic operation of the Trigger Frequency Range function is as follows:

1. While playing back audio, drag the slider to the "Listen" position.

You will now monitor the audio signal, and the gate will be bypassed.

2. While listening, drag the two handles in the Trigger Frequency window to set the frequency range you wish to use to trigger the gate.

You will hear the audio being filtered as you move the handles.

Dragging the left handle to the right will progressively cut frequencies starting from the low end of the frequency spectrum.

Dragging the right handle to the left will progressively cut frequencies starting from the high end of the frequency spectrum.

3. After setting the frequency range, drag the slider to the "On" position.

AutoGate will now use the selected frequency range as the trigger input.

4. To disable the Trigger Frequency Range function, drag the slider to "Off".

AutoGate will now use the unfiltered audio signal as the trigger input.

Calibrate Function

This function, activated by using the Calibrate button located below the Threshold knob, is used to automatically set the threshold level. It is especially useful for material with consistent inherent background noise in the audio material, like tape hiss for example. This may most of the time be masked by the audio content, but becomes noticeable during silent passages. Use as follows:

1. Find a part of the audio material, preferably not too short, where only the background noise is heard.

If you can only find a short background noise section, try looping it.

2. Play it back, and click on the Calibrate button.

The button will blink for a few seconds, and then automatically set the threshold so that the noise will be silenced (gated) during passages where there is no other signal present.


AutoLevel

AutoLevel reduces signal level differences in audio material. It can be used to process recordings where the level unintentionally varies. It will boost low levels and attenuate high level audio signals. Only levels above the set threshold will be processed, so low level noise or rumble will not be boosted. If the input level is greater than 0dB, AutoLevel will react very fast, because it looks ahead in the audio material for strong signal levels and can attenuate levels before they occur, thus reducing the risk of signal clipping.

Parameter | Description
Threshold | Only levels stronger than the set threshold will be processed.
Reaction Time Switch | This parameter sets the amount of time it takes for AutoLevel to adjust the gain. Set this according to whether the program level changes suddenly or over a length of time.


Compress

Compress reduces the dynamic range of the audio, so that softer sounds get louder or louder sounds get softer, or both. Compress functions like a standard compressor with separate controls for threshold, ratio, attack, release and make-up gain parameters.

There is also a separate display that graphically illustrates the compressor curve shaped according to the Threshold, Ratio and MakeUp Gain parameter settings. Compress also features a Gain Reduction meter that shows the amount of gain reduction in dB, and a program dependent Auto feature for the Release parameter.

Parameter | Description
Threshold | This setting determines the level where Compress "kicks in". Signal levels above the set threshold are affected, but signal levels below are not processed.
Ratio | Ratio determines the amount of gain reduction applied to signals over the set threshold. A ratio of 3:1 means that for every three dB the input level increases, the output level will increase by only one dB.
Attack | This determines how fast Compress will respond to signals above the set threshold. If the attack time is long, it means that more of the early part of the signal (attack) will pass through unprocessed.
Release | Sets the amount of time it takes for the gain to return to its original level when the signal drops below the Threshold level. If the "Auto" button is activated, Compress will automatically find an optimal release setting, that varies depending on the audio program material.
MakeUp Gain | This parameter is used to compensate for output gain loss, caused by compression.


SoftClip

SoftClip is designed to ensure that the output level never exceeds 0dB, like a limiter. SoftClip, however, acts differently compared to a conventional limiter. When the signal level exceeds -6dB, SoftClip starts limiting (or clipping) the signal "softly", at the same time generating harmonics which add a warm, tubelike characteristic to the audio material. SoftClip is simplicity itself to use as it has no control parameters. The meter indicates the input signal level, and thus the amount of "softclipping". Levels in the green area (weaker than -6dB) are unaffected, while levels in the yellow-orange-red area indicate the degree of "softclipping". The deep red meter area to the right indicates input levels higher than 0dB.

Avoid feeding SoftClip with excessively high signal levels as audible distortion may occur, although the output level will never exceed 0dB.


Limit

Limit is designed to ensure that the output level never exceeds a certain set output level, to avoid clipping in following devices. Conventional limiters usually require very accurate setting up of the attack and release parameters, to totally avoid the possibility of the output level going beyond the set threshold level. Limit adjusts and optimizes these parameters automatically, according to the audio material. However, should you want to, you can adjust the Release parameter manually.

Parameter | Description
Threshold | This setting determines the maximum output level. Signal levels above the set threshold are affected, but signal levels below are left unaffected.
Release | This parameter sets the amount of time it takes for the gain to return to its original level when the signal drops below the threshold level. If the "Auto" button is activated, Limit will automatically find an optimal release setting, that varies depending on the audio program material.


SDS - Generic Sample Dump Standard

Sampler Operating system required:

Latest available.

MIDI:

Required.

SCSI:

N/A.

Loops:

One.


SMDI (Standard SCSI transfer)

Sampler Operating system required:

Latest available.

MIDI:

N/A.

SCSI:

Required.

Loops:

One.


Akai S1000/1100 including PB models

Sampler Operating system required:

4.30 or later.

MIDI:

Required. Also supports SDS.

SCSI:

Not supported.

Loops:

One.


Akai S2000/S2800/S3000/S3200, including all "i", CD, and "XL" derivatives etc.

Sampler Operating system required:

1.50 or later.

MIDI:

Required. Also supports SDS.

SCSI:

Not supported.

Loops:

One.


Ensoniq, EPS, EPS16+, ASR-10, ASR-88

Sampler Operating system required:

EPS: 2.40

ASR-10: 2.53

Other: the latest

MIDI:

Required. Also supports SDS.

SCSI:

Not supported.

Loops:

One.


E-mu Esi-32

Sampler Operating system required:

2.10 or later

MIDI:

Not supported, unless you use SDS.

SCSI:

Required for sampler specific protocol, also supports SMDI.

Loops:

One.


E-mu EIV, e64 and other samplers running the EOS operating system

Sampler Operating system required:

2.50 or later

MIDI:

Not supported, unless you use SDS.

SCSI:

Required for sampler specific protocol, also supports SMDI.

Loops:

One.


Kurzweil K2000 and K2500

Sampler Operating system required:

K2000, 3.01 or later, K2500, 2.13 or later

MIDI:

Required, unless you use SMDI. Also supports SDS.

SCSI:

Optional, also supports SMDI.

Loops:

One.


Roland S-760

Sampler Operating system required:

2.17 or later

MIDI:

Required. Also supports SDS.

SCSI:

Not supported.

Loops:

Two.


General problems

Can't create a temporary file

Please check which drive is specified for your temporary files (in the Preferences dialog). You cannot use a CD-ROM disk or a write protected drive for your temporary files.

Is the drive full? Please select a drive with as much free space as possible.

A drive/partition can't be found

Is this volume a removable drive, a CD-ROM or a floppy disk? In that case, is the correct disk really in the drive?

Have you renamed the Volume since you last used the program?

A file can't be deleted or renamed

Is the volume on which the file is residing write protected? In that case, turn the write protection off.

Is the file on a CD-ROM? Files can't be deleted from CD-ROMs.

The program opens/doesn't open with the same files each time

This is not a bug, it's a feature! You can decide whether you want the program to boot up as you last left it or not. This is done by activating/deactivating "Open last window layout on startup" in the Preferences dialog. See Preferences Topics.

My snapshots are gone!

Snapshots are not saved with each audio file. There are two ways to make sure your snapshots "stay" from session to session:

Use Open last window layout on startup (described above) to make all settings remain just as you left them.

Make the file part of a Workspace and open it from there. Snapshots are saved with the opened windows of a Project.

The wave cursor has the wrong color

This is not a bug. To make screen redraws as fast and smooth as possible, the wave cursor is actually drawn in the opposite color of the one specified. In other words, red becomes green, yellow becomes blue and so on. While we acknowledge that this can be perceived as strange, we hope you appreciate the fact that it helps the program to operate as smoothly as possible.

The wave isn't styled as when I opened it last

The styling is not saved with each audio file. There are two ways to make sure your files look the same from session to session:

Use "Open last window layout on startup" in the Preferences dialog to make all settings remain just as you left them.

Make the file part of a Workspace and open it from there. Layouts are saved with the opened windows of a Project.


Problems with Opening files

The file doesn't appear in the Open dialog.

Does the file have the right extension? Select "All files (*.*)" from the pop-up in the Open dialog and check again.

Is the drive on which the file resides currently accessible? If you use removable hard disks or CD-ROMs, make sure the right disk is in the drive.

Can't open a file

Is the file really a supported file type?

Is it possible to open it in other programs that support files in the same formats? If not, it is probably damaged.

If it is a WAV file, try opening it in the Media Player application, included with Windows. If that doesn't work, the file is probably damaged. Note that WaveLab carefully checks the file headers: if any mistake in the format is found, WaveLab does not open the file for safety reasons. This could happen (rarely) with some files created by non-professional software.

Is the drive on which the file resides currently accessible? If you use removable hard disks or CD-ROMs, make sure the right disk is in the drive.

Can't open dual mono files

Open the Preferences dialog, click on the File tab and activate "Allow opening of dual mono files".


Problems with Saving files

Can't save

Is the volume on which you are trying to save write protected? You can for example not save anything on a CD-ROM.

Is there enough space on the drive?

Is the drive to which the file was last saved currently accessible? If you use removable hard disks or CD-ROMs, make sure the right disk is in the drive.

Are you trying to overwrite another file with the same name? If so, is that file write protected? If it is, it can't be overwritten. Save under another name, or remove the write protection.

Are you trying to overwrite another file with the same name? Is that file open? If it is, close it and try again.

To get around all of the problems listed above, try saving to another disk/folder.


Recording problems

I can't record

Are you trying to record at a sample rate/bit resolution that your card doesn't support? Check the documentation for the card to find out which formats it supports.

Is the card really installed correctly? Try using some application included with the card to see if that works. Also try the "Sound recorder" included with Windows.

Do you have the latest drivers for your card? Contact your dealer for the latest drivers.

Is your temporary files location set up correctly and do you have enough free space on that drive?

I can't hear what i just recorded

Do the meters move when you record? Do you get a waveform in the window? If you do, the recording is not the problem, it is the playback.

Check the Mixer. Do you have the correct recording inputs activated and the levels set properly?

If you can't seem to activate the correct inputs and levels from WaveLab, try the mixer application that was included with your audio card. Some card drivers do not react correctly to the standard Windows commands transmitted by WaveLab.

Please check your cables and the devices you have connected. Is there really a proper audio signal coming in to the card?

Have you selected the appropriate recording mode for the recording source? If you want to record an external audio signal through the active inputs on your audio hardware, you must select the "Audio card input" mode in the record dialog. If the mode is set to "Playback output", WaveLab will only record what is being played back in the program itself.

There is too much noise in my recordings

Have you adjusted your recording levels properly?

Is the source connected to the proper input?

Have you specified 8 bits as the bit resolution for the recording? Try 16 bits instead.

If you're using one - keep in mind that the microphones provided with sound cards are very low quality microphones.

The mixer can't be "created"

Have you specified your audio card in the Preferences dialog? A Mixer can't be created if "Microsoft Sound Mapper" is selected.

Do you have the latest and correct drivers for your card? We have noted that some card drivers contain "bugs" that prevent a mixer from being created.


Playback problems

No playback at all

Is the card really installed correctly? Try using some application included with the card to see if that works. Also try the "Media Player" included with Windows. If that doesn't work, there's something wrong with the card or the installation.

Playback is choppy

Are you using a compressed hard drive? You should not use WaveLab on such drives because they eat up too much processor power!

To play a quality wave (e.g. 16 bit Stereo 44,1 kHz file) from a CD-ROM, your CD-ROM reader must be at least of a "Double Speed" type.

A file can't be played

Is the file really in a format (sample rate, bit resolution mono/stereo) supported by your audio card? The format of the file is indicated on the status bar.

Playback can't be heard

Do you have an application for the audio card that allows you to adjust playback volumes? Are these settings correct?

Check the cables and the other audio equipment you use.


Editing problems

After editing I get clicks and pops

Are you making "splices" in the middle of an audio section? If you do, we recommend that you make all cuts at zero crossings, to avoid clicks and pops.

When I drag and drop, I get a crossfade

This happens because you drop on a selection. Click once somewhere outside the selection of the destination wave (or press [Esc]) and try again.

After crossfading, I get distortion

If both sections play at full level during the crossfade, it is possible that clipping will occur (although it is unlikely). If this happens, undo the crossfade, lower the gain of both sections (by 3 or 6 dB for example) and try again. The problem cannot occur if you check the "Invert of Fade In" or "Invert of Fade Out" options.


Audio Database and Workspace problems

Where are my files in the Database?

See Database File Topics.

Do you have the Global Filter activated? Turn it off.

A new Audio Database/Workspace can't be created

Is the volume where you try to store the file write protected? For example, you cannot create Databases and Workspaces on CD-ROMs.

Is the disk full?

A file can't be found, opened or played

Has the name or the extension of the file been changed since you last used the Workspace/Database? Please try to open the file from the Open dialog.

Have you moved the file to another folder?

Have you renamed the Folder (in the Database)?

Is the drive on which the file was residing currently accessible? If you use removable hard disks or CD-ROMs, make sure the right disk is in the drive.

Not all files get added to database as expected

When performing a "Scan Disk" operation, the list will not display all files just registered, but only those from the last scanned folder. Please also check the "Maximum list size" in the Audio Database part of the Preferences dialog.

A file can't be renamed or deleted

Is the volume on which the file is residing write protected? Then turn the write protection off.

Is the file on a CD-ROM? Files on CD-ROMs cannot be deleted or renamed.

Is the drive to which the file was last saved currently accessible? If you use removable hard disks or CD-ROMs, make sure the right disk is in the drive.


Troubleshooting and Precautions

This section is prepared for three reasons (and divided into the following sections):

Setup and Hardware issues. This helps you check that your hard disk(s), system, CD-R drive etc. are installed and set up correctly for CD-R writing.

Day to day precautions. This is to help you ensure trouble free CD writing in your daily work.

Problems and solutions. To solve any immediate problems you run into.

Please note that Steinberg can not make any guarantees about the validity of your recorded audio CDs.


Sampler communication problems

General precautions

Not all samplers require or even support MIDI transfers. However, in some cases, where SCSI is supported, MIDI is required anyway! See the section Sampler Details in this on-line help, for details!

If you use MIDI, remember that two way communication is always required!

Some MIDI cards and drivers have problems with the heavy MIDI SysEx communication required when transferring audio data. Serial port interfaces are not recommended for sampler communication.

Sampler Transfer doesn't work at all, or not reliably

Does the sampler have the required OS?

Does it require MIDI? In some cases, where SCSI is supported, MIDI is required anyway!

Does it require SCSI? Some samplers are not supported via MIDI at all.

If the sampler supports MIDI, try only MIDI first. When this works correctly, switch to, or add SCSI and try again.

If MIDI is required, is two way communication really established? Check patcher, MIDI interfaces etc. Try with a simpler connection and/or MIDI interface.

If MIDI is required, is the interface connected and setup correctly?

Is the MIDI driver installed correctly? Do other programs work?

If MIDI is required, is some other program blocking MIDI? Is Cubase running with Play in Background active?

Recheck your MIDI SysEx ID settings. If these are not in accordance with the settings in WaveLab, transfers won't work.

If SCSI is used (or required), are IDs, terminators and everything else set up as they should be? Does the sampler appear on the SCSI bus at all? See the installation chapter in the printed documentation.

Try with less units on the SCSI bus, preferably only the sampler and the computer.

Is some other program using MIDI at the same time? Make sure WaveLab has the MIDI connectors to itself during transfers.

For SCSI, check termination, SCSI card driver versions and everything else related to the SCSI setup.


Problems and solutions

General instructions

If you run into problems, the first thing to check is your hardware and software setup. To isolate the problem, you could try using other CD burning software (for example a simple CD-ROM creation program that comes with the CD-R unit). If this doesn't work either, the problem isn't with WaveLab, but with some other component in the system.

When you insert a disk into the recorder, make sure you wait long enough before you start using it. You might have to wait several seconds. Watch any possible LEDs on the front panel. They will indicate when the unit is ready for use (see the operation manual for the unit for details).

If your CD recorder doesn't respond, the first thing to do is to eject the disc and insert it again. This will reinitialize the recorder.

If this doesn't work, you might try switching off the recorder (even if the computer is still on), wait three seconds and then turn it back on again. Often, only rebooting the computer is not enough.


Questions and Answers

I can't seem to get Windows to recognize the CD-R unit, even though I have followed all instructions for installing the SCSI card and the CD-R unit.

Go back again and check all SCSI related issues: termination, IDs, cables and SCSI card installation. This is not really a WaveLab problem but rather a hardware installation problem.

Check your CONFIG.SYS file for old SCSI drivers, such ASPICAM.SYS or DOSCAM.SYS. Remove these and try again.

I get SCSI communication errors and system lockups on a system with an Adaptec 2940 SCSI controller.

Make sure you have the latest 32-bit driver (downloadable from the Adaptec FTP site). This normally solves any problems.

I have problems writing CDs on a system where Corel CD Creator is installed.

WaveLab is not compatible with Corel CD Creator. This is because Corel use their own SCSI drivers whereas WaveLab relies on the standard Windows SCSI drivers. To disable the Corel drivers, remove the following files from your WINDOWS\SYSTEM\IOSUBSYS folder: CDRASPI.VXD, VLD_CUNI.VXD, VXDASPI.VXD and restart the computer. If you want to work with Corel CD creator later, reinstall it from the original disc(s).

I have problems with a Phillips CDD-2000 unit.

If you have a real Phillips drive or a drive that contains this Phillips mechanism, you must make sure that the firmware version is 1.25 or later. A firmware update can be found at http://www.philips.com/sv/pcaddon.

I have other problems writing a CD and/or importing CD audio tracks.

Well of course there could be many reasons for this. Check the Day to day precautions for trouble free CD writing topic. But, here are two more things to try:

Open the Control Panel, and double click on System. Select the Device Manager tab, select CD-R in the list (if this entry exists, which is not mandatory) and click on the Properties button and then select Settings. Disable the "Insert auto notification" to prevent Windows from reading from the CD-R during the writing process.

If you have problems at 4x speed, try at 2x, then at 1x. Even if your system writes correctly at 4x most of the time, it's safer to write at 2x or even 1x.

I have problems writing CDs when I specify ISRC and EAN/UPS codes, but otherwise things work fine.

If you try to write a ISRC code or EAN/UPC code, WaveLab might return an error if: a) the CD recorder does not support this (not all do, or not all firmware versions do). b) the codes are not properly formatted: UPC/EAN: 13 numeric characters. ISRC: 5 alphanumeric followed by 7 numeric characters.

A CD disc that I have created doesn't play correctly on my CD player.

The reflection of a "normal" CD and a CD-R are different (a CD-R reflects less light). A dirty lens on the CD player might disturb playback. This is more common on old CD players because their lasers do not properly calibrate for recordable CDs. Sometimes, the combination of disc brand and CD recorder brand can make a difference.

Audio tracks that I copied off an audio CD contain noise.

Audio CDs were not made to be transferred digitally and for this reason, there is less error correction available in audio tracks (an audio CD contains up to 780 MB of data, while a "file" CD can only contain 650 MB of data because a lot of space is used to store error correction data). Errors in an Audio track are not as important as errors in CD-ROMs, since the audio CD players will correct many of the problems on playback without audible distortion. This is not done by the CD recorder when transmitting to the SCSI bus, which means that these errors will be part of the digital image of the track. The number of errors depends on the quality of the CD (scratches etc.).

I can't write track Sub-Indexes.

Some CD recorders are simply not capable of this. Some others can only write 50 Sub-Indexes per track for example, and some others only 100 Sub-Indexes per CD. This depends on the CD-R firmware.


Day to day precautions for trouble free CD writing

The most important thing to remember is that CD writing is a real-time operation where a laser inscribes pits into the surface of the CD. This is done at a speed which cannot be slowed down or interrupted. Any interruption will most likely be fatal, rendering the CD-R disk useless. For these reasons you should make sure your system does not interrupt the CD-R writing once it's under way. Read the following points:

Keep the CD-recorder on a vibration-free surface. Sudden "shocks" could cause writing interruptions.

Do not read files directly from a CD, copy them to a fast hard disk first.

Do not read files over a network. Networks are usually far too slow for CD-R writing.

Turn off networking, at least for the hard disk drive from which you are reading. If anyone tries to access this drive while writing, this might interrupt the CD-R operation.

It is best to store the files on a hard disk partition that is 1 gigabyte in size, or smaller (since this means the sectors will be 16kByte rather than 32kByte).

Do not read files from a hard disk with compression enabled!

It is highly recommended that you keep your hard disk(s) defragmented at all times. Some versions of Windows (e.g. Windows 98) include a tool for this (right click on a drive icon and select "Properties"). For other Windows versions, you need to use a commercial defragmentation application.

If you have multiple hard drives in your system, put the audio files on your fastest drive! Also use a fast drive for WaveLab's "temp" files.

Turn off Auto Insert Notification for every CD unit on your SCSI bus, including the CD recorder. To do this, open the Control Panel and double click on the System icon. Select the Device Manager tab. Select the CD unit in the window, click on the Properties tab, locate the Auto Insert Notification setting and disable it.

Turn off any screen savers, anti-virus, schedulers, animated icons and alarm- or reminder programs that might interrupt the CD burning operation.

Make sure any fax reception or background e-mail software is disabled.

If you use the System Agent, make sure no activities are scheduled for the time you write to the CD. Do no use the "When Idle" option in the System Agent.

Disable any System Monitoring programs.

If you use the CD-R unit as a CD-ROM reader, make sure you quit the Explorer and close any "My Computer" windows before writing.

Stop audio playback in WaveLab before writing.


Hardware and Setup issues

SCSI

Proper termination is one of the most crucial SCSI subjects! I you have an external CD-R unit, we very strongly recommend active SCSI terminators (consult your computer dealer).

Always use high quality SCSI cables.

Preferably put your CD-R unit as the first device in the SCSI chain.

If possible, make sure your SCSI card, CD-R unit and any hard disks on the SCSI chain are all SCSI-2 compatible.

To give the CD-R the highest SCSI priority, set it to the highest possible SCSI ID (usually 6, since 7 is occupied by the SCSI controller.). Side note: On a Wide SCSI bus which has 16 available SCSI IDs, the priority order is (from highest to lowest) 7, 6,... 0, 15, 14,...8.

Always makes sure you have the very latest drivers installed for your SCSI card. Normally the latest driver is available for download from the vendor's web site.

CD-R Drivers

If you have previously installed another CD-R software product, you may run into driver conflicts. Normally this should not happen since WaveLab has built in drivers that are loaded as needed, and which usually override any other installed drivers. However, if you do have problems writing to CD-R, this is a point to check.

If it isn't absolutely required, don't install any other driver for your CD-R unit (for example a driver that allows you to use the CD-R as a CD-ROM drive). The drivers might make Windows try to access the drive during writing, which can cause system interruptions.

In the advanced BIOS settings of your SCSI host adapter, the following should normally be disabled:

- Plug and Play SCAM Support

- Support Removable Disks Under BIOS as Fixed Disks

- BIOS Support for Bootable CD-ROM

- BIOS Support for Int 13 Extensions

Networking Cards

Network cards can produce hardware interrupts which momentarily halt operation of all software. This can cause various problems. For CD writing, a non-networked machine is more stable than a networked one.

If you need to keep your machine connected to a network try to not load the network card drivers when you plan to write CDs.

About Hard disks

Many hard disks automatically perform something called thermal calibration at regular (but unpredictable) intervals. For this reason, drives sold as "A/V drives" are recommended, since they have built in "intelligence" which delays any recalibration to times when the disk is not being used. Some drives not marketed as "A/V Drives" also have this capability, check with the vendor if in doubt.

SCSI drives are usually better than E/IDE drivers. Having said that, we know of few problems with E/IDE drives, and a fast EIDE drive is of course better than a slow SCSI drive.

CD-R disks

There are many brands of CD-R disks. Always use one that has been tested and recommended by your CD-R drive manufacturer.

CD-R discs are not as solid as real CDs. Handle them with care! Do not expose discs to sunlight or other strong light for long periods, and avoid heat and humidity.

The top (label) side of a CD-R disc is also vulnerable. Don't use alcohol-based pens to write on discs and don't put labels on unless they are specifically designed for CD-Rs (otherwise the glue on the label might eat through the surface).

Don't stack CD-R disks on top of each other without proper covers.

Links and sources for more information

Adaptec (SCSI card manufacturers):

- World-Wide Web: http://www.adaptec.com/cdrec/ http://www.adaptec.com/support/cdrec/download.html.

- FTP: ftp.adaptec.com

A general CD-R site that might be of interest: http://www.osta.org/html/cdr2.html


Key Commands - File Handling

Key Command | Function
[Ctrl]-[O] | Open wave file
[Ctrl]-[S] | Save current wave
[Ctrl]-[N] | Create new wave
[Ctrl]-[W] | Close current document (and all its related windows)
[Ctrl]-[E] | Convert Wave to MP3 (Save special - Encode (MP3))


Key Commands - Zooming

Main View

Key Command | Function
[arrow up] or [G] | Zoom in horizontally (or Zoom out if Cubase compatibility is enabled)
[arrow down] or [H] | Zoom out horizontally (or Zoom in if Cubase compatibility is enabled)
[J] | Zoom out to display entire wave horizontally
[Shift]-[G] or [Shift]-[arrow up] | Zoom in vertically (or Zoom out if Cubase compatibility is enabled)
[Shift]-[H] or [Shift]-[arrow down] | Zoom out vertically (or Zoom in if Cubase compatibility is enabled)
[Shift]-[J] | Zoom in or out to get an optimized level display (best fit)
[K] | Zoom selection


Key Commands - View and Snapshots

Adjusting the View

The following commands scroll the window without moving the cursor:

Key Command | Function
[Ctrl]+[Alt]-[Home] | Start of Wave
[Ctrl]+[Alt]-[End] | End of Wave
[Ctrl]+[Alt]-[Page Up] | One window width to the left
[Ctrl]+[Alt]-[Page Down] | One window width to the right

Snapshots

The number keys referred to below are the ones on the typewriter part of the keyboard, not on the numeric keypad. Furthermore these refer to the keys on an American keyboard. Other countries may have other key caps on the same keys.

Key Command | Function
[1] to [8] | Recall snapshot 1 to 8
[Ctrl]-[1] to [8] | Store snapshot 1 to 8


Key Commands - Playback and Cursor position

Numeric key pad

Key Command | Function
[Enter] | Play (from current position)
[0] | Stop / Move to selection start / Move to beginning
[1] | Move cursor to selection start
[2] | Move cursor to selection end
[4] | Move cursor to previous marker
[5] | Move cursor to next marker
[.] (full stop) | Scroll to cursor
[/] | Loop on/off (current wave only)
[F] (typewriter part of the keyboard) | Scroll during playback on/off

Function keys

The following keys are available even if a dialog is the active window:

Key Command | Function
[Space Bar] | Toggle Play / Stop
[F8] | Play (from current position)
[F7] | Stop / Move to selection start / Move to beginning
[F6] | Play selection
[F5] | Empty the playback buffers
[F9] | Activate/deactivate MTC synchronization mode
[F10] | Activate/deactivate Jog and Shuttle mode

Cursor keys

Key Command | Function
[Arrow left] | Move cursor one pixel left
[Arrow right] | Move cursor one pixel right
[Ctrl]-[Arrow right] | Move cursor 1/10 of the window width to the right
[Ctrl]-[Arrow left] | Move cursor 1/10 of the window width to the left
[Page Up] | Move cursor 1/10 of the window width to the left (or right if Cubase compatibility enabled)
[Page Down] | Move cursor 1/10 of the window width to the right (or left if Cubase compatibility enabled)
[Ctrl]-[Page Up] | Move cursor one window width left (or right if Cubase compatibility enabled)
[Ctrl]-[Page Down] | Move cursor one window width right (or left if Cubase compatibility enabled)
[Home] | Move cursor to beginning
[End] | Move cursor to end
[Tab] | Toggle Cursor between left/right/both channels (stereo waves only)


Key Commands - Selecting

Key Command | Function
[Esc] | Toggle selection on/off
[Tab] | Toggle selection between left/right/both channels (stereo waves only)

Extending or making selections

The following commands create a new selection or extend the current one.

Key Command | Function
[Shift]-[Arrow left] | One pixel to the left
[Shift]-[Arrow right] | One pixel to the right
[Ctrl]+[Shift]-[Arrow left] | 20 pixels to the left
[Ctrl]+[Shift]-[Arrow right] | 20 pixels to the right
[Shift]-[Page Up] | 20 pixels to the left (or right if Cubase compatibility enabled)
[Shift]-[Page Down] | 20 pixels to the right (or left if Cubase compatibility enabled)
[Ctrl]+[Shift]-[Page Up] | One window width to the left (or right if Cubase compatibility enabled)
[Ctrl]+[Shift]-[Page Down] | One window width to the right (or left if Cubase compatibility enabled)

Making selections

The following commands always create a new selection:

Key Command | Function
[Shift]-[Home] | From cursor to start
[Shift]-[End] | From cursor to end
[Ctrl]-[A] | Select all

"One the fly" numeric key pad commands

The following commands are for selecting during playback. Please note that the keys on the numeric key pad must be used.

Key Command | Function
[Shift]-[1] | Set start of selection
[Shift]-[2] | Set end of selection
[+] | Press and hold to set start of selection, release to set end of selection.


Key Commands - Editing and Recording

Cut and Paste

Key Command | Function
[Ctrl]-[X] | Cut
[Ctrl]-[C] | Copy
[Ctrl]-[V] | Paste
[Ctrl]+[Shift]-[V] | Paste Append

Delete and Silence

Key Command | Function
[Backspace] | Delete current selection
[Ctrl]-[space bar] | Silence current selection
[Ctrl]+[Shift]-[Insert] | Insert silence
[Ctrl]-[Backspace] | Trim (to selection)

Recording

Key Command | Function
[*] (Multiply on num key pad) | Open Record dialog

During Recording (Record dialog has focus)

Key Command | Function
[Ctrl]-[M] | Drop generic marker
[Ctrl]-[L] | Drop generic region start marker
[Ctrl]-[R] | Drop generic region end marker
[Ctrl]-[P] | Pause
[Ctrl]-[Return] | Record
[Ctrl]-[0] (num key pad) | Stop record
[Ctrl]-[Delete] | Discard
[Ctrl]-[Y] | Reset meters

Undo and Redo

Please note that the function key Undo and Redo commands are available even if a dialog is the active window!

Key Command | Function
[Ctrl]-[Z] | Undo
[F3] | Undo
[Ctrl]+[Shift]-[Z] | Redo
[F4] | Redo


Key Commands - Processing

Key Command | Function
[N] | Normalize
[D] | Dynamics
[Ctrl]-[F] | Fade in/out
[X] | Crossfade
[T] | Time stretch
[P] | Pitch Correction
[Q] | EQ


Key Commands - Markers

Key Command | Function
[Ctrl]-[M] | Open marker list
[Insert] | Drop new marker at cursor position (for example during playback)
[Ctrl]-[Insert] | Create Marker


Key Commands - Database

Key Command | Function
[Insert] | Add file to database
[Ctrl]-[D] | Scan Disk
[Ctrl]-[F] | Global Find
[Ctrl]-[G] | Global Filter


Key Commands - Miscellaneous

Key Command | Function
[F2] | Toggle focus between the last 2 accessed windows
[Ctrl]-[F2] | Open an Audio Montage
[Alt]-[Ctrl]-[M] | Maximize Wave window width
[W] | Show/hide Window layouts
[F11] | Nudge -
[F12] | Nudge +
[Ctrl]-[F9] | Show/hide Master Section
[Ctrl]-[F10] | Show/hide Monitor window
[Ctrl]-[F11] | Nudge - (small impulse)
[Ctrl]-[P] | Open Preferences dialog
[M] | Magnetize Bounds on/off
[Z] | Zero crossing on/off


The Wave Window

This is the main WaveLab window. It is here that you perform all the basic audio editing.

There are more operations related to the wave window than it makes sense to create direct links to. Instead, to see a list of all the Wave window operations, please select Help topics from the Help menu and browse to the section about editing in Wave windows in the "Working in WaveLab" help section.

Window Panes

The Wave window is divided into an overview (at the top) and a main view (at the bottom). These views are shown in two panes, separated by a divider. You can change the size of each pane. You can even hide the overview completely.


The Database Window

The Database window allows you to organize a large number of files sensibly. You can put files into categories and add keywords and comments to each. You can then for example find all bass drums on all your media with one single click!. The Database even allows you to find files on disks (CD-ROMs for example) that are not even in the computer!

Once the files are found you can play them or open them for editing.

There are more operations related to the databases than it makes sense to create direct links to. Instead, to see a list of all the Wave window operations, please select Help topics from the Help menu and browse to the section about Audio Databases in the "Working in WaveLab" help section.

Window Panes

The Database window is divided into three panes: The Location pane (showing the location of your files on the disks), the Category pane (showing each file's category) and the File list (showing the currently found files). You can change the size of each pane.


The Workspace Window

The Workspace window allows you to organize all files that belong to a certain project, into groups. For a radio commercial, for example, you might have one group for sound effects, one for narration and one for music. This can be done even if the files are not in the same folder, or even on the same disk!

You can play the files in the Workspace, or open them for editing.


The Free Disk Space window

This window displays the available disk space on all your connected disks.


The Frequency analysis window

This window displays the selection as a 3D frequency (FFT) graph. To make settings for the graph, double click on it, right-click on it, or select "3D Frequency analysis options" from the Analysis menu.


The Marker window

This window lists the current window's markers and allows you to rename or delete them.

The list is by default sorted alphabetically but you can change the sort order by clicking on the headings.


The Level/pan meter

Level meters

The upper part of the level/pan meter window shows the peak level (outer meter bars) and average loudness (inner meter bars).

The Peak Level meters display the peak levels of each channel, graphically and numerically.

By default, the meter segments and numerical peak values are displayed in green for low levels, yellow for levels between -6dB and -2dB, and red for levels above -2dB. You can change both the colors and the range boundaries if you wish (see the help for the Settings dialog).

The VU (Volume Unit) meters measure the average loudness (RMS) of each channel.

These meters have a built-in inertia, evening out loudness variations over a user-defined time span.
If you are monitoring playback or audio input, you will also note two vertical lines following each VU meter bar, seemingly "trying to reach" the current RMS value. These lines indicate the average of the most recent minimum RMS values (left line) and the average of the most recent maximum RMS values (right line). To the left, the difference between the minimum and maximum average values is displayed (the level value in brackets) - this gives you an overview of the dynamic range of the audio material.

If you are monitoring real-time audio (playback or input), the maximum peak and loudness values are displayed numerically to the right of the meter bars.

Numbers in brackets to the right of the Maximum Peak values indicate the number of successive clips (0dB signal peaks). 1 or 2 clips can be acceptable, but if you get a larger number, you should lower the master level to avoid digital distortion.

Pan meters

The lower part of the window shows the pan (the difference in level between the left and right channel, only applicable when monitoring stereo audio):

The upper pan meters show the peak level difference between the channels, graphically and numerically.

Note that the pan meters are "two-sided"; the level bars can go to the left or right, indicating which channel is the loudest. The two sides are shown in different colors (which can be edited - see the help for the Settings dialog).

The lower pan meters show the average difference in loudness between the channels, in a similar way.

This gives you a visual indication of whether a stereo recording is properly centered, etc.

If you are monitoring real-time audio (playback or input), the maximum balance difference values (peak and loudness) for each channel are displayed numerically to the left and right of the meter bars.

Resetting the meters

You can reset the level and pan meters by clicking the Reset icon, or by selecting Reset from the Options pop-up menu. This instantly resets all meters and numerical indicators, including the Maximum Peak and RMS values and the number of signal clips.

Making settings for the Level/Pan meter

To adjust the meter settings, select "Settings..." from the Options pop-up menu or click the "tool" icon. Use the help in the dialog for details.

Selecting meter presets

If you have assigned your settings to the Preset buttons in the Settings dialog, you can quickly switch between different level scales and display modes, by clicking one of the Preset icons [1]-[5], or selecting the desired preset from the Options pop-up menu.


Phase Scope

The Phase Scope can only be used when monitoring real-time audio (with the exception of the phase correlation meter, see below). Also, by its nature, it is only relevant when monitoring stereo audio material.

The Phase Scope indicates the phase and amplitude relationship between the two channels, in the following way:

A vertical line indicates a perfect mono signal (the left and right channels are the same).

A horizontal line indicates that the left channel is the same as the right, but with an inverse phase.

A random but fairly round shape indicates a well balanced stereo signal. If the shape "leans" to the left, there is more energy in the left channel and vice versa (the extreme case of this is if one side is muted, in which case the Phase Scope will show a straight line, angled 45° to the other side).

A perfect circle indicates a sine wave on one channel, and the same sine wave shifted by 45° on the other.

Generally, the more you can see a "thread", the more bass in the signal, and the more "spray-like" the display, the more high frequencies in the signal.

At the bottom of the display, you will find a Phase Correlation meter, which shows the same information but in a different way:

The green line shows the current phase correlation, while the two red lines show the recent peak minimum and maximum values, respectively (these are the default colors, which can be adjusted).

With a mono signal, the meter would show +1, indicating that both channels are perfectly in phase.

Similarly, -1 indicates that the two channels are the same, but one is inverted.

Generally, for a "good" mix, the meter should show a value between 0 and +1.

Unlike the main Phase "coil" meter, the Phase Correlation meter is also available in "Analyse Selection" mode, showing an average value for the selected range.

Making settings for the Phase Scope

To adjust the Phase Scope settings, select "Settings..." from the Options pop-up menu or click the "tool" icon. Use the help in the dialog for details.


Spectrum meter (60 bands)

The Spectrum meter shows a continuous graphical representation of the frequency spectrum, in the shape of a "bar diagram" with 60 frequency bands (much like a simplified form of the Spectrum analyser FFT meter).


Spectrum analyser (FFT)

The Spectrum Analyser uses FFT (Fast Fourier Transform) to display a continuous frequency graph, allowing for very precise and detailed real-time frequency analysis.

The current frequency spectrum will be shown as a red graph (by default).

Spectrum "peaks" (recent maximum values) will be shown as a purple graph. All colors can be adjusted in the Settings dialog.

By clicking the camera icon, you can take a snapshot of the current spectrum. This will be superimposed on the current peak spectrum graphs, in a color you can customize (by default, a white graph), until you click the camera icon again (to take a new snapshot). One use for this is to check the effects of adding EQ, etc.

Zooming

You can adjust the frequency scale and range in the Settings dialog, but it's also possible to temporarily zoom in on a frequency area of interest. This is done by clicking and dragging a rectangle in the Spectrum display - when you release the mouse button, the display is zoomed in so that the enclosed frequency range fills the window. To return to full-scale display, select "Zoom-out fully" from the Options pop-up menu.

Making settings

You can adjust the behavior and display of the meters as desired, and assign up to five sets of Spectrum Analysis settings to the Preset buttons, for instant access. Open the Settings dialog by selecting "Settings" from the Options pop-up menu or clicking the "tool" icon. See the help in the dialog for details.

Selecting Spectrum Analyser presets

If you have assigned your settings to the Preset buttons in the Settings dialog, you can quickly switch between different level scales and display modes, by clicking one of the Preset icons [1]-[5], or selecting the desired preset from the Options pop-up menu.

Exporting FFT data as ASCII text

When using the Spectrum Analyser in off-line mode ("Monitor Edit-cursor Position" or "Analyse Selection" mode) you can export the displayed FFT data as a text file, by selecting "Export FFT data as ASCII" from the Options pop-up menu. The resulting text file can then be imported into e.g. Microsoft Excel, or other applications that allow graph plotting from text files, etc.


Bit Meter

The Bit Meter shows how many bits are used, i.e. the resolution of the audio being monitored. While you may expect the maximum number of bits to be the same as the resolution of the audio file (e.g. a 16 bit audio file would show up to 16 bits being used), this is not necessarily the case! Here's why:

As soon as you perform any kind of real-time processing on an audio file, the audio data will be treated at a much higher resolution (32 bit floating point), to allow for pristine audio quality. Examples of such processing include level adjustments, effects, mixing of two or more files, etc. In fact, the only time when a 16 bit file will be played back at 16 bit resolution is if you play it without any fades or effects, and with the Master Faders set to 0.00 (no level adjustment). You can try this out for yourself by playing back a 16 bit audio file and viewing the Bit Meter - as soon as you adjust the Master Faders, you will note that 24 bits are used and the "inter" indicator is lit (more on this below).

How to "read" the Bit Meter

The innermost meters (closest to the bit scale) show the number of bits in use. You can adjust this display in the Settings dialog.

The outer meters are "history" meters, showing how many bits were recently in use. You can adjust the hold time in the Settings dialog.

The "over" segment indicates clipping, similar to a clip indicator.

If the "below" segment is lit, there are more than 24 bits. The bit meter will show the 24 higher bits, and the "below" segment indicates the existence of extra, lower bits. Note that audio is processed with more than 24 bits internally.

If the "inter" segment is lit, this indicates that the audio data cannot really be expressed on a regular 24 bit scale (there are floating point values "in between" bits - thus the label "inter"). This is typically the case if you apply effects, etc.

When to use the Bit Meter

There are several uses for the Bit Meter:

To check whether dithering is necessary or not.

As a rule, if you're playing back or mixing down to 16 bits, and the Bit Meter shows that more than 16 bits are used, you should apply dithering.

To see the "actual" resolution of an audio file.

For example, even though a file is in 24 bit format, only 16 bits may be used. Or, a 32 bit file may only use 24 bits (in this case, the "below" segment would not be lit). For this purpose, the Bit Meter is best used in "Analyse selection" mode.

To see whether a "zeroed" plug-in still affects your signal, or whether a plug-in uses 16 bit internal processing (which may possibly be the case with a few older third-party plug-ins).

Making settings for the Bit Meter

To adjust the Bit Meter settings, select "Settings..." from the Options pop-up menu or click the "tool" icon. Use the help in the dialog for details.


Wave Scope

The Wave Scope is a "microscope" version of the level meter, showing the area around the cursor position at large magnification.

The Wave Scope cannot be used in "Analyse Selection" mode.

If you are analysing stereo audio, the Wave Scope will normally show the separate levels of the two channels. However, if you activate the option "Show Mix and Subtraction" on the Options pop-up menu (or click the +/- icon) the upper half of the Wave Scope will show the mix of the two channels and the lower half will show the subtraction.

Making settings

Selecting "Settings" from the Options pop-up menu (or clicking the "tool" icon) will open the Wave Scope settings dialog. Here you can adjust the display colors, and choose whether Auto-zoom should be active or not. When Auto-zoom is activated, the display will be optimized so that the highest level reaches the top of the display at all times.


The Audio Montage window

This is an Audio Montage window. An Audio Montage is a multi-track non-destructive editing environment, which allows you to arrange, edit, play back and record audio clips on multiple tracks.

The Audio Montage window is divided into two "panes". The lower pane always shows the tracks and the clips. This is referred to as the "Track View".

The upper pane shows one of 10 different views. You select views for the upper pane by clicking the tabs at the top of the Montage window. Click the question mark icon in the upper pane for details about the selected view.

Apart from the actual displays, different views have different icon bars and menus. To make it clear which menu the help text refers to in each case, we use the following syntax: (X view: Y Menu). For example, "Edit view: Options menu" means the Options menu in the Edit view.


The info line

The dark area below the Track View is called the info line. You can show or hide this by activating or deactivating the option "Show info line" on the Edit view: Options menu.

The info line indicates what will happen when you click the mouse buttons (with or without modifier keys), depending on where you currently aim the pointer (much like Tool Tips for buttons). This is especially useful since editing in the Audio Montage is based on mouse zones - you click in different areas of the clips to perform different actions. The info line will also display positions and lengths when you are moving, copying or resizing clips.

The following symbols are used on the info line:

Symbol | Description
 | Indicates that you can right click to display a context menu. The name of the context menu is displayed after the M symbol.
 | Indicates what happens if you single click.
 | Indicates what happens if you double click.
 | This means that you can [Ctrl]-click for an additional function. Press [Ctrl] for more information.
 | This means that you can [Shift]-click for an additional function. Press [Shift] for more information.
 | This means that you can [Alt]-click for an additional function. Press [Alt] for more information.
 | Indicates that you can use combined modifier keys. For example, "CS" means that you can [Ctrl]-[Shift]-click for an additional function. Hold down the indicated modifier keys for more information.
 | Indicates what happens if you click and drag up or down.
 | Indicates what happens if you click and drag left or right.
 | Indicates what happens if you click and drag the item (in any direction) within the Montage.
 | Indicates what happens if you click and drag the item out of the Montage.
 | This is shown as an alert indicator, when you are moving or resizing clips or changing envelope values, etc.

See also: mouse zones


The Edit view

When the Edit view is selected, the upper pane shows an Overview of the Montage, with clips displayed as boxes. You can use this Overview to zoom in or out, and for navigating to other sections of the Montage:

The section of the Montage that is currently displayed in the Track View is indicated by a black rectangle in the Edit Overview. This is called the "Track View rectangle".

To zoom in or out, vertically or horizontally, resize the Track View rectangle by dragging its edges. You can also resize the rectangle horizontally by holding down [Shift] and clicking. This will instantly move the closest edge of the rectangle to the position where you clicked.

You can drag the Track View rectangle to view other sections of the Montage.

Clicking on one of the clip boxes outside the Track View rectangle will make the Track View zoom in horizontally on that clip. This will not affect the number of displayed tracks.

Double clicking on one of the clip boxes in the Overview will make the Track View zoom in horizontally and vertically on that clip.

Right clicking anywhere in the Overview will make the Track View zoom out, so that the whole Audio Montage is visible.

To identify a clip in the Overview, position the pointer over its box, and the name of the clip is displayed.


The Zoom view

When the Zoom view is selected, the upper pane displays a close-up view of the beginning of the selected clip. The main purpose of this is to help you splice two consecutive clips together (in which case the Zoom view will display the end of the left clip and the start of the right clip). To ensure smooth splicing and avoid harmonic cancellation, WaveLab can examine the audio close to the splice point, and find the best possible phase match:

1. Move the two clips together in the Track View, and make sure the right (second) clip is focused.

2. Select a Search Range from the Zoom view: Options menu. This determines how far into the clips the program will scan when searching for the best possible phase match. Higher values result in greater accuracy, but also longer processing times, since this is a very CPU intensive process.

3. Select Move to left (match waveform) from the Zoom view: Options menu (or click the icon with the left arrow, next to the menu).

Wavelab will now scan the audio to the left of the splice point and move the right clip to the position which provides the best possible phase match, to avoid harmonic cancellation. When the right clip is moved over the left clip, a short crossfade is automatically created.

Selecting the function Move to right (match waveform) from the Zoom view: Options menu (or clicking the icon with the right arrow) does the same thing, but moves the right clip to the right instead. This is useful if the two clips are already overlapping.


The Clips view

When the Clips view is selected, all currently used clips are displayed in a list in the upper pane. Each clip in the Track View has a corresponding entry in the clip List. The list allows you to edit the clips using regular WaveLab value editing. The following columns are available:

Row Header (number)

If you click on this numbered button to the left of a clip in the list, the clip is automatically selected in the Track View and the Track View is scrolled to display the clip.

Speaker Icon

Click on the Speaker Icon to audition a clip (including muted clips). This column cannot be removed, resized or edited.

Name

Double click on a name to type in a new name.

Track

Clicking on a track number opens a pop-up menu where you can select a new track for the clip (Stereo clips cannot be moved to mono tracks and vice versa).

Pregap

Length of silence before clip, or the overlap time between clips. For details, bring up the online help for the three Pregap options in the Clips view: Options menu.

Start

The clip Start time (in the format selected on the Ruler).

End

The clip End time.

Length

The length of the clip.

Clip-lock status

If a box is ticked in this Column, the related clip is time-locked in the Track View, and no editing can be performed on the clip.

Gain

This allows you to boost or cut the clip gain by +/- 24 dB. Note that this "extra" gain adjustment is done at the end of the clip chain, after the envelope, effects and pan. This is the parameter adjusted by the Meta Normalizer.

Mute status

If a box is ticked in this Column, the related clip is muted.

Comment

In this Column you can type in comments relating to the clip.

Clip List options and functions

You can customize the clip List in the following ways:

Clicking the arrow button at the top left corner of the list brings up a menu, on which you can specify which columns should be shown in the list. Only columns that are ticked on the menu will be displayed.

You can change the order of columns by clicking and dragging column headings.

The columns can be resized, by clicking and dragging the borders between column headings.

Clicking on a column heading will sort the list after the corresponding property. Clicking again on the same heading will reverse the sort order.

If the option "Only show selected clips" is activated on the Clips view: Options menu, only those clips that are selected in the Track View are listed.

If the option "Allow reordering by drag and drop" is activated on the Clips view: Options menu, you can change the order of clips in the Track View by dragging them up or down in the list. When you release the dragged clip, a gap corresponding to the Default Pre-gap time (set on the Edit view: Options menu) is inserted in front of the clip.


The Groups view

In many situations, it is useful to work with several clips as one entity. This is easily done by grouping them in the Groups view. The Groups view is divided into two panes: In the left pane, all groups in the Montage are listed. The right pane lists all clips included in the group that is currently selected in the left list.

To group some clips, select these in the Track View and select "Group selected clips" from the Groups view: Grouping menu (or click the Group icon next to the Options menu). A dialog opens, in which you can either select an existing group (adding the clips to the group) or create a new one.

There are a couple of options in the Groups view that affect how groups are handled:

You can temporarily "turn off" a group by deactivating the checkbox to the left of a group in the list. When the group is deactivated this way, you can move individual clips in the group, as if they were not grouped.

If the option "A mouse click selects a group" is activated on the Groups view: Options menu, selecting a clip in the Track View automatically selects all clips in the same group.

If the option is deactivated, selecting a whole group requires that you click on the group name in the Groups view list. This is useful if you want to be able to modify the relative positions of clips in the group, without having to remove them from the group.

To permanently remove a group, select it in the list and select "Remove selected group" from the Groups view: Grouping menu.


The Files view: Montage tab

When the Montage tab is selected in the Files view, all referenced audio files are listed in the left part of the view. The right section lists all clips that make reference to the audio file that is currently selected in the left list. This allows you to keep track of which audio files are used in the Montage.

You can customize both lists in the same way as with the list in the Clips view. This includes showing and hiding columns (by using the menus under the black arrow buttons to the left of each list), dragging and resizing columns.


The Files view: System tab

When the System tab is selected in the Files view, the upper pane resembles the Windows Explorer, showing the folder structure on your hard disk to the left and the contents of the selected folder to the right.

You can select whether the right pane should list audio files or clip files, by selecting the corresponding option on the Files view: Browser menu.

Navigating in the Files view is done as in the Windows Explorer.

You can audition selected audio files on disk, manually (by clicking the play icon on the icon bar) or automatically (by activating the speaker icon, in which case selected files are automatically played back).

To import an audio file or a clip file into the Montage, simply drag them from the Files view and drop them on the desired track.


The Markers view

The Markers view displays a list of all markers used in the Montage, and allows you to edit them in various ways. Montage markers have the same properties and functionality as markers in a Wave window. See About Markers.

You can edit the fields in the marker list to move, rename or otherwise adjust markers.

You can customize the marker list as with other lists in WaveLab. This includes dragging and resizing columns, sorting the list by clicking on the desired column heading and hiding columns using the pop-up menu to the left of the list (the arrow button).

It is also possible to view the markers of a clip's source audio file, by activating the option "Show source's ruler and markers" on the clip context menu.


The CD view

The CD view contains a CD track list, much like a Basic Audio CD window, and allows you to create CDs directly from the Montage.

To create a CD from the Montage, it is important that you follow the procedure described in the help section about Preparing the Audio Montage for burning a CD.


The History view

In the History view, all operations you have made are listed. Furthermore, if you recently have undone any operations, these will be listed as well, allowing you to redo them (as long as you don't perform any other operation, in which case the undone operations will disappear from the list). The list works in the following way:

Items at the top of the list (displayed in yellow) are undone items.

A yellow arrow to the left indicates the last undone action.

The items below are performed actions, which you can undo.

A green arrow to the left indicates the last performed action.

Selecting Undo from the Edit menu (or clicking the green arrow on the Icon bar) will undo the last performed action. It will now be displayed in yellow, and the green and yellow arrows to the left of the list will be moved down one step.

If there are yellow items in the list, you can select Redo from the Edit menu (or click the yellow arrow on the Icon bar). This will redo the last undone action, and the green and yellow arrows to the left of the list will be moved up one step.

On the History view: History menu, there are functions that allow you to undo or redo several operations in one go. For details on each function, select the help item in this menu.


The Snapshots view

To make it easy to quickly move between different views and zoom levels, you can capture view settings as Snapshots, and apply these at any time. This is done in the Snapshots view.

A Snapshot contains the following settings:
The horizontal and vertical magnification.
The section (horizontal and vertical) of the Montage currently shown in the Track View.
The Montage cursor position.
The current Selection Range (if any).

To capture the current view as a Snapshot, click the black camera icon, or select "Capture current settings" from the Snapshots view: Functions menu.

You can update an existing Snapshot to contain the current settings, by selecting the Snapshot in the list and clicking the blue camera icon (or selecting "Update selected snapshot with current settings" from the Snapshots view: Functions menu).

To apply a Snapshot (that is, to change the view to what is stored in the Snapshot), click the numbered button to the left of the Snapshot in the list, or select the Snapshot and select "Apply selected Snapshot" from the Snapshots view: Functions menu.

Note that you can specify whether the view, Montage cursor position and/or Selection range are to be affected when you apply the Snapshot, by activating or deactivating the corresponding checkboxes for the Snapshot in the list, before you apply it.

To delete a Snapshot, select it and click the trash can icon, or select "Delete selected Snapshot" from the Snapshots view: Functions menu.


The Basic Audio CD window

The Basic Audio CD is the tool to use when you want to create quick, easy audio CDs, where each Track typically (but not necessarily) is a separate audio file. The window shows the tracks as a list, with various columns showing information about the tracks.

When a Basic Audio CD window is active, an additional CD menu appears on the main menu bar.

You can add tracks by using the Add Track(s) option on the CD menu, or by using drag and drop.

You can change the order of tracks by dragging them in the list.

Make sure "Sort by Track Order" is selected on the CD menu first.

The list columns allow you to adjust the pause before tracks, rename tracks etc.

To write the CD, select Write CD from the CD menu.


The CD Project window

A CD Project is an environment that can be used to compile and write data CDs and Mixed Mode CDs.

Data CDs (CD-ROM) exclusively contain computer data. This can also be audio files. However, the files are stored on the CD in such a way that an audio CD player cannot recognize them.

The difference between a Mixed Mode CD and a normal CD-ROM is that a Mixed Mode CD contains both computer data and audio data that can be played back by an audio CD player. On a Mixed Mode CD, the computer data occupies track 1, and the music occupies the subsequent tracks.

The CD Project window has two main window panes; the source window on top and the destination window below.

The source window shows the contents of your hard disks (or other storage media) in a way much like the Windows Explorer: with a folder hierarchy "tree" to the left and the contents of the selected folder shown to the right.

The destination window shows the contents of the CD to be recorded, again with two panes in the same manner.

To compile a data or Mixed Mode CD, drag files and/or folders from the upper into the lower window pane.

You can record the CD as soon as you have placed all files.

In the destination window, you can rename files, remove them or open them, if necessary.

You can save and open CD Project files from the File menu, as with other document types.

CD Project files have the extension ".cdp".

To create a Mixed Mode CD (i.e. a CD with both audio and data), you need to create a special Audio Track folder under the "root" of the CD in the destination window. This is done by selecting "Add Audio Track folder" from the Edit pop-up menu. All audio files you want included as audio tracks on the CD should then be dragged to this folder.

To write the CD, select "Write CD" from the CD menu in the destination window, or click the CD icon.


The Backup Plan window

This is where you specify a Backup Plan, i.e. set up which files on your disks and other media should be backed up. The left part of the window corresponds to the folder hierarchy on your hard disk(s), while the right part contains lists for specifying which folders and files should be backed up (included) and which shouldn't (excluded).

For information on how to set up a Backup Plan, please refer to the printed manual or the topics about Backups in the "Working in WaveLab" section of the help.


The Label Editor

This window allows you to create labels for your CDs. There are three tabs, for the case front, case back and disc label, respectively. The tools (available on the Tools pop-up menu and as icons on the toolbar) let you add graphic objects such as lines and circles, images from disk, text and CD track lists (which use variables to automatically display the correct track names and other information).

Note: when creating the Case front label, you should first decide whether you want this to be single- or double-sided.

This is done in the Page layout dialog on the Printing pop-up menu.

Read more in the "Working in WaveLab" section of the help.


Master Section

This is the Master Section window, the heart of WaveLab's "real-time engine" and the final block in the signal path, before the audio is sent to the audio hardware (or to an audio file on disk).

The settings and processors in the Master Section are taken into account in the following cases:

When playing back an audio file in a Wave window.

When playing back an Audio Montage.

Note that the Master Section effects are global for all clips and tracks in a Montage, as opposed to the individual clip effects.

When using the Render function with any of the above.

The Render function (called "Apply" in previous WaveLab versions) writes the output of the Master Section to a file on disk, allowing you to apply Master Section processing to a Wave or mix down a Montage to an audio file.

When using the Live Input mode.

Handling the Master Section panes

The three panes in the Master Section window correspond to the Master Section's three "processing blocks": Effects, Master Level and Dithering. The signal passes through these blocks from top to bottom.

Clicking on the Hide button (the button in the top right corner) for a pane will "fold" it, leaving only the pane title bar visible.

This is useful for saving screen space, if you e.g. don't need to see the Dithering settings. Note that the red indicator for the pane will still be visible when the pane is hidden, allowing you to see at a glance whether effects, master volume or dithering are used or not.

To show a hidden pane, click its Hide button again.

Right-clicking (or [Ctrl]-clicking) a Hide button will hide the other two panes and bring the clicked pane to view (if hidden).

Double clicking a Hide button will hide or show that pane and the pane(s) below it.

The red indicator in the top left corner of each pane shows whether the pane is "active" (effects are activated, the master level is adjusted, the output is summed to mono or dithering is applied).

For details on the different panes and settings in the Master Section, use the following links:

The Effects pane

The Master Level pane

The Dithering pane

The Render button


The Effects pane

Here, you can insert up to eight effect plug-ins (WaveLab-specific plug-ins, VST plug-ins or DirectX plug-ins) in series.

To add an effect plug-in for a slot, click on the slot or the numbered button and select an effect from the pop-up menu that appears.

When you have selected an effect, it is automatically activated (the On button lights up), and its control panel appears as a separate window.

You can turn off an effect (without removing it) by clicking its On button.

To activate the effect again, click the On button so that it lights up.

To hide the control panel for an effect, right-click its On button (or right-click the effect slot and select Hide from the pop-up menu that appears).

A hidden control panel can be shown by right-clicking the On button again (or by selecting Show from the same pop-up). You can also have one effect panel shown and automatically hide all the other panels, by right-clicking the Solo button for the slot.

Clicking the Solo button for an effect will bypass all other effect slots, allowing you to check the sound of that effect only.

You can change the order of the slots (and thus the order in which the signal passes through the effects) by clicking a slot and dragging it to a new position.

When you drag, a dotted outline shows the position of the slot.

To remove an effect from a slot, right-click the slot and select Remove from the pop-up menu that appears.

This is the same as selecting "None" from the effect selection pop-up menu.


The Master Level pane

This is where you govern the final output level, by using the master faders. When you set the levels, it's particularly important to avoid clipping (signal levels exceeding the available headroom), especially when mastering. Clipping is indicated by the Master Section's clip indicators (above the meters in the Master Level pane) and by the number of clips indicators in the Level/Pan meter window.

About the Link mode

The Link button determines whether the faders should be "ganged" (indicated by a lit Link button) or individually adjustable. Normally, you will probably want Link activated, so that moving one fader also moves the other by the same amount. Turning off Link allows you to correct improper stereo balancing by adjusting the channels' levels individually. Note:

If you offset the faders (with Link turned off) and then activate Link again, you can adjust the overall level without changing the level offset between the channels.

In other words, moving one fader will move the other one by the same amount, relative to its current setting. Note that the faders use an exponential scale - this means that when you move one fader, the other does not follow in a linear fashion on the screen. However, the audio result is what you expect.

Fader offsets are not preserved at the end of the range of movement.

This means that if you move one fader so that the other fader reaches the top or bottom of the scale, and keep moving it, the fader offset will be disrupted.

About the meters

The Master Section meters show the signal level of the signal before dithering (or any other plug-in you have applied post-master fade). Use these to get an overview of the signal levels.

For critical level metering, we recommend using the level/pan meter window. Not only is this more detailed, it's also applied after the whole Master Section (after dithering) and will thus show the actual signal level sent to the audio hardware.

The Mono button

If you activate the Mono button, the two channels will be summed to mono. Furthermore, the output level is automatically reduced by -6dB, to avoid clipping. The Mono button is useful for checking mono compatibility of stereo mixes, etc.

If the Mono button is activated, the red indicator for the Master level pane will be lit, even if the master level isn't adjusted.

This helps you avoid accidentally leaving the Mono button activated.

The Dropout indicator

This indicator lights up whenever WaveLab fails to properly play back as little as a single sample of the currently selected wave. A dropout is most likely to occur when your computer does not have the processing power to adequately handle all effect processors you have inserted.

To avoid dropouts, try the following:

Use fewer effects.

You might be running out of processing power.

Consider "Rendering" the processing rather than running it in real time. Then master from the processed file without any processors plugged in.

Dropouts never occur when "Rendering" to a file.

Do not process any files in the background while mastering digitally to a DAT for example.

If neither of the above helps, please check the audio card preference settings, you might need to adjust the audio buffer settings.

If a dropout occurs during a real-time mastering process (and if your master needs to be flawless) we recommend that you re-master. Stop playback, click on the dropout indicator to reset it, and try again.

As mentioned above, this indicator lights up if as little as a single sample is not correct. This type of precision is not often required, but it's there if you need it.


The Dithering pane

The Dithering pane allows you to add dithering to the signal before it's sent to the audio hardware or to a file on disk. Dithering is required to optimize the audio quality when reducing the numer of bits in a recording, for example when moving from 24 bits to 16 bits. Typically, you should use the Bit Meter to check whether the resolution of the playback signal is higher than the "target resolution" (e.g. 16 bits if you're mixing down to a 16 bit file).

For some theory about dithering, please see What is dithering?

To select and activate a dithering algorithm, click the effect slot in the Dithering pane and select an option from the pop-up menu that appears. By default, you can choose between WaveLab's internal dithering algorithm and Apogee's renowned UV22HR algorithm, but it's also possible to add any plug-in of your choice to this list (by activating the "PM" setting for the plug-in in the Organize Master Section plug-ins dialog).

When the "Intern" option is selected, you make settings with the parameters in the Dithering pane:

Parameter | Description
Noise Type | Determines the dithering method used: In "Off" mode, no dithering is applied - use this as a Bypass function. The "Type 1" mode is the most "all-round" type of method. The "Type 2" mode emphasizes higher frequencies more than Type 1.
Noise Shaping | This parameter alters the character of the noise added when dithering. Again, there are no hard and fast rules, but you may notice that the higher the number you select here, the more the noise is moved out of the ear's most sensitive range, the mid-range.
Output Bit Resolution | This is where you specify the intended bit resolution for the final audio, after dithering, regardless of whether you will "Render" the settings or play back in real-time. It is very important to set this to the correct resolution!

When you select the "UV22HR" option, a special control panel appears. This is where you make settings for the UV22HR dithering.

The following settings are available for the UV22HR algorithm:

Option | Description
Normal | Try this first, it is the most "all-round" type.
Low | This applies a lower level of dither noise.
Autoblack | When this is activated, the dither noise is gated (muted) during silent passages in the material.
Bit resolution | You use the buttons 8, 16, 20 or 24 to select the intended bit resolution for the final audio. As when using the internal dithering, it is very important to set this to the correct resolution!

Once you have selected a dithering algorithm, dithering is active (as indicated by the red indicator for the Dithering pane). It will apply to all playback (through the Master Section) or rendering. To turn off dithering completely, right click in the slot and select "Remove" from the pop-up menu that appears (or select "None" from the effect selection pop-up menu).


The Render button

This allows you to Render the output to a file, instead of playing it back in real time. There are several uses for Rendering:

Mix down a complete Audio Montage to an audio file.

This can be a goal in itself, but can also be necessary if your Montage uses e.g. more effects than the system can handle in real time. By Rendering it to a file first, and creating a CD from this file instead, you can avoid dropouts and CD burning failure.

Mix down a file in a Wave window to a new audio file, complete with Master Section effects, dithering and other and settings.

You can freely choose the format of the new audio file, allowing you to create an mp3 file and add effects at the same time, for example.

"Apply" all settings in the Master Section to a file in a Wave window.

This is the same as the previous option, but the Master Section processing will transparently and permanently be "applied" to the current file instead.

For details, please see the appropriate sections in the Operation Manual and the help for the Render dialog.


Live Input

Live Input means that the Master Section is used for real-time processing of signals coming in to the sound card's input(s). This signal can be anything your sound card accepts, for example a feed from a mixer, a tape recorder or a microphone.

The Live Input window has no settings, but is merely an indicator that Live Input is enabled. Note:

To activate the Live Input, click the Play button on the Transport bar.

To resume regular playback of opened waves, click Stop, or click on any Wave window.

It is not possible to start playback of a wave while the Live Input window is active. You must activate a Wave window before clicking the Play button.

An interesting application of the Live Input feature is to record with effects. This is done by combining Live Input mode with the Record Playback Output mode in the Record dialog. With this setup, your audio input source will be processed by the Master Section in real-time and the output of the Master Section will then be recorded as a new audio file.


The File menu

Click an item in the list below to get information about the corresponding menu item. For detailed information about dialogs opened from this menu, use the help in the dialog.

New

Open

Revert to saved

Close

Save

Save as

Save all

Save special (wave)

Save special (montage)

Add to backup plan

Add to CD Project

Information

Open Containing Folder

Favorites

Recent Documents submenus

Exit


New

Opens a submenu with the following items:

Item | Description
Wave | Creates a new empty Wave window. You will be asked to specify attributes for the wave.
Audio Montage | Creates a new empty Audio Montage. If you have saved a Montage Template, the new Montage will get the sample rate of the Template. If there is no Montage Template, you will be asked to specify a sample rate for the Montage.
Basic Audio CD | Creates a new, empty Basic Audio CD. This is a list used to assemble the audio files that you want to include on a CD.
CD Project | Creates a new, empty CD Project window. This is used for assembling files and folders that you want to include on a data (or Mixed Mode) CD.
Label set | Lets you create a new set of labels for a CD. You will be asked to select a Label Template to use.
Backup plan | Select this to create a new backup plan, in which you can specify which folders and files on your hard disk(s) should be backed up.
Audio Database | Creates a new empty Audio Database window. You will be asked to specify a name and location for the new Audio Database.
Workspace | Creates a new empty Workspace window. You will be asked to specify a name and location for the new Workspace.


Open

Opens a submenu with the following items:

Item

Description

Wave

Allows you to locate an audio file and open this in a Wave window. A number of audio file formats are included - use the file type pop-up in the file dialog to determine which files should be listed.

Audio Montage

Allows you to open a saved Audio Montage file (extension ".mon").

Basic Audio CD

Allows you to open a saved Basic Audio CD file (extension ".cd").

CD Project

Allows you to open a saved CD Project (extension ".cdp").

Label set

Allows you to open a saved set of CD labels (extension ".lab").

Audio CD Report

Allows you to open a saved Audio CD Report (extension ".rtf").

Audio Database

Allows you to open a saved Audio Database (extension ".dba").

Workspace

Allows you to open a saved Workspace file (extension ".prj"). Opening a Workspace will close all currently opened documents. Only one Workspace can be opened at a time.

Backup plan

Allows you to open a saved backup plan (extension ".bkp").

Archive

Allows you to open an archive (.zip-file), which could be created by WaveLab's Backup function, or another Zip application.

Import cue-sheet/CD image as Audio Montage

In WaveLab (and other applications) you can create a CD image (a single audio file containing all audio to be burned to CD) with an accompanying cue-sheet (a text file identifying the CD tracks in the CD Image, etc.).

This item lets you import such a cue-sheet and automatically create a new Audio Montage, with clips/tracks as specified in the cue-sheet and referring to the audio in the CD Image. The new Montage is ready to burn to CD.


Revert to saved

This reverts the active document window to its last saved state. Use this as a super-undo to undo all changes you made since you last saved.


Close

This closes the active window (and all its related windows). If you close a document window with unsaved changes, you will be asked whether you want to save the document first.


Save

This saves any changes made to the active document. If the document has never been saved, the Save As dialog appears instead.


Save as

This opens a file dialog, allowing you to save the active document with the name and location of your choice. You can also use this dialog to convert a document from one format to another (e.g. convert a Wave file to an MP3 file).


Save all

This opens the "Save All" window, which allows you to save all or some of the open documents.


Save special (wave)

This submenu is available when a Wave window is active. It contains the following items:

Item | Description
Encode (ACM) | Allows you to save the wave file in an audio compression format of your choice. Which formats are available depends on which ACM compression codecs are installed in your system. Note that the files will be Wave files (extension .wav), but instead of the regular "linear" audio data that usually makes up a wave file, a special audio data "chunk" is included, containing the compressed audio.
Encode (MP3) | Allows you to save the wave file as an MPEG Layer 3 file (".mp3"). Selecting this item opens a dialog with options and settings for the mp3 encoding.
Encode to Windows Audio Media (WMA) | Allows you to save the wave file as an Windows Audio Media file (".wma"). Selecting this item opens a dialog with options and settings for the wma encoding.
Save selection as | Only available if you have made a selection in the active Wave window. This item saves the current selection as a separate file.
Save a copy | This works just as Save As, only it creates a copy of the file without affecting the original.
Save left channel as | This allows you to save only the left channel of a wave, in a separate file. The dialog that appears is the regular Windows "Save As" dialog.
Save right channel as | This allows you to save only the right channel of a wave, in a separate file. The dialog that appears is the regular Windows "Save As" dialog.


Save special (montage)

This submenu is available when an Audio Montage window is active. It contains the following items:

Full cloning (recreate audio files)

Allows you to save a copy of the current Montage, in which the actual source audio files are copied as well. You will be asked to specify a name and location for the folder to contain the copies.

Save as template

This allows you to save the active Montage as a template. The template file contains all settings and options in the Montage, but no clips. Next time you create a new Audio Montage (by selecting New Montage on the File menu), the template file is used as a basis for the new Montage. This allows you to create a custom track layout and other settings, once and for all.

You can only have one Montage template - saving a template will overwrite the previous template.

When a new Montage is created based on the template, the new Montage will automatically get the sample rate saved in the template.

To change this, select Audio Properties from the Edit menu and select another sample rate in the dialog that appears.


Add to backup plan

This allows you to add any current active document to a backup plan. You can either create a new plan, use a currently open plan or use a previously saved plan.

A document has to be saved to disk before you can add it to a backup plan.


Add to CD Project

This allows you to add any current active document to a CD Project. You can either create a new project, use a currently open project or use a previously saved project.

A document has to be saved to disk before you can add it to a CD Project.


Information

This displays information about the active document.


Open Containing Folder

This option opens a browser to let you view the entire contents of the folder in which the active document "belongs".


Favorites

This list allows you to quickly access the audio files you work with often, or your "favorite" files. You organize this list yourself by using the items on the Functions submenu:

Item | Description
Add current document | Adds the active document file to the Favorites list.
Validate list | This function will go through the Favorites list and check that all files on the list exist. If a file is found missing, the file is removed from the Favorites list.
Clear list | Clears the Favorites list.


Recent Documents submenus

On the bottom of the File menu you will find one or several hierarchical menu items that allow you to open recently used files. There are different submenus for different file types, as indicated by the menu items ("Recent Audio Files", "Recent Audio Montages", etc.).

Each section holds up to twenty files. Selecting an item on one of the submenus opens the corresponding file.


Exit

This is used to quit (exit) WaveLab. If you have any unsaved changes, the Save All dialog will automatically appear.


The Edit menu

Undo

Redo

Clear Undo

Cut

Copy

Paste

Paste special

Trim

Delete

Insert Audio File:

Select

Copy to new window:

Silence

Insert silence

Swap channels

Erase selected range (montage)

File Attributes

Audio Properties


Undo

This allows you to undo your operations. There is no real limit to the number of operations that can be undone. For more info, see Undo Topics.


Redo

If you have undone something and change your mind, this item allows you to redo it! There is no real limit to the number of operations that can be redone. For more info, see Undo Topics.


Clear Undo

This item opens up a window that allows you to clear the Undo buffer for the active wave file, if it uses up too much of your hard disk space. After this you will not be able to undo or redo the operations previously performed on the file. For more info, see Undo Topics.


Cut

This removes the selected item and puts it in an invisible storage area called the clipboard. You can then Paste it in somewhere else. For more info, see clipboard Topics and Basic Editing Topics.


Copy

This copies the selected item to an invisible storage area called the clipboard. You can then Paste it in somewhere else. For more info, see clipboard Topics and Basic Editing Topics.


Paste

This take the data on the clipboard and pastes it in into the active window.

There are slightly different rules for this, depending on whether you paste in a Wave window or in a Montage window:

In a Wave window, the following applies: If you have no selection, the paste happens at the cursor. If you have a selection, it is replaced by the pasted data. For more info, see clipboard Topics and Basic Editing Topics.

In a Montage window, pasting a single clip or audio selection brings up a pop-up menu with various options for how existing clips should be affected. For details, bring up this pop-up menu (by pasting or inserting a clip or file in the Montage), and consult the help item on the menu to find out what the different options do.


Paste special

Overwrite

This is just as a regular Paste. The only difference is that instead of moving already existing data forward to "make room" for the pasted data, it overwrites the data from the cursor position and onwards.

Append

This is just as a regular Paste but the data is added at the end of the wave.

Prepend

This is just as a regular Paste but the data is added at the beginning of the wave.

Multiple copies

This allows you to repeat material. Cut or Copy and then use this item to specify how many times the material should be pasted in.

Mix

This pastes in the data, but mixes it with the existing material, rather than replacing or inserting.


Trim

This item deletes everything but the selection.


Delete

This removes the selected material from the wave.


Insert Audio File:

At start

Allows you to insert an audio file immediately before the beginning of the active wave file.

At end

Allows you to insert an audio file immediately after the end of the active wave file.

At cursor position

Allows you to insert an audio file anywhere in the active wave file. The imported audio file is inserted at the current cursor position, and the active wave is split and moved to "make room" for the imported file.


Select

All

This selects the entire wave.

Toggle

This turns the selection on and off. I.e. a selection gets deselected and then selected again every time you use this item.

From cursor to start of file

This creates a selection from the cursor to the beginning of the wave.

From cursor to end of file

This creates a selection from the cursor to the end of the wave.

From cursor to previous edge

This creates a selection from the cursor to the previous marker, or, if there is no marker before the cursor position, to the beginning of the wave.

From cursor to next edge

This creates a selection from the cursor to the next marker, or, if there is no marker after the cursor position, to the end of the wave.

Extend to start of file

This extends an existing selection to the beginning of the wave.

Extend to end of file

This extends an existing selection to the end of the wave.

Extend to previous edge

This extends an existing selection to the previous marker, or, if there is no marker before the selection, to the beginning of the wave.

Extend to next edge

This extends an existing selection to the next marker, or, if there is no marker after the selection, to the end of the wave.

Extend to cursor

This extends an existing selection to the cursor position.

Extend to peaks

This sets the level selection to the highest peak in the current time selection. For more info, see the Selecting Topics.

Double selection length

This option extends an existing selection to double its original length.

Halve selection length

This option reduces an existing selection to half its original length.

Extend to all channels

If you have made a selection in one of the channels only, selecting this item will expand the selection to cover both channels.

Left channel only

Moves the current selection to the left channel only.

Right channel only

Moves the current selection to the right channel only.

CD track

If the cursor is positioned between the markers for a CD track and you select this item, all audio data that make up the CD track is selected.

Loop region

If the cursor is positioned between two Loop markers and you select this item, all audio data that make up the Loop region is selected.

Mute region

If the cursor is positioned between two Mute markers and you select this item, all audio data that make up the Mute region is selected.


Copy to new window:

As is

This copies the selection into a new (automatically created) window.

Convert to Stereo

This copies the selection into a new (automatically created) window and converts it to stereo.

Convert to Mono (Mix)

This copies the selection into a new (automatically created) window and converts it to mono by mixing the two channels.

Convert to Mono (Subtract right channel from left channel)

This copies the selection into a new (automatically created) window and converts it to mono by subtracting one channel from the other. The resulting mono file consists of the difference between the two original channels. This way you can, for instance, verify that a wave file really is a true stereo file rather than a mono file converted to stereo.


Silence

This replaces the selection with silence.


Insert silence

This inserts a section of silence into the wave. The inserted silent section has the same length as the selection and begins where the selection begins.


Swap channels

This swaps the selected material between the left and right channels in a stereo wave. Note that you must select across both channels for this command to work.


Erase selected range (montage)

Selecting this item (only available if you have made a selection range in the active Montage) will remove all audio within the range, splitting and removing clips where necessary. Unlike with Cut or Delete, clips to the right of the selection are not moved to fill up the gap.


File Attributes

This item opens a dialog that lets you enter various information to be added to the header of the wave file. For more information, open the dialog and use the help button in it.


Audio Properties

This opens a dialog where you can change the bit resolution and sample rate of the active wave file (or, if a Montage window is active, the sample rate of the Montage).


The Options menu

Preferences

Default text variables

Key commands

Organize Master Section plug-ins

Use Master Section

Snap to zero-crossing

Snap to time unit

Magnetize bounds

Restart loop on change

Stop after playback browsing

Play Left channel

Play Right channel

Scrolling during playback:


Preferences

Opens the Preferences dialog. This dialog is used for making a number of overall settings for the program.

Please note that to make these settings permanent, make sure "Save Preferences on exit" on the "General" tab is activated.

For more information about the items under each tab, open the dialog and use the help button.


Default text variables

This allows you to set up and save a default set of text variables, which will then automatically be used when creating label sets.

For details, open the dialog and use the help.


Key commands

This opens up a dialog where you can define your own key commands.


Organize Master Section plug-ins

This opens up the Plug-ins manager dialog. This dialog allows you to organize the way your effect plug-ins appear on menus in the program. This can be useful, especially if you add extra plug-ins to your system. Furthermore, sometimes when you install a package of Direct-X plug-ins, effects are installed that are of no relevance to WaveLab.

For details, open the dialog and use the help.


Use Master Section

This is used to disable/enable the whole Master section. When this is deactivated, some other functions in the software becomes unavailable.


Snap to zero-crossing

When this is activated, selections will snap to the closest zero crossing. For more info, see "Selecting" Topics.


Snap to time unit

When this is activated, selections will automatically extend to the left and right so that they start and end at whole time units. The time unit used depends on the scale selected for the ruler.


Magnetize bounds

When this is activated the following items become "magnetic":

The Start and End of the entire wave.

The Start and End of the selection.

The wave cursor.

The Time ruler origin, if different than 0.

Markers.

This is used in the following operations:

When positioning the cursor by clicking or dragging in the ruler.

When creating or adjusting a selection.

When positioning markers.

When dragging and dropping a selection.


Restart loop on change

This setting affects the playback behavior when you are playing back a loop: When "Restart loop on change" is activated, and you change the position or the loop points, playback will immediately restart from the beginning of the loop. The advantage with this is that you will be able to hear the change immediately.


Stop after playback browsing

This option affects the behavior of the Playback Browser (a feature that helps you find a certain position in an audio file, by playing back audio when you click or drag in the ruler). If "Stop after playback browsing" is activated, playback will stop after you release the mouse button; otherwise playback will continue.


Play Left channel

Use this option to determine whether the left channel in the wave file should be played back or not. Turning off one channel can be extremely useful when using a lot of effects on a computer with limited processing power. If you try out a combination of effects while only playing one channel, only half the processing power is required.


Play Right channel

Use this option to determine whether the right channel in the wave file should be played back or not. Turning off one channel can be extremely useful when using a lot of effects on a computer with limited processing power. If you try out a combination of effects while only playing one channel, only half the processing power is required.


Scrolling during playback:

Immobile view

When this option is selected, the wave window will not scroll during playback.

view follows cursor

When this option is selected, the wave view will automatically change when the cursor reaches the right side of the window during playback.

Scroll wave (partial)

When this option is selected, the wave window will scroll continuously during playback, attempting to keep the cursor in the middle of the view. However, if Loop mode is activated and the loop range fits on the screen, no unnecessary scrolling takes place, allowing for a more stable view of the loop. The program will also "sense" the end of a file and stop scrolling when it is "in view", rather than when the end is reached.

Scroll wave (always)

When this option is selected, the wave window will scroll continuously during playback, attempting to keep the cursor in the middle of the view at all times.


The Window menu

Cascade

Tile Horizontally

Tile Vertically

Arrange minimized windows

Close all:

Minimize all:

Restore all:

Window list

More windows


Cascade

This arranges all open windows in an overlapping pattern.


Tile Horizontally

This adjusts all open windows so that they appear side by side, horizontally.


Tile Vertically

This adjusts all open windows so that they appear side by side, vertically.


Arrange minimized windows

This arranges all minimized WaveLab documents in a neat order at the bottom the WaveLab window.


Close all:

Windows

This closes all open WaveLab document windows, regardless of type, as well as non-modal dialogs.

Wave windows

This closes all open WaveLab Wave windows.

Meters

This closes all open WaveLab meter windows.


Minimize all:

Windows

This minimizes all open WaveLab document windows, regardless of type.

Wave windows

This minimizes all open WaveLab Wave windows.


Restore all:

Windows

This restores all minimized WaveLab windows, regardless of type.

Wave windows

This restores all minimized WaveLab Wave windows.


Window list

This is a list containing ten of the open WaveLab documents, regardless of whether the windows are open or minimized. Selecting one makes it the active window.


More windows

If you have more than ten documents open, this presents a list of them, in a window. Double clicking one makes it the active window.


The Help menu

Help Topics

System information

Free disk space

Steinberg on the Internet:

About


Help Topics

This takes you to the on-line help Contents, Index and Find dialog.


System information

Opens a dialog with detailed information about your system soft- and hardware. This information is useful if you need to contact Steinberg's technical support.


Free disk space

This opens a window which displays the free space on your disk drives.


Steinberg on the Internet:

Send feedback

You have the possibility of sending feedback directly to the WaveLab development department. All messages are thoroughly read and taken into account. Please observe however, that this is not a technical-support service: no answer will be sent back to you. For technical-support, see the Steinberg web pages. Messages must be written in english.

Online support

This will start your Internet browser and allow you to contact Steinberg's technical support.

Latest updates

This will start your Internet browser, and allow you to check for possible available program updates.

Knowledge Base

Before contacting technical support, you might want to try this. Steinberg maintains a large knowledge database in which you may find answers to many questions you might have. This will start you Internet browser and let you peruse that database.

Steinberg Home Page

This will start your Internet browser and automatically take you directly to the Steinberg Home Page.

Steinberg Media Technologies

This will start your Internet browser and automatically take you directly to the Steinberg Media Technologies Home Page.

International Distributors

This will start your Internet browser and automatically take you directly to a list of Steinberg distributors worldwide, to let you find your nearest local distributor.

Cubase.net Home Page

This will start your Internet browser and automatically take you directly to the Cubase Home Page.


About

This opens a dialog to show you which version of WaveLab you are running.


The Process menu

Normalize

Change gain

Dynamics

Easy Fade

Fade In/Out

Crossfade

Invert phase

Reverse

Eliminate DC offset

Waveform Restorer

Time stretch

Pitch correction

Pitch Bend

Harmonization

Hi-fi chorus

Convert sample rate


Normalize

This opens up the Normalize dialog. This dialog is used to change the gain (volume) of a selection. The amount of gain change is restricted to a maximum of full digital loudness (0 dB). The idea behind this is to allow you to optimize the gain of low level wave files without introducing clipping.

For details, open the dialog and use the help item.


Change gain

This opens up the Change Gain dialog. This dialog is used to change the gain (volume) of the selection. It differs from Normalize in that the change in volume is specified as an absolute value. Hence, this dialog allows you to change the gain to more than "full level" and thereby introduce clipping.

For details, open the dialog and use the help item.


Dynamics

This opens up the Dynamics dialog. This dialog allows you to tailor the dynamics of the audio, to create effects like compression and limiting.

For details, open the dialog and use the help item.


Easy Fade

This allows you to quickly apply a fade-in or a fade-out to a selected range of audio, depending on whether the selection is from the beginning or at the end of a wavefile.


Fade In/Out

This open up the Fade In or Fade Out dialog (depending on whether you have selected a range in the beginning or at the end of an audio file). This dialog allows you to set up a Fade In (a gradual increase in level) or a Fade Out (a gradual decrease in level) and view a graphic representation of the fade curve in the Wave Display.

For details, open the dialog and use the help item.


Crossfade

This opens up the Crossfade dialog. A crossfade is a gradual fade between two sounds, where one is faded in and the other is faded out. This dialog allows you to do just that. It also lets you create plain mixes of two sounds (without affecting their respective levels). As you adjust the values, curves indicating the fade are drawn in the wave display.

For details, open the dialog and use the help item.


Invert phase

This inverts the Phase of the selection (turns the curve upside down). For more info, see Invert Phase.


Reverse

This turns the selection backwards (reverses it).


Eliminate DC offset

This removes any DC offset in the selection. For more info, see Eliminate DC Offset.


Waveform Restorer

This lets you remove any clicks and pops in a selected range of an audiofile.

For details, open the dialog and use the help item.


Time stretch

This opens up the Time Stretch dialog. Time stretch is an operation that allows you to change the length of a wave file or a selection with or without affecting its pitch. Actually the standard term "time stretch" is a bit misleading since you can of course also make the material shorter.

This function is most often used to make a section of audio fit in with some other material.

For details, open the dialog and use the help item.


Pitch correction

This opens up the Pitch Correction dialog. Pitch Correction is a function that allows you to change the pitch of a sound, with or without affecting its length.

For details, open the dialog and use the help item.


Pitch Bend

This lets you change the pitch of a selected range in an audiofile. The pitch change is applied according to an envelope curve you specify.

For details, open the dialog and use the help item.


Harmonization

This opens up the Harmonization dialog. Harmonization allows you to create up to sixteen differently pitched sounds by changing the pitch of the original sound. This effect can be used for creating harmonies, special effects, etc.

For details, open the dialog and use the help item.


Hi-fi chorus

This opens up the Hi-fi Chorus dialog. Many chorus effects work by delaying a copy of the signal, varying the amount of delay continuously and mixing the delayed signal with the original.

WaveLab creates chorus in a slightly different way. Since a chorus effect is basically about making a recording sound like it was performed by many "identical musicians", WaveLab takes just that approach. It multiplies the recording up to 100 times (using the same high quality pitch shifting engine as in the pitch correction and harmonization effects), detunes and delays each "voice" slightly and - if so desired - pans the voices across the stereo image.

For details, open the dialog and use the help item.


Convert sample rate

This opens up the Sample Rate Conversion dialog. This function allows you to change the sample rate of a recording. This is very convenient if you have a file that you wish to use in a certain audio system and find that the file was recorded at a sample rate this system doesn't support.

Sample Rate conversion is always applied to the entire file. Any selection you have made is not used in any way for this operation.

For more information, open the dialog and use the help item.


The Database menu

Add

Scan disk

Global Find

Global Filter

Show details

Simple list

Small icons

Large icons


Add

Selecting this item opens up a regular Windows file dialog where you can select the file(s) you want to add to the Database.


Scan disk

This item first opens up a small file dialog box where you can decide on which drive and folder to start searching for files. After this, yet another dialog appears allowing you to specify criteria to choose which files are added to the Database. For more info, open the dialog and use help.


Global Find

This opens up the Global Find dialog, which allows you to find all files in the Database that match certain criteria.

For details, open the dialog and use the help.


Global Filter

This opens up the Global Filter dialog. This dialog allows you to set up criteria so that the list always shows only files that meet certain criteria. You might for example want the list to only display stereo files, regardless of which category or folder you click on.

For details, open the dialog and use the help.


Show details

This displays the files in a list where the files details are shown in columns.


Simple list

This displays the files in a simple list, without any extra information about each one.


Small icons

This displays the files as small icons.


Large icons

This displays the files as large icons.


The Wave menu

Cut

Copy

Paste

Delete

Silence

Play Selection

Zoom Selection

Create CD track from Selection

Create Mute region from Selection

Create Loop region from Selection

Create Generic region from Selection

Select

Snap cursor

Elements

Colors


Cut

This removes the selected material and puts it in an invisible storage area called the clipboard. You can then Paste it in somewhere else.


Copy

This copies the selected material to an invisible storage area called the clipboard. You can then Paste it in somewhere else.


Paste

This take the data on the clipboard and pastes it in into the active window.

If you have no selection, the paste happens at the cursor. If you have a selection, it is replaced by the pasted data.


Play Selection

Selecting this item plays the selection only. You can also press [F6] to do the same thing.


Zoom Selection

This changes the zoom factor so that the selection fills the entire window.


Create CD track from Selection

This creates a CD track from the current selection, by placing CD markers at the beginning and end of the selection. CD tracks cannot overlap, so this function is only enabled if the current selection is not within an already defined CD track.


Create Mute region from Selection

This creates a Mute region from the current selection, by placing Mute markers at the beginning and end of the selection.


Create Loop region from Selection

This creates a Loop region from the current selection, by placing Loop markers at the beginning and end of the selection.


Create Generic region from Selection

This creates a Generic region from the current selection, by placing Generic markers at the beginning and end of the selection.


Snap cursor

This moves the cursor to the closest zero crossing to the left of the current position. If "Snap to time unit" is activated, the cursor will instead move to the zero crossing to the left of the closest whole time unit to the left of the current position. For example, if Time Scale is selected for the rulers, "Snap to time unit" is activated, and you use this function, the cursor will search for the closest whole second to the left, and then move to the zero crossing to the left of that position.


Elements

Time ruler

This hides/shows the time ruler.

Level ruler

This hides/shows the level ruler.

Solid markers

With this activated, marker lines are shown as solid lines. When neither this nor "Dotted markers" are active, marker lines are not shown at all.

Dotted markers

With this activated, marker lines are shown as dotted lines. When neither this nor "Solid markers" are active, marker lines are not shown at all.

Marker Names

When this is activated, markers are displayed with their names.

Cursor width

These three menu items set the width of the cursor line (thin, medium or fat).

Solid zero level axis

When this is activated, a solid line stretches through "the middle" of the wave. When neither this nor "Dotted zero level axis" are activated, no line at all is shown.

Dotted zero level axis

When this is activated, a dotted line stretches through "the middle" of the wave. When neither this nor "Solid zero level axis" are activated, no line at all is shown.

Solid half level axis

When this is activated, a solid line stretches through the +/- 50 levels in the wave. When neither this nor "Dotted half level axis" are activated, no line at all is shown.

Dotted half level axis

When this is activated, a dotted line stretches through the +/- 50 levels in the wave. When neither this nor "Solid half level axis" are activated, no line at all is shown.

Draw waveform outline

When this is activated, a solid line is drawn to outline the waveform.

End of file indicator

When this is activated, the end of the wave file is indicated in the wave display.


Colors

These menu items allow you to select a color for each element of the wave display.


The view menu

Window layouts

Control bars:

Specialized Windows:

Document Switch Bar

Remember active window's layout as opening setting

Duplicate view

Clipboard:

Maximize width

Zoom:

Scroll to:

Move cursor to:

Snap cursor

Show tabs only

Show tracks only

Audio Montage colors

Wave window styles:


Window layouts

This opens the Window Layouts dialog. This dialog is used to create and manage Window Layouts. A Window Layout includes the following:

The size, location and minimize/maximize properties of document windows. This does not include the contents of the window, just the properties of the window "frame" itself. For example, if some Database window was included in the Window Layout, the Database you currently have open when you Load the Preset will be sized and moved accordingly.

Positions of "non-modal" dialog boxes, such as the off-line processors. This includes opening any such windows.

Positions of plug-in processor panels.

Windows that are already open will never be closed as a result of recalling a Window Layout.

For details, open the dialog and use the help.


Control bars:

Standard commands

This shows/hides the Standard commands toolbar.

Transport

This shows/hides the Transport.

Meters

This shows/hides the Meters toolbar.

Window Controller

This shows/hides the Window Controller toolbar.

Wave Toolbox

This shows/hides the Toolbox.

Wave Snapshots

This shows/hides the Snapshot window/toolbar.

Marker Toolbar

This shows/hides the marker toolbar.


Specialized Windows:

Wave markers

This opens the marker window allowing you to view, rename and delete markers.

Master Section

Shows/Hides the Master Section window. When you hide the Master section, all plug-in windows are automatically closed. Hiding the Master Section does not mean it is deactivated, just that its window is closed. Real-time processing is still active. If you want to deactivate the master section, disable "Use Master Section" on the Options menu.

Monitor

This shows/hides the Monitor window. This window shows you how hard your computer's CPU is working with various processes.

For details, open the dialog and use the help.

Live Input

This shows/hides the Live Input window. Live Input means that the Master Section is used for real time processing of signals coming in to the sound card's input(s). This signal can be anything your sound card accepts, for example a feed from a mixer, a tape recorder or a microphone.

This option requires either an audio card with full duplex, or two cards, one for recording and one for playback!

For details, open the dialog and use the help.


Document Switch Bar

The Document Switch Bar is a bar of "tabs" with one tab for each open document window. By clicking on a tab, you bring the corresponding document window to the front. The Document Switch Bar submenu on the view menu allows you to position the bar at the top, bottom, left or right side of the screen, or to hide it totally.


Remember active window's layout as opening setting

This option lets you set a default size and position for different types of WaveLab windows. If you size and position a window in a certain way and select this option, all windows of that same type will automatically open in that size and position.


Duplicate view

This creates a new window with a second view of the same document.


Clipboard:

Show

This opens up the clipboard window, which contains the last cut or copied material. For more info, see clipboard Topics.

Clear

This clears the contents of the clipboard (which contains the last cut or copied material).


Maximize width

This sets the window to the maximum possible width.


Zoom:

Restore last zoom

This restores the view to the last used Zoom level.

Overview

Zooms the view out as far as possible.

Zoom in 1:1

Zooms in so that one pixel on the screen represents one sample.

Microscope

Zooms in as far as possible, so that one sample occupies several pixels.

Zoom selection

Zooms in so that the current selection fills the entire window.

Custom

Brings up a dialog that allows you to set any zoom factor.

Optimize vertical zoom

When this is activated, the vertical magnification is adjusted so that the waveform always fills the entire display, vertically.


Scroll to:

Start

This scrolls the view to the beginning of the wave, without changing the cursor position.

End

This scrolls the view to the end of the wave, without changing the cursor position.

Selection start

This scrolls the view to the start of the selection, without changing the cursor position.

Selection end

This scrolls the view to the end of the selection, without changing the cursor position.

Cursor

This scrolls the view to the cursor.


Move cursor to:

Start

This sets the cursor at the beginning of the wave and scrolls the view there.

End

This sets the cursor at the end of the wave and scrolls the view there.

Selection start

This sets the cursor at the start of the selection and scrolls the view there.

Selection end

This sets the cursor at the end of the selection and scrolls the view there.

Previous clip edge

This sets the cursor to the first clip edge (start or end position of a clip in an Audio Montage) to the left of the current position, and scrolls the view there.

Next clip edge

This sets the cursor to the first clip edge (start or end position of a clip in an Audio Montage) to the right of the current position, and scrolls the view there.

Previous marker

This moves the cursor to the first marker to the left of the current position in an Audio Montage, and scrolls the view there.

Next marker

This moves the cursor to the first marker to the right of the current position in an Audio Montage, and scrolls the view there.

Position

This sets the cursor at an arbitrary position you specify in a dialog.


Show tabs only

When this option is selected, the Upper Pane of the Montage window is enlarged to fill the whole window. To display both Panes again, deselect the option.


Show tracks only

When this option is selected, the Track View (Lower Pane) of the Montage window is enlarged to fill the whole window. To display both Panes again, deselect the option.


Audio Montage colors

Opens the Audio Montage Colors dialog, in which you can edit the color settings for various elements in the Montage windows.

For details, open the dialog and use the help.


Wave window styles:

Opens a dialog with a number of options for how the wave windows should look. Selecting one of these options applies the selected Style to the active Wave window. For more info, open the dialog and use the help item.


The Analysis menu

Global Analysis

Audio File Comparer

3D Frequency analysis

Frequency analysis options

Level/Pan Meter

Phase Scope

Spectrum Meter (60 bands)

Spectrum Analyser (FFT)

Bit Meter

Wave Scope

Monitor playback

Monitor audio input

Freeze all meters

Monitor edit-cursor position

Analyse selection

Refresh selection analysis


Global Analysis

This opens the Global Analysis window, which allows you to analyze the current selection in various ways.

For details, open the dialog and use the help.


Audio File Comparer

This opens a dialog which allows you to compare and search two files for differences, and create a file which contains the difference between the two.

For details, open the dialog and use the help.


3D Frequency analysis

This performs a Frequency Analysis of the current selection, and displays this as a 3D graph in a separate window. For more info, see Frequency Graph Topics.


Frequency analysis options

Opens a dialog where you can make settings for the 3D Frequency Analysis.


Level/Pan Meter

Opens the Level/Pan meter window which lets you monitor the peak level and average loudness of audio, as well as the difference in level between the left and right channels in a stereo file.

For more information, open the meter window and use the help item.


Phase Scope

Opens the Phase Scope meter window which lets you monitor the phase and amplitude relation between the left and right channels.

For more information, open the meter window and use the help item.


Spectrum Meter (60 bands)

Opens the Spectrum Meter window which shows a continuous graphical representation of the frequency spectrum, in the shape of a "bar diagram" with 60 frequency bands.


Spectrum Analyser (FFT)

Opens the Spectrum Analyzer window which uses FFT (Fast Fourier Transform) to display a continuous frequency graph. This allows for detailed real-time frequency analysis.

For more information, open the meter window and use the help item.


Bit Meter

Opens the Bit Meter window which lets you monitor the number of bits used, i.e. the resolution of the audio.

For more information, open the meter window and use the help item.


Wave Scope

Opens the Wave Scope window which is a level meter showing the area immediately around the cursor position with a large magnification.

For more information, open the meter window and use the help item.


Monitor playback

If this option is activated, the different meters in WaveLab monitor the audio being played back.


Monitor audio input

If this option is activated, the different meters in WaveLab monitor the audio input to WaveLab. This option is typically used when recording.


Freeze all meters

Selecting this option causes the values and readings of all open meter windows to freeze. They will remain frozen until you select another monitor mode.


Monitor edit-cursor position

If this option is selected, the different meters will be static, showing the levels and other values for the audio at the position of the wave cursor, in stop mode.


Analyse selection

Selecting this option will make the different meters statically display the average values over a selected range.


Refresh selection analysis

When using the "Analyze selection" option, you need to use this option to update the meter displays whenever changing the selection range.


The Database Folders menu

Rename

Remove

Add

Scan disk

Sync to disk

Find

Explore


Rename

This allows you to rename a folder in the Location pane. Please note that this does not rename the real folder on disk.


Remove

This removes a folder and all items in it, from the Database. It does not remove any files from disk.


Scan disk

This item first opens up a small file dialog box where you can decide on which drive and in which folder to start searching for files. After this, yet another dialog appears allowing you to specify criteria to choose which files are added to the Database. For more info, see Using Scan Disk.


Sync to disk

This item allows you to update the Database so that it is in sync with what is really on the disk. For more info, see Syncing to Disk.


Find

This allows you to find items, in the Database, which are located in a certain folder. For more info, open the dialog and select help.


Explore

This opens a miniature version of the Windows explorer, to let you browse for files in the selected folder.


The Database Categories menu

New Category

Rename

Remove

Find

Find unregistered items


New Category

This adds a new category to the list. It is added as a sub-category to the selected category.


Rename

This allows you to rename a category.


Remove

This removes the selected category. Any files in this category become Unregistered items. For more info, see Category Topics.


Find

This allows you to find items, in the Database, which belong to a certain category. For more info, open the dialog and select help.


Find unregistered items

This makes the file list display all items in the Database that do not belong to any category.


The Database File List menu

Open

Properties

Show folders

Update

Rename

Remove

Select All

Find

Show details

Simple list

Small icons

Large icons


Open

This opens the selected file(s) for editing.


Properties

This opens up the Properties dialog allowing you to make settings for the selected file(s).


Show folders

When you select a folder and then select this item, the Location pane shows you in which folder the file is stored. The Category pane also shows you in which category the file belongs.


Update

This updates the properties of the selected file(s) so that they show the real values (as stored on the disk).


Rename

This allows you to rename the file. This renames the real file on disk. Do not enter an extension!


Remove

This removes the file. Please note that the file is not deleted from disk, but only removed from the Database.


Select All

This selects all files currently visible in the list.


Find

This allows you to find files among the ones currently visible in the list. For more info, open the dialog and select help.


The Workspace menu

Add

New group

Rename

Open

Remove


Add

This allows you to add one or more files to the selected Group. A regular file dialog appears allowing you to select which file(s) to add.


New group

This creates a new Group, as a sub-group to the selected Group.


Rename

This allows you to rename a Group or File, depending on what is selected.


Remove

This removes the selected Group/file from the Workspace. For files, please note that the file is not deleted from disk.


The Time Ruler menu

Drop marker

New marker

Edit marker

Delete marker

Delete Multiple markers

Visibility

Time

Samples

Timecode

Meter

File size

Set origin at cursor

Set origin at start of wave

Hide ruler

Hide marker Heads

Style:


Drop marker

This adds a marker with a default name at the current cursor position (you can change the name later). You can also press [Insert] to perform the same action. Please note that this can be done even during playback.


New marker

This creates a new marker at the current cursor position. It allows you to specify the type of marker and a name for it as you create it.


Edit marker

This opens a dialog where you can make various settings for a selected marker.


Delete marker

This removes a selected marker from the list and the wave window.


Delete Multiple markers

This allows you to remove all markers of a certain type from the list and the wave window.


Visibility

Opens a dialog where you can select which types of markers should be visible.


Time

This changes the ruler display to show positions in the format hours:minutes:seconds and milliseconds.


Samples

This changes the ruler display to show positions as samples. Exactly how many samples there are in a second depends on the sample rate. For 44.1kHz for example, there are 44100 samples per second.


Timecode

This displays positions as hours:minutes:seconds and frames. How many frames there are per second depends on the frame rate setting. For more info, see Ruler Topics.


Meter

This displays positions as bars, beats and ticks. For more info, see Ruler Topics.


File size

This displays positions in KiloBytes and MegaBytes.


Set origin at cursor

This sets the ruler "0" position to the current cursor position.


Set origin at start of wave

This sets the ruler "0" position to the beginning of the file.


Hide ruler

This is used to hide the time ruler. To show it again, press the right mouse button in the wave display, select "Elements" and then "Time ruler".


Hide marker Heads

This is used to hide/show marker heads from the time ruler.


Style:

3D

With this selected, the time ruler is shown as "3D" numbers on a gray background.

Mingled

With this selected, the time ruler is shown as part of the wave display.

Font

This allows you to pick a font, size and style for the text on the time ruler.

Tick color

This allows you to set a color for the tick marks on the time ruler.


The Level Ruler menu

%

dB

Decimal

Hide

Style:


%

This displays levels as a percentage of full level (100%).


dB

This displays levels in dB.


Decimal

This displays levels as decimal numbers which represent the real sample values stored in computer memory.


Hide

This is used to hide the level ruler. To display it again, press the right mouse button in the wave display, select "Elements" and then "Level ruler".


Style:

3D

With this selected, the level ruler is shown as "3D" numbers on a gray background.

Mingled

With this selected, the level ruler is shown as part of the wave display.

Font

This allows you to pick a font, size and style for the text on the level ruler.

Tick color

This allows you to set a color for the tick marks on the level ruler.


The Monitor Progress menu

Suspend

Resume All

Priority

Cancel


Suspend

Suspends processing of the wave. The menu option changes to Resume so that you can activate processing again. When a process is suspended, more CPU power will be available to the other processes.


Resume All

All processing can be activated again.


Priority

A background process can run with various priority settings. This priority can be set for each process at any time using the pop-up menu in the monitor window:

Relax Background: The file is processed in the background, but priority is given to audio playback and to your continued work on other files. This makes WaveLab as responsive as possible, but slows down processing.

Background: The file is processed in the background but with a lower priority given to your continued work on other files. This makes processing faster but the program less responsive. Try this mode when several files are to be processed in the background.

Fast: Processing is given high priority. A fairly high-performance computer will be required to avoid dropouts in playback.


Cancel

Cancels the processing operation for the selected wave, in which case the message in the Priority Boost column reads "Condemned" until WaveLab has performed all the necessary clean up operations.


The Monitor Performance menu

Input

Process

Output

Average

Zoom

Horizontal/Vertical


Input

When this is activated, yellow lines show the power used for providing input to the Master Section, either reading waves from disk or Live Input. Please note that the values are an approximation. WaveLab shows the minimum value it could measure. This performance can be influenced by the quality of your audio card driver (for Live-input) and by your hard disk (SCSI is often faster than IDE or E-IDE).


Process

When this is activated, purple lines indicate the processing power that is required for all effects currently running in the Master section. The shorter the line, the less the load on the CPU. This is a very precise measurement. Usually, these lines should not exceed 70-75% to ensure no dropouts occur during playback. Since processing/playback is a high-priority task, the entire user interface slows down when a demanding process is taking place. Therefore, to start/stop playback during heavy CPU loads, use the keyboard shortcuts rather than clicking on the Transport Bar with the mouse.


Output

When this is activated, blue lines reflect the processing power required by the output device. This is an approximation. WaveLab shows the minimum value it could measure. The output performance is influenced by the quality of your audio card driver.


Average

When this option is checked, performance peaks are averaged out. This gives you a better overview of the processing required. However, to visualize performance peaks (which are the main cause of dropouts), uncheck this option.


Zoom

Use this to set the zoom factor of the display.


Horizontal/Vertical

Use this to set whether the performance should be displayed vertically or horizontally.


The track List menu

Play

Play until next edge

Play until end of track

Play from end of previous track (with Pre-Roll)


Play

This plays back the items in the track list, from the item selected and onwards.


Play until next edge

Plays from the current CD point until the next CD point. Depending on the start point, this next CD point can be the end of a pause, or a track Sub-Index or the end of the track.


Play until end of track

This plays back the items in the track list, from the item selected, until the end of the track.


Play from end of previous track (with Pre-Roll)

This item is useful when you want to test track transitions. If you use this on a track start point, it will also play the end of the previous track. If you use it on a track end point, it will play from there to the beginning of the next track and onwards.

The pre-roll duration is defined in the Preferences dialog, on the CD Burning tab.


The Columns menu

This menu allows you to hide/show any of the columns in the list. This is useful for example if you have too small a screen to show all columns at the same time. These settings are stored with the current project.

If you have chosen to hide some of the columns, you can select "Show All" to make all columns visible again.

"Optimize column widths" resizes the columns so that the contents of each will fit precisely within its borders.


The Batch Processing Extra menu

Open file list

Save file list

Reset status of all files

Validate list

Clear list

Allow duplicate file names

Stop batch processing at first error

Show full path/Show name only

Sort

Raw file format


Open file list

Allows you to open a previously saved Batch file list.


Save file list

Allows you to save the current Batch file list.


Reset status of all files

Resets the Status of all files in the list, so that they are ready to be processed.


Validate list

Scans the file list and checks that all files really exist in the specified locations. Any missing files are removed from the list.


Clear list

Clears the file list.


Allow duplicate file names

When this option is activated, the same file can be added to several batches, and hence processed several times. The only restriction is that each "instance" of the file must be set to create a file with a name and/or location that is different from the other "instances" of the same file.


Stop batch processing at first error

If this option is activated, the processing of a Batch will stop automatically if an error of any kind is encountered. If it is deactivated, the processing will continue but skip to the next file in the Batch file list.


Show full path/Show name only

These settings are used to select how much information you want to see in the file list.


Sort

This section of the pop-up menu is used to select in which order the files should be listed.


Raw file format

If the file list contains files in raw format, you can specify the format for them by selecting this item. If this is done, you don't have to specify the format manually each time a file in Raw format is about to be processed. For this to make sense, all "raw" files must be in the same format.


The Batch Processing Input menu

Add file(s)

Add folder

Current

Remove

Move Up

Move Down

Play

Edit input

Edit output

New batch

Edit processor list

Batch attributes


Add file(s)

Select this to add one or several audio files from disk to the selected batch in the list. If there are no batches in the list, one will be created automatically when you add the first file.


Add folder

This item allows you to select a folder on your hard disk, and add all audio files in this folder to the selected batch in the list. If there are no batches in the list, one will be created automatically when you add the first file.


Current

This sub-menu lists all currently open wave files, as well as all files included in any open Audio Montage and Basic Audio CD and also the contents of the clipboard. Use it to add open files to the selected batch.

You cannot process files that have never been saved ("Untitled" files). However, you can process files that have previously been saved, but are now open for editing.


Remove

Select this to delete the batch or remove a selected audio file from the list.


Move Up

Select this to move the selected batch or audio file one step up in the list. It is also possible to re-sort the files in a batch by using the Sort options on the Extra pop-up menu.


Move Down

Select this to move the selected batch or audio file one step down in the list. It is also possible to re-sort the files in a batch by using the Sort options on the Extra pop-up menu.


Play

Select this to play back the selected audio file.


Edit input

Select this to open the selected audio file in a wave window.


Edit output

Select this to open the processed audio file (the result of the batch process) in a wave window. This is only available if you already have run a batch.


New batch

Select this to create a new batch.


Edit processor list

Select this to open the Processor list dialog, used for setting up what kind of processing should be performed to the selected batch.


Batch attributes

Select this to open Batch Attributes dialog, where you can name the selected batch, etc.


Batch Output destination folder menu

Batch name

Batch path

Source file path

Source file path - down 1

Source file path - down 2

No file output


Batch name

Specifies an Output folder with the name of the Batch, as specified on the Input tab.


Batch path

Specifies an Output folder with the optional path specified for the Batch.


Source file path

Specifies an Output folder with the file path(s) of the source file(s).


Source file path - down 1

Specifies an Output folder with the file path(s) of the source file(s), but with the path starting one step down in the hierarchy. For example, if the source file is located in c:\Folder1\Folder2\Folder3\, then this specifies the file location c:\Folder2\Folder3\.


Source file path - down 2

Specifies an Output folder with the file path(s) of the source file(s), but with the path starting two steps down in the hierarchy. For example, if the source file is located in c:\Folder1\Folder2\Folder3\, then this specifies the file location c:\Folder3\.


No file output

No output folder is created at all. This is only useful for processors which analyze the file (not producing any output audio file at all) rather than process it.


Batch Output file name prefix menu

Batch name

File number from


Batch name

Adds the "Batch Name" variable as a prefix to the file name string.


File number from

Adds the "File number from" variable as a prefix to the file name string. This will add a number to the file name. All the files will be numbered consecutively, and a dialog will allow you to specify the first number in the series.


Batch Output file name suffix menu

Batch name

File number from


Batch name

Adds the "Batch Name" variable as a suffix to the file name string.


File number from

Adds the "File number from" variable as a suffix to the file name string. This will add a number to the file name. All the files will be numbered consecutively, and a dialog will allow you to specify the first number in the series.


The Processor list context menu

Edit

Move Up

Move Down

Add

Delete


Edit

Opens the control panel for the selected processor.


Move Up

Moves the selected processor one step up in the list.


Move Down

Moves the selected processor one step down in the list.


Add

Adds the processor currently selected in the Plug-ins list to the Sequence list.


Delete

Removes the currently selected processor from the list.


The Key Sequence Enable menu

Enabled all time

Enabled if active window is not in the "exclude" list

Enabled if involved window has the focus


Enabled all time

This Key Sequence is always active.


Enabled if active window is not in the "exclude" list

This Key Sequence can be used for all windows, except the ones added to the "Exclude Windows" lists.


Enabled if involved window has the focus

This Key Sequence is only available if the window to which it is applied has the focus (is active or displayed on top of all other windows).


The Crossfade Looper menu

Stereo Merge

Overlap

Display times

Display processed signal

Zoom

Automatic Vertical Zooming

Save candidate

Restore candidate


Stereo Merge

When you use the Crossfade Looper for a stereo file, this option selects how the left and right waveforms are displayed. If Stereo Merge is activated, the two waveforms are superimposed, otherwise they are shown in two separate sections.


Overlap

When this is activated, the waveform in both halves of the display will continue in over the other half, but in a dimmed fashion.


Display times

Activate this if you want the length, start and end position of the loop to be displayed numerically.


Display processed signal

This option is only available after you have set up a Crossfade and clicked "Apply".

When it is activated, the display shows what the waveform looks like after crossfading. When you later click OK, this is the waveform which will actually be created.

When this option is deactivated, you will instead see what waveform looks like without crossfading. If you click Cancel to close the dialog, the waveform will revert back to this shape.


Zoom

Allows you to select a horizontal zoom factor.


Automatic Vertical Zooming

When this is activated, the vertical magnification is adjusted so that the waveform always fills the entire display vertically.


Save candidate

This allows you to save up to five different "candidates", sets of Loop points, which you can later recall. The advantage of this is that it allows you to try out several different Loop settings.


Restore candidate

This allows you to recall a previously saved "candidate" (set of Loop points). There can be up to five candidates saved at one time.


The Effects Preset menu

Load Bank

Save Bank

Load Default bank

Save Default Bank

Load Effect

Save Effect

Preset List


Load Bank

Allows you to load an Effect Program Bank (extension .fxb) from disk. All current Programs in the selected Effect will be replaced by the Bank which is loaded.


Save Bank

Allows you to save the current set of Effect Programs as a Bank on your hard disk. The Bank file is given the extension .fxb.


Load Default bank

Loads the default bank for the selected effect plug-in. This bank is loaded automatically each time you select the effect.


Save Default Bank

Saves the current bank as the default bank for the selected effect plug-in. This bank is stored in the same folder as the plug-in dll file, and loaded automatically each time you select the effect.


Load Effect

Allows you to load a single Effect Program (extension .fxp) from disk. The loaded Effect will replace the one that is currently selected.


Save Effect

Allows you to save the currently selected Effect Program to disk. The Effect Program file is given the extension .fxp.


Preset List

Selects the corresponding preset for the effect. You can rename the selected preset by double clicking its name (the tab in the top left corner of the effect parameter section).


The CD menu

Write CD

Add track(s)

Sort by track Order

Sort by audio file

Advanced Settings

Check

Save as CD image

Save each track as a separate audio file

Join all tracks into one virtual file

Convert as Audio Montage


Write CD

This menu item opens a dialog which allows you to actually write the CD. Open the window and use the help option for more information.


Add track(s)

This menu item lets you add audio files to the Basic Audio CD. It opens a regular file browser dialog where you can select one or more audio files.

You can add files in various formats.

If the file does not contain any CD markers, you will be asked if you want to insert a track Start and End marker at the beginning/end of the file. Do so, you can always move or delete them later.

See the "Adding files to a Basic Audio CD" topic for details.


Sort by track Order

This will show the tracks in the order they will appear on the actual CD. When this is activated, you can drag and drop to change the order of the tracks. See the topic "Setting the order of the tracks on the CD" for details. You can also switch sort modes by clicking the track Title heading.


Sort by audio file

This will show the tracks in an order based on the files they refer to. See the topic "Setting the order of the tracks on the CD" for details. You can also switch sort modes by clicking the track Title heading.


Advanced Settings

This command brings up a dialog where you can fine tune the properties of your Basic Audio CD. Open the dialog and use the help option for more information.


Check

This verifies that the settings in the Basic Audio CD are correct, according to the red book audio CD standard. Some of these rules are:

Total length must not exceed 75 minutes.

Each track must be at least 4 seconds long.

The pause before the first track must be at least two seconds long.

Pauses between tracks can not be longer than four seconds (some CD-R units might refuse to make pauses longer than 3 seconds).

If there are two tracks after each other and one requires Emphasis and the other doesn't, there must be at least two seconds between them.

There can not be a Sub-Index at position 0.

There must be at least a one second pause between two Sub-Indexes.

You can not have more than 99 tracks.

You can not have more than 98 sub-Sub-Indexes per track.


Save as CD image

This command allows you to save the entire CD track list as a CD Image file. Actually, four files will be saved:

A CD Program file, with the specified name. This is the file you will want to open the next time you want to access this "CD image".

A single wave file, containing all the tracks, with markers inserted at all the correct positions.

A marker file with the same name (it is this file that actually contains the markers).

A peak file for the wave file.


Save each track as a separate audio file

This command will save each track as a separate audio file. See the topic "Exporting audio files from a CD Program" for more information.


Join all tracks into one virtual file

This command will build a file that contains all the tracks in the CD Program. See the topic "Exporting audio files from a CD Program" for more information.


Convert as Audio Montage

Selecting this option will automatically create and open an Audio Montage containing the audio files in the Basic Audio CD.


The Sampling menu

Receive

Transmit

Transmit back

Sampler configurations

Edit sample attributes

Crossfade Looper

Loop Tone Equalizer


Receive

Opens a dialog used for receiving samples from a sampler.

For details, open the dialog and use the help item.


Transmit

Opens a dialog used for transmitting samples to a sampler.

For details, open the dialog and use the help item.


Transmit back

Sends a sample back to the same memory location in the sampler from where it was originally received.


Sampler configurations

Opens a dialog for setting up the connected sampler(s).

For details, open the dialog and use the help item.


Edit sample attributes

Opens a dialog where you can make various settings for a sample.

For details, open the dialog and use the help item.


Crossfade Looper

Opens the Crossfade Looper dialog. This is a special tool for creating "seamless" loops, by allowing you to graphically fine-tune the loop points (manually or automatically). It also provides facilities for crossfading the areas around the loop start and end points.

For details, open the dialog and use the help item.


Loop Tone Equalizer

Opens the Loop Tone Equalizer dialog. This is a function for looping those "un-loopable" sounds, for example sounds that constantly decay in level or continuously change in timbre. The Loop Tone Equalizer evens out changes in level and timbral characteristics, by using one of two methods: Slice mixing or Chorus Smoothing.

In addition, the Loop Tone Equalizer includes a crossfade facility, so that the original sound fades into the processed sections as playback approaches the loop start.

For details, open the dialog and use the help item.


The Playback Start Position menu

Play from cursor

Play from start of file

Play from start of selection

Play from end of selection

Play from Starter marker

Play from previous marker

Play from next marker

Play from next CD track

Play from left side of window

Sync from MIDI Time Code


Play from cursor

When this option is selected, playback starts from the cursor position.


Play from start of file

When this option is selected, playback starts from the beginning of the file.


Play from start of selection

When this option is selected, playback starts from the beginning of the current selection.


Play from end of selection

When this option is selected, playback starts from the end of the current selection.


Play from Starter marker

When this option is selected, playback starts from the Starter marker.


Play from previous marker

When this option is selected, playback starts from the closest marker to the left of the cursor position.


Play from next marker

When this option is selected, playback starts from the closest marker to the right of the cursor position.


Play from next CD track

When this option is selected, playback starts from the next CD track Start marker.


Play from left side of window

When this option is selected, playback starts from the position at the left side of the window.


Sync from MIDI Time Code

Selecting this option activates synchronization to MIDI Timecode from external equipment. When Sync is activated, a MIDI connector icon is displayed to the left on the Transport bar.

You can also activate and deactivate Sync by pressing [F9].


The Playback Skip Mode menu

Skip nothing

Skip selection

Skip Muted regions


Skip nothing

When this option is selected, nothing will be skipped on playback.


Skip selection

When this option is selected, the current selection will be skipped on playback.


Skip Muted regions

When this option is selected, any Muted regions will be skipped on playback.


The Playback Speed mode menu

This allows you to select a playback speed. Select "Edit Playback Speed" to set and save up to nine different playback speed presets. You can then either select one of the created presets from this menu, or use the standard option "Normal".

For details, open the dialog and use the help option.


The Playback End Position menu

Stop at end of file

Stop at start of selection

Stop at end of selection

Stop at next marker

Loop entire file

Loop selection

Loop as marked


Stop at end of file

When this option is selected, playback will continue until the end of the file, and stop there.


Stop at start of selection

When this option is selected, playback will continue until the start of the current selection, and stop there.


Stop at end of selection

When this option is selected, playback will continue until the end of the current selection, and stop there.


Stop at next marker

When this option is selected, playback will continue until the next marker, and stop there.


Loop entire file

When this option is selected, playback will continue until the end of the file, and start over from the beginning of the file. The file will loop until you stop playback.


Loop selection

When this option is selected, playback will continue until the end of the selection, and start over from the beginning of the selection. The selection will be looped until you stop playback.


Loop as marked

When this option is selected, playback will be looped according to the Loop markers.


The Tools menu

Batch process

Batch file encoding

Auto split

Audio Signal Generator

DTMF Generator

Import Audio CD tracks

CD copy

Burn data-CD from an ISO image

CD Information

Open a new WaveLab application (empty)

Open a new WaveLab application (open current file)


Batch process

This opens the Batch Processor, a dialog used for applying processing to any number of files. It is possible to process different files with different settings, with any numbers of processors (including some plug-ins not available in the Master Section). The files to be processed don't have to be open, but can be saved directly to disk, with new names and locations if desired.

For more information, open the dialog and use the help item.


Batch file encoding

This functions allows you to encode multiple files to the MP3 or Windows Audio Media format, in a single batch operation.

For more information, open the dialog and use the help item.


Auto split

You can use this option to split an audio file into several small files, based on criteria you specify.

For more information, open the dialog and use the help item.


Audio Signal Generator

This opens the Test Signal Generator dialog. This dialog allows you to synthesize audio documents from scratch. The resulting audio can be used for testing, calibrating, etc. The signal is made up by combining up to 64 layers, where each layer is a separate signal generator of its own, complete with settings for waveform, pitch, level, etc. You can even make separate settings for the left and right channel of each layer.

For details, open the dialog and use the help item.


DTMF Generator

This opens the DTMF Generator dialog. This dialog lets you generate audio files with DTMF signals. DTMF stands for Dual Tone Multi Frequency and is a way of generating signals by combining two sine waves with variable frequencies. These types of signals are used in telephone systems worldwide for identifying which numbers you press on your telephone.

For details, open the dialog and use the help item.


Import Audio CD tracks

This opens a dialog that lets you import tracks directly from an audio CD in your CD drive. The imported tracks can then be saved to your hard disk as either wave files, mp3 files or wma files.

For details, open the dialog and use the help item.


CD copy

Opens a dialog for copying a CD in your CD drive directly to a CD-R in your CD recorder.


Burn data-CD from an ISO image

This lets you open and write an ISO image (a standardized format for CD images) onto CD.


CD Information

This dialog shows you various information about any CD residing in your CD recorder: type (audio, data etc.), number of sessions, number of tracks, total size etc. It also allows you to erase the contents of a CD-RW (rewritable) disc.


Open a new WaveLab application (empty)

This option launches a second instance of WaveLab with no open documents.


Open a new WaveLab application (open current file)

This option launches a second instance of WaveLab with the same open documents as the current instance.


Montage track Control menu

Insert stereo track above

Insert mono track above

Insert stereo track below

Insert mono track below

Move track up

Move track down

Virtual-split as two mono tracks

Clone track

Delete track

Route to Master Section

Route to Master Section and upper track

Route to upper track only

Record at cursor

Zoom

Color


Insert stereo track above

Creates a new, empty stereo track above the focused track.


Insert mono track above

Creates a new, empty mono track above the focused track.


Insert stereo track below

Creates a new, empty stereo track below the focused track.


Insert mono track below

Creates a new, empty mono track below the focused track.


Move track up

Moves the focused track one position up in the Track View. This is not available if the focused track is at the top of the Track View.


Move track down

Moves the focused track one position down in the Track View. This is not available if the focused track is at the bottom of the Track View.


Virtual-split as two mono tracks

Splits a stereo track into two mono tracks. If the track is empty, this will simply be the same as deleting the track and inserting two new mono tracks. However, if there are clips on the track, the two stereo sides will now be separate clips, allowing you to move, edit or process them independently.

Note that this split is entirely "virtual" - the source audio files are not affected.


Clone track

Creates a duplicate of the focused track and all its clips, and inserts it below the original track.


Delete track

Deletes the focused track.


Route to Master Section

When this option is selected, the output of the track is routed to the Master Section. This is the default setting.


Route to Master Section and upper track

When this option is selected, the output of the track is routed both to the Master Section (for regular playback) and to the track directly above it in the Track View, for use with effects that accept an additional, modulating signal. An example of this is the included Ducker plug-in, which lowers the level of the upper track when the signal from the lower track exceeds a Threshold level.


Route to upper track only

When this option is selected, the output of the track is routed to the track directly above it in the Track View, for use with effects that accept an additional, modulating signal. An example of this is the included Ducker plug-in, which lowers the level of the upper track when the signal from the lower track exceeds a Threshold level.

Note: When this option is selected, the signal is not sent to the Master Section. As a result, you will not hear the audio from this track (unless it is mixed in by a clip effect on the upper track).


Record at cursor

Opens the Record dialog, with the option "Add to focused track of current Montage" automatically activated. This allows you to quickly record audio files and have corresponding clips created in the Montage.

If you activate recording in Stop mode, the resulting clip will be inserted at the Montage cursor position.

If you activate recording during playback, the clip will be inserted at the position where the Montage cursor was at the moment you activated recording.


Zoom

Zooms in vertically so that the focused track fills the Track View.


Color

Allows you to select a color scheme for all clips on the track. You can edit the available color schemes in the Audio Montage Colors dialog, accessed from the view menu.

Note that track color selections are overridden by color selections for Groups, for individual clips and by the Lock/Mute status of clips (in which case the clips use the color schemes for Locked and Muted clips, respectively).


The clip context menu

Split at cursor

Render clip to new audio file

Delete clip

Repeat clip

Cut clip/selection

Copy clip/selection

Paste

Erase selection

Mute selection (envelope)

Trim to selection

Edit crossfade time

Effect

Add effect slot

Play clip

Play clip selection

Play (with Pre-roll)

Lock

Mute

Show source's ruler and markers

Zoom

Source

Transform

Cue point

Show envelope

Color


Split at cursor

Splits the clip at the position of the Montage cursor. The resulting two clips will have the same name and settings. Envelopes and Fades are converted, so that the two clips play back as before.

If the option "Create default fades in new clips" is activated on the Edit view : Fade menu, a crossfade is automatically created between the resulting left and right clip.


Render clip to new audio file

Allows you to render a new audio file from a clip complete with effects, fades etc. A dialog will then appear to ask if you want to replace the clip with the rendered audio file. This could be useful for conserving CPU power if a clip contains a lot of real-time effects and processing, since these will be included in the new file.


Delete clip

Deletes the clip.


Repeat clip

Opens a dialog for repeating the clip (creating a number of copies after the current clip).

For details, open the dialog and use the help item.


Cut clip/selection

If you have made a selection range, selecting this item will remove the range, move the remaining, right section of the clip to the left to fill the gap and place the cut range on the WaveLab clipboard.

If there is no selection range, this item Cuts the clip to the WaveLab clipboard and removes it from the Montage. This is the same as selecting Cut from the Edit menu.


Copy clip/selection

Copies the clip or the range (if there is a selection range) to the WaveLab clipboard. This is the same as selecting Copy from the Edit menu.


Paste

Pastes the contents of the WaveLab clipboard at the current Montage cursor position. This is the same as selecting Paste from the Edit menu.

Note that if the clipboard contains a single item, selecting Paste will bring up the Insert Options menu which contains various options for how existing clips should be treated when you Paste. For details, bring up that menu and use the help item.


Erase selection

This item is only available when you have made a selection range. Selecting it removes the selected range, resulting in two clips with a gap between them.


Mute selection (envelope)

This item is only available when you have made a selection range. If you select this, the program adds volume envelope points and draws a curve to mute the selected range (by lowering the volume to -144dB, with 20ms fall and rise times).


Trim to selection

This item is only available when you have made a selection range. Selecting it resizes the clip so that it only contains the selected range.


Edit crossfade time

Brings up a dialog that allows you to adjust the length of the crossfade zone "symmetrically" (moving the fade-in and fade-out junction points equally).

Note that you have to select this item for the right clip in a crossfade pair!


Effect

Opens the effect dialog for an effect slot.

For details, open the dialog and use the help item.


Add effect slot

Adds a new clip effect slot and opens the Effect dialog for that slot, allowing you to select an effect and make settings.

For details, open the dialog and use the help item.


Play clip

Plays back the clip.


Play clip selection

Plays back the current selection range only (this is only available if you have made a selection in the clip).


Play (with Pre-roll)

Plays back the clip, starting slightly before it. The Pre-roll time is set with the "Playback pre-roll time..." parameter on the CD Burning tab in the Preferences dialog.


Lock

Locks the clip, to prevent that it is edited by accident. If you click on a locked clip, an alert will appear, telling you that the clip is locked, and asking whether you want to remove the lock.

A locked clip is indicated by the mouse pointer taking on the shape of a lock symbol, whenever you move it over the clip. The default color for locked clips is green, but you can change this in the Audio Montage Color dialog on the view menu.


Mute

Mutes the clip. Muted clips are shown with another color (by default "greyed out").

To unmute the clip, bring up the clip context menu again and uncheck the "Mute" item.

To mute or unmute all selected clips, pull down the Edit view : Select menu and select "Mute/Unmute all selected clips".


Show source's ruler and markers

When this option is activated, the markers in the clip's source audio file are displayed in the clip, together with a ruler.


Zoom

Whole clip

Zooms in so that the clip fills the Track View.

Fade-in

Zooms in so that the clip's fade-in zone fills the Track View.

Fade-out

Zooms in so that the clip's fade-out zone fills the Track View.


Source

Edit

Opens a Wave window with the clip's source audio file.

Clone and substitute

This creates a copy of the audio source file, and makes the clip reference this new file. As a result you can edit the source file without affecting other clips or the original audio file.

The cloned audio file is stored in the "Implicit folder" (specified on the Edit view : Options menu) and gets the same name as the original, but with the suffix "_#X", where X is a number.

Substitute with existing wave

Brings up a file dialog, allowing you to make the clip refer to another audio file.

All clip settings will be retained.

The substituting audio file must be long enough for the clip to "fit".

This means that the audio file must be at least as long as the clip's end position.

You cannot substitute a stereo file with a mono file or vice versa.


Transform

Time-stretch to cursor

This opens the Time Stretch dialog, allowing you to Time Stretch the clip so that it ends at the current Montage cursor position. In other words, before you select this function, you should move the Montage cursor to the desired position.

When you use this function, a clone of the original audio file is automatically created, containing exactly the audio range used in the clip. The Time Stretch function is applied to the clone, and the clip will reference to this file instead. The original audio file is not affected, and neither are any other clips that refer to the same audio file.

The cloned audio file is stored in the "Implicit folder" (specified on the Edit view : Options menu) and gets the same name as the original, but with the suffix "_#X", where X is a number.

Pitch shift

This opens the Pitch Shift dialog, allowing you to change the pitch of the clip.

When you use this function, a clone of the original audio file is automatically created, containing exactly the audio range used in the clip. The Time Stretch function is applied to the clone, and the clip will reference to this file instead. The original audio file is not affected, and neither are any other clips that refer to the same audio file.

The cloned audio file is stored in the "Implicit folder" (specified on the Edit view : Options menu) and gets the same name as the original, but with the suffix "_#X", where X is a number.


Cue point

A cue point is a defined position marker that belongs to a clip. It may be positioned within or outside the clip. Cue points are displayed as dotted vertical lines. When you move a clip, its cue point will be magnetic to any edges, markers or positions activated on the Magnetic bounds submenu on the Edit view : Options menu. There are several uses for this:

Set the cue point at a "relevant" position in the audio and use it to align the clip with other clips, etc.

Set the cue point before the start of a clip, allowing you to position clips in a row with pre-defined spaces (by magnetizing the cue point to the end of the previous clip).

Set the cue-point at the fade-in or fade-out point of a clip, making it easy to maintain defined fade lengths when crossfading.

On the Cue point submenu on the clip context menu, the following functions are available:

Set at cursor sets the cue point at the current Montage cursor position.

Follows fade-in end point sets the cue point at the clip's fade-in junction point (the left purple handle in the Volume envelope). The cue point will follow the handle if you move it.

Follows fade-out start point works as the previous option, but for the fade-out junction point.

Set at default pre-gap position sets the cue point before the start of the clip, at a distance governed by the default pre-gap position (set on the Edit view : Options menu).


Show envelope

Fade/Level

When this option is activated, the volume and fade envelope curves are displayed in the clip.

Pan

When this option is activated, the pan envelope curve is displayed in the clip.

Effect

When this option is activated, the envelope curve for the corresponding clip effect is displayed in the clip.

Only show one envelope at a time

When this option is activated, only one type of envelope curve will be shown in the clip. Selecting another envelope from this submenu will automatically hide the one currently shown.

If "Only show one envelope at a time" is activated when several curves are currently shown in a clip, nothing will happen. For the setting to take effect, you must first make sure only one curve is displayed.


Color

Allows you to select a color scheme for the clip. You can edit the available color schemes in the Audio Montage Colors dialog, accessed from the view menu.

Note that individual clip color selections override the color settings for tracks and Groups, but are overridden by the Lock/Mute status of clips (in which case the clips use the color schemes for Locked and Muted clips, respectively).


The Envelope context menu

Note: The items on this context menu depends on whether a volume or pan envelope is displayed. For items only available in one of these modes, this is indicated in the list below.

New point

Delete point

Delete selected points

Reset point

Deselect all points

Reset all

Convert to stereo envelope

Clipboard

Hide

Envelope smoothing

Envelope edit-lock

Envelope presets

Duck according to other track (volume envelope only)

Reset sustain to 0 dB (volume envelope only)

Fade-in smoothing (volume envelope only)

Fade-in edit-lock (volume envelope only)

Enable automatic fade-in changes (volume envelope only)

Fade-in presets (volume envelope only)

Fade-in ROM presets (volume envelope only)

Default Fade-in (volume envelope only)

Fade-out smoothing (volume envelope only)

Fade-out edit-lock (volume envelope only)

Enable automatic fade-out changes (volume envelope only)

Fade-out presets (volume envelope only)

Fade-out ROM presets (volume envelope only)

Default fade-out (volume envelope only)

Pan mode (pan envelope only)


New point

Adds a point to the envelope curve, at the position at which you clicked.


Delete point

Deletes the envelope curve point on which you clicked. This item is only available if you right click on a point.


Delete selected points

Deletes the selected envelope curve points.

To select curve points, click on them (using [Shift] to select several points) or press [Alt] and drag a selection rectangle around the points.


Reset point

Resets the envelope curve point on which you clicked (sets it to its "middle value"; 0dB for volume and effect envelopes and center position for pan envelopes). This item is only available if you right click on a point.


Deselect all points

Deselects all envelope curve points.


Reset all

Resets the envelope curve by removing all added points from the curve. For volume envelopes, this also moves the Fade-in and Fade-out junction points to the start and end of the clip, thus setting the Fade times to zero.


Convert to stereo envelope

Allows you to convert the envelope curve for a stereo clip into two separate envelope curves, and vice versa. Having a "Stereo Envelope" allows you to control the volume separately for the left and right channels.

This function is only available for volume and effect envelopes.


Clipboard

Copy fade-in (volume envelope only)

Copies the fade-in curve to the clipboard, from which you can paste it onto other clips.

Paste fade-in (volume envelope only)

Pastes the fade-in curve from the clipboard onto the clip. For this item to be available, you must have copied a fade-in onto the clipboard first.

Copy envelope

Copies the envelope curve to the clipboard, from which you can paste it onto other clips.

Paste envelope

Pastes the envelope curve from the clipboard onto the clip.

For this item to be available, you must have copied an envelope onto the clipboard first.

You cannot paste a volume envelope curve onto a non-volume envelope curve and vice versa. However, non-volume envelopes can be interchanged (e.g. a copied effect envelope can be pasted onto a pan envelope).

Copy fade-out (volume envelope only)

Copies the fade-out curve to the clipboard, from which you can paste it onto other clips.

Paste fade-out (volume envelope only)

Pastes the fade-out curve from the clipboard onto the clip.

For this item to be available, you must have copied a fade-out onto the clipboard first.


Hide

Hides the current envelope curve. This is the same as deactivating it on the Show Envelope submenu on the clip context menu.


Envelope smoothing

When this is activated, the resulting envelope curve angles will be rounded instead of angular. This produces smoother, more natural envelope curves. It can be used while drawing the envelope curve, or applied to an existing curve.


Envelope edit-lock

When this is activated, the envelope curve points are hidden and cannot be edited with the mouse. You can however drag the whole curve up or down.


Envelope presets

Edit

Opens a dialog in which you can save the current envelope curve as an Envelope Preset, and manage existing Presets.

For details, open the dialog and use the help item.

Preset name

Applies the envelope curve stored in the Preset to the current envelope.

Volume Envelope Presets can only be applied to Volume Envelopes. Non-volume Envelope Presets (such as Pan and Effect Presets) can be applied to any other non-volume Envelope, but not to Volume Envelopes.


Duck according to other track (volume envelope only)

Opens a dialog for setting up Ducking options. This feature allows you to create ducking effects between clips on two adjacent tracks, having the volume of one track lowered whenever there are clips present on the other track.

For details, open the dialog and use the help item.


Reset sustain to 0 dB (volume envelope only)

This removes all volume envelope points between the fade junction points, leaving any defined fades untouched.


Fade-in smoothing (volume envelope only)

When this is activated, the fade-in curve angles will be rounded instead of angular. This produces smoother, more natural fades. It can be used while drawing the fade-in, or applied to an existing fade.


Fade-in edit-lock (volume envelope only)

When this is activated, the fade-in curve points are hidden and cannot be edited with the mouse.


Enable automatic fade-in changes (volume envelope only)

If you deactivate this option, the fade-in will not be changed automatically, e.g. by automatic crossfading of overlapping clips. This is useful if you have set a fade that you do not want to be altered in any way, even though you may want to overlap the clip with another clip.

This option is individual for each clip, as opposed to "No automatic crossfading" on the Edit view : Fade menu, which is global.


Fade-in presets (volume envelope only)

Edit

Opens a dialog in which you can save the current fade-in curve as a Fade-in Preset, and manage existing Presets.

For details, open the dialog and use the help item.

Preset name

Applies the fade-in curve stored in the Preset to the current fade-in.


Fade-in ROM presets (volume envelope only)

Applies a preset curve to the fade-in. The available curve types are:

Preset | Description
Linear | This is the factory default fade curve. A straight line between two points.
Sinus | This produces a fade-in curve that starts out moderately fast but planes out towards the end. This curve type will provide a constant power crossfade.
Square-root | This creates a curve that fades in quickly then planes out. This curve type will provide a constant power crossfade.
Sinusoid | This creates an s-shaped fade, with a medium slow start and end fade.
Logarithmic | This creates a curve that fades in fast in the beginning, reaching full level early in the fade.
Exponential | This creates a curve that fades in slowly in the beginning.
Exponential + | This creates an even more pronounced exponential curve.

These following options are useful when the edited fade-in curve is part of a crossfade:

Pure shape

The pure mathematical curve shape is used. This is the default setting when any fade-in ROM preset is selected.

Amplitude compensation

If this is selected for a fade-in curve in a crossfade, the summed fade-in and fade-out amplitudes will be the same all along the crossfade region.

This option is recommended for short crossfades.

Medium compensation

This option provides an intermediary between Amplitude and Power compensation. This is recommended if the other two compensation attributes won't provide the desired result.

Power compensation

If this is selected for a fade-in curve in a crossfade, the energy (power) of the crossfade will be constant all along the crossfade region. Crossfading between completely different types of audio material can sometimes cause harmonics to "cancel each other out" at the crossfade splice point, causing the volume to drop. Constant power crossfades compensate for this problem.

Using either the "Sinus" or "Square-root" fade ROM presets for a fade-in will provide a constant power crossfade without having to select this item.


Default Fade-in (volume envelope only)

Apply default shape and time

This applies the default shape and time to the fade-in.

Apply default shape

This applies the default shape to the fade-in.

Apply default fade time

This applies the default time to the fade-in. The currently set default time is displayed after the menu item.

Define current shape as default

This saves the current fade-in shape as the default.

The default shape is automatically applied when you create a new fade-in in a clip that previously had no fade-in.

If the option "Create default fades in new clips" is activated on the Edit view : Fade menu, all new clips that are imported or recorded in the Montage will get the default fade-in shape and time. For clips that are created by splitting a clip, only the default fade time is used (the fades will be linear).

Define current fade-in time as default

This saves the current fade-in time as the default.

If the option "Create default fades in new clips" is activated on the Edit view : Fade menu, all new clips that are imported or recorded in the Montage will get the default fade-in shape and time. For clips that are created by splitting a clip, only the default fade time is used (the fades will be linear).


Fade-out smoothing (volume envelope only)

When this is activated, the fade-out curve angles will be rounded instead of angular. This produces smoother, more natural fades. It can be used while drawing the fade-out, or applied to an existing fade.


Fade-out edit-lock (volume envelope only)

When this is activated, the fade-out curve points are hidden and cannot be edited with the mouse.


Enable automatic fade-out changes (volume envelope only)

If you deactivate this option, the fade-out will not be changed automatically, e.g. by automatic crossfading of overlapping clips. This is useful if you have set a fade that you do not want to be altered in any way, even though you may want to overlap the clip with another clip.

This option is individual for each clip, as opposed to "No automatic crossfading" on the Edit view : Fade menu, which is global.


Fade-out presets (volume envelope only)

Edit

Opens a dialog in which you can save the current fade-out curve as a Fade-in Preset, and manage existing Presets.

For details, click the Help button in the dialog.

Preset name

Applies the fade-out curve stored in the Preset to the current fade-out.


Fade-out ROM presets (volume envelope only)

Applies a preset curve to the fade-out. The available curve types are the same as on the Fade-in ROM presets menu.

These following options are useful when the edited fade-out curve is part of a crossfade:

Pure shape

The pure mathematical curve shape is used. This is the default setting when any fade-in ROM preset is selected.

Amplitude compensation

If this is selected for a fade-out curve in a crossfade, the summed fade-in and fade-out amplitudes will be the same all along the crossfade region.

This option is recommended for short crossfades.

Medium compensation

This option provides an intermediary between Amplitude and Power compensation. This is recommended if the other two compensation attributes won't provide the desired result.

Power compensation

If this is selected for a fade-out curve in a crossfade, the energy (power) of the crossfade will be constant all along the crossfade region. Crossfading between completely different types of audio material can sometimes cause harmonics to "cancel each other out" at the crossfade splice point, causing the volume to drop. Constant power crossfades compensate for this problem.

Using either the "Sinus" or "Square-root" fade ROM presets for a fade-out will provide a constant power crossfade without having to select this item.


Default fade-out (volume envelope only)

Apply default shape and time

This applies the default shape and time to the fade-out.

Apply default shape

This applies the default shape to the fade-out.

Apply default time

This applies the default time to the fade-out. The currently set default time is displayed after the menu item.

Define current shape as default

This saves the current fade-out shape as the default.

The default shape is automatically applied when you create a new fade-out in a clip that previously had no fade-out.

If the option "Create default fades in new clips" is activated on the Edit view : Fade menu, all new clips that are imported or recorded in the Montage will get the default fade-out shape and time. For clips that are created by splitting a clip, only the default fade time is used (the fades will be linear).

Define current fade-out time as default

This saves the current fade-out time as the default.

If the option "Create default fades in new clips" is activated on the Edit view : Fade menu, all new clips that are imported or recorded in the Montage will get the default fade-out shape and time. For clips that are created by splitting a clip, only the default fade time is used (the fades will be linear).


Pan mode (pan envelope only)

For each pan envelope, you can select one of four pan modes. These all relate to the fact that without power compensation, the power of the sum of the channels will drop by about 3 dB if a signal is panned hard left or right, compared to if the same signal is panned center. Experiment with the modes to see which fits best in a given situation.

The different modes have the following functionality:

Channel damp (0dB / mute)

This mode will not compensate for power loss at all. If a signal is panned hard left or right, the power of the sum of the channels will drop by 3dB.

Constant power (+3dB / mute)

This is the default mode. Regardless of pan position, the power of the sum of the channels will remain constant.

Channel boost (+4.5dB / mute)

If this mode is selected and a signal is panned hard left or right, the power of the sum of the channels will actually be higher than with a signal panned center.

Channel boost (+6dB / mute)

This is the same as the previous option, but with even greater power boost.


The Insert Options menu

When you add a single clip to the Montage (by Pasting, importing from disk or using drag and drop), a pop-up menu appears. By selecting one of the items on the pop-up menu, you specify how the clip should be inserted, whether existing clips should be affected or not, etc.:

Add/Mix

Add/Mix & bind right clips (track)

Add/Mix & bind right clips (global)

Split/Insert

Split/Insert & bind right clips (track)

Split/Insert & bind right clips (global)

Replace selected range

Replace selected range (trim source accordingly)

Replace selected range & bind right clips (track)

Replace selected range & bind right clips (global)

Overwrite from cursor

Cancel


Add/Mix

When this option is selected, the clip is inserted without affecting any clips that already exist on the Destination track. The exception is if the inserted clip partially overlaps another clip, in which case a crossfade is created in the overlapping zone.


Add/Mix & bind right clips (track)

When the clip is inserted using this option, all clips to the right of it (on the same track) are moved to the right, to "make room" for the inserted clip.


Add/Mix & bind right clips (global)

When the clip is inserted using this option, all clips to the right of it (on all tracks) are moved to the right, to "make room" for the inserted clip.


Split/Insert

This option is only available if the insertion point is within an existing clip.

When the clip is inserted, the existing clip is split and the right section is moved to the right to make room for the inserted clip. Other clips are not affected.


Split/Insert & bind right clips (track)

This option is only available if the insertion point is within an existing clip.

When the clip is inserted, the existing clip is split and the right section is moved to the right to make room for the inserted clip (along with all other clips to the right on the same track).


Split/Insert & bind right clips (global)

This option is only available if the insertion point is within an existing clip.

When the clip is inserted, the existing clip is split and the right section is moved to the right to make room for the inserted clip (along with all other clips to the right, on all tracks).


Replace selected range

This option is only available if there is a selection range on the destination track.

If you select this option, the clip with the selection range is split at the selection range edges, the inserted clip replaces the range and the section to the right of the range is moved to the left or right (depending on the length of the inserted clip vs. the length of the selection range), so that there is no gap after the inserted clip. Other clips are not affected.


Replace selected range (trim source accordingly)

This is only possible if there is a selection range on the destination track, and if that selection range is shorter than the range of the clip to be inserted.

The inserted clip will overwrite the selected range only, that is, the range to be inserted will be trimmed according to the current selection.


Replace selected range & bind right clips (track)

This option is only available if there is a selection range on the destination track.

If you select this option, the clip with the selection range is split at the selection range edges, the inserted clip replaces the range and the section to the right of the range is moved to the left or right (depending on the length of the inserted clip vs. the length of the selection range), so that there is no gap after the inserted clip. Other clips to the right on the same track are moved accordingly.


Replace selected range & bind right clips (global)

This option is only available if there is a selection range on the destination track.

If you select this option, the clip with the selection range is split at the selection range edges, the inserted clip replaces the range and the section to the right of the range is moved to the left or right (depending on the length of the inserted clip vs. the length of the selection range), so that there is no gap after the inserted clip. All other clips to the right (on all tracks) are moved accordingly.


Overwrite from cursor

With this option, if the inserted clip overlaps any other clips, the overlapped regions are removed from the existing clips.


Cancel

Cancels the Insert/Paste operation (you can also cancel by clicking outside the pop-up menu).


The Special menu (Edit view)

Meta normalizer

Quick cloning (reuse audio files)

Full cloning (recreate audio files)

Render selected clips as independent files

Store current Master Section's configuration

Restore Master Section's configuration


Meta normalizer

Opens the non-destructive Meta Normalizer dialog, used for equalizing the loudness between all clips (useful e.g. when producing a CD) and ensuring that the full mixdown of the Montage will never clip.

For details, open the dialog and click the Help button.


Quick cloning (reuse audio files)

This function creates a clone (duplicate) of the Montage and opens it in another window. This is useful if you want to work with several versions of a Montage, experimenting with structure and settings, etc. Note however, that any processing or editing you apply to the actual audio files will be reflected in both Montages, since they share all file references. If this is not what you want, use Full Cloning instead.


Full cloning (recreate audio files)

Opens a dialog for creating a "Full Clone" of the Montage. A Full Clone is a duplicate of the Montage, in which the source audio files are duplicated as well, creating a new "self-contained" Montage.

For details, open the dialog and use the help item.


Render selected clips as independent files

This option lets you render a single or multiple selected clip(s) in the montage to new audio files, complete with any effects and processing. The rendered files will be stored in the same folder, and have the same name as, the original ones, but with the suffix "_#X", where X is a number. A dialog will then appear to let you choose whether you want to replace the clips with the rendered files or not.

This option can be useful to conserve processing power in a CPU intensive Montage with a lot of real-time effects, since these will be included in the rendered files.


Store current Master Section's configuration

This lets you store the current state of the Master Section as part of the Montage. If you then change any settings in the Master Section, you can return to the stored settings by selecting "Restore Master Section's configuration".


Restore Master Section's configuration

If you have stored the Master Section settings with the option "Store current Master Section's configuration" and then changed any of these, this option lets you restore the Master Section to the stored state.


The Select menu (Edit view)

Select all clips

Select clips of selected track

Select all clips included in the selection (on all tracks)

Select all clips at left of cursor (selected track)

Select all clips at left of cursor (all tracks)

Select all clips at right of cursor (selected track)

Select all clips at right of cursor (all tracks)

Inverse selection

Deselect clips

Lock/Unlock all selected clips

Mute/Unmute all selected clips

Double selection length

Halve selection length


Select all clips

Selects all clips in the Montage.


Select clips of selected track

Selects all clips on the selected track (the track with the highlighted track Control Area).


Select all clips included in the selection (on all tracks)

Selects all clips fully encompassed by a selection range, on all tracks.


Select all clips at left of cursor (selected track)

Selects all clips with the endpoint to the left of the Montage cursor, on the selected track.


Select all clips at left of cursor (all tracks)

Selects all clips with the endpoint to the left of the Montage cursor, on all tracks.


Select all clips at right of cursor (selected track)

Selects all clips that start to the right of the Montage cursor, on the selected track.


Select all clips at right of cursor (all tracks)

Selects all clips that start to the right of the Montage cursor, on all tracks.


Inverse selection

Deselects all currently selected clips and selects all other clips in the Montage.


Deselect clips

Deselects the currently selected clips.


Lock/Unlock all selected clips

Locks all selected clips (or unlocks them, if they are already locked).

For details, see Locking clips.


Mute/Unmute all selected clips

Mutes all selected clips (or unmutes them, if they are already muted).

For details, see Mute and Solo.


Double selection length

Extends an existing selection range to exactly double its original length.


Halve selection length

Reduces an existing selection range to exactly half its original length.


The Fade menu (Edit view)

Create default fades in new clips

Lock fade times when adjusting clip edges

No automatic crossfading

Automatic crossfading - free overlaps

Automatic crossfading - fade-in constrained overlaps

Automatic crossfading - fade-out constrained overlaps

Snap to waveform when crossfading

Create optimized crossfade when snapping to other clip

Snap to fade-in/out when snapping to other clip

Allow automatic crossfading with selected track

Allow multiple automatic crossfades


Create default fades in new clips

If this is activated, all new clips that are imported or recorded in the Montage will get the default fade-in and fade-out shape and length. For clips that are created by splitting a clip, only the default fade time is used (the fades will be linear).

Read more in the topic Default Fades.


Lock fade times when adjusting clip edges

If this is activated, the defined fade-in/out length will be locked to the clip start or end, even if you adjust the clip edges. This means that if you resize a clip by dragging its edge, the corresponding fade junction point will move accordingly, maintaining the fade length.


No automatic crossfading

If this is activated, no automatic crossfading will be performed when clips are overlapped.

Read more under the heading "Fades and Crossfades" in the "How to..." section of the online help.


Automatic crossfading - free overlaps

If this is activated, automatic crossfades are created when a clip overlaps the edge of another clip on the same track, and the length of the overlap determines the length of the crossfade.

Read more under the heading "Fades and Crossfades" in the "How to..." section of the online help.


Automatic crossfading - fade-in constrained overlaps

When this option is activated, the defined fade-in length of a clip will constrain the maximum possible overlap, and hence the crossfade time, to this set length.

If the right clip (the clip with the fade-in in the overlap) is moved to the left, past the set overlap time, the other clip will be progressively resized. Moving the other clip to the right (into the clip that contains the fade-in in the overlap) produces the same result.

Read more under the heading "Fades and Crossfades" in the "How to..."-"Work with Audio Montages" section of the online help.


Automatic crossfading - fade-out constrained overlaps

When this option is activated, the defined fade-out length of a clip will constrain the maximum possible overlap, and hence the crossfade time, to this set length.

If the left clip (the clip with the fade-out in the overlap) is moved to the right, past the set overlap time, the other clip will be progressively resized. Moving the other clip to the left (into the clip that contains the fade-out in the overlap) produces the same result.

Read more under the heading "Fades and Crossfades" in the "How to..."-"Work with Audio Montages" section of the online help.


Snap to waveform when crossfading

If this option is activated, and you create a crossfade by moving the right clip towards the left, the moved clip will be time-adjusted slightly to match the waveform in the left clip.

Read more under the heading "Fades and Crossfades" in the "How to..."-"Work with Audio Montages" section of the online help.


Create optimized crossfade when snapping to other clip

If this option is activated, and you move a clip so that its start snaps to the end of another clip, a short crossfade is automatically created, to optimally match the waveforms in the clips.

Read more under the heading "Fades and Crossfades" in the "How to..."-"Work with Audio Montages" section of the online help.


Snap to fade-in/out when snapping to other clip

If this option is activated, and you move a clip so that its start snaps to the end of another clip, a crossfade is automatically created, like with the previous option. In this case however, the length of the crossfade will be the fade-in length of the right clip.

If this is zero, the fade-out length of the left clip is used as basis instead. If this too is zero, the function "Create optimized crossfade when snapping to other clip" is performed (if activated).

Read more under the heading "Fades and Crossfades" in the "How to..."-"Work with Audio Montages" section of the online help.


Allow automatic crossfading with selected track

When this option is activated, automatic crossfades will be also be created when moving a clip on any track so that it overlaps the edge of a clip on the currently selected (focused) track.

Read more under the heading "Fades and Crossfades" in the "How to..."-"Work with Audio Montages" section of the online help.


Allow multiple automatic crossfades

When this option is activated, automatic multiple crossfades will be created on any track, if several selected or grouped clips will overlap other clips' edges when moved.

If the option is turned off, crossfades will only be created for the clip you drag.

Read more under the heading "Fades and Crossfades" in the "How to..."-"Work with Audio Montages" section of the online help.


The Options menu (Edit view)

Track auto-grouping

Global auto-grouping

Map waveforms to volume

Global envelope lock

Enable snapping

Magnetic bounds

Nudge

Mouse zones

Edit default pre-gap

Edit implicit folder

Reset plugins when starting playback

Reset plugins before rendering

Show info line


Track auto-grouping

This option is taken into account when you move or resize clips, and when you insert or paste more than one clip at the same time. If it is activated, all clips to the right on the same track will be moved accordingly.

When moving or resizing a clip, this means the distance from the end of the edited clip to the following clip will be maintained.

When inserting clips, this means the clips to the right will be moved to make room for the new clips.


Global auto-grouping

This option is taken into account when you move or resize clips, and when you insert or paste more than one clip at the same time. If it is activated, all clips to the right (on all tracks) will be moved accordingly.

When moving or resizing a clip, this means the distance from the end of the edited clip to the following clips will be maintained.

When inserting clips, this means the clips to the right will be moved to make room for the new clips.


Map waveforms to volume

When this is activated, the waveform displays in the clips will reflect the volume settings (the Volume envelope, the Pan envelope and the Gain setting in the clip list). For example, if you lower the volume by dragging the Volume Envelope curve downwards, the waveform will be scaled down accordingly.


Global envelope lock

When this is activated, all Envelopes are locked and cannot be edited with the mouse. The Envelopes and their points will still be displayed, but cannot be selected or edited (the mouse pointer doesn't change shape when moved over the curves).


Enable snapping

When this is activated, clips will snap to "Magnetic positions" when you move and/or resize them. The positions to which clips should snap are set up with the "Magnetic Bounds" options on the Montage : Options menu.


Magnetic bounds

If you move and /or resize clips it is most often useful to have them snap to other clips and important positions in the Montage. To facilitate this, you can specify that certain positions should be "magnetic". On the Magnetic Bounds submenu, you can choose to make any or all of the following items and positions "magnetic":

Start of Audio Montage

The start of the Audio Montage will be "magnetic".

Clip's cue-point

The cue-point in a clip will be magnetic. This is a position within a clip that you set from the clip context menu.

Clip's head

The start of a clip will be magnetic.

Clip's tail

The end of a clip will be magnetic.

Time units

The time units displayed in the Ruler will be magnetic.

Audio Montage markers

Markers in the Audio Montage will be magnetic.

Markers in audio sources

Markers in the clip's original audio files will be magnetic.

Selected range's left/right edges

The start and end of a selection range will be magnetic.

Cursor

The cursor position will be magnetic.

After having set up the desired Magnetic Bounds option, you have to activate "Enable snapping" on the Edit view : Options menu in order to actually activate the Snap function.


Nudge

The Nudge option is for making fine positional adjustments to a number of different elements in the Track View.

Define impulse

This opens a dialog that lets you define the Nudge impulse (the default amount by which elements are adjusted when nudged). For details, open the dialog and use the help item.

Nudge -/+

These items are for performing a nudge by the default amount, set with the Define impulse option. Each time you select any of these options (or use the keys [F11] and [F12], the selected element is nudged to the left (-) or right (+) respectively.

Nudge factors

These items allow you to nudge elements in larger or smaller increments than the one set with the Define impulse option.

The factors are the following:

Large impulse: 10 x the defined amount.

Small impulse: 1/10 of the defined amount.

Micro impulse: 1/100 of the defined impulse.

Auto-Select

If this option is activated, WaveLab attempts to automatically select what should be Nudged, depending on your last action in the Track View. If your last action was to select or move a clip, the "clip position" option is automatically selected on the Nudge submenu, if you adjusted the volume, the "Volume of focused clip" option will be selected, etc. In most cases, this allows you to use the Nudge feature without having to manually select Nudge elements on the submenu.

Elements

All the options on the lower part of the menu - from clip position down to Synchro offset (SMPTE) - let you define which element should be nudged.


Mouse zones

Basic rearranging of clips in the Audio Montage is done by clicking and dragging with the mouse. The results of dragging with the mouse depend on where in the clip you click. The different areas in a clip are called Mouse Zones.

A clip is divided into six different mouse zones; Top clip area, Upper clip area, Lower clip area, Bottom clip area, Upper clip edges and Lower clip edges.

The mouse zones sub-menus allow you to specify which functionality each of these mouse zones should have.


Edit default pre-gap

Opens a dialog for setting the Default Pre-gap time. This setting is used for separating clips, e.g. when you insert several clips at the same time.

For details, open the dialog and use the help item.


Edit implicit folder

Opens a dialog for specifying the "Implicit folder". This folder is used when WaveLab needs to save files to disk. It is similar to the "Folder for Temporary files" setting in the Preferences dialog, but with one important difference: Files stored in the Implicit folder are not "temporary", that is, they are not deleted when you close WaveLab. This is necessary since the Montage contains references to the files.

For details, open the dialog and use the help item.


Reset plugins when starting playback

When this is activated, any active effect plug-ins will release any samples in plug-in memory when you start playback. You can try and use this option if you experience small clicks or noises when the playback position reaches the start of a clip that contains effects (typically reverb or delay). Otherwise you should leave this option off, since using it could lead to a slightly delayed response upon playback start.


Reset plugins before rendering

If you have activated the option "Reset plugins when starting playback" but still experience clicks or noises during playback, you can activate this option before rendering (mixing down the Montage to an audio file). This instructs WaveLab to reload all active plug-ins before rendering. The reason for this is that a few plug-ins are only properly initialized when they are created. I.e. they do not respond properly to the "Reset plugins when starting playback" command.


Show info line

The Info Line is the dark area immediately below the Track View. It indicates what will happen when you click the mouse buttons, with or without modifier keys, at certain positions.

If you don't want the Info Line to be visible, deactivate this option (click on it so that the checkmark disappears).


The All-tracks menu (Edit view)

Split at cursor

Erase selected range

Delete selected range

Ignore muted tracks


Split at cursor

Splits clips on all tracks at the Montage cursor position. The resulting two clips on each track will have the same name and settings.


Erase selected range

This item is only available when you have made a selection range. Selecting it removes the selected range on all tracks, resulting in two clips on each track with a gap between them.


Delete selected range

This item is only available when you have made a selection range. Selecting this item will remove the range on all tracks and move the remaining, right section of the clips to the left to fill the gap.


Ignore muted tracks

If this is activated, muted tracks will not be affected by any of the other options on the All-tracks menu. Thus, this option provides a way of excluding certain tracks to prevent them from being affected when you make operations from this menu.


The Options menu (Zoom view)

Move to left (match waveform)

Move to right (match waveform)

Search range

Zoom

Automatic level zooming

Show envelope


Move to left (match waveform)

Selecting this function tells Wavelab to scan the audio to the left of the splice point and find the best possible phase match, to avoid harmonic cancellation. The right clip is then moved over the left clip and a short crossfade is automatically created, ensuring the smoothest possible splice.

See Splicing clips together.


Move to right (match waveform)

This function is useful if the two clips already overlap. When this is selected, Wavelab scans the audio to the right of the splice point and find the best possible phase match, to avoid harmonic cancellation. The right clip is then moved further to the right and a short crossfade is automatically created, ensuring the smoothest possible splice.

See Splicing clips together.


Search range

These settings determine how far into the clips the program will scan when searching for the best possible phase match. Higher values result in greater accuracy, but also longer processing times, since this is a very CPU intensive process.

If the sounds contain a lot of bass, you should avoid the shortest Search range setting (5-10 ms).

See Splicing clips together.


Zoom

This is the zoom factor for the display. In the finest mode (1:1), each pixel on screen corresponds to one sample. In the 1:8 mode, there are eight samples per pixel.


Automatic level zooming

If this option is activated, the waveforms are automatically zoomed vertically to fill out the Zoom view display.


Show envelope

When this is activated, the clips' envelope curves are displayed in the Zoom view. Exactly which curves are displayed depends on the settings for the clips in the Track View (the Show Envelope setting on the clip context menu).

You can edit envelopes in the Zoom view in the same way as in the Track View (provided that Global Envelope Lock isn't activated in the Edit view).


The File menu (clips view)

Load and insert clip(s)

Save focused clip


Load and insert clip(s)

Opens a regular file dialog that allows you to load saved clip files (extension .cli) from disk.

The loaded clip(s) are inserted on the selected track, starting at the position of the Montage cursor.

If you load more than one clip at the same time, they will be lined up in alphabetical order (according to the file names) and separated according to the Default Pre-Gap time (set on the Edit view : Options menu).

If any of the Auto-Grouping options are activated in the Edit view, clips to the right of the insertion point will be moved to the right to "make room" for the inserted clips. If "track Auto-Grouping" is activated, only clips on the same track are moved. If "Global Auto-Grouping" is activated, clips on all tracks are moved.


Save focused clip

Opens a regular file dialog that allows you to save the focused clip as a separate file. This is useful if you want to save alternative versions of a clip (e.g. when experimenting with different envelopes and effect settings), etc. Clip files have the extension ".CLI".


The Options menu (clips view)

Allow reordering by drag-and-drop

Show global pre-gaps

Show pre-gaps by track

Show overlap times (in red)

Only show selected clips

Export clip list as text

Rename selected clips as their audio file


Allow reordering by drag-and-drop

When this is activated, it is possible to reorder clips in the Montage by dragging clips up or down in the clip List. To drag a clip, you click on its name or the numbered button to the left of it in the list, and drag.


Show global pre-gaps

If this is activated, the Pregap Column displays the length of the gap (if any) between the start of a clip and the end of the previous clip, on any track. In other words, it shows the gap between the two clips, regardless of whether they are on the same or different tracks.


Show pre-gaps by track

If this is activated, the Pregap Column displays the length of the gap (if any) between the start of a clip and the end of the previous clip, on the same track.


Show overlap times (in red)

If this is activated, and a clip overlaps the previous clip, the Pregap Column will display the length of the overlapping section, in red.

If the "Show global pre-gaps" option above is selected, overlaps are displayed for clips regardless of whether they are on the same or different tracks. If the "Show pre-gaps by track" option is selected, only overlaps between clips on the same track are displayed.


Only show selected clips

If this is activated, only clips that are selected in the Track View are listed. This can be useful if you have a large number of clips, and want to work with a few of them only.


Export clip list as text

Opens a plain text version of the clip List in Windows Notepad, for archiving or printout. The list contains all the column items found in the clip list except the Lock and Mute status. Additionally, it contains information about the clips' source Wave files.


Rename selected clips as their audio file

If you select a clip and choose this option, the clip will automatically be renamed to the same name as the audio file to which it refers.


The Grouping menu (Groups view)

Group selected clips

Add empty group

Remove selected group

Color selected group


Group selected clips

Allows you to add all selected clips to a Group. When you select this, a dialog appears, in which you can select either an existing Group or create a new one.


Add empty group

Adds an empty Group. You can rename this in the Group list, and add clips to it using "Group selected clips".


Remove selected group

Removes the Group currently selected in the list. The clips in the Group are not affected.


Color selected group

Allows you to select a color scheme for all clips in the Group. Group colors override the track color settings, but are overridden by color selections for individual clips (including Mute and Lock colors).

See Using Colors - Basics for more information.


The Options menu (Groups view)

A mouse click selects a group


A mouse click selects a group

If this option is activated, selecting a clip in the Track View automatically selects all clips in the same Group. This is the default setting.

If the option is deactivated, selecting a whole Group requires that you click on the Group name in the Groups view list. This is useful if you want to be able to modify the relative positions of clips in the Group, without having to remove them from the Group.


The File menu (Files view)

Add file(s) at cursor

Insert all open waves at cursor


Add file(s) at cursor

Opens a regular file dialog that allows you to load audio files from disk and insert them as clips in the Montage.

If you import a single file, a pop-up menu appears, allowing you to select one of the Insert Options. The new clip is then inserted on the selected track, at the position of the Montage cursor.

If several audio files are imported, the Insert audio files dialog will appear, allowing you to specify how the imported clips should be ordered, etc. Please use the help in the dialog for details.


Insert all open waves at cursor

If you have several open Wave windows, you can select this option to add them to the montage. This will open the Insert audio files dialog, allowing you to specify the order of the files, and whether they should be inserted on a single track or on separate tracks.

For more information on this, open the dialog and consult the help item.

Note that the File menu also contains a list of all open Wave windows, so you can select just a single file from this list to add to the montage as well.


The Montage Insert menu

Paste

Insert file(s)

Insert all open waves at cursor


Paste

Use this item to paste the material on the clipboard into the selected track at the position of the cursor. When you select Paste, the Insert Options pop-up menu will appear, allowing you to select how the existing material on the track should be affected by the pasting, etc. Use the Help item on the Insert Options pop-up menu for details.


Insert file(s)

Opens a regular file dialog that allows you to load audio files from disk and insert them as clips in the Montage.

If you import a single file, a pop-up menu appears, allowing you to select one of the Insert Options. The new clip is then inserted on the selected track, at the position of the Montage cursor.

If several audio files are imported, the Insert audio files dialog will appear, allowing you to specify how the imported clips should be ordered, etc. Please use the help in the dialog for details.


Insert all open waves at cursor

If you have several open Wave windows, you can select this option to add them to the montage. This will open the Insert audio files dialog, allowing you to specify the order of the files, and whether they should be inserted on a single track or on separate tracks.

For more information on this, open the dialog and consult the help item.

Note that the Files view : File menu also contains a list of all open Wave windows, so you can select just a single file from this list to add to the montage as well.


The Browser menu (the Files view)

Up one level

Refresh

Select all files

Show icons

Show small icons

Show list

Show details

Show audio files

Show audio clips

Auto play

Play selected audio file


Up one level

Displays the folder one level up from the current one.


Refresh

Refreshes the view (checks for content changes of the displayed folder).


Select all files

Selects all files in the currently displayed folder.


Show icons

When this option is selected, files and folders are shown as icons.


Show small icons

When this option is selected, files and folders are shown as small icons.


Show list

When this option is selected, files and folders are displayed in a list.


Show details

When this option is selected, files and folders are displayed in a list with detailed information.


Show audio files

When this option is selected, the audio files in the current folder are displayed.


Show audio clips

When this option is selected, the clip files in the current folder are displayed.


Auto play

When this option is activated and you select an audio file in the right part of the Files view, it is automatically played back. This is only available when the "Show audio files" option is selected.


Play selected audio file

Select this function to play back the currently selected audio file. This is only available when the "Show audio files" option is selected.


The Insert menu (markers view)

Create generic marker

Create temporary marker

Create CD track start

Create CD track end

Create CD track Splice

Create CD track index

Create Loop start

Create Loop end

Create Region start

Create Region end

Create Playback starter

Create Loop region from selection

Create Generic region from selection

Create CD-track from selection


Create generic marker

Creates a Generic marker at the current Montage cursor position.

See Creating Montage markers.


Create temporary marker

Creates a Temporary marker at the current Montage cursor position.

See Creating Montage markers.


Create CD track start

Creates a CD track Start marker at the current Montage cursor position. Note that CD markers can be inserted automatically by the CD Wizard!

See Creating Montage markers and Preparing the CD Montage.


Create CD track end

Creates a CD track End marker at the current Montage cursor position. Note that CD markers can be inserted automatically by the CD Wizard!

See Creating Montage markers and Preparing the CD Montage.


Create CD track Splice

Creates a CD track Boundary marker at the current Montage cursor position. Note that CD markers can be inserted automatically by the CD Wizard!

See Creating Montage markers and Preparing the CD Montage.


Create CD track index

Creates a CD track Index marker at the current Montage cursor position.

See Creating Montage markers.


Create Loop start

Creates a Loop Start marker at the current Montage cursor position.

See Creating Montage markers.


Create Loop end

Creates a Loop End marker at the current Montage cursor position.

See Creating Montage markers.


Create Region start

Creates a Region Start marker at the current Montage cursor position.

See Creating Montage markers.


Create Region end

Creates a Region end marker at the current Montage cursor position.

See Creating Montage markers.


Create Playback starter

Creates a Playback Starter marker at the current Montage cursor position.

See Creating Montage markers.


Create Loop region from selection

This is only available if you have made a selection range. It automatically creates a Loop start and a Loop End marker at the start and end of the selection.

See Creating Montage markers.


Create Generic region from selection

This is only available if you have made a selection range. It automatically creates a Region start and a Region End marker at the start and end of the selection.

See Creating Montage markers.


Create CD-track from selection

This is only available if you have made a selection range. It automatically creates a CD track start and a CD track End marker at the start and end of the selection.

See Creating Montage markers.


The Functions menu (markers view)

Delete selected markers

Select all markers

Transcribe markers from focused clip's audio file to Audio Montage

Make current marker relative to start of focused clip

Make current marker relative to end of focused clip

Make current marker relative to audio of focused clip

Detach current marker from its relative clip

Attach automatically new markers to the most suitable clip

Full clip attachment

Export marker list as text


Delete selected markers

Deletes all selected markers.


Select all markers

Selects all markers.


Transcribe markers from focused clip's audio file to Audio Montage

If an audio file contains markers of any kind and you import that file into an Audio Montage, you can select this option to automatically have those markers added to the Montage.


Make current marker relative to start of focused clip

Locks the selected marker to the start position of the focused clip. This means the marker will remain in the same position relative to the clip start, even if the clip is moved or resized.

This function requires that a single marker is selected.


Make current marker relative to end of focused clip

Locks the selected marker to the end position of the focused clip. This means the marker will remain in the same position relative to the clip end, even if the clip is moved or resized.

This function requires that a single marker is selected.


Make current marker relative to audio of focused clip

Locks the selected marker to the position of the first "snippet" of audio in the focused clip. This means the marker will remain in the same position relative to the first audio, even if the clip is moved or resized.

This function requires that a single marker is selected.


Detach current marker from its relative clip

Detaches the marker from its relative clip.


Attach automatically new markers to the most suitable clip

If this option is activated, markers that you create will automatically get attached to the audio of clips (see, "Make current marker relative to audio of focused clip" above) as follows:

If a marker is created within the boundaries of a focused clip or a clip on a focused track, the marker is attached to the audio of that clip.

If a marker is created outside of any clips on the focused track (or if there is no clip on the focused track) but within the boundaries of a clip on any other track, the marker will be attached to the audio of that clip.


Full clip attachment

If this option is activated, markers will not only be locked to clips in that they will remain in a relative position if you move clips. They will also be attached to clips during any clip operations. I.e. if you copy a clip, its attached markers will also be copied, and if you delete a clip, the markers will also be deleted.


Export marker list as text

Opens a text-only version of the marker list in Windows Notepad. The list contains the markers' names, positions and types.


The Filter menu (markers view)

The items on this menu allow you to hide some marker types from view. Only ticked marker types are displayed in the markers view and Track View.


The Functions menu (CD view)

Write CD

CD Wizard

Edit CD-Text

Check

Pre-Roll mode

Edit playback times

Play previous CD-track

Play next CD-track

Play all track starts

Generate/Print Audio CD Report

Create Label set

Edit text variables

Export text variables in ASCII

Mode "Audio in pauses"

Allow reordering by drag-and-drop


CD Wizard

Opens the CD Wizard dialog, which helps you generate and adjust CD markers. For details, open the dialog and use the help item.


Edit CD-Text

This opens the CD-Text editor which lets you enter descriptive text about the tracks to be burnt onto a CD. You can enter track titles, artist names and other information and this will be displayed by CD players that support CD text. For details, open the dialog and use the help item.


Pre-Roll mode

When this is activated, all tracks will start with the pre-roll time set in the "Edit playback times" dialog, when they are played back using one of the three playback items on the Functions menu.


Edit playback times

This dialog lets you set the desired Pre-Roll time before a track is played back, and also the duration of playback when using the "Play all track starts" function to check the beginning of each track. For details, open the dialog and use the help item.


Play previous CD-track

This option can be used to audition the track before the one currently selected. If Pre-Roll mode is activated, playback will start with the set pre-roll time.


Play next CD-track

This option can be used to audition the track after the one currently selected. If Pre-Roll mode is activated, playback will start with the set pre-roll time.


Play all track starts

This option can be used to check the transitions between all tracks in a CD track list. The end and start of each track will be played according to the settings you make in the "Edit playback times" dialog.


Generate/Print Audio CD Report

Opens a dialog that lets you create a text report in RTF (rich Text Format), describing the contents of an Audio CD. For details, open the dialog and use the help item.


Create Label set

Opens the Label Editor, in which you can design and print labels (covers) for your CDs.


Edit text variables

This opens the Edit text variables dialog, used for CD labels, Audio CD reports, etc. For more information about the items in this dialog, use the help item in the dialog itself.


Export text variables in ASCII

This option opens the current text variables as an ASCII text document in a tabulated format, suitable for editing in a spreadsheet application such as Excel.


Mode "Audio in pauses"

Normally when creating a CD, only the sections between CD markers are burned, and the pauses between tracks are replaced by silence. When Audio in pauses is activated however, the exact image of the Audio Montage is burned to CD, including any audio between tracks. This makes it possible to add audio (without CD markers) either in between CD tracks, before the first track or after the last track, thereby creating "hidden" tracks or continuous playback between tracks.


Allow reordering by drag-and-drop

If this option is activated, you can change the order of CD tracks by dragging tracks in the CD view list.

There is one restriction: you can only drag tracks that are enclosed by CD track Start and End markers - not by CD track Splice markers. Tracks divided by a CD track Splice marker (a combined Start and End marker) can only be moved as a single entity.


The History (History view)

Undo last operation

Undo until selected operation

Undo all operations since last saving

Undo all operations

Redo last undone operation

Redo all undone operations

Clear history

Clear history after each saving

Group similar operations


Undo last operation

Undoes the last performed operation.


Undo until selected operation

This is only available if you have selected an operation in the History list. Selecting this function Undoes all operations up to and including the selected one. This is a quick way to Undo several operations in one go.


Undo all operations since last saving

This is similar to "Revert to saved" on the File menu, with two differences: It does not undo any view, Zoom or Position changes, and it does not clear the History list.


Undo all operations

Undoes all operations in the list, even those done before the last save.


Redo last undone operation

Redoes the last operation you undid.


Redo all undone operations

Redoes all Undone operations in the list, i.e. all operations displayed in yellow.


Clear history

Removes all operations from the History list. If you use this function, you cannot Undo any previous operations.


Clear history after each saving

When this option is activated, the History list will be cleared each time you save the Montage.


Group similar operations

When this option is activated, and you perform several, similar operations one after another, these will later be "compressed" into one Undo operation.

Let's say you move a clip in several steps until you find the perfect position. While you are doing this, it is still possible to Undo each separate movement as usual. However, as soon as you perform another operation, all the previous moves (the "similar" operations) will be considered as one single entry in the Undo History. This saves memory, and makes work quicker since you don't have to Undo every single step to revert to the clip's original position.


Backup menu (History view)

Backup options

Open previous version


Backup options

Opens the Backup Options dialog, in which you can specify how you want the Montage to be backed up.

For details, open the dialog and use the help item.

See also Backing up Montages.


Open previous version

This function works in the following way:

If there are no unsaved changes in the Audio Montage, the most recent backup file is opened in a new window.

If you select the function from an open backup file, the previous backup version is opened, etc.

If the Audio Montage has unsaved changes, the saved Montage file is opened in a new window.

This is not the same as "Revert to saved" on the File menu! The difference is that "Revert to saved" will close the current (unsaved) Montage and open the last saved version, effectively replacing the current Montage, while "Open previous version" will open the saved version in a new window, without closing the current, unsaved version.


The Functions menu (Snapshots view)

Capture current settings

Update selected snapshot with current settings

Apply selected snapshot

Delete selected snapshot


Capture current settings

Captures the current view as a Snapshot. A Snapshot contains:

The horizontal and vertical magnification.

The section (horizontal and vertical) of the Montage currently shown in the Track View.

The Montage cursor position.

The current Selection Range (if any).


Update selected snapshot with current settings

Updates the Snapshot that is selected in the list with the current view.


Apply selected snapshot

Applies the settings stored in the Snapshot that is selected in the list. Note that you can determine whether the view, Montage cursor position and/or Selection range should be affected, by activating or deactivating the corresponding checkboxes in the list (only ticked properties are applied).


Delete selected snapshot

Deletes the Snapshot that is selected in the list.


The Effects menu

This menu lists the available VST effects. Select an effect to add it to the current slot, or select Remove to remove the effect currently in the slot (allowing you to either select a new effect for the slot or simply leave the slot unused).

Note that it isn't possible to manually remove the actual slot. However, unused slots are automatically removed the next time WaveLab is launched, and do not consume any CPU power.


The Montage Effects Presets menu

Load Bank

Save Bank

Load Default bank

Save Default Bank

Load Effect

Save Effect

Preset List


The Effects Functions menu

Copy

Paste

Move to previous position

Move to next position

Open effect


Copy

Copies the current effect and its setting, allowing you to paste it in for another clip.


Paste

Pastes the copied effect and effect settings into the current effect slot. If there already is an effect selected for the slot, this will be overwritten by the pasted effect.

Stereo plug-in settings can't be pasted onto mono clips (the same applies for mono plug-in settings and stereo clips).


Move to previous position

Makes the current effect slot switch place with the previous slot. For example, if you select this function for the second slot for a clip, it will become the first slot (and the previous first slot will become the second).

This is an important feature, since the order of effects determine the resulting sound. Note that this is true also for Split mode effects (that use an Effect Send), since the output of a Split mode effect is mixed back into the clip effect audio path, and thus affects any following effects in the chain.


Move to next position

Makes the current effect slot switch place with the next slot. For example, if you select this function for the first slot for a clip, it will become the second slot (and the previous second slot will become the first).

This is an important feature, since the order of effects determine the resulting sound. Note that this is also true for Split mode effects (that use an Effect Send), since the output of a Split mode effect is mixed back into the clip effect audio path, and thus affects any following effects in the chain.


Open effect

This is a list of all the currently used effect slots. By selecting an effect slot in this list, you open it for editing.


The Ruler menu

Clock

Samples

Timecode (25 fps)

Meter

Time format

Time offset

Show Grid

Play selection


Clock

When this option is selected, positions and lengths are displayed in hours, minutes, seconds and milliseconds.

You can make settings for the Clock format by selecting Time Format on this menu.


Samples

When this option is selected, positions and lengths are displayed as samples.


Timecode (25 fps)

When this option is selected, positions and lengths are displayed as timecode (hours, minutes, seconds, frames). The number in parenthesis is the currently selected frame rate (frames per second).

You can specify this and make other settings for the timecode format by selecting Time Format on this menu.


Meter

When this option is selected, positions and lengths are displayed in meter format (bars, quarter notes and "ticks").

For this to make sense, you must specify a time signature, tempo and tick resolution, by selecting Time Format on this menu.


Time format

Opens the Time Format dialog, in which you can make settings for the Clock, Timecode and Meter formats.

For details, open the dialog and click the Help button.


Time offset

Opens the Time Offset dialog, in which you can offset the Ruler, so that "zero" is somewhere other than at the actual start of the Montage.

For details, open the dialog and click the Help button.


Show Grid

When this option is activated, a "grid" is displayed in the Track View, consisting of vertical lines at every labeled position in the Ruler.


Play selection

This is only available when you have made a selection range in the Montage. Selecting this function plays back all unmuted tracks between the start and end of the selection.


The Label set Printing menu

Page layout

Print

Calibrate printer


Page layout

This opens the Page Layout dialog for the selected label page (front, back or disc). The settings in this dialog determines how the label will be printed.

Use the help item in the dialog for details.


Print

This opens the Print Label dialog, allowing you to print the selected label page (front, back or disc).


Calibrate printer

This opens the Calibrate printer dialog. Use the help item in the dialog for details.


The Label set Tools menu

Select

Zoom

Insert Audio-CD track List

Insert box with text

Insert circle

Insert image

Set background color

Set background image


Select

This tool is used to select, resize or move objects.

Selected objects are indicated by a dotted outline, and square handles, which can be used to scale the size of the object.

To select several objects, hold down [Shift] or [Ctrl] and click. Selected objects can be de-selected by [Shift]-clicking.

When several objects are selected, one of the objects will always have focus. This is indicated by red handles. You can move the focus to any of the selected objects by [Ctrl]-clicking.


Zoom

This is used to zoom in on a selected object, keeping it in view. You can also zoom in or out on the layout as a whole by using the + and - magnification glass icons to the right.


Insert Audio-CD track List

This will produce an automatically generated track list based on the tracks in the current project.


Insert box with text

Creates a text box object.


Insert circle

This lets you insert a circle or ellipse object


Insert image

This lets you select and insert an image.


Set background color

Allows you to define a color for the background of the layout.


Set background image

Allows you to select an image for the background of the layout.


The Label set Objects menu

Edit properties

Edit position and size

Edit display condition

Bring to front

Send to back

Apply same properties as focused object

Center horizontally

Center vertically

Space evenly horizontally

Space evenly vertically

Place under each other

Align with left edge of focused object

Align with horizontal center of focused object

Align with right edge of focused object

Align with top edge of focused object

Align with vertical center of focused object

Align with bottom edge of focused object

Resize as focused object

Resize as width of focused object

Resize as height of focused object

Group

Ungroup

Lock movement

Select all

Select all with the same size


Edit properties

The Edit Properties dialog contains various settings for the selected object. The contents of the dialog varies depending on the object type.

For more information, use the help item in the dialog.


Edit position and size

This allows you to position and scale objects numerically.

For more information, use the help item in the dialog.


Edit display condition

This allows you to decide if an object will be displayed or hidden, depending on whether a given variable is empty or not.

For more information, use the help item in the dialog.


Bring to front

This brings any object that is partially obscured by another overlapping object to the front.


Send to back

This sends any object that partially or completely overlaps another object to the back.


Apply same properties as focused object

This function applies the properties of the focused object to all selected objects of the same type. Only available if several objects are selected.


Center horizontally

Centers a selected object horizontally in the layout.


Center vertically

Centers a selected object vertically in the layout.


Space evenly horizontally

This distributes the selected objects horizontally, using the top center handle as a reference point. I.e. the top center handles of the selected objects will be exactly the same distance from each other horizontally.


Space evenly vertically

This distributes the selected objects vertically, using the side center handle as a reference point. I.e. the side center handles of the selected objects will be exactly the same distance from each other vertically.


Place under each other

This will place all selected objects directly under each other.


Align with left edge of focused object

Aligns all selected objects with the left edge of the object with focus.


Align with horizontal center of focused object

Aligns all selected objects with the horizontal center of the object with focus.


Align with right edge of focused object

Aligns all selected objects with the right edge of the object with focus.


Align with top edge of focused object

Aligns all selected objects with the top edge of the object with focus.


Align with vertical center of focused object

Aligns all selected objects with the vertical center of the object with focus.


Align with bottom edge of focused object

Aligns all selected objects with the bottom edge of the object with focus.


Resize as focused object

Resizes all selected objects to the same size as the object with focus.


Resize as width of focused object

Resizes all selected objects to the same width as the object with focus.


Resize as height of focused object

Resizes all selected objects to the same height as the object with focus.


Group

This will group all selected objects together, so that they will act as one object when selected or moved (keeping the relative positions to each other).


Ungroup

Ungroups all selected grouped objects.


Lock movement

This locks the position of selected objects. To unlock a locked object (making it possible to move it again), select the object and deactivate this option.


Select all

Selects all objects.


Select all with the same size

Selects all objects with the same dimensions as the selected object.


The Label set options menu

Zoom 100%

Show rulers

Show grid

Magnetize grid

Magnetize objects

Magnetize frame's limits

Show codes

Show actual text

Edit text variables

Export text variables in ASCII

Update text variables according to

Preferences


Zoom 100%

If you have zoomed in or out using the magnification glass icons, this item resets the magnification to 100% (1:1).


Show rulers

This will display the horizontal and vertical rulers, showing you the exact position of the mouse pointer.


Show grid

This will display a grid that helps you position objects. The spacing of the grid points can be specified in the preferences.


Magnetize grid

If this is activated, objects will snap to grid positions.


Magnetize objects

If this is activated, objects will snap to each other.


Magnetize frame's limits

If this is activated, objects will snap to the border of the frame.


Show codes

When this mode is selected, variables in objects will be displayed with their respective variable codes instead of the corresponding texts.


Show actual text

When this mode is selected, the actual text will be shown for variables in objects.


Update text variables according to

Since text variables are local and saved with a project, separate projects can have their own unique variables. This option allows you to import and apply a set of text variables from a saved Audio Montage, Backup Plan or CD Project.

In the dialog that appears, locate and select the desired project to import its text variables to the Label set. If the project is in a currently open WaveLab window, it will be listed in the dialog. If it is not open, the dialog lets you browse for it.


Preferences

This dialog contains some general settings for the Label Editor. For more information about the items in this dialog, use the help item.


The CD Project Source menu

Up one level

Refresh

Select all files

Show icons

Show small icons

Show list

Show details

Show Audio Files

Show All Files


Show icons

This displays the files as large icons.


Show small icons

This displays the files as small icons.


Show list

This displays the files in a simple list, without any extra information about each one.


Show Audio Files

When this option is selected, the audio files in the current folder are displayed.


Show All Files

When this option is selected, all files in the current folder are displayed.


The CD Project Destination menu

Up one level

Refresh

Select all files

Show icons

Show small icons

Show list

Show details


The CD Project Edit menu

Open

Open in WaveLab

Rename

Remove

Properties

New Folder

Add Audio track Folder


Open

This opens the file in the application associated with the file type (just as if you had double clicked the file).


Open in WaveLab

This opens the file in WaveLab (provided that the file type is supported).


Rename

This allows you to rename the selected file, i.e. specify what name it should have on the CD.


Remove

This removes the file from the CD.


Properties

Displays the standard Windows Properties dialog for the selected file.


New Folder

This adds a new folder (in the currently selected folder) to the CD Project.


Add Audio track Folder

This option creates an audio track folder to hold the audio contents of a mixed mode CD (a CD containing both audio and data). All audio files you want to be playable on a regular audio CD player should be placed in this folder.


The CD Project CD menu

CD Label

CD Info

Add photo viewer to CD

Write CD

Save as ISO image

Create Label set

Edit text variables

Export text variables in ASCII


CD Label

Opens a dialog in which you can name the CD to be recorded.


CD Info

Displays the total number of files and the total file size on the CD to be recorded.


Add photo viewer to CD

This opens a dialog that lets you add a small photo viewer application to CDs that contain photographic images. The viewer application can either be WaveLab's proprietary viewer Imageviewer.exe, or some other application of your choice.

For more details, open the dialog and select the help item.


Save as ISO image

An ISO image is a file that holds the entire contents of a data CD (files and folders). You can create an ISO image of a CD and burn it later, in WaveLab or another CD-R application.


The Level/Pan meter Options menu

Presets

Settings

Reset

Hide frame

Close


Presets

In the Settings dialog for the meter, you can assign settings to these menu items. You can then load a setting by selecting its corresponding preset number from this menu.

For more information on how to save presets, open the Settings dialog and use the help item.


Settings

This opens a dialog that lets you make various settings for the look and function of the meter.

For details, open the dialog and select the help item.


Reset

This lets you instantly reset all of the meters and numerical indicators.


Hide frame

This lets you hide the frame and menu bar of the meter, leaving only the metering area visible. To restore visibility, right click in the metering area to bring up this menu and deactivate the option.


Close

Closes the meter.


The Phase Scope Options menu

Settings

Hide frame

Close


The Spectrum Meter Options menu

Hide frame

Close


The Spectrum Analyser Options menu

Make snapshot

Erase snapshot

Export FFT data as ASCII


Make snapshot

This lets you take a snapshot of the current spectrum. This will be superimposed on the current peak spectrum graphs until erase it or take a new snapshot. One use for this is to check the effects of adding EQ, etc.


Erase snapshot

This lets you remove a captured snapshot so that it no longer is superimposed on the spectrum graph.


Export FFT data as ASCII

When using the Spectrum Analyser in off-line mode ("Monitor Edit-cursor Position" or "Analyse Selection" mode) you can export the displayed FFT data as a text file, by selecting this option. The resulting text file can then be imported into e.g. Microsoft Excel, or other applications that allow graph plotting from text files, etc.


The Bit Meter Options menu

Settings

Hide frame

Close


The Wave Scope Options menu

Settings

Show Mix and Subtraction

Hide frame

Close


Show Mix and Subtraction

If you are analysing stereo audio, the Wave Scope will normally show the separate levels of the two channels. If you activate this option, the upper half of the Wave Scope will instead show the mix of the two channels and the lower half will show the subtraction.


The Backup Plan Functions menu

Settings

Simulate

Execute

Render as CD Project

Edit filters in textual form

Erase all filters

Import and merge filters from another Backup Plan

Externalize

Internalize

Create Label set

Edit text variables

Export text variables in ASCII


Settings

This opens a dialog that lets you make settings for various Backup Plan options. Open the dialog and use the help item for more details.


Simulate

This lets you run a simulation of the backup process. This can be useful for checking the exact size of the backup archive, and to verify that all files can be accessed properly by WaveLab.

For details, open the dialog and select the help item.


Execute

This executes the backup procedure according to the settings you have made. For details, open the dialog and select the help item.


Render as CD Project

This option automatically creates and opens a CD Project with the contents of the current Backup Plan.


Edit filters in textual form

This opens a dialog that lets you view and edit the filter definitions as text. For more information, open the dialog and use the help item.


Erase all filters

This lets you remove all filters from the current Backup Plan.


Import and merge filters from another Backup Plan

If you have saved other Backup Plans, you can incorporate their filters into the current one. This option lets you browse for and select the desired Backup Plan file.


Externalize

If you have saved a Backup Plan and then want to reorganize the folder structure on your hard disk, i.e. move some folders in the Backup Plan to new locations in the folder structure, you can use this option instead of manually having to adjust the Backup Plan.

This option will create small text files called "@backup.txt" in the folders to keep track of them.


Internalize

This option is used for updating the Backup Plan after it has been externalized (a function for keeping track of the folders in a Backup Plan if they are moved in the folder structure on your hard disk).


The Backup Plan Patterns menu

Add pattern (contents)

Add pattern (by reference)

Save current pattern as

Explore presets


Add pattern (contents)

If you have set up a filter that you want to use for many different folders or in different Backup Plans, you can save it as a text file. The file will be saved in the Presets/BackupFilters subfolder in the program folder.

This option extracts the contents of such a file and adds these to the current filter.


Add pattern (by reference)

If you have set up a filter that you want to use for many different folders or in different Backup Plans, you can save it as a text file.

This option adds a file reference to the current filter.

The contents of the file is read and incorporated into the filter when the backup is previewed, simulated or executed. This means that if you edit the referred file directly (e.g. in a text editor), all Backup Plans referring to this file will be affected. Note also that the file must be located in the Presets/BackupFilters subfolder in the program folder.


Save current pattern as

This is used for saving a filter that you have set up as a text file. The file will be saved in the Presets/BackupFilters subfolder in the program folder, and you can then import this for use in different Backup Plans, with the "Add Pattern" options.


Explore presets

This lets you browse for and use one of a few presets with common filtering options included with the program.


The Backup Plan Preview menu

Generate file list

Display source paths

Display saved paths

Up one level

Refresh

Show icons

Show small icons

Show list

Show details


Generate file list

Generates a list of files to be backed up, in text format. The list is opened in the default text editor (e.g. Notepad), allowing you to save it or print it.


Display source paths

When this is selected, the Preview window shows the files according to their original hierarchy on your hard disk (from the drives' root directory down).


Display saved paths

When this is selected, the Preview window shows the files according to how they will be archived. In this case, the folder hierarchy depends on the settings in the Options dialog.


The Import Audio CD Options menu

CD Info

Extract ISRC codes

Check Reading Speed (bypass saving)

CD reading method

Extract options

Use Ultra-Safe Mode

Ultra-Safe Mode Level

Create Peak File

Automatically refresh on CD change

Show times with CD frame units

Enable Drag and Drop to Montages

Windows 2000/XP

Create Label set

Edit text variables

Export text variables in ASCII


CD Info

This function gives you the total time of the CD, the number of tracks, and the CD Catalog number, if any.


Extract ISRC codes

This function reads the ISRC code of each track and displays it in the list. This function is slow. If you don't know what an ISRC code is... then you just don't need this professional function.


Check Reading Speed (bypass saving)

Maybe your computer or hard-disk is not fast enough to write the audio data at the speed at which it can be extracted. In that case, if you are curious to monitor the maximum reading speed of your CD-Drive, you can use this function. This function extracts the audio but does not write it to disk.


CD reading method

In some rare cases, the default method to read audio samples from a drive does not work. In that case, it is possible to instruct the program to use another method.

You should only change the settings if you have a problem!

The dialog for changing the drive-extraction method contains the following items:

CD drive-extraction method - If you change this, an alternate set of CD drive commands will be used.

Inverse samples - If you only get noise when grabbing audio from a CD, try changing this setting.

Restore original configuration - if your settings were changed and you wish to go back to the original settings, press this button.


Extract options

These three options allow you to choose between importing both channels (default) of a stereo audio cd track, or only the left or right channel.


Use Ultra-Safe Mode

Rarely, but from time to time, a small bit of a CD track is not properly retrieved (this depends on the quality of your CD-drive). This results in some unpleasant click(s). To solve this issue, you can activate this mode. When this mode is activated, each CD track is read several times until the exact same result is found (checksums are used).


Ultra-Safe Mode Level

You can set how many times a CD track is to be read with the exact same result before attempting to write it to disk (this is the prolog stage). The CD track is written to disk more than one time, if necessary, until the same result is found as in the prolog stage.


Create Peak File

If activated, this will create a ".gpk" file (a peak summary waveform file) when importing tracks. You can deactivate this if you are planning to later convert the imported tracks to a Basic Audio CD, as waveform files then are unnecessary, and the importing procedure will be slightly faster.


Automatically refresh on CD change

If this function is activated, the program checks several times each second for the presence of a new CD in the drive. If a new CD is found, the track list display gets refreshed.


Show times with CD frame units

If you activate this option, times will be shown in CD frame units (there are 75 CD frames per second).


Enable Drag and Drop to Montages

If this function is enabled, you can drag and drop one or more tracks from the dialog into a montage. The CD tracks will be extracted from the CD, written to disk, and inserted at the desired position in the montage. If you drop the tracks onto the program desktop, then the CD tracks are saved and open as single audio files.


Windows 2000/XP

Under Windows 2000/XP, it is sometimes possible to access CD drives in two ways depending on the operating system configuration (the installed drivers etc.). In some cases this can lead to CD drives being detected twice and appearing twice in the drive pop-up menu. If you want to avoid this, you can choose to select only one of the methods of detection by unchecking one of the menu items.


The Import Audio CD CDDB menu

Query track names

Show CD details

Update CD description

Submit CD...

Register

Options

Automatically query track names

About CDDB

CDDB Info Source


Query track names

Use this function to query the CDDB database about the track names of your CD. You need to be connected to the internet for this function to succeed on a CD you have never checked.

Note: the involved CDDB dialog is currently only available in english.


Show CD details

It is possible to get more info than simply the track names for a given CD. Use this function for that purpose. You need to be connected to the internet.


Update CD description

Use this function if you want to modify the existing description of a CD. You need to be connected to the internet. The CDDB database is not updated immediately (it takes at least a couple of hours).


Submit CD...

Use this function if your CD is not already recorded in the CDDB database. You need to be connected to the internet. A large dialog allows you to enter several types of information to describe the CD. You need to enter at least a name for the CD, a name for each track, and a genre (Primary genre box).


Register

Prior to using any of the CDDB functions, you need to register yourself to CDDB. You need to be connected to the internet.


Options

If you need to specify a proxy for your internet connection, use this function. You need to do so before accessing any other CDDB function.


Automatically query track names

If you activate this option, the CDDB database will be queried anytime a new CD is detected. You should have a permanent internet connection if you want to activate this option.


About CDDB

This is a copyright notice, as well as the way to know the version of the CDDB engine currently in use.


CDDB Info Source

Select this option to start your web browser and go to the CDDB home page.


The Import Audio CD track list menu

Rename

Play

Save

Append to current Audio Montage

Auto number


Rename

Allows you to enter a new name for the selected track. Note that this is only the name with which the track will be saved when you import it. It does not affect the track on the audio CD in any way.


Play

Starts playback the selected track.


Save

Imports the selected track and saves it to disk under the specified name. For details, use the help item in the Import Audio CD tracks dialog.


Append to current Audio Montage

This option imports the selected track and creates a clip referring to the imported file. This clip is then placed after the last clip on the selected track in the active Audio Montage.


Auto number

These three options allow you to choose a format for the autonumbering of the tracks (where xx stands for 01, 02, 03 etc. in the track list). The format you choose is immediately reflected in the track list.


The Monitor Timecode Options menu

Incoming time-code

Playback/cursor position in active audio window


Incoming time-code

Activate this option if you want to check incoming timecode when synchronizing WaveLab with external equipment via MIDI Time Code.


Playback/cursor position in active audio window

Activate this option if you want the Monitor window to display the current position of the playback cursor in the active Wave or Montage window.


The Montage track menu

The numbers on this menu correspond to the tracks in the current Audio Montage. I.e. they show you on which tracks the clips are. By selecting a clip from the list and choosing another number for it from this menu, you can instantly move that clip to the corresponding track.

Note that a clip will still retain its original position in time if you move it to another track. This means that moving it to another track on which there is a clip at the same position will cause the two clips to overlap. If automatic crossfading is activated, a crossfade between the two clips will then automatically be created.


The System Browser context menu

Open

Open in WaveLab

Open Containing Folder

Properties


Open

This will open the selected file in the application associated with the file type in Windows. Wave files could for example by be associated with the Windows Media Player.

For information on associating file types with applications, please refer to the help for your operating system.


Open in WaveLab

This will open the selected file in WaveLab.


Properties

This opens the standard Windows file properties window, which displays various information about the file.


The marker type menu

This menu allows you to change the selected marker into another type of marker. Choose the desired marker type from the menu, and the marker will change.


The Record meter menu

Presets

Settings

Phase Scope


Presets

The menu contains five presets for the Level Meter, which monitors the peak level and average loudness of the input audio.


Settings

This opens a dialog in which you can edit the meter presets (the meter ranges, the colors etc.).

For details, open the dialog and use the help item.


Phase Scope

This lets you activate/de-activate the Phase Scope (visible to the right of the Level Meter). The Phase Scope indicates the phase and amplitude relationship between the two channels in stereo audio.


The Save as Attributes menu

This menu is only available for files of the .wav or .mp3 format.

Edit

Save as

Explore presets

None

Preset list


Edit

This opens a dialog for specifying various information about the file. The information you enter is saved with the file as text tags in the file header.

For both wave and mp3 files, this allows for descriptions of Title, Artist etc.

In the case of wave files, you also have the option to either define them as standard wavefiles or Broadcast wavefiles.

For more information, open the respective dialog and select the help item.


Save as

If you have entered information about a file by using the Edit option on this menu, you can select this option to save that information as a preset attribute file. This means that you can later use the preset file to apply the same attributes to any files you save in the future.

Preset files have the extension ".att".

Note that you can only save presets in the default WaveLab sub-folder. If you try to save a preset in any other folder, an alert will notify you.


Explore presets

This opens a browser window in the folder containing saved presets.


None

With this selected, no information is added to the file - it is saved "as is".


Preset list

After you have saved file attributes as presets, a list of the saved presets is present on the menu. To quickly apply a preset to a file you want to save, just select the desired preset from the list.


The Save as Format menu

This menu is only available for files of the .mp3 format.

Edit

Save as

Explore presets

None

Preset list


Edit

This opens a dialog for making encoding settings for the file.

For more information, open the dialog and select the help item.


Save as

If you have made encoding settings for a file by using the Edit option on this menu, you can select this option to save the settings as a preset file. This means that you can later use the preset file to apply the same encoding settings to any files you save in the future.

Preset files have the extension ".cmp".

Note that you can only save presets in the default WaveLab sub-folder. If you try to save a preset in any other folder, an alert will notify you.


None

With this selected, no specific encoding settings are made for the file. It is saved with the default settings


Preset list

After you have saved encoding settings as presets, a list of the saved presets is present on the menu. To quickly apply a preset to a file you want to save, just select the desired preset from the list.


Archive Functions menu

Settings

Test archive's integrity

Extract

Preview


Settings

This opens the File Extraction Settings dialog where you can determine which files should be extracted and set other options.


Test archive's integrity

This opens the File Extraction Settings dialog allowing you to check the settings. Click the "Test" button in the dialog to perform the operation.


Extract

This opens the File Extraction Settings dialog. Click the "Extract" button to perform the file extraction.


Preview

This activates the Preview mode. In this mode, some additional information is shown in the Archive window:

The Preview column shows the path of the files (the locations in which they will be extracted, taking the File Extraction Settings into account).

The Destination column shows whether there are files of the same name in the destination folders, and whether these are older, newer or has the same date as the archived files. "Not existing" means that there is no file of the same name in the destination folder.


Add file already open in WaveLab

This menu displays all currently open wave files. Selecting an item from the menu adds it to the current Batch.


Label Editor Copy/Move Object

This menu appears when you have manually moved an object in the Label Editor. You can select between moving or copying the object to the new position.


Montage Marker context menu

This menu allows you to create any type of Marker, and to make Markers relative to clips in various ways.


Zoom menu (Wave)

Restore last zoom

Overview

Zoom in 1:1

Microscope

Zoom selection

Custom...

Optimize vertical zoom


Restore last zoom

Brings back the last zoom factor set using this menu or the Magnifying Glass tool.


Overview

Zooms the view out as far as possible.


Zoom in 1:1

Zooms in so that one pixel (dot) on the screen represents one sample.


Microscope

Zooms in as far as possible, so that one sample occupies several pixels.


Zoom selection

Zooms the window so that the current selection fills the entire display.


Custom...

This brings up a dialog that allows you to enter any zoom factor. The exact details can be found in the on-line help for the dialog.


Optimize vertical zoom

This changes the vertical zoom factor so that the peaks are clearly visible. This adjustment is done according to the section of the wave currently visible in the window, not the whole file.


Zoom menu (Montage)

Restore last zoom

Overview

Zoom in 1:1

Microscope

Zoom selection

Custom...


Restore last zoom

Brings back the last zoom factor set.


Common Preset pop-up menu

This pop-up menu appears in various dialogs. Common to all occurrences of this menu is the "Explore Presets" item. This opens a file dialog where you can select stored presets for the related item. There may also be menu items for saving current settings as a preset.


Text Report Functions menu

Printer Setup

Print

Zoom In/Out


Printer Setup

This opens a dialog where you can select a printer and make various printer related settings.


Print

This activates printing of the CD Report.


Zoom In/Out

Allows you to zoom the CD Report preview in or out.


The Audio Properties dialog

This dialog appears whenever you need to specify a format for your audio. It allows you to set the quality (Bit resolution and Sample rate) and a general format (mono, stereo or dual mono).

The items in the dialog are as follows:

Item

Description

Mono

With this activated, you will get a mono (one channel) audio file.

Stereo

With this activated, you will get a regular stereo (two channel) audio file.

Dual Mono

With this activated, you will get a stereo (two channel) audio file, but which is handled as two separate mono files. Use this to stay compatible with other recording systems which store stereo as two mono files.

8-bit

With this activated, your recording will be in 8-bit format. 8-bit files are by nature noisier than 16-bit files. On the other hand they occupy less disk space.

16-bit

With this activated, your recording will be in 16-bit format. 16-bit files have very little inherent noise (96 dB dynamic range). On the other hand they occupy twice the disk space of 8-bit files.

20-bit

With this activated, your recording will be in 20-bit format. 20-bit files have very little inherent noise (120 dB dynamic range). On the other hand they occupy one third more space on disk than 16 bit files.

24-bit

With this activated, your recording will be in 24-bit format. 24-bit files have very little inherent noise (144 dB dynamic range). On the other hand they occupy fifty percent more space on disk than 16 bit files.

32-bit float

When this dialog is opened from the Record dialog, this option is called "24-bit Alt". This is an alternate way of transmitting 24-bit audio, used by certain audio hardware. If you plan to record 24-bit audio, you should consult your audio hardware's documentation to find out whether you should use "24-bit" or "24-bit Alt". If the documentation isn't clear about which method is supported (or if both methods are supported), you should try using the "24-bit Alt" mode, as this may give better performance.

24-bit Alt is also necessary if you are recording digitally from a DAT recorder and want to capture the DAT Start IDs as markers in the recorded file (see the Record Settings dialog).

When this dialog is opened from the Edit menu (Edit Audio Properties), this option is called "32-bit float". This very high resolution allows you to save files with levels exceeding 0 dB. Note that 32-bit files will take twice the hard disk space than 16 -bit files!

Sample Rate

The first buttons in this section allow you to choose from a number of pre-set sample rates. If you select the last option you can specify any rate (between 2000 and 100000Hz). The higher the sample rate, the higher the audio quality and the more disk space needed. 44.1kHz is the format used on CDs. 22kHz is the format used in most games and multimedia applications.

Cancel

Click this button to close the dialog without changing the settings.

OK

Click this button to close the dialog and accept the settings.


The Style dialog

This dialog is used to save Styles. A Style contains all the settings you can make on the Elements and Colors speed menus in the wave display. Please note that all settings can be made individually for the main view and overview and also individually for each channel. Once the display is styled as you like it, open the Audio Window Styles dialog, select one of the "slots", type in a name and click OK.

Once this is done, you can apply the style to any wave document by selecting it from the Audio Window Styles dialog on the View menu.

The Style you specify as "Default" is the one that will be used for all new and newly opened wave documents.

Use the radio buttons to select a Style slot in which to save the current Style. Use the name field to specify a name for the Style.

The "Conditions" button opens the Style Conditions dialog, where you can set up certain criteria, or conditions, for a Style. Once set, the Style will be automatically applied to all file(s) that match the specified conditions.


Style Conditions dialog

In this dialog you can set up certain criteria, or conditions, for a Style. Once set, the Style will be automatically applied to all file(s) that match the specified conditions. The following settings are available:

Item | Description
File extension | Here you can specify files of certain formats, by entering their file extensions (e.g. mp3 or wav). Separate several extensions with a blank space or comma.
Name: | Allows you to specify keywords in the file names. For example, by entering the keyword "bass" you could have all files with "bass" in the name be shown with a separate Style. Separate keywords with a blank space or comma.
Sample Rate | If this is activated, only files with a sample rate in the range specified will be shown with this Style.
Bit Resolution | If this is activated, only files with a bit resolution in the range specified will be shown with this Style.
Number of channels: | Lets you specify that only mono (1 channel) or stereo (2 channels) files should be shown with this Style.


The Record dialog

This dialog is used for recording new files. It allows you to set up a format, open the Mixer, meter the input signal, adjust levels and more.

The dialog contains the following items (the Meters are described separately below the table):

Item

Description

"File to create"
Temporary/Named File

Use this pop-up to decide whether you want to record a Temporary File or a Named (final) File (selectable between Wave or MP3 format). If you make a Temporary File, you don't have to specify a name and location for the file before recording. On the other hand, you must remember to save the file at a later stage. Also, if you plan to make a long recording (several minutes), we recommend that you select the final File option.

"File to create"
Named File text field

If you have selected one of the Named File options in the pop-up menu above, you need to specify the name and location of the file here. Click the folder button to browse to the desired location, or type in the path directly.

Auto number

If this checkbox is activated, a three-digit number will be added to the file name. The number will start with the value you enter in the value field to the left, and will increase with each new recording, to prevent existing files from being overwritten.

Properties

This button opens the Audio Properties dialog, where you can specify a format for the recording. The currently selected format is specified to the right of the Properties button.

Drop generic Marker

Clicking this button allows you to drop generic markers while you are recording. You can enter the desired name for the marker in the text field below the button. If no name is specified, the markers are numbered continuously. This is useful if you want to be able to quickly find important locations in the file, after having recorded it.

Drop region start and end markers

Clicking this button allows you to drop region start and end markers during recording. You can enter the desired name for the marker in the text field below the buttons. If no name is specified, the markers are numbered continuously. This is useful if you want to be able to quickly find important locations in the file, after having recorded it.

Settings

Click this button to open the Record Settings dialog. For details, use the Help button in the dialog.

Mixer

Click this button to open the Mixer, if available. To close the mixer, click the button again.

Auto-start if sound detected

If this is activated, recording will start (after you click the Record button) when the audio input level exceeds a certain threshold level (set in the Record Settings dialog).

Auto-start at given time

If this is activated, recording will start (after you click the Record button) at a certain time according to the computer clock. You set the time in the Record Settings dialog.

Auto-stop if silence

If this is activated recording will automatically stop when the audio input level drops below a certain threshold level and stays there for a certain amount of time. You specify the level and duration in the Record Settings dialog.

Auto-stop after given
duration

If this is activated, recording will automatically stop after a specific duration, specified in the Record Settings dialog.

Auto-create markers at pause points

If this is activated, a Generic Marker is created each time you click Pause during recording.

Auto-create at silence points

If this is activated a Generic Marker is created each time the audio input level drops below a certain threshold level and stays there for a certain amount of time, as specified in the Record Setting dialog.

Split mode

This option (only available when "Create Final File" is selected) instructs WaveLab to split the recording into several audio files. The files can be split either by size (so that when a certain number of MegaBytes have been recorded, a new audio file is created) or by duration (so that a new file is created every X minutes). Split mode is useful if you want to make very long continuous audio recordings, such as live recordings.

- The split files will be absolutely contiguous, i.e. there will be no gaps between the files.

- Selecting Split mode automatically activates the "Auto number" option for audio file names.

- When you start recording in Split mode, and the file name you have specified already exists, you will get a warning. However, if files exist with the following, auto-numbered file names, these will be overwritten without warning!

You specify the Split argument in the Record Settings dialog.

Add to selected track of montage

This is only available when recording in an Audio Montage window. If this is activated, the recorded audio file will automatically appear as a Clip on the selected Montage Track.

- For this to work, the Track must be a stereo Track if you are recording in stereo, and vice versa.

- If you open the Record dialog by using the function "Record at Cursor" on the Track menu in the Montage, this option is automatically activated. Furthermore, the record format (Audio Properties) is automatically set to stereo or mono, depending on the Track.

Recorded time

While you record, the length of your recording is shown here.

Remaining time

If you have activated the "Auto-stop after given duration" option, this text shows you the remaining record time during recording.

Disk capacity

This shows you an estimate of how much free space you have left on your hard drive, in recording minutes.

Record

Click this button to activate recording.

Pause

Click this button to pause recording. The record button will blink to indicate Pause mode. To resume recording, click the Pause or Record button again.

- When you resume recording from Pause mode, WaveLab automatically captures a short section of audio from just before you resumed recording. This way, you don't have to worry about missing the start of the audio.

You set the length of this "Pause buffer" in the Record Settings dialog.

- If the option "Auto-create markers at pause points" is activated, a marker is automatically generated when you click Pause.

Stop

Click this button to stop recording. You can also have recording stop automatically by using one of the Auto-stop options.

Discard

Clicking this button terminates recording and discards the recorded file.

Meters - General

These meters show the level (and optionally phase) or spectrum of the input signal. To turn on the meters, you need to activate the "Monitor" checkbox.

Level Meter

When "Level" is selected on the pop-up menu to the left below the meter display, the meters show the level of the input signal, with the following properties:

The outer "meter bars" are Peak Level meters, displaying the peak levels for each channel, graphically and numerically.

The inner "meter bars" are VU (Volume Unit) meters, measuring the average loudness (RMS) of each channel.

These meters have a built-in inertia, evening out loudness variations over a user-defined time span.

To the right of the meter bars, the maximum peak and loudness values are displayed numerically.

Numbers in brackets to the right of the Maximum Peak values indicate the number of successive clips (0dB signal peaks). 1 or 2 clips can be acceptable, but if you get a larger number, you should lower the input level in the mixer panel, to avoid digital distortion.

You can reset the level meters by clicking the Reset button.

This instantly resets all meters and numerical indicators, including the Maximum Peak and RMS values and the number of signal clips.

If you activate the "Phase" option on the Meter Options pop-up menu (the arrow button below the meters), a phase meter is shown to the right in the meter display.

This indicates the phase relationship between the two channels in the input signal. For details, see the help text for the Meters View in the Audio Montage.

Also on the Meter Options pop-up menu, there are a number of level meter presets, allowing you to switch between different level scales and display modes.

Spectrum Meter

When "Spectrum" is selected on the pop-up menu to the left below the meter display, the meters show the frequency spectrum of the input signal, as a "bar graph".


The Record Settings dialog

This dialog contains a number of options for recording:

Item

Description

Auto-start on sound -
Threshold

This determines at which audio input level (RMS) recording should start when the option "Auto-start if sound detected" is activated in the Record dialog.

Auto-start on sound - Record previous samples

This allows you to include a short section of audio just before the start point, to capture attacks, etc. It is only relevant when the option "Auto-start if sound detected" is activated in the Record dialog.

Auto-stop at silence /Marker at silence - Threshold

This is the threshold value used for the options "Auto-stop if silence" and "Auto-create markers at silence points" in the Record dialog. It is used in conjunction with the "Silence duration required" setting, so that recording is stopped (or a marker is added), if the input level stays below the Threshold value for the specified duration.

Auto-stop at silence /Marker at silence - Silence duration required

This is the duration (time) value used for the options "Auto-stop if silence" and "Auto-create markers at silence points" in the Record dialog. It is used in conjunction with the "Threshold" setting, so that recording is stopped (or a marker is added), if the input level stays below the Threshold value for the specified duration.

Time options - Start recording at

This setting determines at which time (hours and minutes) recording will start when the option "Auto-start at specific time" is selected in the Record dialog.

Time options - Stop after a duration of

This setting determines the length of the recording, when the option "Auto-stop after specific duration" is selected in the Record dialog.

Split argument - File size

If this is selected, a new file is created when the recorded file reaches the size specified in the corresponding value field.

Split argument
- File duration

If this is selected, a new file is created when the recorded file reaches the length (time) specified in the corresponding value field.

Pause memory

This is a "safety buffer" for when you are using the Pause button in the Record dialog to make pauses in the recording: When you resume recording after having been in Pause mode, WaveLab will use this buffer to capture the last short section of audio before you deactivated the Pause button. This way, you don't have to worry about missing something when in Pause mode - you can have time to resume recording even after you hear what you want to record!

Activate meters when
opening record window

When this is activated, the meters in the Record dialog are automatically activated when the dialog is opened.

Activated meters when
starting recording

When this is activated, the meters in the Record dialog are automatically activated when recording starts.

Deactivate meters when
ending recording

When this is activated, the meters in the Record dialog are automatically deactivated when recording stops.

Stop playback when metering or recording

When this is activated, playback is automatically stopped during recording or metering. When recording a single file (to a Wave window), this is probably not a problem, but when you record in the Montage, you may want to hear the other Tracks play back during recording. If that is the case, you should deactivate this option.

Note that deactivating this option requires that your audio card supports full duplex, i.e. recording and playback at the same time. If in doubt, consult your audio card documentation.

Get DAT start IDs

If this is activated when you record digitally from a DAT recorder, WaveLab will read DAT Start IDs and automatically insert markers at the corresponding positions in the recorded file.

For this to work, you need an audio card that implements the TMS protocol developed by the audio card manufacturer RME (http://www.rme-audio.com/). Furthermore, you need to set the Bit Resolution to "24 bit Alt" in the Audio Properties dialog.


The Normalize dialog

This dialog is used to change the gain (volume) of a selection. The amount of gain change is always set relative to full level. The idea behind this is to allow you to optimize the gain of low-level wave files.

The dialog contains the following items:

Item

Description

Maximum Level

This is used to set the level. True normalization, (increasing volume to maximum level) is obtained by setting "Maximum level" to 0dB, 100% or 32767, depending on which unit of measurement is used.

As Selected

If ticked, this will automatically set "Maximum level" to the amplitude of the level selection made (see Level Selections).

Stereo Link

When this option is selected and you apply Normalizing to a stereo selection, both channels are searched separately to find the highest peak, but the amount of gain change is applied equally to both channels (so as to not disturb the stereo balance). This option should normally always be activated.

Only if clipping

If you are using Batch Processing, various processors in the signal chain may increase the signal level. This is not a problem "within" the signal chain, since WaveLab uses 32 bit internal processing. At the output of the Batch Processor however, if the signal is converted to an audio file with lower resolution (such as 16 bits), clipping may occur.

To remedy this, you can insert the Normalizer at the end of the signal chain in the Batch Processor, and activate "Only if Clipping". When this is activated, the Normalizer will lower the signal level so that it peaks exactly at the specified value, but only if clipping should otherwise occur. Effectively, this allows you to use the Normalizer as a completely distortion-free limiter.

Get peak level...

This button will check the selection for the strongest signal and display how far from full level this is. Use this as a diagnostic tool to decide for example if the wave needs normalizing or not.

Apply

Click this button to perform the processing.


The Gain Change dialog

This dialog is used to change the gain (volume) of the selection. It differs from Normalize in that the change in volume is specified as an absolute value. Hence, this dialog allows you to change the gain to more than "full level" and thereby introduce clipping.

The dialog contains the following items:

Item | Description
Gain | The amount of level change in dB. "0" means no change, positive values amplify and negative values attenuate. If you click the rightmost button in this section, a pop-up will open where you can specify whether the gain change value should be displayed in dB or as a percentage value.
Get peak level... | This button will check the selection for the strongest signal and display how far from full level this is. Use this as a diagnostic tool to decide how much gain change to apply.
Apply | Click this button to perform the processing.


Paste Multiple Copies

This dialog is used to paste several copies of the data on the clipboard into the active window.

The value field is used to specify how many copies of the data on the clipboard to paste into the active window.


Preferences - Appearance

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the Appearance tab is selected, the Preferences dialog contains the following items:

Item | Description
Show Tips | With this activated, a hint as to what each button on the Control Bar does will be displayed if you leave the pointer over the button for a short moment. By the same token, names of markers will be shown when you leave the pointer over a marker head.
Button size | This is used to set the size of the buttons on the various Toolbars.
Status Bar Show | This is used to hide/show the Status bar altogether.
Status Bar Font | This is used to set a size for the fonts on the Status bar, Medium or Large.
Use textured backgrounds | When this is activated, all plain backgrounds (such as the grey background in this dialog) will be "textured".
Gradient menu style | When this is activated, menus will have a slight gradient shading.
Use mouse cursors in color | If this is activated the mouse cursor icons will be shown in color.


Preferences - Audio Card

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the Audio Card tab is selected, the Preferences dialog contains the following items:

Item

Description

Playback pop-up

Use this pop-up to select the audio card you want to use for audio output (playback).

Playback Buffer Number/
Buffer Size

These settings determine how much RAM memory is used for buffering when playing back. Follow these guidelines:

- If everything works to your satisfaction, do not touch these settings.

- If you have playback or recording problems, such as dropouts and glitches, even when not using the Master section, this is probably because your system is too slow. You then need to increase the number of buffers and/or the size of them.

- If you think the program does not respond fast enough to real-time changes, such as the volume faders in the Master window and effect parameter changes, you can try reducing the number of buffers and/or the size of them. Note though, that reducing the size or number of buffers require a fast computer.

- The optimal settings depend on the quality of your audio-card and its driver, as well as on the speed of your computer. Usually, it's better to have fewer but larger buffers. A safe setting to start with is 4 buffers of 16384 bytes, or 3 buffers of 32768 bytes. If your system can handle it, try stepping down to 4 buffers of 8192 bytes.

- Some cards have problems with buffer sizes larger than 32768, even though exactly 32768 might work fine.

- If playback is active, you have to stop and then start it again so that changes to the buffers will take effect.

Convert mono to stereo

Certain audio cards play back mono sounds on the left channel only. There are also some cards which do not allow playback of mono files at all (for some audio file formats). If you have such a card and this is a problem for you, you can activate this function, which automatically "converts" mono signals (one channel) to stereo signals (two channels) before sending them to the card.

Preferred Playback Resolution

Use this to select a playback resolution. WaveLab can play back data at any resolution your card can handle, 8, 16, 20 or 24 bits. Please note that any combination of file resolution and playback resolution is possible. You can play back a 24 bit file on a 16 bit card or an 8 bit file on a 20 bit card, there are no restrictions. However, any processing or editing performed on the files is always done at full resolution, even if your card doesn't support 20 or 24 bits.

The "24-bit Alt" option is an alternate way of transmitting 24-bit audio, used by certain audio hardware. If you plan to work with 24-bit audio, you should consult your audio hardware's documentation to find out whether you should use "24-bit" or "24-bit Alt". If the documentation isn't clear about which method is supported (or if both methods are supported), you should try using the "24-bit Alt" mode, as this may give better performance.

Playback cursor - Get position from audio driver

If possible, keep this switch activated. It will provide the most accurate play position line in the wave windows. However, if you note that the play position is out of sync with the audio playback, deactivate this option, since your card's driver does not seem to report the play position correctly. WaveLab then uses an alternative method for calculating the play position.

Playback cursor - Correction

Use this setting to slightly delay or advance the visible playback cursor position, if you find that it is ahead of or behind the actual audio playback. For most hardware setups, it is not necessary to adjust this setting.

Playback Browser - Sensitivity

This is used to set the length of the "snippets" of audio that are played back when you use the Playback Browser function.

Restrict to Play Tool

When this option is activated, the Playback Browser function is only available when you start playback with the Play tool.

Recording pop-up

Use this pop-up to select the audio card you want to use for audio input (recording or Live Input).

Recording Buffer Number/
Buffer Size

When WaveLab collects samples (during recording and when using Live-input), the data is first stored in RAM buffers before being output again or saved to disk. It is unavoidable that a certain delay is introduced between the live audio input and output. If you process audio from for example a DAT, this delay is normally no problem. You can then instead make settings that minimize the risk of dropouts. However, if you process a live instrument, you might need to make this delay as small as possible.

- If you think the delay between input and input is too large, you can try reducing the number of buffers and/or the size of them. The program indicates the current "response time" (Latency) for you, and displays it in the dialog. Note though, that reducing the size or number of buffers require a fast computer.

- If dropouts occur, this is probably because your system is too slow. You then need to increase the number of buffers and/or the sizes of them.

- The optimal setting depends on the quality of your audio-card and its driver, as well as on the speed of your computer. Usually, it's better to have fewer but larger buffers. A safe setting to start with is 4 buffers of 16384 bytes, or 3 buffers of 32768 bytes. If your system can handle it, try stepping down to 4 buffers of 8192 bytes.

- Some cards have problems with buffer sizes larger than 32768, even though exactly 32768 might work fine.

- If Live Input is active, you have to temporarily deactivate it so that changes to the buffers will take effect.

Auto-stop if dropout occurs/Threshold

This option can be used to automatically stop playback if a certain number of dropouts occur within 1 second. The Threshold parameter sets the number of dropouts allowed.


Preferences - General

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the General tab is selected, the Preferences dialog contains the following items:

Item | Description
Show Logo on startup | If you don't want to see the WaveLab logo each time you run the program, deactivate this option. However, this does not affect the startup time.
Save window layout on exit | With this activated, the next time you launch WaveLab, the same windows will be opened as were open when you last Quit the program. To override this setting, hold down [Ctrl] when you launch the program.
Save preferences on exit | With this activated, all your Preference settings are automatically saved when you Quit the program.
Cubase compatible keyboard commands for cursor positioning | If this option is enabled, WaveLab uses the same key commands as Steinberg's Cubase sequencer program for moving the cursor and for zooming.
Release audio hardware... | If you want to be able to play back audio from another application while WaveLab is running (but not playing back or recording), you need to activate this option.
Language | This is used to select which language to use in the program. For the change to take effect you have to restart the program.


Preferences - Display

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the Display tab is selected, the Preferences dialog contains the following items:

Item

Description

Open new sample window with overview

When this is activated, all newly opened and created windows will have a sample overview pane to start with (this can be hidden later). When it is deactivated, they will not.

Open extra sample windows with overview

When this is activated, all additional windows for editing the same file, will also have a sample overview panel. When it is deactivated, they will not.

Auto-zoom for
overviews

This is used to have the zoom factor (mainly of the overview) adjusted automatically so that the entire wave is always displayed. To try it out, zoom out the overview all the way and adjust the width of the window. The zoom factor is adjusted automatically. For more info, see Zoom Topics.

Create windows using mouse

When this is activated, you can drag in a free area of the application window to create new windows. See Working with multiple windows of the same data.

Number of seconds to display when opening

This is used to set the magnification factor of new windows. The setting is in seconds.

Sensitivity when mouse zooming in the time rulers

WaveLab has a very convenient way to zoom quickly in the wave: click anywhere on the time ruler and drag the mouse up or down. The sensitivity of this method can be adjusted with this value.The lower the setting, the higher the sensitivity.

- To zoom with the cursor in a fixed center position, hold down [Shift] while you drag.

- If you hold down [Ctrl] while you drag, the vertical zooming is adjusted according to the section displayed, so that the peaks are clearly visible.

Do not use gradient backgrounds

If you have a very slow computer or graphics card, activating this option will speed up the waveform drawing.


Preferences - Editing

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the Editing tab is selected, the Preferences dialog contains the following items:

Item | Description
Snap to zero-crossing - Off at high zoom factor | With this activated, zero crossing detection is automatically turned off at zoom factors of 1:4 or higher (check the status bar to see your current zoom factor).
Snap to zero-crossing - Scan range | This is used to set how far WaveLab should search in each direction for a zero crossing, before "giving up". If you for example have a recording with a DC offset, there might not be any zero crossings at all during low-level passages. This value can normally be left as it is.
Snap to zero-crossing - Left/Right edge | These two options (Left and Right) allow you to set whether either side of the selection should be extended to a zero crossing point followed by a slope in a certain direction, or whether any zero crossing will do. The normal setting is to have both these set to either Upward Slope or Downward Slope.
Level selection requires [Shift] | When this is activated, a level selection can not be made unless the [Shift] key is pressed. When this is deactivated, level selections can always be made.
Undo/Redo - Unlimited | With this activated, the number of Undos/Redos is only limited by your hard disk space. However, during long editing sessions this will successively fill up the hard disk. If you have limited hard disk space you might decide to uncheck this box and set a limit.
Undo/Redo - Limit | When Unlimited is deactivated, this can be used to set how many Undo/Redo stages should be allowed.


Preferences - File

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the File tab is selected, the Preferences dialog contains the following items:

Item

Description

Temporary Files folder

This is a very important setting. It is used to set where WaveLab should store all its temporary files, as required for Undo and other operations. There are several factors to consider as to where these files should be stored:

- Position: We recommend you to create a special folder for these files, so that you can easily track any stray files down and delete them if necessary.

- Hard disk size: The available disk space for these files determine how many Undo/Redo stages you can have.

- Hard disk speed: The speed of the hard disk where that stores your temp files will affect the perceived speed of the program.

- Compression: Do not specify a volume where you have applied overall file compression!

- If possible, use a separate hard disk for the temporary files. This can more than double the file access performances!

Click the folder icon to the right of the path field to find a location for the temporary files.

Disk block buffer size

This setting governs the buffer size used when WaveLab is reading data from the hard disk. If you experience problems in a read intensive scenario (such as playing back an Audio Montage with a lot of simultaneous Clips), you should try changing this value. Another situation that might require raising this value is if you mainly use 24 or 32 bit files. If you raise this value, you might also need to raise the number or size of the Playback Buffers on the Audio Card tab (to increase the latency)

If you change this setting, playback will stop when you leave the dialog.

Use system cache

When this is deactivated (default), WaveLab reads files directly from the hard disk, bypassing Windows' file cache.

We strongly recommend that you leave this option deactivated!

The option is available since it may remedy problems on certain systems with slow disk drives. Note:

- If you activate this, avoid using large Disk block buffer size values!

- After activating this option, you need to close and reopen all open files, for the setting to take effect!

Allow opening of dual-mono files

If this is activated, two mono files can be opened as a stereo pair. See Opening Files Topics.

Create optimized audio file headers

This option adds some space to align the first sample of the file on a disk sector. Note: Some applications do not properly read optimized Wave file headers. These applications read the space as the real start of the file, which can cause a click at the start. Disable the option if this occurs.

Temporary
file resolution

This pop-up allows you to select a resolution for the temporary files that WaveLab creates when you work. You can choose between 16 bit, 24 bit and 32 bit float files. Some general guidelines:

- If you ever plan to export your files in 24 or 32 bit format, use this resolution or a higher one for your temporary files as well.

- Even if you only work with 16 bit files, selecting 24 bit for your temporary files can improve audio quality slightly.

- For less critical applications where speed and disk space are crucial factors, use 16 bit temporary files.


Preferences - Tempo/Time code

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the Tempo/Time code tab is selected, the Preferences dialog contains the following items:

Item | Description
Time signature | This setting is only used for time rulers set to the "meter" option. In order for the program to be able to display a proper meter scale, you need to here specify the Time Signature of the music in the wave you are editing.
Tempo | This setting is only used for time rulers set to the "meter" option. In order for the program to be able to display a proper Meter scale, you need to here specify the Tempo of the music in the wave you are editing.
Ticks per quarter note | This setting is only used for time rulers set to the "meter" option. In order for the program to be able to display a proper Meter scale, you need to here specify a number of ticks per quarter note.
Time code | This is used to specify the number of frames per second (FPS) for time rulers set to Time code: 24 FPS This is the format used for 35 and 70 mm film. 25 FPS This is the format used for video in Europe. 29.97 FPS This is the format used for most video editing in the United States. 29.97 FPS Drop Frame This is the format used for most color video editing in the United States. 30 FPS This is also used in the United States, mostly for audio only applications. 75 FPS Select this if you are creating a CD.


Preferences - Audio Database

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the Audio Database tab is selected, the Preferences dialog contains the following items:

Item | Description
Floppy disks - Take in account | If the Database can not find a certain file it may check the floppy disk drives. This may take some time, so if you don't want the program to take the floppy disks into account when searching for files, uncheck this option.
Floppy disks - A/B | WaveLab may need to know which drive letters are used for your floppy drives. The most common options are "A" and "B", but in some countries the standard is to use "C "and "D". Normally, this is automatically set correctly.
Max list size | When performing a search (Scan) in a Database, you might theoretically get a list of thousands of files. This is usually not desirable since the scan may then take a very long time, and Windows doesn't allow "infinitely" long lists. Therefore the program will stop searching after the number of files specified here have been added to the Database. It will then display the number of files in red on the Status bar. Use this as an indication that you should probably narrow down the search criteria so that fewer files are added to the Database.
Warn before deleting | With this activated, you will get a warning message when you try to delete a file from a Database or a Project. When this is deactivated, you don't get any warning message.
Beep on list overflow | If the database list view becomes full, WaveLab can beep to warn you. Please note that if such an overflow situation occurs, WaveLab indicates the number of items in the list in red, in the status bar.
Show message on list overflow | If the database list view becomes full, WaveLab can display a warning message. Please note that if such an overflow situation occurs, WaveLab indicates the number of items in the list in red, in the status bar.


Preferences - CD-Burning

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the CD-Burning tab is selected, the Preferences dialog contains the following items:

Item

Description

Automatically set the pause of the first track to 2 seconds...

When this is activated, the pause between the start of a CD and the start of the first track on it will always automatically be set to 2 seconds regardless of any other pause settings in the program.

ISRC template

Allows you to specify a template for the ISRC code (International Standard Recording Code, an identification code for commercial CDs). The code you enter here will appear as a default each time you click in the ISRC column in the CD Track list.

Moreover, WaveLab lets you automate the ISRC coding: just click on the ISRC column header in the Program window, and all tracks will be set. Examples:

Your ISRC template is "DER52", the year is 2002 and you have 3 tracks with no ISRC yet entered. The function will then create the following ISRC codes:

DER520200000

DER520200001

DER520200002

Let's say that the ISRC code of the first track is "DER520100015", and you have 3 other tracks with or without ISRC codes. The function will then create the following ISRC codes:

DER520100015

DER520100016

DER520100017

DER520100018

Max CD size

Allows you to specify the maximum length for a CD. The standard maximum length is 74 minutes.

Default pause before track (Basic Audio CD)

Before the start of each CD Track there's always a pause. This settings is used to determine the default value for that pause. That is, this is the pause length set automatically for new Tracks. You can later adjust the value for each Track, individually. A normal setting for this is 2 seconds.

Playback pre-roll time...
(Basic Audio CD)

This sets the pre-roll time when using the "Play from end of previous track" function to check transitions between tracks.

Playback through Master section
(Basic Audio CD)

You can play back the Tracks in a Basic Audio CD project through the Master section (to run the sound through plug-ins). To do this, make sure this option is activated, and that the Master Section window is open.


Preferences - Sync

This dialog is used for making a number of overall settings for the program. Please note that to make these settings "stick" until the next time you use the program, make sure "Save Preferences on exit" on the "General" tab is activated.

When the Sync tab is selected, the Preferences dialog contains the following items:

Item

Description

MIDI Input

This is where you select the MIDI Input port to which the external synchronization device is connected.

SMPTE Offset

This should be set according to any offset values in the master device, so that both devices have the same start position. The offset value is subtracted from (plus button activated) or added to (minus button activated) the incoming time code. Usually, positive offset values are used. If you edit this value during playback you have to Stop and Restart for the change to take effect.

Time correction

If you find that there is a slight, constant offset between the master and slave, you need to adjust the Time Correction parameter until you get it right, either here in the Preferences dialog when playback is stopped, or by Nudging (if you are playing back a Montage).

Although rare, such an offset could occur due to audio card latency, "slow" MIDI equipment, the coarseness of the MTC signal, etc.


Move Cursor to Position

Use this dialog to move the cursor to any position that you specify numerically.

Simply type in the position you want to move the cursor to and click Go.


The Preset tab

Presets are used to predefine settings for a certain dialog. By recalling a Preset and applying it, you can perform processing or some other action (depending on the dialog) without making any settings at all!

Loading Presets

1. Open the dialog you wish to use and click on its Presets tab.

2. Select the Preset you want to use and click the Load button.

A quick way to load a Preset is to right-click on the Preset tab and select a Preset from the menu that appears.

Creating a Preset

1. Open the dialog you wish to use and set up the dialog as desired.

2. Click on the Presets tab.

3. Click on the name line and type in a name for the Preset.

4. Click the Add button.

Modifying a Preset

1. Make the desired settings in the dialog.

If you only want to adjust a few settings in an existing Preset, you may want to load it first, as described above.

2. Click the Preset tab.

3. Select the Preset you want to overwrite with the new settings.

4. Click the Update button.

Deleting a Preset

1. In the Presets tab, click on the Preset you want to delete.

2. Click the Delete button.

How Presets are Saved

The Presets are automatically saved when you quit the program. The next time you load the program, the Presets are ready and waiting, just as you left them. Furthermore the Presets are "global" to all files. No matter which file you are working on, you still have access to all your Presets.

A special note about Batch Processor Presets

Batch Processor Presets include the following:

All settings made on the Input tab, except the actual file list.

All settings made on the Output tab.

All settings made on the Schedule tab.

They do not include:

The list of files to be processed.

The list of processors assembled in the Processor list dialog (for this, use the Presets section in the Processor list dialog).

The left field shows the existing Presets for this dialog. Click on one to select it. Double click on one to load it.

The currently loaded Preset is shown in the name field. It is also used to specify a name for a Preset before adding.

The "Add" button is used to create a new Preset. The new Preset will get the current settings in the dialog and the name indicated on the line above the buttons. Note that you must enter a name before clicking this button.

The "Delete" button will delete the Preset selected in the list.

Clicking the "Update" button will replace the settings in the Preset selected in the list with the ones currently set up in the dialog.


The 3D Frequency Analysis Options dialog - Style tab

The frequency graph (also referred to as an FFT - Fast Fourier Transform - plot) allows you to view a wave file in the frequency domain rather than in the time domain. Although a wave display (time domain) tells you a lot about, for example, where one sound starts or ends in a file, it doesn't say anything about the timbral contents of the file. A frequency graph (frequency domain) does.

When the Style tab is selected, the dialog contains the following items:

Item | Description
Colorize-Amplitude | When this is activated, color/gray scale will be used to indicate the amplitude of the frequencies in the graph.
Colorize-Frequency | When this is activated, color/gray scale will be used to indicate the frequencies in the graph.
Color style | The color style options allows you to select whether the amplitude (or frequencies -see the settings above) will be indicated in color, gray scale or black and white.
Background | This allows you to select whether the background behind the graph will be black or white.
Redraw | Click this button to redraw the Frequency Graph with the new settings specified.


The 3D Frequency Analysis Options dialog - Perspective tab

The frequency graph (also referred to as an FFT - Fast Fourier Transform - plot) allows you to view a wave file in the frequency domain rather than in the time domain. Although a wave display (time domain) tells you a lot about, for example, where one sound starts or ends in a file, it doesn't say anything about the timbral contents of the file. A frequency graph (frequency domain) does.

When the Perspective tab is selected, the dialog contains the following items:

Item | Description
Point of view | By clicking these radio buttons you can set any point of view to the graph's level and frequency axis.
Amplitude Scale | This allows you to select whether the frequency range should be displayed linearly or logarithmically in the graph.
Redraw | Click this button to redraw the Frequency Graph with the new settings specified.


The 3D Frequency Analysis Options dialog - Frequency tab

The frequency graph (also referred to as an FFT - Fast Fourier Transform - plot) allows you to view a wave file in the frequency domain rather than in the time domain. Although a wave display (time domain) tells you a lot about, for example, where one sound starts or ends in a file, it doesn't say anything about the timbral contents of the file. A frequency graph (frequency domain) does.

When the Frequency tab is selected, the dialog contains the following items:

Item | Description
Frequency Range - From | This is used to set the lowest frequency to display. This setting must be at least three octaves lower than the "To" value below.
Frequency Range - To | This is used to set the highest frequency to display. This setting must be at least three octaves (three times the frequency) higher than the "From" value above.
Redraw | Click this button to redraw the Frequency Graph with the new settings specified.


The Time Stretch dialog

Time stretch is an operation that allows you to change the length of a recording without affecting its pitch. Actually the standard term "time stretch" is a bit misleading since you can of course also make the material shorter.

This function is most often used to make a section of audio fit in with some other material. Therefore this dialog is set up exactly for that. You select the material to be stretched and use the options in the dialog to find a stretch factor (the "Ratio"). This is done by specifying the desired length, or the desired tempo, according to the requirements of the situation. You can also specify the Ratio directly as a percentage value of the original length.

The dialog contains the following items:

Item

Description

Source - Samples

This is the original length of the selection, in samples.

Source - Seconds

This is the original length of the selection, in seconds.

Source - Tempo

This allows you to specify the original tempo of the selection, if you want to specify the stretch as a tempo change. If you have a meter based ruler, it will change accordingly. This setting will change the one found in the preference dialog.

Source - Bars

This allows you to specify the length of the selection in bars, beats and ticks to calculate a source tempo, if you don't already know it.

Source - Time signature

This allows you to specify the time signature of the selection. Only used if you specify the length of the selection in bars. If you have a meter based ruler, it will change accordingly. This signature setting changes the one found in the preference dialog.

Result - Samples

This is used to specify the desired length, in samples.

Result - Seconds

This is used to specify the desired length, in seconds.

Result - Tempo

This is used to specify the desired tempo. For this to work, the tempo related fields in the Source section must have been filled out accurately.

Result - Time code

If you want the selection to fit a certain time code range, specify the start point of that range in the upper value field, and the end point in the lower value field. Do not start by adjusting the end value, since it is relative to the time code start value.

Reset

This sets the Ratio to "100.000%" (no stretch).

Ratio

This is the amount of stretch that will be applied when you click Process.

Audio Quantize

When this option is activated, the length of the resulting file will be exactly the one displayed in the Result section of the dialog. When it is deactivated, the actual file length may differ by a few milliseconds.

If you don't need this accuracy, you should leave the option deactivated, for a slightly better audio quality.

Quality

There are three Quality settings, "Quick Process", "Standard" and "High Quality". The High Quality mode provides very high quality time stretch, but the process will take longer. For most uses, the Standard mode is probably sufficient.

Rhythm accuracy

Set this parameter according to whether the rhythmic feel of the audio material has a high priority or not. If you set this to a high value, the timing and rhythmic feel will be preserved as far as possible, which is important for drum tracks, etc. If you set it to a low value, the audio quality can be slightly better, but sections of audio might be moved slightly (in the milliseconds region) in the process.

This is only available if the "Standard" or "High Quality" mode is selected.

Process

Click this button to perform the processing.


The Hi-fi Chorus dialog

This chorus works slightly different from many others. Often chorusing is achieved by delaying a copy of the signal, varying the amount of delay continuously and mixing the delayed signal back in with the original.

While this is adequate for many purposes, WaveLab takes a more natural approach to creating chorus. Since a chorus effect is basically about making a recording sound like it was performed by many "identical musicians", WaveLab takes just that approach. It multiplies the recording up to 100 times (using the same high quality pitch shifting engine as in the pitch correction and harmonization), and detunes and delays each "voice" slightly and -- if so desired - pans the voices across the stereo image.

The dialog contains the following items:

Item | Description
Number of voices | This allows you to specify how many voices will be used. The higher the number, the "richer" the sound. This number is always at least 2 (the original plus one detuned copy). If you create stereo waves, the double number of voices specified here will be generated. The more voices the longer the processing will take.
Pitch freedom (cents) | This is used to set how much variation in pitch is allowed (maximum). The higher the setting, the more detuned the sound will be.
Max delay (ms) | This allows you to set how much maximum delay the program can apply to each voice. The higher the number, the richer the sound, but higher numbers will also "blur" the attack and increase the length of the sound.
Dispersion | This allows you to set how the amount of pitch change should be distributed across the voices. With Narrow selected, more voices are close to the original in pitch. With Linear selected, the pitch change is distributed equally across the voices. With Wide selected, more voices are detuned close to the maximum setting.
Intensity | This sets the level of the detuned voices relative to the original sound. The higher the number, the more you will hear of the detuned voices.
Preserve level | When this is activated, the resulting audio will have the same level as the original, even though a number of voices have been added. Even if this is not activated, clipping never occurs.
Create stereo wave | If you are operating from a mono selection you can still create a stereo wave by activating this option. The processed wave will then open in a new window. The Chorus is a great way to create stereo sounds out of mono ones.
Process | Click this button to perform the processing.


The Pitch Correction dialog

Pitch Correction is a function which allows you detect, and to change, the pitch of a sound, with or without affecting its length.

The dialog contains the following items:

Item

Description

Semitones

This allows you to specify the amount of pitch change in semitones. The maximum range is ±36 semitones (±3 octaves).

Cents

This allows you to specify the amount of pitch change in cents (i.e. as a percentage of a semitone). This adjusts the pitch within one semitone, that is, 50 means a quarter note.

Find current pitch

This analyses the pitch of the selected audio and displays it below this button.

According to current pitch, compute the required shift to match the key hereafter

This can be used to automatically compute the required pitch shift, based on the currently detected pitch and the pitch specified in the value field below this button. When the button is clicked the "Amount of Shift" parameters are automatically adjusted to the computed pitch shift.

Length compensation

This allows you to set how the length of the selection should be affected by the operation.

- A setting of 100 means that the length of the audio will be the same after the operation.

- A setting of 0 means that the program will behave like a tape recorder does when the speed of its tape is varied. For example, if you raise the pitch by one octave, the sound will become half as long.

- Intermediate values will give results in between these two extremes.

For large transposition values, the lower this setting is, the better the quality of the effect will be.

Preserve formants

When this option is activated, changing the pitch of vocal material will give a more realistic result. When you are processing non-vocal material, you should leave this option deactivated, since it uses a slightly slower processing algorithm.

Warning: this algorithm might sensibly increase the signal level. If your audio material has a high level, you should maybe decrease its level before pitch shifting. In fact, the best solution is to use this effect from the batch processor, with a normalizer behind.

Quality

There are three Quality settings, "Quick Process", "Standard" and "High Quality". The High Quality mode provides very high quality pitch correction, but the process will take longer. For most uses, the Standard mode is probably sufficient.

Audio quantize

When this option is activated, the processed file will have the exact same sample length as the original. When it is deactivated, the resulting file length may differ by a few milliseconds.

If you don't need this length accuracy, you should leave the option deactivated, for a slightly better audio quality.

Rhythm accuracy

Set this parameter according to whether the rhythmic feel of the audio material has a high priority or not. If you set this to a high value, the timing and rhythmic feel will be preserved as far as possible, which is important for drum tracks, etc. If you set it to a low value, the audio quality can be slightly better, but sections of audio might be moved slightly (in the milliseconds region) in the process.

This is only available if the "Standard" or "High Quality" mode is selected.

Process

Click this button to perform the processing.


The Harmonization dialog

This is a variation on the Pitch Correction which allows you to create not only one shifted voice, but up to sixteen!

See the printed documentation for step-by-step instructions on how to set up this dialog.

The dialog contains the following items:

Item | Description
Voice slider | This is used to select which voice to make settings for.
Use this voice | This is used to activate/deactivate the selected voice.
Semitones | This is used to specify the amount of pitch shift for the selected voice, in semitones. The maximum range is ±36 semitones (±3 octaves). Smaller values give a better sound quality.
Cents | This is used to specify the amount of pitch shift for the selected voice, in cents. This adjusts the pitch within one semitone, that is, 50 cents = a quarter note.
Level | This is used to set the relative level (volume) for the selected voice.
Pan | This sets the pan position of the selected voice, i.e. its left right position in the stereo image.
Preserve Level | When this is activated, the resulting audio will have the same level as the original, even though a number of voices have been added. Even if this is not activated, clipping never occurs.
Create stereo wave | If you are operating from a mono selection you can still create a stereo wave by activating this option. The processed wave will then open in a new window.
Process | Click this button to perform the processing.


The Find dialog - Text tab

This dialog is used for the operations Scan disk, Sync to disk, Global Filter and Global Find.

The dialog allows you to set up criteria to select which files the operation should affect. Please note that the settings in all three tabs are always used.

When the Text tab is selected, the dialog contains the following items:

Item | Description
Query | If you are looking for file names, keywords or comments, type in the text to search for, on this line.
Keyword menu (<<) | If you are looking for keywords, select the desired keywords from this menu. You can select as many as you like.
Topic to search | Here you can select whether the operation will apply to files based on their file names, their keywords or their comment text.
Search mode - Normal | With this activated, the text on the query line will be interpreted as "one long string".
Search mode - AND | With this activated, words on the line separated by spaces will be interpreted as one text item each. Only files that contain all the words in their names, keywords or comments will be affected by the operation.
Search mode - OR | With this activated, words on the line separated by spaces will be interpreted as one text item each. Files that contain any of words in their names, keywords or comments will be affected by the operation.
Keep Open | With this activated, you can keep the window open to perform multiple "finds" without closing it in between. This option is not available for all the functions this dialog is used for.


The Find dialog - Format tab

This dialog is used for the operations Scan disk, Sync to disk, Global Filter and Global Find.

The dialog allows you to set up criteria to select which files the operation should affect. Please note that the settings in all three tabs are always used.

When the Format tab is selected, the dialog contains the following items:

Item | Description
File Type | This allows you to specify the file formats the operation should apply to: Select Wave and/or AIFF files and/or AU files and/or PAF anda/or MP3 files.
Channel | This allows you to specify whether the operation should only apply to mono, stereo and/or dual mono files.
Bit Resolution | This allows you to specify whether the operation should apply to 8 and/or 16 and/or 20 and/or 24 and/or 32 bit files.
Sample rate | This allows you to specify which sample rates the operation should apply to. To allow any sample rate, activate "Any". To specify the sample rate yourself, activate the bottom option and type in a number.


The Find dialog - Date and Size tab

This dialog is used for the operations Scan disk, Sync to disk, Global Filter and Global Find.

The dialog allows you to set up criteria to select which files the operation should affect. Please note that the settings in all three tabs are always used.

When the Date and Size tab is selected, the dialog contains the following items:

Item | Description
Date - Any | With this activated, files will be affected by the operation regardless of their "Modified date".
Date - Since yesterday | With this activated, files will be affected by the operation if they have been modified since yesterday.
Date - Since one week | With this activated, files will be affected by the operation if they have been modified during the last week.
Date - Find on or before | With this activated, files will be affected by the operation if they have been modified on or before a certain date that you specify.
Date - Find exact | With this activated, files will be affected by the operation if their "Modified date" is set to the specific date you specify.
Date - Find on or other | With this activated, files will be affected by the operation if they have been modified on or after a certain date that you specify.
d/m/y | In this field you specify the date for the "Find on or before", "Find exact" and "Find on or after" options.
Size - Any | With this activated, files will be affected by the operation regardless of their file size.
Size - Smaller than | With this activated, files will be affected by the operation only if their file size is smaller than specified here.
Size - Value field | Use this field to specify a file size for the "Smaller than" option.


The Database Properties dialog

This dialog allows you to check and change the properties of one ore more files.

Please note that the possibility to select more than one file allows you to give a number of files the same keyword(s) and comment, in one go.

The dialog contains the following items:

Item

Description

Specifications

This gives you information about the format, size and modified date of the file.

Name

This is the file's regular name including the file type extension. Changing this is the same as changing the file name in the Explorer or another file managing utility. This can not be edited if you have selected several files or if a file is on CD-ROM.

Other channel file name

When this is activated, you can specify a file name for the other file in a dual mono pair. This can not be edited if you have selected several files. Use the name field below the tick box to specify the name.

Keywords

To add keywords to the file(s), type in each keyword on this line, separated by semicolons (";") or commas (",").

You can also add keywords to the file(s) by clicking on the "<<" button and selecting from the menus that appear. You can enter as many keywords as you like this way. You can also add Keywords of your own to the menu. Type the desired name preceded by a backslash character ("\"). You can create hierarchic items like on the standard menu. If you for example type "\Quality\Texture\Crystal", Crystal will appear on the Texture menu which in turn is on the Quality menu.

Comments

In this field you can type in any comment you'd like to add to the file. This information can also be used when you want to find files that meet certain criteria.


The Volume Name dialog

If you try to add files to a Database or Project from a volume (hard disk or similar) that hasn't been given any name, the program will prompt you for such a name. This is required for WaveLab so that it can keep track of which files are on which disk (for example with removable hard disks).

The Volume name you specify will appear in all programs that display detailed disk information (like for example the Explorer).


The Dynamics dialog - Settings tab

This dialog allows you to tailor the dynamics of the audio, to create effects like compression, expansion, limiting and noise gating. Dynamic processing of audio is a big subject. Please refer to the printed documentation and also please study the included Presets which implement examples of the above mentioned functions.

When the Settings tab is selected, the dialog contains the following items:

Item

Description

Graphic display

This is used to set up the input to output level relation.

- You can add a new breakpoint by clicking anywhere on the curve with the left mouse button.

- You can drag any breakpoint in the curve to any position, using the left mouse button.

- When you move breakpoints closer to the left side or the bottom of the graph, you will note that the number of positions is more limited. This is due to the nature of digital audio, where for lower levels, a smaller number of "bits" is used to represent the data.

- You can delete a breakpoint by clicking on it with the right mouse button.

Auto

If this is activated, all of the other three time response settings are adjusted automatically. For simple compression, try this first. Remember you can always undo and try again with other settings.

Attack

This is the time it takes for the processor to adjust the amplitude according to the curve, when the signal rises up.

Hold

This is the time the processor will "hold the gain" before moving to the release phase.

Release

This is the time it will take for the processor to adjust the amplitude according to the curve when the signal is fading out and the Hold time has expired.

Graphic Editing

When this is activated, you can specify the input to output level relation by clicking in the graph.

Threshold

Only signals above this level will be affected. Signal below this level pass through the processor unaffected.

Ratio

The amount of gain reduction for signals above the Threshold level. The range is from 1 (no reduction) to 10 (very close to limiting).

Normalize - Before

When this is on, the signal will be normalized to the set level before the processing is applied. It can for example be used when processing a number of files with slightly different levels. Please note that since normalization will most likely raise the level of the input signal to the processor, it may drastically influence what effect the processing has. This means that after activating this you may have to adjust the Threshold level. A reason for setting this to less than 0 (full level) is if you are expanding, which can introduce clipping if the signal is too strong to start with.

The value field is used to specify the highest desired level in the signal before the dynamics operation occurs.

Normalize - After

When this is activated, the audio will be normalized after the processing has been finished.

- The value field is used to specify the highest desired level in the signal after the dynamics operation has been performed.

Reset

This restores the curve to a straight line with only one breakpoint.

Add point at level selection

This adds a breakpoint, at the level indicated by the current level selection.


The Dynamics dialog - Expert tab

When the Expert tab is selected, the Dynamics dialog contains the following items:

Item | Description
Key mode - Both | This applies to stereo signals only. With this option selected, both channels are "read" and processed as in a regular compressor.
Key mode - Left | This applies to stereo signals only. With this option activated, the left channel will be read and the right will be processed. This allows you, for example, to "gate" one signal to the amplitude of the other, or to create ducking effects.
Key mode - Right | This applies to stereo signals only. With this option activated, the right channel^ will be read and the left will be processed. This allows you, for example, to "gate" one signal to the amplitude of the other, or to create ducking effects.
Level Detection - Peak | With this activated, the function monitoring the signal (to decide when to apply gain change) will take shorter peaks into account. If you experience clipping when using Average mode, try this option.
Level Detection - Average | With this activated, an average of the signal level is used to determine when to apply gain change. This is the most common setting, as it sounds more natural.
Level Detection - Stereo Link | When this is activated, two channels in a stereo recording will be treated as one, when processing. That is, the same gain change will be applied to both channels. The normal mode for stereo recordings is to have this option activated.
Level Detection - Look Ahead | When this is activated, the function that scans the wave to determine when level reduction should be applied, actually "runs ahead" of the actual processing. How much it "runs ahead" is set with the Attack parameter. This means that when a transient (peak) appears in the audio, compression based on that peak is already being applied. This setting is best used for recordings with many transients.


The Fade In/Out dialog

A Fade In is a gradual increase in level and a Fade Out is of course the opposite. As you adjust the values, a curve indicating the fade is drawn in the wave display.

The dialog contains the following items:

Item | Description
Fade In | With this activated, the function will create a fade in starting at the selection start point and ending at the selection end point.
Fade Out | With this activated, the function will create a fade out starting at the selection start point and ending at the selection end point.
Offset | This setting determines where in the fade section the file will play at its "mid level" (half the level).
Damping | This adjusts the "steepness" of the fade. For example, a -6dB setting for a fade-in will result in a normal fade, where the level is half the original when it reaches the Offset point. Values closer to 0dB will emphasize the beginning of a fade-in. Values closer to -18dB will emphasize the end of a fade-in. Check the curve drawn in the wave display.


The Crossfade dialog

A crossfade is a gradual fade between two sounds, where one is faded in and the other is faded out. This function allows you to do just that. It also lets you create plain mixes of two sounds. As you adjust the values, curves which indicate the fade are drawn in the wave display.

For detailed step-by-step instructions, see the printed documentation.

The dialog contains the following items:

Item | Description
Fade Out - Offset | This setting determines where in the fade section the fade-out file will play at its "mid level" (half the level).
Fade Out - Damping | This adjusts the "steepness" of the fade-in. For example, a -6dB setting is the "normal" value, where the level of the fade-in file is half the original when it reaches the Offset point. Values closer to 0dB will emphasize the beginning of the fade-in. Values closer to -18dB will emphasize the end of the fade-in.
Inverse of Fade In | This automatically sets the fade-out curve to the inverse of the fade-in curve.
Mix without fading | With this activated, the fade-out section will not be faded at all, but rather mixed in at full level.
Fade In - Offset | This setting determines where in the fade section the fade-in file will play at its "mid level" (half the level).
Fade In - Damping | This adjusts the "steepness" of the fade-out. For example, a -6dB setting is the "normal" value, where the level of the fade-out file is half the original when it reaches the Offset point. Values closer to 0dB will emphasize the end of the fade-out. Values closer to -18dB will emphasize the beginning of the fade-out.
Inverse of Fade Out | This automatically sets the fade-in curve to the inverse of the fade-out curve.
Mix without fading | With this activated, the fade-in section will not be faded at all, but rather mixed in at full level.


The Render dialog (Wave) - File tab

This dialog is used to apply real-time processing permanently to audio files. One advantage of this is that it allows you to use heavier processing combinations than your computer can handle in real-time.

When the File tab is selected, the dialog contains the following items:

Item

Description

Range

This is where you specify what part of the wave is to be modified by the Render function.

- Selection: Process only the portion that is currently selected in the Main View.

- Whole file: Process the entire file.

Skip Mute regions

When this is activated, regions between Mute markers will not be processed.

Roll out loops

If a finite number of loops has been specified and this option is activated, the loops will be included in the resulting file. Proceed with care - this may result in very large files.

Create specific file

If this option is activated, you need to specify a name and location for the file. Either enter the path and filename in this field, or click the folder button to browse to the desired location.

If the option isn't activated, the resulting file will be a temporary file.

Process in place

Here, you can choose whether the original wave file should be changed or whether a copy of the original should be generated.

- Process in place: The current wave data is modified. However, Undo & Redo are still available.

- Create new file: A new untitled wave is created that contains the result of the processing. This file must be saved, as with any other new wave.

No tail

If this is activated, the resulting file will end where the original did, even if the processing adds material (for example echoes or reverb tails).

Copy markers

When this is activated, any Markers in the original file are copied to the created file.

Output resolution
pop-up

This pop-up allows you to select a bit resolution for the output file, when the "Create specific file" option is activated (if it is deactivated, the temporary file will have the bit resolution specified in the global Preferences dialog - File tab).

- If you select "MP3" or "Windows Audio Media" from the pop-up menu, the output file will be an encoded file. When one of these options is selected, you can click the button below to adjust related settings.

- If you don't select one of the above formats, the output file will be a Wave (.WAV) file.

Rename as source

Clicking the "Rename as source" button will set the file name to the same as the file being processed (retaining any path you have specified).

MP3/WMA Settings button

Clicking this button opens the MPEG Layer 3 or Windows Audio Media settings dialog, in which you can make settings for the encoding (only available when "MP3" or "Windows Audio Format" is selected on the pop-up menu above).

For details, open the dialog and click the Help button.

Batch...

Click here to open the Batch Processor window with the same plug-in setup as the one currently used in the Master Section.


The Schedule tab

When the Schedule tab is selected, the dialog contains the following items:

Item

Description

On Start

This is where you instruct WaveLab what to do just before starting the processing. Feel free to select two or even all three options (if available, see below):

- Stop playback: Stops playback to free up some processing power. This option is not available if playback is already stopped.

- Open Monitor window: Opens the monitor window.

- Minimize audio window: The document window is minimized to free up screen "real estate", since a wave that is being processed cannot be edited during the processing anyway.

On completion

This is where you select how WaveLab should behave after processing.

- Beep: WaveLab will beep to signal that the settings have been applied (but only if no audio playback is active at that time).

- Show message box: WaveLab will display a message to confirm the operation. Click OK to go on working.

- Restore audio window: Upon completion, WaveLab will restore a minimized window to its original size.

- Activate Global Bypass: Upon completion, the Global Bypass button in the Master Section window is activated.

Priority

This sets the priority of the Processing:

- Relax Background. The file is processed in the background, but priority is given to audio playback and to your continued work on other files. This makes WaveLab as responsive as possible, but slows down processing.

- Background. The file is processed in the background but with a lower priority given to your continued work on other files. This makes processing faster but the program less responsive. Try this mode when several files should be processed in the background.

- Fast. Processing is given high priority. A fairly high-performance computer will be required to avoid dropouts in playback.


The Render dialog (Montage) - Audio Montage tab

This dialog allows you to "mix down" the whole Montage (or sections of it) to a single audio file. This is useful both for creating a final mix, and for "pre-mixing" Clips (you may for example have a number of Clips to which you want to apply the same effects, etc).

When the Audio Montage tab is selected, the dialog contains the following items:

Item

Description

Range

This is where you specify what part of the Montage is to be modified by the Render function.

Time Selection: Process only the currently selected range in the Track View.

Selected Clips: Process selected Clips only.

Whole Montage: Process the entire Montage.

Create specific file

If this option is activated, you need to specify a name and location for the file. Either enter the path and filename in this field, or click the folder button to browse to the desired location.

If the option isn't activated, the resulting file will be a temporary file.

No tail

If this is activated, the resulting file will end where the original did, even if the processing adds material (for example echoes or reverb tails). The Tail setting for Clip effects is not affected.

Copy markers

When this is activated (only available when "Whole Montage" is selected), any Markers in the original file are copied to the created file.

Create Basic Audio CD

This option (available when "Whole Montage" is selected, and CD Track Markers have been added) creates a temporary file of the whole Montage including Clip and Master effects and opens it as a Basic Audio CD window. This is one way to perform the processing and the CD burning separately (to conserve computing power). However, since not all Montage features are available in a Basic Audio CD, you may want to use the Create CD-Image method instead - see below.

Create CD Image and Cue-Sheet

This option (available when "Whole Montage" and "Create Specific file" are selected and CD Track Markers have been added) lets you export an Audio Montage as a CD Image with an accompanying Cue-Sheet (a text file identifying the CD tracks in the image file). The Cue-sheet and the image file it describes can then be imported into any CD recording application that supports this function (including WaveLab), and written onto CD.

Then open as new Audio Montage

If you select "Create CD Image and Cue-Sheet", you can also select this option, in which case the created CD Image will open as a new Audio Montage upon completion. This is the preferred method to use when burning a CD from a CPU-intensive Montage, as it lets you render the processing and burn the CD in two separate passes, without losing any Montage functionality.

Output resolution
pop-up

This pop-up allows you to select a bit resolution for the output file, when the "Create specific file" option is activated (if it is deactivated, the temporary file will have the bit resolution specified in the global Preferences dialog - File tab).

- If you select "MP3" or "Windows Audio Media" from the pop-up menu, the output file will be an encoded file. When one of these options is selected, you can click the button below to adjust related settings.

- If you don't select one of the above formats, the output file will be a Wave (.WAV) file.

Rename as source

Clicking the "Rename as source" button will set the file name to the same as the file being processed (retaining any path you have specified).

MP3/WMA Settings button

Clicking this button opens the MPEG Layer 3 or Windows Audio Media settings dialog, in which you can make settings for the encoding (only available when "MP3" or "Windows Audio Format" is selected on the pop-up menu above).

For details, open the dialog and click the Help button.


The Schedule tab

When the Schedule tab is selected, the dialog contains the following items:

Item

Description

On Start

This is where you instruct WaveLab what to do just before starting the processing. Feel free to select two or even all three options (if available, see below):

- Stop playback: Stops playback to free up some processing power. This option is not available if playback is already stopped.

- Open Monitor window: Opens the monitor window.

- Minimize audio window: The document window is minimized to free up screen "real estate", since a Montage that is being processed cannot be edited during the processing anyway.

On completion

This is where you select how WaveLab should behave after processing.

- Beep: WaveLab will beep to signal that the settings have been applied (but only if no audio playback is active at that time).

- Restore audio window: Upon completion, WaveLab will restore a minimized window to its original size.

Priority

This sets the priority of the Processing:

- Relax Background. The file is processed in the background, but priority is given to audio playback and to your continued work on other files. This makes WaveLab as responsive as possible, but slows down processing.

- Background. The file is processed in the background but with a lower priority given to your continued work on other files. This makes processing faster but the program less responsive. Try this mode when several files should be processed in the background.

- Fast. Processing is given high priority. A fairly high-performance computer will be required to avoid dropouts in playback.


The Write CD dialog

This dialog is used to actually write ("burn") the CD, and optionally to prepare it for CD-Extra support.

The dialog contains the following items:

Item

Description

Device

Use this pop-up menu to select the CD-R drive you want to use. Please note that sometimes CD-R drives that are technically the same are sold under different names. This is why, even though you only have one CD:R drive connected, there will be more than one item on this menu. Select the one that corresponds to the name of your device.

Device Info ("i" button)

Clicking on this button opens a dialog that shows information about the selected CD-R device.

WRITE

When this option is selected, clicking OK will start the writing of the CD. Note: Once CD writing has started, you can cancel the process before it's finished but this means the CD-R disc will almost certainly be damaged!

Test writing of first
track

When this option is selected, clicking OK will initiate a simulation of writing the first Track on the CD. This allows you to make a quick check on whether the CD will write OK. If the test fails, try again at a lower writing speed. If this also fails, refer to the troubleshooting section.

Test writing of CD

When this option is selected, clicking OK will initiate a simulation of writing the entire CD. This allows you to check whether the CD will write OK. If this test is passed you can be practically 100% sure the real write operation will succeed. If the test fails, try again at a lower writing speed. If this also fails, refer to the troubleshooting section.

Write speed

This is used to select the writing speed: same as, double or four times (etc) the speed of a normal CD (when played in a regular CD player). The highest speed selectable here depends on the capabilities of your CD-R unit. However, you might not always be able to write at maximum speed, depending on your computer system, the speed of the hard disk etc.

If writing fails, try again at a lower writing speed. If this also fails, refer to the troubleshooting section.

Copies

Enter here the number of copies you want to burn.

Render to temporary file before burning (Audio Montage only)

This is an additional option in the Write CD dialog that can be used in case you have a slow computer and/or a lot of CPU-load intensive effects etc. in the Montage. If this item is ticked, a disk image is created before burning, which eliminates the risk of buffer underruns.

This option is included in the test writing if it is ticked beforehand. Therefore if it was on when testing, it should be on when writing.

If this option was off, and the whole CD was test written successfully, there is no need to activate it when burning. It will only make the write time take longer, without providing any "extra" safety.

CD-Extra compatible

When this option is selected, the audio CD will be prepared for CD-Extra support. CD-Extra is a format that allows for the writing of both audio and data on a single CD, just like Mixed Mode CDs. The difference is that where Mixed Mode CDs are written in one swoop with the audio placed on the last track(s) of the CD, CDs in the CD-Extra format contain the audio on the first track(s) of the CD, and the data follows subsequently. After an audio CD has been written with CD-Extra support, the data can be added to the CD in a separate session, by creating and writing a CD Project.


The CD Recorder dialog

This dialog contains various information about your connected CD-R device(s).

The dialog contains the following items:

Item | Description
Device | Use this pop-up menu to select the CD-R drive for which you want to see information. Please note that sometimes CD-R drives that are technically the same are sold under different names. This is why, even though you only have one CD:R drive connected, there will be more than one item on this menu. Select the one that corresponds to the name of your device.
Device ID | This section displays the model and manufacturer of the selected CD-R drive. You will also find information about the exact firmware version of your CD recorder (use this to check that you have the latest version), and its SCSI address.
Device Performance | This section displays some performance characteristics of the selected CD-R drive.
Device Properties | The checkboxes in this section give information about various properties of the selected CD-R drive.


CD advanced settings

This dialog allows you to make detailed settings for the Basic Audio CD project, for things like Track and sub-indexes (these adjustments are also known as PQ codes). If you are unsure of what these settings do, leave them at standard values. For detailed information, consult the CD Red Book specification.

The dialog contains the following items:

Item | Description
UPC/EAN | Here you can enter a UPC/EAN number for your CD, if desired. This number will be written in to the CD together with the Tracks
Silence before first track | This option lets you add a few frames of silence before the first track of the CD. Usually, the pause needs to be longer for the first track than for the other tracks. This is to ensure that a low quality CD player won't miss the very beginning of the track.
Silence before any track | This option lets you add a few frames of silence before each track on the CD (the first track has a its own setting). This is to ensure that a low quality CD player won't miss the very beginning of the track.
Track Sub-index advance | This option will make WaveLab write a track sub-index a few frames before the location specified in the Track list. This is to ensure that a low quality CD player won't miss the very beginning of the section.
Silence after each track | This option lets you add a few frames of silence after each track of the CD (the last track has a separate setting). This is to ensure that a low quality CD player won't cut off the end of the track because of the pause that follows.
Silence after last track | This option lets you add a few frames of silence after the last track of the CD. This is to ensure that a low quality CD player won't cut-off the end of the Track, or that the listener won't get disturbed by any clicks or motor noise that the player makes at the end of a CD.
Take in account in track list display and playback | If this option is checked, the settings made here will also be taken into account in the CD Program display and for playback from the Basic Audio CD.
Save as default | If this option is checked, the settings you have when you leave the dialog will be used as default settings for new Basic Audio CD's.


Marker Visibility

This dialog is used to decide which marker types will be displayed.

The dialog contains the following items:

Item | Description
Generic | Check this option to allow display of generic markers.
Temporary | Check this option to allow display of temporary markers.
CD Track Edges | Check this option to allow display of CD Track Start/End markers.
CD Track Sub-indexes | Check this option to allow display of CD Track sub-index markers.
Loop | Check this option to allow display of Loop markers.
Mute | Check this option to allow display of Mute markers.
Region | Check this option to allow display of Region markers.
Playback Starter | Check this option to allow display of Playback Starter markers.
Apply to all open files | If this option is checked, the settings will be applied to all audio windows. Otherwise they will only be applied to the active window.


The Edit Marker dialog

When you create a new marker or edit an existing one, this dialog appears. Some marker types will be disabled in certain situations. For example, you cannot transform a temporary marker into a sub-index marker if the temporary marker is not positioned within a CD track.

The dialog contains the following items:

Item | Description
Generic | This type of marker can be used for any purpose and is saved with the file.
Temporary | This type of marker is not saved with the audio file.
CD Track Start | This type of marker defines the start of a CD Track. When you create one of these markers, a Track End marker is created automatically at the beginning of the next Track or at the end of the file. See the topic Working with CD-Markers for more information.
CD Track End | This type of marker defines the End of a CD Track. Whenever you create a Track End marker, WaveLab will automatically create a Track Start marker to match it.
CD Track Boundary | This is used to define a location that is both the end of one Track and the start of another.
CD Track sub-index | A CD track sub-index is a generic position inside a CD Track. Some (professional) CD players have the ability to locate to sub-indexes (sometimes called just Indexes), but most consumer players ignore sub-indexes completely.
Loop Start | This is used to define a Loop start location.
Loop End | This is used to define a Loop end location.
Mute Start | This is used to define the start of a section that you want to Mute (temporarily make silent).
Mute End | This is used to define the end of a section that you want to Mute (temporarily make silent).
Region Start | Use these to define Start points for generic regions.
Region End | Use these to define End points for generic regions.
Playback Starter | This is used to define a location where playback should start.
Text field | If the Automatic Naming option is deactivated, you can enter a name for the Marker in this box.
Auto naming | If this option is checked, WaveLab will create an automatic name, according to the marker type, to speed up your work. You can always go in and change markers names later.
Quantize to CD frame | This option is only available for Track End and Track Boundary markers. When you define a Track End position that does not occur at exactly a CD Frame (a Frame is 588 samples long), WaveLab must fill in with blank samples to get a complete number of CD Frames (you can not write partial frames to a CD). When a track is followed by another track that starts with a pause, this poses no problem (the pause will only be slightly longer). But if the Track is positioned within continuous material (for example in a live recording) you don't want any silence or "gaps" in the audio. If this is the case, activate this option, and WaveLab will move the markers to an exact frame rather than inserting blank samples.
Lock Position | Activate this option to prevent a marker from being moved by mistake. This option does not prevent the marker from being deleted, it only prevents you from moving it to another position.
Loop number | This setting is available for Loop End markers only, and only if the "Infinite" checkbox is deactivated. Use this setting to specify how many times the Loop section should be played back.
Infinite | This option is available for Loop End markers only. If it is activated, the Loop section will be repeated infinitely (or until you stop playback).


The Import Audio CD Tracks dialog

Use this dialog to import audio tracks (or parts of audio tracks) directly from an audio CD into WaveLab.

From this dialog, you can use some functionalities provided by CDDB, to query informations about your CDs. CDDB maintains a worldwide database of CD information. When an audio CD is inserted, you can query the database to get the track names of this CD, and even more. If the CD is not yet recorded in the database, you have the option to become a participant by describing the CD and submitting your description to the database. You can get more information on the internet by going to www.gracenote.com (or www.cddb.com).

Copyright

CD-related data through the Internet from the CDDB Music CD Database. Copyright 1999, 2000 CDDB Inc. CDDB Client Software. Copyright 1999, 2000 CDDB Inc.

CDDB-Enabled, CDDB, CDDB 2 and the CDDB Logo are trademarks of CDDB. Inc. Disc Recognition Service and DRS are service marks of CDDB, Inc. All rights reserved.

The Import Audio CD Tracks dialog contains the following items:

Item

Description

CD Drive pop-up

Here is where you select a connected CD drive from which you want to import audio CD tracks. This is also where you select the Exabyte driver from Spectral Design, if you have installed this.

Read Speed pop-up

Use this pop-up menu to select at which speed the audio data should be read from the CD. Note:

- "Auto" is always the safest bet, when this option is available.

- Just because a CD-R drive can write at a certain speed, this doesn't mean it can retrieve audio tracks at the same speed. For example a drive that writes at 4x might only be able to read audio tracks at 2x.

- To be able to read at high speeds you need a fast drive and a fast computer.

- Not all devices support speed selection.

- If there are clicks in the extracted audio, this is an indication that you are reading too fast. Please lower the speed.

Track list

In this section, the tracks on the audio CD are listed. You can select one or several tracks for import, using [Shift] and [Ctrl] for multiple selections.

You may need to click the Refresh button to update the list.

Right-clicking on a track opens a menu with a couple of functions.

Start

This option is only available if you have selected a single track. It allows you to specify a start point in the track, making it possible to import only a section of a track.

End

This option is only available if you have selected a single track. It allows you to specify an end point in the track, making it possible to import only a section of a track. Changing the End value will automatically change the Length value.

Length

This option is only available if you have selected a single track. It allows you to specify the length of the section of the track you want to import (from the Start point). Changing the Length value will automatically change the End point value.

Destination folder

Before reading Tracks and saving them as files, you have to define a valid location and file name. You set each track file name by double clicking on their name in the track list.

File format pop-up

You can choose to save your CD track(s) in several file formats. Select the desired format from this pop-up.

MP3/WMA Settings button

Clicking this button (located beside the File format pop-up) opens the MPEG Layer 3 or Windows Audio Media settings dialog, in which you can make settings for the encoding. This is only available when "MP3" or "Windows Audio Format" is selected on the File format pop-up menu.

For details, open the dialog and click the Help button.

Trim silence

When you extract audio from CDs, the pauses before and after the track are often included. Activate this option to remove the silence before and after the imported track. Please note that this function only removes "digital" silence, that is, samples that really have "zero level".

Refresh

If you insert a CD while this window is open, you need to click this button to show the contents of that CD in the list. Before you click this button, make sure the drive has finished reading the disk, after it is inserted (watch the LEDs on the CD-R unit's front panel).

Save

This button saves the selected Tracks to disk. For this to work you must select one or more Tracks in the list and also specify a location and name for the file(s). If a file with the same name already existing that folder, you will get a warning.

Select All

This is a shortcut for selecting all the Tracks in the list, for importing.

Play

When one (and only one) track is selected, you can listen to it. This is a real-time extraction method: the audio is read on the fly from the CD and played through the audio-card. This differs from traditional methods which simply consist in sending play/stop commands to the CD drive.

Convert to Basic Audio CD

This function is similar to the function that creates a montage, but a Basic Audio CD program is created.

Convert to Montage

You can convert a CD to a montage with this function. This function analyses digital silence between tracks so as to recreate pauses between tracks. Certain CDs don't have pure digital silence between tracks and in that case, the tracks will be not be separated by pauses.

Once you have converted a montage, you can reorder tracks, remove some tracks or add new tracks. You can use this function eg. to create mixed compilations of CDs.


The Save All dialog

This dialog allows you to save all or any selection of the currently open documents.

In the list, all open files with unsaved changes are shown. Click on a file to select it for saving.

When the "Show Paths" option is activated, the files in the list are shown with their complete file paths.

Click the Deselect/Select button to select or deselect files in the list. Only selected files will be saved.


The Crossfade Looper dialog - Loop points tab

The Crossfade Looper is a special tool for creating "seamless" loops.

On the Loop points tab you can "nudge" the loop points, while at the same time you are provided with visual feedback on the "join" between the start and end point. You can also use this tab to let the Crossfade Looper automatically find loop points for you.

If the "join" between the two sides of the waveform isn't smooth enough, this will be heard as a click when the loop crosses the "join". Your aim is therefore to set things up so that the there is as little visual difference as possible between the cycles on the left and right sides in the display (note that a good loop point isn't necessarily at a zero crossing). You can move the loop points by dragging the waveforms manually in the display, or by using the buttons below.

Note:

If only one channel is used, this is displayed in red. If the sound is stereo, the left channel is red and the right is blue. You have two alternatives for how these two channels will be displayed: When "Stereo Merge" is activated on the Extra pop-up menu, they are superimposed on each other. Otherwise they are drawn in two sections, on top of each other, as in the wave display.

Nudge Buttons

Auto-find parameters

This section is used for setting up the automatic search for good loop points. WaveLab uses two methods to check for matching loop points: First a coarse "Phase match" and then a finer "join match".

The "Current" values at the top of the section indicate how well the current loop points match. The left value is the phase match, the right value is the join match. The higher the values, the better the match.

The "Desired (0-1000)" setting is used for setting up the automatic search for good loop points. It defines how well the found section must resemble the section it is compared to, to be considered a match. The higher the value, the more precise the resemblance must be. A value of 1000 will most likely fail completely, since it requires a 100% perfect match.

The "Search accuracy (1-9)" setting is used for setting up the automatic search for good loop points. It determines how many samples should be included in the auto-find analysis. Higher values result in greater accuracy, but also longer processing times.

Auto-find Buttons

The criteria for the automatic search are set up with the "Desired" and "Search Accuracy" settings.

You can stop the search at any time by clicking the right mouse button. The program will then jump back to the best match found so far.

If the "Link" option is activated, both the start and end points will move simultaneously when you adjust the loop points manually. That is, the loop length will be exactly the same, but the entire loop will move.

The Extra pop-up menu

Clicking the large arrow between the Loop End and Loop Start buttons opens a pop-up menu with the following items:

Item

Description

Stereo Merge

When you use the Crossfade Looper for a stereo file, this option selects how the left and right waveforms are displayed. If Stereo Merge is activated, the two waveforms are superimposed, otherwise they are shown in two separate sections.

Overlap

When this is activated, the waveform in both halves of the display will continue in over the other half, but in a dimmed fashion.

Display Times

Activate this if you want the length, start and end position of the loop to be displayed numerically.

Display Processed Signal

This option is only available after you have set up a Crossfade and clicked "Apply".

When it is activated, the display shows what the waveform looks like after crossfading. When you later click OK, this is the waveform which will actually be created.

When this option is deactivated, you will instead see what waveform looks like without crossfading. If you click Cancel to close the dialog, the waveform will revert back to this shape.

Zoom

Allows you to select a horizontal zoom factor.

Automatic Vertical Zooming

When this is activated, the vertical magnification is adjusted so that the waveform always fills the entire display, vertically.

Save candidate

This allows you to save up to five different "candidates", sets of Loop points, which you can later recall. The advantage of this is that it allows you to try out several different Loop settings.

Restore candidate

This allows you to recall a previously saved "candidate" (set of Loop points). There can be up to five candidates saved at one time.


The Crossfade Looper/Tone Equalizer - Crossfade tab

On this tab (which appears both in the Crossfade Looper and in the Tone Equalizer), you can process the waveform to allow for smoother loops, by crossfading areas of the waveform close to the loop start point.

The dialog contains the following items:

Item

Description

Window display

This window allows you to set up a crossfade, for making the loop transition as smooth as possible.

- You can change the length of the crossfade area by dragging the upper handle in the display.

- You can change the shape of the crossfade by dragging the lower handle in the display.

Note that the Crossfade checkbox must be activated for the handles to appear.

Crossfade (Pre-Loop with Loop End) checkbox

When this is activated, crossfading is enabled, and will be performed if you click Apply.

Length

Determines how large a section of the audio file will be used in the crossfade. Generally you will want the crossfade to be as short as it can be, with an acceptable result:

- Using a long crossfade will be a better guarantee that the loop will be smooth. However, more of the waveform will be processed and hence changed in character.

- Using a short crossfade will ensure the sound is affected as little as possible. However, the loop might then not be as smooth as it otherwise could be.

Shape

Determines the shape of the crossfade. Generally, use low values for "simple" sounds and high values for "complex" sounds.


The Crossfade Looper - Post crossfade tab

On this tab, you can set up a post-crossfade, used to fade the material so that there will be no glitch when playback continues out of the loop. If you intend to use the sound in such a way that the area after the loop is never played, you don't need to worry about this feature at all.

The dialog contains the following items:

Item

Description

Window display

You can change the length of the post-crossfade area by dragging the upper handle in the display, and change the shape of the post-crossfade by dragging the lower handle in the display. Note that the Crossfade checkbox must be activated for the handles to appear.

Crossfade (Loop Start with Post-Loop) checkbox

When this is activated, post-crossfading is enabled, and will be performed if you click Apply.

Length

Determines how large a section of the audio file will be used in the crossfade. Generally you will want the post-crossfade to be as short as it can be, with an acceptable result:

Using a long post-crossfade will be a better guarantee that the loop will be smooth. However, more of the waveform will be processed and hence changed in character.

Using a short post-crossfade will ensure the sound is affected as little as possible. However, the loop might then not be as smooth as it otherwise could be.

Shape

Determines the shape of the post-crossfade. Generally, use low values for "simple" sounds and high values for "complex" sounds.

Note that the Crossfade checkboxes must be activated under each tab for the Crossfade and Post-Crossfade settings to be applied! If you only have the Post-Crossfade checkbox activated, for example, only the Post-Crossfade will be applied.


The Loop Tone Equalizer

The Loop Tone Equalizer is a function for looping those un-loopable sounds, for example sounds that constantly decay in level or continuously change in timbre. The Loop Tone Equalizer applies drastic processing to the sound that evens out changes in level and timbral characteristics, before and during the loop.

It does this by using one of the following two methods:

Slice mixing

If the Slice Mixing option is activated, you specify a number of slices for the looped section in the value field below. If for example you specify eight slices, the loop is cut up into eight sections of equal length. These sections are then mixed together as one sound which is repeated eight times. This new piece of audio replaces all audio inside the loop in a smart way so that no harmonic cancellation (due to phase offsets) occurs.

Chorus smoothing

This has nothing to do with a conventional chorus effect, but uses a method known as "Phase Vocoding" to filter the harmonics. This method is recommended for looping ensemble and choir sounds.

For chorus smoothing, you can make the following settings:

Option | Description
Timbre | This governs the amount by which the timbral characteristics of the sample should be evened out. The higher the value, the more pronounced the effect.
Chorusing | The delay time of the chorus effect varies with the modulation, which causes a sweeping effect. What this parameter does is determine the width and speed of the chorus sweep.
Enhance Warmth | Creates a smoother, warmer sounding effect.
Stereo Expansion | This increases the width of the sample in the stereo sound image.

You can use both slice mixing and chorus smoothing in conjunction, but it is highly unlikely that you will ever need to. Note also that the original length of the loop will not be changed by the processing.

In addition to the above, the Loop Tone Equalizer includes a crossfade facility so that the original sound fades into the processed sections as playback approaches the loop start.


The File Comparer

This utility allows you to compare two files for differences and create a file that contains the difference between the two, a "delta file". This is useful for example to:

See the effect of using an equalizer by comparing the file before and after. The delta file will show what was added.

Check the noise added by a processor, again by comparing.

Compare two digitally recorded files to check for dropouts.

The dialog contains the following items:

Item

Description

Files to Compare
pop-ups

Use these pop-ups to select two open files that you wish to compare.

Generate Delta file

When this is activated a "delta file" will be created and opened in a new window. The delta file contains only the differences between the compared files.

Difference amplification

Allows you to amplify the differences between the file, to make it easier to discern small differences.

Marker generation
1st file

When this is activated, markers are inserted in the first of the compared files, at positions where differences are found. For this to make sense, the differences between the files must be small.

Marker generation
2nd file

When this is activated, markers are inserted in the second of the compared files, at positions where differences are found. For this to make sense, the differences between the files must be small.

Marker generation
Delta file

When this is activated, markers are inserted in the delta file, at positions where differences are found. For this to make sense, the differences between the compared files must be small.

Max number of Markers

Sets the maximum number of markers to be inserted. Setting this to a sensible value stops you from getting a file cluttered with markers, should there be many differences.

Granularity

This setting helps determine the density of the generated difference markers. Without this feature, each single sample that is different would generate a separate marker, which would not be very practical.

Example: If the setting is 1000 ms and a difference is found at a certain point, then no other marker will be generated for the next 1000 ms.


Delete Multiple Markers

This dialog is used to delete all markers of one or several types.

To use the dialog, simply tick the checkbox(es) for the Marker type(s) you wish to delete and click OK.


Audio Test Signal Generator - Source Tab

This dialog allows you to synthesize audio documents from scratch. The resulting audio can be used for testing, calibrating, etc. The signal is made up by combining up to 64 layers, where each layer is a separate signal generator of its own, complete with settings for waveform, pitch, level, etc. You can even make separate settings for the left and right channel of each layer.

The Source tab is where you specify the waveform and phase for each layer. The dialog contains the following items:

Item | Description
Waveform | Use this pop-up to select a waveform for the selected layer.
Width | If you have selected one of the Pulse waveforms, this parameter is used to set the width of the pulse. For some of the Pulse waveforms, the width is specified as a percentage, for others it is specified as a number of samples.
Phase Angle | Sets the phase of the signal for the selected layer.
End on cycle boundary | When this is activated, the generated waveform will end with a complete cycle, regardless of the phase setting.

Common Settings

The lower half of the Signal Generator dialog is the same for all tabs. It contains the following items:

Item | Description
Edit layer | Use this setting to select which layer to make settings for. All settings displayed on the Source, Frequency and Level tabs are for the currently selected layer.
Edit channel(s) | Determines whether the settings on the tab are made for the left or right channel of the selected layer, or for both channels.
Number of layers | Determines the number of layers, i.e. the number of independent signals to be combined. You can have up to 64 layers.
Copy | Click this button to copy all settings on all tabs for the current layer. By selecting other layers and using the Paste button, you can quickly duplicate settings for several layers.
Paste | Click this button to replace the settings for the current layer with the settings you have copied. This way you can quickly duplicate settings for several layers. Note that this replaces the settings on all tabs, not just the one selected.
Global level | Use this to adjust the global level of all combined layers.
Audio Properties | Clicking this button opens the Audio Properties dialog, where you can select sample rate, bit resolution, etc for the generated audio file.
Generate | Click this button to generate the audio file according to the settings.


Audio Test Signal Generator - Frequency tab

The Frequency tab is where you specify the frequency envelope and vibrato for each layer. The dialog contains the following items:

Item

Description

Envelope section

This section is used for setting up the frequency envelope of the selected layer. The envelope consists of four frequency values, and three time values in between these.

If you just want to set a static frequency (no envelope curve), make sure all time values are 0, and set the frequency with the "Median Freq. 2" parameter.

Vibrato section

This section is used for adding vibrato to the frequency of the selected layer. Select a waveform for the vibrato with the pop-up, set the vibrato speed with the Frequency parameter, and adjust the depth of vibrato with the Intensity parameter.

Sync variations with cycles

When this option is activated, the vibrato is not continuous from sample to sample but recomputed after each cycle.

The settings in the lower half of the dialog are common to all tabs - see the help for the Source tab for details.


Audio Test Signal Generator - Level tab

The Level tab is where you specify the level (amplitude) for each layer. Apart from the overall level adjustment, you can set up an amplitude envelope curve and add tremolo. The dialog contains the following items:

Item | Description
Envelope section | This section is used for setting up the amplitude envelope of the selected layer. The envelope consists of three level values, and three time values in between these. Furthermore, the "Silence Before" and "Silence After" parameters makes it possible to include a period of silence before or after the signal of the selected layer. Note that the Global level parameter on the Level tab determines the overall level of the layer.
Tremolo section | This section is used for adding tremolo (continuous level variation) to the selected layer. Select a waveform for the tremolo with the pop-up, set the tremolo speed with the Frequency parameter, and adjust the depth of tremolo with the Intensity parameter.
Sync variations with cycles | When this option is activated, the tremolo is not continuous from sample to sample but recomputed after each cycle.
DC Offset | This allows you to add a DC offset to the signal of the selected layer.
Global level | Use this to set the overall level of the selected layer.

The settings in the lower half of the dialog are common to all tabs - see the help for the Source tab for details.


DTMF Generator dialog

DTMF (Dual Tone Multi Frequency - or Touch Tone) is a way of generating signals by combining two sine waves with variable frequencies, used in telephone systems. The numbers you press generate sine waves of different frequencies, and these signals are then decoded at the central telephone office to actually identify which numbers you press.

The DTMF Generator does just this - it allows you to generate an audio file with the sounds you hear when pressing the different keys on a telephone.

The dialog contains the following settings:

Parameter | Description
DTMF/MF | These radio buttons allow you to select the desired standard. The difference between the two standards is primarily that different frequencies are used. Also, in DTMF mode, a dial string can consist of up to 16 characters while an MF dial string is limited to 15 characters. DTMF is the mainly used de facto standard.
Leading silence | Determines the length of the silent region before the first tone.
Tone | Sets the length of the tones.
Inter-tone | Adjusts the time interval between the tones.
Pause | This determines the length of any pauses in the dial string. A pause is entered by typing a comma-character (,) in the dial string.
Trailing silence | Determines the length of the silent region after the last tone.
Mixed signal | Controls the overall sound level of the tones.
High frequencies gain | The DTMF signal consists of a mix between two tones - one high frequency tone and one low frequency tone. You can either choose to let the two tones have the same amplitude by leaving this at zero, or you can raise the high frequency tone by up to 12 dB. On some telephone lines, the high frequency tones are set 2 dB higher than the low ones.
Fade in/out tones | By putting a checkmark in this box, you cause the generated tones to fade in and out. You set the time of the fades in the Time box to the right.


Global Analysis - Peaks tab

This dialog allows you to perform advanced analysis on a selection of an audio file, to find certain areas with specified properties. It can be used to find problem areas (glitches, distortion) etc, or to check general information such as the pitch of a sound.

During analysis, it also "pin-points" sections in the selection that meet specific characteristics, for example sections which are very loud or very quiet. You can then browse between these points, set markers at these places or zoom in on them.

The Peaks tab is used for finding individual samples with very high values. The dialog contains the following items:

Item | Description
Report parameters - Max number of peak points | This setting allows you to put restrictions on how many points will be reported. The highest ones will be selected. For example, setting this to "1" will make the program report only the highest peak (or one of the peaks with the highest value - if there are several with the same value).
Min time between 2 points | This setting lets you set things up so that the points don't occur too close. For example, settings this to "1 s" will ensure there is always at least a second between reported points.
Peaks | When this is activated, Peak analysis is enabled, and will be performed (together with other enabled types of analysis) when you click the Analyse button.
Maximum Left/Right | Displays the highest peak in the analysed section. Clicking on this value displays the number of peaks found within the selection, in the "Number of hot points" section in the lower left corner of the dialog. Then, you can use the hot points to move the cursor between the peaks.
At Cursor Left/Right | Displays the exact level at the current wave cursor position at the time of the analysis (if the cursor was positioned within the analysed selection).

Common Settings

The lower half of the Global Analysis dialog is the same for all tabs. It contains the following items:

Item | Description
Number of hot points | Displays the number of "hot points" found by the analysis. For this to show anything, you have to click on the value under one of the tabs that you are interested in. For example, to display the number of peaks found, click on the "Maximum" value under the Peaks tab.
Scroll Bar | Allows you to scroll the wave display through the hot points found in the analysis.
Create markers at hot points | Click this to create temporary markers on the positions of the found hot points.
Focus | Click this to focus in on the hot point selected with the scrollbar above. The wave display will zoom in on the selected point and the Global Analysis dialog is "folded in" so that only its title bar is visible. Note: if you press [Ctrl] while clicking, the window does not fold.
Analyse | Click this to perform the analysis. Exactly which types of analysis are performed, is determined by the checkboxes under the respective tabs.


Global Analysis - Loudness tab

The Loudness tab is used to find loud and weak sections in a more "intelligent" manner than the Peaks tab. The theory behind this is that there might be a single sample with a high or low value somewhere, but this may not necessarily mean that this section is perceived as loud/weak. Instead, the Loudness analysis measures a consecutive section of samples and then averages their value, using a mathematical method called RMS (Root Mean Square) which is well known for its accuracy.

The dialog contains the following items:

Item | Description
Report parameters - Resolution | This is the length of audio to be measured and averaged. If this value is lowered, very short passages of loud/weak audio will be detected. When it is raised, the sound will have to be loud/weak for a longer period to result in a hot point.
Report parameters - Threshold | This setting is used for recordings where there are pauses, to make sure the Average value is calculated correctly. A pause could possibly "fool" the algorithm. Therefore you can set up a value, and all audio below that value will be considered silence and will not be taken into account for the Average value.
Report parameters - Max number of loudness points | This setting allows you to put restrictions on how many hot points will be reported. The highest ones will be selected. For example, setting this to "1" will make the program report only the absolutely loudest section (or one of the sections - if there are several with the same value).
Min time between 2 points | This setting lets you set things up so that the points don't occur too close. For example, setting this to "1 s" will ensure there is always at least a second between reported points.
RMS Power | When this is activated, the RMS Loudness analysis is enabled, and will be performed (together with other enabled types of analysis) when you click the Analyse button.
RMS Power - Max Left/Right | Displays the level of the loudest section in the analysed selection. Clicking on this value displays the number of loud sections found within the selection, in the "Number of hot points" section in the lower left corner of the dialog.
RMS Power - Min Left/Right | Displays the level of the quietest section in the analysed selection. Clicking on this value displays the number of weak sections found within the selection, in the "Number of hot points" section in the lower left corner of the dialog. This can give a good idea of the signal/noise ratio of the audio material.
Average | Displays the overall loudness of the whole analysed selection.
Around Cursor | Displays the loudness at the wave cursor position at the time of the analysis (if the cursor was positioned within the analysed selection).

The settings in the lower half of the dialog are common to all tabs - see the help for the Peaks tab for details.


Global Analysis - Pitch tab

The Pitch tab shows the values from WaveLab's extremely accurate pitch detection algorithm. The result from this tab can be used for pitch shifting, for example, to get one sound in tune with another.

Note:

The result is an average value for the whole selection. It is very accurate if the pitch does not change.

The method only works on monophonic material (not on chords or harmonies).

The algorithm assumes the analysed section has a reasonably stable pitch.

The material must be relatively well isolated from other sounds.

It is preferable to analyse the sustain portion of a sound, rather than the attack. The pitch is usually not "stable" during the attack.

Some synthetic sounds may have a weak fundamental (first harmonic) which can possibly fool the algorithm.

The dialog contains the following items:

Item | Description
Average Pitch | When this is activated, the Pitch analysis is enabled, and will be performed (together with other enabled types of analysis) when you click the Analyse button.
Average Pitch -Left/Right | Displays the average pitch in the analysed selection, in Hertz and as semitones and cents (1/100:ths of a semitone).

The settings in the lower half of the dialog are common to all tabs - see the help for the Peaks tab for details.


Global Analysis - Extra tab

The Extra tab shows you two things: The average DC Offset in the analysed section and the Apparent Bit Resolution. There are no parameters to set under this tab - this analysis is always performed when you click the Analyse button.

DC Offset displays the average DC offset value in the analysed selection, in decibel and as percentage.

Apparent Bit Resolution displays the apparent bit resolution in the analysed selection. For example, you may have received a 16 bit file from somewhere, but it is very noisy. You suspect that the file was actually recorded with only 8 bit resolution and then expanded up to 16 bits. Run it through this analysis and you will know.

The settings in the lower half of the dialog are common to all tabs - see the help for the Peaks tab for details.


Global Analysis - Errors tab

The Errors tab reports two separate things:

Glitches - disruptions in the audio which may occur after problematic digital transfers, after careless editing etc. They manifest themselves as "clicks" or "pops" in the audio.

Clipping - the "digital distortion" that occurs when a sound has been recorded at too high a level or when digital processing has raised the level past what the system can handle.

The dialog contains the following items:

Item

Description

Report parameters - Max number of error points

This setting allows you to put restrictions on how many hot points will be reported.

Report parameters - Min time
between 2 points

This setting lets you set things up so that the points don't occur too close. For example, setting this to "1 s" will ensure there is always at least a second between reported points.

Glitches Off/On

When this is activated, the Glitch analysis is enabled, and will be performed (together with other enabled types of analysis) when you click the Analyse button.

Glitches -
Threshold

Use this parameter for setting how drastic a change in level has to be to be reported as a glitch. The higher this value, the less sensitive the detection.

Glitches - Sensitivity

This is a length value. It represents the length of time that the waveform must exceed the Threshold to be reported as a glitch. The higher this value, the less sensitive the detection.

Glitches - Result

Displays the number of glitches found in the analysis. Clicking on this value displays the number of glitches in the "Number of hot points" section in the lower left corner of the dialog.

Note that it is not definite that the points found by the algorithm are real glitches! Please zoom in and play back to check whether the found points really indicate a problem.

Clipping - Off/On

When this is activated, the Clipping analysis is enabled, and will be performed (together with other enabled types of analysis) when you click the Analyse button.

Clipping - Threshold

The program checks for a number of consecutive samples at full value, to determine whether clipping has occurred. The Threshold setting determines the exact number of these consecutive samples that must occur for the program to report clipping.

Clipping - Result

Displays the number of clipping occurrences found by the analysis. Clicking on this value displays the number of clips in the "Number of hot points" section in the lower left corner of the dialog.

The settings in the lower half of the dialog are common to all tabs - see the help for the Peaks tab for details.


Custom zoom factor dialog

This dialog is used to set up a custom zoom factor for the current wave window.

The dialog contains the following items:

Item | Description
Value field | Use this to enter the zoom factor, expressed as samples per screen points or screen points per sample, depending on the radio buttons below.
Samples per screen point | When this is selected, the number above will indicate how many samples should be displayed per screen point. Raising this value is equal to zooming out.
Screen points per sample | When this is selected, the number above will indicate how many screen points each sample should "fill out" in the wave display. Raising this value is equal to zooming in.


Master Section Preset dialog

In this dialog, you can save all the current Master Section settings as a Preset, or load previously saved Presets. The stored settings include which processors were used, the settings for each processor, and dithering options, as well as the window position of each plug-in.

The dialog contains the following items:

Item | Description
Preset List | This is the list of saved Presets. To load a Preset, select it in this list and click one of the Load buttons to the right.
Create new Preset - Name field | The text field in the upper right section of the dialog is used to create a new Preset containing your current Master Section settings: enter a name for the Preset here, and then click the "Add" button to save it.
Load - Replace | Click on this button to load the Preset selected in the list, and replace all current settings.
Load - Mask | Click on this button to load the Preset selected in the list, and replace only those slots in the Master section that are actually used in the loaded Preset.
Load - Append | Click on this button to load the Preset selected in the list. The loaded Preset will attempt to fill the unused slots below the slots currently in use in the Master Section. If there are not enough free slots available to load the entire Preset, a warning message will appear.
Save Dither settings | If this option is activated, the current dithering settings are included when you save a new Preset or modify an existing Preset.
Add | Click this button to store the current settings as a Preset in the list. For this to work, you must first enter a name for the new Preset, in the upper right corner of the window.
Update | This is used to modify an existing Preset: First make the desired settings in the Master Section (this may include loading a Preset; the one you want to modify or another). In the Master Section Preset dialog, you then select the Preset you want to modify in the list to the left and click the Update button. The Preset is modified to hold the current Master Section settings.
Delete | This deletes the Preset selected in the list.
Key Sequence | Opens the Key Sequence dialog, allowing you to create a Key Sequence for loading the Preset that is selected in the list. You can decide whether you want the Key Sequence to invoke the "Replace", "Mask" or "Append" loading methods, by using the radio buttons below.
Default Key Action - Replace | If this option is selected and you load a Preset using a Key Sequence, the loaded Preset will replace all current settings. This setting is global to all Key Sequences.
Default Key Action - Mask | If this option is selected and you load a Preset using a Key Sequence, the loaded Preset will only replace those slots in the Master section that are actually used in the loaded Preset. This setting is global to all Key Sequences.
Default Key Action - Append | If this option is selected and you load a Preset using a Key Sequence, the loaded Preset will attempt to fill the unused slots below the slots currently in use in the Master Section. If there are not enough free slots available to load the entire Preset, a warning message will appear. This setting is global to all Key Sequences.


Batch Processor - Input tab

The Batch Processor is used for applying processing to any number of files. It is possible to process different files with different settings, with any numbers of processors (including some plug-ins not available in the Master Section). The files to be processed don't have to be open, but can be saved directly to disk, with new names and locations if desired.

The Input tab is where you set up the files to process. Here you use various tools and functions to assemble lists of files and documents.

The dialog contains the following items:

Item

Description

Click this button to add one or several audio files from disk to the selected batch in the list. If there are no batches in the list, one will be created automatically when you add the first file.

Clicking this button allows you to add all audio files in a specified folder to the selected batch in the list. If there are no batches in the list, one will be created automatically when you add the first file.

Clicking this button brings up a pop-up menu, listing all currently open wave files. Use this pop-up to add open files to the selected batch.

Note: You cannot process files that have never been saved ("Untitled" files). However, you can process files that have previously been saved, but are now open for editing.

Click this button to remove the selected batch or audio file from the list.

Click this button to move the selected batch or audio file one step up in the list. It is also possible to re-sort the files in a batch by using the Sort options on the Extra pop-up menu.

Click this button to move the selected batch or audio file one step down in the list. It is also possible to re-sort the files in a batch by using the Sort options on the Extra pop-up menu.

Click this button to play back the selected audio file.

Click this button to open the selected audio file in a wave window. If you hold down [Ctrl] simultaneously, the output (processed) file is opened instead.

Click this button to create a new batch.

Click this button to open the Batch Attributes dialog, where you can name the selected batch, etc.

Click this button to open the Processor list dialog, used for setting up what kind of processing should be performed on the selected batch.

The Batch Input List

This area contains a list of the current batches and their audio files.

You can rearrange the list by dragging and dropping files or batches.

Double clicking on a batch in the list opens the Processor list dialog, used for setting up what kind of processing should be performed.

Double clicking on a file in the list opens it in a wave window. If you have already run the batch, you can double click in the Output column, to open the processed file instead.

If you want to start again from scratch, you can clear the whole list by selecting "Clear list" on the Extra pop-up menu.

To the left of each file you will find an icon providing information about the status of the file. The icons have the following meanings:

Icon | Meaning
Green circle | The file is ready to be processed. You cannot start processing unless at least one file has this status.
Purple dot | The file is currently being processed. The Batch window can't be closed if any files have this status, the only way to stop a Batch is then from the Monitor window.
Half filled green circle | The file has been analysed by an "Ultra-pass" processor but has not been processed and written to disk yet.
Green dot | The Batch has been processed without problems. In order to process the file again, you need to reset its status, by clicking on the icon or selecting "Reset Status of all files" from the Extra pop-up menu.
Red cross | An error occurred. You will most likely have been warned via an alert box. If an error occurs, processing is cancelled.


Batch Processor - Add Folder dialog

This dialog allows you to specify which file types should be included when you add files to the Batch Input list, using the Add folder function.

The dialog contains the following items:

Item | Description
Select files with the extension | This value field allows you to specify which type of files the program should look for in the selected folder, by entering a file extension (such as WAV, AIF, etc.).
Look in subfolders | If this is activated, WaveLab will add files from the selected folder and all its subfolders. When it is deactivated, only files in the selected folder will be added.


Batch Processor - Output tab

The Output tab is used to specify where the resulting files should be stored, how they should be named and in what format they should be. In fact, you can perform useful Batch Processing with the options on this tab, without using any processors at all! You might for example convert files from one format to another and/or just change the names of a number of files.

The dialog contains the following items:

Item

Description

Destination folder

Here you can type a path to the destination folder for the processed files. Specified folders are created if they don't exist. It is possible to add path variables (for advanced automatic file paths), by positioning the cursor at the desired point in the path name and selecting a variable from the pop-up menu to the right of the Browse button.

Browse button

Click here to browse to a destination folder for the processed files.

Path variables pop-up

Clicking the arrow button beside the Browse button opens a pop-up menu containing path variables, with which you can create automatic destination file paths for the processed files.

File name prefix

Here you can add a prefix, that will automatically be added before the name of each processed file.

File name suffix

Here you can add a suffix, that will automatically be added at the end of the name of each processed file.

Prefix path variables pop-up

Clicking the arrow button beside the filename prefix name field opens a pop-up menu, allowing you to add path variables to the file name prefix.

Suffix path variables pop-up

Clicking the arrow button beside the filename suffix name field opens a pop-up menu, allowing you to add path variables to the file name suffix.

Archive Output Files

When this is activated, the processed files are automatically compressed into a Zip archive. A Zip archive is a file which contains other files, in a compressed format. The compression is non-lossy, which means that when you "un-zip" the files you get exactly what you had when you created the archive, the information is not changed in any way.

Zip files are often used for archiving purposes and when sending files to other people, for example via the Internet.

ZIP file name field

Use this field to type a path and name for the Zip archive to be created. You can also do this by clicking on the Browse button to the right.

Browse button

Click here to browse to the desired folder for the Zip archive to be created.

Save path info

Activate this option if you want the Zip archive to contain information about how the files are stored in subfolders.

Move (erase) output files

Activate this option if you want to delete the output files after the files have been added to the Zip archive. When this is deactivated, WaveLab will save both a Zip archive and the output files in their regular format.

Create backups

When this is activated, the program creates backups of any files that would otherwise be overwritten as a result of the procedure. A backup file will have the same name as the original, but with the first letter in the extension changed to "~" (so that "myfile.wav" is backed up as "myfile.~av", for example). We recommend that you leave this option activated, to avoid accidentally overwriting files.

Note: This feature only applies if you have used the variable "Source Path", as described above, to specify that the file should be overwritten with the same name.

Delete files after process

Activate this option if you want the program to delete the original (unprocessed) files after processing.

Use this option with care! If the processing didn't turn out as expected, you can't redo it, because you won't have any files left to re-process!

Output format pop-ups

These pop-ups allows you to select a file format and bit resolution for the processed file(s). If you want the processed file(s) to be in the same format as the original ones, select "As source file".

Encode

This checkbox is only available if you have selected WAV as your output file format. Activate this checkbox if you want to compress the files. To select compression formats, click the large button below.

Please note that when you select this option from the Batch processor, all possible file formats are available, not only the ones that apply to the current file format. This happens because the program does not yet "know" which types of files you are about to process. Since options are displayed that may not apply to the file type you process, make your selection with care. If the settings aren't valid, an error message will appear when you run the Batch.

The checkbox is automatically activated if you select "MP3" from the file format pop-up menu.

Nil

Click this button to select a compression format (only available if the Encode checkbox is activated).

Please note that when you select this option from the Batch processor, all possible file formats are available, not only the ones that apply to the current file format. This happens because the program does not yet "know" which types of files you are about to process. Since options are displayed that may not apply to the file type you process, make your selection with care. If the settings aren't valid, an error message will appear when you run the Batch.

If you have selected "MP3" or "WMA" on the file format pop-up menu, this button opens the MPEG Layer 3/Windows Media Audio encoding dialog, respectively. Use the Help button in the dialogs for details.


The Schedule tab

The Schedule tab is used for setting up various options related to the performance of the Batch processing.

The dialog contains the following items:

Item

Description

Stop playback

If this is activated, playback will automatically stop when batch processing begins, thereby freeing up some processor power.

Open Monitor window

If this is activated, the Monitor window is automatically opened when batch processing begins.

Beep

If this is activated, WaveLab will beep when the batch process is finished.

Show message box

If this is activated, WaveLab will display a message when the batch process is finished. Click OK to go on working.

Minimize wave window

If this is activated, WaveLab will minimize the wave window of each open file in the batch, before it is processed.

Restore wave window

If this is activated, and the wave window of a file was minimized when processing started, it will be restored to its previous size.

Open in window

If this is activated, each processed file will be opened after processing, regardless of whether it was open before or not.

Priority

This sets the priority of the Processing:

- Relax Background. The file is processed in the background, but priority is given to audio playback and to your continued work on other files. This makes WaveLab as responsive as possible, but slows down processing.

- Background. The file is processed in the background but with a lower priority given to your continued work on other files. This makes processing faster but the program less responsive. Try this mode when several files should be processed in the background.

- Fast. Processing is given high priority. A fairly high-performance computer will be required to avoid dropouts in playback.


Batch Processor List

This dialog is used to set up the list of processors to be used in the batch processing, and to make settings for each processor.

The dialog contains the following items:

Item

Description

Click on this to make settings for the selected effect processor.

Click this button to move the selected effect processor one step up in the Sequence list.

Click this button to move the selected effect processor one step down in the Sequence list.

Click this button to add a selected effect processor from the Plug-ins/Presets list to the Sequence list.

Click this button to remove a selected effect processor from the Sequence list.

Sequence List

In the left half of the dialog, the processors included in the batch are listed. When you perform the batch processing, the processors will be invoked in the order they appear in the list.

You can activate or deactivate a processor in the sequence list by clicking in the checkbox to the left.

Plug-ins/Presets List

In the right half of the dialog, all available processors are listed, divided into three folders at the top level:

- The "Master Section Presets" folder contains a list of all Presets created in the Master Section Presets dialog. Such a Preset can contain a number of combined processors, all with their own individual settings.

- The Processor List Presets folder contains a list of Presets created in this dialog. As with the Master Section Presets, this can represent a combination of a number of processors. This allows you to easily re-use combinations of processors.

- The Plug-ins list contains folders with lists of the processors in the program, to some extent the same list as in the Master Section.

To add a processor from the Plug-ins/Presets list to the Sequence list, select it and click the + button, or simply drag and drop it into the Sequence list.


File Number

This dialog allows you to add a number to the prefix or suffix of the processed files' names.

The dialog contains the following items:

Item | Description
Start count | The processed files will be numbered consecutively, starting with the number you specify in this value field.
Restart count after each batch | If this option is activated, the numbering will restart for each batch.


The Batch Attributes dialog

This dialog is used to enter a name and an optional output path (folder) for the Batch.

The dialog contains the following items:

Item | Description
Name field | The name of the Batch. Entering a number instead of a name has a special meaning. This will change the name of the Batch to the default name "Batch X", where X is the number you typed. All the other Batches with default names will be renumbered accordingly.
Optional output path | This is an advanced option that in many cases will not be necessary. You will only need to specify a path here if you want to process a number of Batches at the same time, and want some of the Batches to store their output files in a different directory.


Sampler configuration - Settings

This dialog is used to configure how WaveLab should communicate with your sampler.

The dialog contains the following items:

Item

Description

Sampler protocol pop-up

Use this pop-up menu to select the desired communications protocol. If possible, select your sampler protocol by sampler model name, since this will provide the highest level of functionality. If your sampler can't be found on this menu, you will have to select SDS or SMDI, depending on the type of connection and the instrument's capabilities.

Only select an item that corresponds to the type of connection you actually have. For example, selecting anything that involves SCSI is pointless unless you have connected the sampler via SCSI.

SCSI Unit pop-up

If the sampler is connected via SCSI, use this pop-up menu to select the instrument you want to communicate with. If the instrument cannot be found on this menu, there is something wrong with your SCSI connection.

MIDI Input

If the sampler is connected via MIDI, use this pop-up menu to select the MIDI Input port that the sampler is connected to.

MIDI Output

If the sampler is connected via MIDI, use this pop-up menu to select the MIDI Output port that the sampler is connected to.

Sysex ID

If the sampler is connected via MIDI, this is where you set the SysEx ID (System Exclusive ID number) to the same number as that of the instrument.

This setting is very important. If the two numbers don't correspond, transfers won't work. To find out how to check what SysEx ID your sampler is set to, consult its operation manual.

Note: A few samplers that communicate via SCSI will use the SysEx ID for SCSI purposes as well. See your sampler documentation for details.

Close

Click this to close the dialog. Please note that you have to create a Preset before you close the dialog, to keep the current settings.


Transmit/Receive Sample dialog

This dialog is used for transferring samples between WaveLab and a connected sampler.

Please note that internally, the same dialog is used for both transmitting and receiving samples. Consequently the context-sensitive help describes the features of both dialogs. If in doubt, check the title bar of the window to see which dialog you're actually viewing.

The dialog contains the following items:

Item

Description

Target

Use this to select to/from which sampler you want to send/receive the sample.

This menu lists all samplers for which you have created Presets. The sampler will be on the list regardless of whether it is turned on or connected properly or not, so this list is not a verification that things have been set up properly.

Sample number

If the protocol used for the selected sampler identifies samples by number, use the "Sample number" setting to specify a "memory location" in the sampler.

Note: If you are transmitting a sample, and another sample is already stored at that location, it will most likely be overwritten when you transmit, so it might be good advice to use the sampler's front panel controls to make sure you have specified the number of an empty location, or that you have saved any samples currently in the sampler's memory.

Samples in device

If the protocol used for the selected sampler supports it, this pop-up menu is used to select a memory bank in the sampler. Make sure you click the Refresh button before selecting a Bank, so that the information is valid.

This is not always required when you transmit samples. In many instruments, if nothing is specified, the sample will be stored in a new memory location and no existing samples will be overwritten.

Refresh

Click this button to update the bank and program information in the fields to the left.

Info

Click this button to get information about the sample selected in the list to the left. Make sure you click the Refresh button before selecting a sample, so that the information on the list is valid.

Note: This feature is only available if the sampler's protocol supports it. It is not available with the generic protocols SDS and SMDI.

Delete

If you click this button, the sample selected in the list to the left will be deleted from the sampler's memory. Make sure you click the Refresh button before selecting a sample, so that the information in the list is valid.

Note: This feature is only available if the sampler's protocol supports it. It is not available with the generic protocols SDS and SMDI.


Sample Attributes

This dialog allows you to make settings for a sample before transmitting it to the sampler. The settings do not process the sample in any way, they just give it properties that the receiving sampler may or may not take advantage of, depending on your sampler and the protocol you use for communicating. For example, SDS and SMDI do not support names. SMDI supports Key and Detune whereas SDS does not.

The dialog contains the following items:

Item | Description
Name | The name the sample will have in the sampler. Not all samplers support all characters. Furthermore, if the name is too long, it will be cut off.
Key | This specifies which key will play back the sound at its basic pitch.
Detune | This specifies whether the sample should be played back at a slightly different pitch. The range is ±50% of a semitone, which translates into a quarter tone in each direction.
Detect from audio selection | This will detect the pitch from an audio selection. For this to work accurately, make sure that the selected range contains a clearly defined pitch.


Organize Master Section plug-ins dialog

This dialog allows you to organize the way your effect plug-ins appear on menus in the program. This can be necessary, especially if you add extra plug-ins to your system. Furthermore, sometimes when you install a package of DirectX plug-ins you get effects that have no relevance to WaveLab (or even to audio) which just clutter menus.

This organizes plug-ins accessed from the Master Section or Batch Processor, not the VST plug-ins in the Montage. Note however, that you can exclude some VST plug-ins completely (see the Operation Manual for details).

The dialog contains the following items:

The plug-in list

The main section of the dialog lists the available Master Section plug-ins. If you like, you can organize your plug-ins in groups, which will appear as subfolders in the list, and hierarchical submenus on the effect pop-up menus in the program. For example, you may want to sort the plug-ins according to effect type or manufacturer.

VST and DirectX plug-ins need to be in a group, whereas WaveLab plug-in can be outside all groups.

You create and manage groups with the buttons to the right, as listed below.

The columns

The columns in the list have the following meaning:

Column | Description
Plug-in | Displays the names of the plug-ins.
FX | This column determines whether a plug-in should be available for use in the Master Section (and Batch Processor) or not. To disable a plug-in, deactivate its checkbox in the FX column.
PM | If the checkbox in this column is activated for a plug-in, it will be available for selection in the Dithering pane in the Master Section (after the master faders in the signal path). This allows you to use separately purchased dithering plug-ins and similar. See the Operation Manual for more information.
Key | Dsplays the key sequence defined for a plug-in.
Module | Tells you the name of the actual plug-in (dll) file.

Buttons

Button | Description
New Group | Click this to create a new Group (subfolder). The Group will initially appear at the end of the list, but when you start using it, the list will be resorted so that the Groups are displayed in alphabetical order.
Delete Group | Click this to delete the selected Group. If the Group contains any plug-ins, they will not be deleted. Instead, they will appear in the Master Section, outside all other Groups.
Key Sequence | Click this to define a key sequence for a plug-in. When you later use the defined key sequence, the plug-in will immediately be added to the Master Section, and its panel will be opened.
Undo changes | Click this to return to the state the list was in when you first opened the dialog.
Set default | Click this to restore everything to the default "factory settings".


The Key Commands dialog

This window is used to specify key commands for various items in the program.

The dialog contains the following items:

Item | Description
List | This is the list of available operations, which can be called up via Key Sequences. To specify a Key command, select one of the items in this list and click Key Sequence.
Sort - by command | This option organizes the operations in folders, in groupings that relate to various sections in the program.
Sort - by key | This option lists all commands in a "flat" fashion (no folders), and sorts the list alphabetically via the defined Key Commands, which allows you to easily find a command assigned to a certain key.
Key sequence... | Click this button to open up the dialog where the actual key sequence is defined.
Exclude windows... | Click this button to open the "Exclude windows" window.


The Key Sequence dialog

This window is used to specify the actual Key command to be used for the program function you selected in the previous dialog. To enter a key sequence, activate Catch mode and press the relevant keys on the computer keyboard.

The dialog contains the following items:

Item | Description
1st key stroke | This displays the first key command in the sequence.
2nd key stroke (optional) | This displays the second key command in the sequence.
3rd key stroke (optional) | This displays the third key command in the sequence.
Distinguish between Left and Right modifier keys | When this is activated, the program distinguishes between modifier keys ([Ctrl], [Alt] etc.) on the left and right sides of the space bar. This may not be possible with some Windows versions.
Catch mode | Activate this to make the dialog accept key commands that you press on the computer keyboard.
Clear | Click this to clear all three key shortcuts.


The Exclude Windows dialog

This window is used to specify windows that should not be affected by Key Sequences. It is mainly for plug-in windows. Since some plug-ins, especially from third-party manufacturers, have their own set of key commands, you way want to disable WaveLab key commands for these windows.

Let's say you assign a key command to "Render" in the Master section, and a certain plug-in already uses the same key combination for an internal operation. Then, pressing this key command might lead to the wrong operation being invoked when this plug-in has the focus.

"Exclude windows" allows you to prevent this situation:

To exclude a window, type its name in this dialog. You can include DOS "wildcard" characters. For example, to exclude all products from the manufacturer Waves, you can type "Waves*".


Generate Audio CD Report dialog

An Audio CD Report is a text file with information about the tracks in an Audio Montage and other user definable information, for printing.

The dialog contains the following items:

Item | Description
Audio CD Report template pop-up | Here you select an Audio CD Report template. Two factory templates are provided; "Absolute" times, where the track timing is continuous from the beginning of the CD (i.e. from the start of the first pause), or "Relative" times, where the track timing is relative to the start of the first track, and the durations are given without pauses. The other elements of the factory templates are identical.
Edit | Click this button to open the Audio CD Report Edit dialog, where the various Elements that make up the CD report template are shown as paths to the source RTF text files.
OK | Click this button to generate a CD report preview, containing all information about the current Montage, as defined by the selected template.


Audio CD Report Edit dialog

This dialog allows you to edit the elements that make up the Audio CD Report.

The dialog contains the following items:

Item | Description
Elements list | This list provides paths to the source RTF text files (or in case of the "Logo" item, a source image file). To change the path to another file location, click the folder icon at the end of the path string and browse to the location of the new file. To open the current source file, select "Open containing folder" from the Element pop-up menu, and double click the file.
Page size | Here you select the preferred page size of the printout; Letter or A4.
Margins | This sets the left/right and top/bottom margins for the printout.
Formats | This opens the Formats dialog, where you can set your preferred format for date and time etc.
Compact layout | If this is off (not ticked), each CD track section will be entirely contained on one page and the CD track header will be reprinted on each new page.
Template/Preset pop-up menu | This pop-up is used for selecting or saving CD report Presets.


The Screen Layouts dialog

This dialog is used to create and manage Screen Layouts. A Screen Layout encompasses the following:

The size, location and minimize/maximize properties of document windows. This does not include the contents of the window, just the properties of the window "frame" itself. For example, if some Database window was included in the Screen Layout, the Database you currently have open when you Load the Preset will be sized and moved accordingly.

Positions of "modeless" dialog boxes, such as the off-line processors. This includes opening any such windows.

Positions of plug-in processor panels.

Windows that are already open will never be closed as a result of recalling a Screen Layout.

The dialog contains the following items:

Item | Description
List | These show the existing Screen Layouts. To select one, click on it. To load one, double click on it.
Name field | This shows the currently loaded Screen Layout. It is also used to specify a name for a Screen Layout before adding.
Load | Click this button to load the Screen Layout selected in the list.
Add | Click this button to create a new Screen Layout. The new Screen Layout will be given the name indicated on the line above the buttons.
Delete | Click this button to delete the Screen Layout selected in the list.
Update | Click this button to replace the settings in the Screen Layout selected in the list with the current window setup.
Key Sequence | Click this button to open the Key Sequence dialog, which allows you to specify a key sequence for loading the Screen Layout selected in the list.


The Meta Leveler

The Meta Leveler plug-in is aimed at raising or lowering the signal level of all files in a Batch by the same amount, and maintain the relative level differences between the files.

It accomplishes this in two passes. During the first pass, all files in a Batch are analysed to determine their respective peak levels. The file with the highest level will then be used as a reference.

During the second pass, the files are processed according to the settings you make for desired peak level. The reference file will be processed to match this level, and all other files will be processed to maintain their original difference in level to the reference file.

The dialog only contains two parameters; "Gain" and "Peak not to go over".

The Peak parameter is used for setting the desired maximum peak level of the reference file.

The Gain parameter can be used to "override" the level set with the Peak parameter. E.g. if the Peak parameter is set to O dB and the reference file has a level of -5 dB, the reference file would normally be processed to 0 dB. If the Gain parameter is set to 3 dB however, this will take precedence over the Peak parameter, and the reference file will instead be raised by 3 dB up to -2 dB instead of 0 dB.

Note that the Gain parameter only takes precedence if it is set to a level that is higher than 0 and lower than the total difference in level between the original file and the level set with the peak parameter. In the example above for instance, the Gain parameter would not have any effect if it was set either to 0 or a value higher than 5 dB.

The Meta Leveler is useful if you for instance have created an Audio Montage and processed a set of files with different effects etc., but find that you need to boost the overall level of the files. Instead of manually changing the gain for all the files, you can simply use the Meta Leveler instead.


The Meta Normalizer

The Meta Normalizer plug-in is unique to WaveLab. It works in two passes: during the first pass, each file is analysed one after the other, then, in the second pass, each file is processed one after the other. It works by globally analysing peak or RMS levels on all files in a Batch. It then processes the files so that they will all play back at equal peak or RMS levels. The highest possible level found amongst all the files will be used as a reference. Note that the level of a file can either be amplified or reduced. The purpose of the plug-in is to apply the same and maximum possible level/loudness in all files, without ever clipping.

This can be extremely useful for matching differing levels between files that are being compiled for mastering to CDs for example, ensuring that levels are equal from track to track. Depending on how much the levels differ between files and the desired result, there are a number of options available to ensure that the applied processing optimizes the levels without clipping.

The dialog contains the following items:

Item | Description
Equalize peak level | Select this option if you want to use Peak levels as a basis for determining what is considered "equal level".
Equalize loudness (RMS) | Select this option if you want to use RMS (Root Mean Square) levels as a basis for determining what is considered "equal level". RMS normally produces a more "natural" result than Peak levels, since this method is better at detecting the perceived "loudness" of a sound.
Resolution | This option is only relevant if "Equalize Loudness (RMS)" has been selected and "Global" is deactivated. It is used to set the size of the audio sections that are "averaged" when calculating the loudness. The loudest section found will be used. The smaller this value, the more sensitive the method will be to peaks in the material.
Global | When this is activated, the RMS value is calculated over the whole file. That is, the overall loudness of the entire file will be used as a basis for calculating the loudness.
Maximize if possible | By default, the meta-normalizer takes the loudest file as reference (meaning that the loudest file will itself not by affected by the normalizing). However, if you activate this option, and if the loudest file still can be amplified, then this file will be maximized as much as possible (without clipping) and then used as reference for the meta-normalizing.


The Loudness Restorer

The Loudness Restorer is used for measuring the level at one position in the Batch Processor signal chain and restoring it to the same level at some other position in the signal chain.

The Loudness Restorer is a very special plug-in, in that it is used in pairs (two plug-ins at a time must be inserted into the signal chain). The general method is to insert one instance of the plug-in, and set this to "Capture" mode (read level), then insert another instance and set it to "Restore" mode (change level).

The dialog contains the following items:

Item

Description

Capture

The first instance in the plug-in pair must be set to this mode. This makes the plug-in read the level at this position in the signal chain.

Restore peak level

The second instance in the plug-in pair must be set to this mode or the one below. Select this option if you want to use Peak levels as a basis for determining what is considered "equal level".

Restore loudness (RMS)

The second instance in the plug-in pair must be set to this mode or the one above. Select this option if you want to use RMS (Root Mean Square) levels as a basis for determining what is considered "equal level". RMS normally produces a more "natural" result than Peak levels, since this method is better at detecting the perceived "loudness" of a sound.

Resolution

This option is only relevant if "Equalize Loudness (RMS)" has been selected and "Global" is deactivated. It is used to set the size of the audio sections that are "averaged" when calculating the loudness. The loudest section found will then be used. The smaller this value, the more sensitive the method will be to peaks in the material.

It is very important that the "Capture" and the "Restore" instances of the plug-in are set to the same Resolution value.

Global

When this is activated, the RMS value is calculated over the whole file. That is, the overall loudness of the entire file will be used as a basis for calculating the loudness.

Stereo link

When this is activated, the two channels in a stereo file will be treated as a pair, preserving the stereo image correctly. When this is deactivated, they will be analysed and restored separately.

Limit to 0 dB

When this is activated, the restoration process will never result in levels above 0dB. Hence no clipping will ever occur.


MPEG Layer 3 encoding - Quality tab

This dialog allows you to make various settings for mp3 encoding. You can specify the bit rate resolution and the encoding method as well as a number of other mp3 encoding options

The settings on this page determine the quality (and thus the size) of the resulting mp3 file.

The dialog contains the following items:

Item

Description

Format - Constant Bit Rate

When this option is selected, the mp3 file is created with a constant bit rate (specified in the value field below). In this model, the size of the resulting file is in direct proportion to the chosen bit rate (the lower the bit rate, the smaller the file and the lower the audio quality).

Constant Bit Rate pop-up

When Constant Bit Rate is selected, you use this pop-up menu to select a bit rate for the mp3 file. 128 kbps is often considered to create "good" audio quality.

On the pop-up menu you will also find options that allow downsampling to a lower sample rate and conversion from stereo to mono. These options are displayed with a grey background.

Format - Variable Bit Rate

When this option is selected, the bit rate in the mp3 file will vary, depending on the complexity of the material. This can result in better audio quality in the resulting file. Most mp3 players support variable bit rate encoded files, but there may be exceptions.

Variable Bit Rate pop-up

When Variable Bit Rate is selected, you use this pop-up menu to select the preferred quality. Lower quality settings result in smaller files.

Method

These options determine the "depth" of the encoding algorithm and thus the quality of the resulting file. In the "Highest Quality" mode, the encoding will take the longest time, while in the "Fastest" mode, the audio quality may be lower. The file size is not affected by these options.


MPEG Layer 3 encoding - Options tab

This page contains some more advanced options for the encoding.

The dialog contains the following items:

Item | Description
Allow intensity encoding | When this is activated, the encoder stores information regarding the intensity of the sound. This should normally be left activated.
Specify as "Original Recording" | Activate this if you are encoding music of your own making.
Write Private bit | This is a custom feature that is normally not used.
Copyright flag | Activate this if the encoded music is copyright protected.
Write checksum | Activating this allows other applications to check the integrity of the mp3 file.
Padding | Advanced settings for the file format. If you find that certain mp3 players cannot decode your files, you should try changing this setting and re-encoding.


MPEG Layer 3 encoding - Tags tab

This page allows you to add various text tags to the file. These tags can be displayed when you play back the file in an mp3 player application (depending on the application).

The "Write Tags" checkbox is a master switch for the tags. If this is deactivated, no tags are added to the file.

The various fields allow you to enter song title, artist name, genre etc, all as information to the listeners.

Clicking OK opens a file dialog, allowing you to specify a location and a name for the MPEG Layer 3 file.


Windows Audio Media File encoding - Type tab

This dialog allows you to specify various options for encoding Windows Audio Media files (WMA).

Use the Quality pop-up menu to select what quality you want to have for your files. The higher the quality, the larger the resulting files.

On the pop-up menu you will also find options that allow downsampling to a lower sample rate and conversion from stereo to mono. These options are displayed with a grey background.


Windows Audio Media File - Attributes tab

In the text fields you can attach some text tags to the file to be created. These tags can be displayed when you play back the file in a WMA compatible application (depending on the application).


Encode Audio Files

This dialog allows you to encode multiple files to OSQ, MP3 or WMA compressed audio formats in a single batch operation. You build up a list of files, specify a file format, then press the Start button to execute the operation.

The dialog contains the following items:

Item | Description
 | Press this button to add files to the list.
 | Press this button to remove the selected file from the list.
Destination folder | Specify here the folder into which the encoded files will be created.
Format pop-up | Select the format into which you want to encode the audio files.
Attributes | Press the button to the right of the Format pop-up to specify the attributes of the format into which the files will be encoded (eg. the audio quality).
Progress bar | When the encoding starts, a progress bar is displayed at the bottom of the dialog.


System Information

This dialog displays a detailed report about your computer configuration (software and hardware). If you need to contact the Steinberg technical support, it might be appropriate to pass that information along.


The CD Copy dialog

This dialog lets you copy the contents of one CD and write the data to one or more connected CD-R units. This will create an identical copy (or copies) of the source CD. You must have a properly installed CD-R device, and a source CD (the CD you wish to copy) loaded in an available CD drive, internal or external.

The dialog contains the following items:

Item | Description
Write to hard disk first | If this is ticked, the contents of the source CD will be written to your hard disk before writing the destination CD-R. Select this option if you have a slow computer and/or the "Simulate" function fails. Note that you need at least 650 MB of free disk space for this operation.
Verify destination media after write | If this is selected the destination CD-R will be verified (checked for errors) after writing to ensure that the operation was successful.
Simulate | When this option is selected, clicking OK will initiate a simulation of writing the entire CD. If any errors are reported, you should use the "Write to hard disk first" option.
Speed | This sets the write speed of the CD copy operation.


Add Photo Viewer to CD dialog

This function lets you include a simple application called ImageViewer to your CD, which is useful if your CD contains digital photos or other images. With this application, you (or the person who receives the CD) can browse the contents of the CD, print and email photos, and run a slide show.

The dialog contains the following items:

Item | Description
Add the Photo Viewer supplied with WaveLab | If you fill a CD with photos, you can add a photo viewer to the CD. This way, if you send this CD to someone, they will have everything needed to view the photos. The viewer application is called ImageViewer.exe and is added to the root of the CD. It can only be used to visualize the photos on the CD. Note that the CD does not need to exclusively contain photos.
Create thumbnail registry | If this option is checked, WaveLab will create a compact registry where high-quality thumbnails are created for each image present on the CD. This allows a very fast browsing of the images, as well as some higher quality rendering of the thumbnails. If you don't use this option, space will be saved on the CD, but the image viewer will be much slower in its browsing task, and the thumbnail' sharpness will be lesser. The registry file on the CD is called "ThumbnailRegistry.dat".
Optimize for quality or size | If you choose to optimize for size, the registry will be about twice smaller as if you optimize for quality. The difference of quality is usually small, while the difference of size is about 50%. But if size does not matter, better optimize for quality.
Execute automatically when inserting the CD | If you check this option, a file called "Autorun.inf" will be added to the CD root. In that case, the image viewer will be executed automatically when inserting the CD in the drive (provided this feature is not disabled in your operating system).
Add other viewer | If you are accustomed to some other image viewer, you have the option to add it to the CD. One popular and free viewer is Irfanview (http://www.irfanview.com). The other options below in the dialog allow you to customize the behavior of the viewer.
Create a list of all photos present on the CD | Some external viewers (eg. Irfanview, http://www.irfanview.com) need to find a list of all photos to browse (see the Autorun.inf topic for complementary information). This option will create such a list. You have to choose the file name, as well as the extensions of the files you want to see included in the list.
Create AUTORUN.INF file with this contents | This is an advanced option that allows you to create an "Autorun.inf" file to be added to the CD. Some external image viewer might need this. Eg. Irfanview (http://www.irfanview.com) will require this instruction: open = i_view32.exe /slideshow=photos.txt Where "photos.txt" is a file list created by another option found in this dialog.


Stereo to Mono

This plug-in lets you batch convert stereo files into mono files without the risk of introducing clipping in the resulting files, which is something that otherwise could happen when converting files to mono since the mixing of two signals usually leads to an increase in level.

The plug-in works in two passes - during the first pass, the files are analysed to determine their respective peak levels. During the second pass, the files are processed according to the settings you make.

If you activate the option "Keep same peak level as stereo file", the peak level of the resulting mono files will not change from that of the original stereo files.

Gain lets you specify a desired increase or decrease in peak level for the resulting mono files in relation to the original stereo files. It can be set to any value between -60 - +48 dB.

Maximum level of mono signal lets you specify a peak level that the resulting mono files under no circumstances will be allowed to exceed. This ensures that the output files will never clip (cause digital distortion), since it is not possible to enter a value higher than 0 dB. So regardless of what value you enter for Gain, the result will never exceed 0 dB.


The Audio Montage Colors dialog

This is where you edit the color settings in the Montage windows, by selecting an element in the list to the left and adjusting the settings with the sliders to the right.

Items

This is where you select the item for which you want to edit the color.

The list is divided by use of headings. By clicking the plus sign next to a heading, you display the subelements for that item. The available elements are:

Clip Colors

Under this heading, you will find a number of color schemes listed. A color scheme is a set of colors for different items in the Montage. The following schemes are available:

Scheme | Description
Crossfade Region | Allows you to set the background color for overlapping Clip sections.
Default | The default color scheme, used for Clips for which you haven't selected any specific color.
Locked | The color scheme used for all locked Clips.
Muted | The color scheme used for all muted Clips.
Others | These schemes correspond to the items on the Color submenus (on the Track menu, Clip context menu and Groups View: Grouping menu). You can rename these if you wish.

For each of these schemes, you can edit the colors for a number of different Clip elements. You can make separate adjustments for the left and right sides of a stereo Clip, though by default, editing a color for the left side will automatically change the same setting for the right side and vice versa. For mono clips, the "Left (mono)" settings will be used.

The following elements are available within a scheme:

Element | Description
Background | The background color of the Clip.
Background (sel. range) | The background color in a selection range within a Clip.
Background (selected) | The background color in a selected Clip.
Waveform | The waveform color.
Waveform (sel. range) | The waveform color in a selection range.
Waveform (selected) | The waveform color in a selected Clip.
Edge | The left and right edge of the Clip.
Edge (sel. range) | The left and right edge, if within a selection range.
Edge (selected) | The left and right edge, if the Clip is selected.
Axis (level zero) | The color of the horizontal dotted line in the middle of a Clip, indicating zero level.
Axis (50% level) | The color of the horizontal dotted lines halfway up and down from the middle of a Clip, indicating 50% level.
Channel separator (stereo clip) | The line dividing the two sides in a stereo Clip.
Clip name | The name label of the Clip.
Focused Clip name | The name label of the focused Clip.
Focused Clip name background | The name label background of the focused Clip.

Miscellaneous Colors

This section of the Items list contains color settings for other elements in the Track View:

Element | Description
Background | The background color of the Track View.
Background (selected) | The background color in selected ranges.
Cursor | The color of the Montage Cursor. Note that because of the blinking Cursor, the selected colors will appear in inverse video in the Montage.
Marker | The color of the Marker lines in the Montage.
Cue-Point | The color of the vertical dotted cue-point lines.
Marker (source) | The color of Marker lines from the source Wave windows (shown in Clips if the option "Show source's ruler and markers" is activated on the Clip context menu).
Time Ruler (source) | The color of the source Ruler (shown in Clips if the option "Show source's ruler and markers" is activated on the Clip context menu).
Time Grid | The color of the Time Grid.

Sliders

Use these sliders to adjust the amount of red, green and blue (respectively) in the color for the selected element.

The currently set color is displayed in the color field to the right.

It is also possible to select colors from a standard Windows color dialog, opened by clicking the Select button to the right in the dialog.

Link Sliders

If you activate this checkbox, you can adjust all three sliders at once, by moving one of them. This is useful if you want to adjust the brightness of the color, without affecting the hue.

Hide

This option is available for some elements only. If you activate this, the element is hidden totally, and it is not possible to make any color adjustments (since the element won't be visible in the Audio Montage anyway).

Edit Left/Right

When this is activated, settings for the left side of a stereo Clip are automatically "mirrored" on the right side, and vice versa. The only reason to deactivate this is if you specifically want to make different color settings for the different sides of a stereo Clip.

Copy/Paste

If you want to apply the same color to several elements, you can use Copy/Paste: Set up the color, click Copy, select the next element and click Paste to apply the same color settings.

You can also copy a whole color scheme (for example, copy all settings for one of the Custom schemes to the Default scheme) by dragging and dropping in the Items list.

Undo

Undoes your latest color adjustment.

Undo All

Undoes all color adjustments since you opened the dialog.

Select

Opens a standard Windows color dialog, offering an alternative way to select a color for the selected element.


The Meta Normalizer (Audio Montage)

The Audio Montage Meta Normalizer serves two purposes: to equalize the loudness between all Clips (useful e.g. when producing a CD) and to ensure that the full mixdown of the Montage will never clip. The normalizing is done in a non destructive way, by adjusting gain settings for the different Clips. In other words, using the Meta Normalizer will not affect the source audio files.

The Meta Normalizer operates in two or three passes. It first analyses the peak or RMS levels on all Clips in the Montage. Then it processes the Clips according to the highest possible level found amongst the Clips, so that they will all play back at equal peak or RMS levels. This is achieved by automatically raising or lowering each Clip's "Gain" setting in the Clip list.

Setting | Description
Equalize Clip Volume | When this is activated, the Meta Normalizer will normalize all Clips in the Montage, by adjusting their gain settings, so that they all play back at equal levels.
Equalize Peal Level | Select this option if you want to use peak levels as a basis for determining what is considered "equal level" when executing Equalize Clip Volume.
Equalize Loudness (RMS) | Select this option if you want to use RMS (Root Mean Square) levels as a basis for determining what is considered "equal level" when executing Equalize Clip Volume. RMS normally produces more natural results than using Peak levels, since this method is better at detecting the perceived "loudness" of a sound.
Global | When this is activated, the RMS value is calculated over the whole Clip. That is, the overall loudness of entire Clips will be used as a basis for calculating the loudness.
Resolution | This option is only relevant if "Equalize Loudness (RMS)" has been selected and "Global" is deactivated. It is used to set the size of the audio sections that are analysed when calculating the loudness. The loudest section found will be used. The smaller this value, the more sensitive the method will be to peaks in the material.
Normalize Mix (Master Section Input) | If this is activated, the entire Montage mix will be normalized to a preset level at the Master Section input. The maximum level that can be used is 0 dB. Since there is no risk of clipping in the 32 bit internal audio path, you can usually turn off this feature.
Normalize Master Section Output | If this is selected, the entire mix will be normalized to a preset level at the Master Section output. The maximum level that can be used is 0 dB. This function is useful before you mix down or create a CD. Note that this function affects the output of the Master Section, which is "outside" the actual Montage. Therefore, the effect of this function is not saved when you save the Montage.
Exclude Clip Effects | If this is selected, Clip effects will not be taken into account when processing with the Meta Normalizer.
Only Selected Clips | If this is selected, only selected Clips will be processed with the Meta Normalizer.


Full Cloning

To create a "Full Clone" of a Montage means to make a copy of the Montage, in which the actual source audio files are cloned as well.

There are several uses for Full Cloning:

Since the cloned Montage will have its own audio files, you can edit and process these files without affecting any other Montages.

Since all source audio files are copied to a separate folder, Full Cloning is a good way to create a "self-contained" Montage package, for transfer to other computers, etc.

It is also a good way to "pack" the Montage, removing all unused audio sections.

Even if you don't need a copy of the Montage as such, you can use this feature to split audio files and give them specific names (using the "Create exactly one file per clip" option).

Note that Full Cloning doesn't render effects to files (as does the Render function). It merely "re-maps" file references.

There are a lot of options for how the clones should be created:

Option | Description
Clone file name | Use this field to enter the path and file name for the Montage clone to be created. The path (folder) will also be the location of the cloned source audio files. You can also click the folder button to browse to the desired folder.
Recreate exact audio files | If this option is selected, the cloned audio files will be exact copies of the original files. Unused ranges are not removed.
Combine optimally all audio files into a single audio file | If this option is selected, all used ranges in the original audio files are copied and combined into a single audio file, to which the Clips in the clone will reference. The file will get the same name as the Montage clone file. Note: If the Montage contains both mono and stereo Clips, there will be two "combined" audio files, one for the mono material and one for the stereo material. In this case, the file names will have the suffix S (stereo) and M (mono), respectively.
Keep same number of files but remove unused ranges | If this option is selected, the same number of audio files will be created, but any unused ranges in the files are removed.
Split files to remove unused ranges | If this option is selected, unused ranges in the files are removed, but instead of concatenating the used sections of a file (as with the previous option), the file is split when a range is removed.
Create exactly one file per clip | If this option is selected, every Clip in the Montage clone will refer to a unique file, containing only the audio used in the Clip. The files will be named after the Clips, with the addition of a number if several Clips have the same name.
Create one file per clip, avoid duplicates | As the previous option, but if two Clips use the exact same audio range, a common file is created for these Clips.
Clip margins | This allows you to add a specified number of seconds before and after the beginning and end of the Clip range in the created audio files. If you later want to be able to lengthen the Clips in the cloned Montage, you need to specify a Clip margins value greater than zero. This is only relevant if you have selected any other option than the first one ("Recreate exact audio files").
Reset clip names from file names | Activate this option if you want the Clips in the cloned Montage to get the names of their respective audio file.
Copy audio file markers | Activate this option if you want the markers in the original audio files to be included in the cloned files.
Clone | Click this button to perform the Full Cloning.


Default Pregap time

This is where you set the default pre-gap time. This is used in the following contexts:

If you add several files or Clips to the Montage (by dragging, pasting or importing), these will be spaced according to the default pre-gap time.

It is possible to quickly line up Clips so that they are spaced according to the default pre-gap time, by setting their cue-points to the default pre-gap position, and having the cue-points snap to the end of Clips.

If you reorder Clips by dragging them in the Clips View List, a space corresponding to the default pre-gap time is automatically inserted.

The "factory default" Pregap time is 2 seconds.


Implicit Folder

The "Implicit folder" is used when WaveLab needs to save files to disk. It is similar to the "Folder for Temporary files" setting in the Preferences dialog, but with one important difference: Files stored in the "Implicit folder" are not "temporary", that is, they are not deleted when you close WaveLab. This is necessary since the Montage contains references to the files.

The Implicit folder is used when you clone audio files, for example using "Clone and Substitute" (on the Source submenu on the Clip context menu) or the functions on the Transform submenu on the Clip context menu.

Implicit folder name

Use this field to enter the path for the Implicit folder, or click the folder button to browse to the desired folder.

Use existing folders when possible

If this option is activated, cloned audio files will be stored in the same folder as the original files (provided that the original file has ever been saved).

Note that this is not always desirable; if you are working with large audio files and have two or more hard disks, you should consider having the "implicit" folder on a different hard disk from that of your regular audio folder. This will make cloning files twice as fast. However, most often it is best to have all source files in the same folder, to make backups easier.


The CD Wizard dialog

This dialog contains a number of settings that help you automate the process of creating a CD from the Audio Montage.

Before you use the CD Wizard, you should make sure the Audio Montage contains exactly the material you want on the CD. Note that CD Tracks must be at least 4 seconds long.

Generate CD Track Markers

When this is activated, the CD Wizard will automatically generate CD Track markers according to the following suboptions. This is the main feature of the CD Wizard, so most often you will want to have this activated.

Create markers at clip boundaries

This causes the CD Wizard to add CD Start and End Markers at the beginning and end of all non-overlapping Clips. Most likely, you want to have this activated.

Create markers at crossfade points

When this is activated, the CD Wizard will create CD Boundary markers at all crossfade intersection points. Activate this if you have Clips that overlap each other, but should become different tracks on the CD.

Keep locked CD track markers

Normally, any previously created CD Track Markers in the Montage will be removed by the CD Wizard. However, if this option is activated, any locked CD Track Markers will be kept.

Adjust gaps between markers and sound (as CD frames)

When this is activated, the CD Wizard will automatically make small adjustments to the spacing before and after the CD Track Markers, according to the following suboptions. This is useful to ensure that a low-quality CD player will not miss the start of tracks or cut them off before their actual end.

Silence after first track's start marker

This option lets you add a few frames of silence before the first track of the CD. Usually, the pause needs to be longer for the first track than for the other tracks, to ensure that a low-quality CD player will not miss the start of the first track. Most often, the default settings will work well.

Silence after any track's start marker

This option lets you add a few frames of silence before each track on the CD, to ensure that a low-quality CD player will not miss the start of tracks (the first track has a its own setting). Most often, the default settings will work well.

Silence before each track's end marker

This option lets you add a few frames of silence after each track of the CD, to ensure that a low-quality CD player will not cut tracks off before their actual end (the last track has a separate setting). Most often, the default settings will work well.

Silence before last track's end marker

This option lets you add a few frames of silence after the last track of the CD. This is to ensure that a low quality CD player won't cut-off the end of the track, or that the listener won't get disturbed by any clicks or motor noise that the player makes at the end of a CD.

Most often, the default settings will work well.

Adjust pause before tracks

When this is activated, the CD Wizard will automatically adjust the pause before tracks, according to the following suboptions.

Set time

Selecting this allows you to specify the length of pauses between Tracks. The CD Wizard will automatically adjust the pauses according to this setting, if "Adjust pause before tracks" is activated.

Note that a 2 second pause is required before the first CD Track. Therefore, a good default setting is to activate this option and set it to 2 seconds.

Time

This is where you specify the length of pauses between Tracks, when the "Set time" option is activated.

Note that a 2 second pause is required before the first CD Track. Therefore, a good default setting is to activate "Set time" and set this to 2 seconds.

Round existing pauses to closest second

When this is activated, pauses between Tracks are set to the number of whole seconds closest to each current pause in the Montage.

Note that a 2 second pause is required before the first CD Track.

Generate ISRC codes

Activate this if you want the CD Wizard to generate ISRC codes for the CD Tracks.

ISRC (International Standard Recording Code) is an identification that is only used on CDs intended for commercial distribution. WaveLab allows you to specify an ISRC code for each track but only if your CD-R burner supports it.

Code of first track

If you have activated the option "Generate ISRC codes", you should enter the code for the first track here. All tracks will get ISRC codes based on this one, but with an appended number according to the order of the tracks.

The ISRC code is built up as follows:

Country Code (2 ASCII characters).

Owner Code (3 ASCII characters or digits).

Recording Year (2 digits).

Serial Number (5 digits). This will be adjusted automatically for the following tracks.

Attribute UPC/EAN code

When this is activated, an UPC/EAN code (a thirteen-digit catalog number) is attributed to the CD. Note that only some CD-R burners support this.

Code (13 digits)

This is where you specify the 13-digit UPC/EAN code if you have activated the option "Attribute UPC/EAN code".

Apply

Click this button to apply the settings and close the dialog. The CD View will now list a number of CD tracks (provided that the relevant options were activated in the dialog).

Before you attempt to write the CD, you should select Check from the CD View: Functions menu (or click the "glasses" icon). This asks WaveLab to check the CD list and inform you whether it's OK or not.

If needed, you can adjust the CD Track Markers manually in the Track View or Marker View.

An example of a situation where you would need to add Markers manually would be a continuous recording (one Clip, e.g. a live recording), which you want to divide into separate CD Tracks. Since this would contain neither Clip boundaries nor crossfade points, the CD Wizard would not add any Markers (apart from at the start and end of the whole Clip). Then it would be necessary to add CD Track Boundary Markers at the desired positions. Another instance are CD Track sub-indexes, which also have to be manually added from the Marker View.

However, in most cases the CD Wizard will do a good job, and we recommend that you don't edit the generated Markers unless you really need to.


Backup Options

This dialog allows you to set up for Backup and automatic saving.

The Audio Montage has a special backup mechanism, which allows you to maintain previous versions of saved Montages, and have the Audio Montage automatically saved. It works in the following way:

Each time you save the Audio Montage, the previously saved version is copied to the subfolder "Backup.mon" (in the same folder as the Audio Montage file).

This backup folder is automatically created by WaveLab. The backup files are named "Montage_#X", where "Montage" is the name of the Montage and "X" is a number.

You can specify how many previous versions you want to keep (see the context sensitive help for the "Number of backups" setting).

"Untitled" Montages (that are not yet saved) are also backed up.

The backup files for "Untitled" Montages are saved in the Windows temporary folder, and use a number as Montage name, so that the files are called "Y_#X", where "Y" is a number identifying the Montage and "X" is the number of the backup file. Once the Montage is saved, these "temporary backup files" can be discarded.

Number of backups

This is where you specify how many previous versions you want to keep.

The maximum number of stored backup versions is 1000 (this is possible since Montage files are small, containing no audio data). Once the specified number of backups has been created, the oldest file will be overwritten each time the Montage is backed up.

This means that the numbers in the backup file names are not related to the age of the backup files. Instead, you need to check the dates of the files to know which backup is the most recent.

Auto Save

If this is activated, the Montage will automatically be saved at regular intervals (specified below).

Auto Save Every

This is where you specify how often the Montage should be auto-saved (provided that the "Auto save" option is activated).


Repeat Clip

This dialog allows you to repeat Clips, by lining up copies after each other on the Track. There are two different ways to repeat:

If you know the exact number of copies, you can simply specify this in the dialog, by selecting the "Count" option and entering a number in the field to the right.

If you know roughly the length of the section you want filled up with copies, you can have the Clip repeated to a certain position, by selecting the "Repeat until cursor" option.

In this case, you need to move the Montage Cursor to that position before you use the Repeat dialog.

Furthermore, there are several ways for the repeated Clips to be lined up:

If you select "Place clips one after the other", the copies will be lined up after the Clip, spaced according to the "Gap between clips" setting.

If you select "Place every", the copies will be positioned according to a time interval, as specified in the value field below.

If you select "Align with clips of selected Track", the copies will be positioned at the starting position of the Clips on the focused Track (+ any Offset value set below).

Setting | Description
Count | When this is selected, you will get an exact number of Clips, as specified in the value field to the right.
Count number | This is the number of copies to be made (available when the "Count" option is activated).
Repeat until cursor | When this option is selected, the Clip will be copied so that the last Clip will start to the left of the Montage Cursor.
Place clips one after the other | When this option is selected, the copies will be lined up after the Clip, spaced according to the "Gap between clips" setting.
Gap between clips | This is where you specify the spacing between repeated Clips when the "Place clips one after the other" option is selected.
Place every | When this option is selected, the copies will be positioned according to a time interval, as specified in the value field below.
Align with clips of selected track | When this option is selected, the copies will be positioned at the starting position of the Clips on the focused Track (plus any Offset value set below).
Offset | When the option "Align with Clips of selected Track" is selected, you can specify an Offset value in this field. The copied Clips will be positioned at the starting position of the Clips on the focused Track plus the Offset value.
OK | Click this to perform the Repeat operation and close the dialog.


The Crossfade Time dialog

This dialog allows you to adjust the crossfade time "symmetrically", by moving both Clips' fade junction points inwards or outwards, by equal amounts.

Use the time field to specify the crossfade time (the width of the crossfade zone).


The Effect dialog

This dialog allows you to add and manage effects for a Clip effect slot, and make settings for the selected effect. Note that you can have several Effect dialogs open at the same time, and that you can continue working in the Montage window with Effect dialogs open.

The left part of the dialog contains parameters for the selected effect (if any). Since these are different depending on the effect, these parameters are not described here. Instead, see VST Plug-ins descriptions for details on the included effects. Note that the name of the currently selected effect Preset is displayed on the tab in the top left corner. You can change this name by double clicking and entering a new one.

Send level

This is the send level for the effect, available only when "Split Mode" is activated.

You can automate the send level using effect envelopes. The numerical value for the send level is displayed as a percentage below the slider.

Latency

This is the latency value of the effect.

Background: Certain effect plug-ins that have to analyse the sound before passing it on, will introduce a latency (delay) in the audio path. WaveLab automatically compensates for this delay with regard to other Tracks. However, real-time changes (like turning an effect knob) will be delayed according to the maximum latency found among all Clips (the largest sum of latencies for a single Clip).

Plug-ins with latency can not be used as Split mode effects.

Tail

This setting allows you to compensate for the fact that some effects (e.g. reverb and delay) produce audio "tails", i.e the effect sound continues after the Clip sound ends. If for example you add echo to a Clip without specifying a Tail value, the echo effect is muted as soon as the Clip ends, which is in most cases undesirable. Set the tail length so that the effect is allowed to decay naturally.

If you add another plug-in to the Clip, that also produces a tail, a separate Tail value does not have to be set for this plug-in unless the new effect has a longer natural decay tail than the first. The overall tail length for the Clip is the sum of each plug-in's tail. The maximum Tail setting is 30 seconds.

Split mode

If Split mode is activated for an effect, the send level for the effect can be adjusted (either manually, using Send level slider, or automatically, using effect envelopes).

Note that Split mode is different to conventional send effects in that the effect signal is mixed directly into the audio path and not to an effect return section.

Some effects are always in Insert mode or always in Split mode. For these effects, the Split mode setting is greyed out and cannot be changed.

Bypass

If this is activated, the effect is bypassed.

Effects

Clicking this brings up a menu, allowing you to select an effect for the slot. Note that only VST effects are available for use as Clip effects (not "native WaveLab effects" or DirectX effects).

Presets

Clicking this brings up a menu for managing effect programs and banks.

Functions

Clicking this brings up a menu with various functions for managing effects and slots.


The Envelope/Fade Presets dialog

This dialog allows you to add and manage effect Presets for envelopes or fade curves.

To the left is the list of Presets for the envelope/fade type you are editing. Clicking on a Preset in the list selects it for editing.

To store the current envelope curve as a Preset, enter a Preset name in the field to the right and click the Add button.

Click the Update button to update the Preset currently selected in the list, so that it contains the current envelope curve.

Click the Delete button to delete the Preset currently selected in the list.


The Ducking Options dialog

The "Duck according to other Track" feature allows you to create ducking effects between Clips on two adjacent Tracks, by adjusting the volume envelope. Note that this feature differs from "normal" ducking (as used e.g. in the Ducker plug-in effect), in that here, it isn't the presence of another signal that causes ducking to take place, but the presence of another Clip on an adjacent Track.

The Clips that cause ducking to take place must be located completely inside the time range of the Clip to which ducking is applied.

If the Clip(s) that will cause ducking to take place contains silent passages, ducking will not work properly. These Clips have to be edited so that each phrase is a separate Clip without any silence. This is because it is not the signal level that activates the ducking, but the Clip itself.

Fall region

Option | Description
Balance clip fade-in | If this is ticked, any Duration or Gap settings in the Fall region section will be ignored. Instead the ducking envelope will lower the volume according to the other Clip's fade in time.
Duration | This is the time it takes for the level to fall when ducking starts.
Gap before clip | The time between the end of the Fall region and the start of the other Clip.

Rise region

Option | Description
Balance clip fade-out | If this is ticked, any Duration or Gap settings in the Rise region section will be ignored. Instead the ducking envelope will raise the volume according to the other Clip's fade out time.
Duration | This is the time it takes for the level to rise to the original level after ducking ends.
Gap before clip | The time between the end of the other Clip and the start of the Rise region.

Damp factor

This sets the amount of ducking, i.e the level of attenuation applied to the affected Clip.

Clips to follow

This determines whether the Track that will cause ducking to take place is positioned before or after the Track that will be ducked. If "Only selected Clips" is activated, only the selected Clips on the specified Track will cause ducking.

OK

Click this to perform the Ducking (by adjusting the volume envelope of the affected Clip) and close the dialog.


The Time Format dialog - Timecode tab

This is where you make settings for how positions and lengths should be displayed when the Timecode option is selected on the Ruler pop-up menu.

Frames per second

Here is where you specify the number of frames per second. You can choose between the most common formats using the radio buttons; selecting the "Other" option allows you to specify an arbitrary number.

Show quarter frames

When this option is selected, the timecode will be displayed as hours, minutes, seconds, frames and quarters of a frame.

The "Example" text below the checkboxes indicate the result.

Show hundredth frames

When this option is selected, the timecode will be displayed as hours, minutes, seconds, frames and hundredths of a frame.

The "Example" text below the checkboxes indicate the result.

Show units

When this option is selected, the timecode units (hours, minutes, etc.) will be displayed.

The "Example" text below the checkboxes indicate the result.


The Time Format dialog - Clock tab

This is where you make settings for how positions and lengths should be displayed when the Clock option is selected on the Ruler pop-up menu.

Show units

When this option is selected, the time units (hours, minutes, etc.) will be displayed.

The "Example" text below the radio buttons indicate the result.

Compact

When this option is selected, clock positions will be displayed in a compact mode, without time units.

The "Example" text below the radio buttons indicate the result.


The Time Format dialog - Meter tab

This is where you make settings for how positions and lengths should be displayed when the Meter option is selected on the Ruler pop-up menu. For the Meter display mode to make sense, it is important that you specify the correct time signature and tempo.

Time signature

Use this field to specify a time signature (for example 4/4).

Tempo

Use this field to specify a tempo in bpm (beats per minutes).

Sequencer resolution

Use this field to specify the resolution, that is, how many "ticks" there are to each quarter note.


The Time Offset dialog

This allows you to offset the Ruler, so that "zero" is somewhere other than at the actual start of the Montage. The current Ruler offset is shown in the upper part of the dialog.

Reset to zero

If this option is selected, the Ruler will start at zero.

Set zero-point at cursor position

If this option is selected, the Ruler will be offset, so that "zero" is at the current Montage Cursor position.

Define offset of ruler

When "Define offset of Ruler" is selected, you can specify the offset using the value field. The [+] and [-] buttons are used for specifying positive or negative offsets.

For example, if you specify 1 second and click the [+] button, the Montage will start at 1 second (this will be the leftmost value on the Ruler). If you specify 1 second and click the [-] button, the Montage will start at -1 second.

OK

Click this button to apply the settings and close the dialog.


Auto Split dialog - Source page

Auto Split is a powerful function that allows you to automatically split audio files in several different ways. You can use it to split files:

...at marker points

...at regions containing silences

...at beat points using beat detection

...at specific time intervals

In addition, you can use the Auto Split function to remove silence at the start and end of a file, or to split stereo files into two mono files.

The Auto Split function can either create new files or Montage clips referencing the original file(s). The new files or clips can be automatically named and/or numbered.

When you use the Auto Split function, the dialog will show a number of "pages" with different contents depending on the methods and options you choose.

This is the first Auto Split page, on which you select which file(s) to process. The choices are:

The Wave in the currently active window.

When this option is selected, you can also choose to process only the current selection range, by activating the checkbox.

All wav or aif files in a specified folder.

Use the browser button to navigate to the desired folder. If the checkbox below is activated, audio files in subfolders will also be processed.

All files listed in a text file (file list).

In this mode you use the browser button to select a text file on disk. This file should contain the names and paths to the desired audio files on your disks, with one file name per line.

When you have made your choice, click Next to go to the next page.


Auto Split dialog - Type of splitting page

This is where you select how the file(s) should be split, with the following options:

Type of Split | Description
Split according to markers | This will split the file(s) at specific marker positions. If you select this, the next page allows you to select which marker type should govern where splitting will occur.
Split at specific intervals | This will split the file(s) at specific time intervals. If you select this, the next page allows you to specify this time interval (and thus the duration of each region).
Split between silences | This will split the file(s) so that each non-silent section becomes a separate region. If you select this, the next page lets you specify the minimum region duration, minimum duration of a silent section, and the signal level that should be considered as "silence".
Split at beats | This option will detect "beats" in the audio material and split the file(s) at each beat. If you select this, the next page allows you to specify the sensitivity of the beat detection, the minimum beat level to create a split point, and the minimum region duration (i.e. no regions shorter than the specified duration will be created).
Cut head and tail | This will remove sections from the start and/or end of the file(s), either silent sections or sections specified by you on the next page.
Convert stereo files to two mono files | This will split stereo files into two mono files.

When you have made your choice, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Marker type page

When you have chosen to split according to markers, this page allows you to choose which type of markers should be used for splitting. If you e.g. select Generic Marker from the pop-up menu, the Auto Split function will scan the file(s) for Generic Markers and split the files at each Generic Marker position.

When you have made your choice, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Region duration page

This page appears when you have chosen to split at specific time intervals. Use the value field to select a time interval (and thus the duration of each region after splitting). If there is a selection in the source file, you can set the duration to the length of this selection by activating the checkbox.

When you have made your settings, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Silent regions page

This page appears when you have chosen to split between silent sections (so that each non-silent section becomes a separate region after splitting). The detection of silent sections is done according to the following settings:

Parameter | Description
A region has a duration of at least | This sets the minimum length of the resulting regions after splitting. In other words, non-silent sections shorter than this length will not become split regions. For example, if you have a click or pop in an otherwise silent section, you probably don't want this to become a separate region after splitting. By making sure this setting is longer than the duration of the click or pop, this will be avoided.
Minimum silence duration... | This sets the minimum length of a silent region, i.e. silent regions shorter than this length will not cause additional split regions to be created. When processing speech for example, you probably want to include the natural pauses between words in the same "non-silent" region. Raising this value will do this.
Silence is... | This sets the threshold level for the silence detection. Levels below this value will be considered as silence.

Tip: You may need to experiment with these settings, depending on the material. To avoid creating several sets of new files, you may want to use the "create markers" option on the next page when trying out different settings.

When you have made your settings, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Beat detection page

This page appears when you have chosen to split at beats in the audio file(s). The settings here help the program determine what should be considered as a "beat", etc:

Parameter | Description
Beat detection sensitivity | This sets the sensitivity of the beat detection algorithm. Depending on the source material, you may need to try different values for this parameter.
Minimum beat level... | Only beats with a level equal to or higher to this value will create a split point.
A region has a duration of at least | This sets the minimum length of the resulting regions after splitting, i.e. there will be no shorter split regions than this, even if the program detects beats that are closer to eachother. You may need to raise this value if you get a number of very small regions when splitting, etc.

Tip: You may need to experiment with these settings, depending on the material. To avoid creating several sets of new files, you may want to use the "create markers" option on the next page when trying out different settings.

When you have made your settings, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Cut head and tail page

This page appears if you have chosen to remove material at the beginning and/or end of the file(s). There are two "modes" here, selected by the radio buttons in the Operation section:

Find and cut silence

When this is selected, silent sections are removed from the start and/or end of the file(s). The value field to the right is a threshold value, allowing you to adjust what is considered as silence.

Cut specific times

In this mode, you manually specify the duration of the section to be removed, individually for the head and tail.

Cut head/tail options

These two checkboxes determine whether the operation will affect the head (start) or tail (end) of the file(s), or both.

When you have made your settings, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Result page

On this page you specify what should be done with the resulting regions after splitting:

Save as separate files

In this mode, each split region will become a new audio file. The files will be created in the destination folder you select, or optionally in a subfolder with the name of the source file. If you are processing multiple files from a file list, you can also choose to have the new files created in folders according to the "source folder tree" (the different file paths for the source files), creating new folders where necessary.

Create Audio Montage and add clips to it

In this mode, a new Audio Montage will be created. The split regions will appear as clips in the new Montage (all still referring to the original source file). They will be spaced according to the "Interval" setting below. If you like, you can also have fades automatically created in the clips, by activating the checkbox.

Add clips to existing Montage

This is similar to the above option, but instead lets you add the new regions as clips to an existing, open Montage. To do this, you click the Finder tool to the right and drag it to the track and position in the Montage, where the clips should be added.

The "Interval" and fade options apply as above.

Do not split, only create markers

With this option selected, markers will be created at all split points in the file(s). You select the marker type to be created with the pop-up menu to the right. Note also that you can have existing markers of the same type automatically deleted before the new markers are created.

This feature is excellent for trying out Auto Split settings.

Experiment with the parameters with the create markers mode. Once you have found the best settings, switch to whatever other result mode you want. This way, you don't have to create several sets of split files while experimenting, etc.

By combining the "Split according to markers" mode and this "create markers" option, you can quickly replace all markers of a certain type with another type.

Remove audio outside regions (process in-place)

In this mode, all audio outside (or between) the "split regions" will simply be deleted from the audio file(s).

Mute audio outside regions (process in-place)

In this mode, all audio outside (or between) the "split regions" will be replaced with silence. For example, this can be useful to replace "relative silence" (which may include weak background noise) with absolute silence.

Depending on your settings, this may be the last page in the dialog, in which case the Next button is replaced with a Process button. Click this to perform the Auto Split processing.

Otherwise, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - File options page

This page will appear if you have chosen to save the split regions as separate files. It contains the following settings:

Insert silence

These options allow you to insert silence at the start and/or end of the files. You can set the length of silence independently for the start and end.

Assign Key

If this option is activated, the program will assign a note number to the "Key" or "Root key" settings in the files. This allows samplers to automatically map samples (files) to the correct keys, having them play back at the correct pitch.

You can let the program detect the pitch in each file, by selecting the "Detect pitch" mode. If you activate "Quantize to nearest semitone", WaveLab will set the Key according to the closest semitone; if not, the "Detune" setting in the sample may also be adjusted, according to any pitch deviations.

Alternatively, you could select the "Series" mode, in which case the first file will get a note number set with the "First Key" setting, and the following will get note numbers incremented in steps of one or several semitones, as specified in the field below.

Create a new batch processor and add files into it

This opens the batch processor with all created files in a batch, allowing you to perform processing to all created files in one go.

Create a report about the saved files

If this option is activated, the program will create a text file listing the created new files and various information. The file will automatically open in whatever application you have associated with text files (e.g. Notepad).

When you have made your settings, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Marker options

This page appears when you have chosen to create markers at the split points. It allows you to expand the created split regions by inserting space at the beginning or end of each split region. You specify the desired length of the space to be inserted, individually for the start and end of the regions. The following options determine how space is inserted:

Option | Description
Insert blank audio samples | Silence will be inserted in the file.
Shift markers (never insert silence) | In this mode, the markers will be moved to expand the regions. Note that this may mean that the actual inserted spaces may be shorter than what you have specified (if there isn't enough room between the regions).
Shift markers (if not sufficient insert silence) | In this mode, the markers will be moved to expand the regions as above. If there isn't enough room to fit the spaces you have specified, silence will also be inserted in the file.

When you have made your settings, click Next to go to the next page. You can also click Back to return to the previous dialog page and change your settings there.


Auto Split dialog - Naming options

This is where you specify how the created files or clips should be named:

Option | Description
As marker names | This is available if you have selected the "Split according to markers" method. In this mode, the files/clips will get the names of the corresponding markers.
As audio file name + count | The files/clips will get the name of the source file, with an incrementing index number added.
As audio file name + key | The files will get the name of the source file, with the Key (note number) added.
As audio file name + key + cents | The files will get the name of the source file, with the Key (note number) and Detune (semitones) values added.
As following list | Names the files/clips according to a list of names. You can enter a list (with one name per line) in the list field, or open a saved text file by clicking the Open button.
As file name + tag | This is available when you are splitting a stereo file to two mono files. The two mono files will have the name of the original stereo file, plus different end tags, as specified here (typically, "left" and "right" or similar).

This is the last page in the dialog - click the Process button to perform the Auto Split processing according to your settings.


Level/Pan Meter Settings dialog

This dialog allows you to adjust the behavior and look of the Level/Pan meter. By using the Apply button, you can check the results of your changes without closing the dialog. The following settings are available:

Setting

Description

Global colors

Click these buttons to select colors for the meter background, marks (scale units) and grid lines.

Global range

This is where you specify the low and high end of the displayed level range. Typically, you may want to create a preset showing the full level range, and other presets for detailed view of a smaller range.

Peak meter -Ballistics

These settings determine how fast the peak level meter falls after a peak (Release rate) and for how long the numerical peak indication remains displayed after a peak (Peak hold time).

Peak meter - Zones

The color buttons allow you to select colors for the peak level meters' low, middle and top zones. You can also define what should be considered "middle" and "top" zones, by changing the "Middle zone from" and "Top zone from" values.

Peak meter - Cursor mode

These settings are only relevant when using the meters in Cursor mode ("Monitor Edit-cursor position" selected). Here, you can choose by which units the peak levels should be displayed.

There is also a choice of whether to display the value of the single sample at the cursor position (checkbox ticked) or the peak value of the range around the cursor position (this range is set with the Samples to scan parameter in the VU meter section). Generally, the option is best activated when you have zoomed in on the waveform to see the details, and best turned off when you're working at normal zoom.

VU meter - Show

Allows you to activate or deactivate the VU meters.

VU meter - Ballistics

These settings determine how the VU meter responds:

Resolution is the sample width of the "average window" for the VU meter (the number of samples continuously evaluated to calculate the average). The smaller this is, the more the VU meter behaves like the peak meter.

Range inertia determines the "average windows" for the recent minimum and maximum value lines, and will therefore affect how quickly these respond to changes in loudness.

VU meter - Color

Allows you to select a color for the VU meter bars.

VU meter - Cursor mode

This setting determines how many samples to scan when calculating the VU meter value in "Monitor edit-cursor position" mode.

Panning Meter

In this section, you can turn the pan meter on or off, change the colors used for the pan meter bars and adjust the dB range of the pan meter.

Reset to default

Click this button to reset all parameters to their default values.

If you want to store your settings for later use (or assign them to a Preset button), select "Save as..." from the pop-up menu in the lower part of the dialog, and specify a name for the preset in the file dialog that appears. Now, you can choose to make the settings instantly available for selection in the FFT Meter window, by using the "Assign to preset button" submenu on the pop-up menu.

When you are finished, click OK to close the dialog.

Clicking Cancel closes the dialog and discards any changes you have made (even if you have used the Apply button to apply them to the meters).


The Phase Scope Settings dialog

This is where you adjust the behavior and look of the Phase Scope. The dialog that appears contains the following settings:

Setting | Description
Background | Click this to change the background color.
Coil display | Allows you to adjust the color for the grid and phase coil display.
Correlation display | This is where you select colors for the elements in the Phase Correlation meter display, and adjust the Peak hold time for the maximum and minimum indicators.
Number of samples to display | This setting affects the length of the phase coil, and hence the density of the display. For audio with high sample rates, you might want to raise this value.


Spectrum Analysis Settings - Process tab

The Process tab contains parameters for the actual Spectrum analysis:

Setting

Description

Analysis block size

The higher this value, the higher the accuracy in the frequency domain (the spectrum is divided into more bands). However, raising the block size value will also require more CPU power and introduce more latency. Therefore:
High values may only be usable for off-line monitoring.

Analysis overlapping

To get more accurate results, the program can analyse overlapping blocks (i.e. samples will be analysed more than once). This setting determines the amount of overlap between each block - the higher the value, the more accurate the results.

A word of caution: raising this value is very CPU intensive. Compared to no overlap at all, a setting of 50% requires twice the amount of CPU power, a setting of 75% requires four times the CPU power, etc.

Smoothing window

Allows you to choose which method should be used for pre-processing the samples in order to optimize the display of the desired information in the spectrum. The smoothing window sets a compromise between the accuracy at which a frequency can be detected, and the noise-floor.

This parameter is best left at its default setting, if you're not an expert in the field.

Note that you can apply your settings without closing the dialog, by clicking the Apply button.

If you want to store your settings for later use (or assign them to a Preset button), select "Save as..." from the pop-up menu in the lower part of the dialog, and specify a name for the preset in the file dialog that appears. Now, you can choose to make the settings instantly available for selection in the FFT Meter window, by using the "Assign to preset button" submenu on the pop-up menu.

When you are finished, click OK to close the dialog.

Clicking Cancel closes the dialog and discards any changes you have made (even if you have used the Apply button to apply them to the meters).


Spectrum Analysis Settings - Display tab

The Display tab contains settings for how the spectrum graph should be shown:

Setting | Description
Frequency ruler range | Determines the frequency range to be shown, at full-scale display. Note that the lowest frequency actually to be shown depends on the Analysis block size setting and the highest actual frequency depends on the sample rate (only frequencies up to about half the sample rate will be shown).
Logarithmic scale | When this is activated, each octave will occupy the same horizontal space in the display. If you need more resolution in the high frequency range, you may want to turn this off.
Level ruler range | Determines the range of the vertical level ruler, in dB or as a percentage.
Normalize display to 0dB | This is only relevant in non-real time mode. If this is activated, the level display is offset, so that the highest point on the curve is displayed as 0 dB (reaches the top of the display).
Optimize scale | This option will optimize the level scale so that the only the relevant level range is shown. Again, this is only available in non-real time mode.
Display type | Allows you to choose whether the spectrum should be shown as a curve or as a bar graph.
Peak Hold time | Determines for how long the peak level graph remains displayed when the levels drop.
Colors | This is where you select colors for the curves, grid, background etc.

Note that you can apply your settings without closing the dialog, by clicking the Apply button.

If you want to store your settings for later use (or assign them to a Preset button), select "Save as..." from the pop-up menu in the lower part of the dialog, and specify a name for the preset in the file dialog that appears. Now, you can choose to make the settings instantly available for selection in the FFT Meter window, by using the "Assign to preset button" submenu on the pop-up menu.

When you are finished, click OK to close the dialog.

Clicking Cancel closes the dialog and discards any changes you have made (even if you have used the Apply button to apply them to the meters).


The Bit Meter settings dialog

This dialog allows you to adjust the behavior and look of the Bit Meter. The following settings are available:

Setting

Description

Colors

You can adjust the colors of the meter segments, grids, background etc. by clicking the corresponding color buttons.

Bit hold time

Determines for how long "history" values are held (by the outer meters, by default shown in dark green).

Bit display

Determines how the bits are displayed:

In "Intuitive mode", the absolute value of the signal is displayed. The bar graphs will go higher with higher signal levels, similar to a common level meter (although the range will not work the same way).

In "True mode", the meter shows the direct mapping of the bits, but since the actual values may be negative, there is no intuitive relationship to the level (a negative value may use a lot of bits, even though its absolute value is very small). This mode is useful if you instantly want to check the full range, since all bits will quickly be displayed, regardless of the audio signal level.


The Wave Scope settings dialog

Here you can adjust the colors for the different Wave Scope elements (by clicking the corresponding color button), and choose whether Auto-zoom should be active or not. When Auto-zoom is activated, the display will be optimized so that the highest level reaches the top of the display at all times.


The File Attributes dialog - Standard tab

In this dialog, you can enter various information about the wave file. The information you enter here is added to the header of the file, and this will be displayed for instance when viewing the file's properties in the Windows explorer.

The various fields allow you to enter song title, artist name, genre etc, all as information to the listeners.

The option "Use as default settings when creating wave files", lets you save entered information as a default setting for fast recall.

If you select this after specifying some information, you can later apply the same information to any other wave files by selecting the option "Load default settings".

Note that you can instruct WaveLab to automatically fill out the text fields for "Originator software" (WaveLab) and "Creation Date" (the current), by clicking the small buttons to the right of the fields.


The File Attributes dialog - Broadcast Audio Extension tab

In this dialog, you can enter various information about the wave file and label it as a Broadcast wave file. A Broadcast wave file is essentially the same thing as a Standard wave file. The difference is simply what information the file headers can contain.

The information you enter here is added to the header of the file, and this will be displayed for instance when viewing the file's properties in the Windows explorer.

The different fields allow you to enter various information to be embedded in the file, such as title, author etc. A Timecode position is included in the file as well (the Time Reference field). This makes it possible to insert audio at precise positions in other applications. By default, the Timecode position is set to the start position of the audio.

The option "Use as default settings when creating wave files", lets you save entered information as a default setting for fast recall.

If you select this after specifying some information, you can later apply the same information to any other wave files by selecting the option "Load default settings".

Note that for some fields, you can pull down a drop-down menu by clicking on the small arrow symbols. These menus contain a number of the last used entries and lets you quickly enter that same information again.


The Internalize dialog

This dialog is used for updating a Backup Plan after the folder structure on the hard disk has been changed.

A saved Backup Plan basically contains a list of all folders for which a filter is defined, and the specifics for each filter. However, if you rearrange the folder structure on your hard disk, some folders listed in the Backup Plan may no longer exist in their original locations. Instead of having to adjust a Backup Plan manually in such a case, you can use the Internalize function.

This dialog lets you:

Specify which Backup Plan name to search for and in which folders or on which drives.

Determine whether the found filter descriptions should be merged with or replace the existing descriptions in the Backup Plan.

Note however that before using the Internalize function to update a Backup plan, you must first use the Externalize function as described below.

The complete procedure for updating a Backup Plan is as follows:

1. First open the Backup Plan and select "Externalize" from the Functions pop-up menu.

The program writes each filter description into a small text file, and stores each such text file in the folder to which the filter is attached. In other words, each folder (for which there is a filter defined) will now contain a small text file describing the filter settings.

2. Reorganize your hard disk as desired.

Just don't remove the filter description text files (these are called "@backup.txt").

3. Finally, to update the Backup Plan after the folder structure on the hard disk has been changed, open the "Internalize" dialog again, make the desired settings and click OK.

WaveLab will now scan the hard disk for filter description text files and add them to the Backup Plan.


The Edit filters dialog

This dialog lets you view and edit the filter definitions as text. You can view each defined filter separately, and edit the settings.

Use the scrollbar in the upper right corner to step between the available filters. The path of the folder for the currently displayed filter is shown to the left.

The checkboxes and "Patterns" fields work as in the main Backup Plan window.

You can remove specific files from the filters by selecting them in the lists and pressing [Delete].

It's also possible to delete the selected filter completely, by clicking the "Delete displayed filter" button.

The Edit filters dialog also offers some functions that are not available from the main Backup Plan window:

The Display options in the lower left corner allow you to scan for filters attached to non-existing folders, or filters listing non-existent files, and remove these if desired.

This may be necessary if you have removed files or folders since you first created the Backup Plan.

If you have renamed or reordered folders on your hard disk since creating the Backup Plan, you can click the "Find and replace in all paths" button to update the Backup Plan.

For more information about this, open the dialog and select the help item.

After editing the filters, click OK to close the dialog and keep the changes. To discard all changes made in the dialog, click Cancel.


The Search and Replace dialog

In this dialog, enter the previous (faulty) path name in the Find field and the new, correct path in the Replace field and click OK. The program will then search all displayed filters (taking the Display options into account) and perform the replacements, after which an alert tells you how many replacements were made.


The Backup Plan Options dialog - Expert tab

This dialog lets you make general settings for the Backup Plan.

The following options are available:

Global Filters

This section contains additional filter settings that will apply to all files and folders, regardless of their individual filters.

Option | Description
Only include files modified since | Allows you to exclude old files from the backup, by specifying a date (day-month-year).
Only include files if their archive attribute is set | The "Archive" attribute can be viewed in the Properties dialog for a file (e.g. in the Windows Explorer) and is automatically activated by Windows as soon as a file is modified. If this option is activated, the program will check each file for the "Archive" attribute, and only back up the file if the attribute is set. You can also choose to have the program turn off the Archive attribute after a file has been successfully backed up.
Always exclude files with the following extensions | Allows you to globally exclude files of a certain kind (e.g. temporary files, with the extension ".tmp").
Always exclude the following specific files | Allows you to specify some specific files that should never be backed up.
Always include filter description files, if any. | The Externalize function creates a small backup description file in each folder for which there is a filter. When this option is activated, these backup description files will always be included in the backup, regardless of the filter settings for their folders.

Special

Option | Description
Run the following application before the backup | Lets you specify an application (by typing a command line) that should be run before the backup is simulated or executed. You may for example want to compress certain files with another, specialized compressor application. You can also choose to have this application run when you enter Preview mode as well.
Run the following application after the backup | Lets you specify an application that should be run after the backup is simulated or executed. You may for example want to clean up temporary files, etc. You can also choose to have this application run when you exit Preview mode as well.
Open archive at the end | This is only available when you back up to standard media. If this is activated, the archive will be opened when the backup is completed.
Shutdown computer at the end | This is only available when you execute the actual backup (not when you simulate backup or open the dialog "manually"). If this option is activated, the program will attempt to shut down the computer after the backup is completed. The option will always be turned off when the dialog opens.

Click OK or Cancel to close the dialog and keep/discard the changes respectively. An additional checkbox lets you save the settings as default.


The Backup Plan Options dialog - Settings tab

This dialog lets you make general settings for the Backup Plan.

The following options are available:

Backup File Name

This is where you specify the name of the archive file to be created. Note:

If you activate the checkbox below the name field, the current date and time will automatically be added to the file name.

The file will automatically get the extension ".zip" - you don't need to type this.

Destination

This allows you to choose between backing up to a CD or to standard media (your hard drive, a network device, etc.).

If you back up to CD, you must specify a temporary path, on which the program will store temporary files during the backup procedure.

You should also specify the CD size, allowing the program to create archives that span over several CDs. The standard size of most CDs is 650 MB.

If you activate the "Create ISO images" option, the program will not burn a CD, but write one or several ISO images (a standardized format for data CD images) and store these in the "temporary path" folder. The images can later be used for burning CD, either from WaveLab (Tools menu) or from another CD burning application that supports this.

When backing up to standard media, you must specify the path to the folder in which the archive will be saved.

If you like, you can have the archive split in chunks of a set size (1-2000 MB).

Options

Option | Description
Use password | If this is activated, you can protect the archive with a password (which should be entered in both fields to the right).
Store absolute paths | When this is selected, the backup files will be stored with their complete paths from the drive root. In fact, the program stores the root name of the drive, partition or network drive as a special "root folder" name (since zip archives should not contain partition names such as "C:\", only relative paths). On extraction, this stored "folder name" will be interpreted, allowing the program to extract files to their original partition or drive. The main use for this is if you are backing up data on several different partitions or drives (in which case this option has to be selected). Unlike other file compression applications, this feature allows WaveLab to extract files back to their original partitions or drives. It's also possible to re-map stored paths to new partitions/drives on extraction (useful if you have reconfigured your system with new partition schemes, removed drives, etc.).
Store relative paths (from the parent of the top most folder) | When this is selected, the stored paths will begin with the folder above the lowest common parent folder.
Store relative paths (from the top most folder) | When this is selected, the stored paths will begin with the lowest common parent folder. In this mode, you also have an option to add extra path information before the actual path.

Compression

This section contains settings for how the files will be compressed:

Option | Description
Compression level | Determines the level of file compression. The higher the compression, the smaller the archive files, but the longer the processing time. Often, the "Standard" compression level is sufficient.
Use OSQ compression for audio files (WAV) | If this is activated, backed up WAV files will be compressed using the proprietary OSQ (Original Sound Quality) lossless compression format. With this algorithm, wave files can be very efficiently compressed, allowing for great savings in file sizes.
Don't compress files with these extensions | Files with the extension(s) specified here will not be compressed but simply copied into the backup archive. Typically, to save time you don't want to compress files that are already compressed (e.g. ".zip" or ".rar" files).


Select a Label Template Dialog

Templates are ready-made layouts for CD labels. To the right in the dialog there is a list of available templates, divided into three groups "Audio", "Data" and "Audio + Data". By clicking on the corresponding tab at the top of the list, the available templates for the selected project type are shown. To the left in the dialog, preview images of the front, back and the disk labels are shown.

To open the Label Editor, select a template from the list and click OK, or click "Void" (opens the Label Editor with empty labels, without using a template).

The dialog contains the following items:

Item | Description
Audio | Click here to see a list of the available Audio CD templates.
Data | Click here to see a list of the available Data templates.
Audio + Data | Click here to see a list of the available Audio + Data templates.
Preview | This shows you a preview of the front, back and disk labels in the template selected to the right.
Template list | Use this list to select a template for your labels. Note that there are separate template lists for Audio, Data and Audio+Data CDs (as selected with the buttons above the list).
Void | This will open the Label Editor with totally empty labels, allowing you to build your own labels from scratch by adding objects, specifying backgrounds, etc.


Page Layout Dialog (case front label)

This dialog contains settings for how the case front label should be printed. Note that the other two label pages (back and disk) have separate Page Layout dialogs and are printed individually. Note also that this is where you specify whether the case front label should be double-sided (comprising front and inside of the cover) or not.

The dialog contains the following items:

Item | Description
Paper height/width | This is where you specify the size of the paper used in the printer.
Landscape orientation | Allows you to specify the orientation of the papers: "lying down" (Landscape) or "standing up".
Number of views | Lets you print more than one instance of the label on the same paper. For example, if you are printing the case front label on standard paper, you can usually fit two views on the same paper (depending on the paper size), which may be useful if you are making several copies and want to save paper.
Reset to standard values | If you have adjusted the Size settings above, you can bring back the standard size by clicking this button.
Double-sided | When this is activated, the label will include both the front and the inside of the front cover label. Note: You will probably have to use Landscape printing to fit a double-sided layout on paper (depending on the paper size). After printing a double-sided front cover, you need to fold the paper at the correct position.
Horizontal/vertical offset | These settings determine the positioning of the label on the printed page. This is extra important when you are printing on special CD label paper. Note: If you are printing multiple views, you make independent Offset settings for each view. To make settings for a view, you first need to select it by clicking on its object in the preview display above the Offset values. A selected view is indicated by a colored object in the display.
Preview | This shows a preview of how the label will be printed, according to the current settings. If you are printing multiple views, there will be more than one object in the preview display. You can make independent offset settings for these, by first clicking an object in the display to select the corresponding view, and then adjusting the Offset settings. A selected view is indicated by a colored object in the display.

If you like, you can save your settings by using the pop-up menu in the lower left corner.

This is especially useful if you have made settings for printing to special CD label paper. Once you have set everything up OK, you can save your settings for use next time you need to print labels. Saved settings are accessed by using the "Explore preset" item on the same pop-up menu.

You can also store settings temporarily, which is handy when experimenting with different layout settings.

To restore a temporarily stored setting, use the Restore items on the pop-up.

When all settings are made, click OK to close the dialog.


Page Layout Dialog (case back label)

This dialog contains settings for how the case back label should be printed. Note that the other two label pages (front and disk) have separate Page Layout dialogs and are printed individually.

The dialog contains the following items:

Item | Description
Paper height/width | This is where you specify the size of the paper used in the printer.
Landscape orientation | Allows you to specify the orientation of the papers: "lying down" (Landscape) or "standing up".
Number of views | Lets you print more than one instance of the label on the same paper. For example, if you are printing the label on standard paper, you can usually fit two views on the same paper (depending on the paper size), which may be useful if you are making several copies and want to save paper.
Main part height/width | This is the size of the main part of the back label. Usually, you should keep the default values (set to fit a standard "jewel CD case"). If you have adjusted the values, you can bring back the standard size by clicking the "Reset to standard values" button.
Side part width | Allows you to specify the width of the side labels. Normally you should stick to the default values.
Reset to standard values | If you have adjusted the Main part and/or Side part size settings above, you can bring back the standard sizes by clicking this button.
Horizontal/vertical offset | These settings determine the positioning of the label on the printed page. This is extra important when you are printing on special CD label paper. Note: If you are printing multiple views, you make independent Offset settings for each view. To make settings for a view, you first need to select it by clicking on its object in the preview display above the Offset values. A selected view is indicated by a colored object in the display.
Preview | This shows a preview of how the label will be printed, according to the current settings. If you are printing multiple views, there will be more than one object in the preview display. You can make independent offset settings for these, by first clicking an object in the display to select the corresponding view, and then adjusting the Offset settings. A selected view is indicated by a colored object in the display.

If you like, you can save your settings by using the pop-up menu in the lower left corner.

This is especially useful if you have made settings for printing to special CD label paper. Once you have set everything up OK, you can save your settings for use next time you need to print labels. Saved settings are accessed by using the "Explore preset" item on the same pop-up menu.

You can also store settings temporarily, which is handy when experimenting with different layout settings.

To restore a temporarily stored setting, use the Restore items on the pop-up.

When all settings are made, click OK to close the dialog.


Page Layout Dialog (disk label)

This dialog contains settings for how the disk label should be printed. Note that the other two label pages (front and back case) have separate Page Layout dialogs and are printed individually.

The dialog contains the following items:

Item | Description
Paper height/width | This is where you specify the size of the paper used in the printer.
Landscape orientation | Allows you to specify the orientation of the papers: "lying down" (Landscape) or "standing up".
Number of views | Lets you print more than one instance of the label on the same paper. You can usually fit two views on the same paper (depending on the paper size), which may be useful if you are making several copies and want to save paper.
Disk size | Allows you to specify the inner and outer diameter of the disk label. Clicking the "Reset to standard values" button sets the values to the most commonly used label size.
Reset to standard values | If you have adjusted the Disk size settings above, you can bring back the standard sizes by clicking this button.
Horizontal/vertical offset | These settings determine the positioning of the label on the printed page. This is extra important when you are printing on special CD label paper. Note: If you are printing multiple views, you make independent Offset settings for each view. To make settings for a view, you first need to select it by clicking on its object in the preview display above the Offset values. A selected view is indicated by a colored object in the display.
Preview | This shows a preview of how the label will be printed, according to the current settings. If you are printing multiple views, there will be more than one object in the preview display. You can make independent offset settings for these, by first clicking an object in the display to select the corresponding view, and then adjusting the Offset settings. A selected view is indicated by a colored object in the display.

If you like, you can save your settings by using the pop-up menu in the lower left corner.

This is especially useful if you have made settings for printing to special CD label paper. Once you have set everything up OK, you can save your settings for use next time you need to print labels. Saved settings are accessed by using the "Explore preset" item on the same pop-up menu.

You can also store settings temporarily, which is handy when experimenting with different layout settings.

To restore a temporarily stored setting, use the Restore items on the pop-up.

When all settings are made, click OK to close the dialog.


Print Label dialog

The dialog contains the following items:

Item | Description
Printer | This is where you select the desired printer.
Setup... | Opens a standard dialog for making printer settings.
Preview... | This allows you to preview the label before printing.
Number of copies | Lets you specify how many copies of the label should be printed.
Preview | Shows you a preview of paper orientation and positioning of the view(s) to be printed. If you have specified more than one view (in the Page Layout dialog), you can select which views should be printed by clicking in this display. Use [Ctrl]-click to select multiple views.


Calibrate printer dialog

If you are printing on special CD label paper, it is very important that the printer is "calibrated", that is, the measurements in the program (for margins, positioning, etc.) must be exactly the same as the actual results you get when printing. This is not as important when you print on standard papers (since the printouts then don't have to fit exactly in specific positions on paper).

To calibrate the printer, please follow the steps outlined in the dialog. You only need to do this once (unless you switch to another printer).

After completing step 3, measure the position of the cross on the paper (the distance between the center of the cross and the left and top paper edges, respectively) and enter these values in the corresponding value fields at the bottom of the dialog.

Click OK to finish the calibration.


Text box Properties dialog

This is where you define the properties for a Text box object.

The dialog contains the following items:

Item | Description
Border | If this is activated, the text box will be shown and printed with a border line.
Border Thickness | This governs the thickness of the text box border.
Border Color | Allows you to select a color for the text box border.
Rounded Corners Size | This is available if the "Rounded corners" option is activated. The higher the Size value, the more rounded the corners of the text box.
Background | When this is activated, you can specify a separate background color for the text object.
Color | Opens a standard color dialog in which you can pick a background color for the text object.
Text | This is where you type in the text that will appear in the Text box.
Font | This opens a standard font dialog, where you can select font, size, color and other text format properties.
Variables | If you select this, the Pick Text variable dialog opens, where you can pick a defined variable and enter this code in the text box.
Orientation | Here you can set the orientation of the text. If Horizontal orientation is selected, you also can set whether the text should "wrap" or not. If text wrap is on, the text is automatically broken into several lines if required (depending on the size of the text box and the length of the text).
Horizontal Justification | This allows you to set the horizontal text justification. The text can be centered horizontally, or justified to the left or right sides of the text box.
Vertical Justification | This allows you to set the vertical text justification. The text can be centered vertically, or justified to the top or bottom of the text box.
Margin | Allows you to set the margin between the text box edge and the text.
Draw dotted line after text | This option is only available if you have selected left justification (and word wrapping is turned off). When this is activated, a dotted line will be drawn from the end of the text to the right edge of the text box.
Apply | This applies any changes made in the dialog without closing it.


CD-Audio Track List Properties dialog

The CD Track list object is auto-generated by variables, taking the information from the tracks included in the project. This dialog contains settings for how the Track list should be displayed.

The dialog contains the following items:

Item | Description
Border | If this is activated, the Track list will be shown and printed with a border line.
Border Thickness | This governs the thickness of the Track list border.
Border Color | Allows you to select a color for the Track list border.
Rounded Corners Size | This is available if the "Rounded corners" option is activated. The higher the Size value, the more rounded the corners of the Track list border.
Background | When this is activated, you can specify a separate background color for the Track list.
Color | Opens a standard color dialog in which you can pick a background color for the Track list
Margin | Allows you to set the margin between the Track list frame and the text.
Range | This allows you to define the first and last Track numbers to be included in the generated list.
Font... | This opens a standard font dialog, where you can select font, size, color and other text format properties for the Track list.
Draw dotted line between title and time | If this is activated, a dotted line will be drawn between the track title and the track time.
Extra line | Here you can either write in extra information manually, or pick a variable (by clicking the Variables button). You can set up a different text style for the extra line with the Font button below.
Variables | This opens the Pick Text variable dialog, where you can pick a defined variable and enter this code (or text) in the text box.
Font | This opens a standard font dialog, where you can select font, size, color and other text format properties for the Extra Line.
Apply | This applies any changes made in the dialog without closing it.


Circle/Ellipse Properties dialog

This is where you define the properties for a Circle/Ellipse object.

The dialog contains the following items:

Item | Description
Border | If this is activated, the Circle will be shown and printed with a border line.
Border Thickness | This governs the thickness of the Circle border.
Border Color | Allows you to select a color for the Circle border.
Background | When this is activated, you can specify a separate background color for the Circle.
Color | Opens a standard color dialog in which you can pick a background color for the Circle.
Apply | This applies any changes made in the dialog without closing it.


Line Properties dialog

This is where you define the properties for a Line object.

The dialog contains the following items:

Item | Description
Thickness | This governs the thickness of the line.
Color | Allows you to select a color for the line.
Apply | This applies any changes made in the dialog without closing it.


Edit Position and Size dialog

This dialog lets you adjust the position and size of the selected object numerically.

The dialog contains the following items:

Item | Description
Left | This is the distance from the left edge of the layout to the left edge of the object.
Top | This is the distance from the upper edge of the layout to the top of the object.
Width | The width of the object.
Height | The height of the object.
Apply | This applies any changes made in the dialog without closing it.


Display condition dialog

Allows you to specify whether an object should be visible or not, depending on whether a certain variable is empty or not.

The dialog contains the following items:

Item | Description
Hide object if the variable is empty | If this is activated, the object will be hidden if the selected variable is empty.
Variable... | This is where you select which variable should determine the object's hidden/shown status.


Label Editor Preferences dialog

This dialog contains some general settings for the Label Editor.

The dialog contains the following items:

Item | Description
Grid horizontal spacing | The horizontal spacing (in millimeters) for the grid (shown or hidden with the "Show Grid" setting on the Options pop-up menu).
Grid vertical spacing | The vertical spacing (in millimeters) for the grid (shown or hidden with the "Show Grid" setting on the Options pop-up menu).
Print frame | When this is activated, the frame around the page will be included in the printout.
Print cut markers | When this is activated, cut markers will be printed (making it easier to cut out the labels from the printed paper).
Next number | This allows you to set the next value for a serial number, when printing a series of labels.


Track number dialog

This dialog allows you to select to which track number a variable should apply.


The File Extraction Settings dialog

This dialog lets you specify a number of settings to control the extraction of an archive.

Use the radio buttons in the "Extract what" section to determine whether only the selected files, all files or some specific files should be extracted.

The "Specific files" option allows you to e.g. extract files of a certain type only (by typing "*.xxx", where "xxx" is the file name extension of the file type).

Enter the desired destination of the extracted files to the right in the dialog.

Normally, this is done by specifying a certain folder. If the "Restore original folder tree" checkbox is activated, the stored path of each file will be kept (i.e. underlying folders will be added if needed). If the checkbox isn't activated, the files will be extracted directly into the specified folder.

If the archive contains files from several different partitions or drives, you can select the "Original or remapped partitions" option.

This allows you to extract the files back to their original partitions/drives (default), or re-direct all files from a certain partition to another (by typing a new path in the column to the right). This is useful if you e.g. have reconfigured your system with new partition schemes, removed or added drives, etc.

The following is a description of the options in the section to the left in the dialog:.

Option | Description
Don't extract if archive file has same date | If the destination folder already contains a file of the same name and date, the archived file will not be extracted.
Don't extract if archived file is older | If the destination folder contains a newer file of the same name, the archived file will not be extracted.
Overwrite existing files without any warning | Activate this if you're sure you want to overwrite any files of the same name in the destination folder.
Convert OSQ files to WAV | Audio (WAV) files compressed with the OSQ compression algorithm will be converted to WAV format on extraction.
Clear archive attribute of restored files | If this is activated, the Archive attribute will be deactivated for all extracted files.
Open containing folder(s) at the end | After extracting the archive, all destination folders will be opened.
Password | If the archive was password protected, this is where you enter the password for extraction.


The ASIO inputs/outputs dialog

When you're using an ASIO driver for an audio card with multiple input- and output pairs, this dialog lists all of the available inputs and outputs on the card.

In many cases, it's recommended to activate the options "Limit to 2 outputs" and "Limit to 2 inputs".

This will select the first output and input pairs for playback and recording, leaving the other connections "greyed out" in the list to the right. The reason for this is that some drivers will consume more processing power if all outputs and inputs are left "activated" - turning off all unused outputs and inputs prevents this from happening and saves CPU power.

If you specifically need other outputs or inputs than the first pairs, deactivate the "Limit" options, and select the output and input pair to use for playback and recording in the list to the right.

If you need to change these settings later, you can bring up the dialog again by re-selecting the ASIO driver.


The Audio CD report dialog

This dialog lets you create an Audio CD report which presents the contents of the current Audio Montage in text form, for printing.

You can select one of two Audio CD report templates (or presets) from the pop-up menu:

One will show "Absolute" times, where the timing is continuous from the beginning of the CD (i.e. from the start of the first pause).

This is the standard way of measuring track times in professional use, such as for CD duplication plants.

The other shows "Relative" times, where the timing is relative to the start of the first track, and the durations are given without pauses.

This is the way track times are normally listed on a CD cover.

By clicking "OK", you generate a preview image of the report in the standard, or template layout, which provides all of the relevant factory variable information.

The default Audio CD report layout consists of a logo at the top, followed by personal/company data, some general data about the project and a table with details about each CD track.

By clicking "Edit", you open another dialog that lets you edit the contents of the report. For details, open the dialog and select the help item.


The Audio CD report edit dialog

This dialog puts you in full control of what will be shown in the Audio CD report.

Audio CD reports are based on a number of small documents in RTF format (Rich Text Format), one for each section in the report. These can be edited in any RTF-compatible application (e.g. WordPad), allowing you to change fonts and styles, set text justifications, add pictures, etc.

Furthermore, the RTF documents contain references to text variables, and these provide the actual information in the Audio CD report - track names, times, etc. When generating the report, the information provided by the variables will be presented according to the set style in the RTF documents.

There are basically two types of variables, factory and user editable:

Factory variables provide automatically generated information about a project such as number of tracks, track times, track names etc. - based on the actual contents of the project.

User variables contain personal data such as company name and copyright information etc. - which is defined by the user.

Along with the variables, the Audio CD report can also include any CD Text you have specified in the Edit CD Text dialog. This is typically where you specify composers, performers, etc.

Elements

The main part of the dialog consists of "Elements"; the RTF files that make up the CD report.

Each element entry consists of a path to a RTF file.

One exception is the Logo, which should point to the location of an image file.

To use another RTF file for an element, click the folder icon and browse to the new RTF file.

You could for example have created different versions of the various RTF files, or a client could bring his own RTF files, etc.

To remove an element from the Audio CD report, delete the path to its RTF file.

Page size & Margins

At the bottom of the dialog you will find additional settings for the printout (page size and margins).

Formats

The Formats button opens a dialog allowing you to edit the formats used for dates, times and numbering. For details, open the dialog and use the help item.

Compact layout

If you select this option, the page layout of the generated Audio CD report will be more compact, so that more information is made to fit on a single page.

Editing the RTF files

You can use the existing template RTF files as a starting point for creating custom CD reports, or create new RTF documents from scratch. Regardless of which, you may want to keep a copy of the original template RTF files, as a safety measure.

When you edit the RTF documents, it is recommended that you use WordPad (included with Windows) rather than Microsoft Word, as Word can sometimes automatically create "extra" information that cannot be translated correctly by WaveLab.

To open an RTF file for editing, proceed as follows:

1. In the Audio CD report edit dialog, click the arrow pop-up to the right of the element you want to edit.

2. On the pop-up menu that appears, select "Open containing folder".

The folder containing the RTF file opens in a separate window.

3. Double click the RTF file (or drag it to the desired RTF editor program icon).

For example, if you open the file "Header1.rtf", you will see that this contains the personal information that was shown under the logo in the preview CD report template. The entries are written exactly as in the "Edit Variables" dialog; a title followed by a variable name enclosed with "%" characters.

All text in the RTF documents apart from the code inside the percentage marks will be shown in the report.

This lets you change headings, orders and similar; you may for example want to use another term than "Engineer", exclude the address or phone number fields, etc. You can also change the fonts, styles and justification for the text.
Also, if you have added a new user variable in the Edit Variables dialog, or defined a variable that is not called upon in the RTF file, then this variable has to be written into the RTF file (enclosed by % signs).

However, while it is perfectly possible to enter the actual information (e.g. the name of the project) directly in the RTF file and remove the corresponding variable, this would require that you edited the RTF files each time you created a new Audio CD report. It is much better to set up the styling of your Audio CD report and its RTF files once and for all, and then only edit the variables and CD Text when you work with a new project. In short:

The RTF documents should be used for adjusting the appearance of the report, not for writing in variable values.


Join all tracks into one virtual audio file dialog

This dialog allows you create a single file from all tracks in a Basic Audio CD project. The dialog contains the following items:

Item | Description
Insert pause before each track | If ticked, this will insert a 2 second pause between each track.
Take silence adjustments at track boundaries into account | If you have specified silence adjustments in the CD Advanced Settings dialog, these will be taken into account when this is ticked.
Take sub-index advance settings into account | If you have specified sub-index advance settings in the CD Advanced Settings dialog, these will be taken into account when this is ticked.


Save each track as a separate audio file

This dialog allows you create separate files from the tracks in a Basic Audio CD project. The dialog contains the following items:

Item | Description
Insert pause before each track | If ticked, this will insert a 2 second pause before each track.
Take silence adjustments at track boundaries into account | If you have specified silence adjustments in the CD Advanced Settings dialog, these will be taken into account when this is ticked.
Audio file format | Select an audio file format for the files to be created from this pop-up.
Destination folder | Here you specify the path to the destination folder for the new files.


CD Read Configuration dialog

This dialog allows you configure the audio extraction method used when importing tracks from a CD. The settings in this dialog should only be changed if you are having problems!

Item | Description
Extraction method pop-up | Here you can select a CD extraction format for the selected drive.
Inverse | If the imported audio plays back as noise, you can try ticking this before re-importing.
Restore original configuration | Click this if you have made changes in this dialog and want to revert the settings back to the original settings.


Proxy Settings

If you are connected to the Internet via a Proxy Host, you need to specify the proxy settings here before you can access the CDDB server.


CD Info

This dialog can be used to view information about a CD in the selected drive.

Item | Description
Select device | Select the CD drive you wish to view CD information for from this menu.
Information | Information about the CD in the selected drive is shown here.
Erase options (Fast/Complete) | If the CD in the drive is a rewritable CD (CD-RW), you can erase it using one of these methods. If the CD has problems or bad sectors, use the Complete option.
Eject | Ejects the CD.
Refresh | If you have inserted a new CD, you can click this to refresh the contents of the CD information displayed.


CD Text Editor

In this dialog you can input title, artist and other information for the whole CD and for each individual track. It will be burnt onto the CD as CD Text. Some CD Players support CD Text and display this information during track playback. The information in the dialog is also used when generating Audio CD Reports.


Edit Text Variables

This dialog is used to edit, delete or create new variables. Only the user editable variables are shown and can be edited. The editable variables varies according to the type of project.

Note that even though only the user editable variables are shown, all variable folders are listed (even if some of these contains auto-generated variables only).

The four columns show the following information:

Column | Description
Description | Shows the name or description of the variable (e.g. "Audio CD information : Composer").
Type | Shows whether the variable is user editable or automatically generated (Auto).
Code | Shows the variable code (beginning and ending with a % sign).
Current value | Shows the value or "contents" of the variable.

In addition, the dialog contains the following items:

Item | Description
New folder | This creates a new variable folder.
New variable | This creates a new variable. The new variable will appear in the folder that is selected when clicking this button. If no folder was selected, the new variable will appear in the topmost folder. The new variable is editable, allowing you to define the Description, Code and Value for the variable.
Delete | This will delete the selected variable. Default variables cannot be deleted.
Formats... | This opens a dialog in which you can specify which formats should be used for the variables (e.g. time formats for the track time variables).
Import default variables | This will import the default list of variables.
Preset pop-up | This pop-up located in the lower left corner of the dialog allows you to save sets of Label variables as Presets. You can then use the pop-up menu to switch between different presets of already "filled in" variables. A Preset could typically represent the information belonging to a client you work with regularly, for example.


Formats dialog

Lets you specify which formats should be used for the different types of variables. For each variable type there are several format options available on the corresponding pop-up.

The dialog contains the following items:

Item | Description
Date | This is the format used for dates.
Time | This is the format used for times (typically in conjunction with dates).
Audio time | This is the format for audio track time (lengths).
Track index | This is the numbering format for tracks.
Serial number | This is the format for serial numbers.


Pick Text variable dialog

Here you can pick a variable for a text box object or a CD Track list object. Select a variable, and import the variable as either text or code. In both instances, the "contents" of the variable will appear in the text box/track list object. The difference is that if you later redefine the variable, the text imported as code will automatically change for every instance it is used in this project, whereas importing as text will not reflect any changes made to the variable.

The four columns show the following information:

Column | Description
Description | Shows the name or description of the variable (e.g. "Audio CD information : Composer").
Type | Shows whether the variable is user editable or automatically generated (Auto).
Code | Shows the variable code (beginning and ending with a % sign).
Current value | Shows the value or "contents" of the variable.

In addition, the dialog contains the following items:

Item | Description
Edit... | This opens the Edit Text variables dialog, where the variables can be edited or new variables created etc.
Import actual text | This will import the selected variable as text only.
Import code | This will import the selected variable as code.


Groups dialog

A Group allows you to handle several clips as one entity. In this dialog you can create and name a new Group or select an existing Group to add clips to.


Edit playback times

This dialog allows you to set two things; a Pre-Roll time before a track is played back, and a Test time, which is the time the beginning of a track is played back when using the "Play all track starts" function on the Toolbar (also located on the CD View : Functions menu).

This way you can hear a few seconds of each track end and following track start, to check the transitions between them.


Fade-in Presets

This dialog allows you to create Fade-in presets which you can later recall and apply to other Clips. Set up the Fade as you want it, then use this dialog to add the fade to the Preset list.

Item | Description
Preset List | Stored presets are shown here.
Name field | Here you type in the name of the new Preset.
Add | Click this button to add the fade to the Preset list.
Update | Click this button to update the settings for a selected Preset.
Delete | Click this button to delete a selected Preset.


Fade-out Presets

This dialog allows you to create Fade-out presets which you can later recall and apply to other Clips. Set up the Fade as you want it, then use this dialog to add the fade to the Preset list.

Item | Description
Preset List | Stored presets are shown here.
Name field | Here you type in the name of the new Preset.
Add | Click this button to add the fade to the Preset list.
Update | Click this button to update the settings for a selected Preset.
Delete | Click this button to delete a selected Preset.


Insert audio files

In this dialog you can specify how multiple files should be inserted into the Montage

You can:

Select files in the list by clicking on them.

Change the order of the files by clicking the green arrow buttons or by using drag and drop in the list.

Add files to the list by clicking the green plus sign.

Remove files from the list by clicking the red cross sign.

Specify how the Clips should be inserted.

The dialog contains the following options:.

Option | Description
Line up on the current track | The Clips will be added to the Montage, lined up contiguously on a single track and spaced according to the Default Pre-gap time (set on the Edit View : Options menu).
Place each file on a different track | The Clips will be added to the Montage, each on a separate track, according to the settings below.
Start inserting below current track | If this is activated, the new Tracks for the files you add will be inserted below the currently selected Track.
Always create new tracks | You will probably want to have this activated for most purposes. Anytime you add more files to a Montage by using this method, this will ensure that they end up on separate Tracks.
Shift existing clips to the right | If this is activated, any already existing Clips in the Montage will be moved to the right by an amount equalling the length of the first new added file.


Impulse value dialog

Use this dialog to define the default Nudge impulse (the amount with which elements are adjusted when you Nudge them).

Specify the default impulse time in the Time field.

This is used for nudging the position of objects or edges.

Specify the default impulse level in the Level field.

This is used for nudging volume.


Playback Speed

This dialog can be used to change the playback speed for open documents with or without affecting the pitch of the audio.

The following options are available in the Playback Speed dialog:

Option | Description
Speed factor | This sets the playback speed, as a percentage of normal speed. A setting of 100 means that the speed is unaffected. Lower settings lower the speed and higher settings raise the speed. By clicking the arrow to the far right, you bring up a pop-up menu on which the last 15 values used are stored.
Keep constant pitch | If you want the pitch of the audio to remain unaffected when the speed is changed, make sure this option is activated. Deactivating this makes the Playback Speed feature work more like the pitch/speed control of a tape recorder.
Quality | Choose between three quality settings. High quality mode obviously provides the highest quality, but is also the most CPU intensive. In most cases, Standard mode is probably sufficient.
Acceleration by skipping low level regions | By activating this option and setting a "threshold" level, you can cause regions of the audio that are below this level to be skipped during playback. This is useful when you have raised the playback speed to quickly locate and audition material, and want to skip silent section (e.g. when editing speech).
Level detection sensitivity | This determines the "resolution" of the level detection analysis, and thus its sensitivity.
Level under which audio is skipped | This determines the level threshold for a region to be considered "low level".
Bypass effects and Master Section | If you activate this option, all active effects in Audio Montage effect slots as well as all global ef-fects in the Master Section will be bypassed. This saves processing power that may be needed for the Playback Speed function itself.
Bypass Audio Meters | If you activate this option, none of the various Meters will be active, again to save processing power.
Presets | You can store settings as a Preset. You can also name the Preset in the name field above the buttons. Stored presets can be selected from the Playback Speed pop-up menu.


Send Feedback

This allows you to send feature requests or report problems directly to the WaveLab development office. Please note that this feature isn't a technical support service - your message will be read and taken into account but you will not receive an answer or confirmation. An Internet connection is required.


The VU and Peak Audio Meters dialog

This dialog allows you to adjust the settings for the currently selected Meter preset.

Item

Description

Global range - Low

The low end of the level meter range. The meter will indicate levels down to this value.

Global range - Top

The high end of the level meter range. The meter will indicate levels up to this value.

Release rate

Determines how fast the Peak level meter falls after a peak.

Peak hold time

Determines how long the numerical Peak indication remains displayed after a peak.

Low zone color

This is the color for the "low" meter range. Clicking the button allows you to select another color.

Middle zone color

This is the color for the "middle" meter range. Clicking the button allows you to select another color.

Top zone color

This is the color for the "top" meter range. Clicking the button allows you to select another color.

Middle zone: from

This is the level from which the Peak Level meter should use the Middle zone color.

Top zone: from

This is the level from which the Peak Level meter should use the Top zone color.

Preset name

This is the name of the Preset, as displayed in the Options pop-up menu in the Recording dialog. To edit the name, click and type in the field.

Resolution

This is the sample width of the "average window" for the VU meter (the number of samples continuously evaluated to calculate the average). The smaller this is, the more the VU meter behaves like the Peak meter.

Range inertia

The VU meter has two "bracket values", which display the average between the current RMS value and the most recent minimum (left bracket) and maximum (right bracket) RMS values. This feature gives you an overview of the dynamic range of the sound.

During audio playback, the two brackets will continuously "try to reach" the current RMS value. This allows you to "trace" the most recent history of minimum and maximum RMS values.

The Range inertia setting determines the time span used for calculating these average values. The smaller this value, the faster the bracket values will reach the current RMS value.

Color

This is the color for the VU meter. Clicking the button allows you to select another color.

Test

This temporarily applies your settings to the Level Meter, allowing you to test your settings without closing the dialog. Note that you have to click OK to permanently change the Preset - closing the dialog by clicking Cancel will not store or apply the changes, even if you have used the Test button.


The Ultra-Safe Mode Level dialog

When Ultra-Safe mode is used, each CD track is read several times until the exact same result is found (checksums are used). This dialog lets you determine the amount of times that a track should be read with the exact same result before saving it to disk.


Paste Mix dialog

The Paste Mix operation will mix the audio on the clipboard with the audio at the destination (paste) position. This dialog allows you to balance the mix by adjusting the gain for the audio on the clipboard and at the destination, respectively. A setting of 0 dB means the level will be unaffected.